/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-08-11 23:24:47 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=806 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=754 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=494 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=59 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("5", "20230811_the_duck_starter_site_wp622", "7b1f75bb36abc0824128_20230811232442", "22", "2023-08-11 23:24:47", "kevinmcmillan", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-11 23:24:42\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";i:5;s:4:\"Name\";s:36:\"20230811_the_duck_starter_site_wp622\";s:4:\"Hash\";s:35:\"7b1f75bb36abc0824128_20230811232442\";s:8:\"NameHash\";s:72:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:82:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.5\";s:6:\"WPUser\";s:13:\"kevinmcmillan\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:84:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:71:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:514;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:3947;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-11 23:24:42\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:36:\"20230811_the_duck_starter_site_wp622\";s:4:\"Hash\";s:35:\"7b1f75bb36abc0824128_20230811232442\";s:8:\"NameHash\";s:72:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:90:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:85:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:85:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:189:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/backups-dup-lite/tmp/20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:80:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-admin\";i:1;s:83:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes\";i:2;s:92:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:71:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication\";i:1;s:71:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication\";i:2;s:82:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content\";i:3;s:90:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads\";i:4;s:90:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/plugins\";i:5;s:93:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/mu-plugins\";i:6;s:89:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:103:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "Duckie", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "Full Site Editing Exercise", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "1", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "9", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "0", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:94:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:4:{i:0;s:41:\"create-block-theme/create-block-theme.php\";i:1;s:25:\"duplicator/duplicator.php\";i:2;s:25:\"duplicator/duplicator.php\";i:3;s:29:\"wp-downgrade/wp-downgrade.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "0", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "5", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "twentytwentythree", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "0", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "posts", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "0", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "208", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1701930246", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "disabled", "no");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:62:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:35:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:10:\"copy_posts\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "user_count", "3", "no");
INSERT INTO `wp_options` VALUES("103", "widget_block", "a:13:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:154:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Posts</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:227:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Recent Comments</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:146:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Archives</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:150:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>Categories</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}i:8;a:1:{s:7:\"content\";s:159:\"<!-- wp:search {\"label\":\"Search\",\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonPosition\":\"button-inside\",\"buttonUseIcon\":true,\"align\":\"center\"} /-->\";}i:9;a:1:{s:7:\"content\";s:75:\"<!-- wp:heading -->\n<h2 class=\"wp-block-heading\"></h2>\n<!-- /wp:heading -->\";}i:10;a:1:{s:7:\"content\";s:116:\"<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"align\":\"center\"} /-->\";}i:11;a:1:{s:7:\"content\";s:60:\"<!-- wp:search {\"label\":\"Search\",\"buttonText\":\"Search\"} /-->\";}i:17;a:1:{s:7:\"content\";s:102:\"<!-- wp:generateblocks/grid {\"uniqueId\":\"e94b0a38\",\"columns\":0,\"isDynamic\":true,\"blockVersion\":3} /-->\";}i:21;a:1:{s:7:\"content\";s:400:\"<!-- wp:generateblocks/image {\"uniqueId\":\"9fff54e2\",\"mediaId\":199,\"sizeSlug\":\"full\"} -->\n<figure class=\"gb-block-image gb-block-image-9fff54e2\"><img class=\"gb-image gb-image-9fff54e2\" src=\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\" alt=\"\" title=\"cropped-generator-1-2-2.png\"/></figure>\n<!-- /wp:generateblocks/image -->\";}i:22;a:1:{s:7:\"content\";s:523:\"<!-- wp:group {\"backgroundColor\":\"base-3\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group has-base-3-background-color has-background\"><!-- wp:image {\"id\":199,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/cropped-generator-1-2-2.png\" alt=\"\" class=\"wp-image-199\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("104", "sidebars_widgets", "a:9:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("105", "cron", "a:6:{i:1691799846;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1691821446;a:5:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1691821459;a:4:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1691907846;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1692399952;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("106", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("121", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("122", "https_detection_errors", "a:1:{s:20:\"https_request_failed\";a:1:{i:0;s:21:\"HTTPS request failed.\";}}", "yes");
INSERT INTO `wp_options` VALUES("126", "theme_mods_twentytwentythree", "a:4:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1691795182;s:4:\"data\";a:8:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}}}s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("152", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("155", "current_theme", "Twenty Twenty-Three", "yes");
INSERT INTO `wp_options` VALUES("156", "theme_mods_generatepress", "a:5:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:7:\"primary\";i:6;}s:18:\"custom_css_post_id\";i:118;s:11:\"custom_logo\";i:199;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686810943;s:4:\"data\";a:11:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:6:\"header\";a:0:{}s:8:\"footer-1\";a:0:{}s:8:\"footer-2\";a:0:{}s:8:\"footer-3\";a:0:{}s:8:\"footer-4\";a:0:{}s:8:\"footer-5\";a:0:{}s:10:\"footer-bar\";a:0:{}s:7:\"top-bar\";a:1:{i:0;s:8:\"block-17\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("157", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("160", "generate_db_version", "3.3.0", "yes");
INSERT INTO `wp_options` VALUES("165", "generateblocks_dynamic_css_posts", "a:1:{i:46;b:1;}", "yes");
INSERT INTO `wp_options` VALUES("166", "generateblocks_dynamic_css_time", "1686511724", "yes");
INSERT INTO `wp_options` VALUES("168", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("169", "generateblocks_version", "1.7.3", "yes");
INSERT INTO `wp_options` VALUES("172", "mwai_rating_date", "1687946086", "no");
INSERT INTO `wp_options` VALUES("178", "mwai_options", "a:51:{s:18:\"module_suggestions\";b:1;s:18:\"module_woocommerce\";b:1;s:12:\"module_forms\";b:0;s:13:\"module_blocks\";b:0;s:17:\"module_playground\";b:1;s:24:\"module_generator_content\";b:1;s:23:\"module_generator_images\";b:1;s:17:\"module_moderation\";b:0;s:17:\"module_statistics\";b:0;s:16:\"module_finetunes\";b:0;s:17:\"module_embeddings\";b:0;s:12:\"module_audio\";b:0;s:14:\"shortcode_chat\";b:1;s:21:\"shortcode_chat_params\";a:36:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:12:\"max_messages\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:0;s:12:\"local_memory\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:1;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:30:\"shortcode_chat_params_override\";b:0;s:19:\"shortcode_chat_html\";b:1;s:25:\"shortcode_chat_formatting\";b:1;s:21:\"shortcode_chat_legacy\";b:0;s:21:\"shortcode_chat_stream\";b:0;s:25:\"shortcode_chat_typewriter\";b:0;s:18:\"speech_recognition\";b:0;s:16:\"speech_synthesis\";b:0;s:26:\"shortcode_chat_discussions\";b:0;s:25:\"shortcode_chat_moderation\";b:0;s:34:\"shortcode_chat_syntax_highlighting\";b:0;s:21:\"shortcode_chat_inject\";b:0;s:21:\"shortcode_chat_styles\";a:0:{}s:6:\"limits\";a:4:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}s:6:\"system\";a:6:{s:7:\"credits\";i:20;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:50:\"Our chatbot went to sleep. Please try again later.\";s:12:\"ignoredUsers\";s:0:\"\";}}s:13:\"openai_apikey\";s:51:\"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\";s:14:\"openai_service\";s:6:\"openai\";s:12:\"openai_usage\";a:0:{}s:13:\"openai_models\";a:10:{i:0;a:10:{s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:4:\"name\";s:5:\"turbo\";s:6:\"family\";s:5:\"turbo\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:4096;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:1;a:11:{s:5:\"model\";s:5:\"gpt-4\";s:4:\"name\";s:5:\"gpt-4\";s:6:\"family\";s:4:\"gpt4\";s:5:\"price\";d:0.03;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:8192;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:2;a:11:{s:5:\"model\";s:9:\"gpt-4-32k\";s:4:\"name\";s:9:\"gpt-4-32k\";s:6:\"family\";s:8:\"gpt4-32k\";s:5:\"price\";d:0.06;s:10:\"priceRules\";s:13:\"completion_x2\";s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:32768;s:4:\"mode\";s:4:\"chat\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:4:\"chat\";}}i:3;a:10:{s:5:\"model\";s:16:\"text-davinci-003\";s:4:\"name\";s:11:\"davinci-003\";s:6:\"family\";s:7:\"davinci\";s:5:\"price\";d:0.02;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.12;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:4;a:10:{s:5:\"model\";s:14:\"text-curie-001\";s:4:\"name\";s:9:\"curie-001\";s:6:\"family\";s:5:\"curie\";s:5:\"price\";d:0.002;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.012;}s:4:\"tags\";a:3:{i:0;s:4:\"core\";i:1;s:4:\"chat\";i:2;s:8:\"finetune\";}}i:5;a:10:{s:5:\"model\";s:16:\"text-babbage-001\";s:4:\"name\";s:11:\"babbage-001\";s:6:\"family\";s:7:\"babbage\";s:5:\"price\";d:0.0005;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0024;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:6;a:10:{s:5:\"model\";s:12:\"text-ada-001\";s:4:\"name\";s:7:\"ada-001\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:9:\"maxTokens\";i:2048;s:4:\"mode\";s:10:\"completion\";s:8:\"finetune\";a:1:{s:5:\"price\";d:0.0016;}s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"finetune\";}}i:7;a:8:{s:5:\"model\";s:6:\"dall-e\";s:4:\"name\";s:6:\"dall-e\";s:6:\"family\";s:6:\"dall-e\";s:4:\"type\";s:5:\"image\";s:4:\"unit\";i:1;s:7:\"options\";a:3:{i:0;a:2:{s:6:\"option\";s:9:\"1024x1024\";s:5:\"price\";d:0.02;}i:1;a:2:{s:6:\"option\";s:7:\"512x512\";s:5:\"price\";d:0.018;}i:2;a:2:{s:6:\"option\";s:7:\"256x256\";s:5:\"price\";d:0.016;}}s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"image\";}}i:8;a:9:{s:5:\"model\";s:22:\"text-embedding-ada-002\";s:4:\"name\";s:7:\"ada-002\";s:6:\"family\";s:3:\"ada\";s:5:\"price\";d:0.0004;s:4:\"type\";s:5:\"token\";s:4:\"unit\";d:0.001;s:4:\"mode\";s:9:\"embedding\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:9:\"embedding\";}}i:9;a:9:{s:5:\"model\";s:9:\"whisper-1\";s:4:\"name\";s:9:\"whisper-1\";s:6:\"family\";s:7:\"whisper\";s:5:\"price\";d:1.0E-5;s:4:\"type\";s:6:\"second\";s:4:\"unit\";i:1;s:4:\"mode\";s:14:\"speech-to-text\";s:8:\"finetune\";b:0;s:4:\"tags\";a:2:{i:0;s:4:\"core\";i:1;s:5:\"audio\";}}}s:21:\"openai_azure_endpoint\";s:0:\"\";s:19:\"openai_azure_apikey\";s:0:\"\";s:24:\"openai_azure_deployments\";a:0:{}s:16:\"openai_finetunes\";a:0:{}s:24:\"openai_finetunes_deleted\";a:0:{}s:8:\"pinecone\";a:5:{s:6:\"apikey\";b:0;s:6:\"server\";s:12:\"us-east1-gcp\";s:9:\"namespace\";s:4:\"mwai\";s:7:\"indexes\";a:0:{}s:5:\"index\";N;}s:10:\"embeddings\";a:8:{s:14:\"rewriteContent\";b:1;s:13:\"rewritePrompt\";s:401:\"Rewrite the content concisely in {LANGUAGE}, maintaining the same style and information. The revised text should be under 800 words, with paragraphs ranging from 160-280 words each. Omit non-textual elements and avoid unnecessary repetition. Conclude with a statement directing readers to find more information at {URL}. If you cannot meet these requirements, please leave a blank response.\n\n{CONTENT}\";s:13:\"forceRecreate\";b:0;s:9:\"maxSelect\";i:1;s:8:\"minScore\";i:75;s:9:\"syncPosts\";b:0;s:13:\"syncPostTypes\";a:3:{i:0;s:4:\"post\";i:1;s:4:\"page\";i:2;s:7:\"product\";}s:14:\"syncPostStatus\";a:1:{i:0;s:7:\"publish\";}}s:12:\"extra_models\";s:0:\"\";s:10:\"debug_mode\";b:1;s:18:\"resolve_shortcodes\";b:0;s:18:\"dynamic_max_tokens\";b:1;s:18:\"context_max_tokens\";i:1024;s:16:\"assistants_model\";s:13:\"gpt-3.5-turbo\";s:12:\"banned_words\";a:0:{}s:10:\"banned_ips\";a:0:{}s:9:\"languages\";a:8:{s:2:\"en\";s:7:\"English\";s:2:\"de\";s:6:\"German\";s:2:\"fr\";s:6:\"French\";s:2:\"es\";s:7:\"Spanish\";s:2:\"it\";s:7:\"Italian\";s:2:\"zh\";s:7:\"Chinese\";s:2:\"ja\";s:8:\"Japanese\";s:2:\"pt\";s:10:\"Portuguese\";}s:29:\"shortcode_chat_default_params\";a:36:{s:2:\"id\";s:0:\"\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:7:\"ai_name\";s:4:\"AI: \";s:9:\"user_name\";s:6:\"User: \";s:10:\"guest_name\";s:7:\"Guest: \";s:8:\"sys_name\";s:8:\"System: \";s:14:\"start_sentence\";s:23:\"Hi! How can I help you?\";s:9:\"text_send\";s:4:\"Send\";s:10:\"text_clear\";s:5:\"Clear\";s:22:\"text_input_placeholder\";s:20:\"Type your message...\";s:20:\"text_input_maxlength\";s:3:\"512\";s:15:\"text_compliance\";s:0:\"\";s:12:\"max_messages\";i:15;s:5:\"style\";s:7:\"chatgpt\";s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:9:\"icon_text\";s:0:\"\";s:8:\"icon_alt\";s:17:\"AI Chatbot Avatar\";s:13:\"icon_position\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:11:\"copy_button\";b:0;s:12:\"local_memory\";b:1;s:19:\"casually_fine_tuned\";b:0;s:13:\"content_aware\";b:0;s:16:\"embeddings_index\";s:0:\"\";s:13:\"prompt_ending\";N;s:17:\"completion_ending\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:10:\"max_tokens\";i:1024;s:11:\"max_results\";i:1;s:7:\"api_key\";N;s:7:\"service\";s:6:\"openai\";}s:16:\"chatbot_defaults\";a:34:{s:6:\"aiName\";s:4:\"AI: \";s:8:\"userName\";s:6:\"User: \";s:9:\"guestName\";s:7:\"Guest: \";s:8:\"textSend\";s:4:\"Send\";s:9:\"textClear\";s:5:\"Clear\";s:20:\"textInputPlaceholder\";s:20:\"Type your message...\";s:18:\"textInputMaxLength\";i:512;s:14:\"textCompliance\";s:0:\"\";s:13:\"startSentence\";s:23:\"Hi! How can I help you?\";s:12:\"maxSentences\";i:15;s:7:\"themeId\";s:7:\"chatgpt\";s:6:\"window\";b:0;s:4:\"icon\";s:0:\"\";s:8:\"iconText\";s:0:\"\";s:7:\"iconAlt\";s:17:\"AI Chatbot Avatar\";s:12:\"iconPosition\";s:12:\"bottom-right\";s:10:\"fullscreen\";b:0;s:10:\"copyButton\";b:0;s:11:\"localMemory\";b:1;s:5:\"botId\";N;s:7:\"context\";s:63:\"Converse as if you were an AI assistant. Be friendly, creative.\";s:3:\"env\";s:7:\"chatbot\";s:4:\"mode\";s:4:\"chat\";s:12:\"contentAware\";b:0;s:15:\"embeddingsIndex\";s:0:\"\";s:17:\"casuallyFineTuned\";b:0;s:12:\"promptEnding\";N;s:16:\"completionEnding\";N;s:5:\"model\";s:13:\"gpt-3.5-turbo\";s:11:\"temperature\";d:0.8;s:9:\"maxTokens\";i:1024;s:10:\"maxResults\";i:1;s:6:\"apiKey\";N;s:7:\"service\";s:6:\"openai\";}s:14:\"default_limits\";a:4:{s:7:\"enabled\";b:1;s:6:\"guests\";a:5:{s:7:\"credits\";i:3;s:10:\"creditType\";s:7:\"queries\";s:9:\"timeFrame\";s:3:\"day\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";}s:5:\"users\";a:6:{s:7:\"credits\";i:10;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:27:\"You have reached the limit.\";s:12:\"ignoredUsers\";s:20:\"administrator,editor\";}s:6:\"system\";a:6:{s:7:\"credits\";i:20;s:10:\"creditType\";s:5:\"price\";s:9:\"timeFrame\";s:5:\"month\";s:10:\"isAbsolute\";b:0;s:16:\"overLimitMessage\";s:50:\"Our chatbot went to sleep. Please try again later.\";s:12:\"ignoredUsers\";s:0:\"\";}}}", "no");
INSERT INTO `wp_options` VALUES("183", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("188", "duplicate_post_show_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("189", "duplicate_post_copytitle", "1", "yes");
INSERT INTO `wp_options` VALUES("190", "duplicate_post_copydate", "0", "yes");
INSERT INTO `wp_options` VALUES("191", "duplicate_post_copystatus", "0", "yes");
INSERT INTO `wp_options` VALUES("192", "duplicate_post_copyslug", "0", "yes");
INSERT INTO `wp_options` VALUES("193", "duplicate_post_copyexcerpt", "1", "yes");
INSERT INTO `wp_options` VALUES("194", "duplicate_post_copycontent", "1", "yes");
INSERT INTO `wp_options` VALUES("195", "duplicate_post_copythumbnail", "1", "yes");
INSERT INTO `wp_options` VALUES("196", "duplicate_post_copytemplate", "1", "yes");
INSERT INTO `wp_options` VALUES("197", "duplicate_post_copyformat", "1", "yes");
INSERT INTO `wp_options` VALUES("198", "duplicate_post_copyauthor", "0", "yes");
INSERT INTO `wp_options` VALUES("199", "duplicate_post_copypassword", "0", "yes");
INSERT INTO `wp_options` VALUES("200", "duplicate_post_copyattachments", "0", "yes");
INSERT INTO `wp_options` VALUES("201", "duplicate_post_copychildren", "0", "yes");
INSERT INTO `wp_options` VALUES("202", "duplicate_post_copycomments", "0", "yes");
INSERT INTO `wp_options` VALUES("203", "duplicate_post_copymenuorder", "1", "yes");
INSERT INTO `wp_options` VALUES("204", "duplicate_post_taxonomies_blacklist", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("205", "duplicate_post_blacklist", "", "yes");
INSERT INTO `wp_options` VALUES("206", "duplicate_post_types_enabled", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("207", "duplicate_post_show_original_column", "0", "yes");
INSERT INTO `wp_options` VALUES("208", "duplicate_post_show_original_in_post_states", "0", "yes");
INSERT INTO `wp_options` VALUES("209", "duplicate_post_show_original_meta_box", "0", "yes");
INSERT INTO `wp_options` VALUES("210", "duplicate_post_show_link", "a:3:{s:9:\"new_draft\";s:1:\"1\";s:5:\"clone\";s:1:\"1\";s:17:\"rewrite_republish\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("211", "duplicate_post_show_link_in", "a:4:{s:3:\"row\";s:1:\"1\";s:8:\"adminbar\";s:1:\"1\";s:9:\"submitbox\";s:1:\"1\";s:11:\"bulkactions\";s:1:\"1\";}", "yes");
INSERT INTO `wp_options` VALUES("212", "duplicate_post_version", "4.5", "yes");
INSERT INTO `wp_options` VALUES("221", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("253", "fs_active_plugins", "O:8:\"stdClass\":0:{}", "yes");
INSERT INTO `wp_options` VALUES("254", "fs_debug_mode", "", "yes");
INSERT INTO `wp_options` VALUES("255", "fs_accounts", "a:6:{s:21:\"id_slug_type_path_map\";a:1:{i:1010;a:3:{s:4:\"slug\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";s:4:\"type\";s:6:\"plugin\";s:4:\"path\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";}}s:11:\"plugin_data\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";a:16:{s:16:\"plugin_main_file\";O:8:\"stdClass\":1:{s:4:\"path\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";}s:20:\"is_network_activated\";b:0;s:17:\"install_timestamp\";i:1686414151;s:17:\"was_plugin_loaded\";b:1;s:21:\"is_plugin_new_install\";b:1;s:16:\"sdk_last_version\";N;s:11:\"sdk_version\";s:5:\"2.5.6\";s:16:\"sdk_upgrade_mode\";b:1;s:18:\"sdk_downgrade_mode\";b:0;s:19:\"plugin_last_version\";N;s:14:\"plugin_version\";s:6:\"2.25.2\";s:19:\"plugin_upgrade_mode\";b:1;s:21:\"plugin_downgrade_mode\";b:0;s:17:\"connectivity_test\";a:6:{s:12:\"is_connected\";N;s:4:\"host\";s:14:\"localhost:8888\";s:9:\"server_ip\";s:3:\"::1\";s:9:\"is_active\";b:1;s:9:\"timestamp\";i:1686414151;s:7:\"version\";s:6:\"2.25.2\";}s:15:\"prev_is_premium\";b:0;s:12:\"is_anonymous\";a:3:{s:2:\"is\";b:1;s:9:\"timestamp\";i:1686414160;s:7:\"version\";s:6:\"2.25.2\";}}}s:13:\"file_slug_map\";a:1:{s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";}s:7:\"plugins\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";O:9:\"FS_Plugin\":24:{s:2:\"id\";s:4:\"1010\";s:7:\"updated\";N;s:7:\"created\";N;s:22:\"\0FS_Entity\0_is_updated\";b:0;s:10:\"public_key\";s:32:\"pk_ec1c7da603c0772f1bfe276efb715\";s:10:\"secret_key\";N;s:16:\"parent_plugin_id\";N;s:5:\"title\";s:28:\"WP Sheet Editor - Post Types\";s:4:\"slug\";s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";s:12:\"premium_slug\";s:23:\"wp-sheet-editor-premium\";s:4:\"type\";s:6:\"plugin\";s:20:\"affiliate_moderation\";b:0;s:19:\"is_wp_org_compliant\";b:1;s:22:\"premium_releases_count\";N;s:4:\"file\";s:79:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages/wp-sheet-editor.php\";s:7:\"version\";s:6:\"2.25.2\";s:11:\"auto_update\";N;s:4:\"info\";N;s:10:\"is_premium\";b:0;s:14:\"premium_suffix\";s:9:\"(Premium)\";s:7:\"is_live\";b:1;s:9:\"bundle_id\";N;s:17:\"bundle_public_key\";N;s:17:\"opt_in_moderation\";N;}}s:9:\"unique_id\";s:32:\"a90b2ee68ebebfc63fd5236736434634\";s:13:\"admin_notices\";a:1:{s:59:\"wp-sheet-editor-bulk-spreadsheet-editor-for-posts-and-pages\";a:0:{}}}", "yes");
INSERT INTO `wp_options` VALUES("256", "fs_api_cache", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("259", "vg_sheet_editor", "a:9:{s:8:\"last_tab\";N;s:13:\"be_post_types\";a:1:{i:0;s:4:\"post\";}s:17:\"be_posts_per_page\";i:20;s:23:\"be_load_items_on_scroll\";i:1;s:19:\"be_fix_columns_left\";i:2;s:22:\"be_posts_per_page_save\";i:4;s:26:\"be_timeout_between_batches\";i:6;s:23:\"be_disable_post_actions\";i:0;s:30:\"be_disable_full_screen_mode_on\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("260", "vgse_can_edit_cpt_free", "1", "yes");
INSERT INTO `wp_options` VALUES("261", "vgse_columns_visibility", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("262", "vgse_columns_visibility_migrated", "1", "yes");
INSERT INTO `wp_options` VALUES("263", "vgse_welcome_redirect", "no", "yes");
INSERT INTO `wp_options` VALUES("264", "vgse_hide_whats_new_2.25.2", "yes", "yes");
INSERT INTO `wp_options` VALUES("265", "vgse_disable_quick_setup", "1", "yes");
INSERT INTO `wp_options` VALUES("268", "vgse_hide_extensions_popup", "1", "yes");
INSERT INTO `wp_options` VALUES("272", "vgse_editions_counter", "53", "yes");
INSERT INTO `wp_options` VALUES("273", "vgse_processed_counter", "16", "yes");
INSERT INTO `wp_options` VALUES("288", "generate_header_helper", "current", "yes");
INSERT INTO `wp_options` VALUES("289", "generate_spacing_settings", "a:2:{s:10:\"header_top\";i:20;s:13:\"header_bottom\";i:20;}", "yes");
INSERT INTO `wp_options` VALUES("322", "site_logo", "447", "yes");
INSERT INTO `wp_options` VALUES("380", "duplicator_version_plugin", "1.5.5.1", "yes");
INSERT INTO `wp_options` VALUES("382", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("383", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("385", "duplicator_activated", "a:1:{s:4:\"lite\";i:1686511904;}", "yes");
INSERT INTO `wp_options` VALUES("387", "duplicator_pro_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("388", "duplicator_activate_plugins_after_installation", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("425", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("430", "WPLANG", "", "yes");
INSERT INTO `wp_options` VALUES("431", "new_admin_email", "kevinmc@shaw.ca", "yes");
INSERT INTO `wp_options` VALUES("455", "theme_mods_twentytwenty", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686602896;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("504", "generate_dynamic_css_output", "body{background-color:var(--base-2);color:var(--contrast);}a{color:var(--accent);}a{text-decoration:underline;}.entry-title a, .site-branding a, a.button, .wp-block-button__link, .main-navigation a{text-decoration:none;}a:hover, a:focus, a:active{color:var(--contrast);}.wp-block-group__inner-container{max-width:1200px;margin-left:auto;margin-right:auto;}:root{--contrast:#222222;--contrast-2:#575760;--contrast-3:#b2b2be;--base:#f0f0f0;--base-2:#f7f8f9;--base-3:#ffffff;--accent:#1e73be;}:root .has-contrast-color{color:var(--contrast);}:root .has-contrast-background-color{background-color:var(--contrast);}:root .has-contrast-2-color{color:var(--contrast-2);}:root .has-contrast-2-background-color{background-color:var(--contrast-2);}:root .has-contrast-3-color{color:var(--contrast-3);}:root .has-contrast-3-background-color{background-color:var(--contrast-3);}:root .has-base-color{color:var(--base);}:root .has-base-background-color{background-color:var(--base);}:root .has-base-2-color{color:var(--base-2);}:root .has-base-2-background-color{background-color:var(--base-2);}:root .has-base-3-color{color:var(--base-3);}:root .has-base-3-background-color{background-color:var(--base-3);}:root .has-accent-color{color:var(--accent);}:root .has-accent-background-color{background-color:var(--accent);}.top-bar{background-color:#636363;color:#ffffff;}.top-bar a{color:#ffffff;}.top-bar a:hover{color:#303030;}.site-header{background-color:var(--base-3);}.main-title a,.main-title a:hover{color:var(--contrast);}.site-description{color:var(--contrast-2);}.mobile-menu-control-wrapper .menu-toggle,.mobile-menu-control-wrapper .menu-toggle:hover,.mobile-menu-control-wrapper .menu-toggle:focus,.has-inline-mobile-toggle #site-navigation.toggled{background-color:rgba(0, 0, 0, 0.02);}.main-navigation,.main-navigation ul ul{background-color:var(--base-3);}.main-navigation .main-nav ul li a, .main-navigation .menu-toggle, .main-navigation .menu-bar-items{color:var(--contrast);}.main-navigation .main-nav ul li:not([class*=\"current-menu-\"]):hover > a, .main-navigation .main-nav ul li:not([class*=\"current-menu-\"]):focus > a, .main-navigation .main-nav ul li.sfHover:not([class*=\"current-menu-\"]) > a, .main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a{color:var(--accent);}button.menu-toggle:hover,button.menu-toggle:focus{color:var(--contrast);}.main-navigation .main-nav ul li[class*=\"current-menu-\"] > a{color:var(--accent);}.navigation-search input[type=\"search\"],.navigation-search input[type=\"search\"]:active, .navigation-search input[type=\"search\"]:focus, .main-navigation .main-nav ul li.search-item.active > a, .main-navigation .menu-bar-items .search-item.active > a{color:var(--accent);}.main-navigation ul ul{background-color:var(--base);}.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .one-container .container, .separate-containers .paging-navigation, .inside-page-header{background-color:var(--base-3);}.entry-title a{color:var(--contrast);}.entry-title a:hover{color:var(--contrast-2);}.entry-meta{color:var(--contrast-2);}.sidebar .widget{background-color:var(--base-3);}.footer-widgets{background-color:var(--base-3);}.site-info{background-color:var(--base-3);}input[type=\"text\"],input[type=\"email\"],input[type=\"url\"],input[type=\"password\"],input[type=\"search\"],input[type=\"tel\"],input[type=\"number\"],textarea,select{color:var(--contrast);background-color:var(--base-2);border-color:var(--base);}input[type=\"text\"]:focus,input[type=\"email\"]:focus,input[type=\"url\"]:focus,input[type=\"password\"]:focus,input[type=\"search\"]:focus,input[type=\"tel\"]:focus,input[type=\"number\"]:focus,textarea:focus,select:focus{color:var(--contrast);background-color:var(--base-2);border-color:var(--contrast-3);}button,html input[type=\"button\"],input[type=\"reset\"],input[type=\"submit\"],a.button,a.wp-block-button__link:not(.has-background){color:#ffffff;background-color:#55555e;}button:hover,html input[type=\"button\"]:hover,input[type=\"reset\"]:hover,input[type=\"submit\"]:hover,a.button:hover,button:focus,html input[type=\"button\"]:focus,input[type=\"reset\"]:focus,input[type=\"submit\"]:focus,a.button:focus,a.wp-block-button__link:not(.has-background):active,a.wp-block-button__link:not(.has-background):focus,a.wp-block-button__link:not(.has-background):hover{color:#ffffff;background-color:#3f4047;}a.generate-back-to-top{background-color:rgba( 0,0,0,0.4 );color:#ffffff;}a.generate-back-to-top:hover,a.generate-back-to-top:focus{background-color:rgba( 0,0,0,0.6 );color:#ffffff;}:root{--gp-search-modal-bg-color:var(--base-3);--gp-search-modal-text-color:var(--contrast);--gp-search-modal-overlay-bg-color:rgba(0,0,0,0.2);}@media (max-width:768px){.main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a{background:none;color:var(--contrast);}}.nav-below-header .main-navigation .inside-navigation.grid-container, .nav-above-header .main-navigation .inside-navigation.grid-container{padding:0px 20px 0px 20px;}.site-main .wp-block-group__inner-container{padding:40px;}.separate-containers .paging-navigation{padding-top:20px;padding-bottom:20px;}.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull{margin-left:-40px;width:calc(100% + 80px);max-width:calc(100% + 80px);}.rtl .menu-item-has-children .dropdown-menu-toggle{padding-left:20px;}.rtl .main-navigation .main-nav ul li.menu-item-has-children > a{padding-right:20px;}@media (max-width:768px){.separate-containers .inside-article, .separate-containers .comments-area, .separate-containers .page-header, .separate-containers .paging-navigation, .one-container .site-content, .inside-page-header{padding:30px;}.site-main .wp-block-group__inner-container{padding:30px;}.inside-top-bar{padding-right:30px;padding-left:30px;}.inside-header{padding-right:30px;padding-left:30px;}.widget-area .widget{padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px;}.footer-widgets-container{padding-top:30px;padding-right:30px;padding-bottom:30px;padding-left:30px;}.inside-site-info{padding-right:30px;padding-left:30px;}.entry-content .alignwide, body:not(.no-sidebar) .entry-content .alignfull{margin-left:-30px;width:calc(100% + 60px);max-width:calc(100% + 60px);}.one-container .site-main .paging-navigation{margin-bottom:20px;}}", "yes");
INSERT INTO `wp_options` VALUES("505", "generate_dynamic_css_cached_version", "3.3.0", "yes");
INSERT INTO `wp_options` VALUES("511", "theme_mods_neve", "a:10:{i:0;b:0;s:30:\"neve_auto_migrated_to_new_skin\";b:1;s:19:\"neve_ran_migrations\";b:1;s:22:\"neve_migrated_builders\";b:1;s:13:\"neve_new_skin\";s:3:\"new\";s:24:\"neve_migrated_hfg_colors\";b:1;s:18:\"nav_menu_locations\";a:0:{}s:13:\"ti_prev_theme\";s:17:\"twentytwentythree\";s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1686811047;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("512", "neve_install", "1686810989", "yes");
INSERT INTO `wp_options` VALUES("517", "neve_user_check_time", "1686810989", "yes");
INSERT INTO `wp_options` VALUES("518", "neve_new_user", "yes", "yes");
INSERT INTO `wp_options` VALUES("542", "duplicator_notifications", "a:4:{s:6:\"update\";i:1691780247;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("551", "theme_mods_irishpassport", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1691780640;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("658", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("661", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:15:\"kevinmc@shaw.ca\";s:7:\"version\";s:3:\"6.3\";s:9:\"timestamp\";i:1691688635;}", "no");
INSERT INTO `wp_options` VALUES("719", "duplicator_migration_data", "{\n    \"time\": 1691780238,\n    \"installType\": -1,\n    \"restoreBackupMode\": false,\n    \"recoveryMode\": false,\n    \"archivePath\": \"\\/Applications\\/MAMP\\/htdocs\\/AAAAAAA-FINAL-EXAM\\/Irish-Passport-Replication\\/20230804_irishpassport_almost_complete_b2205b1e7998caae2820_20230810200610_archive.zip\",\n    \"packageHash\": \"b2205b1-10200610\",\n    \"installerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/AAAAAAA-FINAL-EXAM\\/Irish-Passport-Replication\\/installer.php\",\n    \"installerBootLog\": \"\\/Applications\\/MAMP\\/htdocs\\/AAAAAAA-FINAL-EXAM\\/Irish-Passport-Replication\\/dup-installer-bootlog__93f7995-10200610.txt\",\n    \"installerLog\": \"\\/Applications\\/MAMP\\/htdocs\\/AAAAAAA-FINAL-EXAM\\/Irish-Passport-Replication\\/dup-installer\\/dup-installer-log__93f7995-10200610.txt\",\n    \"dupInstallerPath\": \"\\/Applications\\/MAMP\\/htdocs\\/AAAAAAA-FINAL-EXAM\\/Irish-Passport-Replication\\/dup-installer\",\n    \"origFileFolderPath\": \"\\/Applications\\/MAMP\\/htdocs\\/AAAAAAA-FINAL-EXAM\\/Irish-Passport-Replication\\/dup-installer\\/original_files_b2205b1-10200610\",\n    \"safeMode\": 0,\n    \"cleanInstallerFiles\": true\n}", "no");
INSERT INTO `wp_options` VALUES("720", "_transient_wp_core_block_css_files", "a:496:{i:0;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/editor-rtl.css\";i:1;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/editor-rtl.min.css\";i:2;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/editor.css\";i:3;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/editor.min.css\";i:4;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/style-rtl.css\";i:5;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/style-rtl.min.css\";i:6;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/style.css\";i:7;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/archives/style.min.css\";i:8;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/editor-rtl.css\";i:9;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/editor-rtl.min.css\";i:10;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/editor.css\";i:11;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/editor.min.css\";i:12;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/style-rtl.css\";i:13;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/style-rtl.min.css\";i:14;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/style.css\";i:15;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/style.min.css\";i:16;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/theme-rtl.css\";i:17;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/theme-rtl.min.css\";i:18;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/theme.css\";i:19;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/audio/theme.min.css\";i:20;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/editor-rtl.css\";i:21;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/editor-rtl.min.css\";i:22;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/editor.css\";i:23;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/editor.min.css\";i:24;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/style-rtl.css\";i:25;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/style-rtl.min.css\";i:26;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/style.css\";i:27;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/avatar/style.min.css\";i:28;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/block/editor-rtl.css\";i:29;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/block/editor-rtl.min.css\";i:30;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/block/editor.css\";i:31;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/block/editor.min.css\";i:32;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/editor-rtl.css\";i:33;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/editor-rtl.min.css\";i:34;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/editor.css\";i:35;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/editor.min.css\";i:36;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/style-rtl.css\";i:37;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/style-rtl.min.css\";i:38;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/style.css\";i:39;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/button/style.min.css\";i:40;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/editor-rtl.css\";i:41;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/editor-rtl.min.css\";i:42;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/editor.css\";i:43;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/editor.min.css\";i:44;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/style-rtl.css\";i:45;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/style-rtl.min.css\";i:46;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/style.css\";i:47;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/buttons/style.min.css\";i:48;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/calendar/style-rtl.css\";i:49;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/calendar/style-rtl.min.css\";i:50;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/calendar/style.css\";i:51;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/calendar/style.min.css\";i:52;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/editor-rtl.css\";i:53;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/editor-rtl.min.css\";i:54;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/editor.css\";i:55;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/editor.min.css\";i:56;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/style-rtl.css\";i:57;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/style-rtl.min.css\";i:58;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/style.css\";i:59;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/categories/style.min.css\";i:60;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/editor-rtl.css\";i:61;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/editor-rtl.min.css\";i:62;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/editor.css\";i:63;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/editor.min.css\";i:64;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/style-rtl.css\";i:65;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/style-rtl.min.css\";i:66;s:105:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/style.css\";i:67;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/style.min.css\";i:68;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/theme-rtl.css\";i:69;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/theme-rtl.min.css\";i:70;s:105:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/theme.css\";i:71;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/code/theme.min.css\";i:72;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/editor-rtl.css\";i:73;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/editor-rtl.min.css\";i:74;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/editor.css\";i:75;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/editor.min.css\";i:76;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/style-rtl.css\";i:77;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/style-rtl.min.css\";i:78;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/style.css\";i:79;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/columns/style.min.css\";i:80;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-content/style-rtl.css\";i:81;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-content/style-rtl.min.css\";i:82;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-content/style.css\";i:83;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-content/style.min.css\";i:84;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-template/style-rtl.css\";i:85;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-template/style-rtl.min.css\";i:86;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-template/style.css\";i:87;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comment-template/style.min.css\";i:88;s:133:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination-numbers/editor-rtl.css\";i:89;s:137:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination-numbers/editor-rtl.min.css\";i:90;s:129:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination-numbers/editor.css\";i:91;s:133:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination-numbers/editor.min.css\";i:92;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/editor-rtl.css\";i:93;s:129:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/editor-rtl.min.css\";i:94;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/editor.css\";i:95;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/editor.min.css\";i:96;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/style-rtl.css\";i:97;s:128:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/style-rtl.min.css\";i:98;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/style.css\";i:99;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-pagination/style.min.css\";i:100;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-title/editor-rtl.css\";i:101;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-title/editor-rtl.min.css\";i:102;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-title/editor.css\";i:103;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments-title/editor.min.css\";i:104;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/editor-rtl.css\";i:105;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/editor-rtl.min.css\";i:106;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/editor.css\";i:107;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/editor.min.css\";i:108;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/style-rtl.css\";i:109;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/style-rtl.min.css\";i:110;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/style.css\";i:111;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/comments/style.min.css\";i:112;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/editor-rtl.css\";i:113;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/editor-rtl.min.css\";i:114;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/editor.css\";i:115;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/editor.min.css\";i:116;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/style-rtl.css\";i:117;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/style-rtl.min.css\";i:118;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/style.css\";i:119;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/cover/style.min.css\";i:120;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/editor-rtl.css\";i:121;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/editor-rtl.min.css\";i:122;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/editor.css\";i:123;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/editor.min.css\";i:124;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/style-rtl.css\";i:125;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/style-rtl.min.css\";i:126;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/style.css\";i:127;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/details/style.min.css\";i:128;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/editor-rtl.css\";i:129;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/editor-rtl.min.css\";i:130;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/editor.css\";i:131;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/editor.min.css\";i:132;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/style-rtl.css\";i:133;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/style-rtl.min.css\";i:134;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/style.css\";i:135;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/style.min.css\";i:136;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/theme-rtl.css\";i:137;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/theme-rtl.min.css\";i:138;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/theme.css\";i:139;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/embed/theme.min.css\";i:140;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/editor-rtl.css\";i:141;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/editor-rtl.min.css\";i:142;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/editor.css\";i:143;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/editor.min.css\";i:144;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/style-rtl.css\";i:145;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/style-rtl.min.css\";i:146;s:105:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/style.css\";i:147;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/file/style.min.css\";i:148;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/footnotes/style-rtl.css\";i:149;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/footnotes/style-rtl.min.css\";i:150;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/footnotes/style.css\";i:151;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/footnotes/style.min.css\";i:152;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/freeform/editor-rtl.css\";i:153;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/freeform/editor-rtl.min.css\";i:154;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/freeform/editor.css\";i:155;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/freeform/editor.min.css\";i:156;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/editor-rtl.css\";i:157;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/editor-rtl.min.css\";i:158;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/editor.css\";i:159;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/editor.min.css\";i:160;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/style-rtl.css\";i:161;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/style-rtl.min.css\";i:162;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/style.css\";i:163;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/style.min.css\";i:164;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/theme-rtl.css\";i:165;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/theme-rtl.min.css\";i:166;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/theme.css\";i:167;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/gallery/theme.min.css\";i:168;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/editor-rtl.css\";i:169;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/editor-rtl.min.css\";i:170;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/editor.css\";i:171;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/editor.min.css\";i:172;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/style-rtl.css\";i:173;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/style-rtl.min.css\";i:174;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/style.css\";i:175;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/style.min.css\";i:176;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/theme-rtl.css\";i:177;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/theme-rtl.min.css\";i:178;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/theme.css\";i:179;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/group/theme.min.css\";i:180;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/heading/style-rtl.css\";i:181;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/heading/style-rtl.min.css\";i:182;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/heading/style.css\";i:183;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/heading/style.min.css\";i:184;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/html/editor-rtl.css\";i:185;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/html/editor-rtl.min.css\";i:186;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/html/editor.css\";i:187;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/html/editor.min.css\";i:188;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/editor-rtl.css\";i:189;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/editor-rtl.min.css\";i:190;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/editor.css\";i:191;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/editor.min.css\";i:192;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/style-rtl.css\";i:193;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/style-rtl.min.css\";i:194;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/style.css\";i:195;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/style.min.css\";i:196;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/theme-rtl.css\";i:197;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/theme-rtl.min.css\";i:198;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/theme.css\";i:199;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/image/theme.min.css\";i:200;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-comments/style-rtl.css\";i:201;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-comments/style-rtl.min.css\";i:202;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-comments/style.css\";i:203;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-comments/style.min.css\";i:204;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/editor-rtl.css\";i:205;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/editor-rtl.min.css\";i:206;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/editor.css\";i:207;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/editor.min.css\";i:208;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/style-rtl.css\";i:209;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/style-rtl.min.css\";i:210;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/style.css\";i:211;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/latest-posts/style.min.css\";i:212;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/list/style-rtl.css\";i:213;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/list/style-rtl.min.css\";i:214;s:105:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/list/style.css\";i:215;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/list/style.min.css\";i:216;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/editor-rtl.css\";i:217;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/editor-rtl.min.css\";i:218;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/editor.css\";i:219;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/editor.min.css\";i:220;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/style-rtl.css\";i:221;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/style-rtl.min.css\";i:222;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/style.css\";i:223;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/media-text/style.min.css\";i:224;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/more/editor-rtl.css\";i:225;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/more/editor-rtl.min.css\";i:226;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/more/editor.css\";i:227;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/more/editor.min.css\";i:228;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/editor-rtl.css\";i:229;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/editor-rtl.min.css\";i:230;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/editor.css\";i:231;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/editor.min.css\";i:232;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/style-rtl.css\";i:233;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/style-rtl.min.css\";i:234;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/style.css\";i:235;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-link/style.min.css\";i:236;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-submenu/editor-rtl.css\";i:237;s:128:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-submenu/editor-rtl.min.css\";i:238;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-submenu/editor.css\";i:239;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation-submenu/editor.min.css\";i:240;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/editor-rtl.css\";i:241;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/editor-rtl.min.css\";i:242;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/editor.css\";i:243;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/editor.min.css\";i:244;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/style-rtl.css\";i:245;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/style-rtl.min.css\";i:246;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/style.css\";i:247;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/navigation/style.min.css\";i:248;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/nextpage/editor-rtl.css\";i:249;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/nextpage/editor-rtl.min.css\";i:250;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/nextpage/editor.css\";i:251;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/nextpage/editor.min.css\";i:252;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/editor-rtl.css\";i:253;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/editor-rtl.min.css\";i:254;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/editor.css\";i:255;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/editor.min.css\";i:256;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/style-rtl.css\";i:257;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/style-rtl.min.css\";i:258;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/style.css\";i:259;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/page-list/style.min.css\";i:260;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/editor-rtl.css\";i:261;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/editor-rtl.min.css\";i:262;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/editor.css\";i:263;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/editor.min.css\";i:264;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/style-rtl.css\";i:265;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/style-rtl.min.css\";i:266;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/style.css\";i:267;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/paragraph/style.min.css\";i:268;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-author/style-rtl.css\";i:269;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-author/style-rtl.min.css\";i:270;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-author/style.css\";i:271;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-author/style.min.css\";i:272;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/editor-rtl.css\";i:273;s:128:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/editor-rtl.min.css\";i:274;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/editor.css\";i:275;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/editor.min.css\";i:276;s:123:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/style-rtl.css\";i:277;s:127:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/style-rtl.min.css\";i:278;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/style.css\";i:279;s:123:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-comments-form/style.min.css\";i:280;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-date/style-rtl.css\";i:281;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-date/style-rtl.min.css\";i:282;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-date/style.css\";i:283;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-date/style.min.css\";i:284;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/editor-rtl.css\";i:285;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/editor-rtl.min.css\";i:286;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/editor.css\";i:287;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/editor.min.css\";i:288;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/style-rtl.css\";i:289;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/style-rtl.min.css\";i:290;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/style.css\";i:291;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-excerpt/style.min.css\";i:292;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/editor-rtl.css\";i:293;s:129:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/editor-rtl.min.css\";i:294;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/editor.css\";i:295;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/editor.min.css\";i:296;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/style-rtl.css\";i:297;s:128:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/style-rtl.min.css\";i:298;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/style.css\";i:299;s:124:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-featured-image/style.min.css\";i:300;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-navigation-link/style-rtl.css\";i:301;s:129:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-navigation-link/style-rtl.min.css\";i:302;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-navigation-link/style.css\";i:303;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-navigation-link/style.min.css\";i:304;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/editor-rtl.css\";i:305;s:123:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/editor-rtl.min.css\";i:306;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/editor.css\";i:307;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/editor.min.css\";i:308;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/style-rtl.css\";i:309;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/style-rtl.min.css\";i:310;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/style.css\";i:311;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-template/style.min.css\";i:312;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-terms/style-rtl.css\";i:313;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-terms/style-rtl.min.css\";i:314;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-terms/style.css\";i:315;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-terms/style.min.css\";i:316;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-title/style-rtl.css\";i:317;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-title/style-rtl.min.css\";i:318;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-title/style.css\";i:319;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/post-title/style.min.css\";i:320;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/preformatted/style-rtl.css\";i:321;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/preformatted/style-rtl.min.css\";i:322;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/preformatted/style.css\";i:323;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/preformatted/style.min.css\";i:324;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/editor-rtl.css\";i:325;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/editor-rtl.min.css\";i:326;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/editor.css\";i:327;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/editor.min.css\";i:328;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/style-rtl.css\";i:329;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/style-rtl.min.css\";i:330;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/style.css\";i:331;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/style.min.css\";i:332;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/theme-rtl.css\";i:333;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/theme-rtl.min.css\";i:334;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/theme.css\";i:335;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/pullquote/theme.min.css\";i:336;s:130:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination-numbers/editor-rtl.css\";i:337;s:134:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination-numbers/editor-rtl.min.css\";i:338;s:126:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination-numbers/editor.css\";i:339;s:130:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination-numbers/editor.min.css\";i:340;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/editor-rtl.css\";i:341;s:126:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/editor-rtl.min.css\";i:342;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/editor.css\";i:343;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/editor.min.css\";i:344;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/style-rtl.css\";i:345;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/style-rtl.min.css\";i:346;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/style.css\";i:347;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-pagination/style.min.css\";i:348;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-title/style-rtl.css\";i:349;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-title/style-rtl.min.css\";i:350;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-title/style.css\";i:351;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query-title/style.min.css\";i:352;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query/editor-rtl.css\";i:353;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query/editor-rtl.min.css\";i:354;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query/editor.css\";i:355;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/query/editor.min.css\";i:356;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/style-rtl.css\";i:357;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/style-rtl.min.css\";i:358;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/style.css\";i:359;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/style.min.css\";i:360;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/theme-rtl.css\";i:361;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/theme-rtl.min.css\";i:362;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/theme.css\";i:363;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/quote/theme.min.css\";i:364;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/read-more/style-rtl.css\";i:365;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/read-more/style-rtl.min.css\";i:366;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/read-more/style.css\";i:367;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/read-more/style.min.css\";i:368;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/editor-rtl.css\";i:369;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/editor-rtl.min.css\";i:370;s:105:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/editor.css\";i:371;s:109:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/editor.min.css\";i:372;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/style-rtl.css\";i:373;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/style-rtl.min.css\";i:374;s:104:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/style.css\";i:375;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/rss/style.min.css\";i:376;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/editor-rtl.css\";i:377;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/editor-rtl.min.css\";i:378;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/editor.css\";i:379;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/editor.min.css\";i:380;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/style-rtl.css\";i:381;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/style-rtl.min.css\";i:382;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/style.css\";i:383;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/style.min.css\";i:384;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/theme-rtl.css\";i:385;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/theme-rtl.min.css\";i:386;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/theme.css\";i:387;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/search/theme.min.css\";i:388;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/editor-rtl.css\";i:389;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/editor-rtl.min.css\";i:390;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/editor.css\";i:391;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/editor.min.css\";i:392;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/style-rtl.css\";i:393;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/style-rtl.min.css\";i:394;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/style.css\";i:395;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/style.min.css\";i:396;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/theme-rtl.css\";i:397;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/theme-rtl.min.css\";i:398;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/theme.css\";i:399;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/separator/theme.min.css\";i:400;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/shortcode/editor-rtl.css\";i:401;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/shortcode/editor-rtl.min.css\";i:402;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/shortcode/editor.css\";i:403;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/shortcode/editor.min.css\";i:404;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/editor-rtl.css\";i:405;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/editor-rtl.min.css\";i:406;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/editor.css\";i:407;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/editor.min.css\";i:408;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/style-rtl.css\";i:409;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/style-rtl.min.css\";i:410;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/style.css\";i:411;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-logo/style.min.css\";i:412;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-tagline/editor-rtl.css\";i:413;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-tagline/editor-rtl.min.css\";i:414;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-tagline/editor.css\";i:415;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-tagline/editor.min.css\";i:416;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/editor-rtl.css\";i:417;s:120:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/editor-rtl.min.css\";i:418;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/editor.css\";i:419;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/editor.min.css\";i:420;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/style-rtl.css\";i:421;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/style-rtl.min.css\";i:422;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/style.css\";i:423;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/site-title/style.min.css\";i:424;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-link/editor-rtl.css\";i:425;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-link/editor-rtl.min.css\";i:426;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-link/editor.css\";i:427;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-link/editor.min.css\";i:428;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/editor-rtl.css\";i:429;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/editor-rtl.min.css\";i:430;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/editor.css\";i:431;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/editor.min.css\";i:432;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/style-rtl.css\";i:433;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/style-rtl.min.css\";i:434;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/style.css\";i:435;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/social-links/style.min.css\";i:436;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/editor-rtl.css\";i:437;s:116:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/editor-rtl.min.css\";i:438;s:108:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/editor.css\";i:439;s:112:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/editor.min.css\";i:440;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/style-rtl.css\";i:441;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/style-rtl.min.css\";i:442;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/style.css\";i:443;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/spacer/style.min.css\";i:444;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/editor-rtl.css\";i:445;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/editor-rtl.min.css\";i:446;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/editor.css\";i:447;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/editor.min.css\";i:448;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/style-rtl.css\";i:449;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/style-rtl.min.css\";i:450;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/style.css\";i:451;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/style.min.css\";i:452;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/theme-rtl.css\";i:453;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/theme-rtl.min.css\";i:454;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/theme.css\";i:455;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/table/theme.min.css\";i:456;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/tag-cloud/style-rtl.css\";i:457;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/tag-cloud/style-rtl.min.css\";i:458;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/tag-cloud/style.css\";i:459;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/tag-cloud/style.min.css\";i:460;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/editor-rtl.css\";i:461;s:123:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/editor-rtl.min.css\";i:462;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/editor.css\";i:463;s:119:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/editor.min.css\";i:464;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/theme-rtl.css\";i:465;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/theme-rtl.min.css\";i:466;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/theme.css\";i:467;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/template-part/theme.min.css\";i:468;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/term-description/style-rtl.css\";i:469;s:125:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/term-description/style-rtl.min.css\";i:470;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/term-description/style.css\";i:471;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/term-description/style.min.css\";i:472;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/editor-rtl.css\";i:473;s:122:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/editor-rtl.min.css\";i:474;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/editor.css\";i:475;s:118:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/editor.min.css\";i:476;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/style-rtl.css\";i:477;s:121:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/style-rtl.min.css\";i:478;s:113:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/style.css\";i:479;s:117:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/text-columns/style.min.css\";i:480;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/verse/style-rtl.css\";i:481;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/verse/style-rtl.min.css\";i:482;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/verse/style.css\";i:483;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/verse/style.min.css\";i:484;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/editor-rtl.css\";i:485;s:115:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/editor-rtl.min.css\";i:486;s:107:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/editor.css\";i:487;s:111:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/editor.min.css\";i:488;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/style-rtl.css\";i:489;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/style-rtl.min.css\";i:490;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/style.css\";i:491;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/style.min.css\";i:492;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/theme-rtl.css\";i:493;s:114:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/theme-rtl.min.css\";i:494;s:106:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/theme.css\";i:495;s:110:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes/blocks/video/theme.min.css\";}", "yes");
INSERT INTO `wp_options` VALUES("736", "theme_mods_irishpassport-ducky-saved", "a:5:{i:0;b:0;s:19:\"wp_classic_sidebars\";a:6:{s:12:\"blog-sidebar\";a:11:{s:4:\"name\";s:7:\"Sidebar\";s:2:\"id\";s:12:\"blog-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:12:\"shop-sidebar\";a:11:{s:4:\"name\";s:12:\"Shop Sidebar\";s:2:\"id\";s:12:\"shop-sidebar\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-one-widgets\";a:11:{s:4:\"name\";s:10:\"Footer One\";s:2:\"id\";s:18:\"footer-one-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:18:\"footer-two-widgets\";a:11:{s:4:\"name\";s:10:\"Footer Two\";s:2:\"id\";s:18:\"footer-two-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:20:\"footer-three-widgets\";a:11:{s:4:\"name\";s:12:\"Footer Three\";s:2:\"id\";s:20:\"footer-three-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}s:19:\"footer-four-widgets\";a:11:{s:4:\"name\";s:11:\"Footer Four\";s:2:\"id\";s:19:\"footer-four-widgets\";s:11:\"description\";s:0:\"\";s:5:\"class\";s:0:\"\";s:13:\"before_widget\";s:35:\"<div id=\"%1$s\" class=\"widget %2$s\">\";s:12:\"after_widget\";s:6:\"</div>\";s:12:\"before_title\";s:24:\"<p class=\"widget-title\">\";s:11:\"after_title\";s:4:\"</p>\";s:14:\"before_sidebar\";s:0:\"\";s:13:\"after_sidebar\";s:0:\"\";s:12:\"show_in_rest\";b:0;}}s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1691795317;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:7:\"block-8\";i:1;s:7:\"block-9\";i:2;s:8:\"block-10\";i:3;s:8:\"block-11\";i:4;s:8:\"block-21\";i:5;s:8:\"block-17\";}s:12:\"blog-sidebar\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:12:\"shop-sidebar\";a:3:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";i:2;s:8:\"block-22\";}s:18:\"footer-one-widgets\";a:0:{}s:18:\"footer-two-widgets\";a:0:{}s:20:\"footer-three-widgets\";a:0:{}s:19:\"footer-four-widgets\";a:0:{}}}}", "yes");
INSERT INTO `wp_options` VALUES("741", "_site_transient_timeout_browser_3b8d399b56fb9df5592b051fde36c903", "1692390769", "no");
INSERT INTO `wp_options` VALUES("742", "_site_transient_browser_3b8d399b56fb9df5592b051fde36c903", "a:10:{s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:9:\"115.0.0.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:29:\"https://www.google.com/chrome\";s:7:\"img_src\";s:43:\"http://s.w.org/images/browsers/chrome.png?1\";s:11:\"img_src_ssl\";s:44:\"https://s.w.org/images/browsers/chrome.png?1\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("743", "_site_transient_timeout_php_check_ce267f3653936506950ae9448202043a", "1692390769", "no");
INSERT INTO `wp_options` VALUES("744", "_site_transient_php_check_ce267f3653936506950ae9448202043a", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:3:\"7.0\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("745", "_site_transient_timeout_community-events-d41d8cd98f00b204e9800998ecf8427e", "1691838778", "no");
INSERT INTO `wp_options` VALUES("746", "_site_transient_community-events-d41d8cd98f00b204e9800998ecf8427e", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";b:0;}s:6:\"events\";a:2:{i:0;a:10:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:44:\"WordCamp Vancouver, British Columbia, Canada\";s:3:\"url\";s:36:\"https://vancouver.wordcamp.org/2023/\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2023-09-23 00:00:00\";s:8:\"end_date\";s:19:\"2023-09-23 00:00:00\";s:20:\"start_unix_timestamp\";i:1695452400;s:18:\"end_unix_timestamp\";i:1695452400;s:8:\"location\";a:4:{s:8:\"location\";s:35:\"Vancouver, British Columbia, Canada\";s:7:\"country\";s:2:\"CA\";s:8:\"latitude\";d:49.2829261;s:9:\"longitude\";d:-123.1203896;}}i:1;a:10:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:23:\"WordCamp Vancouver 2023\";s:3:\"url\";s:72:\"https://www.meetup.com/vancouver-wordpress-meetup-group/events/294398267\";s:6:\"meetup\";s:36:\"The Vancouver WordPress Meetup Group\";s:10:\"meetup_url\";s:56:\"https://www.meetup.com/vancouver-wordpress-meetup-group/\";s:4:\"date\";s:19:\"2023-09-23 09:00:00\";s:8:\"end_date\";s:19:\"2023-09-23 17:00:00\";s:20:\"start_unix_timestamp\";i:1695484800;s:18:\"end_unix_timestamp\";i:1695513600;s:8:\"location\";a:4:{s:8:\"location\";s:22:\"Vancouver,, BC, Canada\";s:7:\"country\";s:2:\"ca\";s:8:\"latitude\";d:49.282364;s:9:\"longitude\";d:-123.12135;}}}}", "no");
INSERT INTO `wp_options` VALUES("747", "_transient_timeout_feed_9bbd59226dc36b9b26cd43f15694c5c3", "1691829170", "no");
INSERT INTO `wp_options` VALUES("748", "_transient_feed_9bbd59226dc36b9b26cd43f15694c5c3", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"The latest news about WordPress and the WordPress community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2023 22:00:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.4-alpha-56389\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:66:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"WordPress 6.3 “Lionel”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wordpress.org/news/2023/08/lionel/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2023 20:03:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:4:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15718\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:196:\"WordPress 6.3 \"Lionel\" is here! Named after Lionel Hampton, the prolific jazz musician and bandleader, this release was made possible by over 650 contributors. Download WordPress 6.3 Lionel today.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matias Ventura\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:71286:\"\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" fetchpriority=\"high\" width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1024%2C683&#038;ssl=1\" alt=\"\" class=\"wp-image-15794\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1024%2C683&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=300%2C200&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=768%2C512&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1536%2C1024&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=2048%2C1365&amp;ssl=1 2048w, https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?w=3000&amp;ssl=1 3000w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Say hello to WordPress 6.3 “Lionel,” named after <a href=\"https://en.wikipedia.org/wiki/Lionel_Hampton\">Lionel Hampton</a>, the celebrated American jazz artist. A prolific jazz vibraphonist, pianist, and percussionist, Hampton gained notoriety working in harmony with greats from <a href=\"https://en.wikipedia.org/wiki/Charles_Mingus\">Charles Mingus</a> to <a href=\"https://en.wikipedia.org/wiki/Quincy_Jones\">Quincy Jones</a> and as bandleader of the eponymous Lionel Hampton Orchestra. His artistry and charitable work have been recognized with a Grammy, a star on the Hollywood Walk of Fame, and the National Medal of Arts.</p>\n\n\n\n<p>Be sure to turn up the volume of the <a href=\"https://www.youtube.com/channel/UCpfWWFslWSapwL_q16AboSg/featured\">musical stylings</a> of Lionel Hampton as you discover all “Lionel” has to offer.</p>\n\n\n\n<p>With “Lionel” you can create beautiful and compelling websites more efficiently than ever. Whether you want to build an entire site without coding or are a developer looking to customize every detail, WordPress 6.3 has something to pique your interest. As you unpack and explore this latest release, you will discover updated functions and navigation designed to help you work and create with less effort, design tools that give you more control over layout, and added functionality enriching the site-building experience.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-large-font-size\">\n<p class=\"has-extra-large-font-size\">&#8220;Lionel&#8221; marks a major chapter in the evolution of WordPress as a tool for expression. It’s the culmination of years of work from hundreds of contributors, bringing a more powerful and cohesive editing experience for crafting websites with blocks. It continues the quest of making web publishing approachable for everyone—so it’s also just a new beginning!</p>\n<cite>Matías Ventura, WordPress 6.3 Release Lead</cite></blockquote>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.3.zip\">Download WordPress 6.3 &#8220;Lionel&#8221; today</a></div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s inside</h2>\n\n\n\n<p>This momentous release opens new possibilities for the creative expression of designers, creators, and builders. Powerful tools and refined controls give users confidence and allow them to easily manage their sites.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Do everything in the Site Editor</h3>\n\n\n\n<p>WordPress 6.3 brings your content, templates, and patterns together in the Site Editor for the first time. Add pages, browse style variations, create synced patterns, and enjoy fine-tuned control over navigation menus. Spend less time switching across different site areas—so you can focus on what matters most. Creation to completion, all in one place.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image titled: &quot;Do everything in the Site Editor&quot;\" class=\"wp-image-15808\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Do everything in the Site Editor</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Preview Block themes</h3>\n\n\n\n<p>Experience block themes before you switch and preview the Site Editor, with options to customize directly before committing to a new theme.&nbsp;</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image about previewing block themes titled Previewing Themes depicting &quot;Previewing: Organizer&quot;\" class=\"wp-image-15769\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Preview a new block theme before you switch and commit</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Create and sync patterns</h3>\n\n\n\n<p>Arrange blocks and save them to the ‘My Patterns’ section for use throughout your site. You can even specify whether to sync your patterns (previously referred to as “Reusable blocks”) so that one change applies to all parts of your site. Or, utilize patterns as a starting point with the ability to customize each instance.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image showing the new My Patterns section in the CMS.\" class=\"wp-image-15768\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>My patterns: All your patterns in one place</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Work faster with the Command Palette</h3>\n\n\n\n<p>Switch to a specific template or open your editor preferences with a new tool that helps you quickly access expanded functionality. With simple keyboard shortcuts (⌘+k on Mac or Ctrl+k on Windows), clicking the sidebar search icon in Site View, or clicking the Title Bar, get where you need to go and do what you need to do in seconds.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image depicting the new Command Palette\" class=\"wp-image-15763\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Get to know the new Command Palette </em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Sharpen your designs with new tools</h3>\n\n\n\n<p>New design controls bring more versatility for fine-tuning, starting with the ability to customize your captions from the Styles interface without coding. You can manage your duotone filters in Styles for supported blocks and pick from the options provided by your theme or disable them entirely. The Cover block gets added settings for text color, layout controls, and border options, making this powerful block even more handy.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image representing the new design tools in the Site Editor\" class=\"wp-image-15764\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>New design tools</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Track design changes with Style revisions</h3>\n\n\n\n<p>With a new audit trail, you can now see how your site looked at a specific time. Visualize these revisions in a timeline and access a one-click option to restore prior styles.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image titled &quot;Style Revisions&quot;\" class=\"wp-image-15770\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Style revisions: See your style revision history </em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Annotate with the Footnotes block</h3>\n\n\n\n<p>Footnotes add convenient annotations throughout your content. Now you can add and link footnotes for any paragraph.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image depicting the new Footnotes Block\" class=\"wp-image-15766\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Add footnotes effortlessly with the new Footnotes Block</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Show or hide content with the Details block</h3>\n\n\n\n<p>Use the Details block to avoid spoiling a surprise, create an interactive Q&amp;A section, or hide a long paragraph under a heading.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=1024%2C666&#038;ssl=1\" alt=\"Image depicting the new Details Block\" class=\"wp-image-15765\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=1024%2C666&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=300%2C195&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=768%2C499&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /><figcaption class=\"wp-element-caption\"><em>Display or hide content with the new Details Block</em></figcaption></figure>\n\n\n\n<h3 class=\"wp-block-heading\">Performance gets a boost</h3>\n\n\n\n<p>WordPress 6.3 has <a href=\"https://make.wordpress.org/core/2023/08/07/wordpress-6-3-performance-improvements/\">170+ performance updates</a>, including defer and async support for the Scripts API and fetchpriority support for images. These improvements, along with block template resolution, image lazy-loading, and the emoji loader, can dramatically improve your website’s perceived load time.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Accessibility remains a core focus</h3>\n\n\n\n<p>Incorporating more than 50 accessibility improvements across the platform, WordPress 6.3 is more accessible than ever. Improved labeling, optimized tab and arrow-key navigation, revised heading hierarchy, and new controls in the admin image editor allow those using assistive technologies to navigate more easily.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Other highlights</h3>\n\n\n\n<h4 class=\"wp-block-heading\">Set aspect ratio on images</h4>\n\n\n\n<p>Specify your aspect ratios and ensure design integrity, especially when using images in patterns.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build your site distraction-free</h4>\n\n\n\n<p>Distraction-free designing is now available in the Site Editor.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Rediscover the Top Toolbar</h4>\n\n\n\n<p>A revamped Top Toolbar offers parent selectors for nested blocks, options when selecting multiple blocks, and an interface embedded into the title bar with new functionality in mind.</p>\n\n\n\n<h4 class=\"wp-block-heading\">List View improvements</h4>\n\n\n\n<p>Drag and drop to every content layer and delete any block you would like in the updated List View.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build templates with Patterns</h4>\n\n\n\n<p>Create unique patterns to jumpstart template creation with a new modal enabling access to pattern selection.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Changes in PHP support</h4>\n\n\n\n<p>Support for PHP 5 is discontinued. The&nbsp;new minimum supported version&nbsp;of PHP is 7.0.0.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Failed update safeguards</h4>\n\n\n\n<p>WordPress will now auto-restore the previously installed version of plugins or themes if something goes wrong during a failed manual update.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\">Learn more about WordPress and 6.3</h2>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/tutorials/\">Learn WordPress</a> for quick how-to videos, <a href=\"https://learn.wordpress.org/social-learning/\">online workshops</a>, and other resources to level up your knowledge of the latest features in WordPress.&nbsp;</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a> for detailed developer notes to help you build with WordPress and get the most out of the latest release. Read the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-3/\">6.3 release notes</a> for additional technical details about this release, including feature recaps, installation information, file changes, fixes, and updates.</p>\n\n\n\n<p>Read and subscribe to the <a href=\"https://developer.wordpress.org/news/\">Developer Blog</a> for even more helpful WordPress content. </p>\n\n\n\n<p>To accompany this release, a new <a href=\"https://wordpress.org/download/releases/6-3/\">web experience</a> has been created to provide a more visual way of getting acquainted with the many improvements and new features of WordPress 6.3. </p>\n\n\n\n<p>Seeing WordPress 6.3 in action doesn&#8217;t stop there! Be sure to watch this brief <a href=\"https://www.youtube.com/watch?v=6JhJcOLySLY\">overview video</a> to get a taste of the many things &#8220;Lionel&#8221; has to offer.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/6JhJcOLySLY?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress is a global software platform</h2>\n\n\n\n<p><a href=\"https://translate.wordpress.org/stats/\">61 locales have translated 90 percent</a> or more of WordPress 6.3 into their language. Community translators are working hard to ensure more translations are on their way. Thank you, gracias, ありがとう, धन्यवाद, and ευχαριστώ to everyone who helps to make WordPress available in 200 languages.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributing to WordPress</h2>\n\n\n\n<p>WordPress believes in democratizing publishing and <a href=\"https://opensource.org/osd-annotated\">the freedoms that come with open source</a>. Supporting this idea is a large community of people collaborating to strengthen the software. A big thank you to everyone who makes WordPress.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-large-font-size\">\n<p class=\"has-extra-large-font-size\">Our community of contributors has always been what makes WordPress wonderful. You are what makes sure our project continues to thrive, and our software remains secure, usable, and impactful. Thank you so much for joining together to make the web (and the world) a better place!</p>\n<cite>Josepha Haden Chomphosy, Executive Director, WordPress.org</cite></blockquote>\n\n\n\n<p>WordPress 6.3 arrives thanks to more than 650 contributors&#8217; collective passion and effort in at least 52 countries. This release also includes over 205 first-time contributors!&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">The 6.3 release squad</h3>\n\n\n\n<p>The 6.3 release was led from start to launch by an active set of contributors from across many disciplines. Over several weeks, they kept the release on track and moving forward by connecting ideas, resolving issues, and removing roadblocks.</p>\n\n\n\n<ul>\n<li>Release Lead: <a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura</a></li>\n\n\n\n<li>Release Coordinators: <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a></li>\n\n\n\n<li>Core Tech Leads: <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a></li>\n\n\n\n<li>Editor Tech Leads:&nbsp; <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon Dodd</a></li>\n\n\n\n<li>Core Triage Leads: <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Kabir Chaion</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Glecker</a></li>\n\n\n\n<li>Editor Triage Leads: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Documentation Leads: <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a>, <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a>, <a href=\"https://profiles.wordpress.org/leonnugraha/\">Leonardus Nugraha</a>, <a href=\"https://profiles.wordpress.org/611shabnam/\">Mushrit Shabnam</a></li>\n\n\n\n<li>Marketing &amp; Communications Leads: <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a></li>\n\n\n\n<li>Test Leads: <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a>, <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a>, <a href=\"https://profiles.wordpress.org/chrismalone617/\">Chris Malone</a>, <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a></li>\n\n\n\n<li>Design Leads: <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Performance Leads: <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">6.3 contributors</h3>\n\n\n\n<p>Complimenting the release squad is a diverse group of contributors whose global collaboration delivered hundreds of enhancements and fixes, ensuring a stable release for all—a testament to the power and capability of the WordPress community.&nbsp;</p>\n\n\n\n<p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/zgrkaralar/\">&#214;zg&#252;r KARALAR</a> · <a href=\"https://profiles.wordpress.org/6adminit/\">6adminit</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abhi3315/\">abhi3315</a> · <a href=\"https://profiles.wordpress.org/softwortech/\">Abhishek Sharma</a> · <a href=\"https://profiles.wordpress.org/ababir/\">Abir</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/awarner20/\">Adam W. Warner</a> · <a href=\"https://profiles.wordpress.org/adarshposimyth/\">Adarsh Akshat</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adi3890/\">Aditya Jain</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/ahsannayem/\">Ahsan Chowdhury</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/akmelias/\">akmelias</a> · <a href=\"https://profiles.wordpress.org/wpfy/\">Akramul Hasan</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/xavortm/\">Alex Dimitrov</a> · <a href=\"https://profiles.wordpress.org/cawa-93/\">Alex Kozack</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alexandrelara/\">Alexandre Lara</a> · <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro G&#243;mez</a> · <a href=\"https://profiles.wordpress.org/alvitazwar052/\">Alvi Tazwar</a> · <a href=\"https://profiles.wordpress.org/akrocks/\">Amaan Khan</a> · <a href=\"https://profiles.wordpress.org/amansurov/\">amansurov</a> · <a href=\"https://profiles.wordpress.org/amin7/\">amin</a> · <a href=\"https://profiles.wordpress.org/sabreuse/\">Amy Hendrix (sabreuse)</a> · <a href=\"https://profiles.wordpress.org/anatoliyav/\">Anatoliy</a> · <a href=\"https://profiles.wordpress.org/anatolikkk/\">Anatoliy Dovgun</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André Maneiro</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/andizer/\">Andy Meerwaldt</a> · <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a> · <a href=\"https://profiles.wordpress.org/anilvaza/\">Anil Vaza</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/reputeinfosystems/\">Ankur Chotai</a> · <a href=\"https://profiles.wordpress.org/annashopina/\">Anna</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/annebovelett/\">Anne-Mieke Bovelett</a> · <a href=\"https://profiles.wordpress.org/annziel/\">annziel</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/atimmer/\">Anton Timmermans</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonyagrios/\">Antony Agrios</a> · <a href=\"https://profiles.wordpress.org/anver/\">anver</a> · <a href=\"https://profiles.wordpress.org/anveshika/\">Anveshika Srivastava</a> · <a href=\"https://profiles.wordpress.org/arafatjamil01/\">Arafat Jamil</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/iamasadpolash/\">Asad Polash</a> · <a href=\"https://profiles.wordpress.org/mrasharirfan/\">Ashar Irfan</a> · <a href=\"https://profiles.wordpress.org/ashikurwp/\">Ashikur Rahman</a> · <a href=\"https://profiles.wordpress.org/nant82/\">Atanas Antonov</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/filosofo/\">Austin Matzko</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/azizantoun/\">azizantoun</a> · <a href=\"https://profiles.wordpress.org/aznadesign/\">Aznadesign</a> · <a href=\"https://profiles.wordpress.org/bangank36/\">bangank36</a> · <a href=\"https://profiles.wordpress.org/bartkalisz/\">bartkalisz</a> · <a href=\"https://profiles.wordpress.org/empireoflight/\">Ben Dunkle</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benlk/\">Ben Keith</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benjibee/\">benjibee</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/bijayyadav/\">Bijay Yadav</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/bitnissen/\">bitnissen</a> · <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bor0/\">Boro Sitnikovski</a> · <a href=\"https://profiles.wordpress.org/wpe_bdurette/\">Brandon DuRette</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/bpayton/\">Brandon Payton</a> · <a href=\"https://profiles.wordpress.org/brasofilo/\">brasofilo</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bacoords/\">Brian Coords</a> · <a href=\"https://profiles.wordpress.org/fischfood/\">Brian Fischer</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bridgetwillard/\">Bridget Willard</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">Bronson Quick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/caraffande/\">caraffande</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cathibosco1/\">Cathi Bosco</a> · <a href=\"https://profiles.wordpress.org/ceer/\">ceer</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/chiragrathod103/\">Chirag Rathod</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/mrflannagan/\">Chris Flannagan</a> · <a href=\"https://profiles.wordpress.org/clubkert/\">Chris Lubkert</a> · <a href=\"https://profiles.wordpress.org/chrismalone617/\">Chris Malone</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/ckoerner/\">ckoerner</a> · <a href=\"https://profiles.wordpress.org/codeamp/\">Code Amp</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/corentingautier/\">corentingautier</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/crixu/\">Crixu</a> · <a href=\"https://profiles.wordpress.org/crs1138/\">crs1138</a> · <a href=\"https://profiles.wordpress.org/crstauf/\">crstauf</a> · <a href=\"https://profiles.wordpress.org/cshark/\">cshark</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/dbernar1/\">Dan Bernardic</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/danyk4/\">danyk4</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/darshitrajyaguru97/\">Darshit Rajyaguru</a> · <a href=\"https://profiles.wordpress.org/drw158/\">Dave Whitley</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davidmusnik/\">davidmusnik</a> · <a href=\"https://profiles.wordpress.org/davidwebca/\">davidwebca</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/denis-de-bernardy/\">Denis de Bernardy</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/dennysdionigi/\">Dennys Dionigi</a> · <a href=\"https://profiles.wordpress.org/densityapps/\">densityapps</a> · <a href=\"https://profiles.wordpress.org/sccr410/\">Derek Ashauer</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">Derek Blank</a> · <a href=\"https://profiles.wordpress.org/shagors/\">devshagor</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhrumilk/\">Dhrumil Kumbhani</a> · <a href=\"https://profiles.wordpress.org/dhruvishah2203/\">Dhruvi Shah</a> · <a href=\"https://profiles.wordpress.org/digtek/\">DigTek</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dimijazz/\">dimijazz</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/doems/\">doems</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/dsar/\">dsar</a> · <a href=\"https://profiles.wordpress.org/dustyreagan/\">dustyreagan</a> · <a href=\"https://profiles.wordpress.org/ebai4/\">ebai4</a> · <a href=\"https://profiles.wordpress.org/ecorica/\">ecorica</a> · <a href=\"https://profiles.wordpress.org/beckej/\">Ed Beck</a> · <a href=\"https://profiles.wordpress.org/eduwass/\">eduwass</a> · <a href=\"https://profiles.wordpress.org/wpnook/\">Edward</a> · <a href=\"https://profiles.wordpress.org/worldomonation/\">Edwin Takahashi</a> · <a href=\"https://profiles.wordpress.org/ehsanakhgari/\">ehsanakhgari</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham S.</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/emirpprime/\">emirpprime</a> · <a href=\"https://profiles.wordpress.org/nrqsnchz/\">Enrique S&#225;nchez</a> · <a href=\"https://profiles.wordpress.org/eric7186/\">eric.7186</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/ernest35/\">Ernest Behinov</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/gaambo/\">Fabian Todt</a> · <a href=\"https://profiles.wordpress.org/faisalahammad/\">Faisal Ahammad</a> · <a href=\"https://profiles.wordpress.org/falgunihdesai/\">Falguni Desai</a> · <a href=\"https://profiles.wordpress.org/iamfarhan09/\">Farhan Ahmed</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/frank-klein/\">Frank Klein</a> · <a href=\"https://profiles.wordpress.org/franrosa/\">franrosa</a> · <a href=\"https://profiles.wordpress.org/gaeldenysiak/\">gaeldenysiak</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/ecgan/\">Gan (a11n)</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyc40/\">Gary Cao</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a> · <a href=\"https://profiles.wordpress.org/wtower/\">George</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gilles66/\">gilles66</a> · <a href=\"https://profiles.wordpress.org/mokagio/\">Gio Lodi</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/grandslambert/\">GrandSlambert</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Zi&#243;łkowski</a> · <a href=\"https://profiles.wordpress.org/gudmdharalds/\">Gudmundur Haraldsson</a> · <a href=\"https://profiles.wordpress.org/guillaumeturpin/\">Guillaume TURPIN</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hrdelwar/\">Habibur Rahman Delwar</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">Hanzala Taifun</a> · <a href=\"https://profiles.wordpress.org/thakkarhardik/\">Hardik Thakkar</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh S</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshgajipara/\">Harsh Gajipara</a> · <a href=\"https://profiles.wordpress.org/hasanmisbah/\">Hasan Misbah</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/heiko_mamerow/\">Heiko Mamerow</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/luehrsen/\">Hendrik Luehrsen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/panchalhimani711/\">Himani Panchal</a> · <a href=\"https://profiles.wordpress.org/hbhalodia/\">Hit Bhalodia</a> · <a href=\"https://profiles.wordpress.org/hrrarya/\">Hridoy Mozumder</a> · <a href=\"https://profiles.wordpress.org/hugobaeta/\">Hugo Baeta</a> · <a href=\"https://profiles.wordpress.org/hugod/\">hugod</a> · <a href=\"https://profiles.wordpress.org/hberberoglu/\">Huseyin Berberoglu</a> · <a href=\"https://profiles.wordpress.org/huzaifaalmesbah/\">Huzaifa Al Mesbah</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/polevaultweb/\">Iain Poulson</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/ibrahimmonir/\">Ibrahim Khalil</a> · <a href=\"https://profiles.wordpress.org/shuvoaftab/\">Ibrahim Sharif</a> · <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a> · <a href=\"https://profiles.wordpress.org/imanish003/\">imanish003</a> · <a href=\"https://profiles.wordpress.org/intoxination/\">intoxination</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/jacknotman/\">jacknotman</a> · <a href=\"https://profiles.wordpress.org/jahidcse/\">Jahid Hasan</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/james-roberts/\">James Roberts</a> · <a href=\"https://profiles.wordpress.org/james0r/\">james0r</a> · <a href=\"https://profiles.wordpress.org/janboddez/\">Jan Boddez</a> · <a href=\"https://profiles.wordpress.org/jane/\">jane</a> · <a href=\"https://profiles.wordpress.org/jankyz/\">jankyz</a> · <a href=\"https://profiles.wordpress.org/janpaulkleijn/\">janpaulkleijn</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/pbking/\">Jason Crist</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/madtownlems/\">Jason LeMahieu (MadtownLems)</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jbcouton/\">jbcouton</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffmora/\">jeffmora</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jenmylo/\">Jen</a> · <a href=\"https://profiles.wordpress.org/jenilk/\">Jenil Kanani</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeroenrotty/\">Jeroen Rotty</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">Jerry Jones</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/bitmachina/\">John Hooks</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/jomonthomaslobo1/\">Jomon Thomas Lobo</a> · <a href=\"https://profiles.wordpress.org/akbigdog/\">Jon Bourne</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/n2erjo00/\">Joni Erkkil&#228;</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> · <a href=\"https://profiles.wordpress.org/jordesign/\">jordesign</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josklever/\">Jos Klever</a> · <a href=\"https://profiles.wordpress.org/josepmoran/\">Josep Mor&#225;n</a> · <a href=\"https://profiles.wordpress.org/dunhakdis/\">Joseph G.</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha</a> · <a href=\"https://profiles.wordpress.org/jhabdas/\">Josh Habdas</a> · <a href=\"https://profiles.wordpress.org/shelob9/\">Josh Pollock</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jqz/\">jqz</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juzar/\">Juzar</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/trepmal/\">Kailey (trepmal)</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/leprincenoir/\">Kantari Samy</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karolmanijak/\">Karol Manijak</a> · <a href=\"https://profiles.wordpress.org/thekt12/\">Karthik Thayyil</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn P.</a> · <a href=\"https://profiles.wordpress.org/kamplugins/\">Kausar Al Mamun</a> · <a href=\"https://profiles.wordpress.org/kausaralm/\">Kausar Alam</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kenwins/\">kenwins</a> · <a href=\"https://profiles.wordpress.org/kevinb/\">Kevin Behrens</a> · <a href=\"https://profiles.wordpress.org/khoipro/\">Khoi Pro</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/koenschipper/\">koenschipper</a> · <a href=\"https://profiles.wordpress.org/xkon/\">Konstantinos Xenos</a> · <a href=\"https://profiles.wordpress.org/krishneup/\">Krishna Neupane</a> · <a href=\"https://profiles.wordpress.org/krunal265/\">Krunal Bhimajiyani</a> · <a href=\"https://profiles.wordpress.org/krupajnanda/\">Krupa Nanda</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kutsu/\">kutsu</a> · <a href=\"https://profiles.wordpress.org/kzeni/\">KZeni</a> · <a href=\"https://profiles.wordpress.org/leamcaleese/\">L&#233;a McAleese</a> · <a href=\"https://profiles.wordpress.org/lgadzhev/\">Lachezar Gadzhev</a> · <a href=\"https://profiles.wordpress.org/lanacodes/\">Lana Codes</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/laurentmagnin/\">laurentmagnin</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leonnugraha/\">Leonardus Nugraha</a> · <a href=\"https://profiles.wordpress.org/lessbloat/\">lessbloat</a> · <a href=\"https://profiles.wordpress.org/levdbas/\">Levdbas</a> · <a href=\"https://profiles.wordpress.org/wplindavantol/\">Linda van Tol</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/lowlydev/\">lowlydev</a> · <a href=\"https://profiles.wordpress.org/lphoumpakka/\">lphk</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/madejackson/\">madejackson</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mehdi01/\">Mahdi Hasan</a> · <a href=\"https://profiles.wordpress.org/mahendra0029/\">Mahendra Bishnoi</a> · <a href=\"https://profiles.wordpress.org/nadimcse/\">Mahmudul Haque Nadim</a> · <a href=\"https://profiles.wordpress.org/mai21/\">Mai</a> · <a href=\"https://profiles.wordpress.org/majaloncar/\">Maja Loncar</a> · <a href=\"https://profiles.wordpress.org/malae/\">Malae</a> · <a href=\"https://profiles.wordpress.org/malavvasita/\">Malav Vasita</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/maniu/\">maniu</a> · <a href=\"https://profiles.wordpress.org/mdxfr/\">Marc</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/marcguay/\">MarcGuay</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/margolisj/\">margolisj</a> · <a href=\"https://profiles.wordpress.org/marianne38/\">marianne38</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/marineevain/\">Marine EVAIN</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markparnell/\">Mark Parnell</a> · <a href=\"https://profiles.wordpress.org/markdoliner/\">markdoliner</a> · <a href=\"https://profiles.wordpress.org/markoheijnen/\">Marko Heijnen</a> · <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">marybaum</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">masteradhoc</a> · <a href=\"https://profiles.wordpress.org/mastrup/\">mastrup</a> · <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">Matias Benedetto</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/matmoe/\">matmoe</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mwtsn/\">Matt Watson</a> · <a href=\"https://profiles.wordpress.org/mattwiebe/\">Matt Wiebe</a> · <a href=\"https://profiles.wordpress.org/matt_fw/\">matt_fw</a> · <a href=\"https://profiles.wordpress.org/matteoenna/\">Matteo Enna</a> · <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maurodf/\">maurodf</a> · <a href=\"https://profiles.wordpress.org/cadic/\">Max Lyuchin</a> · <a href=\"https://profiles.wordpress.org/maxcgparis/\">maxcgparis</a> · <a href=\"https://profiles.wordpress.org/maysi/\">maysi</a> · <a href=\"https://profiles.wordpress.org/mayur8991/\">Mayur Prajapati</a> · <a href=\"https://profiles.wordpress.org/mcalyster/\">McAlyster</a> · <a href=\"https://profiles.wordpress.org/mcliwanow/\">mcliwanow</a> · <a href=\"https://profiles.wordpress.org/mahamudur78/\">Md Mahamudur Rahaman</a> · <a href=\"https://profiles.wordpress.org/fencermonir/\">Md Monir Hossain</a> · <a href=\"https://profiles.wordpress.org/shuvo247/\">MD Shakibul Islam</a> · <a href=\"https://profiles.wordpress.org/megane9988/\">megane9988</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/menakas/\">Menaka S.</a> · <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mdawaffe/\">Michael Adams (mdawaffe)</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/mikeday/\">Michael Day</a> · <a href=\"https://profiles.wordpress.org/michaelh/\">MichaelH</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mikeschinkel/\">Mike Schinkel</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikecho/\">mikecho</a> · <a href=\"https://profiles.wordpress.org/mikeyzm/\">mikeyzm</a> · <a href=\"https://profiles.wordpress.org/mikinc860/\">Mikin Chauhan</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/gonzomir/\">Milen Petrinski - Gonzo</a> · <a href=\"https://profiles.wordpress.org/studionashvegas/\">Mitch Canter</a> · <a href=\"https://profiles.wordpress.org/mitchellaustin/\">mitchellaustin</a> · <a href=\"https://profiles.wordpress.org/mitchoyoshitaka/\">mitcho (Michael Yoshitaka Erlewine)</a> · <a href=\"https://profiles.wordpress.org/moinrrahmed/\">Moe</a> · <a href=\"https://profiles.wordpress.org/batmoo/\">Mohammad Jangda</a> · <a href=\"https://profiles.wordpress.org/mohanrajp/\">Mohan Raj</a> · <a href=\"https://profiles.wordpress.org/patelmohip/\">Mohip Patel</a> · <a href=\"https://profiles.wordpress.org/mohiuddinomran/\">Mohiuddin Omran</a> · <a href=\"https://profiles.wordpress.org/boemedia/\">Monique Dubbelman</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/mor10/\">Morten Rand-Hendriksen</a> · <a href=\"https://profiles.wordpress.org/mrinal013/\">Mrinal Haque</a> · <a href=\"https://profiles.wordpress.org/mtxz/\">mtxz</a> · <a href=\"https://profiles.wordpress.org/thisisyeasin/\">Muhammad Yeasin</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/611shabnam/\">Mushrit Shabnam</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/tushar284/\">Nahid Hasan</a> · <a href=\"https://profiles.wordpress.org/narthur/\">Narthur</a> · <a href=\"https://profiles.wordpress.org/nataliat2004/\">nataliat2004</a> · <a href=\"https://profiles.wordpress.org/nateallen/\">Nate Allen</a> · <a href=\"https://profiles.wordpress.org/nazgul/\">Nazgul</a> · <a href=\"https://profiles.wordpress.org/nazmul111/\">Nazmul Hosen</a> · <a href=\"https://profiles.wordpress.org/nazmulhudadev/\">Nazmul Huda</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nickpap/\">nickpap</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nihar007/\">Nihar Ranjan Das</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/nilovelez/\">Nilo Velez</a> · <a href=\"https://profiles.wordpress.org/dhrupo/\">Niluthpal Purkayastha</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/njsamsatli/\">njsamsatli</a> · <a href=\"https://profiles.wordpress.org/nkeller15/\">nkeller15</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/hideokamoto/\">Okamoto Hidetaka</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/orestissam/\">Orestis Samaras</a> · <a href=\"https://profiles.wordpress.org/ov3rfly/\">Ov3rfly</a> · <a href=\"https://profiles.wordpress.org/owi/\">owi</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pamprn/\">Pamela Ribeiro</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pateljaymin/\">Patel Jaymin</a> · <a href=\"https://profiles.wordpress.org/patriciahillebrandt/\">patriciahillebrandt</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/pschrottky/\">Paul Von Schrottky</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walb&#248; Johnsg&#229;rd</a> · <a href=\"https://profiles.wordpress.org/tyrannous/\">Philipp Bammes</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/strategio/\">Pierre Sylvestre</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/pitamdey/\">Pitam Dey</a> · <a href=\"https://profiles.wordpress.org/piyushtekwani/\">Piyush Tekwani</a> · <a href=\"https://profiles.wordpress.org/pkbhatt/\">pkbhatt</a> · <a href=\"https://profiles.wordpress.org/platonkristinin/\">Platon Kristinin</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pouicpouic/\">pouicpouic</a> · <a href=\"https://profiles.wordpress.org/prashantbhivsane/\">Prashant</a> · <a href=\"https://profiles.wordpress.org/prashantvatsh/\">Prashant Singh</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/prikari/\">Priyanka Adhikari</a> · <a href=\"https://profiles.wordpress.org/przemekhernik/\">Przemek Hernik</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/bi0xid/\">Rafa Poveda</a> · <a href=\"https://profiles.wordpress.org/rfischmann/\">Rafael Fischmann</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajinsharwar/\">Rajin Sharwar</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/ratneshsonar/\">Ratnesh Sonar</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/rembem/\">rembem</a> · <a href=\"https://profiles.wordpress.org/renyot/\">ren</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/rianrietveld/\">Rian Rietveld</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/richards1052/\">richards1052</a> · <a href=\"https://profiles.wordpress.org/richiecarey/\">Richie Carey</a> · <a href=\"https://profiles.wordpress.org/rjasdfiii/\">rjasdfiii</a> · <a href=\"https://profiles.wordpress.org/rob1n/\">rob1n</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/sanchothefat/\">Robert O\'Rourke</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/ronakganatra/\">Ronak Ganatra</a> · <a href=\"https://profiles.wordpress.org/algorithmsunlocks/\">Ruman Ahmed</a> · <a href=\"https://profiles.wordpress.org/rutviksavsani/\">Rutvik Savsani</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/bookdude13/\">Ryan Fredlund</a> · <a href=\"https://profiles.wordpress.org/ryankienstra/\">Ryan Kienstra</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sereedmedia/\">S&#233; Reed</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/suleymankenar/\">S&#252;leyman Kenar</a> · <a href=\"https://profiles.wordpress.org/andy786/\">Sahil B.</a> · <a href=\"https://profiles.wordpress.org/sajjad67/\">Sajjad Hossain Sagor</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/salvoaranzulla/\">salvoaranzulla</a> · <a href=\"https://profiles.wordpress.org/samful/\">Sam Fullalove</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/samnajian/\">SamNajian</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarequl/\">Sarequl Basar</a> · <a href=\"https://profiles.wordpress.org/saxonfletcher/\">Saxon Fletcher</a> · <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/sdavis2702/\">Sean Davis</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/shailu25/\">Shail Mehta</a> · <a href=\"https://profiles.wordpress.org/sh4lin/\">Shalin Shah</a> · <a href=\"https://profiles.wordpress.org/enchiridion/\">Shannon Little</a> · <a href=\"https://profiles.wordpress.org/shiponkarmakar/\">Shipon Karmakar</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/shubhamsedani/\">shubhamsedani</a> · <a href=\"https://profiles.wordpress.org/shuvo586/\">shuvo586</a> · <a href=\"https://profiles.wordpress.org/shvv/\">shvv</a> · <a href=\"https://profiles.wordpress.org/shwetabathani2312/\">Shweta Bathani</a> · <a href=\"https://profiles.wordpress.org/siddhantwadhwani/\">Siddhant Wadhwani</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth ravikumar</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/10upsimon/\">Simon Dowdles</a> · <a href=\"https://profiles.wordpress.org/simonemanfre/\">Simone</a> · <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirajummahdi/\">Sirajum Mahdi</a> · <a href=\"https://profiles.wordpress.org/sboerrigter/\">Sjoerd Boerrigter</a> · <a href=\"https://profiles.wordpress.org/sjoerdlinders/\">Sjoerd Linders</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/soean/\">Soren Wrede</a> · <a href=\"https://profiles.wordpress.org/enderandpeter/\">Spencer</a> · <a href=\"https://profiles.wordpress.org/sque/\">sque</a> · <a href=\"https://profiles.wordpress.org/srikanthmeenakshi/\">srikanthmeenakshi</a> · <a href=\"https://profiles.wordpress.org/sstoqnov/\">Stanimir Stoyanov</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/vanaf1979/\">Stephan Nijman</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sudipatel007/\">Sudip Dadhaniya</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva (a11n)</a> · <a href=\"https://profiles.wordpress.org/codemonksuvro/\">Suvro</a> · <a href=\"https://profiles.wordpress.org/suzettefranck/\">Suzette Franck</a> · <a href=\"https://profiles.wordpress.org/mt_suzette/\">Suzette Franck</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/nuhel/\">Syed Nuhel</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/tacoverdo/\">Taco Verdonschot</a> · <a href=\"https://profiles.wordpress.org/tahmina1du/\">Tahmina Jahan</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/takshil/\">Takshil Kunadia</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/tanner-m/\">Tanner Moushey</a> · <a href=\"https://profiles.wordpress.org/thakordarshil/\">Thakor Darshil</a> · <a href=\"https://profiles.wordpress.org/thomask/\">thomask</a> · <a href=\"https://profiles.wordpress.org/thunderdw/\">thunder rumbles</a> · <a href=\"https://profiles.wordpress.org/tijmensmit/\">Tijmen Smit</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Kr&#252;ss</a> · <a href=\"https://profiles.wordpress.org/tb1909/\">Tim Brath&#228;rig</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/thomasdevisser/\">Tom de Visser</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/r0uter/\">tonythomas01</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul I Chowdhury</a> · <a href=\"https://profiles.wordpress.org/scep/\">Tryon</a> · <a href=\"https://profiles.wordpress.org/twstokes/\">twstokes</a> · <a href=\"https://profiles.wordpress.org/tyb/\">TyB</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/umeshmcakadi/\">Umesh Patel</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">Upadala Vipul</a> · <a href=\"https://profiles.wordpress.org/utsav72640/\">Utsav tilava</a> · <a href=\"https://profiles.wordpress.org/uxtremist/\">uxtremist</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/valterlorran/\">valterlorran</a> · <a href=\"https://profiles.wordpress.org/vasilism/\">Vasilis Manthos</a> · <a href=\"https://profiles.wordpress.org/victoranto/\">victoranto</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Sz&#233;pe</a> · <a href=\"https://profiles.wordpress.org/vivekawsm/\">vivekawsm</a> · <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/skorasaurus/\">Will Skora</a> · <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a> · <a href=\"https://profiles.wordpress.org/wlindley/\">wlindley</a> · <a href=\"https://profiles.wordpress.org/wojtekszkutnik/\">Wojtek Szkutnik</a> · <a href=\"https://profiles.wordpress.org/wplmillet/\">wplmillet</a> · <a href=\"https://profiles.wordpress.org/xerpa43/\">xerpa43</a> · <a href=\"https://profiles.wordpress.org/xmarcos/\">xmarcos</a> · <a href=\"https://profiles.wordpress.org/yaniiliev/\">Yani Iliev</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/zdrobau/\">Zdrobau</a> · <a href=\"https://profiles.wordpress.org/zebaafiashama/\">Zeba Afia Shama</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a> · <a href=\"https://profiles.wordpress.org/zunaid321/\">Zunaid Amin</a></p>\n\n\n\n<h3 class=\"wp-block-heading\">WordPress support forums</h3>\n\n\n\n<p>Many thanks to the community volunteers who contribute to the <a href=\"https://wordpress.org/support/\">support forums</a> by answering questions from WordPress users worldwide.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Get involved today</h3>\n\n\n\n<p>If contributing to WordPress appeals to you, learning more and getting involved is easy. Discover the teams that come together to <a href=\"https://make.wordpress.org/\">Make WordPress</a> and explore the product roadmap on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>. You can also use this <a href=\"https://make.wordpress.org/contribute/\">interactive tool</a> to help you decide which team is right for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Looking toward the future</h2>\n\n\n\n<p>20 years ago this past May, <a href=\"https://wordpress.org/news/2003/05/wordpress-now-available/\">WordPress shipped the very first version, 0.7</a>. What started with a blog post from co-founder Matt Mullenweg and a subsequent comment by co-founder Mike Little eventually evolved into the world’s most popular web publishing platform.</p>\n\n\n\n<p>WordPress software continues to evolve and iterate based on the needs and desires of its robust and diverse user community. This release is the capstone of <a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2</a> along the WordPress <a href=\"https://wordpress.org/about/roadmap/\">development roadmap</a>. As the community looks to the future, all efforts turn to <a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">6.4</a> and, subsequently, the transition into <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3</a>, which is expected to introduce powerful collaboration tools to the website creation and management experience.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\">6.3 Haiku</h2>\n\n\n\n<p>A capstone release<br>Ships tools for building great sites<br>Collaboration</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15718\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:60:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Concerns over the European Union’s Cyber Resilience Act (CRA)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 14:25:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"cra\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15686\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:216:\"\"Our shared goal is to further bolster the security of digital products without compromising the values of freedom, democracy, and innovation.\" Learn more about the Cyber Resilience Act and its impact on open source.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Josepha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4334:\"\n<p>As the world’s most popular open source content management system, WordPress acknowledges the European Union&#8217;s initiative to bolster the cybersecurity of digital hardware and software products with the <a href=\"https://www.european-cyber-resilience-act.com/\">Cyber Resilience Act (CRA)</a>. The Act’s effort to counter the increasing threat of cyberattacks and promote informed usage of digital products with increased security updates and transparency is commendable.&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>While we wholly endorse the objectives of the CRA, we are apprehensive about the Act&#8217;s implications on open source software due to unclear terms and definitions. </p>\n</blockquote>\n\n\n\n<p>Specifically, the Act’s prohibition on &#8220;unfinished software&#8221; and ambiguous definition of &#8220;commercial activity&#8221; could inadvertently inhibit innovation and economic participation in the European digital landscape.</p>\n\n\n\n<p>Open source projects, like WordPress, often rely on continual updates and improvements—a process that may technically fall under the label of &#8220;unfinished.&#8221; Furthermore, the ambiguous definition of &#8220;commercial activity&#8221; could unintentionally encompass open source projects that are largely driven by communities and operate on a not-for-profit basis.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Our letter to the EU Commission</h2>\n\n\n\n<p>We have jointly authored an open letter addressing these concerns alongside fellow open source projects Drupal, Joomla!, and TYPO3<sup data-fn=\"eb28afbc-3487-447f-9af9-8b0418310a00\" class=\"fn\"><a href=\"#eb28afbc-3487-447f-9af9-8b0418310a00\" id=\"eb28afbc-3487-447f-9af9-8b0418310a00-link\">1</a></sup>. The letter emphasizes the significant contribution of Free and Open Source Software (FOSS) to the EU&#8217;s economy and how the proposed regulations might undermine these efforts. Our shared goal is to further bolster the security of digital products without compromising the values of freedom, democracy, and innovation inherent to both the open source community and the <a href=\"https://european-union.europa.eu/principles-countries-history/principles-and-values/aims-and-values_en\">EU’s Aims and Values</a>.</p>\n\n\n\n<p>The letter invites the EU Commission and interested parties to participate in a seminar in Brussels to discuss how we can align the objectives of the CRA with the realities and needs of the FOSS community. We are optimistic that, with mutual understanding and cooperation, we can achieve secure digital products without limiting the vital contributions of open source projects.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-2 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-align-center wp-element-button\" href=\"https://wordpress.org/news/files/2023/08/Open_Letter_on_the_Significance_of_Free_and_Open_Source_Software_in_the_EU_s_Proposed_Cyber_Resilience_Act.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">Read the letter</a></div>\n</div>\n\n\n\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group has-off-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--50)\"><ol class=\"wp-block-footnotes\"><li id=\"eb28afbc-3487-447f-9af9-8b0418310a00\"><a href=\"https://www.drupal.org/\">Drupal</a>, <a href=\"https://www.joomla.org/\">Joomla!</a>, <a href=\"https://typo3.com/\">TYPO3</a>, and <a href=\"https://wordpress.org/\">WordPress</a> are the most popular FOSS content management systems on the web today. While all are based on the PHP programming language and distributed under the GPL open source license, each platform takes a different approach to website publishing. With strength in diversity, they form the Inter-CMS Working Group, promoting the values and benefits of free and open source software. <a href=\"#eb28afbc-3487-447f-9af9-8b0418310a00-link\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/21a9.png\" alt=\"↩\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" />︎</a></li></ol></div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15686\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.3 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2023 16:55:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15615\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:226:\"WordPress 6.3 Release Candidate 3 is now available for download and testing.\n\nThe WordPress 6.3 release is scheduled for August 8, 2023—just one week away. Now is your last opportunity to test it before the general release. \";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6221:\"\n<p>WordPress 6.3 RC3 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>The WordPress 6.3 release is scheduled for August 8, 2023—just one week away. Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>For a deeper look into this release, read this overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, review <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>, or <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">watch a recorded demo</a>.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new since RC2</h2>\n\n\n\n<p>Since the RC2 release on July 25, 2023, there have been approximately 14 issues resolved in <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Github</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=07%2F25%2F2023..08%2F01%2F2023&amp;milestone=6.3&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a>. To prepare for 6.3 general availability, RC3 also addresses several <a href=\"https://github.com/WordPress/gutenberg/pull/53089\">bugs</a> and adds fixes for retrieving templates (<a href=\"https://github.com/WordPress/wordpress-develop/pull/4940\">#4940</a>) and resolving child theme issues (<a href=\"https://github.com/WordPress/gutenberg/issues/53138\">#53138</a>). Thank you for testing, WordPressers!</p>\n\n\n\n<p>Developers and extenders should review the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a> for detailed technical notes regarding new features and improvements.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Ways to contribute</h2>\n\n\n\n<p>WordPress is open source software made possible by the community of people collaborating on and contributing to its development. The resources below outline a variety of ways you can help, regardless of your technical expertise.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Download RC3 for testing</h3>\n\n\n\n<p>You can test WordPress 6.3 RC3 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2:</strong> Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC3.zip\">RC3 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3: </strong>Use the following WP-CLI command:<br><code>wp core update --version=6.3-RC3</code></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h3>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Search for vulnerabilities</h3>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Update your theme or plugin</h3>\n\n\n\n<p>Do you build themes or plugins? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>This is your final opportunity to test your latest versions against RC3. You will want to continue your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Help translate WordPress</h3>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Phase two, soon complete<br>A monumental release<br>Then onto six-four.</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/meher/\">@Meher</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">@DanSoschin</a>, and <a href=\"https://profiles.wordpress.org/jpantani/\">@jpantani</a></em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15615\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:72:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"People of WordPress: Ihtisham Zahoor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2023/07/people-of-wordpress-ihtisham-zahoor/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2023 20:22:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:6:{i:0;a:5:{s:4:\"data\";s:9:\"Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:10:\"Interviews\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:9:\"HeroPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:5;a:5:{s:4:\"data\";s:19:\"People of WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15589\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"People of WordPress features Ihtisham Zahoor, an administrator turned web developer from Pakistan.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:12334:\"\n<p>From administrator to web developer thanks to the supportive WordPress community. Through learning from other software users in Pakistan, Ihtisham Zahoor knew that his life would change. He moved cities and careers to make his life through open source.</p>\n\n\n\n<p><strong>The&nbsp;<em>People of WordPress</em>&nbsp;series shares inspiring stories of how people’s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1024%2C768&#038;ssl=1\" alt=\"Ihtisham Zahoor in the moutains.\" class=\"wp-image-15478\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1024%2C768&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=768%2C576&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1536%2C1152&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?w=1900&amp;ssl=1 1900w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Ihtisham, from Haripur, a city in northern Pakistan, said: “The WordPress community made me a firm believer in the power of open source software. This is why I am an enthusiast and one who enjoys contributing back to the community via writing, speaking, and helping organize meetups.”</p>\n\n\n\n<p>When Ihtisham discovered WordPress, his fascination for working with computing grew. He knew he did not want to just work in administration his entire career.</p>\n\n\n\n<p>Ihitsham describes himself as an ‘introvert’ and therefore the idea of remote work appealed as he could still add value to others through technology. He was intrigued by the thought of the freedom to choose his work hours. However, without access to others who had already transformed their careers and lives through web development, he felt he ‘had no path to follow to turn my dream into a reality.’</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Challenges become opportunities to learn when there is an active community&nbsp;&nbsp;</strong></h2>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"675\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?resize=675%2C900&#038;ssl=1\" alt=\"Ihtisham Zahoor wearing a sweatshirt with the London tube sign \'Mind the Gap\'.\" class=\"wp-image-15480\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?w=675&amp;ssl=1 675w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?resize=225%2C300&amp;ssl=1 225w\" sizes=\"(max-width: 675px) 100vw, 675px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>Lacking any kind of informed support network to advise or guide him, Ihtisham devoted time to online research to find the next steps he could take. Looking back, he believes that for those who are not in a network with others with similar interests, it can be hard to keep learning and experimenting with new things. Isolation can be a barrier to working in web development.&nbsp;&nbsp;</p>\n\n\n\n<p>He said: “I think it is not easy to stay motivated when there aren’t immediate rewards for the hard work we do. Sometimes, weeks would go by when my only focus would be to stay motivated rather than give up.”</p>\n\n\n\n<p>After another two years of combining learning and work, Ihtisham took up using WordPress as a full-time career. He moved to the capital of Pakistan, Islamabad. It was not easy at first. He recalls: “After many failed attempts at getting hired and desperate moments, I finally received an offer from a digital agency as a web developer focused on the WordPress platform.”</p>\n\n\n\n<p>He added: “Moving to work with a bigger agency was one of the best decisions of my life as it helped me with my professional growth by becoming familiar with the whole WordPress ecosystem in a supportive environment. I was valued for my opinions in the web projects in which I was involved. I was also appreciated and encouraged for the open source work I did for the company.” He summarized his enthusiasm for WordPress like this: “It is really interesting figuring out what is happening in the backends. I like problem-solving and finding solutions which you can do with WordPress.”</p>\n\n\n\n<p>During the Covid-19 pandemic, Ihtisham moved to join a start-up based in his hometown which provides web development services to international clients. He works as a developer and has the opportunity to learn more about client communication and project management. “WordPress has opened up so many opportunities for me. It has been an exciting journey for me with lots of learning every day,” he said. In particular, he has discovered an interest in APIs and regularly uses his spare time to follow tickets in the hope of one day contributing even more to topics, such as, third-party app integration through APIs on WordPress sites.</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Give back through WordPress community</strong></h2>\n\n\n\n<figure class=\"wp-block-image size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"800\" height=\"599\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=800%2C599&#038;ssl=1\" alt=\"Ihtisham Zahoor speaking at a meetup.\" class=\"wp-image-15477\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?w=800&amp;ssl=1 800w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=300%2C225&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=768%2C575&amp;ssl=1 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>It was not just software that made a difference in Ihtisham’s life. Joining a welcoming and sharing community was transforming for him. Recalling those early days of isolation, he values the WordPress community and is wholly committed to the power of open-source software. He now enjoys writing, speaking, and organizing meetups to give back to both to the community. He has written software for the platform and contributes to the Core work, which he describes as a ‘humbling’ experience. He is fond of <a href=\"https://islamabad.wordcamp.org/\">WordCamp Islamabad</a> and in 2023 is on the organizing team to help bring both WordPress and its community to others in Pakistan.</p>\n\n\n\n<p>“My first experience,” he said, “was that everyone was so friendly and open to sharing what they have learned, even though they were all busy working. This really had an impact on me. It really helped me and gave me the confidence that I could work with WordPress…. It was a real step forward for me joining this community.” </p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"512\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=1024%2C512&#038;ssl=1\" alt=\"Ihtisham visited WordCamp Karachi.\" class=\"wp-image-15482\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=1024%2C512&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=300%2C150&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=768%2C384&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?w=1200&amp;ssl=1 1200w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>A particular meeting in 2018 led to new friendships through the WordPress community. Ihtisham was on a train to Karachi for the first ever Pakistani WordCamp in 2018 and met a group of fellow attendees he now regards as close friends. What impressed him most about the camp was that although he met many people with considerable expertise, they also had a generosity of spirit and humbleness in their willingness to share this knowledge. in sharing it. Now, he and this group of friends make a point to taking trains across the country, which allows him to fulfil another dream of traveling widely. He says these things and other ‘side benefits’ have been made possible by the WordPress community, and for that, he is &#8216;forever grateful&#8217;.<br><br>Ihtisham particularly wanted to share his story through this People of WordPress article to encourage those starting with little or no support to remain persistent. He knows from experience breaking into the tech world can be hard, especially when you may be switching from doing something else and have no ‘track record’ to offer. </p>\n\n\n\n<p>He feels he is a living example of how perseverance can lead to success. He offers these words to anyone thinking of making a move into development using the WordPress platform: “I attribute my success (financial and mental well-being) to the open-source nature of WordPress and its amazing community. It would not be possible to learn and use the plethora of free tools WordPress provides if it weren’t an open-source platform. It is for that reason I feel obligated to contribute back to this platform to the best of my abilities.” To those who are finding getting going difficult, as he did, he adds: “Get yourself a clear learning path and just dive in doing WordPress, and things will get better for you over time as they were for me, I promise. Good Luck!”</p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<p>To help you discover more about how to use the WordPress software, there is a free resource from the community, <a href=\"https://learn.wordpress.org/\">Learn.WordPress.org</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Ihtisham Zahoor (<a href=\"https://profiles.wordpress.org/shaampk1/\">@shaampk1</a>) for sharing about his adventures in WordPress.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\"//profiles.wordpress.org/webcommsat/\">@webcommsat</a>), Nalini Thakor (<a href=\"//profiles.wordpress.org/nalininonstopnewsuk/\">@nalininonstopnewsuk</a>), and Meher Bala (<a href=\"//profiles.wordpress.org/meher/\">@meher</a>) for interviews, the feature and collaborating on images. To Chloe Bringmann (<a href=\"//profiles.wordpress.org/cbringmann/\">@cbringmann</a>), Mark Smallman (<a href=\"//profiles.wordpress.org/marks99/\">@marks99</a>), and Mary Baum (<a href=\"//profiles.wordpress.org/marybaum/\">@marybaum</a>) for reviews. Thanks to the late Surendra Thakor (<a href=\"//profiles.wordpress.org/sthakor/\">@sthakor</a>), Maja Loncar (<a href=\"//profiles.wordpress.org/majaloncar/\">@majaloncar</a>), Maedah Bahtool (<a href=\"//profiles.wordpress.org/maedahbatool/\">@maedahbatool</a>) and other members of the Marketing and Polyglots Team for their contributions.</p>\n\n\n<p>The People of WordPress series thanks Josepha Haden (<a href=\"//profiles.wordpress.org/chanthaboune/\">@chanthaboune</a>) and Topher DeRosia (<a href=\"//profiles.wordpress.org/topher1kenobe/\">@topher1kenobe</a>) for their support.</p>\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\" style=\"grid-template-columns:29% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&#038;ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" data-recalc-dims=\"1\" /></figure><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\n\n<p></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15589\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Synced Patterns: The Evolution of Reusable Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 14:45:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:8:\"Features\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15541\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:369:\"Synced patterns are replacing Reusable blocks, offering a unified creation experience for new pattern functionality coming to WordPress 6.3. Patterns, first introduced in WordPress 5.5, are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. With WordPress 6.3, set to be released [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"annezazu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6153:\"\n<p>Synced patterns are replacing Reusable blocks, offering a unified creation experience for new pattern functionality coming to WordPress 6.3. Patterns, first introduced in WordPress 5.5, are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. With WordPress 6.3, set to be released on August 8th, you will be able to arrange blocks in unlimited ways and save them as patterns for use throughout your site, directly within the editing experience. You can also specify whether to sync your patterns, so that one change applies to all parts of your site, or to keep them unsynced, so you can customize each instance.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/plZIF3jrU7E?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<h2 class=\"wp-block-heading\">Create your own patterns</h2>\n\n\n\n<p>The ability to create your own patterns, on top of using the ones bundled into each WordPress release, opens up a world of possibilities. Need to repeat the same contact information across your site and keep it up to date? Create a synced pattern with all the details, and say goodbye to repeating yourself, with the ability to quickly insert the synced pattern wherever you need it. If you find yourself creating various banners for your site and want them to have the same layout with unique content, creating an unsynced pattern speeds up your workflow and ensures a level of consistency in approach. While themes and plugins have been able to offer patterns to users and <a href=\"https://developer.wordpress.org/block-editor/how-to-guides/curating-the-editor-experience/#utilizing-patterns\">curate the experience</a>, this update allows agencies and site builders to do the same for their clients, directly in the site building process.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Dig into the details</h2>\n\n\n\n<p>Any previously made Reusable blocks will continue to function as they do now, just under the new Synced pattern name. To help adjust to these changes, a few contextual notices will be placed throughout the interface. Specifically, the menu item in the creation flow will show as “Create pattern/reusable block” until the prompt describing the switch is dismissed in one of the various locations, including the naming and syncing modal:&nbsp;</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/fbrhammtn3Y?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<p>For folks using block themes, all patterns will be listed alongside template parts in the Site Editor &gt; Patterns section, where you can enter a focused editing mode to make changes. For Classic themes, the prior reusable block management page will now house patterns in a list, similar to the Posts &gt; All Posts view.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"590\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1024%2C590&#038;ssl=1\" alt=\"Patterns section of the WordPress Site Editor with My Patterns selected\" class=\"wp-image-15569\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1024%2C590&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=300%2C173&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=768%2C443&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1536%2C885&amp;ssl=1 1536w, https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?w=2048&amp;ssl=1 2048w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>For a complete overview of patterns on your site, all patterns provided by themes and plugins will be shown in this section but without the option to edit directly.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Go further</h2>\n\n\n\n<p>With the ability to create your own patterns baked into the creation experience, remember that you can copy the patterns available in the <a href=\"https://wordpress.org/patterns/\">Pattern Directory</a> and <a href=\"https://wordpress.org/patterns/about/\">contribute back</a>, an excellent way to democratize design for every WordPress user and the web.</p>\n\n\n\n<p><em>For more exciting features coming to patterns in WordPress 6.3, </em><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\"><em>read on in the Advancing the Power of Patterns post</em></a><em>. Thank you to the contributors who collaborated on this post: </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>Chloé Bringmann</em></a><em>, </em><a href=\"https://profiles.wordpress.org/jpantani/\"><em>Jonathan Pantani</em></a><em>, </em><a href=\"https://profiles.wordpress.org/chanthaboune/\"><em>Josepha</em></a><em>, </em><a href=\"https://profiles.wordpress.org/kristastevens/\"><em>Krista Stevens</em></a><em>, </em><a href=\"https://profiles.wordpress.org/eidolonnight/\"><em>Nicholas Garofalo</em></a><em>, <a href=\"https://profiles.wordpress.org/provenself/\">Peter Rubin</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15541\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.3 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2023 16:43:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15460\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:246:\"WordPress 6.3 RC2 is ready for download and testing. Reaching this part of the release cycle is a key milestone. While release candidates are considered ready for final release, additional testing and use by the community can only make it better.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:7642:\"\n<p>WordPress 6.3 RC2 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, or run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>While release candidates are considered ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>WordPress 6.3 is scheduled for release on August 8, 2023 – just two weeks from today.</p>\n\n\n\n<p>Get an overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, review <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>, or <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">watch a recorded demo</a>.</p>\n\n\n\n<p>Developers and extenders should review the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a> for detailed technical notes regarding new features and improvements.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">RC2 Highlights</h2>\n\n\n\n<p>Since the RC1 release on July 18, 2023, there have been approximately 15 issues resolved in <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\" data-type=\"link\" data-id=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Editor</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=07%2F18%2F2023..07%2F25%2F2023&amp;milestone=6.3&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac</a>.</p>\n\n\n\n<p>Notable updates for this release include:</p>\n\n\n\n<ul>\n<li>Footnotes will be reverted or restored with post revisions (<a href=\"https://github.com/WordPress/gutenberg/pull/52686\">#52686</a>).</li>\n\n\n\n<li>Distraction free adds a missing command in the site editor (<a href=\"https://github.com/WordPress/gutenberg/pull/52868\">#52868</a>).</li>\n\n\n\n<li>Global styles revisions will display text if no revisions are found (<a href=\"https://github.com/WordPress/gutenberg/pull/52865\">#52865</a>).</li>\n\n\n\n<li>The About Page has been completed (<a href=\"https://core.trac.wordpress.org/ticket/58067\">#58067</a>).</li>\n\n\n\n<li>The About Page now includes a “Get Involved” section (<a href=\"https://core.trac.wordpress.org/ticket/23348\">#23348</a>).</li>\n\n\n\n<li>The dark mode option has been restored in the block editor iframe for Twenty Twenty-One (<a href=\"https://core.trac.wordpress.org/ticket/58835\">#58835</a>).</li>\n\n\n\n<li>Max height value was fixed in the image scaling in the Edit Media screen (<a href=\"https://core.trac.wordpress.org/ticket/50523\">#50523</a>).</li>\n\n\n\n<li>Additionally, some issues regarding internationalization were addressed (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58879\" target=\"_blank\">#58879</a>, <a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58067\" target=\"_blank\">#58067</a> and <a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58864\" target=\"_blank\">#58864</a>).</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Test features in WordPress 6.3</h2>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Vulnerability bounty doubles during the Beta/RC phases</h2>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get WordPress 6.3 RC2</h2>\n\n\n\n<p>You can test WordPress 6.3 RC2 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC2.zip\">RC2 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3:</strong> Use the following WP-CLI command:<br><code>wp core update --version=6.3-RC2</code></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>Hopefully, you have already tested your themes and plugins with WordPress 6.3 betas by now. With RC2, you will want to continue your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Haiku for RC2</h2>\n\n\n\n<p>Time is nearly here<br>WordPress shines thanks to you all<br>Let’s get testing, dear</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/priethor/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/priethor/\">@Priethor</a></em>,<em> <a href=\"https://profiles.wordpress.org/audrasjb/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/audrasjb/\">@AudrasJb</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/davidbaumwald/\">@DavidBaumwald</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">@DanSoschin</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">@JPantani</a></em> and <em><a href=\"https://profiles.wordpress.org/meher/\">@Meher</a></em>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15460\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WordPress 6.3 Live Product Demo – Highlights &amp; Recording\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 21 Jul 2023 19:26:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:7:\"General\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"live demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15445\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"Watch a demonstration of some of the newest features of WordPress 6.3, recorded live on July 20, 2023.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8111:\"\n<p>WordPress 6.3 ships on August 8th! For a sneak peek of what&#8217;s to come, members of the 6.3 release squad, <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, held a live demo moderated by <a href=\"https://profiles.wordpress.org/njwrigley/\">Nathan Wrigley</a>.&nbsp;</p>\n\n\n\n<p>More than 100 attendees watched as some of the most anticipated product features were demonstrated, from the brand-new Command Palette to new design tools and more.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-4-3 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/I2dvEbBxaqA?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div><figcaption class=\"wp-element-caption\">6.3 Live Product Demo</figcaption></figure>\n\n\n\n<p>Here are some of the key takeaways from the 6.3 live product demonstration.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Command Palette’s big debut</h2>\n\n\n\n<p>One of the most anticipated features of 6.3 is the <a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Command Palette</a>. It lets you quickly navigate and open different WordPress functions within the post and Site Editor. Access it using a shortcut command (Command + K or Control + K).</p>\n\n\n\n<h2 class=\"wp-block-heading\">Page creation gets easier in the Site Editor</h2>\n\n\n\n<p>Now you can browse and edit pages within the Site Editor, providing a more cohesive WordPress experience. A new drafting flow debuts, allowing you to create and publish pages directly within the editor.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Synced Patterns set to replace Reusable Blocks</h2>\n\n\n\n<p>You can create and manage all your patterns directly in the Site Editor. Once edited, all synced patterns (previously called Reusable Blocks) will change across a site—a huge time saver when making changes.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Stay on top of design changes with Style Revisions</h2>\n\n\n\n<p>This enhancement offers a visual timeline of your site so you can see all the revisions in your site’s history and restore a previous style with just a click.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">New design tools and blocks</h2>\n\n\n\n<p>Controls for specifying aspect ratios to ensure design integrity, especially when using images in Patterns debut in 6.3, along with new blocks for Footnotes and Details. Easily add footnotes to your content and have them automatically linked to the corresponding text. With the Details block, hide or display content to create spoilers or accordions.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Performance</h2>\n\n\n\n<p>WordPress is getting faster with 6.3 as content with images will see speedier load times. Both theme types (Classic and Block) will also benefit from performance improvements. The upcoming <a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">hallway hangout</a> is an excellent opportunity to learn more about performance enhancements directly from the WordPress Performance team.</p>\n\n\n\n<h2 class=\"wp-block-heading\">More from Core</h2>\n\n\n\n<ul>\n<li>Revert to previously installed versions when <a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">manual updates for themes and plugins fail</a>.&nbsp;</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/05/dropping-support-for-php-5/\">Dropping support</a> for PHP 5. The new minimum supported version of PHP will be 7.0.0. The recommended version of PHP remains at 7.4 or greater.</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">Accessibility updates</a>, especially for List View and the broader Site Editor experience.</li>\n\n\n\n<li>Improvements to internationalization <a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">just-in-time translation loading</a>.</li>\n</ul>\n\n\n\n<p>These new features and more await you as Phase 2 of the <a href=\"https://wordpress.org/about/roadmap/\">WordPress Roadmap</a> comes to a close with the 6.3 release.</p>\n\n\n\n<p>A <a href=\"https://make.wordpress.org/core/2023/07/21/6-3-live-product-demo-qa/\">question and answer session</a> followed the demo, with attendees asking plenty of great questions. The panelists shared links for additional reading regarding many new features—all conveniently added to the end of this post.&nbsp;</p>\n\n\n\n<p>A big thank you to everyone who helps make WordPress. Contributors power every WordPress release. Without the hundreds of contributors worldwide who help build WordPress, this live product demo wouldn’t have been possible. Thank you for all of your hard work.</p>\n\n\n\n<h2 class=\"wp-block-heading\">References from the Live Demo</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\">Core Editor Improvement: Advancing the Power of Patterns</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/documentation/article/comparing-patterns-template-parts-and-reusable-blocks/\">Comparing Patterns, Template Parts, and Reusable Blocks</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">The 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/05/dropping-support-for-php-5/\">Dropping support for PHP 5</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">Internationalization Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/30496\">#30496 Site Editor: MVP Customizer Compatibility/Integration</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/52128\">#52128 Customization Ongoing Roadmap</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/building-sidebars-with-the-site-editor/\">Building sidebars with the Site Editor</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n</ul>\n\n\n\n<p>Props to <a href=\'https://profiles.wordpress.org/richtabor/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>richtabor</a> and <a href=\'https://profiles.wordpress.org/annezazu/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>annezazu</a> for reviewing this post and to <a href=\'https://profiles.wordpress.org/cbringmann/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>cbringmann</a>, <a href=\'https://profiles.wordpress.org/meher/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>meher</a>, and <a href=\'https://profiles.wordpress.org/dansoschin/\' class=\'mention\'><span class=\'mentions-prefix\'>@</span>dansoschin</a> for their logistics support to run the event.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15445\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:69:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"WordPress 6.3 Release Candidate 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 18 Jul 2023 17:08:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:5:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:3;a:5:{s:4:\"data\";s:11:\"development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:4;a:5:{s:4:\"data\";s:8:\"releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15431\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:246:\"WordPress 6.3 RC1 is ready for download and testing. Reaching this part of the release cycle is a key milestone. While release candidates are considered ready for final release, additional testing and use by the community can only make it better.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Dan Soschin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:11307:\"\n<p>WordPress 6.3 RC1 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC1 on a test server and site.&nbsp;</p>\n\n\n\n<p>Reaching this part of the release cycle is a key milestone. While release candidates are considered ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>Get an overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, and review the <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>. Save the date for a <a href=\"https://wordpress.org/news/2023/07/6-3-live-product-demo/\">live product demo</a> scheduled for Thursday, July 20, 2023, at 16:00 UTC (<a href=\"https://us02web.zoom.us/j/88141234315?pwd=TE1Odk5Wd0hiVlNYWHB5Q2xCYkhSZz09\">Zoom link</a>). This live demo will be a great opportunity to join the WordPress community to celebrate the accomplishments of 6.3 and this final chapter of <a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">RC1 highlights</h2>\n\n\n\n<p>Thanks to the many WordPress beta testers, this release contains 40+ (Editor) and 80+ (Trac) updates since the <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-beta-4/\">Beta 4 release</a>. Keep it up WordPressers!</p>\n\n\n\n<p>Notable updates for this release include:</p>\n\n\n\n<ul>\n<li>WordPress database error when installing PHPUnit tests (<a href=\"https://core.trac.wordpress.org/ticket/58673\">#58673</a>)</li>\n\n\n\n<li>Use <code>_get_block_template_file</code> function and set $area variable (<a href=\"https://github.com/WordPress/gutenberg/pull/52708\">#52708</a>)</li>\n\n\n\n<li>Indicate when a theme supports the Site editor in the Themes REST API response (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58123\" target=\"_blank\">#58123</a>)</li>\n\n\n\n<li><code>bulk_edit_posts()</code> function needs an action hook (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/28112\" target=\"_blank\">#28112</a>)</li>\n\n\n\n<li>Allow editing existing footnote from formats toolbar (<a href=\"https://github.com/WordPress/gutenberg/pull/52506\">#52506</a>)</li>\n\n\n\n<li>Patterns: Add client side pagination to patterns list (<a href=\"https://github.com/WordPress/gutenberg/pull/52538\">#52538</a>)</li>\n\n\n\n<li>Trim footnote anchors from excerpts (<a href=\"https://github.com/WordPress/gutenberg/pull/52518\">#52518</a>)</li>\n</ul>\n\n\n\n<p>Browse the technical details for issues addressed since Beta 4 using these queries:</p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">GitHub commits for 6.3</a></li>\n\n\n\n<li>Closed <a href=\"https://core.trac.wordpress.org/query?status=accepted&amp;status=closed&amp;changetime=07%2F11%2F2023..07%2F18%2F2023&amp;milestone=6.3&amp;col=id&amp;col=milestone&amp;col=owner&amp;col=type&amp;col=priority&amp;order=id\">Trac tickets</a> since July 11</li>\n</ul>\n\n\n\n<p>For a recap of what’s coming in 6.3, please refer to the <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">Beta 2 post</a>, which summarizes key features.</p>\n\n\n\n<p>You can also dig into technical information about various components in 6.3:</p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\">Core Editor Improvement: Advancing the Power of Patterns</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a>&nbsp;</li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n\n\n\n<p>For a compilation of the dev notes above and more, read the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a>.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Test the new features in WordPress 6.3</h2>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in the <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Vulnerability bounty doubles during the Beta/RC phases</h2>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get WordPress 6.3 RC1</h2>\n\n\n\n<p>You can test WordPress 6.3 RC1 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC1.zip\">RC1 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3:</strong> Use the following WP-CLI command:<br><code>wp core update --version=6.3-RC1</code></li>\n</ul>\n\n\n\n<p>The current target for the final release is <strong>August 8, 2023</strong>, about three weeks away. Your help testing this version ensures everything in this release is the best.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>Chances are, you have already been testing your latest themes and plugins with WordPress 6.3 betas. With RC1, you will want to complete your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a> This release also marks the <a href=\"https://make.wordpress.org/polyglots/handbook/glossary/#hard-freeze\">hard string freeze</a> point of the 6.3 release cycle.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Haiku for RC1</h2>\n\n\n\n<p>RC1 is here<br>Hold your applause ‘til the end<br>Download, test, repeat</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: </em><a href=\"https://profiles.wordpress.org/dansoschin/\"><em>@DanSoschin</em></a>, <a href=\"https://profiles.wordpress.org/meher/\"><em>@Meher</em></a>, and <a href=\"https://profiles.wordpress.org/jpantani/\"><em>@JPantani</em></a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15431\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:61:\"\n		\n		\n		\n		\n		\n				\n		\n		\n\n					\n										\n					\n		\n		\n\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"WP Briefing: Episode 60: Sneak a Peek at WordPress 6.3 with Special Guest Mike Schroder\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"https://wordpress.org/news/2023/07/episode-60-sneak-a-peek-at-wordpress-6-3-with-special-guest-mike-schroder/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 17 Jul 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:2:{i:0;a:5:{s:4:\"data\";s:7:\"Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:11:\"wp-briefing\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/?post_type=podcast&p=15398\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:176:\"Join WordPress Executive Director Josepha Haden Chomphosy and Core Tech Lead Mike Schroder as they discuss their favorite new features and enhancements coming in WordPress 6.3.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2023/07/WP-Briefing-060.mp3\";s:6:\"length\";s:1:\"0\";s:4:\"type\";s:0:\"\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Nicholas Garofalo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:31362:\"\n<p>Join WordPress Executive Director Josepha Haden Chomphosy and Core Tech Lead Mike Schroder as they discuss their favorite new features and enhancements coming in WordPress 6.3.</p>\n\n\n\n<p><em><strong>Have a question you’d like answered? You can submit them to&nbsp;<a href=\"mailto:wpbriefing@wordpress.org\">wpbriefing@wordpress.org</a>, either written or as a voice recording.</strong></em></p>\n\n\n\n<h2 class=\"wp-block-heading\">Credits</h2>\n\n\n\n<p>Host: <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha Haden Chomphosy</a><br>Guests: <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a><br>Editor:&nbsp;<a href=\"https://profiles.wordpress.org/dustinhartzler/\">Dustin Hartzler</a><br>Logo:&nbsp;<a href=\"https://profiles.wordpress.org/javiarce/\">Javier Arce</a><br>Production:&nbsp;<a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a><br>Song: Fearless First by Kevin MacLeod</p>\n\n\n\n<h2 class=\"wp-block-heading\">Show Notes</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/6-3/\">WordPress 6.3 Development Cycle and Release Team</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3:&nbsp;Rollback&nbsp;for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\">Core Editor Improvement: Advancing the power of Patterns</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/22/core-editor-improvement-smoother-site-editing/\">Core Editor Improvement: Smoother Site Editing</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/whats-new-in-gutenberg-16-1-29-june/#text-blocks-now-with-footnotes\">Text blocks: now with footnotes</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/?s=%22details+block%22#details-block\">The Details block is now stable</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n\n\n\n<li><strong>A small list of big things</strong>\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/07/05/wcus-2023-contributor-day-help-needed/\">WCUS 2023 Contributor Day: Help Needed!</a> &#8211; The WordCamp US Contributor Team is asking for help with their new approach to organizing this year’s Contributor Day.</li>\n\n\n\n<li>Watch the <a href=\"https://us.wordcamp.org/2023/news/\">WCUS News page</a> for a call for open-source-related art, poetry, and music.</li>\n\n\n\n<li><a href=\"https://wordpress.org/news/category/releases/\">WordPress Releases</a> &#8211; Find WordPress 6.3 RC1 and other releases.</li>\n\n\n\n<li><a rel=\"noreferrer noopener\" href=\"https://make.wordpress.org/community/2023/06/16/celebrating-the-completion-of-the-meetup-reactivation-project/\" target=\"_blank\">Celebrating the Completion of the Meetup Reactivation Project</a></li>\n</ul>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/06/22/attention-wordpress-event-organizers-this-important-workshop-on-july-20-2023-is-for-you/\">WP Diversity Workshop for WordPress event organizers</a> &#8211; Join this 2.5-hour interactive watch party online on July 20, 2023, to learn how to create welcoming and diverse WordPress&nbsp;Meetups&nbsp;and WordCamps for your WordPress community.</li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/6-3-live-product-demo/\">6.3 Live Product Demo</a></li>\n</ul>\n</li>\n</ul>\n\n\n\n<span id=\"more-15398\"></span>\n\n\n\n<h2 class=\"wp-block-heading\">Transcript</h2>\n\n\n\n<p><em>( Intro music )</em></p>\n\n\n\n<p>[00:00:00] <strong>Josepha:</strong> Hello, everyone, and welcome to the WordPress Briefing, the podcast where you can catch quick explanations of the ideas behind the WordPress open source project, some insight into the community that supports it, and get a small list of big things coming up in the next two weeks.</p>\n\n\n\n<p>I&#8217;m your host, Josepha Haden Chomphosy. Here we go.</p>\n\n\n\n<p><em>( Intro music continues )</em></p>\n\n\n\n<p>[00:00:39] <strong>Josepha:</strong> We have with us Mike Schroder. They are on the WordPress 6.3 release squad, and I believe, Mike, that your role there is the Core Tech Lead.</p>\n\n\n\n<p>Is that right?</p>\n\n\n\n<p>[00:00:50] <strong>Mike:</strong> Yeah, that&#8217;s correct. I&#8217;m one of the tech leads along with Andrew Ozz and David Baumwald.</p>\n\n\n\n<p>[00:00:56] <strong>Josepha:</strong> Thank you so much for being able to join me today.</p>\n\n\n\n<p>[00:00:58] <strong>Mike:</strong> Thanks for inviting me.</p>\n\n\n\n<p>[00:01:00] <strong>Josepha:</strong> This is our 6.3 sneak peek, and so it has a little bit of a &#8220;What do you wish people knew about the upcoming release?&#8221; aspect to it, but it also has like a &#8220;What do we find most interesting about the work that we&#8217;ve been doing in this release so far?&#8221;</p>\n\n\n\n<p>As the Core Tech Lead, what currently is like your favorite thing that y&#8217;all are getting into the release or the thing that&#8217;s the most interesting or happiest to finally be done with it?</p>\n\n\n\n<p>[00:01:27] <strong>Mike:</strong> Yeah, I think there are a couple of things. So I was playing around with the release in anticipation for this, and one of the favorite sort of user-facing features that I played with was the live preview for Block themes. And it just makes it feel so intuitive to open up a new Block theme and play around with Styles and different designs and see how it looks.</p>\n\n\n\n<p>I really enjoyed it, opened it up on my personal site and started messing around with different color palettes and things like that, and it was a lot of fun.</p>\n\n\n\n<p>[00:01:55] <strong>Josepha:</strong> Like it&#8217;s a live preview, but also with all of the content they already have on your site.</p>\n\n\n\n<p>[00:01:59] <strong>Mike:</strong> It does use the templates and so it, it shows some of the live content from the from the homepage, for instance, and some of those blocks, and some of the other areas are editing the templates rather than the live content. But yes, it was neat to play around with it and see my blog content in the background and yeah, some real-time design. That was really fun.</p>\n\n\n\n<p>[00:02:20] <strong>Josepha:</strong> And has that been a big focus of the release? Was it something that you and the other Tech Leads both for the Core side and the Editor side just had to focus a lot on in this round of the release?</p>\n\n\n\n<p>[00:02:33] <strong>Mike:</strong> So I was not a part of a lot of that work. So I&#8217;m not gonna take credit for it. I think that is the culmination, all of those different things together of a lot of the things that the Editor team has been working on for some time. And it was just, it was really refreshing to see it.</p>\n\n\n\n<p>The other feature that I had in my head, if it&#8217;s okay for me to talk about a second one, is something that has been trying to get landed in Core for quite some time, and that has to do with automatic rollbacks. If plugin updates or theme updates start to happen and then they fail in the middle of that update, then it will automatically restore the previous version of the plugin or theme. And that&#8217;s a pretty big improvement over the previous behavior, which could result not as well.</p>\n\n\n\n<p>[00:03:16] <strong>Josepha:</strong> Right. Where you would just have a site that was like, &#8220;Best of luck to you,&#8221; and emails that told you what kind of probably was broken. I shouldn&#8217;t be sassy about that. The WSOD protection that we put in really was a huge leap forward for the way that we handled that in the past, but this is great news.</p>\n\n\n\n<p>[00:03:34] <strong>Mike:</strong> Yes, I was so excited when that landed, and this is I guess the next part of that. And it&#8217;s been, yeah, it&#8217;s been in the works for a long time, through testing and there was an entire team that did a lot of work on it in a future plugin. And I&#8217;m very excited to see it land.</p>\n\n\n\n<p>[00:03:49] <strong>Josepha:</strong> That&#8217;s great. That&#8217;s one of those things that we hope a WordPress user never has to know exists. Like it&#8217;s always our hope that the plugins work perfectly and the themes work perfectly. And so unless something is going really wrong you won&#8217;t know that&#8217;s a feature. Surely it tells you like, &#8220;This didn&#8217;t update by the way. Go figure that out.&#8221;</p>\n\n\n\n<p>[00:04:08] <strong>Mike:</strong> Yeah, the whole idea of this particular feature is to make it feel more like everything is smooth and one site continues to work, and the underpinning of it has been going in for a couple of releases. The whole idea is to make the experience more smooth for users.</p>\n\n\n\n<p>[00:04:21] <strong>Josepha:</strong> Cool. That auto rollback actually was not on my radar as a thing to keep an eye out for in this release, so that&#8217;s really neat. One of the things that I saw as I was doing, I don&#8217;t do any complicated testing. I mostly do like testing of what users would expect with the workflow with my eyeballs and a mouse.</p>\n\n\n\n<p>[00:04:40] <strong>Mike:</strong> Well, that&#8217;s, that&#8217;s wonderful.</p>\n\n\n\n<p>[00:04:42] <strong>Josepha:</strong> I&#8217;m not doing any of the fancy testing with like code, but one of the things that I saw as I was working through my general, just regular test, my spot check click around test was that it looks like there&#8217;s some consolidation, some consolidation of the navigation in the Editor.</p>\n\n\n\n<p>So, it had I think maybe Pages and Templates in there before, and now there are five things in there. Do you have a bit of a concept of what went into that, what we&#8217;re hoping everybody&#8217;s gonna be able to accomplish there now?</p>\n\n\n\n<p>[00:05:13] <strong>Mike:</strong> So I, I was not involved as much in the later stages of this, but I was in a couple of the first couple iterations of this particular feature, and I think this is, I don&#8217;t want to guess the exact amount of times that this has been sort of reworked so the experience is good for users, there been so much effort that&#8217;s gone into helping navigation be a comfortable experience for people to work with within the site editor.</p>\n\n\n\n<p>And what I have heard is that everyone that&#8217;s worked on it is very excited that it&#8217;s landing and that users will be able to experience it and more easily work with navigation.</p>\n\n\n\n<p>[00:05:46] <strong>Josepha:</strong> Yeah, I think that navigation is one of those things, both like creating good navigation as a software designer, but then also as somebody who&#8217;s like putting together a website. Good navigation is hard to do. And it&#8217;s design where everyone&#8217;s, &#8220;Good design is invisible,&#8221; and we don&#8217;t actually mean that.</p>\n\n\n\n<p>We don&#8217;t mean it&#8217;s invisible. We mean it&#8217;s not intrusive, it doesn&#8217;t get in your way, it acts in the way you think it&#8217;s going to act, and it knows or has a good guess about where you&#8217;re trying to be, what you&#8217;re trying to do in that particular moment on a site. And so like the fact that we&#8217;ve had probably hundreds of people working on navigation inside the software is no surprise to me, but I bet it&#8217;s gonna be a surprise to a lot of people.</p>\n\n\n\n<p>They&#8217;ll be like, &#8220;It&#8217;s like folders, right?&#8221; Turns out it&#8217;s not.</p>\n\n\n\n<p>[00:06:33] <strong>Mike:</strong> Yes, it was, incredibly, incredibly difficult to design. I know there was, the couple instances that I was most involved with, I know there was so much discussion about how folks are used to working with navigation within WordPress and sort of what expectations are for menus and what expectations are for, you know, users both that have been using WordPress for a long time and users who, who are new to WordPress, and the Site Editor. And having all of those considerations from the various stakeholders just makes it a really difficult design problem.</p>\n\n\n\n<p>[00:07:03] <strong>Josepha:</strong> Yeah, absolutely. And I mean, not for nothing like the WP Admin itself, that dashboard inside the WordPress software, like that&#8217;s been due for an update for quite some time. This is the same one that I think we&#8217;ve had since 2008, which was also very disruptive in its way. And so like it was a good disruption, but we really haven&#8217;t made any substantial changes to it since then. And part of it is because there are so many use cases for WordPress, and we don&#8217;t have a good concept of that because we don&#8217;t have a lot of tracking in the software. We don&#8217;t take anyone&#8217;s like data about what field they work in. We don&#8217;t do any of that.</p>\n\n\n\n<p>And so it&#8217;s hard for us to account for all of the use cases and get a really excellent design for a majority of the people that are gonna be using it. Because like we don&#8217;t actually build software for robots around here. Not yet.</p>\n\n\n\n<p>[00:07:54] <strong>Mike:</strong> <em>( laughs )</em> Yeah.</p>\n\n\n\n<p>[00:07:55] <strong>Josepha:</strong> No, I don&#8217;t think we&#8217;ll ever be robot-building software.</p>\n\n\n\n<p>[00:07:57] <strong>Mike:</strong> I doubt it, but I also don&#8217;t wanna predict the future. No, I agree. And I think that is absolutely one of the super tricky things about building WordPress. I&#8217;m really glad that WordPress doesn&#8217;t collect any of that data. And it makes it so that the sort of testing that, that you were talking about, in user studies and things like that, are incredibly helpful for figuring out what the best approaches are.</p>\n\n\n\n<p>[00:08:21] <strong>Josepha:</strong> Yeah, absolutely. Since we&#8217;re just in the zone of like things that Josepha likes and that she saw, I&#8217;m gonna also do this other thing. In one of the last couple of releases, the Style Book came out, which was such an exciting thing for me. It&#8217;s great to be able to see whether or not all of the style choices you&#8217;ve made in various parts of the admin or in the code, depending on how you&#8217;re doing things.</p>\n\n\n\n<p>It&#8217;s nice to make sure, in one big set, that like everything is coherent. Everything that you thought you changed did get changed and it looks the way that you wanted it to look in concert with everything else in there. And it looked like we now have revisions specific to styles, like styling things across the site, have revisions.</p>\n\n\n\n<p>Is that right?</p>\n\n\n\n<p>[00:09:06] <strong>Mike:</strong> That&#8217;s correct.</p>\n\n\n\n<p>[00:09:07] <strong>Josepha:</strong> I think that&#8217;s a super big deal because as somebody who is just, I&#8217;m filled with techno joy. I don&#8217;t always want to look at a manual. I just want to do stuff until it breaks and then hope I can fix it. The hoping you can fix it part <em>( laughs )</em> can sometimes be really nerve-wracking if what you&#8217;re doing is creating a site for a client or you are working on your first big theme and you wanna make sure that&#8217;s all together.</p>\n\n\n\n<p>And so style revisions to go along with some of the Editor revisions I think is a great change.</p>\n\n\n\n<p>[00:09:39] <strong>Mike:</strong> Same. Absolutely. This is not a feature I have, done too much particular playing with, at this point.</p>\n\n\n\n<p>[00:09:44] <strong>Josepha:</strong> You&#8217;re a very skilled developer.</p>\n\n\n\n<p>[00:09:46] <strong>Mike:</strong> I appreciate that. That&#8217;s very kind. I think that adding revisions to anything that folks regularly change in posts or pages is, really important. And making it very easy to get to both make forward changes and also to realize, &#8220;Oh, there was this other change that was, you know, there was three clicks ago that I really loved. How do I get back to that? How do I see the history?&#8221; And that&#8217;s what I love about that sort of feature. Being able to really easily see, &#8220;Okay, when did this happen? In what series? How can I jump back and get to that spot that felt right.&#8221;</p>\n\n\n\n<p>[00:10:19] <strong>Josepha:</strong> Yes. Anytime that we can have that kind of historical layering of things, I think is good. I went to a meetup. I like to go to meetups that are 101 content, because that&#8217;s like the folks that really need new refined processes the most. But I went to a 101 meetup a couple years back, and I remember that the presenter was saying like, take a theme that you pretty much like and make some changes until you have a theme that you love.</p>\n\n\n\n<p>And people kept saying like, &#8220;Yeah, but what if I break everything?&#8221; And he said in the middle of that to everyone, not knowing who I was because who cares? He was like, &#8220;Yeah, WordPress is not gonna let you do anything that will completely destroy a theme or completely destroy your site. There&#8217;s an undo button and you can just undo it. It&#8217;ll be fine.&#8221; And I was like, &#8220;Yeah, that is true now.&#8221;</p>\n\n\n\n<p>[00:11:15] <strong>Mike:</strong> I love that.</p>\n\n\n\n<p>Gosh. I mean, I remember when I was playing with my first WordPress site, and even to make really small changes with navigation or with menus, I had to go in and make changes to the PHP code, and none of that was protected.</p>\n\n\n\n<p>[00:11:31] <strong>Josepha:</strong> You&#8217;re like, &#8220;This is free-range me out here.&#8221;</p>\n\n\n\n<p>[00:11:34] <strong>Mike:</strong> I love, absolutely. I love that is just no longer the case anymore and it&#8217;s super easy to go in and play with a theme and make changes without worrying about any of that. And, I mean, I may be a developer, but that&#8217;s the way I would prefer. That&#8217;s the way I go in and edit my sites now too.</p>\n\n\n\n<p>If I wanna mess with a theme, go in, and it was the Customizer and now it&#8217;s the Site Editor, and it&#8217;s great.</p>\n\n\n\n<p>[00:11:58] <strong>Josepha:</strong> Yeah, it&#8217;s a leap forward, I think, leap forward.</p>\n\n\n\n<p>So another thing that I ran into, I guess it&#8217;s two things that I ran into while I was wandering around in there recently, and it&#8217;s possible that I ran into these two things because I just personally love them the most, but the Footnotes block looks like it is potentially going to land.</p>\n\n\n\n<p>I have been so excited about this block for no reason. I have dreams about it. I wish that were not a true statement. I did recently have a dream about it. I dreamt that it didn&#8217;t land in the release, and that I went to talk to Ella about it and she was like, &#8220;Oh, yeah, publishers have given up on footnotes and they&#8217;re just doing end notes now, and so I decided not to ship it.&#8221; Like this is a dream I had.</p>\n\n\n\n<p>And so I&#8217;m a little worried, but tomorrow I&#8217;m gonna be like, &#8220;Hey, Ella, friend, what&#8217;s happening?&#8221; And she&#8217;s gonna be like, &#8220;Yeah, end notes are where it&#8217;s at.&#8221;</p>\n\n\n\n<p>And then the other block that I&#8217;m personally very excited about is what I like to call the &#8220;Spoilers block.&#8221; I know it is not &#8220;Spoilers&#8221;, it&#8217;s the called &#8220;Details,&#8221; but anytime I&#8217;ve ever used that after like early, early times in my career, early in my career, I used to call them accordions and I don&#8217;t know why, but now I call them &#8220;Spoiler blocks.&#8221; But I know it&#8217;s actually called the &#8220;Details block,&#8221; where you can put in a piece of information at the top, essentially a title, and then expand it to get more information in there.</p>\n\n\n\n<p>So are both of those actually gonna land or am I gonna be heartbroken?</p>\n\n\n\n<p>[00:13:24] <strong>Mike:</strong> As far as I&#8217;m aware, yes. I know that I haven&#8217;t checked recently on the latter, but I was just playing with the Footnotes block, and it&#8217;s really cool. I really like the interface. I think that it makes it really simple to add quick footnotes to, anywhere in the site, and everything feels very automated and simple.</p>\n\n\n\n<p>[00:13:46] <strong>Josepha:</strong> As someone who every, almost everything that I&#8217;ve ever written, I want to have an aside in it, which essentially just becomes a footnote. One of the weirdest parts about Gutenberg at first is that like, the asterisk way of doing it, where you just put one after the word and then put one at the start. The asterisk makes it into a list block, and for a long time you also couldn&#8217;t escape it, and so I had to do a lot of fancy footwork to get my footnotes to work for a while, and so I&#8217;m excited for that.</p>\n\n\n\n<p>[00:14:15] <strong>Mike:</strong> I think I had similar discouraging moments with lists and I was really encouraged by the way the footnotes select, and I&#8217;m sure there are other ways to do it too, but select, right-click, footnote, and they all automatically go to the bottom order, all of it. It&#8217;s a really smooth process.</p>\n\n\n\n<p>[00:14:31] <strong>Josepha:</strong> Yeah. I&#8217;m really excited about it. I know that like for the last two or three major releases, a bulk of what we&#8217;ve been offering to folks is like, design stuff, and we&#8217;re just like, &#8220;It&#8217;s a bunch of design things,&#8221; but this release actually has over 500 different tickets that were marked as features or enhancements that are going into it.</p>\n\n\n\n<p>And so, you and I have talked about seven things so far, but I also understand that there are literally 500 tickets or so that were marked as &#8220;feature&#8221; or &#8220;enhancement.&#8221; And so we are definitely not gonna catch everything that goes in there, but there is kind of a group of another group of enhancements to the design tools because of course this wraps up the bulk of phase two so that we can all move into the collaborative editing phase.</p>\n\n\n\n<p>And so like, do you have a sense for, like is this just mostly polish for those design and like image media management kinds of things? Or are there big features that are coming in those also?</p>\n\n\n\n<p>[00:15:29] <strong>Mike:</strong> My understanding is that it&#8217;s all of the above. I think that there are a lot of new features being added along with polish to those features. And I think the neatest thing is that there are also a lot of enhancements that are focused on bringing all of those things together and making it feel like more of a connected experience. And so I think that&#8217;s my favorite part so far in testing that I&#8217;ve been doing of, the many, as you mentioned, so many additional new features that, that we&#8217;re added this time. And, I have a huge amount of respect for, you know, everyone that works, for the huge amount of folks that work on it across the project.</p>\n\n\n\n<p>[00:16:07] <strong>Josepha:</strong> Yeah. Yeah, you&#8217;ve given a couple of answers where you were like, &#8220;I wasn&#8217;t personally involved in that,&#8221; but on the one hand, I was like, &#8220;Everyone knows that we&#8217;re not all personally involved in it,&#8221; but on the other hand, not everybody knows how many people touch all of these tickets and features and bugs and tests as we get them ready to be put into the release.</p>\n\n\n\n<p>Last year, I was super worried that like, post active fear of Covid, and now everyone just like deciding that they&#8217;ve done their best and they&#8217;re going back out there. Like I was really worried that everyone was gonna be having so much fun out of the house, that they would stop contributing.</p>\n\n\n\n<p>[00:16:43] <strong>Mike: </strong><em>( laughs )</em></p>\n\n\n\n<p>[00:16:44] <strong>Josepha:</strong> I know, but we actually had one of our most active years for contributors last year, which means that especially for the releases that are coming this year, the people who worked all the way through last year, like almost 2000, I think, contributors, just to code, that&#8217;s not even like the contributors who worked on reigniting the community and putting together events, all of those things like all of the other things that we do.</p>\n\n\n\n<p>It&#8217;s, it is remarkable to me that when we look at any feature it is definitely been looked at or worked on, or at least passed through desks of easily a hundred people, even for small little things. And I just love that, the depth of the work we do.</p>\n\n\n\n<p>[00:17:29] <strong>Mike:</strong> Absolutely. Same. I remember wondering about that too, about your same sort of concerns. And it&#8217;s been really great to be a part of the community as it&#8217;s essentially, as it&#8217;s grown together again, I think is maybe the best way I can think of to say it. That&#8217;s been quite wonderful.</p>\n\n\n\n<p>[00:17:46] <strong>Josepha:</strong> Yeah, absolutely. Mike, this has been an absolutely delightful conversation. Is there anything you would like to leave us with before we move on to our small list of big things today?</p>\n\n\n\n<p>[00:17:58] <strong>Mike:</strong> The release candidate for 6.3 comes out tomorrow, and what I would love the most is if anyone in interested in testing, anyone, whether it&#8217;s testing exactly like this sort of testing that you were just talking about, with loading the RC and clicking around and seeing what works the best and what doesn&#8217;t work and what feels good and what doesn&#8217;t, or if it&#8217;s testing, if you&#8217;re like a plugin or a theme developer, testing with those things to see how things work and looking for backwards compatibility breaks that are unexpected so we can fix them before release.</p>\n\n\n\n<p>If you work at a hosting company or you make sites for folks, helping test that to see that it works really well on your platforms for folks that you work with. I think all of those would be super helpful, and there are testing instructions that can be found on the release candidate announcement page.</p>\n\n\n\n<p>[00:18:43] <strong>Josepha:</strong> Perfect. Wonderful. Mike, thank you so much for joining me today.</p>\n\n\n\n<p>[00:18:47] <strong>Mike:</strong> Thank you so much. I&#8217;ve really appreciated the time.</p>\n\n\n\n<p><em>( Musical interlude )</em></p>\n\n\n\n<p>[00:18:49] <strong>Josepha:</strong> That brings us now to our small list of big things. It&#8217;s actually kind of a big list of big things today. So first on the list is that WordCamp US has a Contributor Day and we need your help. So the WordCamp US Contributor Team has contacted all of the team reps asking for help with a new approach to organizing this year&#8217;s Contributor Day.</p>\n\n\n\n<p>The hope is to make the initial steps to contribution easier. And so they&#8217;re asking teams who will be present to help participate with that process. I will have a link in the show notes to the post that has more information.</p>\n\n\n\n<p>Also second thing related also to WordCamp US is that I would like to put out a call for art and music, especially that is related to open source and the freedoms that it brings. So one of the things that makes WordPress so fantastic in the world is not only that like we&#8217;re creating opportunities for folks, we&#8217;re offering economic, and I don&#8217;t know, philosophical freedoms to people, but we frequently do think about that in the vein of, you know, commerce and work and the economy, and we rarely think about it in the obviously related subset of arts and music. And so I also would like to put out a call for any open source related arts or poetry or music that you all have created.</p>\n\n\n\n<p>I would love to be able to display some of that at WordCamp US this year. I don&#8217;t think I have a link quite yet for a call for that, but as soon as I do, I&#8217;ll send it out on social media and other places.</p>\n\n\n\n<p>The third thing on our small list of big things is that, as Mike mentioned, tomorrow is the RC1 release date for WordPress 6. 3, and you can help us to test that.</p>\n\n\n\n<p>It&#8217;s always good for us to test any release as it&#8217;s working its way through the process, but certainly by the time it gets to RC, that&#8217;s when we are pretty sure it&#8217;s going to be as stable as possible. We&#8217;ve done some soft string freezes and feature freezes-ish. And so that&#8217;s about as stable as it&#8217;s going to get. And so I encourage everyone to get out and test that as much as possible. And in all the ways that Mike shared.</p>\n\n\n\n<p>Item number four, we are also reaching a milestone. So, a couple weeks ago, we reached the one year milestone for the start of the Meetup Reactivation Project.</p>\n\n\n\n<p>We have about 50% of our Meetup groups reactivated. If you are listening to this and you are a Meetup organizer and you haven&#8217;t heard from anyone from WordCamp Central or the community team, I&#8217;m going to put a link to the notes, or rather, a link to the post in the notes so that you can also learn more about that.</p>\n\n\n\n<p>You don&#8217;t have to hear from us in order to get your meetup group going again. But, if you are interested to know what has gone into that process, or always just want to know what&#8217;s going on in the community side of things, that&#8217;s a good place to start. So there will be a link to that in the show notes as well.</p>\n\n\n\n<p>Number five, WordPress event organizers in general, but also anyone. So there are two different events coming up on Thursday, on July 20th.</p>\n\n\n\n<p>First, there is the WP Diversity Workshop. This is added workshop for us to help promote the ideas of building diverse and inclusive WordPress events. And so, this is not necessarily one of those events for people who want to increase their skills in speaking so that they are able to, to speak confidently at a WordPress event. These are for people who are organizing WordPress events and want to make them more inclusive and more diverse from the start. I encourage any organizer to go to it, regardless of whether you&#8217;re doing WordPress events or not, but certainly for WordPress events that is something that we care about and want to have included in our entire event series.</p>\n\n\n\n<p>The other thing that&#8217;s happening on Thursday, because like I said, two things happening on Thursday, is that we have a WordPress 6. 3 live product demo. We&#8217;ve been doing these for the last few releases, and you get a couple of people from either the release squad, or like folks who do that kind of developer relations work in WordPress, who sit down and just do a general click-through, a general run through, a public demo of what we expect to land in the release.</p>\n\n\n\n<p>And so that also is on Thursday. I will also have a link for you in the show notes. If you are listening to this not on WordPress.org and you don&#8217;t know where the show notes are, don&#8217;t worry. The show notes are on WordPress.org. You go to WordPress.org/news/podcast and in the transcript there are show notes that have links to all of these things.</p>\n\n\n\n<p>And that, my friends, is your big, small list of big things. Thank you for tuning in today for the WordPress Briefing. Thank you again for my guest, Mike&#8217;s, time. I&#8217;m your host, Josepha Haden Chomphosy, and I&#8217;ll see you again in a couple of weeks.</p>\n\n\n\n<p><em>( Outtro music )</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15398\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:63:\"\n		\n		\n		\n		\n		\n				\n		\n		\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:23:\"Designed with WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/news/2023/07/designed-with-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Jul 2023 22:33:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:6:\"Design\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:3:\"6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:9:\"Gutenberg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15401\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:342:\"The Gutenberg project has aimed to revolutionize how we manage web content as much as Johannes Gutenberg did the printed word. The project&#8217;s roadmap is comprised of four unique phases: With the upcoming release of WordPress 6.3, Phase 2 of the Gutenberg project is coming to a close; a journey worth celebrating. This video is [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Chloe Bringmann\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4271:\"\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"812\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/patterns-alt-b-dark.png?resize=1024%2C812&#038;ssl=1\" alt=\"\" class=\"wp-image-15421\" srcset=\"https://i0.wp.com/wordpress.org/news/files/2023/07/patterns-alt-b-dark.png?resize=1024%2C812&amp;ssl=1 1024w, https://i0.wp.com/wordpress.org/news/files/2023/07/patterns-alt-b-dark.png?resize=300%2C238&amp;ssl=1 300w, https://i0.wp.com/wordpress.org/news/files/2023/07/patterns-alt-b-dark.png?resize=768%2C609&amp;ssl=1 768w, https://i0.wp.com/wordpress.org/news/files/2023/07/patterns-alt-b-dark.png?w=1360&amp;ssl=1 1360w\" sizes=\"(max-width: 1000px) 100vw, 1000px\" data-recalc-dims=\"1\" /></figure>\n\n\n\n<p>The <a href=\"https://wordpress.org/gutenberg/\">Gutenberg</a> project has aimed to revolutionize how we manage web content as much as <a href=\"https://en.wikipedia.org/wiki/Johannes_Gutenberg\">Johannes Gutenberg</a> did the printed word. The project&#8217;s <a href=\"https://wordpress.org/about/roadmap/\">roadmap</a> is comprised of four unique phases:</p>\n\n\n\n<ol>\n<li>Easier Editing — Already available in WordPress, with ongoing improvements</li>\n\n\n\n<li>Customization — Full site editing, block patterns, block directory, block themes</li>\n\n\n\n<li>Collaboration — A more intuitive way to co-author content</li>\n\n\n\n<li>Multilingual — Core implementation for Multilingual sites</li>\n</ol>\n\n\n\n<p>With the upcoming release of WordPress 6.3, Phase 2 of the Gutenberg project is coming to a close; a journey worth celebrating.</p>\n\n\n\n<p>This video is an ode to Gutenberg&#8217;s editing and customization phases, celebrating the new design tools and the possibilities they create. The piece encapsulates the exciting steps made in the past that propel the vibrant future of WordPress.</p>\n\n\n\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\n<iframe loading=\"lazy\" class=\"youtube-player\" width=\"600\" height=\"338\" src=\"https://www.youtube.com/embed/FcTLMTyD2DU?version=3&#038;rel=1&#038;showsearch=0&#038;showinfo=1&#038;iv_load_policy=1&#038;fs=1&#038;hl=en-US&#038;autohide=2&#038;wmode=transparent\" allowfullscreen=\"true\" style=\"border:0;\" sandbox=\"allow-scripts allow-same-origin allow-popups allow-presentation\"></iframe>\n</div></figure>\n\n\n\n<p>Everything showcased in the video is built entirely with the WordPress Editor, using currently available blocks, patterns, and themes. This new era has opened the ability for the design community to contribute to the project directly without depending on developers to translate their ideas into designs. Consider this an invitation for designers to join a new generation that embraces the diverse and expressive capabilities of WordPress.</p>\n\n\n\n<p>The work that goes into Gutenberg is a powerful testament to the collaboration of coders, developers, and designers in our community. United, we strive to build WordPress into a realm of significance and lasting impact.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Video credits</h2>\n\n\n\n<p><strong>Video credits:</strong> <a href=\"https://profiles.wordpress.org/tinobarreiro/\">Tino Barreiro</a>, <a href=\"https://profiles.wordpress.org/beafialho/\">Beatriz Fialho</a>, <a href=\"https://profiles.wordpress.org/iamtakashi/\">Takashi Irie</a>, <a href=\"https://profiles.wordpress.org/iamarinoh/\">Henrique Lamarino</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, <a href=\"https://profiles.wordpress.org/pablohoneyhoney/\">Pablo Honey</a>, <a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura</a>, and Holographik. </p>\n\n\n\n<p><i>Thank you to the post authors </i><a style=\"font-style: italic\" href=\"https://profiles.wordpress.org/tinobarreiro/\">Tino Barreiro</a><i>, </i><a style=\"font-style: italic\" href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a><i>, </i><a style=\"font-style: italic\" href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a><i>, </i><a style=\"font-style: italic\" href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a>, <em>and <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloé Bringmann</a>.</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"15401\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 11 Aug 2023 20:32:50 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:12:\"max-age=3600\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Thu, 10 Aug 2023 22:00:45 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 2\";}}s:5:\"build\";s:14:\"20230811185715\";}", "no");
INSERT INTO `wp_options` VALUES("749", "_transient_timeout_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1691829170", "no");
INSERT INTO `wp_options` VALUES("750", "_transient_feed_mod_9bbd59226dc36b9b26cd43f15694c5c3", "1691785970", "no");
INSERT INTO `wp_options` VALUES("751", "_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "1691829171", "no");
INSERT INTO `wp_options` VALUES("752", "_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WPTavern: WordPress Publishes 6.3 Release Video and Landing Page Demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147720\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:80:\"https://wptavern.com/wordpress-publishes-6-3-release-video-and-landing-page-demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2733:\"<p><a href=\"https://wptavern.com/wordpress-6-3-lionel-introduces-command-palette-expands-pattern-management-and-design-tools\">WordPress 6.3</a> &#8220;Lionel&#8221; was released earlier this week with an overview video that offers a beautiful, dizzying demo of the many new features packed into this update. It&#8217;s a two-minute guided tour of WordPress&#8217; greatly expanded customization features, streamlined Site Editor interface, pattern creation and management, and the new Command Palette in action. </p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>For the first time, the release marketing also includes a new <a href=\"https://wordpress.org/download/releases/6-3/\">web experience</a> that showcases the features in 6.3 through a visual tour. It is essentially a release landing page with a beautiful dark mode style design and includes video demos for each major new feature. This visual resource is especially helpful for users who may have a difficult time getting a handle on a release that is so packed with updates. It&#8217;s also a resource that lasts long after all the Twitter buzz and other marketing has died down.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1936\" height=\"1146\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-11-at-11.54.43-AM.png\" alt=\"\" class=\"wp-image-147730\" />\n\n\n\n<p>During the past few release cycles, WordPress contributors have stepped up the product demos to help make the world aware of all the new capabilities landing in these updates. WordPress 6.3 Editor Triage co-lead Anne McCarthy, who co-hosted the <a href=\"https://wptavern.com/wordpress-6-3-rc2-released-watch-the-live-product-demo\">6.3 live product demo</a> with fellow contributor Rich Tabor, gave <a href=\"https://nomad.blog/2023/08/08/how-to-run-the-official-product-demos-in-wordpress-release-cycles/\">a glimpse behind the scenes</a> at the immense amount of effort and attention to detail and design that goes into these official project demos. </p>\n\n\n\n<p>As WordPress is expanding these resources and improving its marketing, McCarthy extended an invitation to any contributors who are able to follow a release in depth, understand the overarching vision, connect the dots on all the details, and artfully present them to the public. This is a somewhat rare combination of skills but a contribution opportunity with a high level of impact. Anyone interested can <a href=\"https://nomad.blog/2023/08/08/how-to-run-the-official-product-demos-in-wordpress-release-cycles/\">get in touch with McCarthy</a>, who said she wants to enable others to take this on in the future &#8220;to ensure a diverse set of folks can step into the spotlight.&#8221;</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2023 16:46:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"Do The Woo Community: All Things WordCamp US with Julia, Aaron and Kevin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75842\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"https://dothewoo.io/wordcampus-2023-organizers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:415:\"<p>Join us as we chat with three of the lead organizers from the team of volunteers to learn about WordCamp US 2023 in National Harbor, Maryland</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/wordcampus-2023-organizers/\">All Things WordCamp US with Julia, Aaron and Kevin</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2023 11:11:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"Do The Woo Community: New Event: Woo Agency Chat Live! with Ash Shaw and Mitch Callahan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75867\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://dothewoo.io/event-woo-agency-chat-live-august-16-2023/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:410:\"<p>Join Mitch Callahan from Saucal and Ash Shaw from LightSpeed on Woo Agency Chat Live, August 16, 10:00 UTC</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/event-woo-agency-chat-live-august-16-2023/\">New Event: Woo Agency Chat Live! with Ash Shaw and Mitch Callahan</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Aug 2023 10:41:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"WPTavern: Gutenberg 16.4 Introduces Experimental Auto-Inserting Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147688\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://wptavern.com/gutenberg-16-4-introduces-experimental-auto-inserting-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4028:\"<p><a href=\"https://make.wordpress.org/core/2023/08/10/whats-new-in-gutenberg-16-4-9-august/\">Gutenberg 16.4</a> has been released with a new auto-inserting blocks experimental feature. It allows developers to specify a location in which the block will be automatically inserted, such as before or after a template. The block can then be repositioned after insertion using the editor tools.</p>\n\n\n\n<p>&#8220;This applies both to the frontend and to the Site Editor (via the REST API), allowing for further user customization,&#8221; Automattic-sponsored engineer Sarah Norris said in the 16.4 release post. She posted a video demonstrating how it works with an example &#8220;like&#8221; block:</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\nvideo source: <a href=\"https://make.wordpress.org/core/2023/08/10/whats-new-in-gutenberg-16-4-9-august/\">Gutenberg 16.4 release post</a>\n\n\n\n<p>Although the auto-inserting blocks is still behind the experimental flag, developers can try it by adding an <code>__experimentalAutoInsert</code> field to the block.json file of a dynamic block. Example code is available in the release post.</p>\n\n\n\n<p>&#8220;This feature aims to improve the extensibility of block themes through plugins and continues to be actively developed,&#8221; Norris said.</p>\n\n\n\n<p>The <a href=\"https://github.com/WordPress/gutenberg/issues/39439\">GitHub ticket for auto-inserting blocks</a> describes a common scenario from the days of classic themes where a plugin would use a filter to auto-append a login/logout link to a navigation menu. This is no longer possible with block themes, so contributors have devised auto-inserting blocks as a creative solution that retains ease of use offered by simply activating a plugin and preserves the ability of the user to modify the blocks once inserted.</p>\n\n\n\n<p>Gutenberg 16.4 also introduces a new, <a href=\"https://github.com/WordPress/gutenberg/pull/53030\">horizontal <code>ProgressBar</code> component</a> that can be used throughout the interface. It may soon replace the <code>Spinner</code> component that is currently used in the Site Editor loading experience. An indeterminate version (indicates that a process is occurring but with no specific progress measurement) and a determinant version (a progress bar that indicates the progress made, moving towards 100%) are included in this component.</p>\n\n\n\nindeterminate progress bar &#8211; video source: <a href=\"https://github.com/WordPress/gutenberg/pull/53030\">Gutenberg PR #53030</a>\n\n\n\ndeterminate progress bar &#8211; video source: <a href=\"https://github.com/WordPress/gutenberg/pull/53030\">Gutenberg PR #53030</a>\n\n\n\n<p>The Command Palette, which landed in <a href=\"https://wptavern.com/wordpress-6-3-lionel-introduces-command-palette-expands-pattern-management-and-design-tools\">WordPress 6.3</a> earlier this week, is getting three new commands in this release:</p>\n\n\n\n<ul>\n<li>Show/hide block breadcrumbs</li>\n\n\n\n<li>Enable/disable pre-publish checklist</li>\n\n\n\n<li>Preview in a new tab</li>\n</ul>\n\n\n\n<p>WordPress&#8217; block library has expanded design control support for the following blocks: </p>\n\n\n\n<ul>\n<li>Footnotes: Add link, background, and text color support. (<a href=\"https://github.com/WordPress/gutenberg/pull/52897\">52897</a>)</li>\n\n\n\n<li>Footnotes: Add typography, dimensions, and border block supports (<a href=\"https://github.com/WordPress/gutenberg/pull/53044\">53044</a>)</li>\n\n\n\n<li>Preformatted: Add spacing support. (<a href=\"https://github.com/WordPress/gutenberg/pull/45196\">45196</a>)</li>\n\n\n\n<li>Social Links: Add Threads Icon. (<a href=\"https://github.com/WordPress/gutenberg/pull/52685\">52685</a>)</li>\n\n\n\n<li>Verse: Enable the line breaks. (<a href=\"https://github.com/WordPress/gutenberg/pull/52928\">52928</a>)</li>\n</ul>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/08/10/whats-new-in-gutenberg-16-4-9-august/\">16.4 release post</a> for more details on all the enhancements, bug fixes, and accessibility and performance improvements.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2023 22:05:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Matt: WordPress 6.3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=94453\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://ma.tt/2023/08/wordpress-6-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:537:\"<p>Version 6.3 is out! Time to fire up your updating engines. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f604.png\" alt=\"😄\" class=\"wp-smiley\" /> This is actually a really big one. (As a reminder, we do three major release of WP per year and each one is a +0.1, 7.0 will just be the next release after 6.9, so big things can happen in random version numbers.) <a href=\"https://wordpress.org/download/releases/6-3/\">We&#8217;ve made a release landing page to cover some of the new things in this one, check it out</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2023 16:31:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:127:\"Do The Woo Community: Разговор са Вордпрес заједницом Србије / The Serbia WordPress Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75823\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://dothewoo.io/the-serbia-wordpress-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:430:\"<p>Today we have an episode by the Serbian WordPress Community, for the Serbian WordPress community.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/the-serbia-wordpress-community/\">Разговор са Вордпрес заједницом Србије / The Serbia WordPress Community</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2023 07:44:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:123:\"WPTavern: WordPress Plugin Review Team Addresses Backlog of 900+ Plugins, Implements Strategies to Improve Approval Process\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147639\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:132:\"https://wptavern.com/wordpress-plugin-review-team-addresses-backlog-of-900-plugins-implements-strategies-to-improve-approval-process\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4146:\"<p>WordPress&#8217; Plugin Review team is wading through a backlog that was over 900 plugins awaiting approval earlier this week. The current count has 870 plugins sitting in the <a href=\"https://wordpress.org/plugins/developers/add/\">review queue</a>, with an average wait time of 61 days before initial review.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1856\" height=\"388\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-09-at-5.24.43-PM.png\" alt=\"\" class=\"wp-image-147652\" />\n\n\n\n<p>WordPress developer Marcus Burnette <a href=\"https://twitter.com/marcusdburnette/status/1688961018943221778\">drew attention to the matter on Twitter</a> after submitting a plugin he created to display a gallery of your own WordPress Photo Directory photos on your website. Other developers commented on his post, reporting that their recently-approved plugins took two months.</p>\n\n\n\n<p>WordPress Executive Director Josepha Haden Chomphosy responded with an invitation to contributors who want to learn how to review plugins and <a href=\"https://make.wordpress.org/plugins/handbook/apply/\">apply to join the team</a>.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"twitter-tweet\"><p lang=\"en\" dir=\"ltr\">There\'s an open application for anyone who wants to learn how to review these plugins and help us chip away at the backlog! <a href=\"https://t.co/nDF3tiOuvH\">https://t.co/nDF3tiOuvH</a> <a href=\"https://t.co/28lrCFtx4U\">https://t.co/28lrCFtx4U</a></p>&mdash; Josepha Haden Chomphosy (@JosephaHaden) <a href=\"https://twitter.com/JosephaHaden/status/1688983991792078848?ref_src=twsrc%5Etfw\">August 8, 2023</a></blockquote>\n</div>\n\n\n\n<p>The volunteer team responsible for reviewing plugins has undergone significant restructuring after the departure of long-time contributor Mika Epstein. In June, the team <a href=\"https://wptavern.com/wordpress-plugin-review-team-adds-6-new-sponsored-volunteers-opens-applications\">added six new sponsored volunteers</a> and opened applications for more team members. They have selected new team reps and have more than 20  applicants who have expressed interest in volunteering.</p>\n\n\n\n<p>&#8220;The first challenge we found during our onboarding was the fact that a lot of processes were not clearly documented,&#8221; newly selected team rep Francisco Torres said in a recent <a href=\"https://make.wordpress.org/plugins/2023/07/24/tackling-team-challenges-together/\">update</a>. &#8220;We asked A LOT of questions during this process and ensured that all the answers Mika shared with us were added to the team’s internal docs. This effort should make it a lot easier for new contributors to join the team down the road.</p>\n\n\n\n<p>&#8220;We have also improved our internal tools to catch the most common coding mistakes and have built our predefined responses into the output provided by this tool. We still review this content manually before sending out replies, but by merging the two tasks into one (reviewing the code and drafting the message) we have been able to cut down review time considerably.&#8221;</p>\n\n\n\n<p>In strategizing ways to cut through the formidable plugin backlog, the team has begun speeding up the process by performing a cursory initial review, followed by a more thorough one once the plugin author has fixed the most obvious issues.</p>\n\n\n\n<p>&#8220;In order to tackle the backlog faster, we’re now spending less time on initial reviews,&#8221; Torres said. &#8220;We begin checking issues that take us less time, and then as soon as we spot one or two issues with the plugin that would prevent it from being approved, we email the plugin author to ask them to fix the initial issues. If the author gets back to us with those first fixes, then we proceed with an in-depth review.&#8221;</p>\n\n\n\n<p>A two-month wait can be demoralizing for developers who are excited to share their open source plugins with the world. Now that the whole process is getting documented and refined to be more efficient, the Plugin Review Team will be better able to onboard new reviewers and put them in place to tackle the backlog. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Aug 2023 01:39:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: Kadence Blocks 3.1.11 Patches Critical Vulnerability\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147644\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/kadence-blocks-3-1-11-patches-critical-vulnerability\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1925:\"<p>The <a href=\"https://wordpress.org/plugins/kadence-blocks/\">Kadence Blocks</a> plugin, which is used on more than 300,000 WordPress sites, has patched a critical vulnerability in its Advanced Form Block file upload capability. Version 3.1.11, released on August 8, 2023, patches the security issue with the form uploads.</p>\n\n\n\n<p>The plugin&#8217;s development team is getting out ahead of the situation by posting an <a href=\"https://www.kadencewp.com/blog/kadence-blocks-3-1-11-includes-patch-for-critical-vulnerability/\">advisory</a> on their blog, with a short description of the vulnerability and its potential for exploit.</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>The Kadence Advanced Form Block, introduced in Kadence Blocks 3.1, offers site owners the ability to add a file upload capability to their site. The code within the Advanced Form Block had insufficient tests to limit what types of files can be uploaded. This could allow attackers to upload a file claiming to be a valid image type that actually contained malicious PHP code. That PHP code could be malicious, and in so doing, take over a vulnerable WordPress website. Exploiting this vulnerability would require a settings at the server level that would be considered insecure. Most premium hosting providers secure upload folders from PHP execution at the server level, though many budget hosting providers do not.</p>\n</blockquote>\n\n\n\n<p>Kadence Blocks developer Ben Ritner said sites that are not using the Advanced Form Block file upload capability are not subject to this vulnerability. At this time the vulnerability is not known to have been exploited.</p>\n\n\n\n<p>Kadence Blocks users are encouraged to update immediately and check for unexpected users, admin accounts, and content changes. The advisory also includes ways to make file uploads more secure, including limiting file type, adding authentication, and scanning for viruses.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2023 20:36:09 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"Post Status: WordPress 6.3 • Release Workflows • European Union Cyber Resiliency Act • Gutenberg Accessibility\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=150107\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"https://poststatus.com/wordpress-6-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:18999:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (August 7, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">WordPress 6.3, Lionel, has been released. It&#8217;s time to test out the details and footnotes blocks, give the <code>WP_DEVELOPMENT_MODE</code> a try, and check out the new Get Involved tab on the Welcome screen. <br /><br />The WordPress Training team announces its first course cohort for <a href=\"https://Learn.WordPress.org\">Learn.WordPress.org</a>. The course will cover Developing Your First WordPress Block, and offer real-time collaborative learning. <br /><br />In December of 2021, Log4j vulnerability sparked governmental-level decision-making implications in the EU (<a href=\"http://digital-strategy.ec.europa.eu/en/library/cyber-resilience-act\">Cyber Resiliency Act</a>) and USA (<a href=\"https://cisa.gov/sbom\">SBOM</a>). WordPress, Drupal, Joomla, and Typo3 have shared concerns regarding  the EU CRA. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fas_rocket kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, 1st LearnWP Cohort, EU CRA</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f195.png\" alt=\"🆕\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/08/lionel/\">WordPress 6.3 “Lionel”</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9d1-1f3fd-200d-1f3eb.png\" alt=\"🧑🏽‍🏫\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort</a><br /><br /> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2934.png\" alt=\"⤴\" class=\"wp-smiley\" /><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f510.png\" alt=\"🔐\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/08/lionel/\">WordPress 6.3 “Lionel”</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/contribute\">Contribute</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-2\">\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-7\">\n<div class=\"wp-block-column is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-5\">\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/08/07/matrix-test-results/\">Matrix Test Results</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/new-github-feature-request-separating-access-to-the-meetup-and-wordcamp-trackers/\">New GitHub Feature Request: Separating access to the Meetup and WordCamp trackers</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/community-team-meeting-agenda-for-3-august-2023/\">Community Team Meeting Agenda for 3 August, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/recap-inaugural-nextgen-pilot-events/\">Recap: Inaugural NextGen Pilot Events</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/whose-ticket-is-it-anyway/\">Whose ticket is it, anyway?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/07/wordpress-6-3-performance-improvements/\">WordPress 6.3 performance improvements</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/08/styling-blocks-empowering-users-with-css-custom-properties/\">Styling blocks: empowering users with CSS custom properties</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/09/dev-chat-agenda-august-9-2023/\">Dev Chat agenda, August 9, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/07/editor-chat-agenda-9-august-2023/\">Editor Chat Agenda: 9 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/08/04/summary-for-docs-team-meeting-august-1-2023/\">Summary for Docs Team meeting, August 1, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/07/documentation-team-update-august-7-2023/\">Documentation Team Update – August 7, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/08/09/organizations-supporting-wordpress-org/\">Organizations Supporting WordPress.org</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/08/mobile-team-update-august-8th/\">Mobile Team Update – August 8th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/08/07/last-week-openverse-2023-07-31-2023-08-07/\">A week in Openverse: 2023-07-31 – 2023-08-07</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/28/openverse-monthly-priorities-meeting-2023-08-02/\">Openverse Monthly Priorities Meeting 2023-08-02</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/08/performance-chat-summary-8-august-2023/\">Performance Chat Summary: 8 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/07/plugin-review-team-7-august-2023/\">Plugin Review Team: 7 August 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/09/adding-some-meta-buttons-always-visible/\">Adding some meta buttons always visible</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/09/new-wordpress-org-theme-for-your-rosetta-site/\">New WordPress.org Theme for your Rosetta Site</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/28/sustainability-chat-summary-july-28-2023/\">Sustainability Chat Summary, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/08/07/test-team-update-7-august-2023/\">Test Team Update: 7 August 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/08/07/themes-team-meeting-agenda-for-august-08-2023/\">Themes team meeting agenda for August 08, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/08/themes-team-update-august-08-2023/\">Themes team update August 08, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/08/04/wcus-contributor-day-tutorials-workshop-in-person-remote/\">WCUS Contributor Day: Tutorials Workshop (In-Person &amp; Remote)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/introducing-the-training-team-guide-program/\">Introducing the Training Team Guide Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort.</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/exploring-wordpress-6-3/\">Exploring WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/how-to-use-the-spacer-block/\">How to use the spacer block</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-6\">What is the Domain Name System?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-5\">What is the Domain Name System?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=training-team-contributor-day-online-session-2\">Training Team Contributor Day Online Session</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-global-variables\">Common WordPress APIs: Global Variables</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-11\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%E3%83%95%E3%83%AB%E3%82%B5%E3%82%A4%E3%83%88%E7%B7%A8%E9%9B%86%E3%81%A7%E5%AE%9F%E9%9A%9B%E3%81%AB%E3%82%B5%E3%82%A4%E3%83%88%E3%82%92%E4%BD%9C%E3%81%A3%E3%81%A6%E3%81%BF%E3%82%88%E3%81%86%EF%BC%81\">フルサイト編集で実際にサイトを作ってみよう！</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=contributing-to-the-wordpress-community-team-events-and-roles\">Contributing to the WordPress Community Team: Events and Roles</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=hallway-hangout-extending-blocks-with-custom-design-tools\">Hallway Hangout: Extending blocks with custom design tools</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-start-contributing-to-the-wordpress-core\">How to start contributing to the WordPress Core</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2023 20:02:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Akismet: How to Disable Comments in WordPress (and When Not to)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://akismet.com/?p=160334\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://akismet.com/blog/how-to-disable-comments-in-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:20675:\"<p>The heart of an online presence lies in its engaging community, and what better way to foster such engagement than allowing users to post comments? Yet, there are moments when it might be necessary to hit the &#8220;off&#8221; switch. If your comments section gets flooded with spam, your impulse may be to automatically close comments before things get too messy.&nbsp;</p>\n\n\n\n<p>But you don&#8217;t necessarily need to do that. Today, we&#8217;ll delve into how to disable comments in WordPress and also discuss situations where this isn&#8217;t the best decision. And we&#8217;ll explore solutions to common concerns, such as managing spam, using powerful tools like Akismet.</p>\n\n\n\n<p>Let&#8217;s get right to it.</p>\n\n\n\n<span id=\"more-160334\"></span>\n\n\n\n<h2 class=\"wp-block-heading\">Turning off comments to stop spam? Install Akismet instead</h2>\n\n\n\n<p>Before you disable comments altogether, consider what’s really bothering you.</p>\n\n\n\n<p>Is it the <a href=\"https://akismet.com/blog/how-to-stop-comment-spam-in-wordpress/\">flood of spam</a> making your management duties unbearable? Or, are trolls wreaking havoc on your site&#8217;s overall positive vibes? It&#8217;s natural to feel overwhelmed and think of disabling comments as the quick fix. But there’s a better method you can employ.</p>\n\n\n\n<p>Enter <a href=\"https://akismet.com/\">Akismet</a>, your staunch ally in the battle against spam. This robust tool packs quite a punch when it comes to filtering out spammy content, letting you revel in the genuine, quality interaction with your users.</p>\n\n\n\n<img width=\"900\" height=\"526\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image2.jpg\" alt=\"Akismet homepage with the text, \" />\n\n\n\n<p>A blend of simplicity and power, Akismet is astoundingly easy to use. Once installed and set up, it works quietly behind the scenes of your entire WordPress site, sifting through incoming comments, and sweeping away spam. All you&#8217;re left with are the comments that truly matter. You&#8217;ll see the difference immediately and wonder how you ever managed without it.</p>\n\n\n\n<p>Here are a few features that make Akismet your hero:</p>\n\n\n\n<ul>\n<li><strong>Automatic spam detection</strong>: It checks and filters every comment, so you don&#8217;t have to spend your precious time discerning real comments from spam.</li>\n\n\n\n<li><strong>A flexible discard feature</strong>: You have complete control. You can choose to discard the worst and most pervasive spam, so you&#8217;ll never have to see it.</li>\n\n\n\n<li><strong>A visible comment status history</strong>: For each comment, Akismet provides a status history, so you can understand where the spam was caught, cleared, or missed.</li>\n</ul>\n\n\n\n<p>This is all fine and well, but maybe it seems like too much trouble. Couldn&#8217;t you just disable comments across the board and be done with it? Certainly, you could. But there are tangible <a href=\"https://akismet.com/blog/wordpress-pros-and-cons-of-enabling-comments/\">benefits to keeping comments turned on</a> in WordPress.&nbsp;</p>\n\n\n\n<p>For instance, comments can:</p>\n\n\n\n<ul>\n<li>Boost community engagement</li>\n\n\n\n<li>Encourage repeat visitors</li>\n\n\n\n<li>Provide a way to get quick feedback</li>\n\n\n\n<li>Improve on-page SEO</li>\n</ul>\n\n\n\n<p>But if left to run amuck, an overabundance of spam comments can leave a sour taste in visitors&#8217; mouths. An unmoderated comment section can:</p>\n\n\n\n<ul>\n<li>Look unprofessional</li>\n\n\n\n<li>Affect site security</li>\n\n\n\n<li>Attract more spam comments</li>\n\n\n\n<li>Create more work for admins</li>\n</ul>\n\n\n\n<p>All that being said, before you decide to disable comments in WordPress for future posts entirely, give Akismet a shot. It&#8217;s the solution that preserves your community engagement while keeping your WordPress website clean and spam free.</p>\n\n\n\n<p>Still, there might be situations where you want to learn how to turn off comments in WordPress. Perhaps you&#8217;ve decided to repurpose your blog as a purely informational site, or maybe you have a specific WordPress post that doesn’t require engagement. Whatever your reasons, we&#8217;ll walk you through the process next.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Still want to disable WordPress comments? Here are four ways to do so:</h2>\n\n\n\n<p>While we advocate for keeping the <a href=\"https://akismet.com/blog/wordpress-comment-system/\">comments section</a> activated, there are times when you may feel it necessary to hit that &#8220;disable&#8221; button. If you&#8217;ve made up your mind, here are four ways to turn off comments in WordPress:</p>\n\n\n\n<img width=\"1999\" height=\"1333\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image11.jpg\" alt=\"man in a maroon sweater looking at a computer screen\" class=\"wp-image-160337\" />\n\n\n\n<h3 class=\"wp-block-heading\">1. Turn off comments in your WordPress settings</h3>\n\n\n\n<p>One way to disable comments site-wide is through the WordPress Discussion settings.</p>\n\n\n\n<p>Here&#8217;s how you do it:</p>\n\n\n\n<ol>\n<li><a href=\"https://jetpack.com/blog/wordpress-admin-dashboard/\">From your WordPress Dashboard</a>, navigate to <strong>Settings → Discussion</strong>.</li>\n\n\n\n<li>In the <strong>Default post settings</strong> section, uncheck the box that says <strong>Allow people to comment on new posts</strong>.</li>\n\n\n\n<li>Scroll down and click <strong>Save Changes</strong>.</li>\n</ol>\n\n\n\n<img width=\"900\" height=\"190\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image9.jpg\" alt=\"discussion settings in WordPress\" class=\"wp-image-160338\" />\n\n\n\n<p>Remember, this setting only applies to future posts. Your old posts will still have comments enabled unless you disable them individually or in bulk, which brings us to our next point.</p>\n\n\n\n<h3 class=\"wp-block-heading\">2. Disable comments on a specific post</h3>\n\n\n\n<p>Maybe you just want to turn off comments for one or a few specific posts. That&#8217;s easy to accomplish as well:</p>\n\n\n\n<ol>\n<li>From the WordPress dashboard, navigate to <strong>Posts</strong> or <strong>Pages</strong> and find the post or page where you want to disable comments.</li>\n\n\n\n<li>Click <strong>Edit</strong> to open the post or page.</li>\n\n\n\n<li>On the right-hand side of the screen, in the <strong>Post</strong> tab, scroll down to <strong>Discussion</strong>.</li>\n\n\n\n<li>Uncheck <strong>Allow comments</strong>.</li>\n\n\n\n<li><strong>Update</strong> or<strong> Publish</strong> the post to save your changes.</li>\n</ol>\n\n\n\n<img width=\"900\" height=\"290\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image6.jpg\" alt=\"comment settings on an individual blog post\" class=\"wp-image-160339\" />\n\n\n\n<p>Or, you can do this from the Post or Pages list. Instead of clicking on the post to open the Block Editor, click <strong>Quick Edit</strong>, uncheck the box that says <strong>Allow Comments.</strong> then click <strong>Save</strong>.</p>\n\n\n\n<img width=\"900\" height=\"379\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image8.jpg\" alt=\"turning off comments for a post\" class=\"wp-image-160340\" />\n\n\n\n<h3 class=\"wp-block-heading\">3. Disable comments in bulk on a group of posts</h3>\n\n\n\n<p>If you need to disable comments on multiple posts, you can do so quickly with the bulk edit feature:</p>\n\n\n\n<ol>\n<li>Go to <strong>Posts</strong> in your WordPress dashboard.</li>\n\n\n\n<li>Check the boxes next to the posts where you want to disable WordPress comments.</li>\n\n\n\n<li>From the <strong>Bulk Actions</strong> drop-down at the top, choose <strong>Edit,</strong> then click <strong>Apply</strong>.</li>\n\n\n\n<li>In the <strong>Bulk Edit</strong> box that appears, find <strong>Comments</strong> and select<strong> Do not allow</strong>.</li>\n\n\n\n<li>Click on the <strong>Update</strong> button to save your changes.</li>\n</ol>\n\n\n\n<img width=\"900\" height=\"426\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image7.jpg\" alt=\"turning off comments on posts in bulk\" class=\"wp-image-160342\" />\n\n\n\n<h3 class=\"wp-block-heading\">4. Turn off comments using custom code</h3>\n\n\n\n<p>If you feel comfortable tinkering with your site&#8217;s code, you can turn off comments by adding a few lines to your theme&#8217;s <em>single.php</em> file. This is the file that controls specifications for your site&#8217;s blog posts.</p>\n\n\n\n<p><em>Note: Before making any changes to your site&#8217;s code, always make a backup. Accidents can happen, and you don&#8217;t want to lose your site&#8217;s data. </em><a href=\"https://jetpack.com/upgrade/backup/\"><em>Jetpack VaultPress Backup</em></a><em> is the ideal solution for this purpose. Finally, it’s important to use a child theme in a staging environment before pushing your changes to your live site.</em></p>\n\n\n\n<p>Once you&#8217;re ready, locate your <em>single.php</em> file and open it in an HTML editor. Find the follow line of code in the file:</p>\n\n\n\n<pre class=\"wp-block-code\"><code><em>&lt;?php comments_template(); ?&gt;</em></code></pre>\n\n\n\n<p>Highlight this bit of code and replace it with the following:</p>\n\n\n\n<pre class=\"wp-block-code\"><code>&lt;!-- Begin Comment\n\n&lt;?php comments_template(); ?&gt;\n\nEnd Comment --&gt;</code></pre>\n\n\n\n<p>This code will turn off comments for all the posts on your WordPress site (and will even remove existing comments). By using this method, you’re &#8220;commenting out&#8221; the line of code that enables comments on your WordPress site. This turns that line of code into a “note” (such as ones you might make for other developers to reference if they’re troubleshooting your work) instead of a line that would actually be executed. </p>\n\n\n\n<p>Disabling comments in this way is a better solution than simply removing the line of code entirely because you can more easily re-enable comments again in the future.&nbsp;</p>\n\n\n\n<p>You can repeat this process for additional post types, including your site&#8217;s pages.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Alternative solution: Keep comments enabled, but block spam</h3>\n\n\n\n<img width=\"1024\" height=\"930\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image5.png\" alt=\"\" class=\"wp-image-160343\" />\n\n\n\n<p>If you feel hesitant about taking the last-ditch approach to disable comments in WordPress altogether, there <em>is </em>a better solution. Consider keeping comments enabled but blocking spam. It&#8217;s the middle-ground solution that lets you foster community engagement while keeping spam at bay.</p>\n\n\n\n<p>Akismet is your go-to tool for this purpose. Once enabled, it screens every comment and filters out those that look like spam. You&#8217;re left with genuine interaction without the headache of moderating every single comment manually.</p>\n\n\n\n<p>To get started with Akismet, you&#8217;ll first need to install and activate the Akismet plugin. Here&#8217;s a step-by-step guide to get you up and running:</p>\n\n\n\n<ol>\n<li>From your WordPress dashboard, navigate to <strong>Plugins</strong> and then click on <strong>Add New</strong>.</li>\n\n\n\n<li>In the search box, type “Akismet”. It should be the first result that appears.</li>\n\n\n\n<li>Click on the <strong>Install Now</strong> button and then <strong>Activate</strong>.</li>\n</ol>\n\n\n\n<p>Now that the Akismet plugin is activated, you&#8217;ll need to set it up:</p>\n\n\n\n<ol>\n<li>Go to <strong>Settings → Akismet Anti-Spam</strong>.</li>\n\n\n\n<li>You&#8217;ll be asked for your <strong>Akismet API key</strong>. If you don&#8217;t have one, go to the Akismet website, where you can sign up for an account and create a key.</li>\n\n\n\n<li>Once you&#8217;ve got your key, enter it in the API Key field, then click <strong>Save Changes</strong>.</li>\n\n\n\n<li>Akismet is now connected to your WordPress site.</li>\n</ol>\n\n\n\n<img width=\"900\" height=\"510\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image12.jpg\" alt=\"settings for Akismet\" class=\"wp-image-160344\" />\n\n\n\n<p>That&#8217;s it! Akismet is now set up and ready to start blocking spam.</p>\n\n\n\n<p>You can view stats and see how many spam comments Akismet has blocked by visiting the <strong>Akismet Stats</strong> page in your WordPress dashboard.</p>\n\n\n\n<p>Remember, enabling comments doesn&#8217;t have to mean opening the floodgates to spam. With Akismet on guard, you can enjoy the best of both worlds: an engaged community and a spam-free commenting experience.</p>\n\n\n\n<h2 class=\"wp-block-heading\">How to delete past comments in bulk</h2>\n\n\n\n<p>Whether you&#8217;ve decided to disable comments or simply need to clear out old, irrelevant chatter on existing published posts, WordPress provides easy ways to delete all the comments from the past.</p>\n\n\n\n<img width=\"1999\" height=\"1333\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image1.jpg\" alt=\"crumpled up paper by a trash can\" class=\"wp-image-160345\" />\n\n\n\n<p>Let&#8217;s start with handling this task in bulk:</p>\n\n\n\n<ol>\n<li><a href=\"https://jetpack.com/blog/how-to-back-up-your-wordpress-site/\">Create a backup of your WordPress site</a> before making any major changes.</li>\n\n\n\n<li>Navigate to the<strong> Comments </strong>section in your WordPress dashboard.</li>\n\n\n\n<li>By default, all comments are displayed. You can filter them by clicking on the All, Pending, Approved, Spam, or Trash links at the top.</li>\n\n\n\n<li>Once you&#8217;ve chosen the comments you wish to delete, check the box next to Author at the top to select all comments on the page. Alternatively, you can manually select individual comments.</li>\n\n\n\n<li>From the <strong>Bulk Actions </strong>dropdown menu, choose <strong>Move to Trash</strong> and then click <strong>Apply</strong>.</li>\n</ol>\n\n\n\n<p>This will send all selected comments to the trash. If you want to permanently delete these comments:</p>\n\n\n\n<ol>\n<li>Click on the <strong>Trash</strong> link at the top.</li>\n\n\n\n<li>Click the<strong> Empty Trash </strong>button.</li>\n</ol>\n\n\n\n<p>And that’s it. Your selected comments are gone for good.</p>\n\n\n\n<p>The only problem here is that, by default, you can only bulk delete 20 comments at a time. To get around this, click <strong>Screen Options</strong> at the top of the Comments page. Beside “Number of items per page,” change “20” to whatever you’d like and click <strong>Apply.</strong></p>\n\n\n\n<img width=\"958\" height=\"508\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image4.png\" alt=\"selecting the number of posts per page\" class=\"wp-image-160346\" />\n\n\n\n<h2 class=\"wp-block-heading\">How to delete past comments on individual posts</h2>\n\n\n\n<p>If you&#8217;re only interested in pruning comments from specific existing posts, WordPress offers an efficient way to do so. Here&#8217;s how:</p>\n\n\n\n<ol>\n<li>Navigate to <strong>Posts</strong> in your WordPress dashboard.</li>\n\n\n\n<li>Find the post from which you want to remove comments and, in the Comments column, click the number of published comments for that post.</li>\n\n\n\n<li>You&#8217;ll now see a list of all comments for that post. Hover over the comment you want to delete to reveal a menu and click <strong>Trash</strong>.</li>\n\n\n\n<li>If you want to permanently delete this comment, click on the <strong>Trash</strong> link at the top to view all trashed comments. Hover over the comment you just trashed, and click <strong>Delete Permanently</strong>.</li>\n</ol>\n\n\n\n<p>That&#8217;s it! You&#8217;ve successfully learned how to manage and control the comments section on your WordPress site. While it might be tempting to disable comments during tough times, tools like Akismet can make the task a lot easier, ensuring your site remains a place for valuable discussion.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Frequently asked questions</h2>\n\n\n\n<p>Having shed light on how to disable comments in WordPress, let&#8217;s now address some frequently asked questions.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Why use Akismet instead of disabling comments?</h3>\n\n\n\n<p>Akismet is a powerful spam filtering service that can significantly reduce the time and effort you spend moderating comments. By using Akismet, you can maintain an open forum for your users to engage and interact without the headache of dealing with comment spam.&nbsp;</p>\n\n\n\n<p>This helps foster a sense of community around your content and can also improve your site&#8217;s SEO by encouraging user-generated content. In contrast, disabling comments shuts down these possibilities.</p>\n\n\n\n<h3 class=\"wp-block-heading\">What are other advantages of enabling comments?</h3>\n\n\n\n<p>Enabling comments on your site creates a two-way communication channel between you and your visitors. This can lead to insightful discussions, provide feedback, and generate new ideas for content. Comments also increase the time people spend on your site, which can boost your SEO.</p>\n\n\n\n<img width=\"1999\" height=\"1125\" src=\"https://akismet455732288.files.wordpress.com/2023/07/image10.jpg\" alt=\"black coffee mug next to a laptop\" class=\"wp-image-160347\" />\n\n\n\n<h3 class=\"wp-block-heading\">What should I do if comments are disabled but still showing?</h3>\n\n\n\n<p>If you chose to disable comments in WordPress, but comments are still appearing on your site, it might be that they were posted before you disabled comments. In such a case, you&#8217;ll need to manually delete these comments. You can refer to our sections on how to delete comments in bulk or on individual posts for step-by-step instructions.</p>\n\n\n\n<h3 class=\"wp-block-heading\">How can I disable comments on media files?</h3>\n\n\n\n<p>WordPress treats media files (images, videos, etc.) as separate posts, which means they can have their own comment sections. To disable comments on media files, you&#8217;ll need to do the following:</p>\n\n\n\n<ol>\n<li>Go to <strong>Media → Library</strong> in your WordPress dashboard.</li>\n\n\n\n<li>Click on the media file you want to disable comments for.</li>\n\n\n\n<li>On the right hand side of the screen click <strong>Edit more details</strong>.</li>\n\n\n\n<li>Under the <strong>Discussion</strong> section, uncheck the box that says <strong>Allow comments</strong>. If you don’t see this option, click <strong>Screen Options </strong>at the top and check the box next to <strong>Comments</strong>.&nbsp;</li>\n\n\n\n<li>Click <strong>Update</strong> to save changes.</li>\n</ol>\n\n\n\n<p>Repeat this process for each media file you want to disable comments for.</p>\n\n\n\n<h3 class=\"wp-block-heading\">How can I remove the “Comments Are Closed” message?</h3>\n\n\n\n<p>The &#8220;Comments Are Closed&#8221; message typically appears when comments have been disabled on a post that had comments previously published. One way to remove this is by adding this CSS to your site.</p>\n\n\n\n<p>In your dashboard, go to <strong>Appearance → Additional CSS.</strong> Add this line of code to the bottom:</p>\n\n\n\n<pre class=\"wp-block-code\"><code>.nocomments {\n\n&nbsp;&nbsp;&nbsp;&nbsp;display: none;\n\n}</code></pre>\n\n\n\n<p>Then, click <strong>Publish.</strong>&nbsp;</p>\n\n\n\n<p>This should work for the majority of themes. If, however, your theme uses a different CSS class for the “Comments Are Closed” message, you’ll need to replace “.nocomments” with the correct line.</p>\n\n\n\n<h3 class=\"wp-block-heading\">How can I remove the comment counter on my blog?</h3>\n\n\n\n<p>The comment counter is a feature that comes with many WordPress themes. To remove it, you&#8217;ll need to edit your theme&#8217;s files. Again, back up your site before making any changes.</p>\n\n\n\n<ol>\n<li>Go to <strong>Appearance → Additional CSS</strong>.</li>\n\n\n\n<li>Next, you need to hide the<em> .comments_count class</em>. To do this, paste this code snippet at the bottom:</li>\n</ol>\n\n\n\n<pre class=\"wp-block-code\"><code>.comments-count {\n\n&nbsp;display: none;\n\n}</code></pre>\n\n\n\n<ol start=\"3\">\n<li>Click <strong>Publish</strong> to save your changes.</li>\n</ol>\n\n\n\n<h2 class=\"wp-block-heading\">Akismet: AI-powered anti-spam for WordPress comments and forms</h2>\n\n\n\n<p>Comments form a vibrant part of any blog or website, sparking discussions, fostering community, and generating valuable user engagement. However, managing spam can turn this asset into a hassle. That&#8217;s why Akismet is such a valuable plugin — it can transform the chore of comment moderation into an automated process.</p>\n\n\n\n<p>Harnessing the power of AI, Akismet helps keep your comments section clean, filtering out spam and allowing genuine interactions to shine. While disabling comments might seem like a tempting quick fix, consider this alternative: a world where your users can freely submit comments to share their thoughts, ideas, and appreciation without you having to worry about an onslaught of spam.</p>\n\n\n\n<p><a href=\"https://akismet.com/pricing/\">Get started with Akismet</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Aug 2023 13:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Kathryn Marr\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:108:\"WPTavern: WordPress 6.3 “Lionel” Introduces Command Palette, Expands Pattern Management and Design Tools\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147591\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:112:\"https://wptavern.com/wordpress-6-3-lionel-introduces-command-palette-expands-pattern-management-and-design-tools\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8996:\"<img width=\"1508\" height=\"1124\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-08-at-5.19.49-PM.png\" alt=\"\" class=\"wp-image-147623\" />image credit: <a href=\"https://garystockbridge617.getarchive.net/amp/media/lionel-hamptonnovember-1956-a54db8\">Lionel Hampton.November 1956. Örebro, Sverive</a>\n\n\n\n<p><a href=\"https://wordpress.org/news/2023/08/lionel/\">WordPress 6.3</a> “Lionel” was released today, named for <a href=\"https://en.wikipedia.org/wiki/Lionel_Hampton\">Lionel Hampton</a>, an American jazz vibraphonist, pianist, percussionist, and bandleader.</p>\n\n\n\n<p>As the last release in Phase 2 of the Gutenberg project, many updates in WordPress 6.3  are targeted at polishing up customization features and the UI that supports them. </p>\n\n\n\n<p>Content, templates, and patterns can now be <a href=\"https://github.com/WordPress/gutenberg/issues/44461\">edited together</a>, without the user having to leave the Site Editor. This streamlines the workflow across templates and content, making it easier to build out a website with live previews. Users can now <a href=\"https://github.com/WordPress/gutenberg/pull/50565\">create new pages</a> and <a href=\"https://github.com/WordPress/gutenberg/pull/50565\">view page details in the sidebar</a>, an experience that is very similar to editing a page in the block editor except that it keeps the process inside the flow of design editing.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\nvideo credit:&nbsp;<a href=\"https://make.wordpress.org/core/2023/06/14/whats-new-in-gutenberg-16-0-14-june/\">Gutenberg 16.0 release post</a>\n\n\n\n<h3 class=\"wp-block-heading\">Pattern Management Expands to Include Creating and Syncing Patterns</h3>\n\n\n\n<p>Pattern management was a major focus of the 6.3 release. Users can now arrange blocks to create their own patterns and save them to a library where they can be searched and edited. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1600\" height=\"922\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/07/Patterns-changes.png\" alt=\"\" class=\"wp-image-146981\" />Changes to Patterns –&nbsp;<a href=\"https://make.wordpress.org/core/2023/07/14/whats-new-in-gutenberg-16-2-12-july/\">Gutenberg 16.2 release post</a>\n\n\n\n<p>Reusable blocks have been <a href=\"https://wptavern.com/reusable-blocks-renamed-to-patterns-with-synced-and-non-synced-options\">renamed to synced patterns</a> but still function the same way. They can be created and edited in the block editor and then inserted into posts or pages with the edits synced. Block patterns, once inserted, can be edited and are not synced across other instances. </p>\n\n\n\n<p>The difference between synced and non-synced patterns is shown in the&nbsp;<a href=\"https://github.com/WordPress/gutenberg/pull/51954\">sync status details section</a>&nbsp;within the pattern sidebar navigation screen. <a href=\"https://github.com/WordPress/gutenberg/pull/51990\">A new lock icon</a>&nbsp;designates theme patterns as unable to be edited or modified.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"874\" height=\"577\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/07/lock-and-sync-indicators.png\" alt=\"\" class=\"wp-image-146543\" />image credit:&nbsp;<a href=\"https://github.com/WordPress/gutenberg/pull/51990\">Gutenberg PR #51990</a>\n\n\n\n<h3 class=\"wp-block-heading\">New Command Palette Tool Enables Quick Search and Command Execution</h3>\n\n\n\n<p>WordPress 6.3 <a href=\"https://wptavern.com/wordpress-6-3-will-introduce-a-command-palette\">introduces a new Command Palette</a> that was designed to be an extensible quick search and command execution tool. Users can do things like navigate to a page or post, add new content or a template, and toggle UI elements and editor preferences, among other things. It can be activated by using keyboard shortcuts (⌘+k on Mac or Ctrl+k on Windows) or by clicking the sidebar search icon in Site View, or clicking the Title Bar.</p>\n\n\n\n<p>Contributors are considering <a href=\"https://github.com/WordPress/gutenberg/issues/53299\">adding support for WP-CLI commands</a> in future iterations. The Command Palette is <a href=\"https://github.com/WordPress/gutenberg/pull/51169\">launching with a public API</a> so developers can explore extending it to add their own commands.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"500\" height=\"500\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/3-command-palette-500x500.webp\" alt=\"\" class=\"wp-image-147613\" />image source: WordPress 6.3 About Page\n\n\n\n<h3 class=\"wp-block-heading\">WordPress&#8217; Design Tools Updated to Include More Customization Capabilities</h3>\n\n\n\n<p>This release significantly expands the capabilities of existing design tools to make it easier to customize the finer details. Users can now design their own caption styles through the Styles interface without writing any CSS. Duotone filters are now available to be managed in Styles for blocks that support them and there is an option to disable them entirely. The Cover block&#8217;s settings capabilities have been expanded to include text color, layout controls, and border options.</p>\n\n\n\n<p>A few other notable new features and improvements in WordPress 6.3 include the following: </p>\n\n\n\n<ul>\n<li>Style revisions in the Site Editor let users revert to previous versions of the design</li>\n\n\n\n<li>New Footnotes block automatically links annotations throughout the content</li>\n\n\n\n<li>New Details block allows users to easily show or hide content </li>\n\n\n\n<li>Preview block themes before activating</li>\n\n\n\n<li>Set aspect ratio on images</li>\n\n\n\n<li>Distraction-free mode now available in the Site Editor</li>\n\n\n\n<li>Revamped top toolbar</li>\n\n\n\n<li>Improvements to List View&#8217;s drag-and-drop functionality</li>\n\n\n\n<li>New modal for building templates with patterns</li>\n\n\n\n<li>Failed update safeguards</li>\n\n\n\n<li>Minimum supported version of PHP updated to 7.0.0</li>\n\n\n\n<li>50+ accessibility improvements for labeling, tab and arrow-key navigation, revised heading hierarchy, and new controls in the admin image editor </li>\n</ul>\n\n\n\n<p>This release also brings more than 170 performance improvements and is significantly faster than previous versions.</p>\n\n\n\n<p>&#8220;Based on the <a href=\"https://docs.google.com/spreadsheets/d/1UMBN8H9r5ad5NPb81N3cx1bfAvhVDnd2UKpVU1FVgjc/edit\">performance benchmarks conducted</a> for RC3, <strong>WordPress 6.3 loads 24% faster for block themes and 18% faster for classic themes</strong>, compared to WordPress 6.2, based on the <a href=\"https://web.dev/lcp/\">Largest Contentful Paint (LCP)</a> metric,&#8221; Google-sponsored contributor Felix Arntz said in a <a href=\"https://make.wordpress.org/core/2023/08/07/wordpress-6-3-performance-improvements/\">summary</a> on the improvements. &#8220;For WordPress 6.2, those improvements amounted to 18% and 5% respectively, so it is fair to summarize that WordPress 6.3 is a major achievement in terms of performance. &#8220;</p>\n\n\n\n<p>The most notable performance gains came from the introduction of defer and async support for the Scripts API and fetchpriority support for images, along with optimization of the <code>emoji-loader.js</code> script.</p>\n\n\n\n<p>WordPress 6.3 is the result of the efforts of more than 650 contributors across 52 countries, with ~32% of them (205) being first-time contributors. </p>\n\n\n\n<p>After updating to WordPress 6.3, users may notice a new &#8220;Get Involved&#8221; tab on the About page, designed to help new contributors find their place in the WordPress project. This addition closes a 10-year old <a href=\"https://core.trac.wordpress.org/ticket/23348\">ticket</a> that suggested adding a “Contribute” tab to the About page. It features both code-based and no-code contribution opportunities with a link to a new <a href=\"https://make.wordpress.org/contribute/\">WordPress.org/contributor</a> page.  This page debuts a new interactive tool that helps visitors find contributor teams that might be a good fit for their interests and capabilities.</p>\n\n\n\n<p>&#8220;As the community looks to the future, all efforts turn to <a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">6.4</a> and, subsequently, the transition into <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3</a>, which is expected to introduce powerful collaboration tools to the website creation and management experience,&#8221; WordPress 6.3 release lead Matías Ventura said.</p>\n\n\n\n<p>For more details on all the changes included under the hood in this release, check out the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-3/\">documentation for 6.3</a>, the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a>, and <a href=\"https://make.wordpress.org/core/tag/dev-notes+6-3/\">6.3-related developer notes</a>. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2023 21:29:33 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"WordPress.org blog: WordPress 6.3 “Lionel”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15718\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://wordpress.org/news/2023/08/lionel/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:64694:\"<img width=\"1024\" height=\"683\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/6.3-Release-Edition-Main-Image.png?resize=1024%2C683&ssl=1\" alt=\"\" class=\"wp-image-15794\" />\n\n\n\n<p>Say hello to WordPress 6.3 “Lionel,” named after <a href=\"https://en.wikipedia.org/wiki/Lionel_Hampton\">Lionel Hampton</a>, the celebrated American jazz artist. A prolific jazz vibraphonist, pianist, and percussionist, Hampton gained notoriety working in harmony with greats from <a href=\"https://en.wikipedia.org/wiki/Charles_Mingus\">Charles Mingus</a> to <a href=\"https://en.wikipedia.org/wiki/Quincy_Jones\">Quincy Jones</a> and as bandleader of the eponymous Lionel Hampton Orchestra. His artistry and charitable work have been recognized with a Grammy, a star on the Hollywood Walk of Fame, and the National Medal of Arts.</p>\n\n\n\n<p>Be sure to turn up the volume of the <a href=\"https://www.youtube.com/channel/UCpfWWFslWSapwL_q16AboSg/featured\">musical stylings</a> of Lionel Hampton as you discover all “Lionel” has to offer.</p>\n\n\n\n<p>With “Lionel” you can create beautiful and compelling websites more efficiently than ever. Whether you want to build an entire site without coding or are a developer looking to customize every detail, WordPress 6.3 has something to pique your interest. As you unpack and explore this latest release, you will discover updated functions and navigation designed to help you work and create with less effort, design tools that give you more control over layout, and added functionality enriching the site-building experience.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-large-font-size\">\n<p class=\"has-extra-large-font-size\">&#8220;Lionel&#8221; marks a major chapter in the evolution of WordPress as a tool for expression. It’s the culmination of years of work from hundreds of contributors, bringing a more powerful and cohesive editing experience for crafting websites with blocks. It continues the quest of making web publishing approachable for everyone—so it’s also just a new beginning!</p>\n<cite>Matías Ventura, WordPress 6.3 Release Lead</cite></blockquote>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" href=\"https://wordpress.org/wordpress-6.3.zip\">Download WordPress 6.3 &#8220;Lionel&#8221; today</a></div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">What’s inside</h2>\n\n\n\n<p>This momentous release opens new possibilities for the creative expression of designers, creators, and builders. Powerful tools and refined controls give users confidence and allow them to easily manage their sites.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Do everything in the Site Editor</h3>\n\n\n\n<p>WordPress 6.3 brings your content, templates, and patterns together in the Site Editor for the first time. Add pages, browse style variations, create synced patterns, and enjoy fine-tuned control over navigation menus. Spend less time switching across different site areas—so you can focus on what matters most. Creation to completion, all in one place.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=1024%2C666&ssl=1\" alt=\"Image titled: \" /><em>Do everything in the Site Editor</em>\n\n\n\n<h3 class=\"wp-block-heading\">Preview Block themes</h3>\n\n\n\n<p>Experience block themes before you switch and preview the Site Editor, with options to customize directly before committing to a new theme.&nbsp;</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/previewing-themes.png?resize=1024%2C666&ssl=1\" alt=\"Image about previewing block themes titled Previewing Themes depicting \" /><em>Preview a new block theme before you switch and commit</em>\n\n\n\n<h3 class=\"wp-block-heading\">Create and sync patterns</h3>\n\n\n\n<p>Arrange blocks and save them to the ‘My Patterns’ section for use throughout your site. You can even specify whether to sync your patterns (previously referred to as “Reusable blocks”) so that one change applies to all parts of your site. Or, utilize patterns as a starting point with the ability to customize each instance.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/patterns.png?resize=1024%2C666&ssl=1\" alt=\"Image showing the new My Patterns section in the CMS.\" class=\"wp-image-15768\" /><em>My patterns: All your patterns in one place</em>\n\n\n\n<h3 class=\"wp-block-heading\">Work faster with the Command Palette</h3>\n\n\n\n<p>Switch to a specific template or open your editor preferences with a new tool that helps you quickly access expanded functionality. With simple keyboard shortcuts (⌘+k on Mac or Ctrl+k on Windows), clicking the sidebar search icon in Site View, or clicking the Title Bar, get where you need to go and do what you need to do in seconds.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/command-palette.png?resize=1024%2C666&ssl=1\" alt=\"Image depicting the new Command Palette\" class=\"wp-image-15763\" /><em>Get to know the new Command Palette </em>\n\n\n\n<h3 class=\"wp-block-heading\">Sharpen your designs with new tools</h3>\n\n\n\n<p>New design controls bring more versatility for fine-tuning, starting with the ability to customize your captions from the Styles interface without coding. You can manage your duotone filters in Styles for supported blocks and pick from the options provided by your theme or disable them entirely. The Cover block gets added settings for text color, layout controls, and border options, making this powerful block even more handy.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/design.png?resize=1024%2C666&ssl=1\" alt=\"Image representing the new design tools in the Site Editor\" class=\"wp-image-15764\" /><em>New design tools</em>\n\n\n\n<h3 class=\"wp-block-heading\">Track design changes with Style revisions</h3>\n\n\n\n<p>With a new audit trail, you can now see how your site looked at a specific time. Visualize these revisions in a timeline and access a one-click option to restore prior styles.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/revisions.png?resize=1024%2C666&ssl=1\" alt=\"Image titled \" /><em>Style revisions: See your style revision history </em>\n\n\n\n<h3 class=\"wp-block-heading\">Annotate with the Footnotes block</h3>\n\n\n\n<p>Footnotes add convenient annotations throughout your content. Now you can add and link footnotes for any paragraph.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/footnotes.png?resize=1024%2C666&ssl=1\" alt=\"Image depicting the new Footnotes Block\" class=\"wp-image-15766\" /><em>Add footnotes effortlessly with the new Footnotes Block</em>\n\n\n\n<h3 class=\"wp-block-heading\">Show or hide content with the Details block</h3>\n\n\n\n<p>Use the Details block to avoid spoiling a surprise, create an interactive Q&amp;A section, or hide a long paragraph under a heading.</p>\n\n\n\n<img width=\"1024\" height=\"666\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/details.png?resize=1024%2C666&ssl=1\" alt=\"Image depicting the new Details Block\" class=\"wp-image-15765\" /><em>Display or hide content with the new Details Block</em>\n\n\n\n<h3 class=\"wp-block-heading\">Performance gets a boost</h3>\n\n\n\n<p>WordPress 6.3 has <a href=\"https://make.wordpress.org/core/2023/08/07/wordpress-6-3-performance-improvements/\">170+ performance updates</a>, including defer and async support for the Scripts API and fetchpriority support for images. These improvements, along with block template resolution, image lazy-loading, and the emoji loader, can dramatically improve your website’s perceived load time.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Accessibility remains a core focus</h3>\n\n\n\n<p>Incorporating more than 50 accessibility improvements across the platform, WordPress 6.3 is more accessible than ever. Improved labeling, optimized tab and arrow-key navigation, revised heading hierarchy, and new controls in the admin image editor allow those using assistive technologies to navigate more easily.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Other highlights</h3>\n\n\n\n<h4 class=\"wp-block-heading\">Set aspect ratio on images</h4>\n\n\n\n<p>Specify your aspect ratios and ensure design integrity, especially when using images in patterns.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build your site distraction-free</h4>\n\n\n\n<p>Distraction-free designing is now available in the Site Editor.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Rediscover the Top Toolbar</h4>\n\n\n\n<p>A revamped Top Toolbar offers parent selectors for nested blocks, options when selecting multiple blocks, and an interface embedded into the title bar with new functionality in mind.</p>\n\n\n\n<h4 class=\"wp-block-heading\">List View improvements</h4>\n\n\n\n<p>Drag and drop to every content layer and delete any block you would like in the updated List View.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Build templates with Patterns</h4>\n\n\n\n<p>Create unique patterns to jumpstart template creation with a new modal enabling access to pattern selection.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Changes in PHP support</h4>\n\n\n\n<p>Support for PHP 5 is discontinued. The&nbsp;new minimum supported version&nbsp;of PHP is 7.0.0.</p>\n\n\n\n<h4 class=\"wp-block-heading\">Failed update safeguards</h4>\n\n\n\n<p>WordPress will now auto-restore the previously installed version of plugins or themes if something goes wrong during a failed manual update.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\">Learn more about WordPress and 6.3</h2>\n\n\n\n<p>Explore <a href=\"https://learn.wordpress.org/tutorials/\">Learn WordPress</a> for quick how-to videos, <a href=\"https://learn.wordpress.org/social-learning/\">online workshops</a>, and other resources to level up your knowledge of the latest features in WordPress.&nbsp;</p>\n\n\n\n<p>Check out the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a> for detailed developer notes to help you build with WordPress and get the most out of the latest release. Read the <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-3/\">6.3 release notes</a> for additional technical details about this release, including feature recaps, installation information, file changes, fixes, and updates.</p>\n\n\n\n<p>Read and subscribe to the <a href=\"https://developer.wordpress.org/news/\">Developer Blog</a> for even more helpful WordPress content. </p>\n\n\n\n<p>To accompany this release, a new <a href=\"https://wordpress.org/download/releases/6-3/\">web experience</a> has been created to provide a more visual way of getting acquainted with the many improvements and new features of WordPress 6.3. </p>\n\n\n\n<p>Seeing WordPress 6.3 in action doesn&#8217;t stop there! Be sure to watch this brief <a href=\"https://www.youtube.com/watch?v=6JhJcOLySLY\">overview video</a> to get a taste of the many things &#8220;Lionel&#8221; has to offer.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress is a global software platform</h2>\n\n\n\n<p><a href=\"https://translate.wordpress.org/stats/\">61 locales have translated 90 percent</a> or more of WordPress 6.3 into their language. Community translators are working hard to ensure more translations are on their way. Thank you, gracias, ありがとう, धन्यवाद, and ευχαριστώ to everyone who helps to make WordPress available in 200 languages.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributing to WordPress</h2>\n\n\n\n<p>WordPress believes in democratizing publishing and <a href=\"https://opensource.org/osd-annotated\">the freedoms that come with open source</a>. Supporting this idea is a large community of people collaborating to strengthen the software. A big thank you to everyone who makes WordPress.</p>\n\n\n\n<blockquote class=\"wp-block-quote has-large-font-size\">\n<p class=\"has-extra-large-font-size\">Our community of contributors has always been what makes WordPress wonderful. You are what makes sure our project continues to thrive, and our software remains secure, usable, and impactful. Thank you so much for joining together to make the web (and the world) a better place!</p>\n<cite>Josepha Haden Chomphosy, Executive Director, WordPress.org</cite></blockquote>\n\n\n\n<p>WordPress 6.3 arrives thanks to more than 650 contributors&#8217; collective passion and effort in at least 52 countries. This release also includes over 205 first-time contributors!&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\">The 6.3 release squad</h3>\n\n\n\n<p>The 6.3 release was led from start to launch by an active set of contributors from across many disciplines. Over several weeks, they kept the release on track and moving forward by connecting ideas, resolving issues, and removing roadblocks.</p>\n\n\n\n<ul>\n<li>Release Lead: <a href=\"https://profiles.wordpress.org/matveb/\">Matías Ventura</a></li>\n\n\n\n<li>Release Coordinators: <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a>, <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a></li>\n\n\n\n<li>Core Tech Leads: <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a></li>\n\n\n\n<li>Editor Tech Leads:&nbsp; <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a>, <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon Dodd</a></li>\n\n\n\n<li>Core Triage Leads: <a href=\"https://profiles.wordpress.org/audrasjb/\">Jb Audras</a>, <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Kabir Chaion</a>, <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a>, <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Glecker</a></li>\n\n\n\n<li>Editor Triage Leads: <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a>, <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a>, <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a>, <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a></li>\n\n\n\n<li>Documentation Leads: <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a>, <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a>, <a href=\"https://profiles.wordpress.org/leonnugraha/\">Leonardus Nugraha</a>, <a href=\"https://profiles.wordpress.org/611shabnam/\">Mushrit Shabnam</a></li>\n\n\n\n<li>Marketing &amp; Communications Leads: <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a>, <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a></li>\n\n\n\n<li>Test Leads: <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a>, <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a>, <a href=\"https://profiles.wordpress.org/chrismalone617/\">Chris Malone</a>, <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a></li>\n\n\n\n<li>Design Leads: <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a></li>\n\n\n\n<li>Performance Leads: <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">6.3 contributors</h3>\n\n\n\n<p>Complimenting the release squad is a diverse group of contributors whose global collaboration delivered hundreds of enhancements and fixes, ensuring a stable release for all—a testament to the power and capability of the WordPress community.&nbsp;</p>\n\n\n\n<p class=\"is-style-wporg-props-long alignfull\"><a href=\"https://profiles.wordpress.org/zgrkaralar/\">&#214;zg&#252;r KARALAR</a> · <a href=\"https://profiles.wordpress.org/6adminit/\">6adminit</a> · <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a> · <a href=\"https://profiles.wordpress.org/aaronrobertshaw/\">Aaron Robertshaw</a> · <a href=\"https://profiles.wordpress.org/webcommsat/\">Abha Thakor</a> · <a href=\"https://profiles.wordpress.org/abhi3315/\">abhi3315</a> · <a href=\"https://profiles.wordpress.org/softwortech/\">Abhishek Sharma</a> · <a href=\"https://profiles.wordpress.org/ababir/\">Abir</a> · <a href=\"https://profiles.wordpress.org/abitofmind/\">abitofmind</a> · <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a> · <a href=\"https://profiles.wordpress.org/awarner20/\">Adam W. Warner</a> · <a href=\"https://profiles.wordpress.org/adarshposimyth/\">Adarsh Akshat</a> · <a href=\"https://profiles.wordpress.org/adeltahri/\">Adel Tahri</a> · <a href=\"https://profiles.wordpress.org/adi3890/\">Aditya Jain</a> · <a href=\"https://profiles.wordpress.org/chaion07/\">Ahmed Chaion</a> · <a href=\"https://profiles.wordpress.org/ahsannayem/\">Ahsan Chowdhury</a> · <a href=\"https://profiles.wordpress.org/wildworks/\">Aki Hamano</a> · <a href=\"https://profiles.wordpress.org/akmelias/\">akmelias</a> · <a href=\"https://profiles.wordpress.org/wpfy/\">Akramul Hasan</a> · <a href=\"https://profiles.wordpress.org/xknown/\">Alex Concha</a> · <a href=\"https://profiles.wordpress.org/xavortm/\">Alex Dimitrov</a> · <a href=\"https://profiles.wordpress.org/cawa-93/\">Alex Kozack</a> · <a href=\"https://profiles.wordpress.org/ajlende/\">Alex Lende</a> · <a href=\"https://profiles.wordpress.org/alexstine/\">Alex Stine</a> · <a href=\"https://profiles.wordpress.org/alexandrelara/\">Alexandre Lara</a> · <a href=\"https://profiles.wordpress.org/allancole/\">allancole</a> · <a href=\"https://profiles.wordpress.org/mrfoxtalbot/\">Alvaro G&#243;mez</a> · <a href=\"https://profiles.wordpress.org/alvitazwar052/\">Alvi Tazwar</a> · <a href=\"https://profiles.wordpress.org/akrocks/\">Amaan Khan</a> · <a href=\"https://profiles.wordpress.org/amansurov/\">amansurov</a> · <a href=\"https://profiles.wordpress.org/amin7/\">amin</a> · <a href=\"https://profiles.wordpress.org/sabreuse/\">Amy Hendrix (sabreuse)</a> · <a href=\"https://profiles.wordpress.org/anatoliyav/\">Anatoliy</a> · <a href=\"https://profiles.wordpress.org/anatolikkk/\">Anatoliy Dovgun</a> · <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a> · <a href=\"https://profiles.wordpress.org/andraganescu/\">Andrei Draganescu</a> · <a href=\"https://profiles.wordpress.org/nacin/\">Andrew Nacin</a> · <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a> · <a href=\"https://profiles.wordpress.org/andrewserong/\">Andrew Serong</a> · <a href=\"https://profiles.wordpress.org/rarst/\">Andrey \"Rarst\" Savchenko</a> · <a href=\"https://profiles.wordpress.org/oandregal/\">André Maneiro</a> · <a href=\"https://profiles.wordpress.org/afragen/\">Andy Fragen</a> · <a href=\"https://profiles.wordpress.org/andizer/\">Andy Meerwaldt</a> · <a href=\"https://profiles.wordpress.org/apeatling/\">Andy Peatling</a> · <a href=\"https://profiles.wordpress.org/anilvaza/\">Anil Vaza</a> · <a href=\"https://profiles.wordpress.org/ankit-k-gupta/\">Ankit K Gupta</a> · <a href=\"https://profiles.wordpress.org/ankitmaru/\">Ankit Panchal</a> · <a href=\"https://profiles.wordpress.org/reputeinfosystems/\">Ankur Chotai</a> · <a href=\"https://profiles.wordpress.org/annashopina/\">Anna</a> · <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> · <a href=\"https://profiles.wordpress.org/annebovelett/\">Anne-Mieke Bovelett</a> · <a href=\"https://profiles.wordpress.org/annziel/\">annziel</a> · <a href=\"https://profiles.wordpress.org/antpb/\">Anthony Burchell</a> · <a href=\"https://profiles.wordpress.org/atimmer/\">Anton Timmermans</a> · <a href=\"https://profiles.wordpress.org/antonvlasenko/\">Anton Vlasenko</a> · <a href=\"https://profiles.wordpress.org/antonyagrios/\">Antony Agrios</a> · <a href=\"https://profiles.wordpress.org/anver/\">anver</a> · <a href=\"https://profiles.wordpress.org/anveshika/\">Anveshika Srivastava</a> · <a href=\"https://profiles.wordpress.org/arafatjamil01/\">Arafat Jamil</a> · <a href=\"https://profiles.wordpress.org/aristath/\">Ari Stathopoulos</a> · <a href=\"https://profiles.wordpress.org/artemiosans/\">Artemio Morales</a> · <a href=\"https://profiles.wordpress.org/arthur791004/\">Arthur Chu</a> · <a href=\"https://profiles.wordpress.org/ideag/\">Arunas Liuiza</a> · <a href=\"https://profiles.wordpress.org/iamasadpolash/\">Asad Polash</a> · <a href=\"https://profiles.wordpress.org/mrasharirfan/\">Ashar Irfan</a> · <a href=\"https://profiles.wordpress.org/ashikurwp/\">Ashikur Rahman</a> · <a href=\"https://profiles.wordpress.org/nant82/\">Atanas Antonov</a> · <a href=\"https://profiles.wordpress.org/aurooba/\">Aurooba Ahmed</a> · <a href=\"https://profiles.wordpress.org/filosofo/\">Austin Matzko</a> · <a href=\"https://profiles.wordpress.org/ayeshrajans/\">Ayesh Karunaratne</a> · <a href=\"https://profiles.wordpress.org/azizantoun/\">azizantoun</a> · <a href=\"https://profiles.wordpress.org/aznadesign/\">Aznadesign</a> · <a href=\"https://profiles.wordpress.org/bangank36/\">bangank36</a> · <a href=\"https://profiles.wordpress.org/bartkalisz/\">bartkalisz</a> · <a href=\"https://profiles.wordpress.org/empireoflight/\">Ben Dunkle</a> · <a href=\"https://profiles.wordpress.org/scruffian/\">Ben Dwyer</a> · <a href=\"https://profiles.wordpress.org/benlk/\">Ben Keith</a> · <a href=\"https://profiles.wordpress.org/benjgrolleau/\">Benjamin Grolleau</a> · <a href=\"https://profiles.wordpress.org/benjibee/\">benjibee</a> · <a href=\"https://profiles.wordpress.org/bernhard-reiter/\">Bernie Reiter</a> · <a href=\"https://profiles.wordpress.org/albatross10/\">Bhavik Kalpesh</a> · <a href=\"https://profiles.wordpress.org/bhrugesh12/\">Bhrugesh Bavishi</a> · <a href=\"https://profiles.wordpress.org/bijayyadav/\">Bijay Yadav</a> · <a href=\"https://profiles.wordpress.org/bph/\">Birgit Pauli-Haack</a> · <a href=\"https://profiles.wordpress.org/bitnissen/\">bitnissen</a> · <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a> · <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a> · <a href=\"https://profiles.wordpress.org/bor0/\">Boro Sitnikovski</a> · <a href=\"https://profiles.wordpress.org/wpe_bdurette/\">Brandon DuRette</a> · <a href=\"https://profiles.wordpress.org/kraftbj/\">Brandon Kraft</a> · <a href=\"https://profiles.wordpress.org/bpayton/\">Brandon Payton</a> · <a href=\"https://profiles.wordpress.org/brasofilo/\">brasofilo</a> · <a href=\"https://profiles.wordpress.org/bgoewert/\">Brennan Goewert</a> · <a href=\"https://profiles.wordpress.org/ironprogrammer/\">Brian Alexander</a> · <a href=\"https://profiles.wordpress.org/bacoords/\">Brian Coords</a> · <a href=\"https://profiles.wordpress.org/fischfood/\">Brian Fischer</a> · <a href=\"https://profiles.wordpress.org/bgardner/\">Brian Gardner</a> · <a href=\"https://profiles.wordpress.org/bridgetwillard/\">Bridget Willard</a> · <a href=\"https://profiles.wordpress.org/bronsonquick/\">Bronson Quick</a> · <a href=\"https://profiles.wordpress.org/brookemk/\">Brooke</a> · <a href=\"https://profiles.wordpress.org/brookedot/\">Brooke.</a> · <a href=\"https://profiles.wordpress.org/caraffande/\">caraffande</a> · <a href=\"https://profiles.wordpress.org/cbravobernal/\">Carlos Bravo</a> · <a href=\"https://profiles.wordpress.org/carlosgprim/\">Carlos Garcia</a> · <a href=\"https://profiles.wordpress.org/poena/\">Carolina Nymark</a> · <a href=\"https://profiles.wordpress.org/cathibosco1/\">Cathi Bosco</a> · <a href=\"https://profiles.wordpress.org/ceer/\">ceer</a> · <a href=\"https://profiles.wordpress.org/shireling/\">Chad Chadbourne</a> · <a href=\"https://profiles.wordpress.org/chintan1896/\">Chintan hingrajiya</a> · <a href=\"https://profiles.wordpress.org/chiragrathod103/\">Chirag Rathod</a> · <a href=\"https://profiles.wordpress.org/cbringmann/\">Chloe Bringmann</a> · <a href=\"https://profiles.wordpress.org/chouby/\">Chouby</a> · <a href=\"https://profiles.wordpress.org/mrflannagan/\">Chris Flannagan</a> · <a href=\"https://profiles.wordpress.org/clubkert/\">Chris Lubkert</a> · <a href=\"https://profiles.wordpress.org/chrismalone617/\">Chris Malone</a> · <a href=\"https://profiles.wordpress.org/chriscct7/\">chriscct7</a> · <a href=\"https://profiles.wordpress.org/apermo/\">Christoph Daum</a> · <a href=\"https://profiles.wordpress.org/ckoerner/\">ckoerner</a> · <a href=\"https://profiles.wordpress.org/codeamp/\">Code Amp</a> · <a href=\"https://profiles.wordpress.org/costdev/\">Colin Stewart</a> · <a href=\"https://profiles.wordpress.org/corentingautier/\">corentingautier</a> · <a href=\"https://profiles.wordpress.org/courane01/\">Courtney Robertson</a> · <a href=\"https://profiles.wordpress.org/crixu/\">Crixu</a> · <a href=\"https://profiles.wordpress.org/crs1138/\">crs1138</a> · <a href=\"https://profiles.wordpress.org/crstauf/\">crstauf</a> · <a href=\"https://profiles.wordpress.org/cshark/\">cshark</a> · <a href=\"https://profiles.wordpress.org/daisyo/\">Daisy Olsen</a> · <a href=\"https://profiles.wordpress.org/dbernar1/\">Dan Bernardic</a> · <a href=\"https://profiles.wordpress.org/dansoschin/\">Dan Soschin</a> · <a href=\"https://profiles.wordpress.org/danielbachhuber/\">Daniel Bachhuber</a> · <a href=\"https://profiles.wordpress.org/talldanwp/\">Daniel Richards</a> · <a href=\"https://profiles.wordpress.org/mte90/\">Daniele Scasciafratte</a> · <a href=\"https://profiles.wordpress.org/danyk4/\">danyk4</a> · <a href=\"https://profiles.wordpress.org/darerodz/\">darerodz</a> · <a href=\"https://profiles.wordpress.org/darshitrajyaguru97/\">Darshit Rajyaguru</a> · <a href=\"https://profiles.wordpress.org/drw158/\">Dave Whitley</a> · <a href=\"https://profiles.wordpress.org/davidbaumwald/\">David Baumwald</a> · <a href=\"https://profiles.wordpress.org/davidbinda/\">David Biňovec</a> · <a href=\"https://profiles.wordpress.org/dpcalhoun/\">David Calhoun</a> · <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a> · <a href=\"https://profiles.wordpress.org/get_dave/\">David Smith</a> · <a href=\"https://profiles.wordpress.org/davidmusnik/\">davidmusnik</a> · <a href=\"https://profiles.wordpress.org/davidwebca/\">davidwebca</a> · <a href=\"https://profiles.wordpress.org/dsas/\">Dean Sas</a> · <a href=\"https://profiles.wordpress.org/deepakvijayan/\">Deepak Vijayan</a> · <a href=\"https://profiles.wordpress.org/denis-de-bernardy/\">Denis de Bernardy</a> · <a href=\"https://profiles.wordpress.org/dingo_d/\">Denis Žoljom</a> · <a href=\"https://profiles.wordpress.org/dmsnell/\">Dennis Snell</a> · <a href=\"https://profiles.wordpress.org/dennysdionigi/\">Dennys Dionigi</a> · <a href=\"https://profiles.wordpress.org/densityapps/\">densityapps</a> · <a href=\"https://profiles.wordpress.org/sccr410/\">Derek Ashauer</a> · <a href=\"https://profiles.wordpress.org/derekblank/\">Derek Blank</a> · <a href=\"https://profiles.wordpress.org/shagors/\">devshagor</a> · <a href=\"https://profiles.wordpress.org/dharm1025/\">Dharmesh Patel</a> · <a href=\"https://profiles.wordpress.org/dhrumilk/\">Dhrumil Kumbhani</a> · <a href=\"https://profiles.wordpress.org/dhruvishah2203/\">Dhruvi Shah</a> · <a href=\"https://profiles.wordpress.org/digtek/\">DigTek</a> · <a href=\"https://profiles.wordpress.org/dilipbheda/\">Dilip Bheda</a> · <a href=\"https://profiles.wordpress.org/dimijazz/\">dimijazz</a> · <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a> · <a href=\"https://profiles.wordpress.org/doems/\">doems</a> · <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling</a> · <a href=\"https://profiles.wordpress.org/drewapicture/\">Drew Jaynes</a> · <a href=\"https://profiles.wordpress.org/dsar/\">dsar</a> · <a href=\"https://profiles.wordpress.org/dustyreagan/\">dustyreagan</a> · <a href=\"https://profiles.wordpress.org/ebai4/\">ebai4</a> · <a href=\"https://profiles.wordpress.org/ecorica/\">ecorica</a> · <a href=\"https://profiles.wordpress.org/beckej/\">Ed Beck</a> · <a href=\"https://profiles.wordpress.org/eduwass/\">eduwass</a> · <a href=\"https://profiles.wordpress.org/wpnook/\">Edward</a> · <a href=\"https://profiles.wordpress.org/worldomonation/\">Edwin Takahashi</a> · <a href=\"https://profiles.wordpress.org/ehsanakhgari/\">ehsanakhgari</a> · <a href=\"https://profiles.wordpress.org/ehtis/\">Ehtisham S.</a> · <a href=\"https://profiles.wordpress.org/ellatrix/\">Ella van Durpe</a> · <a href=\"https://profiles.wordpress.org/clarkeemily/\">Emily Clarke</a> · <a href=\"https://profiles.wordpress.org/emirpprime/\">emirpprime</a> · <a href=\"https://profiles.wordpress.org/nrqsnchz/\">Enrique S&#225;nchez</a> · <a href=\"https://profiles.wordpress.org/eric7186/\">eric.7186</a> · <a href=\"https://profiles.wordpress.org/kebbet/\">Erik Betshammar</a> · <a href=\"https://profiles.wordpress.org/ernest35/\">Ernest Behinov</a> · <a href=\"https://profiles.wordpress.org/estelaris/\">Estela Rueda</a> · <a href=\"https://profiles.wordpress.org/fabiankaegy/\">Fabian K&#228;gy</a> · <a href=\"https://profiles.wordpress.org/gaambo/\">Fabian Todt</a> · <a href=\"https://profiles.wordpress.org/faisalahammad/\">Faisal Ahammad</a> · <a href=\"https://profiles.wordpress.org/falgunihdesai/\">Falguni Desai</a> · <a href=\"https://profiles.wordpress.org/iamfarhan09/\">Farhan Ahmed</a> · <a href=\"https://profiles.wordpress.org/felipeelia/\">Felipe Elia</a> · <a href=\"https://profiles.wordpress.org/flixos90/\">Felix Arntz</a> · <a href=\"https://profiles.wordpress.org/femkreations/\">Femy Praseeth</a> · <a href=\"https://profiles.wordpress.org/firoz2456/\">Firoz Sabaliya</a> · <a href=\"https://profiles.wordpress.org/mista-flo/\">Florian TIAR</a> · <a href=\"https://profiles.wordpress.org/francina/\">Francesca Marano</a> · <a href=\"https://profiles.wordpress.org/frank-klein/\">Frank Klein</a> · <a href=\"https://profiles.wordpress.org/franrosa/\">franrosa</a> · <a href=\"https://profiles.wordpress.org/gaeldenysiak/\">gaeldenysiak</a> · <a href=\"https://profiles.wordpress.org/galbaras/\">Gal Baras</a> · <a href=\"https://profiles.wordpress.org/ecgan/\">Gan (a11n)</a> · <a href=\"https://profiles.wordpress.org/voldemortensen/\">Garth Mortensen</a> · <a href=\"https://profiles.wordpress.org/garyc40/\">Gary Cao</a> · <a href=\"https://profiles.wordpress.org/garyj/\">Gary Jones</a> · <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a> · <a href=\"https://profiles.wordpress.org/soulseekah/\">Gennady Kovshenin</a> · <a href=\"https://profiles.wordpress.org/wtower/\">George</a> · <a href=\"https://profiles.wordpress.org/mamaduka/\">George Mamadashvili</a> · <a href=\"https://profiles.wordpress.org/geriux/\">Gerardo Pacheco</a> · <a href=\"https://profiles.wordpress.org/gilles66/\">gilles66</a> · <a href=\"https://profiles.wordpress.org/mokagio/\">Gio Lodi</a> · <a href=\"https://profiles.wordpress.org/glendaviesnz/\">Glen Davies</a> · <a href=\"https://profiles.wordpress.org/grandslambert/\">GrandSlambert</a> · <a href=\"https://profiles.wordpress.org/grantmkin/\">Grant M. Kinney</a> · <a href=\"https://profiles.wordpress.org/gziolo/\">Greg Zi&#243;łkowski</a> · <a href=\"https://profiles.wordpress.org/gudmdharalds/\">Gudmundur Haraldsson</a> · <a href=\"https://profiles.wordpress.org/guillaumeturpin/\">Guillaume TURPIN</a> · <a href=\"https://profiles.wordpress.org/gvgvgvijayan/\">gvgvgvijayan</a> · <a href=\"https://profiles.wordpress.org/hrdelwar/\">Habibur Rahman Delwar</a> · <a href=\"https://profiles.wordpress.org/hztyfoon/\">Hanzala Taifun</a> · <a href=\"https://profiles.wordpress.org/thakkarhardik/\">Hardik Thakkar</a> · <a href=\"https://profiles.wordpress.org/hareesh-pillai/\">Hareesh S</a> · <a href=\"https://profiles.wordpress.org/haritpanchal/\">Harit Panchal</a> · <a href=\"https://profiles.wordpress.org/harshgajipara/\">Harsh Gajipara</a> · <a href=\"https://profiles.wordpress.org/hasanmisbah/\">Hasan Misbah</a> · <a href=\"https://profiles.wordpress.org/hasanuzzamanshamim/\">Hasanuzzaman</a> · <a href=\"https://profiles.wordpress.org/hazdiego/\">Haz</a> · <a href=\"https://profiles.wordpress.org/heiko_mamerow/\">Heiko Mamerow</a> · <a href=\"https://profiles.wordpress.org/helen/\">Helen Hou-Sandi</a> · <a href=\"https://profiles.wordpress.org/helgatheviking/\">HelgaTheViking</a> · <a href=\"https://profiles.wordpress.org/luehrsen/\">Hendrik Luehrsen</a> · <a href=\"https://profiles.wordpress.org/hilayt24/\">Hilay Trivedi</a> · <a href=\"https://profiles.wordpress.org/panchalhimani711/\">Himani Panchal</a> · <a href=\"https://profiles.wordpress.org/hbhalodia/\">Hit Bhalodia</a> · <a href=\"https://profiles.wordpress.org/hrrarya/\">Hridoy Mozumder</a> · <a href=\"https://profiles.wordpress.org/hugobaeta/\">Hugo Baeta</a> · <a href=\"https://profiles.wordpress.org/hugod/\">hugod</a> · <a href=\"https://profiles.wordpress.org/hberberoglu/\">Huseyin Berberoglu</a> · <a href=\"https://profiles.wordpress.org/huzaifaalmesbah/\">Huzaifa Al Mesbah</a> · <a href=\"https://profiles.wordpress.org/priethor/\">Héctor Prieto</a> · <a href=\"https://profiles.wordpress.org/polevaultweb/\">Iain Poulson</a> · <a href=\"https://profiles.wordpress.org/ianbelanger/\">Ian Belanger</a> · <a href=\"https://profiles.wordpress.org/iandunn/\">Ian Dunn</a> · <a href=\"https://profiles.wordpress.org/ibrahimmonir/\">Ibrahim Khalil</a> · <a href=\"https://profiles.wordpress.org/shuvoaftab/\">Ibrahim Sharif</a> · <a href=\"https://profiles.wordpress.org/ignatggeorgiev/\">Ignat Georgiev</a> · <a href=\"https://profiles.wordpress.org/imanish003/\">imanish003</a> · <a href=\"https://profiles.wordpress.org/intoxination/\">intoxination</a> · <a href=\"https://profiles.wordpress.org/ipstenu/\">Ipstenu (Mika Epstein)</a> · <a href=\"https://profiles.wordpress.org/isabel_brison/\">Isabel Brison</a> · <a href=\"https://profiles.wordpress.org/jacknotman/\">jacknotman</a> · <a href=\"https://profiles.wordpress.org/jahidcse/\">Jahid Hasan</a> · <a href=\"https://profiles.wordpress.org/jakariaistauk/\">Jakaria Istauk</a> · <a href=\"https://profiles.wordpress.org/jameskoster/\">James Koster</a> · <a href=\"https://profiles.wordpress.org/james-roberts/\">James Roberts</a> · <a href=\"https://profiles.wordpress.org/james0r/\">james0r</a> · <a href=\"https://profiles.wordpress.org/janboddez/\">Jan Boddez</a> · <a href=\"https://profiles.wordpress.org/jane/\">jane</a> · <a href=\"https://profiles.wordpress.org/jankyz/\">jankyz</a> · <a href=\"https://profiles.wordpress.org/janpaulkleijn/\">janpaulkleijn</a> · <a href=\"https://profiles.wordpress.org/jsnajdr/\">Jarda Snajdr</a> · <a href=\"https://profiles.wordpress.org/pbking/\">Jason Crist</a> · <a href=\"https://profiles.wordpress.org/jsnjohnston/\">Jason Johnston</a> · <a href=\"https://profiles.wordpress.org/madtownlems/\">Jason LeMahieu (MadtownLems)</a> · <a href=\"https://profiles.wordpress.org/javiercasares/\">Javier Casares</a> · <a href=\"https://profiles.wordpress.org/jbcouton/\">jbcouton</a> · <a href=\"https://profiles.wordpress.org/audrasjb/\">Jean-Baptiste Audras</a> · <a href=\"https://profiles.wordpress.org/jffng/\">Jeff Ong</a> · <a href=\"https://profiles.wordpress.org/jeffmora/\">jeffmora</a> · <a href=\"https://profiles.wordpress.org/jeffpaul/\">Jeffrey Paul</a> · <a href=\"https://profiles.wordpress.org/jenmylo/\">Jen</a> · <a href=\"https://profiles.wordpress.org/jenilk/\">Jenil Kanani</a> · <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a> · <a href=\"https://profiles.wordpress.org/jeroenrotty/\">Jeroen Rotty</a> · <a href=\"https://profiles.wordpress.org/jeryj/\">Jerry Jones</a> · <a href=\"https://profiles.wordpress.org/jhnstn/\">jhnstn</a> · <a href=\"https://profiles.wordpress.org/jigar-bhanushali/\">jigar bhanushali</a> · <a href=\"https://profiles.wordpress.org/joedolson/\">Joe Dolson</a> · <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a> · <a href=\"https://profiles.wordpress.org/joen/\">Joen Asmussen</a> · <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a> · <a href=\"https://profiles.wordpress.org/bitmachina/\">John Hooks</a> · <a href=\"https://profiles.wordpress.org/johnjamesjacoby/\">John James Jacoby</a> · <a href=\"https://profiles.wordpress.org/jomonthomaslobo1/\">Jomon Thomas Lobo</a> · <a href=\"https://profiles.wordpress.org/akbigdog/\">Jon Bourne</a> · <a href=\"https://profiles.wordpress.org/desrosj/\">Jonathan Desrosiers</a> · <a href=\"https://profiles.wordpress.org/jpantani/\">Jonathan Pantani</a> · <a href=\"https://profiles.wordpress.org/n2erjo00/\">Joni Erkkil&#228;</a> · <a href=\"https://profiles.wordpress.org/spacedmonkey/\">Jonny Harris</a> · <a href=\"https://profiles.wordpress.org/joostdevalk/\">Joost de Valk</a> · <a href=\"https://profiles.wordpress.org/jordesign/\">jordesign</a> · <a href=\"https://profiles.wordpress.org/jorgefilipecosta/\">Jorge Costa</a> · <a href=\"https://profiles.wordpress.org/josklever/\">Jos Klever</a> · <a href=\"https://profiles.wordpress.org/josepmoran/\">Josep Mor&#225;n</a> · <a href=\"https://profiles.wordpress.org/dunhakdis/\">Joseph G.</a> · <a href=\"https://profiles.wordpress.org/chanthaboune/\">Josepha</a> · <a href=\"https://profiles.wordpress.org/jhabdas/\">Josh Habdas</a> · <a href=\"https://profiles.wordpress.org/shelob9/\">Josh Pollock</a> · <a href=\"https://profiles.wordpress.org/joyously/\">Joy</a> · <a href=\"https://profiles.wordpress.org/jqz/\">jqz</a> · <a href=\"https://profiles.wordpress.org/juanfra/\">Juan Aldasoro</a> · <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> · <a href=\"https://profiles.wordpress.org/jrf/\">Juliette Reinders Folmer</a> · <a href=\"https://profiles.wordpress.org/juzar/\">Juzar</a> · <a href=\"https://profiles.wordpress.org/kadamwhite/\">K. Adam White</a> · <a href=\"https://profiles.wordpress.org/kafleg/\">KafleG</a> · <a href=\"https://profiles.wordpress.org/kevin940726/\">Kai Hao</a> · <a href=\"https://profiles.wordpress.org/trepmal/\">Kailey (trepmal)</a> · <a href=\"https://profiles.wordpress.org/kajalgohel/\">Kajal Gohel</a> · <a href=\"https://profiles.wordpress.org/leprincenoir/\">Kantari Samy</a> · <a href=\"https://profiles.wordpress.org/kapilpaul/\">Kapil Paul</a> · <a href=\"https://profiles.wordpress.org/karolmanijak/\">Karol Manijak</a> · <a href=\"https://profiles.wordpress.org/thekt12/\">Karthik Thayyil</a> · <a href=\"https://profiles.wordpress.org/zoonini/\">Kathryn P.</a> · <a href=\"https://profiles.wordpress.org/kamplugins/\">Kausar Al Mamun</a> · <a href=\"https://profiles.wordpress.org/kausaralm/\">Kausar Alam</a> · <a href=\"https://profiles.wordpress.org/ryelle/\">Kelly Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/kenwins/\">kenwins</a> · <a href=\"https://profiles.wordpress.org/kevinb/\">Kevin Behrens</a> · <a href=\"https://profiles.wordpress.org/khoipro/\">Khoi Pro</a> · <a href=\"https://profiles.wordpress.org/kjellr/\">Kjell Reigstad</a> · <a href=\"https://profiles.wordpress.org/knutsp/\">Knut Sparhell</a> · <a href=\"https://profiles.wordpress.org/koenschipper/\">koenschipper</a> · <a href=\"https://profiles.wordpress.org/xkon/\">Konstantinos Xenos</a> · <a href=\"https://profiles.wordpress.org/krishneup/\">Krishna Neupane</a> · <a href=\"https://profiles.wordpress.org/krunal265/\">Krunal Bhimajiyani</a> · <a href=\"https://profiles.wordpress.org/krupajnanda/\">Krupa Nanda</a> · <a href=\"https://profiles.wordpress.org/krupalpanchal/\">Krupal Panchal</a> · <a href=\"https://profiles.wordpress.org/kutsu/\">kutsu</a> · <a href=\"https://profiles.wordpress.org/kzeni/\">KZeni</a> · <a href=\"https://profiles.wordpress.org/leamcaleese/\">L&#233;a McAleese</a> · <a href=\"https://profiles.wordpress.org/lgadzhev/\">Lachezar Gadzhev</a> · <a href=\"https://profiles.wordpress.org/lanacodes/\">Lana Codes</a> · <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a> · <a href=\"https://profiles.wordpress.org/laurlittle/\">Lauren Stein</a> · <a href=\"https://profiles.wordpress.org/laurentmagnin/\">laurentmagnin</a> · <a href=\"https://profiles.wordpress.org/0mirka00/\">Lena Morita</a> · <a href=\"https://profiles.wordpress.org/leonnugraha/\">Leonardus Nugraha</a> · <a href=\"https://profiles.wordpress.org/lessbloat/\">lessbloat</a> · <a href=\"https://profiles.wordpress.org/levdbas/\">Levdbas</a> · <a href=\"https://profiles.wordpress.org/wplindavantol/\">Linda van Tol</a> · <a href=\"https://profiles.wordpress.org/rudlinkon/\">Linkon Miyan</a> · <a href=\"https://profiles.wordpress.org/lowlydev/\">lowlydev</a> · <a href=\"https://profiles.wordpress.org/lphoumpakka/\">lphk</a> · <a href=\"https://profiles.wordpress.org/gigitux/\">Luigi</a> · <a href=\"https://profiles.wordpress.org/luisherranz/\">luisherranz</a> · <a href=\"https://profiles.wordpress.org/lukecavanagh/\">Luke Cavanagh</a> · <a href=\"https://profiles.wordpress.org/madejackson/\">madejackson</a> · <a href=\"https://profiles.wordpress.org/mrdollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/madhudollu/\">Madhu Dollu</a> · <a href=\"https://profiles.wordpress.org/onemaggie/\">Maggie Cabrera</a> · <a href=\"https://profiles.wordpress.org/mehdi01/\">Mahdi Hasan</a> · <a href=\"https://profiles.wordpress.org/nadimcse/\">Mahmudul Haque Nadim</a> · <a href=\"https://profiles.wordpress.org/mai21/\">Mai</a> · <a href=\"https://profiles.wordpress.org/majaloncar/\">Maja Loncar</a> · <a href=\"https://profiles.wordpress.org/malae/\">Malae</a> · <a href=\"https://profiles.wordpress.org/malavvasita/\">Malav Vasita</a> · <a href=\"https://profiles.wordpress.org/manfcarlo/\">manfcarlo</a> · <a href=\"https://profiles.wordpress.org/maniu/\">maniu</a> · <a href=\"https://profiles.wordpress.org/mdxfr/\">Marc</a> · <a href=\"https://profiles.wordpress.org/fullofcaffeine/\">Marcelo de Moraes Serpa</a> · <a href=\"https://profiles.wordpress.org/marcguay/\">MarcGuay</a> · <a href=\"https://profiles.wordpress.org/mciampini/\">Marco Ciampini</a> · <a href=\"https://profiles.wordpress.org/marekdedic/\">Marek Dědič</a> · <a href=\"https://profiles.wordpress.org/margolisj/\">margolisj</a> · <a href=\"https://profiles.wordpress.org/marianne38/\">marianne38</a> · <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a> · <a href=\"https://profiles.wordpress.org/marineevain/\">Marine EVAIN</a> · <a href=\"https://profiles.wordpress.org/santosguillamot/\">Mario Santos</a> · <a href=\"https://profiles.wordpress.org/clorith/\">Marius L. J.</a> · <a href=\"https://profiles.wordpress.org/markjaquith/\">Mark Jaquith</a> · <a href=\"https://profiles.wordpress.org/markparnell/\">Mark Parnell</a> · <a href=\"https://profiles.wordpress.org/markdoliner/\">markdoliner</a> · <a href=\"https://profiles.wordpress.org/markoheijnen/\">Marko Heijnen</a> · <a href=\"https://profiles.wordpress.org/markoserb/\">Marko Ivanovic</a> · <a href=\"https://profiles.wordpress.org/flootr/\">Markus</a> · <a href=\"https://profiles.wordpress.org/mkox/\">Markus Kosmal</a> · <a href=\"https://profiles.wordpress.org/martinkrcho/\">martin.krcho</a> · <a href=\"https://profiles.wordpress.org/marybaum/\">marybaum</a> · <a href=\"https://profiles.wordpress.org/masteradhoc/\">masteradhoc</a> · <a href=\"https://profiles.wordpress.org/mastrup/\">mastrup</a> · <a href=\"https://profiles.wordpress.org/mat-lipe/\">Mat Lipe</a> · <a href=\"https://profiles.wordpress.org/mmaattiiaass/\">Matias Benedetto</a> · <a href=\"https://profiles.wordpress.org/matveb/\">Matias Ventura</a> · <a href=\"https://profiles.wordpress.org/matmoe/\">matmoe</a> · <a href=\"https://profiles.wordpress.org/matt/\">Matt Mullenweg</a> · <a href=\"https://profiles.wordpress.org/mwtsn/\">Matt Watson</a> · <a href=\"https://profiles.wordpress.org/mattwiebe/\">Matt Wiebe</a> · <a href=\"https://profiles.wordpress.org/matt_fw/\">matt_fw</a> · <a href=\"https://profiles.wordpress.org/matteoenna/\">Matteo Enna</a> · <a href=\"https://profiles.wordpress.org/mboynes/\">Matthew Boynes</a> · <a href=\"https://profiles.wordpress.org/azouamauriac/\">Mauriac AZOUA</a> · <a href=\"https://profiles.wordpress.org/maurodf/\">maurodf</a> · <a href=\"https://profiles.wordpress.org/cadic/\">Max Lyuchin</a> · <a href=\"https://profiles.wordpress.org/maxcgparis/\">maxcgparis</a> · <a href=\"https://profiles.wordpress.org/maysi/\">maysi</a> · <a href=\"https://profiles.wordpress.org/mayur8991/\">Mayur Prajapati</a> · <a href=\"https://profiles.wordpress.org/mcalyster/\">McAlyster</a> · <a href=\"https://profiles.wordpress.org/mcliwanow/\">mcliwanow</a> · <a href=\"https://profiles.wordpress.org/mahamudur78/\">Md Mahamudur Rahaman</a> · <a href=\"https://profiles.wordpress.org/fencermonir/\">Md Monir Hossain</a> · <a href=\"https://profiles.wordpress.org/shuvo247/\">MD Shakibul Islam</a> · <a href=\"https://profiles.wordpress.org/megane9988/\">megane9988</a> · <a href=\"https://profiles.wordpress.org/meher/\">Meher Bala</a> · <a href=\"https://profiles.wordpress.org/melchoyce/\">Mel Choyce-Dwan</a> · <a href=\"https://profiles.wordpress.org/menakas/\">Menaka S.</a> · <a href=\"https://profiles.wordpress.org/mensmaximus/\">mensmaximus</a> · <a href=\"https://profiles.wordpress.org/mgol/\">mgol</a> · <a href=\"https://profiles.wordpress.org/mdawaffe/\">Michael Adams (mdawaffe)</a> · <a href=\"https://profiles.wordpress.org/mburridge/\">Michael Burridge</a> · <a href=\"https://profiles.wordpress.org/mikeday/\">Michael Day</a> · <a href=\"https://profiles.wordpress.org/michaelh/\">MichaelH</a> · <a href=\"https://profiles.wordpress.org/czapla/\">Michal Czaplinski</a> · <a href=\"https://profiles.wordpress.org/mcsf/\">Miguel Fonseca</a> · <a href=\"https://profiles.wordpress.org/mikeschinkel/\">Mike Schinkel</a> · <a href=\"https://profiles.wordpress.org/mikeschroder/\">Mike Schroder</a> · <a href=\"https://profiles.wordpress.org/mikecho/\">mikecho</a> · <a href=\"https://profiles.wordpress.org/mikeyzm/\">mikeyzm</a> · <a href=\"https://profiles.wordpress.org/mikinc860/\">Mikin Chauhan</a> · <a href=\"https://profiles.wordpress.org/milana_cap/\">Milana Cap</a> · <a href=\"https://profiles.wordpress.org/gonzomir/\">Milen Petrinski - Gonzo</a> · <a href=\"https://profiles.wordpress.org/studionashvegas/\">Mitch Canter</a> · <a href=\"https://profiles.wordpress.org/mitchellaustin/\">mitchellaustin</a> · <a href=\"https://profiles.wordpress.org/mitchoyoshitaka/\">mitcho (Michael Yoshitaka Erlewine)</a> · <a href=\"https://profiles.wordpress.org/moinrrahmed/\">Moe</a> · <a href=\"https://profiles.wordpress.org/batmoo/\">Mohammad Jangda</a> · <a href=\"https://profiles.wordpress.org/mohanrajp/\">Mohan Raj</a> · <a href=\"https://profiles.wordpress.org/patelmohip/\">Mohip Patel</a> · <a href=\"https://profiles.wordpress.org/mohiuddinomran/\">Mohiuddin Omran</a> · <a href=\"https://profiles.wordpress.org/boemedia/\">Monique Dubbelman</a> · <a href=\"https://profiles.wordpress.org/monzuralam/\">Monzur Alam</a> · <a href=\"https://profiles.wordpress.org/mor10/\">Morten Rand-Hendriksen</a> · <a href=\"https://profiles.wordpress.org/mrinal013/\">Mrinal Haque</a> · <a href=\"https://profiles.wordpress.org/mtxz/\">mtxz</a> · <a href=\"https://profiles.wordpress.org/thisisyeasin/\">Muhammad Yeasin</a> · <a href=\"https://profiles.wordpress.org/mujuonly/\">mujuonly</a> · <a href=\"https://profiles.wordpress.org/mukesh27/\">Mukesh Panchal</a> · <a href=\"https://profiles.wordpress.org/611shabnam/\">Mushrit Shabnam</a> · <a href=\"https://profiles.wordpress.org/naeemhaque/\">Naeem Haque</a> · <a href=\"https://profiles.wordpress.org/tushar284/\">Nahid Hasan</a> · <a href=\"https://profiles.wordpress.org/narthur/\">Narthur</a> · <a href=\"https://profiles.wordpress.org/nataliat2004/\">nataliat2004</a> · <a href=\"https://profiles.wordpress.org/nateallen/\">Nate Allen</a> · <a href=\"https://profiles.wordpress.org/nazgul/\">Nazgul</a> · <a href=\"https://profiles.wordpress.org/nazmul111/\">Nazmul Hosen</a> · <a href=\"https://profiles.wordpress.org/nazmulhudadev/\">Nazmul Huda</a> · <a href=\"https://profiles.wordpress.org/nendeb55/\">nendeb</a> · <a href=\"https://profiles.wordpress.org/neychok/\">Neycho Kalaydzhiev</a> · <a href=\"https://profiles.wordpress.org/eidolonnight/\">Nicholas Garofalo</a> · <a href=\"https://profiles.wordpress.org/ndiego/\">Nick Diego</a> · <a href=\"https://profiles.wordpress.org/nickpap/\">nickpap</a> · <a href=\"https://profiles.wordpress.org/nidhidhandhukiya/\">nidhidhandhukiya</a> · <a href=\"https://profiles.wordpress.org/nihar007/\">Nihar Ranjan Das</a> · <a href=\"https://profiles.wordpress.org/ntsekouras/\">Nik Tsekouras</a> · <a href=\"https://profiles.wordpress.org/nilovelez/\">Nilo Velez</a> · <a href=\"https://profiles.wordpress.org/dhrupo/\">Niluthpal Purkayastha</a> · <a href=\"https://profiles.wordpress.org/nithi22/\">Nithin John</a> · <a href=\"https://profiles.wordpress.org/nithins53/\">Nithin SreeRaj</a> · <a href=\"https://profiles.wordpress.org/njsamsatli/\">njsamsatli</a> · <a href=\"https://profiles.wordpress.org/nkeller15/\">nkeller15</a> · <a href=\"https://profiles.wordpress.org/noahtallen/\">Noah Allen</a> · <a href=\"https://profiles.wordpress.org/obliviousharmony/\">obliviousharmony</a> · <a href=\"https://profiles.wordpress.org/hideokamoto/\">Okamoto Hidetaka</a> · <a href=\"https://profiles.wordpress.org/oglekler/\">Olga Gleckler</a> · <a href=\"https://profiles.wordpress.org/olliejones/\">OllieJones</a> · <a href=\"https://profiles.wordpress.org/opr18/\">opr18</a> · <a href=\"https://profiles.wordpress.org/orestissam/\">Orestis Samaras</a> · <a href=\"https://profiles.wordpress.org/ov3rfly/\">Ov3rfly</a> · <a href=\"https://profiles.wordpress.org/owi/\">owi</a> · <a href=\"https://profiles.wordpress.org/paaljoachim/\">Paal Joachim Romdahl</a> · <a href=\"https://profiles.wordpress.org/pamprn/\">Pamela Ribeiro</a> · <a href=\"https://profiles.wordpress.org/paragoninitiativeenterprises/\">Paragon Initiative Enterprises</a> · <a href=\"https://profiles.wordpress.org/swissspidy/\">Pascal Birchler</a> · <a href=\"https://profiles.wordpress.org/pateljaymin/\">Patel Jaymin</a> · <a href=\"https://profiles.wordpress.org/patriciahillebrandt/\">patriciahillebrandt</a> · <a href=\"https://profiles.wordpress.org/pbiron/\">Paul Biron</a> · <a href=\"https://profiles.wordpress.org/paulkevan/\">Paul Kevan</a> · <a href=\"https://profiles.wordpress.org/pschrottky/\">Paul Von Schrottky</a> · <a href=\"https://profiles.wordpress.org/paulopmt1/\">Paulo Trentin</a> · <a href=\"https://profiles.wordpress.org/pavanpatil1/\">Pavan Patil</a> · <a href=\"https://profiles.wordpress.org/pedromendonca/\">Pedro Mendon&#231;a</a> · <a href=\"https://profiles.wordpress.org/westi/\">Peter Westwood</a> · <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a> · <a href=\"https://profiles.wordpress.org/walbo/\">Petter Walb&#248; Johnsg&#229;rd</a> · <a href=\"https://profiles.wordpress.org/tyrannous/\">Philipp Bammes</a> · <a href=\"https://profiles.wordpress.org/phillsav/\">Phill</a> · <a href=\"https://profiles.wordpress.org/strategio/\">Pierre Sylvestre</a> · <a href=\"https://profiles.wordpress.org/nekojonez/\">Pieterjan Deneys</a> · <a href=\"https://profiles.wordpress.org/boniu91/\">Piotrek Boniu</a> · <a href=\"https://profiles.wordpress.org/pitamdey/\">Pitam Dey</a> · <a href=\"https://profiles.wordpress.org/piyushtekwani/\">Piyush Tekwani</a> · <a href=\"https://profiles.wordpress.org/pkbhatt/\">pkbhatt</a> · <a href=\"https://profiles.wordpress.org/platonkristinin/\">Platon Kristinin</a> · <a href=\"https://profiles.wordpress.org/webtechpooja/\">Pooja Derashri</a> · <a href=\"https://profiles.wordpress.org/pooja1210/\">Pooja N Muchandikar</a> · <a href=\"https://profiles.wordpress.org/pouicpouic/\">pouicpouic</a> · <a href=\"https://profiles.wordpress.org/prashantbhivsane/\">Prashant</a> · <a href=\"https://profiles.wordpress.org/prashantvatsh/\">Prashant Singh</a> · <a href=\"https://profiles.wordpress.org/pravinparmar2404/\">Pravin Parmar</a> · <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a> · <a href=\"https://profiles.wordpress.org/prikari/\">Priyanka Adhikari</a> · <a href=\"https://profiles.wordpress.org/przemekhernik/\">Przemek Hernik</a> · <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a> · <a href=\"https://profiles.wordpress.org/bi0xid/\">Rafa Poveda</a> · <a href=\"https://profiles.wordpress.org/rfischmann/\">Rafael Fischmann</a> · <a href=\"https://profiles.wordpress.org/rajanpanchal2028/\">Rajan Panchal</a> · <a href=\"https://profiles.wordpress.org/rajinsharwar/\">Rajin Sharwar</a> · <a href=\"https://profiles.wordpress.org/rahmohn/\">Ramon Ahnert</a> · <a href=\"https://profiles.wordpress.org/ramonopoly/\">Ramon James</a> · <a href=\"https://profiles.wordpress.org/ratneshsonar/\">Ratnesh Sonar</a> · <a href=\"https://profiles.wordpress.org/rehanali/\">Rehan Ali</a> · <a href=\"https://profiles.wordpress.org/rembem/\">rembem</a> · <a href=\"https://profiles.wordpress.org/renyot/\">ren</a> · <a href=\"https://profiles.wordpress.org/youknowriad/\">Riad Benguella</a> · <a href=\"https://profiles.wordpress.org/rianrietveld/\">Rian Rietveld</a> · <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> · <a href=\"https://profiles.wordpress.org/richards1052/\">richards1052</a> · <a href=\"https://profiles.wordpress.org/richiecarey/\">Richie Carey</a> · <a href=\"https://profiles.wordpress.org/rjasdfiii/\">rjasdfiii</a> · <a href=\"https://profiles.wordpress.org/rob1n/\">rob1n</a> · <a href=\"https://profiles.wordpress.org/noisysocks/\">Robert Anderson</a> · <a href=\"https://profiles.wordpress.org/sanchothefat/\">Robert O\'Rourke</a> · <a href=\"https://profiles.wordpress.org/robinwpdeveloper/\">Robin</a> · <a href=\"https://profiles.wordpress.org/ravanh/\">Rolf Allard van Hagen</a> · <a href=\"https://profiles.wordpress.org/ronakganatra/\">Ronak Ganatra</a> · <a href=\"https://profiles.wordpress.org/algorithmsunlocks/\">Ruman Ahmed</a> · <a href=\"https://profiles.wordpress.org/rutviksavsani/\">Rutvik Savsani</a> · <a href=\"https://profiles.wordpress.org/ryan/\">Ryan Boren</a> · <a href=\"https://profiles.wordpress.org/bookdude13/\">Ryan Fredlund</a> · <a href=\"https://profiles.wordpress.org/ryankienstra/\">Ryan Kienstra</a> · <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a> · <a href=\"https://profiles.wordpress.org/welcher/\">Ryan Welcher</a> · <a href=\"https://profiles.wordpress.org/sereedmedia/\">S&#233; Reed</a> · <a href=\"https://profiles.wordpress.org/sebastienserre/\">S&#233;bastien SERRE</a> · <a href=\"https://profiles.wordpress.org/sergiomdgomes/\">S&#233;rgio Gomes</a> · <a href=\"https://profiles.wordpress.org/suleymankenar/\">S&#252;leyman Kenar</a> · <a href=\"https://profiles.wordpress.org/andy786/\">Sahil B.</a> · <a href=\"https://profiles.wordpress.org/sajjad67/\">Sajjad Hossain Sagor</a> · <a href=\"https://profiles.wordpress.org/sakibmd/\">Sakib Mohammed</a> · <a href=\"https://profiles.wordpress.org/salvoaranzulla/\">salvoaranzulla</a> · <a href=\"https://profiles.wordpress.org/samful/\">Sam Fullalove</a> · <a href=\"https://profiles.wordpress.org/samiamnot/\">samiamnot</a> · <a href=\"https://profiles.wordpress.org/samnajian/\">SamNajian</a> · <a href=\"https://profiles.wordpress.org/otto42/\">Samuel Wood (Otto)</a> · <a href=\"https://profiles.wordpress.org/mikachan/\">Sarah Norris</a> · <a href=\"https://profiles.wordpress.org/sarequl/\">Sarequl Basar</a> · <a href=\"https://profiles.wordpress.org/saxonfletcher/\">Saxon Fletcher</a> · <a href=\"https://profiles.wordpress.org/coffee2code/\">Scott Reilly</a> · <a href=\"https://profiles.wordpress.org/wonderboymusic/\">Scott Taylor</a> · <a href=\"https://profiles.wordpress.org/scribu/\">scribu</a> · <a href=\"https://profiles.wordpress.org/sdavis2702/\">Sean Davis</a> · <a href=\"https://profiles.wordpress.org/sergeybiryukov/\">Sergey Biryukov</a> · <a href=\"https://profiles.wordpress.org/shailu25/\">Shail Mehta</a> · <a href=\"https://profiles.wordpress.org/sh4lin/\">Shalin Shah</a> · <a href=\"https://profiles.wordpress.org/enchiridion/\">Shannon Little</a> · <a href=\"https://profiles.wordpress.org/shiponkarmakar/\">Shipon Karmakar</a> · <a href=\"https://profiles.wordpress.org/shreyasikhar26/\">Shreyas Ikhar</a> · <a href=\"https://profiles.wordpress.org/shubhamsedani/\">shubhamsedani</a> · <a href=\"https://profiles.wordpress.org/shuvo586/\">shuvo586</a> · <a href=\"https://profiles.wordpress.org/shvv/\">shvv</a> · <a href=\"https://profiles.wordpress.org/shwetabathani2312/\">Shweta Bathani</a> · <a href=\"https://profiles.wordpress.org/siddhantwadhwani/\">Siddhant Wadhwani</a> · <a href=\"https://profiles.wordpress.org/rsiddharth/\">siddharth ravikumar</a> · <a href=\"https://profiles.wordpress.org/nomnom99/\">Siddharth Thevaril</a> · <a href=\"https://profiles.wordpress.org/10upsimon/\">Simon Dowdles</a> · <a href=\"https://profiles.wordpress.org/simonemanfre/\">Simone</a> · <a href=\"https://profiles.wordpress.org/siobhan/\">Siobhan</a> · <a href=\"https://profiles.wordpress.org/sirajummahdi/\">Sirajum Mahdi</a> · <a href=\"https://profiles.wordpress.org/sboerrigter/\">Sjoerd Boerrigter</a> · <a href=\"https://profiles.wordpress.org/sjoerdlinders/\">Sjoerd Linders</a> · <a href=\"https://profiles.wordpress.org/smit08/\">Smit Rathod</a> · <a href=\"https://profiles.wordpress.org/soean/\">Soren Wrede</a> · <a href=\"https://profiles.wordpress.org/enderandpeter/\">Spencer</a> · <a href=\"https://profiles.wordpress.org/sque/\">sque</a> · <a href=\"https://profiles.wordpress.org/srikanthmeenakshi/\">srikanthmeenakshi</a> · <a href=\"https://profiles.wordpress.org/sstoqnov/\">Stanimir Stoyanov</a> · <a href=\"https://profiles.wordpress.org/ryokuhi/\">Stefano Minoia</a> · <a href=\"https://profiles.wordpress.org/vanaf1979/\">Stephan Nijman</a> · <a href=\"https://profiles.wordpress.org/sabernhardt/\">Stephen Bernhardt</a> · <a href=\"https://profiles.wordpress.org/stevenlinx/\">Steven Lin</a> · <a href=\"https://profiles.wordpress.org/subrataemfluence/\">Subrata Sarkar</a> · <a href=\"https://profiles.wordpress.org/sudipatel007/\">Sudip Dadhaniya</a> · <a href=\"https://profiles.wordpress.org/sumitbagthariya16/\">Sumit Bagthariya</a> · <a href=\"https://profiles.wordpress.org/sumitsingh/\">Sumit Singh</a> · <a href=\"https://profiles.wordpress.org/sunyatasattva/\">sunyatasattva (a11n)</a> · <a href=\"https://profiles.wordpress.org/codemonksuvro/\">Suvro</a> · <a href=\"https://profiles.wordpress.org/suzettefranck/\">Suzette Franck</a> · <a href=\"https://profiles.wordpress.org/mt_suzette/\">Suzette Franck</a> · <a href=\"https://profiles.wordpress.org/syamraj24/\">syamraj24</a> · <a href=\"https://profiles.wordpress.org/cybr/\">Sybre Waaijer</a> · <a href=\"https://profiles.wordpress.org/nuhel/\">Syed Nuhel</a> · <a href=\"https://profiles.wordpress.org/synchro/\">Synchro</a> · <a href=\"https://profiles.wordpress.org/tacoverdo/\">Taco Verdonschot</a> · <a href=\"https://profiles.wordpress.org/tahmina1du/\">Tahmina Jahan</a> · <a href=\"https://profiles.wordpress.org/inc2734/\">Takashi Kitajima</a> · <a href=\"https://profiles.wordpress.org/karmatosed/\">Tammie Lister</a> · <a href=\"https://profiles.wordpress.org/tanner-m/\">Tanner Moushey</a> · <a href=\"https://profiles.wordpress.org/thakordarshil/\">Thakor Darshil</a> · <a href=\"https://profiles.wordpress.org/thomask/\">thomask</a> · <a href=\"https://profiles.wordpress.org/thunderdw/\">thunder rumbles</a> · <a href=\"https://profiles.wordpress.org/tijmensmit/\">Tijmen Smit</a> · <a href=\"https://profiles.wordpress.org/tillkruess/\">Till Kr&#252;ss</a> · <a href=\"https://profiles.wordpress.org/tb1909/\">Tim Brath&#228;rig</a> · <a href=\"https://profiles.wordpress.org/timothyblynjacobs/\">Timothy Jacobs</a> · <a href=\"https://profiles.wordpress.org/tmatsuur/\">tmatsuur</a> · <a href=\"https://profiles.wordpress.org/tobiasbg/\">TobiasBg</a> · <a href=\"https://profiles.wordpress.org/tobifjellner/\">tobifjellner (Tor-Bjorn Fjellner)</a> · <a href=\"https://profiles.wordpress.org/thomasdevisser/\">Tom de Visser</a> · <a href=\"https://profiles.wordpress.org/tjnowell/\">Tom J Nowell</a> · <a href=\"https://profiles.wordpress.org/shimotomoki/\">Tomoki Shimomura</a> · <a href=\"https://profiles.wordpress.org/skithund/\">Toni Viemer&#246;</a> · <a href=\"https://profiles.wordpress.org/hellofromtonya/\">Tonya Mork</a> · <a href=\"https://profiles.wordpress.org/r0uter/\">tonythomas01</a> · <a href=\"https://profiles.wordpress.org/toro_unit/\">Toro_Unit (Hiroshi Urabe)</a> · <a href=\"https://profiles.wordpress.org/zodiac1978/\">Torsten Landsiedel</a> · <a href=\"https://profiles.wordpress.org/itowhid06/\">Towhidul I Chowdhury</a> · <a href=\"https://profiles.wordpress.org/scep/\">Tryon</a> · <a href=\"https://profiles.wordpress.org/twstokes/\">twstokes</a> · <a href=\"https://profiles.wordpress.org/tyb/\">TyB</a> · <a href=\"https://profiles.wordpress.org/ugyensupport/\">Ugyen Dorji</a> · <a href=\"https://profiles.wordpress.org/umesh84/\">Umesh Gupta</a> · <a href=\"https://profiles.wordpress.org/umeshmcakadi/\">Umesh Patel</a> · <a href=\"https://profiles.wordpress.org/upadalavipul/\">Upadala Vipul</a> · <a href=\"https://profiles.wordpress.org/utsav72640/\">Utsav tilava</a> · <a href=\"https://profiles.wordpress.org/uxtremist/\">uxtremist</a> · <a href=\"https://profiles.wordpress.org/eboxnet/\">Vagelis</a> · <a href=\"https://profiles.wordpress.org/valterlorran/\">valterlorran</a> · <a href=\"https://profiles.wordpress.org/vasilism/\">Vasilis Manthos</a> · <a href=\"https://profiles.wordpress.org/victoranto/\">victoranto</a> · <a href=\"https://profiles.wordpress.org/szepeviktor/\">Viktor Sz&#233;pe</a> · <a href=\"https://profiles.wordpress.org/vivekawsm/\">vivekawsm</a> · <a href=\"https://profiles.wordpress.org/vladytimy/\">Vlad T</a> · <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a> · <a href=\"https://profiles.wordpress.org/whaze/\">whaze</a> · <a href=\"https://profiles.wordpress.org/skorasaurus/\">Will Skora</a> · <a href=\"https://profiles.wordpress.org/williampatton/\">williampatton</a> · <a href=\"https://profiles.wordpress.org/wlindley/\">wlindley</a> · <a href=\"https://profiles.wordpress.org/wojtekszkutnik/\">Wojtek Szkutnik</a> · <a href=\"https://profiles.wordpress.org/wplmillet/\">wplmillet</a> · <a href=\"https://profiles.wordpress.org/xerpa43/\">xerpa43</a> · <a href=\"https://profiles.wordpress.org/xmarcos/\">xmarcos</a> · <a href=\"https://profiles.wordpress.org/yaniiliev/\">Yani Iliev</a> · <a href=\"https://profiles.wordpress.org/fierevere/\">Yui</a> · <a href=\"https://profiles.wordpress.org/zdrobau/\">Zdrobau</a> · <a href=\"https://profiles.wordpress.org/zebaafiashama/\">Zeba Afia Shama</a> · <a href=\"https://profiles.wordpress.org/zebulan/\">Zebulan Stanphill</a> · <a href=\"https://profiles.wordpress.org/zenaulislam/\">Zenaul Islam</a> · <a href=\"https://profiles.wordpress.org/zieladam/\">zieladam</a> · <a href=\"https://profiles.wordpress.org/zunaid321/\">Zunaid Amin</a></p>\n\n\n\n<h3 class=\"wp-block-heading\">WordPress support forums</h3>\n\n\n\n<p>Many thanks to the community volunteers who contribute to the <a href=\"https://wordpress.org/support/\">support forums</a> by answering questions from WordPress users worldwide.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Get involved today</h3>\n\n\n\n<p>If contributing to WordPress appeals to you, learning more and getting involved is easy. Discover the teams that come together to <a href=\"https://make.wordpress.org/\">Make WordPress</a> and explore the product roadmap on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>. You can also use this <a href=\"https://make.wordpress.org/contribute/\">interactive tool</a> to help you decide which team is right for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Looking toward the future</h2>\n\n\n\n<p>20 years ago this past May, <a href=\"https://wordpress.org/news/2003/05/wordpress-now-available/\">WordPress shipped the very first version, 0.7</a>. What started with a blog post from co-founder Matt Mullenweg and a subsequent comment by co-founder Mike Little eventually evolved into the world’s most popular web publishing platform.</p>\n\n\n\n<p>WordPress software continues to evolve and iterate based on the needs and desires of its robust and diverse user community. This release is the capstone of <a href=\"https://make.wordpress.org/core/2023/02/04/phase-2-finale/\">Phase 2</a> along the WordPress <a href=\"https://wordpress.org/about/roadmap/\">development roadmap</a>. As the community looks to the future, all efforts turn to <a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">6.4</a> and, subsequently, the transition into <a href=\"https://make.wordpress.org/core/2023/03/24/phase-3-collaboration/\">Phase 3</a>, which is expected to introduce powerful collaboration tools to the website creation and management experience.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\">6.3 Haiku</h2>\n\n\n\n<p>A capstone release<br />Ships tools for building great sites<br />Collaboration</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2023 20:03:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matias Ventura\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Do The Woo Community: A Look at Weglot, the Product and the Company, with Thomas Fanchin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75815\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://dothewoo.io/a-look-at-weglot-the-product-and-the-company-with-thomas-fanchin/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:455:\"<p>Thomas Fanchin, Weglot\'s partnership manager, discusses their involvement in WordPress, partnerships, and community engagement.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/a-look-at-weglot-the-product-and-the-company-with-thomas-fanchin/\">A Look at Weglot, the Product and the Company, with Thomas Fanchin</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2023 09:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"WPTavern: ConvertKit Updates WordPress Plugin, Adds Members Only Content, Newsletter Feed, and Product Embeds\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147547\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wptavern.com/covertkit-updates-wordpress-plugin-adds-members-only-content-newsletter-feed-and-product-embeds\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2922:\"<p><a href=\"https://convertkit.com/\">ConvertKit</a> has updated its <a href=\"https://wordpress.org/plugins/convertkit/\">official WordPress plugin</a> and <a href=\"https://wordpress.org/plugins/convertkit-for-woocommerce/#description\">WooCommerce add-on</a> to support a range of new features. More than 40,000 sites use ConvertKit&#8217;s plugin to integrate their newsletters, email campaigns, and digital products with WordPress. The service is <a href=\"https://convertkit.com/pricing\">free for the user&#8217;s first 1,000 subscribers</a> but offers more automated features and third party integration on its paid tiers.</p>\n\n\n\n<p>The latest version of the ConvertKit plugin for WordPress brings the &#8220;Members Content&#8221; feature out of beta. It allows site owners to set up gated content for things like courses, e-books, or curated content without having to switch platforms, keeping members on the WordPress site.</p>\n\n\n\n<p>In the WordPress admin, under the ConvertKit >> Member Content settings, admins can now specify a <a rel=\"noreferrer noopener\" href=\"https://help.convertkit.com/en/articles/4199330-convertkit-commerce-creating-a-product\" target=\"_blank\">ConvertKit Commerce product</a> to be required in order to view a post, page, or WooCommerce product page.</p>\n\n\n\n<img width=\"895\" height=\"700\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/image-1.png\" alt=\"\" class=\"wp-image-147567\" />WordPress content gated by ConvertKit subscription &#8211; image source: <a href=\"https://help.convertkit.com/en/articles/7896769-how-to-customize-your-convertkit-subscribers-experience-on-your-wordpress-website\">ConvertKit documentation</a>\n\n\n\n<p>This update also adds a &#8220;Newsletter feed&#8221; that ConvertKit users can embed on their WordPress sites to display a paginated list of their public broadcast emails. It can be shown as a grid with images and descriptions or a list with subject and date.</p>\n\n\n\n<p>Recent updates to the plugin also introduce product embeds, allowing site owners to create a storefront of their ConvertKit products on their WordPress sites. The styles for the embedded products can be edited inside the Site Editor.</p>\n\n\n\n<p>Other notable improvements in this round of updates include the following: </p>\n\n\n\n<ul>\n<li>The WooCommerce add-on for ConvertKit has been updated to map customer first and last names to ConvertKit custom fields</li>\n\n\n\n<li>New &#8220;Form Trigger Block&#8221; creates a button that triggers a pop-up modal </li>\n\n\n\n<li>PHP SDK now available for building on top of the ConvertKit API</li>\n</ul>\n\n\n\n<p>More detailed information on the settings for the new features is available in the ConvertKit documentation on <a href=\"https://help.convertkit.com/en/articles/7896769-how-to-customize-your-convertkit-subscribers-experience-on-your-wordpress-website\">customizing subscribers&#8217; experience on WordPress websites</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 08 Aug 2023 02:58:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"WPTavern: The First Learn WordPress Course Cohort Will Teach Participants How to Develop Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147549\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"https://wptavern.com/the-first-learn-wordpress-course-cohort-will-teach-participants-how-to-develop-blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2101:\"<p>WordPress&#8217; Training Team is <a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">launching</a> its first Learn WordPress Course Cohort, which is a social learning method where a group of people go through the learning process together with some synchronous group activities. One of the benefits of cohorts is the sense of community and connection that can develop between the participants, fostering more support and collaboration.</p>\n\n\n\n<p>The first course cohort topic is &#8220;Developing your first WordPress Block,&#8221; aimed at first-time block developers who have never built a block before. It lasts six weeks and covers the following topics: </p>\n\n\n\n<ul>\n<li>Week 1: Introduction, preparing your environment for block development.</li>\n\n\n\n<li>Week 2: Using create-block to scaffold your first block, Internationalisation.&nbsp;</li>\n\n\n\n<li>Week 3: Block styling, block supports, block controls</li>\n\n\n\n<li>Week 4: Block attributes, block components&nbsp;</li>\n\n\n\n<li>Week 5: Interacting with WordPress data</li>\n\n\n\n<li>Week 6: Dynamic blocks</li>\n</ul>\n\n\n\n<p>The cohort is limited to 14 participants who will be selected at random if they meet the requirements. These include a WordPress.org profile, a Make Slack account, and availability every Wednesday at 8:00 UTC for the duration of the course.</p>\n\n\n\n<p>A course on beginning block development is likely to be very popular, so the Training team has committed to maintaining a waiting list for any applications that are not selected in the first round. This is a remarkable opportunity for any developer who has not yet experimented with building blocks but thrives in a more social learning environment.  Future cohort courses on the same topic will be scheduled after this one is complete.</p>\n\n\n\n<p>The deadline to <a href=\"https://learnwordpress.survey.fm/developing-your-first-wordpress-block-course-cohort-sign-up\">apply to the very first Learn WordPress course cohort</a> is August 20, 2023, and the course will run from  September 4th to October 9th, 2023.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 07 Aug 2023 20:02:16 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:126:\"Gutenberg Times: Big Changes coming, Hallway Hangout, new course cohort and building custom design tools—Weekend Edition 264\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=25117\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:133:\"https://gutenbergtimes.com/big-changes-coming-hallway-hangout-new-course-cohort-and-building-custom-design-tools-weekend-edition-264/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:17242:\"<p>Howdy, </p>\n\n\n\n<p>I&#8217;ll be on vacation for the next two weeks and during that time, I will stay away from the computer or phone as much as possible. Really disconnect from the net. I&#8217;ll let you know how that went when I&#8217;ll get back 🧐 </p>\n\n\n\n<p>While I am gone, WordPress 6.3 will come out next week, and I hope my efforts to  share all that information prepared you, your clients, and teammates well for the next major release.</p>\n\n\n\n<p>In case you missed it, the comments on this post by Josepha Haden Chomphosy  <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a> will be open until August 15, 2023. &#8220;<em>Adding your&nbsp;ticket&nbsp;here won’t necessarily guarantee inclusion. But no one can fix things they can’t see, so bravely share your thoughts!</em>&#8221; </p>\n\n\n\n<p>So I am almost out the door! Be well! </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n<p>PS: I might share some photos on <a href=\"https://www.instagram.com/idx/\">Instagram @idx </a></p>\n\n\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-theme-development-for-full-site-editing-and-blocks\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li><li><a href=\"https://gutenbergtimes.com/feed/#4-upcoming-word-press-events\">Upcoming WordPress Events</a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<p><strong>Doc Pop</strong> interviewed <strong>Justin Tadlock</strong> on the podcast <em>Press This:</em><strong> <a href=\"https://torquemag.io/2023/08/press-this-wordpress-6-3/\">Big Changes Coming to WordPress 6.3</a></strong>. They discussed the upcoming WordPress 6.3 release, which marks the end of Phase Two of Gutenberg development. </p>\n\n\n\n<p>As some of you already know, the features in WordPress 6.3 include a revamped site editor interface with better navigation and stylebook support, making it easier for non-coders to customize their sites visually. </p>\n\n\n\n<p>A new Command Palette is introduced, enabling users to quickly access various functions in Gutenberg. There are also performance improvements, such as fetch priority support for images and updates to the cache and file system API.</p>\n\n\n\n<a href=\"https://wordpress.org/news/category/releases/\"><img /></a>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-accent-color has-alpha-channel-opacity has-accent-background-color has-background is-style-wide\" />\n\n\n\n<p><strong>Joen Assmussen</strong> collected all the great work of the WordPress design team in his latest <a href=\"https://make.wordpress.org/design/2023/07/31/design-share-jul-3-jul-28/\">Design Share: Jul 3-Jul 28</a>, among those</p>\n\n\n\n<ul>\n<li>Search views and a Meta search for Openverse</li>\n\n\n\n<li>Refined revamp of the showcase pages with additional filter component on WordPress.org </li>\n\n\n\n<li>Assemble a WordPress Design Library for various teams to use</li>\n\n\n\n<li>Details page for Template parts</li>\n\n\n\n<li>Improved Confirm dialog modals, and</li>\n\n\n\n<li>Lots of design work for the new pattern screens in the Site Editor</li>\n</ul>\n\n\n\n<a href=\"https://make.wordpress.org/design/2023/07/31/design-share-jul-3-jul-28/\"><img /></a>Screenshot of Showcase redesign\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p class=\"is-style-no-vertical-margin\"><strong>🎙️ </strong> Latest episode: <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-87/\">Gutenberg Changelog #87 – Patterns, Gutenberg 16.3 and WordPress 6.3.</a> with Anne McCarthy as special guest, hosted by Birgit Pauli-Haack</p>\n</div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><br />In his latest video, <strong>Dustin Hartzler</strong> wants you to <a href=\"https://www.youtube.com/watch?v=p9Tz-QErKXQ\"><strong>Master Text Formatting in WordPress Block Editor</strong></a>. </p>\n\n\n\n<ul>\n<li>🔍 Learn the basics of bold, italics, and underlining to add emphasis to your content. </li>\n\n\n\n<li>📌 Discover the power of heading levels to structure and organize your articles effectively. </li>\n\n\n\n<li>🔠 Personalize your text with different font styles and sizes that match your unique brand. </li>\n\n\n\n<li>🌈 Paint with words by changing text colors and adding a splash of creativity to your content. </li>\n\n\n\n<li>🌟 Highlight key points and quotes to make them shine and stand out. </li>\n\n\n\n<li>🔧 Master text alignment to achieve visually appealing and well-balanced content layouts.</li>\n</ul>\n\n\n\n<p>Hartzler is a long-time podcaster in the WordPress space, who just published his <a href=\"https://yourwebsiteengineer.com/532-why-its-a-good-idea-to-switch-to-the-block-editor/\">525th episode of the Your Website Engineer podcast</a>. Congratulations! </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-theme-development-for-full-site-editing-and-blocks\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n\n<div class=\"ngl-articles colored ngl-articles-30_70 ngl-articles-frontend\">\n\n	\n	<div class=\"ngl-articles-wrap ngl-articles-webview\">\n	\n						\n			<div class=\"ngl-article-mobile\">\n				<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n					<tr>\n						<td valign=\"top\">\n							<div class=\"ngl-article-mob-wrap\">\n							<div class=\"ngl-article-featured\"><a href=\"https://gutenbergtimes.com/live-q-a-design-systems-and-theme-json/\" target=\"_self\" rel=\"\"><img src=\"https://i0.wp.com/gutenbergtimes.com/wp-content/uploads/2023/08/Demo-screenshot-Live-Q-A-Design-Systems.png?w=652&ssl=1\" /></a></div><div class=\"ngl-article-title\"><a href=\"https://gutenbergtimes.com/live-q-a-design-systems-and-theme-json/\" target=\"_self\" rel=\"\"><span>Live Q &#038; A: Design Systems and theme.json</span></a></div><div class=\"ngl-article-excerpt\">One of the key challenges of running a site or series of sites at scale is ensuring design consistency and compliance with a design system. During this show, David Bowman,&hellip; <a href=\"https://gutenbergtimes.com/live-q-a-design-systems-and-theme-json/\" class=\"ngl-article-read-more\" target=\"_self\">Read more.</a></div>							</div>\n						</td>\n					</tr>\n				</table>\n			</div>\n			\n			\n			\n\n		\n		\n		</div>\n\n</div>\n\n\n\n\n<p>You must have been waiting for the part 3 of the Beyond Block Styles to come out! Don&#8217;t wait not more! <strong>Justin Tadlock</strong> pushed it over the finish line! <a href=\"https://developer.wordpress.org/news/2023/08/beyond-block-styles-part-3-building-custom-design-tools/\"><strong>Beyond block styles, part 3: building custom design tools</strong></a>. You learn how to add a button and a set of icons to the block toolbar for the Separator block. It&#8217;s a great tutorial for advanced theme developers. </p>\n\n\n\n<p>You would need to to read the other two parts before it, though: </p>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-1-using-the-wordpress-scripts-package-with-themes/\">Part 1: using the WordPress scripts package with themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-2-building-a-custom-style-for-the-separator-block/\">Part 2: building a custom style for the Separator block</a></li>\n</ul>\n\n\n\n<p>It&#8217;s a great project to study from beginning to end. I learned so much about the inner workings of the block editor. </p>\n\n\n\n<img />\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>Early Gutenberg adopter and freelance developer, <strong>Igor Benic</strong> shared in his post <a href=\"https://www.ibenic.com/read-wordpress-block-content-programmatically/\"><strong>How to Read WordPress Block Content Programmatically</strong></a> and read blocks from content in WordPress. You&#8217;ll learn how to tap into the functions of the <code>core/block-editor</code> packages. ICYMI, Benic also published <a href=\"https://www.ibenic.com/how-to-programmatically-add-a-block-in-the-wordpress-block-editor/\">How to programmatically add a block in the WordPress Block Editor</a> earlier this year. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Sarah Gooding</strong> reported on how you should <a href=\"https://wptavern.com/start-testing-wordpress-new-interactivity-api\"><strong>Start Testing WordPress’ New Interactivity API</strong></a>. It&#8217;s still unsure of the Interactivity API will be ready for 6.4 release in November, the Interactivity API packages and features made their way to the Gutenberg plugin with version 16.2. &#8220;Developers can follow the API’s&nbsp;<a href=\"https://github.com/WordPress/gutenberg/blob/trunk/packages/interactivity/docs/1-getting-started.md\">“Getting Started” guide</a>&nbsp;on GitHub to scaffold an interactive block with `@wordpress/create-block`. Take a look at the&nbsp;<a href=\"https://github.com/WordPress/gutenberg/discussions/52904\">roadmap</a>, which has an extensive list of tasks the team has in mind for the initiative and will include tracking issues for features as they progress.&#8221; Gooding wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"4-upcoming-word-press-events\">Upcoming WordPress Events</h2>\n\n\n\n<p>Join <strong>Nick Diego</strong> and <strong>Justin Tadlock</strong> for a Hallway Hangout on August 17, 2023, at 1:00 PM CST (18:00 UTC) on <strong><a href=\"https://make.wordpress.org/themes/2023/07/31/hallway-hangout-extending-blocks-with-custom-design-tools/\">Extending blocks with custom design tools</a>. </strong>They&#8217;ll have a casual conversation about creating custom design tools for blocks from a theming perspective. You&#8217;ll learn how to go beyond the Block Styles API and build your own custom controls, like an <a href=\"https://developer.wordpress.org/news/2023/08/beyond-block-styles-part-3-building-custom-design-tools/\"><em>emoji-based icon picker for the Separator block</em></a>. Tadlock and Diego will also explore the possibilities of using block development to extend block themes and discuss current theme development limitations. </p>\n\n\n\n<p>Everyone is welcome, but if you&#8217;re interested in block theming or building block themes for clients, this session is especially for you. <a href=\"https://www.meetup.com/learn-wordpress-online-workshops/events/295158615/\">RSVP for the event</a> through the Learn WordPress Meetup group to access the meeting link. Don&#8217;t miss it!</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>WordCamp US</strong> organizers published <a href=\"https://us.wordcamp.org/2023/schedule/\">their schedule for the talks on August 25 and 26, 2023</a>. As with all Regional Flagship events, there will be a live stream. Here is a list of the block related topics. </p>\n\n\n\n<ul>\n<li><a href=\"https://us.wordcamp.org/2023/session/building-a-thoughtful-block-editing-experience/\">Building a thoughtful block editing experience</a> w/ Aurooba Ahmed (lightning) </li>\n\n\n\n<li><a href=\"https://us.wordcamp.org/2023/session/the-headless-block-editor/\">The Headless Block Editor</a> w/ Sean Bleakley </li>\n\n\n\n<li><a href=\"https://us.wordcamp.org/2023/session/the-independent-theme-developers-field-guide-to-modern-wordpress/\">The independent theme developer’s field guide to modern WordPress</a> w/ Michelle Schlup Hunt</li>\n</ul>\n\n\n\n<p>I love the emphasis on contributing, community and accessibility! </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Jonathan Bossenger</strong> <a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\"><strong>announced the first Learn WordPress course cohort</strong></a> on the training team&#8217;s blog: On September 4th, a 6-week cohort titled &#8220;Developing your first WordPress Block&#8221; starts. Bossenger will facilitate the course designed for first-time WordPress block developers. The structure includes weekly sessions covering block development topics such as block styling, attributes, and interacting with WordPress data. </p>\n\n\n\n<p>The cohort will meet in both asynchronous and synchronous sessions, with a one-hour real-time session every Wednesday at 8:00 UTC. If interested, read more about the application and selection processes in the <a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">blog post</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Nathan Wrigley</strong> and <strong><a href=\"https://twitter.com/anchenlr\">Anchen le Roux</a> </strong>scheduled this year&#8217;s <a href=\"https://pagebuildersummit.com/\"><strong>Page Builder Summit  for 18th &#8211; 22nd September 2023</strong></a>. They put together  is a great slate of new and veteran speakers. It&#8217;ll have plenty of Gutenberg topics, and it doesn&#8217;t hurt to learn about all the businesses and products in the WordPress space. </p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: &#8220;<a href=\"https://www.flickr.com/photos/54227024@N02/8261708942\" target=\"_blank\" rel=\"noreferrer noopener\">Mumbai Lab Architecture</a>&#8221; by&nbsp;<a href=\"https://www.flickr.com/photos/54227024@N02\" target=\"_blank\" rel=\"noreferrer noopener\">BMW Guggenheim Lab</a>&nbsp;is licensed under&nbsp;<a href=\"https://creativecommons.org/licenses/by-nd-nc/2.0/jp/?ref=openverse\" target=\"_blank\" rel=\"noreferrer noopener\">CC BY-NC-ND 2.0</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 05 Aug 2023 10:00:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:125:\"Post Status: WordPress 6.3 RC3 • Cyber Resilience Act • Accessibility in Block Editing • Merging Gutenberg during Alpha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=150074\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"https://poststatus.com/wordpress-6-3-rc3-cyber-resilience-act-accessibility-in-block-editing-merging-gutenberg-during-alpha/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:25593:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (July 30, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">What do WordPress, Drupal, Joomla, and TYPO3 have in common? Leaders across these Content Management Systems have <a href=\"https://youtu.be/tbnblHzHqBU\">come together</a> to express their concerns and seek dialogue with EU legislators regarding the proposed <a href=\"https://digital-strategy.ec.europa.eu/en/library/cyber-resilience-act\">Cyber Resilience Act</a>. They emphasize the vital role of Free and Open Source Software in fostering innovation, security, and economic prosperity. <br /><br />We&#8217;re just a few days away from August 8th&#8217;s WordPress 6.3 release. <br /><br />Two Gutenberg-related topics are worth consideration. First, Alex Stine shares how he sees WordPress using his screen reader. Secondly, consideration is underway to merge Gutenberg plugin releases into alpha releases.  </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fe_gitMerge kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, Whose Ticket, Merging Gutenberg during Alpha, and EU CRA</h2><p class=\"kt-blocks-info-box-text\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f195.png\" alt=\"🆕\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\">WordPress 6.3 RC3</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f39f.png\" alt=\"🎟\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/08/01/whose-ticket-is-it-anyway/\">Whose ticket is it, anyway?</a><br /><br /> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2934.png\" alt=\"⤴\" class=\"wp-smiley\" /><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f510.png\" alt=\"🔐\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\">Concerns over the European Union’s Cyber Resilience Act (CRA)</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\">WordPress 6.3 RC3</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/people-of-wordpress-ihtisham-zahoor/\">People of WordPress: Ihtisham Zahoor</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-10\">\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/wordpress-6-3-release-day-process/\">WordPress 6.3 Release Day Process</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-2-release-candidate-phase-2/\">WordPress 6.3 Release Candidate Phase</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\">WordPress 6.3 Field Guide and Dev-Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-15\">\n<div class=\"wp-block-column is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-13\">\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/accessibility\">Accessibility</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/accessibility/2023/08/04/accessibility-team-meeting-agenda-august-4-2023/\">Accessibility Team Meeting Agenda: August 4, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/accessibility/2023/08/04/testing-matrix/\">Testing Matrix</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/new-github-feature-request-separating-access-to-the-meetup-and-wordcamp-trackers/\">New GitHub Feature Request: Separating access to the Meetup and WordCamp trackers</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/community-team-meeting-agenda-for-3-august-2023/\">Community Team Meeting Agenda for 3 August, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/08/02/recap-inaugural-nextgen-pilot-events/\">Recap: Inaugural NextGen Pilot Events</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/whose-ticket-is-it-anyway/\">Whose ticket is it, anyway?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/proposal-improve-the-editor-tech-workflow-for-major-releases/\">Proposal: improve the editor tech workflow for major releases</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/a-week-in-core-july-31-2023/\">A Week in Core – July 31, 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/08/beyond-block-styles-part-3-building-custom-design-tools/\">Beyond block styles, part 3: building custom design tools</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/08/understand-and-use-wordpress-nonces-properly/\">Understand and use WordPress nonces properly</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-2-building-a-custom-style-for-the-separator-block/\">Beyond block styles, part 2: building a custom style for the Separator block</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/dev-chat-agenda-august-1-2023/\">Dev Chat agenda, August 2, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/08/04/summary-for-docs-team-meeting-august-1-2023/\">Summary for Docs Team meeting, August 1, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/08/01/summary-for-docs-team-meeting-jul-18-2023/\">Summary for Docs Team meeting, Jul 18, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/08/02/hosting-team-meeting-agenda-2023-08-02/\">Hosting Team meeting agenda 2023-08-02</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/08/03/matrix-chat-summary-august/\">Matrix chat Summary – August 3, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/31/last-week-openverse-2023-07-24-2023-07-31/\">A week in Openverse: 2023-07-24 – 2023-07-31</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/28/openverse-monthly-priorities-meeting-2023-08-02/\">Openverse Monthly Priorities Meeting 2023-08-02</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/08/01/performance-chat-summary-25-july-2023-2/\">Performance Chat Summary: 1 August 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/01/core-performance-team-update-july-2023/\">Core Performance Team Update: July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/07/24/tackling-team-challenges-together/\">Tackling team challenges together</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/31/plugin-review-team-31-jul-2023/\">Plugin Review Team: 31 Jul 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/03/cross-locale-project-translation-editor-request-5/\">Cross-Locale Project Translation Editor Request</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/02/adding-error-checks-at-translate-wordpress-org/\">Adding error checks at translate.wordpress.org</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/08/02/agenda-weekly-polyglots-chat-august-2-2023-1300-utc/\">Agenda: Weekly Polyglots Chat – August 2, 2023 (13:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/08/agenda-for-august-3rd-support-meeting-2/\">Agenda for August 3rd Support Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/07/summary-for-july-27th-support-meeting/\">Summary for July 27th Support Meeting</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/28/sustainability-chat-summary-july-28-2023/\">Sustainability Chat Summary, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/31/test-team-update-31-july-2023/\">Test Team Update: 31 July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/07/31/hallway-hangout-extending-blocks-with-custom-design-tools/\">Hallway Hangout: Extending blocks with custom design tools</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/08/01/themes-team-update-august-01-2023/\">Themes team update August 01, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/training-team-meeting-recap-1st-august-2023/\">Training Team Meeting Recap – 1st August 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/03/introducing-the-training-team-guide-program/\">Introducing the Training Team Guide Program!</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/02/announcing-the-first-learn-wordpress-course-cohort/\">Announcing the first Learn WordPress Course Cohort.</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/08/01/xpost-whats-new-on-learn-wordpress-in-july-2023/\">X-post: What’s new on Learn WordPress in July 2023</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/how-to-add-tables-to-your-site/\">How to add tables to your site</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-global-variables\">Common WordPress APIs: Global Variables</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-11\">WP dev livestream: Sendig block theme</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=%E3%83%95%E3%83%AB%E3%82%B5%E3%82%A4%E3%83%88%E7%B7%A8%E9%9B%86%E3%81%A7%E5%AE%9F%E9%9A%9B%E3%81%AB%E3%82%B5%E3%82%A4%E3%83%88%E3%82%92%E4%BD%9C%E3%81%A3%E3%81%A6%E3%81%BF%E3%82%88%E3%81%86%EF%BC%81\">フルサイト編集で実際にサイトを作ってみよう！</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=contributing-to-the-wordpress-community-team-events-and-roles\">Contributing to the WordPress Community Team: Events and Roles</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=hallway-hangout-extending-blocks-with-custom-design-tools\">Hallway Hangout: Extending blocks with custom design tools</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-start-contributing-to-the-wordpress-core\">How to start contributing to the WordPress Core</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=common-wordpress-apis-internationalization\">Common WordPress APIs: Internationalization</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=wp-dev-livestream-sendig-block-theme-10\">WP dev livestream: Sendig block theme</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Aug 2023 19:29:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WPTavern: WordCamp Asia 2024 Opens Call for Speakers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147494\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wptavern.com/wordcamp-asia-2024-opens-call-for-speakers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2689:\"<p>WordCamp Asia 2024 is happening in Taipei, Taiwan, next year from March 7-9, at the <a rel=\"noreferrer noopener\" href=\"https://www.ticc.com.tw/wSite/mp?mp=2\" target=\"_blank\">Taipei International Convention Center (TICC)</a>. With the dates locked in and venue secured, organizers have now opened the <a href=\"https://asia.wordcamp.org/2024/call-for-speakers/\">call for speakers</a>. The event will feature three days of talks, workshops, and networking events, and organizers expect more than 2,000 attendees.</p>\n\n\n\n<p>Talks will be given in English and there will be four different formats for sessions:</p>\n\n\n\n<ul>\n<li>Long Talks: 40 minutes total (30 minutes for talk + 10 minutes for Q&amp;A)</li>\n\n\n\n<li>Lightning Talks: 10 minutes total (10 minutes for talk only. No Q&amp;A)</li>\n\n\n\n<li>Panel Discussions: Approximately 60 minutes with Q&amp;A</li>\n\n\n\n<li>Workshops: 90 minutes up to half a day</li>\n</ul>\n\n\n\n<p>WordCamp Asia&#8217;s organizers suggested nearly two dozen acceptable topics across a wide range of disciplines, including accessibility, SEO, marketing, Web3, AI, security, case studies, and more. They are especially &#8220;interested in hearing about diverse topics and inspirational stories. Topics such as trends, new approaches, and upcoming changes in related software and WordPress itself will be encouraged.&#8221;</p>\n\n\n\n<p>The call for speakers includes those who are hoping to host or join a panel discussion or host a workshop. Speakers do not have to be experienced at public speaking to be selected for WordCamp Asia. Those who do not have videos of previous talks can record a 5-10 minute video talking about their topic and link to it in the speaker form.</p>\n\n\n\n<p>WordCamp Asia has launched an <a href=\"https://asia.wordcamp.org/2024/underrepresented-speaker-support-initiative/\">Underrepresented Speaker Support Initiative</a> alongside this call for speakers with the goal of removing financial barriers for speakers. The program calls on companies to invest in creating a more diverse, equitable, and inclusive tech community by sponsoring underrepresented speakers, helping them practice their talks, and promoting the cause.</p>\n\n\n\n<p>The event&#8217;s organizers are also <a href=\"https://asia.wordcamp.org/2024/get-involved-with-wordcamp-asia-2024/\">calling for sponsors, media partners, and volunteers</a>. Prospective speakers are limited to two presentation submissions and can also indicate if they would be willing to be selected as a backup speaker. Applications will close on September 30, 2023. Speakers will be notified about the outcome of the selection process in November, followed by speaker announcements in December.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Aug 2023 04:12:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"BuddyPress: BuddyPress 12.0.0-beta1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=330655\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://buddypress.org/2023/08/buddypress-12-0-0-beta1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9511:\"<p>Dear contributors, BP Plugin &amp; BP Theme developers,</p>\n\n\n\n<p><strong><a href=\"https://downloads.wordpress.org/plugin/buddypress.12.0.0-beta1.zip\">BuddyPress 12.0.0-beta1</a></strong> is finally available for testing! <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3c4-200d-2640-fe0f.png\" alt=\"🏄‍♀️\" class=\"wp-smiley\" /> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3d6.png\" alt=\"🏖\" class=\"wp-smiley\" /></p>\n\n\n\n<ul>\n<li>Please note the plugin is <strong>still in development</strong>, so we recommend running this beta release on a <strong>testing site</strong>.</li>\n\n\n\n<li>Please note BuddyPress 12.0.0 <a target=\"_blank\" href=\"https://bpdevel.wordpress.com/2023/02/10/wordpress-required-version-update-5/\" rel=\"noreferrer noopener\"><strong>will require at least WordPress 5.8</strong></a>.</li>\n</ul>\n\n\n\n<p>You can test <a href=\"https://downloads.wordpress.org/plugin/buddypress.12.0.0-beta1.zip\">BuddyPress 12.0.0-beta1</a> in 4 ways :</p>\n\n\n\n<ul>\n<li>Try the <a target=\"_blank\" href=\"https://wordpress.org/plugins/bp-beta-tester/\" rel=\"noreferrer noopener\">BP Beta Tester</a> plugin.</li>\n\n\n\n<li><a href=\"https://downloads.wordpress.org/plugin/buddypress.12.0.0-beta1.zip\">Download the beta here (zip file)</a>.</li>\n\n\n\n<li>Check out our SVN repository: <code>svn co https://buddypress.svn.wordpress.org/trunk/</code></li>\n\n\n\n<li>Clone our read-only Git repository: <code>git clone git://buddypress.git.wordpress.org/</code></li>\n</ul>\n\n\n\n<p><strong>The current target for final release is: October 30, 2023. </strong>Considering the major change we’re introducing with this release, we decided to plan for a <strong>3 months beta testing period</strong> to:</p>\n\n\n\n<ul>\n<li>leave enough time for BuddyPress plugin &amp; theme authors to adapt their code to our new BP Rewrites API.</li>\n\n\n\n<li>Update our existing add-ons to demonstrate the changes needed for optimum 12.0 compatibility (e.g., <a href=\"https://wordpress.org/plugins/bp-attachments/\">BP Attachments</a> &amp; <a href=\"https://wordpress.org/plugins/bp-search-block/\">BP Search Block</a>)</li>\n\n\n\n<li>Explain how the new code affects <a rel=\"noreferrer noopener\" href=\"https://github.com/buddypress/buddypress/tree/master/docs/developer#buddypress-add-ons-handbook\" target=\"_blank\">ways to extend BuddyPress from now on</a>, and <a rel=\"noreferrer noopener\" href=\"https://github.com/buddypress/buddypress/tree/master/docs/user#user-handbook\" target=\"_blank\">document as much as we can</a> the progressive <a rel=\"noreferrer noopener\" href=\"https://buddypress.org/tag/feedback/\" target=\"_blank\">BuddyPress reboot</a> that we’re starting with 12.0.0.</li>\n\n\n\n<li>Identify potential issues or improvements for this release and the <a rel=\"noreferrer noopener\" href=\"https://buddypress.org/2023/07/bp-classic-1-0-0/\" target=\"_blank\">BP Classic add-on</a> which neutralizes the BP Rewrites API and ensures 12.0.0 backwards compatibility with plugins &amp; themes that are not ready yet for this API.</li>\n</ul>\n\n\n\n<p><strong>More than ever in BuddyPress history</strong>, <strong>testing for bugs is the key to a safe upgrade</strong>. It’s the main reason we actually package beta/RC versions. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f449.png\" alt=\"👉\" class=\"wp-smiley\" /> Please, with the goal of making this a smooth transition for our end-users, give us a bit of your time to ensure your specific theme or plugin works with this pre-release. If you find something weird, please report it on <a rel=\"noreferrer noopener\" href=\"https://buddypress.trac.wordpress.org/newticket\" target=\"_blank\">BuddyPress Trac</a>, post a reply to <a href=\"https://buddypress.org/support/topic/lets-prepare-the-buddypress-12-0-0-next-major-release/\">this support topic</a> or get in touch with us on our <a rel=\"noreferrer noopener\" href=\"https://wordpress.slack.com/messages/buddypress\" target=\"_blank\">WordPress.org Slack channel</a>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">One massive change &amp; around 60 other changes to expect in 12.0.0</h2>\n\n\n\n<p>You can check out <a target=\"_blank\" href=\"https://buddypress.trac.wordpress.org/query?status=closed&group=resolution&milestone=12.0.0\" rel=\"noreferrer noopener\">this report</a> on Trac for the full list of them. Below are the ones we believe will require your attention a lot and improve your BuddyPress experience in the most significant way.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/270d.png\" alt=\"✍\" class=\"wp-smiley\" /><strong> The BP Rewrites API </strong><strong>(the</strong><strong> massive change!)</strong></p>\n\n\n\n<blockquote class=\"wp-block-quote is-style-default\">\n<p><em>BP 12 is replacing the transmission in the car</em></p>\n<cite><a class=\"bp-suggestions-mention\" href=\"https://buddypress.org/members/dcavins/\" rel=\"nofollow\">@dcavins</a> on April 17, 2023.</cite></blockquote>\n\n\n\n<p><a rel=\"noreferrer noopener\" href=\"https://buddypress.trac.wordpress.org/ticket/4954\" target=\"_blank\">This is a 10-year-old issue</a> we are solving in BuddyPress 12.0.0, initializing a reboot was the right opportunity to finally comply with the WordPress way of generating rules to analyze requested URLs and route the visitor to the right site content: the <a rel=\"noreferrer noopener\" href=\"https://developer.wordpress.org/apis/rewrite/\" target=\"_blank\">WP Rewrite API</a>. If we’ve tried to minimize as much as we could the needed changes for BuddyPress plugins and themes, 2 constraints couldn’t be worked around:</p>\n\n\n\n<ul>\n<li>WordPress fully analyzes a URL later in the load process than our Legacy URL parser does its job</li>\n\n\n\n<li>Supporting plain permalinks &amp; customizable slugs required us to completely rethink the way we build BuddyPress URLs</li>\n</ul>\n\n\n\n<p>That being said, the impressive benefits will outweigh the small efforts we all need to accomplish in the coming 3 months:</p>\n\n\n\n<ul>\n<li>Site Administrators will now have a full control over <strong>all</strong> BuddyPress-generated URLs. They can choose slugs (or portions of URLs) that reflect their community, maybe using localized language or special terms that are more meaningful to their members. <strong>All</strong> also means, the URLs generated by 3rd party BuddyPress Add-ons using the BP Rewrites API.</li>\n\n\n\n<li>BuddyPress will be fully compatible with plain URL permalinks.</li>\n\n\n\n<li>Parsing BuddyPress URLs is <strong>faster</strong>, <strong>more reliable, extensible, testable and fully compliant</strong> with WordPress best practices.</li>\n\n\n\n<li>We now have a solid foundation to <a target=\"_blank\" href=\"https://buddypress.org/2023/05/what-new-features-will-be-coming-to-buddypress/\" rel=\"noreferrer noopener\">dream bigger</a>!</li>\n</ul>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f510.png\" alt=\"🔐\" class=\"wp-smiley\" /><strong> A new community visibility level: members only</strong></p>\n\n\n\n<p>We’ve heard from BuddyPress end-users that being able to easily restrict access to their community is a necessary feature. And thanks to the BP Rewrites API, we are able to reach this standard. With this first iteration, a site admin can now choose whether the community is fully public or is only accessible by logged-in members. In future versions, we hope to add granularity to this choice, so that community administrators can choose to highlight their members but share activities only inside the community “gates” for example.&nbsp;</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f9d9-200d-2642-fe0f.png\" alt=\"🧙‍♂️\" class=\"wp-smiley\" /><strong> More than 80 deprecated functions &amp; 2 removals</strong></p>\n\n\n\n<p>12.0.0 deprecates more functions than any of our previous releases (The 1.5 version, which was the previous “leader”, deprecated 40 functions). 26 of these deprecated functions was actually moved into the BP Classic plugin as they were specific to our legacy way of building, parsing and analyzing URLs.</p>\n\n\n\n<p>The BP Default theme and our BP Legacy widgets have also moved to BP Classic, the future is blocks! </p>\n\n\n\n<p><strong>This is important: you really need to test BuddyPress 12.0.0 to get ready for it!</strong></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-text-align-center wp-element-button\" href=\"https://downloads.wordpress.org/plugin/buddypress.12.0.0-beta1.zip\"><strong>Test BuddyPress 12.0.0-beta1</strong></a></div>\n</div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f91d.png\" alt=\"🤝\" class=\"wp-smiley\" /> Props <a class=\"bp-suggestions-mention\" href=\"https://buddypress.org/members/dcavins/\" rel=\"nofollow\">@dcavins</a> for his review &amp; great improvements about this announcement post.</p>\n\n\n\n<p><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f579.png\" alt=\"🕹\" class=\"wp-smiley\" /> <em>Happy testing!</em> <em>Thanks for your help!</em></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-right\"><em>Thanks to BuddyPress: get together safely, </em><strong><em>in your own way</em></strong><em>, in WordPress.</em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2023 22:16:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"WPTavern: WordPress Remembers: A Memorial To Those We Have Lost\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147472\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/wordpress-remembers-a-memorial-to-those-we-have-lost\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2208:\"<p>WordPress is honoring contributors the community has lost over the years through a new memorial page called <a href=\"https://wordpress.org/remembers/\">WordPress Remembers</a>: </p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>WordPress dedicates this page to the memory of those we&#8217;ve lost. They&#8217;ve shaped our project and enriched our community. As we remember their passion and commitment to WordPress and open source software, we celebrate their spirit.</p>\n\n\n\n<p>Forever in our hearts, their legacy endures through every line of code and every user they&#8217;ve impacted.</p>\n</blockquote>\n\n\n\n<p>The page lists code and community contributors who left a lasting impact on the WordPress project, and links to their profiles and external blogs and memorial pages. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"2204\" height=\"1278\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-03-at-3.15.42-PM.png\" alt=\"\" class=\"wp-image-147482\" />\n\n\n\n<p>&#8220;As WordPress continues through the decades, we have to deal with all parts of life, including death,&#8221; WordPress co-creator Matt Mullenweg <a href=\"https://twitter.com/photomatt/status/1686795699093135360\">said</a>, introducing the page on Twitter. &#8220;As a community, we now have a memorial place we can remember and honor those who contributed to WordPress but are no longer part of this world.&#8221; In a followup tweet he added, &#8220;I will be on this page someday.&#8221;</p>\n\n\n\n<p>For a software project that is 20+ years old, with <a href=\"https://wordpress.org/news/files/2023/05/2022-Annual-Survey-Final.pdf\">an aging contributor base</a>, departures from this world will soon become more common. Visiting this memorial page is a heart gripping experience if you had the privilege of knowing any of these beloved contributors. It&#8217;s sobering to consider the impact and legacy of one&#8217;s investments in WordPress, but this elegantly designed memorial calls those questions to mind.</p>\n\n\n\n<p>If you know of someone who is missing from this page, you can contact <a href=\"mailto:memorials@wordpress.org\">memorials@wordpress.org</a> and volunteers will add them.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2023 20:59:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"Post Status: What is Coaching &amp; What Are Key Times to Have a Coach with Kelly Gallagher\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=150057\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://poststatus.com/what-is-coaching-what-are-key-times-to-have-a-coach-with-kelly-gallagher/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47846:\"<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n\n\n\n\n<p><a href=\"https://poststatus.com/planet/feed/#h-transcript\">Transcript</a> ↓</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">In this podcast episode, <a href=\"https://twitter.com/corymiller303\">Cory Miller</a> introduces his professional coach, <a href=\"https://www.linkedin.com/in/coachkellygallagher\">Kelly Gallagher</a>, to discuss the role of coaching in personal and professional growth. They explore the difference between coaching and therapy and how they can complement each other. They highlight the value of coaching for high achievers and how it can help with career changes, improving performance, and enhancing communication skills. Cory shares his personal experience with coaching and expresses its positive impact on his life.</p>\n\n\n\n<p class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"><strong>Episode Highlights:</strong></p>\n\n\n\n<ul type=\"video\" class=\"wp-embed-aspect-16-9 wp-has-aspect-ratio\">\n<li>[00:00:00] <strong>The role of coaching and introduction of Kelly Gallagher-</strong>Cory introduces Kelly Gallagher as his professional coach and discusses their working relationship for four and a half years.</li>\n\n\n\n<li>[00:01:25] <strong>Kelly&#8217;s background in business development and coaching training-</strong> Kelly shares her background in business development and her coaching journey, including her training and pursuit of a master&#8217;s degree.</li>\n\n\n\n<li>[00:07:38] <strong>The difference between coaching and therapy, and the value of coaching for high achievers</strong>-Cory and Kelly discuss the definition of coaching, the distinction between coaching and therapy, and the importance of coaching for high achievers.</li>\n\n\n\n<li>[00:11:39] <strong>The distinction between therapy and coaching-</strong>Discussion on the differences between therapy and coaching and how they complement each other.</li>\n\n\n\n<li>[00:12:41] <strong>The value of having a coach for high achievers-</strong>Exploration of the benefits of coaching for high achievers and the importance of self-awareness.</li>\n\n\n\n<li>[00:13:55]<strong> Times when people seek coaching-</strong>Identification of common situations that lead individuals to actively seek coaching, such as career conflicts, the desire for personal growth, and the need for support during organizational changes.</li>\n\n\n\n<li>[00:23:31] <strong>The role of coaching and the importance of ICF certification-</strong>Discussion on the role of coaching, the significance of ICF certification, and the difference between coaching and therapy.</li>\n\n\n\n<li>[00:28:34] <strong>The value of having a coach for high achievers-</strong>Exploration of the benefits of coaching for high performers and the potential negative stigma associated with coaching as a remedial tool.</li>\n\n\n\n<li>[00:31:58] <strong>Coaching for entrepreneurs-</strong>The essentiality of coaching for entrepreneurs, particularly in navigating change, making big decisions, and improving performance.</li>\n\n\n\n<li>[00:34:24]<strong> The role of coaching and seizing opportunities-</strong>Cory reflects on the importance of having a coach and making the most of opportunities in business.</li>\n\n\n\n<li>[00:35:18] <strong>The importance of personal happiness and joy in work</strong>-Kelly discusses the significance of finding joy and personal happiness in one&#8217;s work and how it affects performance.[00:37:09] <strong>The passion for helping others and personal growth-</strong>Kelly shares her passion for helping others find personal growth in coaching and how it is more rewarding than pure sales.</li>\n</ul>\n\n\n\n<div class=\"wp-block-group is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<div class=\"wp-block-columns sponsor has-theme-palette-8-background-color has-background is-layout-flex wp-container-18\" id=\"StellarWP\">\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"StellarWP has-theme-palette-1-color has-text-color wp-block-heading\" id=\"Sponsor\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> Sponsor: <span><a href=\"https://poststat.us/elementor\" rel=\"sponsored nofollow\">Elementor</a></span></h3>\n\n\n\n<p><strong>Elementor </strong>enables web creators to build professional, pixel-perfect websites with an intuitive visual builder. Quickly create amazing websites for your clients or your business with complete control over every piece, without writing a single line of code. Join <a href=\"https://elementor.com/community/\">a vast community of web creators</a> from all around the world who deliver exceptional websites using Elementor.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow\"><div class=\"wp-block-image elementor-logo\">\n<img src=\"https://poststatus.com/wp-content/uploads/2022/08/Elementor-Logo-Symbol-Blue-150x150.png\" alt=\"Elementor\" class=\"wp-image-104033\" width=\"150\" height=\"150\" title=\"Elementor Logo\" />Elementor</div></div>\n</div>\n</div></div>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-mentioned-in-the-show\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f517.png\" alt=\"🔗\" class=\"wp-smiley\" /> Mentioned in the show<strong>:</strong></h3>\n\n\n\n<ul>\n<li><a href=\"https://obcc.utdallas.edu/coaching/\">University of Texas at Dallas Coaching Program</a></li>\n\n\n\n<li><a href=\"https://coachingfederation.org/\">International Coach Federation</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading eplus-wrapper\" id=\"h-you-can-follow-post-status-and-our-guests-on-twitter\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> You can follow Post Status and our guests on Twitter:</h3>\n\n\n\n<ul class=\"eplus-wrapper\">\n<li><a href=\"https://twitter.com/salesrxcoaching\">Kelly Gallagher</a>  (Executive Coach, <a href=\"https://gallagherexecutivecoachingpartnerships.com/\">Gallagher Executive Coaching Partnerships</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/corymiller303\">Cory Miller</a> (CEO, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n\n\n\n<li><a href=\"https://twitter.com/lemonadecode\">Olivia Bisset</a> (Intern, <a href=\"https://twitter.com/post_status\">Post Status</a>)</li>\n</ul>\n\n\n\n<p class=\"eplus-wrapper has-background\">The <strong>Post Status Draft</strong> podcast is geared toward WordPress professionals, with interviews, news, and deep analysis. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4dd.png\" alt=\"📝\" class=\"wp-smiley\" /><br /><br /><a href=\"https://poststatus.com/category/post-status-podcasts/\" target=\"_blank\" rel=\"noreferrer noopener\">Browse our archives</a>, and don’t forget to subscribe via <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\" target=\"_blank\" rel=\"noreferrer noopener\">iTunes</a>, <a href=\"https://podcasts.google.com/feed/aHR0cHM6Ly9mZWVkcy5zaW1wbGVjYXN0LmNvbS8ySkU5c2M4UA\" target=\"_blank\" rel=\"noreferrer noopener\">Google Podcasts</a>, <a href=\"https://www.youtube.com/c/PostStatus\" target=\"_blank\" rel=\"noreferrer noopener\">YouTube</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\" target=\"_blank\" rel=\"noreferrer noopener\">Stitcher</a>, <a href=\"https://wordpress-post-status-draft-podcast.simplecast.com/\" target=\"_blank\" rel=\"noreferrer noopener\">Simplecast</a>, or <a href=\"https://feeds.simplecast.com/2JE9sc8P\">RSS</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f3a7.png\" alt=\"🎧\" class=\"wp-smiley\" /></p>\n\n\n\n<h2 class=\"wp-block-heading eplus-wrapper\" id=\"h-transcript\">Transcript</h2>\n\n\n\n<p>Cory Miller (00:00:00) &#8211; Hey everybody. Welcome back to Post Status Draft. I&#8217;ve got a special guest today and I&#8217;m excited because I&#8217;ve worked with this awesome person professional for I think it&#8217;s been five years now. Four years? No, probably four and a half years now, Kelly. And. So back when I had just sold items, I was working the, you know, my job at trying to transition team, get some things done in the year after we had sold and I was starting to percolate. Okay, I&#8217;ve got this huge career change coming up, this huge business, whatever change in my professional life. And I sought out a coach and found Kelly Gallagher. So she&#8217;s my professional coach for four and a half years. We&#8217;re going to have a great conversation talking about coaching times when it&#8217;s so helpful to have a coach. And I&#8217;ll share personal experiences, too, but you&#8217;re in for a treat today. So Kelly, thanks so much for being on the podcast.</p>\n\n\n\n<p>Kelly Gallagher (00:01:02) &#8211; Thank you for having me. I&#8217;ve been watching some of your podcasts, and I&#8217;m just honored to be the subject of one of them.</p>\n\n\n\n<p>Kelly Gallagher (00:01:07) &#8211; So thank you.</p>\n\n\n\n<p>Cory Miller (00:01:09) &#8211; I often refer to Kelly as my secret weapon because a lot of the big things that have happened in the last five years, for sure in my life I&#8217;ve rehearsed, practiced, talked through all of these with Kelly. So, Kelly, tell us a little bit about your background.</p>\n\n\n\n<p>Kelly Gallagher (00:01:25) &#8211; Um, Cory, I came from a business development specialty within corporate America, specifically pharmaceuticals and the medical industry, and also diagnostics and lab testing. So I was a road warrior. I was out closing deals and my responsibilities escalated and escalated to the point where. Um, the last ten years, I was with a diagnostic lab, and I was also training other salespeople. I was interviewing them, hiring them and then coaching them. But I didn&#8217;t know I was coaching because I wasn&#8217;t sure even what coaching was. I wanted to take over the training department. So I was told, Well, you have no experience, even though I was already doing it. So I challenged and said I would like to go back and get my masters.</p>\n\n\n\n<p>Kelly Gallagher (00:02:16) &#8211; And I entered the coaching program, which is a just gold standard industry. I don&#8217;t know. It turned out to be one of the best. And so I entered that. And then while I was doing it, I thought, why not just get a master&#8217;s in business administration? Because I already know these things. So I went to school for five years and it was the best five years of my life. Um, I learned that I love to learn, and I think that may be what separates good coaches from great coaches. Is that. Constant wanting to move the bar up, that constant going to class mentality to be at another level. And that&#8217;s what&#8217;s really defined my career. There&#8217;s not really a time of the year when I&#8217;m not in continuing education and it&#8217;s my passion. I just want to be a master of my craft. So that was my journey. The interesting sidebar is I was told you can do all this, but if your sales performance drops, we&#8217;re done. We&#8217;re not paying. I said, okay.</p>\n\n\n\n<p>Kelly Gallagher (00:03:29) &#8211; But the more I studied coaching and communications, the higher myself through. And there&#8217;s actually a correlation between the two. It doesn&#8217;t seem like there would be, but I learned how to really listen. I was a good listener to begin with, but I became just a great listener and observer of behavior. And I also learned how to challenge people. So if a buyer told me, yes, yes, I&#8217;m definitely going to get the contract signed. And I sensed a hesitancy, I would call them out and go, you know, you&#8217;re sending one thing, but I&#8217;m hearing something else. It sounds like you&#8217;re still uneasy. And a lot of times by doing that, I could tease out that they weren&#8217;t going to buy it and we can have further discussion. So the coaching actually when I finished up. My sales career. It was as far as I could take it, but I owe it all to the coaching training.</p>\n\n\n\n<p>Cory Miller (00:04:32) &#8211; That&#8217;s awesome. Now, I know you have ICF credentials and all that and you can share a little bit about what ICF is, but so I know you are very involved there.</p>\n\n\n\n<p>Cory Miller (00:04:45) &#8211; Have done there&#8217;s so many regular like you said, I do a lot of work with mental health practitioners and there&#8217;s such a very, I would say regulated, but no like very intense and purposeful way to do therapy. A lot of guidelines, a lot of regulations, a lot of licensure things, ethical consideration, continuing. Ed But coaching has so much of that too. And that&#8217;s where ICF comes into yes.</p>\n\n\n\n<p>Kelly Gallagher (00:05:12) &#8211; And unfortunately, there&#8217;s not a specific license. I wish there was, but because there isn&#8217;t, the consumer has to really be discerning. And one way to start is that ICF because it&#8217;s the gold standard and for coach is not doing continuing education and involved with ICF. I don&#8217;t know. Chances are there will be less rigor to what they&#8217;re going to be able to do. It&#8217;s not that they wouldn&#8217;t be good coaches.</p>\n\n\n\n<p>Cory Miller (00:05:40) &#8211; Yeah, I think the ICF stuff is strong. Sometimes I feel like it&#8217;s a little bit too limiting, but I go, Gosh, it&#8217;s so good because it&#8217;s trying to really professionalize the coaching industry where anybody can just say, Oh, I&#8217;m my coach, I&#8217;m a life coach, whatever it is.</p>\n\n\n\n<p>Kelly Gallagher (00:05:57) &#8211; People just hang out a shingle and say, Boom, magic, I&#8217;m a coach. I two think it can be limiting, but I offer a bit of a hybrid because I have so much business experience. I&#8217;ll often tell my clients, Hey, I&#8217;m going to shift out of coaching if you want. Is it okay if I put on my business act and they almost never had anyone say no in interviews? And so then I&#8217;m able to interject a little, you know what this happened to blah, blah, blah. And I think that&#8217;s what differentiates me from other coaches. But the ICF standards are just critical. And the other thing about the ICF is you have to have 250 hours of continuing education to keep getting the licensure. That&#8217;s not a license to keep, you know, being indoors. And so that really raises the bar and enables the coach to really grow because you&#8217;re constantly taking a course. Yeah.</p>\n\n\n\n<p>Cory Miller (00:07:02) &#8211; So super, super strong. By the way, if you&#8217;re listening, you want to look if the coach has ICF certifications and all that, that&#8217;s really important, rigorous, rigorous work that they do to keep that up means to me it goes through taking it very seriously their profession.</p>\n\n\n\n<p>Cory Miller (00:07:19) &#8211; So Kelly, what is a coach? We&#8217;re going to spend some time talking about the times in which coach has been so, so valuable to your clients, to me, and we&#8217;re going to share experiences around that. But first, I kind of want to get a baseline of like, what is a coach?</p>\n\n\n\n<p>Kelly Gallagher (00:07:38) &#8211; Great question. Mean a coach. I had this conversation this morning at the pool at 5 a.m. Someone said, Oh, you&#8217;re going to coach. They just want content. I said, No, that&#8217;s not really what coaching is. I&#8217;m not really delivering content. I think a coach is someone that walks on a journey with a professional who wants to raise the bar. Um, it can be a life coach too. So then you&#8217;re walking the journey with an individual who has an area of life where they want to improve or progress. And that&#8217;s still the same formula for going through the coaching process, whether it be an executive or whether it be. Someone who wants to increase communication with their husband or wife.</p>\n\n\n\n<p>Cory Miller (00:08:25) &#8211; So, yeah. And part of how we were working together when we first started working together was I was going to the same school you went to, which is fantastic. University of Texas and Dallas and their coaching program is incredible. And being mentored by you. And because I was getting asked when when I left our teams and I was trying to do my own thing, I thought, okay, it&#8217;s going to be coaching People go, What is it, Coach? What do you do? And I was like, Oh gosh, I&#8217;m struggling with these. But it&#8217;s so much that it&#8217;s that walking alongside a person on a journey and I like what you added to it, is like they want to raise the bar, they want to do something more. And, you know, I have so much reflected about my business entrepreneurial career for the last 15 years ago. If I had a coach from the beginning, it would have been so much better in many ways. Not just success, success for sure, but also health clarity.</p>\n\n\n\n<p>Kelly Gallagher (00:09:23) &#8211; It&#8217;s funny you say that, Cory, because even 20 years ago when I was in pharmaceuticals and I was doing very well, had I had a coach, I would have been a rock star because there were rough edges that I couldn&#8217;t see. You can&#8217;t see them in yourselves the way someone else can who&#8217;s actively listening to you.</p>\n\n\n\n<p>Cory Miller (00:09:43) &#8211; Yeah. Well, and you know, the parallel we always give is sports. You know the best. Greatest of all time. Athletes have coaches and have people around them. Like you just assume they wake up and they&#8217;re just as good naturally. No, they work on their craft. And I think about that so much. Like, I know you work with a lot of high achievers and oftentimes so many of the entrepreneurs I&#8217;ve worked with very high achievers too. I&#8217;ve had the pleasure of having people on my team big time, high achievers. And you just go, like, if you really want to do well in what you&#8217;re doing, you need to have somebody that&#8217;s on your side.</p>\n\n\n\n<p>Cory Miller (00:10:23) &#8211; Nobody does it alone. I think that&#8217;s the fast that we perpetuate in our culture and especially in business, like with entrepreneurs, is like, Oh, I&#8217;m the rockstar. I do this by myself, that you got these icons out there. You know, Steve Jobs is the one you hear over and over and over 100,000 times. You go, He didn&#8217;t do it alone. No, there&#8217;s no way you can do it alone. And having someone in your corner that&#8217;s helping you perform at the highest level is so critical.</p>\n\n\n\n<p>Kelly Gallagher (00:10:54) &#8211; Yes, I agree. And, you know, oftentimes people will also say, well, isn&#8217;t it like therapy? I would call it therapy. Ten x. Because therapy&#8217;s great and I think everyone should go through that process at some time in their life. I really believe in it. But at some point it&#8217;s limited because it&#8217;s just keeps moving into the past and feelings and often sad feelings. Whereas coaches moving the person forward so high achievers get bored in therapy after a while, after a while, and they might go back and forth to therapy.</p>\n\n\n\n<p>Kelly Gallagher (00:11:34) &#8211; But generally they find that coaching helps them because it&#8217;s goal oriented.</p>\n\n\n\n<p>Cory Miller (00:11:39) &#8211; Yeah, well, and I know there&#8217;s a big distinction between therapy and coaching and really, you know, really try to their distinct things. And oftentimes probably you have taught this mentioned like therapy is looking back, coaching is looking forward. Is that how you kind of see that?</p>\n\n\n\n<p>Kelly Gallagher (00:11:56) &#8211; Yes. And you know, as a coach and a credentialed coach, I&#8217;m ethically bound if I feel like someone continually goes into therapy. Waters and themes, um, I&#8217;m bound to refer them on to therapists till they are more stabilized. And then oftentimes a lot of my clients are in therapy and coaching together. They really work well hand in hand.</p>\n\n\n\n<p>Cory Miller (00:12:22) &#8211; Yes. In fact, for the bulk of the time right now, I am not currently seeing a counselor, however, for the last see two months, but for the bulk of the time we&#8217;ve worked together have had a counselor and a coach. So I think their yin yang, their.</p>\n\n\n\n<p>Kelly Gallagher (00:12:41) &#8211; Right. And the people that come to me and have had some therapy, even if it was limited, they have just a little bit more self awareness.</p>\n\n\n\n<p>Kelly Gallagher (00:12:49) &#8211; So coaching progresses faster.</p>\n\n\n\n<p>Cory Miller (00:12:52) &#8211; Yeah. If you&#8217;re doing your work to.</p>\n\n\n\n<p>Kelly Gallagher (00:12:55) &#8211; Because other otherwise get clients. Sometimes we&#8217;ll say, Well, what does it matter how I&#8217;m feeling about this? Well, it matters a lot because, you know, your heart is just as involved in these decisions and actions and creative things you&#8217;re asking yourself to do as the frontal lobe of your brain. So they are connected.</p>\n\n\n\n<p>Cory Miller (00:13:14) &#8211; Yeah. Okay. So we talked about what coaching is a little bit we talked about the distinctions, therapy versus coaching and how they&#8217;re additive and can exist together. And in fact, or even better sometimes, oftentimes, especially in my experience, I would say. Well, I&#8217;m curious, Kelly So I know my own personal experience is related to our coaching professional relationship. But I&#8217;m curious, what are the times you you see people getting into the meat of this kind of conversation between us is like, what are those times when people go, okay, they&#8217;re thrust out to go actively look for a coach and end up, you know, in a in a room or a meeting with you.</p>\n\n\n\n<p>Kelly Gallagher (00:13:55) &#8211; I would say that generally there&#8217;s some type of struggle. It can be a conflict at work. That&#8217;s a huge one because that dips into, well, do I want a career change? And sometimes people come and they don&#8217;t know what they want. They&#8217;re just not happy. Um, people who want to progress with that and find meaning and integrate what they&#8217;re learning about themselves will come to coaching because that process. It really it&#8217;s like turbocharging the job search and turbocharging people to take interviews and move on and move up without really any kind of formal instruction to just that self-awareness that it builds. So that&#8217;s one of the big ones. Um.</p>\n\n\n\n<p>Cory Miller (00:14:44) &#8211; Let&#8217;s talk about struggle for a second. So struggle back to that. So is that so you mentioned a couple of factors there. I want to hit both sides. One is maybe I need to make a change, like move out of what I&#8217;m doing. But there&#8217;s another one, which is maybe I want to get promoted or have been promoted or, you know, within an organization to and I&#8217;m curious your experiences around around that too.</p>\n\n\n\n<p>Cory Miller (00:15:10) &#8211; So I like that it starts with like there&#8217;s some kind of struggle and they&#8217;re seeking outside perspective and help support with that. But it starts with some things they&#8217;re trying to change and wrestling against. Sounds like.</p>\n\n\n\n<p>Kelly Gallagher (00:15:24) &#8211; Right? And many times, you know, when you&#8217;re in a new position or you&#8217;re in a position where you are striving to do something else within that company, you will conform to their expectations and almost wear a mask. The to the degree that you lose something in the translation because then you&#8217;re not really connecting with your creative side or your problem solving side or your heart. And so a lot of work can be done to find that balance for people. The other thing that touches on is fear of failure. Your fear of failure is. It&#8217;s just a sweet spot because so many. Points of wanting to change. If we whittle down and we go with the client, what&#8217;s beneath that? What&#8217;s beneath that or what&#8217;s beneath that? And we get down to the core or the middle of the onion. It&#8217;s fear of failure.</p>\n\n\n\n<p>Kelly Gallagher (00:16:19) &#8211; And that&#8217;s that&#8217;s just a part of being human. No one wants to humiliate themselves or fall down. But I think, too, in our society, think about schools nowadays. Everyone&#8217;s given a trophy. Soccer, Everyone&#8217;s campaigning, trophy swimming. Everyone makes the team. No one&#8217;s not on the team. Great. So children are raised to not really fail or understand that they founded something and think in a way, I like the philosophy, but in a way I think I see a lot of young adults who come out into the world and they are terrified of not getting a trophy of not. And the reality is, in real life, you don&#8217;t get that many trophies.</p>\n\n\n\n<p>Cory Miller (00:17:06) &#8211; Yep. Well, we that was that fear of failure thing. We, we talked our last coaching session about that specifically and totally like, you know, when you&#8217;ve especially if you&#8217;ve been accustomed to winning, doing succeeding and then you hit some failures and or trying to do anything big and new, take that next job, start that new endeavor, whatever that is, and that, you know, oh, this is not a guaranteed success.</p>\n\n\n\n<p>Cory Miller (00:17:35) &#8211; So that that definitely resonates.</p>\n\n\n\n<p>Kelly Gallagher (00:17:37) &#8211; Right? And if I fail, that also relates to a further theme of then the fear of being actually seen for who you are. Um, yeah, it&#8217;s a heavy topic and it can take a while to work through, but it&#8217;s, I think most of my clients will say that&#8217;s valuable work. And it&#8217;s not that they become fearless, but I think they&#8217;re able to notice the emotion name and then kind of negotiated.</p>\n\n\n\n<p>Cory Miller (00:18:08) &#8211; Yeah, you mentioned the word emotions. And I think when I first started working with you, I didn&#8217;t I didn&#8217;t go to that realm. I was, you know, okay, more intellectual thinking process and stuff. And you&#8217;re extremely helpful with that. And probably because of some of the, you know, understandings between therapy and coaching or misunderstanding to say, I didn&#8217;t really get into that. But I think our best work has come with the emotions. Like my my definitely I&#8217;ve benefited every time we&#8217;ve talked. I&#8217;ve been better for it. However, I think the most profound times is when we get into, okay, I&#8217;m doing this thing.</p>\n\n\n\n<p>Cory Miller (00:18:48) &#8211; It&#8217;s an event, like you said, a struggle or something new or a change or something I&#8217;m preparing for. But then okay, the emotion around that and understanding that and leveraging, you know, really deep dive into that where I&#8217;m trying to improve. I can&#8217;t remember how many times you&#8217;ve said to me, okay, well they are not in this call. What is the what about you? And I was like, Oh man, doing that hard work, which is made I know it&#8217;s made me better as a professional and a leader for sure, because oftentimes you kind of redirect back to me and go, okay, well, they&#8217;re not here. Let&#8217;s talk about what this means to you, for you. And I&#8217;m always like, Well, let me take a deep breath on that one.</p>\n\n\n\n<p>Kelly Gallagher (00:19:31) &#8211; That&#8217;s a hard one. I learned that actually didn&#8217;t learn that at Utd or anywhere. I learned that as a young rep out in the field and I complain about these idiot customers. Right? And the manager told me once, he said, Turn your rearview mirror to your face.</p>\n\n\n\n<p>Kelly Gallagher (00:19:48) &#8211; And I didn&#8217;t. He goes, Now look at that. That&#8217;s the person that would have to change. The client&#8217;s not going to change. And it was the most profound thing. It kind of hurt my feelings, but it was so true.</p>\n\n\n\n<p>Cory Miller (00:20:01) &#8211; Well, I&#8217;ve talked through everything with you from partner team issues, all that. And it&#8217;s been so helpful because I think oftentimes kind of thinking, okay, yeah, they&#8217;ve got to change. There&#8217;s something with them. And the real work, profound and deep, that continues to get deeper is what does that mean for me about me? What do do I need to change something and what is that? And those are the times really in reflective work that I go, okay. And more and more I think I&#8217;m getting it. Or I go, okay, So something I&#8217;m not aware about myself potentially pointing outwards and then going, I kind of need to turn the rearview mirror back to myself.</p>\n\n\n\n<p>Kelly Gallagher (00:20:46) &#8211; Back to your face? Yes.</p>\n\n\n\n<p>Cory Miller (00:20:48) &#8211; It&#8217;s not the easiest thing to do, but I&#8217;m glad you do it.</p>\n\n\n\n<p>Kelly Gallagher (00:20:50) &#8211; It&#8217;s not the easiest thing to do. And in periods of conflict or intense conversations with bosses or calling people, you&#8217;re supervising, it&#8217;s extremely hard to stop yourself and say, wait a minute, who am I? And yeah, it&#8217;s it&#8217;s really, really hard. But I think as people progress in coaching, they become almost a coach within themselves.</p>\n\n\n\n<p>Cory Miller (00:21:16) &#8211; Yes. Yes. I can hear you quite a bit doing that.</p>\n\n\n\n<p>Kelly Gallagher (00:21:21) &#8211; Yeah. Oh yeah. So that would be my goal is that when I&#8217;m not there because I&#8217;m not there all the time and I don&#8217;t know of it, even though I know so much, I don&#8217;t know all of it. But my goal would be when that person&#8217;s gone for a week or they&#8217;re in a high stress situation, they&#8217;re able to somewhat coach themselves through it.</p>\n\n\n\n<p>Cory Miller (00:21:44) &#8211; Absolutely. Well, okay. So we talked about like the struggle conflict. Something&#8217;s going on there. Want to do reach something new? Maybe they&#8217;re evaluating a big change. I mean, that resonates with me. I was that&#8217;s how we kicked off our thing.</p>\n\n\n\n<p>Cory Miller (00:21:59) &#8211; It was like I was changing my profession career very substantially, knew I was going to be leaving the company I started. And, you know, okay, here&#8217;s a totally new avenue and having somebody to talk that through the fear of failure, the emotions of being an achiever, especially a high achiever, trying to do something in the world like an entrepreneur, what are some other things that you you see often in your coaching?</p>\n\n\n\n<p>Kelly Gallagher (00:22:27) &#8211; Well, I would say the other thing, the theme is some type of organizational change, because your organization, of course, they&#8217;re always changing. And there are new standards that people don&#8217;t. We talked about that before we went on tape that sometimes people don&#8217;t like change. So being able to go in and help a person challenge their assumptions about the change really recognize within themselves the any negative thinking loops or or extra baggage they&#8217;re bringing in the situation and then thrive throughout the change would be a big thing. Um, and as they go along to they learn about themselves and then to integrate that learning.</p>\n\n\n\n<p>Kelly Gallagher (00:23:12) &#8211; Back into the organization. That&#8217;s changing because change is constant. Yep. I don&#8217;t think I&#8217;ve ever been in an organization in 30 years that wasn&#8217;t doing some type of change. It&#8217;s almost never stay.</p>\n\n\n\n<p>Cory Miller (00:23:31) &#8211; It&#8217;s yeah, absolutely. Well, there&#8217;s two things I think about when we&#8217;ve worked together and what I know of coaching too. It&#8217;s it&#8217;s the word change that you said. Some change. Big change oftentimes big change. The other side of the coin for me is performance.</p>\n\n\n\n<p>Kelly Gallagher (00:23:47) &#8211; So yeah.</p>\n\n\n\n<p>Cory Miller (00:23:49) &#8211; Continual performance. So like and I think about those listening in why you won&#8217;t get you want to get coaching for yourself and your team is that performance factor like it&#8217;s an investment back into yourself or your team if you&#8217;re providing coaching. I think some great organizations, particularly in WordPress I&#8217;ve heard of because I&#8217;ve referred people to you that happen to be in WordPress. I go, Oh, I love the forward thinking of that. You&#8217;re going, it&#8217;s an investment in their people, but the performance side. So we&#8217;ve talked a lot of some about this change side.</p>\n\n\n\n<p>Cory Miller (00:24:24) &#8211; There&#8217;s something going on and how we wrestle and adapt to that change where we talk about motions and different things and then but the other side to me is like, I can&#8217;t remember how many times I call it performance, but what I think it is, is like preparation. I mean, some of the biggest deals I&#8217;ve done in five years have been rehearsed, practiced, polished, perhaps even with you. And gosh, I didn&#8217;t have that my previous ten years. And I thought, wow, I went into so many situations. I thought I had done my preparation. But doing it with you with a coach was made things so much better, I think, through that process. Kelly It also eliminated like things I wasn&#8217;t aware of, things I hadn&#8217;t thought about, and just an approach to get some, like, clarity.</p>\n\n\n\n<p>Kelly Gallagher (00:25:12) &#8211; Flirty, some big one. And I think that goes into the third bucket of communication skills. Just people sometimes come to me and in her struggle or there&#8217;s conflict or they&#8217;re going into a big sales promotion and they&#8217;re not quite sure how to go about it.</p>\n\n\n\n<p>Kelly Gallagher (00:25:29) &#8211; So that would all fall into the bucket of communication skills. And that that&#8217;s a big one. I don&#8217;t think oftentimes people think they&#8217;re coming across one way, but it&#8217;s quite different if you&#8217;re observing them. The other thing is. They, you know, like you said, you&#8217;ll rehearse. And rehearse. But when you get in that situation sometimes. Hopefully you&#8217;re primed with enough rehearsal to lean back. If you forget what you&#8217;re going to say, you can lean back into the gist of it. So I think for performance, though, it comes down to communication skills and confidence, because in selling some time it&#8217;s not what you said anyway, it&#8217;s how you said it. And you can walk in if you say it with conviction and you have that internal clarity, as you mentioned, and conviction. The little wordsmithing and nuances of it aren&#8217;t going to matter. They&#8217;re going to matter. But the big the capital A to achievement or performance is how you set it.</p>\n\n\n\n<p>Cory Miller (00:26:36) &#8211; Well, I didn&#8217;t say this in the beginning, but we we now meet twice a week and we&#8217;ve I think we&#8217;ve met twice a week for the last year or two.</p>\n\n\n\n<p>Cory Miller (00:26:44) &#8211; And that was out of, oh, I need these times. We&#8217;re kind of booking them at the front of the week and the end of the week. But oftentimes I realize so many times it&#8217;s just seeking clarity for myself and those of us who are leaders out there trying to give a clear vision to somebody else, I&#8217;ll just say it. Maybe other leaders just wake up with clairvoyant vision. I don&#8217;t. I need rehearsal. I need work. I need to bounce it off people. I need a coach to help me kind of ask questions, think, think it through. And every single time I&#8217;m better. I remember some of the biggest ones that I&#8217;ve, like, talked to you. And it&#8217;s not even one session, maybe 2 or 3. They end up talking about it. But I go, Gosh, if I hadn&#8217;t had that, I would have made so many mistakes going into that big decision or time of presentation, whatever that was. And I&#8217;m so better for like I just need to practice and realize I couldn&#8217;t just do that.</p>\n\n\n\n<p>Cory Miller (00:27:40) &#8211; I needed someone else to help me. And that&#8217;s where you&#8217;ve come in and done that. And so clarity for me is like when you say, what? When people would ask me, What&#8217;s the biggest takeaway for coaching? I go clarity and what is clarity? Build what you said confidence. And those two alone have made me a better leader. That&#8217;s why I can say, let&#8217;s just go back to the start of my career. If I&#8217;d had a coach, it started my career. Everything would have been better because I&#8217;ve been more clear, more confident.</p>\n\n\n\n<p>Kelly Gallagher (00:28:03) &#8211; Being a millionaire ten times over just had a coach because I did so many stupid things along with the good things. That you don&#8217;t know, but you do learn from failure. You do learn. Oh, and so, you know, maybe not, but I sure would have liked to have a coach. It is a perk for high performers. If if if you if it&#8217;s a if there&#8217;s an employer listening in and they&#8217;re thinking of who does that need coaching? Yes, it can be remedial, but sometimes then it&#8217;s not the employees idea.</p>\n\n\n\n<p>Kelly Gallagher (00:28:34) &#8211; The high performance will progress the fastest because it generally will be their idea. They want that perk and they want to grow a career.</p>\n\n\n\n<p>Cory Miller (00:28:44) &#8211; This is my personal opinion, not Kelly. So I want to be clear about that. But I&#8217;ve been around organizations that use coaching as remedial, and I go, Then what happens is coaching gets stigmatized within that organization of if you&#8217;re not performing and you&#8217;re doing a crappy job, you&#8217;re going to get sent. And it has a negative tint to coaching, which is not what it&#8217;s supposed to be. It&#8217;s supposed to be progressing positive, helping improving, navigating situations. And this one organization in particular, it&#8217;s like that&#8217;s how they use coaching. I go, Oh man, Like, then they then all these high performers have this worry about it and don&#8217;t want to potentially go into coaching and miss this incredible benefit to what coaching is.</p>\n\n\n\n<p>Kelly Gallagher (00:29:31) &#8211; That&#8217;s so true. There&#8217;s someone at my door. Can I. Can we pause?</p>\n\n\n\n<p>Cory Miller (00:29:36) &#8211; Yeah.</p>\n\n\n\n<p>Kelly Gallagher (00:29:45) &#8211; Yeah, we&#8217;re talking about, like, high performers and performance coaching. And I do want to make the point that that&#8217;s kind of what I think is my differentiator is that I have all that coaching training, but also I&#8217;ve been in the business world for 30 years selling. So if someone asked me about that, it&#8217;s easy for me to switch out. Yeah, most coaches have like a background, so they&#8217;ve never really had to go out into the world and perform, right?</p>\n\n\n\n<p>Cory Miller (00:30:17) &#8211; Yeah. You bring both sides to that coin I think is incredibly helpful. Like I&#8217;ve talked so much with you about cells because it&#8217;s a weak area. I feel like it&#8217;s a weak area for me, but something I&#8217;ve had to do but forced to do and now trying to begrudgingly trying to do it. But I know you&#8217;ve got such an extensive sales background, business development background that totally leveraged that. In fact I think that&#8217;s how our two times a week started was a sales academy where it wasn&#8217;t necessarily coaching, it was more like sales coaching.</p>\n\n\n\n<p>Kelly Gallagher (00:30:47) &#8211; Right. And it&#8217;s very hard for someone to coach you if they haven&#8217;t walked down the street, guide you down the path. If I&#8217;ve never been on it, I can coach and I can move you in many ways, but can&#8217;t exactly help you to perform because I don&#8217;t know how to perform. So I think that is the differentiator in my coaching style as I&#8217;ve been there. I&#8217;ve been in sales meetings where I got humiliated. I&#8217;ve had clients slam doors in my face. You know, I&#8217;ve executed $1 million contract. So. I just think it helps me to bring more to the party.</p>\n\n\n\n<p>Cory Miller (00:31:25) &#8211; Yeah. And you understand the complete picture. That&#8217;s why, you know, our community is a lot of founders and a lot of high achiever leaders. You know, I&#8217;m curious your thoughts about entrepreneurship, entrepreneurs and coaching. You know, I don&#8217;t know your risk, your client base, but I am one. I know I&#8217;ve benefited from incredibly navigating change, big decisions and the performance side. But what do you say to entrepreneurs about coaching?</p>\n\n\n\n<p>Kelly Gallagher (00:31:58) &#8211; I&#8217;d say it&#8217;s essential because of everything we&#8217;ve talked about in the end.</p>\n\n\n\n<p>Kelly Gallagher (00:32:04) &#8211; As an entrepreneur, you&#8217;re alone, right? That&#8217;s what it is. That&#8217;s the gig. You might have a few people on your team, but generally you&#8217;re alone. It&#8217;s very hard to win deals in isolation. So I would say having a business coach is key to moving forward. Not only in all the things we mentioned, the clarity, the communication, the conflict, the struggle, but then sometimes you just have to go execute. And so for me, it&#8217;s very helpful because I&#8217;ve been in that sales situation so many times and understand features, benefits. I understand how to extrapolate from a client what&#8217;s going to really matter and what&#8217;s not. And I can help people with their slide deck or, you know, whatever it is they want to. So I will generally I can come in in that regard like we do and be a consultant on Friday, but a coach on Mondays. And then and most of my clients who are entrepreneurs use me in that way. Like they will sometimes just bring us like back or we&#8217;ll practice a presentation or they&#8217;ll practice what they&#8217;re going to say to their team before they say it.</p>\n\n\n\n<p>Cory Miller (00:33:18) &#8211; Yep.</p>\n\n\n\n<p>Kelly Gallagher (00:33:18) &#8211; Get some clarity around it to understand. How they&#8217;re feeling in that moment of saying these wonderful things they think are are going to move the team. And sometimes they come out of the meeting and they&#8217;re going to say something completely different. Once we do the coaching, it&#8217;s not that I ever told them to say anything different, but we, you know, polished it. Let&#8217;s say, you know, they come out with this big chunk of coal and they leave and they&#8217;ve got a little diamond and it&#8217;s polished. And like you said earlier, they feel confident.</p>\n\n\n\n<p>Cory Miller (00:33:50) &#8211; Maybe there&#8217;s some entrepreneurs that that come fully birthed into the whole process, but most of us have to learn it and grow through it. What I&#8217;m hearing, though, you know, big decisions, big challenges, big changes, and then the performance side preparation, Polish getting ready for those big things, too. And then the simply put, just trying to make the most of the opportunity. That&#8217;s what I think about. Like so many high achievers that go with an entrepreneur&#8217;s, like we have an opportunity.</p>\n\n\n\n<p>Cory Miller (00:34:24) &#8211; We often like my my story is I stumbled into it, stumbled into it and go, wow, I have this amazing opportunity. So much with business. You go like, it&#8217;s right timing, it&#8217;s right place, right people, right, partners, all the things that have to go together for something to go really well. And then you go, I want to make the most of that. And that&#8217;s my reflection, is that I had an opportunity. I wanted to seize that opportunity to make the most of it. Now, seeing, Oh, wow. Now I did have a coach during about half of my business time, invaluable to help us with the organization. But I go like having someone that this is why we keep working together as I go. I just need it. It&#8217;s just a part of making the most of who I am and my opportunities that come my way to to do even more. And it&#8217;s not necessarily just about money, but it&#8217;s about making the most of the opportunity.</p>\n\n\n\n<p>Kelly Gallagher (00:35:18) &#8211; Right.</p>\n\n\n\n<p>Kelly Gallagher (00:35:19) &#8211; And Joy, while you&#8217;re doing you we haven&#8217;t even touched about that. But there&#8217;s that personal happiness factor and a lot of my clients either are working out or I have them. I try to persuade them to start a fitness program while they&#8217;re with me. But that joy, that love of what you&#8217;re doing, you know, if it&#8217;s not there, it&#8217;s very hard to perform on your.</p>\n\n\n\n<p>Cory Miller (00:35:43) &#8211; Yeah. And you&#8217;ve been such a good coach and you walk that talk. Kelly was telling me before we started the recording that she just ran a mile and swam, and I was like, Gosh, you overachiever. But it&#8217;s such a good inspiration for me for sure, because that other aspect of just life and business and everything is just being physically healthy. And you are a great encourager and you walk your talk.</p>\n\n\n\n<p>Kelly Gallagher (00:36:07) &#8211; I try. I try. I try. I mean, no one&#8217;s perfect. But yeah, I definitely try. And I also find because I work out a lot and I&#8217;m more effective for people because, you know, it brings all that blood flow to the brain.</p>\n\n\n\n<p>Kelly Gallagher (00:36:20) &#8211; So I shared with Cory that sometimes in between clients I&#8217;ll just run up the hill outside my house 4 or 5 times just to sharpen myself for the next person because I can feel it within myself. Then I come in their house and I&#8217;m all happy again and I&#8217;m feeling creative and supercharged and ready to go.</p>\n\n\n\n<p>Cory Miller (00:36:41) &#8211; Oh yeah. You can tell what the energy you have for sure. Well, Kelly, thanks so much for taking the time to talk to us about what you&#8217;re doing. Share a little bit of the experience. I mean, they resonate with me. Everything you&#8217;ve talked about are things that we&#8217;ve worked on in our coaching sessions, and I&#8217;ve been better for it as a person on Earth, as a human, on earth, as a business entrepreneur, leader, all those. But anything else that you want to share that we didn&#8217;t get to talk about?</p>\n\n\n\n<p>Kelly Gallagher (00:37:09) &#8211; No, I mean, what you just said, that&#8217;s what I live for. That&#8217;s my passion is did I, you know, did I help someone? Did they feel better after we, you know, did we move the bar? And I just live for success stories.</p>\n\n\n\n<p>Kelly Gallagher (00:37:23) &#8211; And I find it so much more rewarding than just pure sales. Although I would have argued back then that I was making people&#8217;s lives better because I had a terrific product or whatever, but somehow that what you just said, just seeing personal growth in other people, I just kind of live for that. So thank you.</p>\n\n\n\n<p>Cory Miller (00:37:43) &#8211; Bet. Well, thanks, Keller, for being on. And thanks, everybody, for listening. We&#8217;ll share in the show notes how you can get a hold of Kelly if you&#8217;re interested in talking more with her. She&#8217;s fantastic. Coach, you can&#8217;t. I&#8217;ve referred you numerous times to people that now I believe are our regular clients with you. And we they&#8217;re defensive minded and we always talk like, yep, I just had my Kelly session, just had my Kelly Sessions, so.</p>\n\n\n\n<p>Kelly Gallagher (00:38:08) &#8211; Well, thank you for doing that. Yes. I don&#8217;t really advertise. I haven&#8217;t ever. I only did maybe in the first year. But I think that&#8217;s the other thing. Good coaches just kind of get referrals and.</p>\n\n\n\n<p>Kelly Gallagher (00:38:21) &#8211; That&#8217;s the way it should be.</p>\n\n\n\n<p>Cory Miller (00:38:23) &#8211; You do. All right. Thanks, everybody, for listening to Post Status Draft. It&#8217;s been another episode kind of went out of our league but love to introduce people that have made an indelible difference in my life and to share their wisdom. So we&#8217;ll see everybody next time. Thank you.</p>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2023 20:51:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Cory Miller\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"Do The Woo Community: Scaling and Performance with Justin Mazzi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75777\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://dothewoo.io/scaling-and-performance-with-justin-mazzi/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:392:\"<p>Zach and Carl are joined by Justin Mazzi from A2 Hosting to chat about all things hosting, performance and more.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/scaling-and-performance-with-justin-mazzi/\">Scaling and Performance with Justin Mazzi</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Aug 2023 10:43:46 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"WPTavern: BuddyPress 12.0 to Introduce Community Visibility Feature that Restricts Access to Members Only\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147320\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:116:\"https://wptavern.com/buddypress-12-0-to-introduce-community-visibility-feature-that-restricts-access-to-members-only\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2296:\"<p>BuddyPress 12.0 is set to introduce <a href=\"https://bpdevel.wordpress.com/2023/07/30/bp-dev-chat-summary-for-july-17-agenda-for-july-31/\">a new Community Visibility feature</a> that gives site administrators the option to restrict access to the community sections of the site. Sites set to &#8220;members only&#8221; will show an access error message and a login form when a non-logged-in user tries to view a page generated by BuddyPress.</p>\n\n\n\n<img width=\"936\" height=\"561\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/buddypress-members-only.jpeg\" alt=\"\" class=\"wp-image-147453\" />\n\n\n\n<p>The Community Visibility setting makes it possible to create a private community site without adding any plugins to BuddyPress, a feature that has frequently been requested by BuddyPress site admins. It is being introduced as a basic toggle but BuddyPress contributor David Cavins, who worked on the feature, said it lays the groundwork for future, more granular privacy controls.</p>\n\n\n\n<p>The BuddyPress core development team has also published the <a href=\"https://wordpress.org/plugins/bp-classic/\">BP Classic</a> plugin ahead of the 12.0 release. The plugin provides backwards compatibility for sites using plugins or themes that are not ready for the BP Rewrite API that will be introduced in 12.0. It  includes features and templates that are fully deprecated: </p>\n\n\n\n<ul>\n<li>The BP Legacy widgets (these were migrated as Blocks in BuddyPress 9.0.0).</li>\n\n\n\n<li>The BP Default theme.</li>\n\n\n\n<li>The BP Legacy navigation globals (<code>buddypress()->bp_nav</code> &amp; <code>buddypress()->bp_options_nav</code>).</li>\n</ul>\n\n\n\n<p>An <a href=\"https://buddypress.org/2023/07/bp-classic-1-0-0/\">advisory about BP Classic</a> was posted to the official BuddyPress blog to help site owners figure out if they will need this plugin. Those who require it before upgrading can install it ahead of time and it will be dormant until it is needed. </p>\n\n\n\n<p>The new Community Visibility feature was <a href=\"https://buddypress.trac.wordpress.org/changeset/13533\">committed</a> to trunk five days ago and is on track to be included in the next major release. BuddyPress 12.0 is anticipated to be released on October 30, 2023, and Beta 1 is overdue and expected any day.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 21:02:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"WPTavern: WordPress.com Makes a Bid for Google Domains Customers, Offering 1 Million Free Transfers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147374\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:109:\"https://wptavern.com/wordpress-com-makes-a-bid-for-google-domains-customers-offering-1-million-free-transfers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5370:\"<p>WordPress.com is making a strong bid for Google Domains customers after the the product was sold to Squarespace in a deal reportedly worthy $180 million. Shortly after the sale was announced, WordPress.com <a href=\"https://wordpress.com/blog/2023/06/21/how-to-transfer-your-domain-to-wordpresscom/\">pitched Google Domains customers</a>, reminding the public that the company is also a domain registrar, but the call to action didn&#8217;t include much incentive to switch.  </p>\n\n\n\n<p>This week WordPress.com is putting the heat on with a new offer to pay transfer fees and an additional year of registration for the first million domains moved from Google Domains. WordPress.com is also guaranteeing Google Domains customers the same pricing or lower for 400+ top-level domains.</p>\n\n\n\n<p>&#8220;This will also apply to existing WordPress.com customers across most domains, meaning that in many cases we’re lowering your prices.&#8221; Automattic CEO Matt Mullenweg said in the <a href=\"https://wordpress.com/blog/2023/08/01/transfer-unlimited-google-domains-to-wordpresscom-for-free/\">announcement</a> this week.</p>\n\n\n\n<p>&#8220;This isn’t a temporary thing. We’re committed to keeping domain prices low, and will only raise them if our wholesale costs go up (we’ll run our domains business like Costco).&#8221;</p>\n\n\n\n<p>Squarespace has committed to honor the renewal prices previously set by Google Domains existing customers for 12 months but will set its own prices after this time. </p>\n\n\n\n<p>In an <a href=\"https://www.theverge.com/23795154/squarespace-ai-seo-web-social-algorithms-anthony-casalena\">interview with The Verge</a>, Squarespace CEO Anthony Casalena said his company is already using a lot of the same infrastructure Google is using in their Cloud DNS product, having  resold Google Workspace for almost a decade. Squarespace currently employs 1,750 people with revenue under a billion dollars this year. Acquiring Google Domains gives the company the opportunity to cross-sell website packages to its incoming domain customers. There are approximately 10 million domains up for grabs in the transfer of customers.</p>\n\n\n\n<p>Casalena said that being a reseller of Google Workspace was a major factor in Google&#8217;s decision to offer the domains to Squarespace, in addition to having the infrastructure to manage the business. This partially explains what was an otherwise bewildering deal that came as a surprise to the industry:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>First off — once in a lifetime opportunity for us. Incredibly grateful that we were selected as the stewards of that business. We weren’t asking them, like, &#8216;Hey, planning on shutting down domains or anything?&#8217; It wasn’t exactly outbound. I think they made the decision that it’s not a business that they were going to be in. And they contacted a couple of legitimate parties who could potentially even take on a business of that size because, again, it’s not the code or the employees are moving — it’s basically the domains themselves and the hosting services and the registrations, that sort of thing. So that really narrows it down to the number of companies that could even support that.</p>\n\n\n\n<p>Then the other thing that was a big factor is we’ve been a huge fan and big reseller of Google Workspace for nearly a decade now, which was very important to them, and we’re incredibly sophisticated in selling Domains, selling Google Workspace, servicing it, and managing that for millions of people. So we were able to find a transaction that worked for us. </p>\n</blockquote>\n\n\n\n<p>Automattic CEO Matt Mullenweg <a href=\"https://twitter.com/photomatt/status/1686393926603644928\">reacted</a> to the deal on Twitter this week, saying that he was disappointed Google didn&#8217;t make it a more competitive process. </p>\n\n\n\n<p>&#8220;This might cost a ton of money but I was bummed we didn&#8217;t even get a crack at this, my guess is Cloudflare, Godaddy, and Bluehost didn&#8217;t either—why Google didn&#8217;t make this a competitive process?&#8221; Mulleweng said. &#8220;Concerning to have so many domains going to a proprietary CMS.&#8221;</p>\n\n\n\n<p>WordPress.com has been slowly inching towards becoming a one-stop shop for users&#8217; website needs. The company recently <a href=\"https://wptavern.com/wordpress-com-makes-monetization-features-available-for-free\">made its monetization features available for free</a>, making the platform more attractive to creators who are just starting out online. Based on the reaction to Mullenweg&#8217;s tweet, it seems many people are still not aware that they can buy their domains from a registrar and host their websites elsewhere. If you are just hearing about WordPress.com&#8217;s domains, it&#8217;s natural to think they are only for WordPress sites, so the company has some work to do in making prospective customers aware.</p>\n\n\n\n<p>Users can be hesitant to move to a new registrar when they don&#8217;t fully understand the process and don&#8217;t want to negatively impact their online presence. In the case of Google Domains customers, they are moving to a new registrar after the sale closes later this year, whether they like it or not. WordPress.com&#8217;s deal is a compelling offer if they can better position their domains as an independent service.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 17:11:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"Gutenberg Times: Live Q &amp; A: Design Systems and theme.json\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=25092\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://gutenbergtimes.com/live-q-a-design-systems-and-theme-json/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:62095:\"<p>One of the key challenges of running a site or series of sites at scale is ensuring design consistency and compliance with a design system. During this show, <strong>David Bowman</strong>, principal designer and <strong>Alec Geatches,</strong> JavaScript Developer, both at WordPress VIP will demonstrate the process to export the design system tokens from Figma and import to WordPress.  <strong>Joni Halabi</strong>, Georgetown University, shared how her team at the university works within a different design system. The Panel also discussed WordPress as an enterprise-ready software and Gutenberg being a design system in the making.  The show was hosted by  Birgit Pauli-Haack, curator of the Gutenberg Times.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n<div class=\"toolbelt-video-wrapper\"></div>\n</div>\n\n\n\n<p class=\"has-large-font-size\"><strong>Shared Resources: </strong></p>\n\n\n\n<ul>\n<li><a href=\"https://github.com/Automattic/vip-design-system-bridge\">Repository for the design bridge</a></li>\n\n\n\n<li><a href=\"https://github.com/Automattic/vip-design-system-bridge/blob/trunk/docs/design-tokens-example/README.md\">Tutorial about Figma Tokens Tutorial </a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/course/develop-your-first-low-code-block-theme/\">Develop Your First Low-Code Block Theme</a></li>\n\n\n\n<li>U<a href=\"https://learn.wordpress.org/courses/#using-the-site-editor\">sing the Site Editor Courses:</a> </li>\n\n\n\n<li>Plugin <a href=\"https://wordpress.org/plugins/create-block-theme/\">Create-Block-Theme</a></li>\n\n\n\n<li><a href=\"https://github.com/WordPress/gutenberg/issues/41547\">Governing block settings and interactions</a></li>\n\n\n\n<li><a href=\"https://twig.symfony.com/\">Twig: PHP template engine</a></li>\n</ul>\n\n\n\n<p>Also: </p>\n\n\n\n<ul>\n<li><a href=\"https://bigbite.net/2021/02/18/whitepaper-implementing-a-design-system-into-wordpress/\">White paper – Implementing a design system into WordPress</a> by BigBite</li>\n\n\n\n<li><a href=\"https://wpvip.com/2022/12/15/using-a-design-system-with-the-wordpress-block-editor-pt-1-theme-json/\">Using a Design System with the WordPress Block Editor Pt. 1: theme.json</a></li>\n\n\n\n<li><a href=\"https://wpvip.com/2022/12/22/using-a-design-system-with-wordpress-block-types-styles/\">Using a Design System with the WordPress Block Editor Pt 2: Block Types and Styles</a></li>\n\n\n\n<li><a href=\"https://wpvip.com/2022/12/09/figma-to-wordpress/\">Exporting Design System Tokens From Figma to WordPress</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-constrained wp-block-group-is-layout-constrained\"><div class=\"wp-block-group__inner-container\">\n<p class=\"has-large-font-size\"><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-strong-introductions-strong\">Introductions</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-strong-finding-and-working-with-design-systems-strong\">Finding and Working with Design Systems</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-strong-figma-and-theme-json-strong\">Figma and Theme.json</a></li><li><a href=\"https://gutenbergtimes.com/feed/#4-strong-theme-json-or-classic-theme-strong\">Theme.json or Classic Theme</a></li><li><a href=\"https://gutenbergtimes.com/feed/#5-strong-website-demo-strong\">Website Demo</a></li><li><a href=\"https://gutenbergtimes.com/feed/#6-strong-bidirectional-strong\">Bidirectional</a></li><li><a href=\"https://gutenbergtimes.com/feed/#7-strong-opinions-using-word-press-strong\">Opinions using WordPress</a></li><li><a href=\"https://gutenbergtimes.com/feed/#8-strong-using-core-blocks-strong\">Using Core Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#9-strong-patterns-strong\">Patterns</a></li><li><a href=\"https://gutenbergtimes.com/feed/#10-strong-links-and-syncs-strong\">Links and Syncs</a></li><li><a href=\"https://gutenbergtimes.com/feed/#11-strong-changing-design-practices-how-to-start-strong\">Changing Design Practices &#8211; How to Start</a></li><li><a href=\"https://gutenbergtimes.com/feed/#12-strong-create-block-theme-strong\">Create Block Theme</a></li><li><a href=\"https://gutenbergtimes.com/feed/#13-strong-primer-getting-started-strong\">Primer &#8211; Getting Started</a></li><li><a href=\"https://gutenbergtimes.com/feed/#14-strong-vip-plugins-strong\">VIP Plugins</a></li><li><a href=\"https://gutenbergtimes.com/feed/#15-strong-contact-info-strong\">Contact Info</a></li></ul></div>\n</div></div>\n\n\n\n<p class=\"has-large-font-size\">Transcript </p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Welcome, welcome to the 35th Gutenberg Times Live Q and A. Sorry. My name is Birgit Pauli-Haack, and I&#8217;m your host tonight, or this morning, depending on where you are. Thank you all for watching. It&#8217;s great to have you all. And today&#8217;s show, we will discuss how companies and institutions can organize the WordPress sites around established design systems in general. And then how to do this with Figma and WordPress theme.json. The folks of WordPress VIP team build a plugin for the workflow and we will see a demo of it. And later we&#8217;ll also hear how Georgetown University works with the design system. And then we&#8217;ll answer all your questions as well as mine. It&#8217;s the little privilege that I have.</p>\n\n\n\n<p>So I&#8217;m thrilled to have these three experts on the show for you. It&#8217;s David Bowman, principal designer at WordPress VIP, and then we have Joni Halabi, senior developer at Georgetown University, and Alec Geatches, also JavaScript developer at WordPress VIP.</p>\n\n\n\n<p><em>Alec Geatches</em>: Hi.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Hi, everybody. Glad you joined me here on this little show. We do proper introduction of course, in a minute. I have just a few housekeeping notes. The questions for those who are watching on YouTube, on the right hand side, you have a chat window, that&#8217;s where you can put your questions and also your comments. And then here on Zoom, we have the Q and A bubble on the bottom and the chat bubble to share your thoughts and questions. And please, please be kind, even if you disagree. This is a family friendly endeavor. And with that out of the way&#8230; I need to group&#8230; Yeah, so we&#8217;ll get into introductions. I have two questions for each of you. From where are you calling in today and what is your day job like? So David, do you want to start and then Alec and then Joni?</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"1-strong-introductions-strong\">Introductions</h2>\n\n\n\n<p><em>David Bowman</em>: Sure. I&#8217;m calling in from northern Utah where I work from home here. And my day job, I&#8217;m a principal designer at WordPress VIP. That&#8217;s my background. I&#8217;m a graphic designer by trade, but have gotten into product design and web development via WordPress over the years. And now I work at WordPress VIP, focusing mostly on design systems and on how we can increase enterprises and big organizations to adopt Gutenberg and block theming, which I&#8217;m super stoked about.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah.</p>\n\n\n\n<p><em>David Bowman</em>: And I&#8217;ll pass&#8230; Should I pass to someone? I&#8217;ll pass to Joni.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah.</p>\n\n\n\n<p><em>Joni Halabi</em>: Oh, thanks. Hi everybody, my name is Joni Halabi. I&#8217;m calling in from the United States in the DC metro area. My day job, I am a senior web developer at Georgetown University, mostly working on WordPress customizations. And my specialty is custom block creation, so that is probably 80% of what I do.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Mm-hmm. Excellent. And it&#8217;s up to you, Alec.</p>\n\n\n\n<p><em>Alec Geatches</em>: Hi, I&#8217;m Alec. I&#8217;m calling in from the States as well. I&#8217;m in Colorado. I work at WordPress VIP along with David, and I&#8217;m a developer. I&#8217;ve been a web developer for 10-plus years. Right now I&#8217;m working on a team that&#8217;s been focused on making the Gutenberg editor work better for enterprising companies. So that&#8217;s some of the stuff we&#8217;re talking about today, like design systems, how to integrate those with WordPress, editor curation, locking down the editor, things like that. And my team&#8217;s also done some work with decoupled slash headless WordPress as well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Awesome. Awesome. So cutting edge right there. Joni, and you also published on the developer blog about the difference between static blocks and dynamic blocks. And I think that was very helpful to a lot of developers who started out with Gutenberg development. Thank you so much for doing that.</p>\n\n\n\n<p><em>Joni Halabi</em>: Thank you.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And Dynamic Blocks will get a little bit more promotion with the interactivity API, but that&#8217;s a different show. But that&#8217;s coming with 6.4, not 6.3, 6.4. So let&#8217;s get into the show.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-strong-finding-and-working-with-design-systems-strong\">Finding and Working with Design Systems</h2>\n\n\n\n<p>For someone who&#8217;s a little bit not so in these big systems, what are design systems and how would you connect them? How do you find them and how do you work with them?</p>\n\n\n\n<p><em>Alec Geatches</em>: David was the first one to explain this to me, so I would defer to David.</p>\n\n\n\n<p><em>David Bowman</em>: I&#8217;ll try to be brief. I have a tendency to ramble and get lost in my thoughts when I&#8217;m talking about design systems, but the textbook definition that I give everybody is that a design system, the purpose of it, is in a classical sense to speed application development. So it makes it easier for designers and developers to work together to build some software application. And there are three parts to it. There&#8217;s code, there&#8217;s code. So it&#8217;s usually a set of reusable components and styles and things. Usually lives in a package that developers pull into their project. There is a UI kit. In our case at WordPress VIP, that&#8217;s a big Figma library, a bunch of Figma files with components and styles and things that mirrors what exists in code. And then there&#8217;s documentation to explain how everything works together. Because it&#8217;s inherently complex, a lot of it needs explaining. We do our best to just make it all smooth and seamless, but at the end of the day, a lot of stuff needs to be explained, so there&#8217;s always a documentation component.</p>\n\n\n\n<p>Those are the three bits. Classically meant for just speeding application development. I think what we&#8217;ll talk about today, and why I&#8217;m so excited about Gutenberg is that I think that Gutenberg adds content creators and page builders into the design system equation. So when you&#8217;re building a WordPress theme, you&#8217;re not really building a website. If you&#8217;re building a block theme, you&#8217;re building a tool that someone else is going to use to actually build the website. And so you have to include the content creator in the design system club, which I think Gutenberg blocks do pretty effectively. But yeah, that&#8217;s, I guess, how WordPress makes it a little different. That&#8217;s my answer. If you ask anyone, everyone has different opinions, but that&#8217;s mine.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Alec, Joni, do you have a different opinion? Do you want to add something to it?</p>\n\n\n\n<p><em>Joni Halabi</em>: Yeah, so at Georgetown, we&#8217;re building our own system of websites. We support just about 400 websites on our WordPress systems, and they fall under one of two different themes. But we built this design system&#8230; It&#8217;s a homegrown system that is inspired by atomic design, but we&#8217;re not using those atomic terms. So we came up with our own terms. So we have foundational elements, and then we have those come together to make blocks and those will come together to make page templates and so on and so on. And one of our goals at Georgetown is to really lock down our design system to be super, super hyper specific to the university because we have some very strict visual identity guidelines. We strive to adhere to WCAG 2.1, AA standards for accessibility. And we have a whole host of just interactivity opinions that we want to at least try to enforce across all of our websites.</p>\n\n\n\n<p>So what we do on my team, I&#8217;m part of the web services team there, we are creating this system that&#8217;s going to be used by individuals across the university who are in charge of their own websites. And some of these people, they are pretty well versed in web technologies and some of them, they have day jobs, and this is something that they do on the side. And it&#8217;s part of that infamous, other duties as prescribed, sentence that we all see in our job descriptions. So we might have somebody working on their website for their office, and they don&#8217;t know HTML, so we&#8217;re trying to make things as easy as possible with our design systems.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-strong-figma-and-theme-json-strong\">Figma and Theme.json</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. But what you did on WordPress VIP was also to&#8230; You said the word Figma, which is a design system by itself where you can build them, and then you bridged it to&#8230; Because WordPress block themes have this theme.json, which is pretty much a machine readable code of design styles and settings pretty much. And how to get it from the Figma into a block theme or theme.json, so you can spin up new sites. Is that how I explained that right?</p>\n\n\n\n<p><em>David Bowman</em>: Pretty much, yeah. I think the way that, and I have a demo that I&#8217;ll show of exactly how this works, but the way that our design system workflow works, I think we&#8217;re similar to how you guys run, Joni, but at a much smaller scale, because we&#8217;re a company, but we only maintain really two marketing sites right now, some documentation sites, so it&#8217;s a much smaller footprint. But we know that there are organizations like Georgetown and like every other enterprise company out there that runs a significant web presence where they&#8217;ve got just a ton of stuff. There&#8217;s all sorts, and it&#8217;s all different. Everyone has their own special needs. And at the end of the day, something you said, Joni, that really struck me, was that at the end of the day, the people that are actually pulling the levers on the website might as well be bloggers.</p>\n\n\n\n<p>They&#8217;re not some developer. A lot of times they&#8217;re doing it and they don&#8217;t want to, because they don&#8217;t have a lot of time, and they just want it to be easy. And that&#8217;s actually why I think WordPress is most viable as an enterprise product. I think WordPress is perfect for this, because it&#8217;s designed for bloggers, it&#8217;s designed to be easy, and at the end of the day, everyone at work, that&#8217;s what they are. They&#8217;re not all a bunch of fancy web experts. And Gutenberg really provides a way for us to deliver that design system to them in a way that they can actually make use of it. And I guess the way that we do that, our flow is that our designers make stuff in Figma. We are designing our blocks, we&#8217;re designing our page layouts, we design, pick our colors, design all sorts of things.</p>\n\n\n\n<p>And then a large portion of that gets exported from Figma as something called design tokens, which is a fancy term in the design system world, and it&#8217;s a variable. You can basically think of it as a variable. If you want to be philosophical about it, it&#8217;s a design decision represented in a little piece of code, and it&#8217;s something like, &#8220;My brand color is red.&#8221; That&#8217;s how you would say it in words. And a bunch of those get exported from Figma to a code base in GitHub where we store our design system. And then that gets further exported from the design system down into theme.json in our WordPress applications. And the introduction of theme.json, is like, I can&#8217;t overstate how revolutionary that was for WordPress applications.</p>\n\n\n\n<p>I say all the time that Gutenberg is a design system, and it hasn&#8217;t realized it yet. It&#8217;s in its teenage years, it&#8217;s still coming of age and finding itself, and give it another five years and it&#8217;s going to realize what it is, it&#8217;s design system. And that theme.json file is the config for your design system and gives you a landing place for all of those design decisions that you&#8217;ve made. And because it&#8217;s all nice in code in a nice little json file, you can automate all that.</p>\n\n\n\n<p>And that&#8217;s my litmus test for whether something is a, quote, real design system or not, is that if at any point of the step from designer thinks of something, developer builds it, content creator uses it, anywhere along that chain, if you have to rely on a human API to make sure something works, like if someone has to copy paste something or refer to a style guide or copy stuff out of an inspect mode and Figma, then it&#8217;s not a real design system. If you want to be real hard-nosed about it. But the goal is all the robots do the work for you, but theme.json lets you do that.</p>\n\n\n\n<p><em>Joni Halabi</em>: Yeah. If I can interject. To piggyback off of that. Theme.json was such a game changer for us, because&#8230; I alluded to this before, we really want to lock down our designs and out of the box WordPress, it gives you so many options in terms of color palettes and typography settings. I personally love that for a one-off site that is not affiliated with Georgetown. If I were to go and build a site, having that many options is great. Within the Georgetown universe, we don&#8217;t want that. We don&#8217;t want that. So being able to say, &#8220;I want to turn off custom palettes. I want to restrict the palettes to just our approved colors. I don&#8217;t want people to mess with the typography settings.&#8221; You get two choices for sizes. It has been absolutely wonderful. As soon as we saw that come into Core, we added it to our theme, and it was love, just love.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"4-strong-theme-json-or-classic-theme-strong\">Theme.json or Classic Theme</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Are you using theme.json on a classic theme, or are you moving into block themes as well? So gradually?</p>\n\n\n\n<p><em>Joni Halabi</em>: So we&#8217;re currently using it on a classic theme, and this is a much longer story and probably a different talk. I did an experiment to see how easy it was to convert that classic theme into a block theme and also incorporate our design system, which uses external twig templates into that block theme. And it was an amazing experiment and a very complicated experiment, and I just spoke about that at a conference last week. So if anybody&#8217;s interested, you can follow me. I&#8217;m sure the video will be up in a month or so.</p>\n\n\n\n<p><em>David Bowman</em>: Oh, I want to watch that video. Absolutely. I want to watch that video.</p>\n\n\n\n<p><em>Joni Halabi</em>: Yeah.</p>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s a real journey whenever someone embarks on that task. That&#8217;s a real quest.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. I will do a switch from my site from a classic theme to a block thing I haven&#8217;t migrated yet. Although I&#8217;m talking with people about block themes since 2020, the first time about it, but I still haven&#8217;t done the switch yet. But talking about videos, I think, David, you have a demo for us, and I think that&#8217;s now a good place to play that and to talk about it afterwards.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"5-strong-website-demo-strong\">Website Demo</h2>\n\n\n\n<p><em>David Bowman</em>: Awesome. I will play this demo and&#8230; Yeah, it&#8217;s a&#8230; Oh, hang on, I got to share my sound. Can&#8217;t forget that one. Yeah, let&#8217;s play. It&#8217;s pretty casual demo, but it gives you a little taste of how we&#8217;re using this stuff on our websites with our WordPress theme and how we use blocks. Let&#8217;s start from the beginning. Here we go.</p>\n\n\n\n<p>Hi, I wanted to give a quick demo to show you how we integrate Figma with our WordPress theme and how we use blocks as an extension of our design system. So here we are in Figma, and the foundation of our design system is our design tokens. And these mainly manifest in Figma as color and type styles, but we use a lot of other tokens in production for things like spacing, border radius. You use design tokens for all sorts of things. They have a lot of uses.</p>\n\n\n\n<p>So using a common token structure between our applications is a big part of how our design system works smoothly and has good interoperability. And this here, what we&#8217;re looking at is the file that manages all the color and type styles that we use across our designs. And to link all these things up to our tokens and ultimately to our WordPress theme, our tokens live in GitHub, we use this plugin here called Token Studio. And this is a community created plugin, and it provides two main things for us. It gives us a way to push design changes from Figma here to GitHub, and it also gives us a way to manage design tokens that Figma doesn&#8217;t support right now. And it lets us do that within our design tool where we&#8217;re working on these things, and that makes the code a lot more accessible to designers.</p>\n\n\n\n<p>So to demonstrate how all of this works, I&#8217;m going to show you how we can swap themes, and then I&#8217;ll show you what that looks like on the front end of an application and then what that looks like in the block editor. So we use themes and there&#8217;s a lot to this plugin. There&#8217;s videos, there&#8217;s documentation, there&#8217;s a lot going on here. There&#8217;s a lot going on here, but right now, this is the file that manages the styles for <a href=\"https://wpvip.com/\">wpvip.com</a>, and I&#8217;m going to go ahead and swap it for the token set for our other application Parse.ly, which you can see you swap it and it swaps out all the colors. So colors is the easiest place to see this change happening.</p>\n\n\n\n<p>So there you go. So we&#8217;ve effectively swapped everything for a different set of tokens. So if we were to publish this library, it would update all of our designs with new values. So you can see how that switching works. And likewise, if a designer were to make a change to one of these, say they want to make the background color something else, they could make that change here, and then go ahead and push it up to GitHub. And from there we go to our tool, to the Design Bridge tool to get the tokens from the standard format in which they&#8217;re stored out into our WordPress theme. So I will show you that next.</p>\n\n\n\n<p>So here we are. This is our design system repository that houses all of our tokens and then all the components of our design system for our React application, for our dashboard. So in terms of WordPress or WordPress applications, this just houses the tokens. Everything else in terms of components and things are the Gutenberg blocks. That&#8217;s all coming from WordPress Core, and then any custom block plugins that we&#8217;ve made. So what you&#8217;re looking at here, is this is how all of our design tokens are saved. So yeah, it&#8217;s a standard format. The W3C is working on a new web standard for design tokens, and this is what Token Studio outputs to GitHub. And you see that we&#8217;re able to alias between tokens. We have a core set that has all of our underlying color palettes and type scales and things, and we, from all those raw values, curate the values that are going to get used in our WordPress applications.</p>\n\n\n\n<p>So you can see here our body one short style are these attributes that then get applied as CSS in our WordPress application. So this is how they&#8217;re stored. And in order to get things from here into theme.json, where they can be applied to our blocks, into our global styles, we created a tool called the Design Bridge. So I&#8217;m going to go ahead and I&#8217;m going to run it. It doesn&#8217;t look like a whole lot, but I&#8217;ll show you what it does on the other side. So it runs in the command line right now. And we did that so that people can automate this, you can work it into an existing dev workflow to just make it more flexible. It could run as a GitHub action. You can do a lot to automate this process.</p>\n\n\n\n<p>But for right now, I&#8217;m going to do it manually. And all it does, is it takes two arguments. So it takes the token path, which is the path to where the tokens live, which is right here, what we&#8217;re looking at. And then it takes the path to the theme where it will look for a theme.json file, and then you pass it the value of a token theme. So these are things that Token Studio creates to tell it what token files to activate basically. And then you choose whether you want it to overwrite your existing theme.json file or not. And we&#8217;ll go ahead and hit enter. It will do its magic, and then it will tell you that it&#8217;s done. Say, &#8220;Hey, we did it.&#8221; So next we&#8217;ll pop over to pop to our WordPress application and see what that looks like.</p>\n\n\n\n<p>So here we are in our theme.json file, and what our tool does, is it outputs all of our design tokens as variables in the custom object in theme.json. So if you&#8217;ve done any amount of theme.json work and working with global styles, you&#8217;ll know there&#8217;s this little custom object that sits inside of the settings object in theme.json. And this is just a blank thing that you can put whatever you want in. And everything that you put in here will be exposed to CSS variables along with any global styles that you are adding. So this has just been reformatted and output here into theme.json. And the format&#8217;s very similar. It&#8217;s not exactly the standard format, but it is pretty close. But it does go ahead and output the design system, essentially.</p>\n\n\n\n<p>And so what this does is it exposes it in a predictable way in the DOM as CSS variables that are named according to the standard way that Gutenberg names all of its CSS variables. And that means that you can reference them in block development and you can point all of your blocks and all the work you&#8217;re doing to style your theme. You can point it at a constant set of variables that can be swapped out exactly the same way that we swapped out the styles and Figma, like I just showed you, you can do the same thing on a WordPress application.</p>\n\n\n\n<p>Yeah, so I&#8217;ll show you what that looks like now. All right. So here we are. This is Parse.ly. This is the website for our content analytics product at WordPress VIP. And this is one of the two web applications right now that we have running on our theme that is set up to integrate with our tool here. And as you can see, it looks all green and looks branded appropriately. And I&#8217;m going to go ahead and swap the tokens and you can see what happens when it does that. So I&#8217;m going to go ahead and run our sync and do it. And there you go. You can see what happens is it changes, you see font styles, you see colors changing. It&#8217;s not a huge change, because we haven&#8217;t designed it to be very divergent between the brands, but you do see the front end styles get swapped out and it works pretty well and makes it pretty easy to manage a multi-brand system of WordPress applications. And so next, let&#8217;s look at what this looks like in the block editor.</p>\n\n\n\n<p>Okay, so now we&#8217;re in a local dev site here, and this for me is really where the magic and the value of this really happens. So this is a sample page and we&#8217;ve got this set up with our styles. We&#8217;ve got this set up to be pulling from the global styles we&#8217;ve defined, all the block styles we&#8217;ve defined. You can see in here we&#8217;ve got our pallets defined for this particular brand, Parse.ly, and these are coming from theme.json. And so if we go ahead and run the same sync&#8230; I&#8217;m going to run the sync and then refresh the page here. You can see what happens if I swap the theme from Parse.ly back to WPVIP. And looks like that sink is done. I&#8217;m going to refresh. And you see everything changed. Everything goes gold. You get the brand colors from VIP. And this stuff is achievable with CSS. You can swap out CSS styles, you can point at a different style sheet.</p>\n\n\n\n<p>But I think what makes the integration in theme.json super valuable is that you get all of your block options are updated as well, because all of these are also coming from theme.json. So not only are you getting front end style updates, but you&#8217;re getting updates in interactivity in the backend, which is great. That&#8217;s really what you want to be able to make a good user experience and to be able to manage multiple user experiences and have it all get integrated easily with your design tooling. So yeah, there you go. That&#8217;s the high level, a lot of detail to talk about, but this is the quick rundown of what the tool can do.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Excellent. Excellent.</p>\n\n\n\n<p><em>David Bowman</em>: There you go.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, thank you so much for the demo. It&#8217;s kind of whose head is spinning, but I really love that flow from the designers work here, and then you can just write some script or run some scripts and then you have it all in the theme already. Does it also work backwards, or is it only one direction?</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"6-strong-bidirectional-strong\">Bidirectional</h2>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s bidirectional. What it does is it sets up&#8230; Our GitHub repo, our design system repo is the actual source of truth. And so that means that a developer can use an IDE to edit that code file and save it. Or a designer can use Figma to edit that same file and save it and its version controlled with Git and they can both pull down each other&#8217;s changes and it brings designers into an actual dev workflow on a design system. At least for the tokens. Just for the tokens.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Just for the tokens, yeah. We don&#8217;t have any questions from the audience right now, but Joni, do you have any questions? Or David and Alec?</p>\n\n\n\n<p><em>Joni Halabi</em>: I don&#8217;t know where to start.&nbsp;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Are you muted or&#8230; No.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"7-strong-opinions-using-word-press-strong\">Opinions using WordPress</h2>\n\n\n\n<p><em>Joni Halabi</em>: I was at a loss for words. It was a very cool demo. I&#8217;m very excited by that switch where both the front end and the block options change, because that&#8217;s something that could&#8230; So at Georgetown we have two different themes and they look pretty different. They&#8217;re similar in terms of colors, but not exactly the same, slightly different fonts, slightly different colors. And to be able to have the ability to switch between the two&#8230; Because we have a lot of sites who are wanting one theme over the other.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah.</p>\n\n\n\n<p><em>David Bowman</em>: I mean I have questions for you. I am extremely curious about&#8230; Because like I said, everyone does this their own way. Every organization that I know that has a design system&#8230; I think there&#8217;s a reason that every big company out there has made their own. Google made one, Amazon made one, Salesforce. They all make their own because they all do it differently. And so I guess, is WordPress your primary user facing surface that you&#8217;re maintaining or do you have other stuff? Do you have React applications or is it pretty much just WordPress sites?</p>\n\n\n\n<p><em>Joni Halabi</em>: For our team, it&#8217;s pretty much just WordPress sites. The history of our team, we&#8217;ve actually worked with a number of CMSs. I think this might be our fourth or fifth overall, but WordPress is our primary UI just because it&#8217;s a very easy UI, especially for those content editors who don&#8217;t have a ton of experience, it&#8217;s easy for them to pick up. And I feel like it&#8217;s gotten easier. I&#8217;m hoping it&#8217;s gotten easier since the classic editor. But yeah, I mean in the future, one of the big reasons why we created our own design system, we call it our pattern library, and the reason why that pattern library is external is in the future, if we do have some external application that we want to hook into or we have a piece of software like an LMS or something that will let us customize the front end, we can say, &#8220;Hey, you can go grab this twig file and there&#8217;s your custom header, or here&#8217;s your custom footer, or here is the color palette that we want this to use.&#8221;</p>\n\n\n\n<p>We wanted something that was a little bit more universal and not necessarily in WordPress. So we built this pattern library. Actually my colleague was the one who really architected the entire thing. It&#8217;s built-in kss-node and it&#8217;s really slick. We can take those styles and take those twig files and import them into our WordPress build, but we also have a front end interface for this pattern library that includes documentation and different variations on patterns and such so that somebody who just wants to see all of these different foundational elements or what a block looks like, they can do that with a front end that isn&#8217;t necessarily associated with our WordPress installation.</p>\n\n\n\n<p><em>David Bowman</em>: That&#8217;s super interesting, because it sounds like you guys are doing the part of the integration that has terrified me up until now. I think design tokens are&#8230; Well, not easy, but it&#8217;s easier. They&#8217;re just little variables. They&#8217;re little bits of data that you can pass back and forth, and it&#8217;s a mapping exercise to get it to go to the right place. But when it comes to actually having&#8230; Like if you look at another design system, there&#8217;s their tokens, and then they have their components and all of those components, when we started working on design system integration stuff, I went under the assumption that the WordPress Core blocks are your component library. That if you&#8217;re integrating with WordPress, you get a component library and you should think of it as another framework that you support.</p>\n\n\n\n<p>So Google material supports React and View, and if your design system supports library A also supports Gutenberg. And Gutenberg is very opinionated about what blocks it has and how you use them. And so I took all that for just for granted. I was like, &#8220;Cool, we&#8217;re going to assume core blocks and go from there and then build some custom stuff.&#8221; But it sounds like you&#8217;ve gotten much further than that. You have this whole&#8230; You got a whole thing run in to put all the core blocks together. Are you using Core blocks? What are you&#8230; I guess, tell me more about this.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"8-strong-using-core-blocks-strong\">Using Core Blocks</h2>\n\n\n\n<p><em>Joni Halabi</em>: Yeah, so that, that&#8217;s actually the core part of my job. So we are using Core blocks because it was very important for us to be able to maintain that basic, basic blocks, so header list, paragraph image, things like that. But we&#8217;ve also taken away access of some of the blocks that we don&#8217;t necessarily want our content editors using. So a lot of the full site editing focused blocks, so like page title query. I&#8217;ve said this before, we like lock things down. So we&#8217;ve locked those down. And to replace those blocks, we&#8217;ve actually created a number of custom blocks.</p>\n\n\n\n<p>So our custom blocks will give our content editors the ability to grab posts by category, which, yes, there&#8217;s a core block for that, but we also really, really wanted control over the markup for that scenario. We have a bunch of blocks that will allow you to have an image and text next to each other or video and text next to each other. And again, for us, it&#8217;s a control issue. We really want control over that markup. So all of the blocks that I&#8217;ve written to be custom for installation, they are dynamic blocks. And the beauty of the dynamic block is it makes it really, really easy to hook those dynamic blocks. We just take the render function in PHP, we hook that via timber to our twig files from the external pattern library. So we have one block we call premo with image.</p>\n\n\n\n<p>So it&#8217;s an image next to some text and maybe a call to action link. And what I&#8217;m doing in that render function is I&#8217;m just taking all of that information, the image object information, the text, the link, and I&#8217;m sending it as an array, just an array of parameters to my twig file in the pattern library. And the pattern library does the rest on the front end. So it means if we ever want to switch out the front end, if we discover, &#8220;Hey, we have an accessibility bug. Our CTA link isn&#8217;t really accessible, we need to change the Aria label on it, or we need to change the color contrast on this button,&#8221; we can do that within the pattern library. And WordPress is unaffected by it, so we don&#8217;t have to worry about things like deprecation errors. We don&#8217;t have to worry about having people go in and update their page to a new version of the block or anything like that. It just automatically happens as we make those changes to our pattern library.</p>\n\n\n\n<p><em>David Bowman</em>: That sounds awesome. I have so many questions, but I&#8217;m talking a lot. Alec, do you have any thoughts?</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"9-strong-patterns-strong\">Patterns</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Before you get to your questions, I have a small clarification, when you talk about patterns, you are not talking about WordPress patterns, or are you?</p>\n\n\n\n<p><em>Joni Halabi</em>: I am not. No, sorry, I am talking about design patterns. We&#8217;re still struggling with terminology because pattern is a very loaded word. It could be WordPress patterns, it could be design patterns. Block is another big one that we struggle with because there&#8217;s WordPress blocks, but then there&#8217;s also blocks of information and blocks of HTML. And so thank you for&#8230;</p>\n\n\n\n<p><em>David Bowman</em>: Even theme means like 10 things in different contexts.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. When you talk about Figma themes, it&#8217;s like, &#8220;Oh yeah, those are totally different than WordPress themes.&#8221;</p>\n\n\n\n<p><em>David Bowman</em>: Everyone&#8217;s got a theme. There&#8217;s a lot. You got to really keep your theme straight.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"10-strong-links-and-syncs-strong\">Links and Syncs</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. So we got one question, and thank you Alec, for answering that, from Bridget Vessel. Is that the best place to get the links? And she linked to a page on WordPress VIP, and then Alec had added two additional links there. And I will put those also in the show notes after the show.</p>\n\n\n\n<p><em>Alec Geatches</em>: Okay, yeah, I can talk about that a little bit if that&#8217;s okay.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, please do.</p>\n\n\n\n<p><em>Alec Geatches</em>: So when we first designed this with David, we wanted to be able to&#8230; If you watched what David was doing, have no idea what happened or you just want to try it yourself, we have this long readme, or it&#8217;s in our design system bridge repository, but it&#8217;s a whole walkthrough. We have a little tiny material UI, basic design system, Figma document. You can clone that. You can see how the Figma tokens plugin that David was using, connects to it and how the token sync. And then you can use our tool to pull down those tokens and sync it up with a theme.json and then you can like, &#8220;Oh look, the color changed as I made a change in Figma, synced it, now it&#8217;s in WordPress,&#8221; and see how all of those links work together. The secret sauce in that is that custom section in theme.json. So that&#8217;s where you can dump all of your CSS variables, mostly colors, typography, things like that, units, and then you can just re-reference those in other parts of your theme.json.</p>\n\n\n\n<p>So like your palette, you can say, &#8220;Give me the primary color.&#8221; And then in Figma, you can change your primary color. It gets synced to the same spot. Then your block pulls in a different primary color for its options. It&#8217;s all magical, but it&#8217;s really based off of that custom section. And what the design system bridge does, is it reads all that json, puts it in a format that&#8217;s comfortable for CSS and for WordPress using Style Dictionary, which is this Amazon product. It&#8217;s basically used for design tokens for this exact purpose or similar, where you have some design constructs, you want to put them in a different format. So we have some transforms in there. It&#8217;s like add some pixel units here. It&#8217;s really basic stuff. For the most part, we take that json, modify it a bit, put it right in the theme.json custom list, and from there it just works. Anyways, check out the tutorial I linked. We can put that in the show notes for a walkthrough, it&#8217;s really simple. You might not learn a lot from it, but it can at least show you the full end-to-end process.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, thank you.</p>\n\n\n\n<p><em>David Bowman</em>: As soon as you implement it, as soon as you use it a couple of times, it feels really good. Changing something in Figma and then watching it update in WordPress theme. It&#8217;s pretty cool.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"11-strong-changing-design-practices-how-to-start-strong\">Changing Design Practices &#8211; How to Start</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I can imagine how that&#8230; Amazing. So we get from an attendee, we have a developer who&#8217;s deep in the Gutenberg ecosystem and he has a question about how would you go about inspiring hesitant designers to a) embrace things like the site editor style book, and b) adapt their existing, if applicable, design systems like Figma, XD and whatever those two become post-acquisition, to work more in what Gutenberg already provides. I&#8217;m struggling to achieve internal buy-in to change design practices, even though I have full internal buy-in from ownership for Gutenberg and block-based theming. That&#8217;s the loaded question, right? The million dollar question. So, thank you for that question. That&#8217;s a really good one. Yeah. Who wants to take it on first? You all work with developers.</p>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s a good question.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. So how do you embrace things like site editor style book?</p>\n\n\n\n<p><em>David Bowman</em>: I guess I would, maybe this isn&#8217;t an answer to the question, I&#8217;ve been talking a lot again, but I&#8217;ll just say this quickly. As a designer who went on this journey who was like, &#8220;I got to use Gutenberg, let&#8217;s figure it out,&#8221; and having to go through that process, a couple of things were really helpful to me. The first one was to maybe as a non-starter for some people, but just get into block theme development. Block theme development is not hard. And I think that one of the best things about block themes is that the code of a WordPress theme includes very little PHP now, it includes very little JavaScript by default. And if you want to start doing things like getting custom styles and really doing things, it&#8217;s pretty simple. And the meat of their block theme development, so much of it is happening in json files and block markup files that are HTML, that it&#8217;s very accessible.</p>\n\n\n\n<p>And so if you&#8217;re a designer that is wanting to understand Gutenberg, just go build a block theme. Go really get in there and try and figure it out, because doing that, you&#8217;ll see that there are a lot of places where you can really integrate it with what you already have. So theme.json, getting tokens out of Figma and into theme.json is&#8230; Just that is a really big step. And that&#8217;s the other piece of advice I would give is to just focus on small things. Just because Gutenberg is so opinionated and truly has not realized that it&#8217;s a design system yet.</p>\n\n\n\n<p>There&#8217;s a lot of the dynamic blocks, static blocks, there&#8217;s a lot, there&#8217;s a lot of pitfalls, but if you can focus on the small things, like getting global styles hooked up to your existing design styles, you&#8217;ll get a long way. At least that was my experience, is that just doing those things, I was like, &#8220;Oh, cool, I can actually really craft this experience in the editor and I can craft the front end and I can influence it as a designer without having to go bug a developer to make a PR for me.&#8221; Often I can just go and change it. I can go change my Figma files and that was pretty rad. That was longer than I wanted it to be, but that was my answer.</p>\n\n\n\n<p><em>Joni Halabi</em>: Yeah, I would definitely echo that. But I think it almost feels like there is a social aspect to this question as well. And I would want to dig deeper into why the designers are hesitant about getting their hands in there. It almost seems like, are they feeling overwhelmed? Are they feeling like they don&#8217;t have the technical chops for it? I would start to have those conversations with the designers and maybe developers and designers can get into a room, virtual or physical, however you all work, and just see where that pain point is. Sometimes I know personally when I feel like oh my goodness, something is really difficult, something is just mentally blocking me from starting that task, it might be easier to talk it out or to have somebody hold my hand, at least for the first couple of steps, and maybe that will give them the inspiration to just jump in.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"12-strong-create-block-theme-strong\">Create Block Theme</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And yeah, I understand that not everybody who gets into a car knows how to drive it. You need somebody to show it to you. Or another metaphor is if books would help or documentation would help, there wouldn&#8217;t be universities attached to libraries. So what I shared in the chat window was two links. One is to a course on learn.WordPress. That is develop your first low-code block theme. So to get a scaffolding and use the tools that are in the site editor, and they have been really expanding and they will be with 6.3. I don&#8217;t know if you are watching here and you want to see what&#8217;s coming, 6.3, there was a product walkthrough last night and it will be published on news on WordPress. And then the other link that I shared is just a tag of other courses on how to use the site editor.</p>\n\n\n\n<p>I think it really helps to know how a content creator is going to use the site editor as well to help with the design and what would be needed. Of course, that&#8217;s the beginning. So the theme team, WordPress theme team, also developed a plugin. It&#8217;s called Create block theme plugin, which also lets you then create style variation, create patterns, as well as export the theme from the site so you can upload it to another site. That&#8217;s helping with the workflow of block themes development. And I&#8217;m sure I&#8217;m going to get the link when I&#8217;m doing it live and talking. That&#8217;s never a good thing.</p>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s easy to search for. Create block theme.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Create block theme.</p>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s a good one.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, and it has its active development and the designers that are actually creating themes for the repository, they&#8217;re start out with that plugin and then do some modifications later on if they needed to. But it&#8217;s very good to create some.</p>\n\n\n\n<p><em>David Bowman</em>: I would add maybe one little note to the create block theme thing, which is that&#8230; So the site editor and tools like create block theme, it&#8217;s rapidly getting so much better to the point that their goal is to have the site editor be a design tool so that you can sit down and craft a theme and be able to use it like a design tool. And it&#8217;s going to get there and it&#8217;s getting there pretty quickly. But I would, maybe this is a spicy hot take for me, is that I would not think of WordPress as a no-code solution. There are definitely, if you need that and you want to use WordPress, there&#8217;s options for you. But as just a designer being like, &#8220;Hey, I want to make a website. I need a no-code solution to make a website,&#8221; there&#8217;s stuff out there that&#8217;s really good that&#8217;s not WordPress.</p>\n\n\n\n<p>And I think you give up a lot when you go with those, but you do get no-code. But what WordPress has, that some of these other things don&#8217;t, is that the code that you need to make a WordPress theme, it&#8217;s really easy, and it might not be fully, “no-code,” but it is very accessible code. And if you have ever, ever, ever made a website ever, like in college, ever, if you&#8217;ve ever done it, you can figure out how to do a block theme. And in addition to really digging into the site editor, go read the docs on theme.json. If you go read the docs on theme.json, you&#8217;ll be like, &#8220;Oh, it&#8217;s just a json file.&#8221; And you can go and find yourself developing, quote, block themes before you know it. And that&#8217;s pretty rad.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, I like that analogy. There was this idea that block development raises the bar for entry. Because with the JavaScript and the React and the build tool and all that, the theme.json, got us back to the tinkering kind. We want to, &#8220;Oh, I want to make this border bigger, or I want to make that color more red. And I go into the theme.json and I just change it and boom, it&#8217;s done.&#8221; So it really is a good way to get your hands dirty again, with a little bit of code. We got some more information from our developer and they said, &#8220;Thank you all. I&#8217;m not certain my design colleagues will feel comfortable diving into WordPress themselves based on our experience together. I myself am very comfortable with coding block themes, SCSS under the hood and such, and how once I&#8217;m done, we set up the theme.json, that the process is largely no-code. It&#8217;s a whole new world.&#8221;</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"13-strong-primer-getting-started-strong\">Primer &#8211; Getting Started</h2>\n\n\n\n<p>As a more overarching question for David and all, Figma or otherwise, what would be a good primer to share with my designers who I think are intimidated by development&#8217;s expectations. Now that I&#8217;m working exclusively in Gutenberg, I&#8217;m suspicious that there isn&#8217;t a robust design system in place on their end. And the question I ask when it comes to populating my theme.json are challenging their current practices. Is there a good getting started with web design systems resource you would recommend to them? And I give it back to David or Alec or Joni?</p>\n\n\n\n<p><em>David Bowman</em>: That&#8217;s a good question and I&#8217;ll tell you what resources I used when I was doing this, because I think a lot of, “web designers,” nowadays you learn&#8230; If you&#8217;re as old as me and learn to doing stuff in Photoshop and you&#8217;re used to&#8230; Design systems is a relatively new thing. And it is made designing things for the web more technical, but it&#8217;s also made it a lot more efficient and you hand off to devs easier. There&#8217;s a lot of benefits to it. And the way that I got into design systems was by honestly mostly by checking out existing design systems. And the big guys like IBM Carbon was very influential for me. Google material is ubiquitous in our lives. If you go check out the documentation sites for these big design systems, they really lay it out very nicely, because they&#8217;ve got whole teams supporting them.</p>\n\n\n\n<p>And so they&#8217;re like, &#8220;Here, this is our design system. Here&#8217;s our Figma files that you use. Here&#8217;s this.&#8221; They&#8217;re all open source and you can download and play with them and build stuff with them. That can be a lot. If you&#8217;re really interested in getting into design systems, that&#8217;s a great place to start. If it&#8217;s too much, honestly Figma. If you&#8217;re not already using Figma, you should probably be using Figma. And Figma, with their latest releases at their config conference just a few weeks ago, introduced variables into Figma. They introduced modes into Figma. And so they now natively support some really fundamental design system concepts and have a bunch of really great little tutorial files that you can go play with, and this is how it works. You change from light mode to dark mode. And it&#8217;s mirroring how it&#8217;s going to work in code and point them at those. If they&#8217;re not Figma people then tell them to get into Figma. Hopefully Adobe XD just dies a slow death and they just, which I think is their plan.</p>\n\n\n\n<p><em>Alec Geatches</em>: Yeah, I&#8217;d also say searching Figma templates or just the word design systems or the words you can find a whole bunch, everything from these huge ones with 10 pages of buttons and things to just a little baby one that&#8217;s just a color palette and then you can take one and change it up. And that&#8217;s how I learned about them and got a hands-on knowledge.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Joni, do you have any input?</p>\n\n\n\n<p><em>Joni Halabi</em>: I was just going to say, I&#8217;m a developer. Everything I suggest is going to be code, so you probably don&#8217;t want to take a suggestion from me, but Figma looks amazing.</p>\n\n\n\n<p><em>David Bowman</em>: Figma&#8217;s great.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"14-strong-vip-plugins-strong\">VIP Plugins</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Awesome. So I&#8217;m really glad that we all got together today. We&#8217;re leading up on the hour. I have two questions for you. I know VIP is also working on two other plugins. Do you want to talk about it Alec, briefly, so we can wet the&#8230;</p>\n\n\n\n<p><em>Alec Geatches</em>: The first one still internal beta, so I don&#8217;t have a good link for it, but it&#8217;s super relevant to what we&#8217;ve been talking about, what Joni was talking about. Just locking things down. David posted here. Let me find that link real quick. I had that ready. A great issue in the Gutenberg repository last year and it was talking about theme.json. It&#8217;s great for design systems, but it loses the scope of these higher level design system things like if you embed this block in a hero, how does it look different now? Usually that&#8217;s part of a design system. These typography options are available here but not here. And theme.json just has a flat block structure. Every block has these settings when you design them that way in theme.json. Where was I going with this?</p>\n\n\n\n<p>We&#8217;re working on a plug in that is looking to extend Gutenberg and the way that David is talking about, but also have a very allow list approach to everything which blocks you have, which roles get access to them, which block settings you have, things like that. So we want to make this super enterprise focused, because Gutenberg gives you the ability to just do crazy things. Even if you lock it down to a design system, you still get a lot of options for a lot of things and it&#8217;s very hard to get those all out if you&#8217;re running 40 websites for other people. So we&#8217;re working on a plugin that…</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Or 400.</p>\n\n\n\n<p><em>Alec Geatches</em>: Yeah, yeah. Or 4,000 or yeah. WordPress goes crazy. So yeah, we&#8217;ll have more information when that becomes public or when we talk about it more. But anyways, we&#8217;ve been heads deep in this trying to work with Gutenberg to allow these enterprise things, because Gutenberg is meant to be customizable. We don&#8217;t want to be customizable at all, want everyone&#8217;s job to be easy and not have that many typography options. And so the other plugin that we&#8217;re working on…</p>\n\n\n\n<p>Yeah, just have good options and not that many of them. And the other thing that we worked on, this is released now, it&#8217;s called the block data API. This is a headless or decoupled thing, but there&#8217;s this issue with the way that post work in Gutenberg that make it tricky to use sometimes in like a node. If you have a node front end and you want to consume that, pretty much for a post, if you use the rest API, you just get a big blob of HTML. And it&#8217;s got class names in it and sometimes it&#8217;s got styling in it and there&#8217;s not a lot you can do with it other than just put it on the page and try to supply enough styles so that it looks decent.</p>\n\n\n\n<p>But it can be hard to map onto custom components and things. There are ways to do it, but it&#8217;s pretty tricky. So we added this block data API. If you just search that in Google, you&#8217;ll find it. Check it out, look at the first GIF. It explains how it works, but it&#8217;s just we read through the HTML, parse it into json, and then pass that back. So you just get a bunch of json that you can map onto your own custom components instead of just having to rely on HTML string somewhere. So that&#8217;s pretty cool. We just released it for the first time this year. We&#8217;ve got one customer who will be launching it soon. I don&#8217;t think I can say any more specific on either part of that, but pretty cool.</p>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s going to be big.</p>\n\n\n\n<p><em>Alec Geatches</em>: I&#8217;m excited about that.</p>\n\n\n\n<p><em>David Bowman</em>: It&#8217;s going to be cool.</p>\n\n\n\n<p><em>Alec Geatches</em>: Yep. Anyway, so those are the two main things our team&#8217;s been working on.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, so there are quite a few enterprise companies who actually use WordPress as a content creation tool, but not on the front end, because they need other data match up with things. So yeah, the headless is the way that they go via the rest API. So that block data API is probably going to be embraced by quite a few agencies as well and not just the clients of VIP.</p>\n\n\n\n<p><em>Alec Geatches</em>: Yeah, hopefully.</p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"15-strong-contact-info-strong\">Contact Info</h2>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, we do. So we have three minutes to go. If the viewers want to get in touch with you, what&#8217;s a good place to reach you? Joni? Or do you have anything else that you couldn&#8217;t talk about but you want everybody to know?</p>\n\n\n\n<p><em>Joni Halabi</em>: Yeah, if folks want to reach me, you can find my contact info on my website. It&#8217;s <a href=\"https://jhalabi.com/\">jhalabi.com</a>. I&#8217;m also @jonihalabi on most socials.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: All right. Thank you. Alec and David?</p>\n\n\n\n<p><em>Alec Geatches</em>: David, go for it.</p>\n\n\n\n<p><em>David Bowman</em>: Alec.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: You&#8217;re too nice.</p>\n\n\n\n<p><em>Alec Geatches</em>: I&#8217;m going to be quiet.</p>\n\n\n\n<p><em>David Bowman</em>: So find me on LinkedIn if you want to talk WordPress stuff. That&#8217;s probably the best place to find me to talk about WordPress things. I&#8217;m also social media. You find me at hanging out in the Gutenberg GitHub repository sometimes. And yeah, I also, I blog with my family at <a href=\"https://americanfieldtrip.com/\">americanfieldtrip.com</a> about, totally not related to WordPress, but you can find me there. It&#8217;s mostly about national parks and travel stuff.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Oh, wonderful.</p>\n\n\n\n<p><em>David Bowman</em>: But yeah, that&#8217;s how you find me. There&#8217;s a few different ways if you really want to track me down.</p>\n\n\n\n<p><em>Alec Geatches</em>: I&#8217;ve searched my name, Alec Geatches. I think I&#8217;m the only one so far. So you&#8217;ll find me there. You can email me at <a href=\"mailto:alecg@automatic.com\">alecg@automattic.com</a>.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Excellent. Well thank you so much, and I think we are right at the hour. Very punctual. Yeah, it&#8217;s a German show. Well, thank you, all three of you, for spending the time with me and explaining all this good design systems and how you work with WordPress. I learned a lot about it, and I&#8217;m sure the viewers learned a lot too. Thank you so much for coming and I hope you have a wonderful weekend. It&#8217;s Friday night, or Friday morning, depending on where you are. Thanks everybody, and goodbye.</p>\n\n\n\n<p><em>David Bowman</em>: Thanks, everyone.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And we got a thank you from our anonymous developer. We use CD and with a pending acquisition of Figma by Adobe, I&#8217;m cautiously giddy and design system distraught. So here&#8217;s hoping. All right. That&#8217;s a good way to end it. Thank you all so much.</p>\n\n\n\n<p><em>David Bowman</em>: Take the plunge.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: You take care, and I&#8217;ll end it here.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 15:55:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"Akismet: OpenAPI specification for Akismet now available\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://akismet.com/?p=174137\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://akismet.com/blog/openapi-specification-for-akismet-now-available/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1163:\"<p>We have just released our first <a href=\"https://www.openapis.org/\">OpenAPI</a> specification for Akismet, which is hosted on Github:</p>\n\n\n\n<p><a href=\"https://github.com/Automattic/akismet-api\">https://github.com/Automattic/akismet-api</a></p>\n\n\n\n<p><a href=\"https://github.com/Automattic/akismet-api/blob/trunk/spec.yml\">The file</a> describes <a href=\"https://akismet.com/developers/\">our API</a> and each of its endpoints, including what parameters they accept and what the response looks like.</p>\n\n\n\n<p>You can import the spec to explore the API using tools like <a href=\"https://swagger.io/tools/swaggerhub/\">SwaggerHub</a> and <a href=\"https://www.postman.com/\">Postman</a>. You can also use it to automatically generate code for the Akismet API in your chosen programming language using <a href=\"https://openapi-generator.tech/\">OpenAPI Generator</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">We&#8217;re here to help</h3>\n\n\n\n<p>If you need help using our OpenAPI spec, or have any questions about our <a href=\"https://akismet.com/developers/\">API endpoints</a>, please don’t hesitate to&nbsp;<a href=\"https://akismet.com/contact/\">get in touch</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 14:31:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Chris Rosser 🏔\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"WordPress.org blog: Concerns over the European Union’s Cyber Resilience Act (CRA)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15686\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4086:\"<p>As the world’s most popular open source content management system, WordPress acknowledges the European Union&#8217;s initiative to bolster the cybersecurity of digital hardware and software products with the <a href=\"https://www.european-cyber-resilience-act.com/\">Cyber Resilience Act (CRA)</a>. The Act’s effort to counter the increasing threat of cyberattacks and promote informed usage of digital products with increased security updates and transparency is commendable.&nbsp;</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>While we wholly endorse the objectives of the CRA, we are apprehensive about the Act&#8217;s implications on open source software due to unclear terms and definitions. </p>\n</blockquote>\n\n\n\n<p>Specifically, the Act’s prohibition on &#8220;unfinished software&#8221; and ambiguous definition of &#8220;commercial activity&#8221; could inadvertently inhibit innovation and economic participation in the European digital landscape.</p>\n\n\n\n<p>Open source projects, like WordPress, often rely on continual updates and improvements—a process that may technically fall under the label of &#8220;unfinished.&#8221; Furthermore, the ambiguous definition of &#8220;commercial activity&#8221; could unintentionally encompass open source projects that are largely driven by communities and operate on a not-for-profit basis.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Our letter to the EU Commission</h2>\n\n\n\n<p>We have jointly authored an open letter addressing these concerns alongside fellow open source projects Drupal, Joomla!, and TYPO3<sup class=\"fn\"><a href=\"https://wordpress.org/news/feed/#eb28afbc-3487-447f-9af9-8b0418310a00\" id=\"eb28afbc-3487-447f-9af9-8b0418310a00-link\">1</a></sup>. The letter emphasizes the significant contribution of Free and Open Source Software (FOSS) to the EU&#8217;s economy and how the proposed regulations might undermine these efforts. Our shared goal is to further bolster the security of digital products without compromising the values of freedom, democracy, and innovation inherent to both the open source community and the <a href=\"https://european-union.europa.eu/principles-countries-history/principles-and-values/aims-and-values_en\">EU’s Aims and Values</a>.</p>\n\n\n\n<p>The letter invites the EU Commission and interested parties to participate in a seminar in Brussels to discuss how we can align the objectives of the CRA with the realities and needs of the FOSS community. We are optimistic that, with mutual understanding and cooperation, we can achieve secure digital products without limiting the vital contributions of open source projects.</p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-2 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-align-center wp-element-button\" href=\"https://wordpress.org/news/files/2023/08/Open_Letter_on_the_Significance_of_Free_and_Open_Source_Software_in_the_EU_s_Proposed_Cyber_Resilience_Act.pdf\" target=\"_blank\" rel=\"noreferrer noopener\">Read the letter</a></div>\n</div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group has-off-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><ol class=\"wp-block-footnotes\"><li id=\"eb28afbc-3487-447f-9af9-8b0418310a00\"><a href=\"https://www.drupal.org/\">Drupal</a>, <a href=\"https://www.joomla.org/\">Joomla!</a>, <a href=\"https://typo3.com/\">TYPO3</a>, and <a href=\"https://wordpress.org/\">WordPress</a> are the most popular FOSS content management systems on the web today. While all are based on the PHP programming language and distributed under the GPL open source license, each platform takes a different approach to website publishing. With strength in diversity, they form the Inter-CMS Working Group, promoting the values and benefits of free and open source software. <a href=\"https://wordpress.org/news/feed/#eb28afbc-3487-447f-9af9-8b0418310a00-link\"><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/21a9.png\" alt=\"↩\" class=\"wp-smiley\" />︎</a></li></ol></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 14:25:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Josepha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: #86 – Dan Walmsley on How WordPress Can Adapt to the Reality of AI\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=147378\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"https://wptavern.com/podcast/86-dan-walmsley-on-how-wordpress-can-adapt-to-the-reality-of-ai\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:60788:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case how AI works and how it might integrate with WordPress.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you and hopefully get you, or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash jukebox, and use the form there.</p>\n\n\n\n<p>Before we begin, just a quick alert that there will not be a podcast next week. It&#8217;s summer here and I&#8217;m having a few days away, but we&#8217;ll be back the week after that.</p>\n\n\n\n<p>So on the podcast today we have Dan Walmsley. Dan is a long time user of WordPress, having started using it even before version one was released. With a passion for experimenting with different publishing technologies, Dan eventually discovered WordPress and he&#8217;s been using it ever since.</p>\n\n\n\n<p>Currently working at Automattic as a code Wrangler, dan is part of the applied AI team. Although the team is relatively new, with only a few members, their mission is to coordinate and guide the various AI initiatives within the company.</p>\n\n\n\n<p>Recently he&#8217;s been focusing on automating internal workflows and communications. A particularly crucial aspect, given the distributed work set up which spans 70 countries, and multiple time zones.</p>\n\n\n\n<p>We start the conversation talking about Dan&#8217;s background. He&#8217;s recently decided that AI is a truly transformational technology, and so has taken steps to learn the skills needed to understand and implement it.</p>\n\n\n\n<p>Dan talks about how Large Language Models work, and how ChatGPT has driven awareness and demand for AI technologies in a way that was almost impossible to predict just a year ago. This has caused many companies to become deeply interested in AI and what it can do for their business workflows.</p>\n\n\n\n<p>We get into whether the reality of AI can live up to the hype. Do we have enough understanding of AI to know what its impact will be on the workplace, or are we just in the middle of a media frenzy, which will die down over time?</p>\n\n\n\n<p>Dan challenges, the notion that AI will take many of our jobs and emphasizes the economic value that AI can bring.</p>\n\n\n\n<p>We move on to explore the differences between site generators and site builders, and Dan introduces the concept of the copilot era, in which website creation can be somewhat automated. He highlights tools like Jetpack AI, which can generate content and modify the tone of voice right inside of WordPress.</p>\n\n\n\n<p>Dan stresses the importance of building AI tools with user interfaces that learn from human inputs in order to improve over time. He thinks that companies, which measure user responses and interactions will gain a significant advantage in AI development. While those who fail to improve that AI content generation will be left behind.</p>\n\n\n\n<p>Whether you&#8217;re new to AI or have been paying attention for awhile, this podcast offers a fascinating insight into its impact on society and how it can accelerate progress in fields like scientific research.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where find all the episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Dan Walmsley.</p>\n\n\n\n<p>I am joined on the podcast today by Dan Walmsley. Hello, Dan.</p>\n\n\n\n<p>[00:04:35] <strong>Dan Walmsley:</strong> Hello Nathan. Great to be here.</p>\n\n\n\n<p>[00:04:37] <strong>Nathan Wrigley:</strong> Yeah. Thank you for joining us. Dan, I wonder if you wouldn&#8217;t mind spending just a very quick moment or two just introducing yourself. Obviously, this is a WordPress podcast. I suspect that today we might stray out of the boundaries of the WordPress ecosystem a little bit. I have a feeling with our preamble talk that we&#8217;ve had, that may well happen. Nevertheless, given that it is a WordPress podcast, can you just tell us a little bit about your background, the work that you do, who you work for, that kind of thing.</p>\n\n\n\n<p>[00:05:01] <strong>Dan Walmsley:</strong> Yes. So I have been using WordPress since before version one, or whenever the first version came out. Because I remember back at the time I was playing around a lot with Movable Type and, oh gosh, I can&#8217;t even remember the name of all the different things. I&#8217;d gone through quite a few different publishing platforms, just experimenting with the web. And I discovered WordPress and I&#8217;ve literally still got that same blog, and it&#8217;s still on WordPress, and it&#8217;s been upgraded through every different version ever since.</p>\n\n\n\n<p>I work at Automattic. I am on the Applied AI team. I am a Code Wrangler, or code mangler. We all give ourselves our own titles and mine changes a bit. My colleague calls himself an applied AI artisan. And we&#8217; re a pretty new team. We&#8217;ve been around just a couple of months. And we&#8217;re very small, as in right now it&#8217;s just me and a couple of data scientists. But we have a lot of AI at Automattic. Our team&#8217;s job is to sort of try to coalesce, coordinate, guide, align it. So that we&#8217;re not just operating at the leaf nodes, that there&#8217;s a bit of larger thinking going into things.</p>\n\n\n\n<p>And as such, my days are mostly spent building weird prototypes on LangChain and chatbots. The most interesting thing I&#8217;ve looked at recently is automating some of our internal workflows and communications. Because we operate async, we&#8217;re remote. We&#8217;re in 70 odd countries around the world in different time zones. And so using AI to capture people&#8217;s knowledge and repeat it later when they&#8217;re asleep is pretty useful.</p>\n\n\n\n<p>[00:06:25] <strong>Nathan Wrigley:</strong> When the word Automattic is announced, I usually think of WordPress, but I think I&#8217;m right in saying that Automattic is the parent of quite a few different companies. So the connection between WordPress, the open source project, download from .org, may not be quite so obvious. But the implementation, it may well go into some of the SaaS offerings that you&#8217;ve got I&#8217;m guessing as well.</p>\n\n\n\n<p>[00:06:48] <strong>Dan Walmsley:</strong> Yeah, so we are trying to build out AI infrastructure that really doesn&#8217;t have a direct dependency on WordPress. You know, GPUs are GPUs, and we&#8217;re running a Python based stack on those, because that&#8217;s where a lot of the open source activity is. You might have seen that OpenAI announced some changes to their APIs, and in just a few hours, LangChain had a new release, incorporating those features.</p>\n\n\n\n<p>Good luck even finding that in TypeScript, let alone PHP, right? So if you want to move fast, you want to be on the cutting edge, got to stand up a bunch of Python. I&#8217;ve built a version of LangChain in PHP that runs on WordPress.com for the purposes of producing knowledge bases from blogs. It&#8217;s possible that if it turns out to be useful and reliable, that we&#8217;ll open source some of that. But right now it&#8217;s just there to provide some quick indexing for chat interfaces.</p>\n\n\n\n<p>[00:07:34] <strong>Nathan Wrigley:</strong> So your team is fairly new. Give us an idea of how old that word new means. Are we going back two years or 18 months or a couple of months?</p>\n\n\n\n<p>[00:07:43] <strong>Dan Walmsley:</strong> Two months maybe?</p>\n\n\n\n<p>[00:07:44] <strong>Nathan Wrigley:</strong> Really, new. Okay. And did that sort of trickle down from the Automattic leadership? Was it that people up there decided that, okay, now we&#8217;ve got OpenAI in the space, everybody&#8217;s, I mean, literally everybody seems to be talking about it.</p>\n\n\n\n<p>I don&#8217;t think I&#8217;ve picked up a newspaper, certainly an online newspaper, in the recent past without there being some kind of AI story in there. So was it that, or was it more a groundswell of Automatticians saying, look, if we&#8217;re going to stay in the game, we need to be moving with this.</p>\n\n\n\n<p>[00:08:11] <strong>Dan Walmsley:</strong> There&#8217;s some people who have been pushing on LLMs and transformer technology since pre GPT three or two. Which includes me. When I had my sabbatical a couple of years ago. So Automattic has a three month sabbatical, and I was like I&#8217;m going to learn AI. This seems really cool.</p>\n\n\n\n<p>So I did Andrew Ng&#8217;s Deep Learning course and a couple of other ones. There&#8217;s some really great courses out there now, even better ones now, this was about three years ago. And I just thought, oh my god, if this grows up, which it looks like it&#8217;s going to, it could be amazing for generating content. It could be amazing for conversational interfaces.</p>\n\n\n\n<p>I had a little Roomba running around my house, pretending to be a psychopathic robot with chainsaw arms, when in fact it was a little plastic Roomba. But it was like vaguely self-aware that it didn&#8217;t have chainsaws for arms. And so it would be like, when I get my chainsaws back on, you&#8217;re a toast buddy.</p>\n\n\n\n<p>I had an Australian robot that trundled around, it would try to get you to stop working and go to the beach. But it had no way of getting to the beach, which is hilarious. Anyway, that&#8217;s a long way of saying, some of us have been pushing for this stuff for a while, but I think what changed, obviously ChatGPT came out and created a lot of public awareness and public demand and conversation.</p>\n\n\n\n<p>People started to see this as a race. Companies started to see this, I don&#8217;t think Automattic necessarily falls in this bucket, but a lot of companies started to see this as existential. Either you have an AI plan or you&#8217;re dead. And so it made sense to put together a team that&#8217;s sort of looking at what is this for the whole organization.</p>\n\n\n\n<p>Because like you said, it&#8217;s a complicated organization. We&#8217;ve got podcasting apps, we&#8217;ve got diary apps. We&#8217;ve got Woo. We&#8217;ve got Day One and all these different things. Sensei is a learning management platform. And so we really needed to figure out how we could scale these efforts up, and not end up duplicating things or having tons of different approaches where it&#8217;s hard to get economies of scale, or build knowledge or build capability.</p>\n\n\n\n<p>[00:09:53] <strong>Nathan Wrigley:</strong> Now, given that the rate of change seems to be so incredibly fast. Give us an idea over those last two months, how much knowledge you&#8217;ve had to ingest. And I don&#8217;t necessarily mean knowledge, but how has it been, trying to keep up over those last couple of months?</p>\n\n\n\n<p>Is it genuinely as fast moving as it appears from the outside to be? What you learned last month probably doesn&#8217;t apply this month. And so therefore staring into the future, and if I asked you the slightly banal question, what will we be doing with AI in two years time? Is there really any realistic chance that you can offer us an answer to that?</p>\n\n\n\n<p>[00:10:27] <strong>Dan Walmsley:</strong> Well in terms of keeping up with it, there really is no way to keep up with everything. And I mean, there&#8217;s multiple different dimensions here, right? There&#8217;s the research dimension, what papers are coming out and how practical are those papers. And where are the outcomes of those papers showing up in libraries?</p>\n\n\n\n<p>And then there&#8217;s like, where is it showing up in products? What are our competitors doing, or what products might we plug into our own stack? For example, we can use GPT4 to generate help responses, but we have to sort of, stand up maybe a vector database and some other infrastructure, various job management things.</p>\n\n\n\n<p>There&#8217;s other third party services where you can point them at some public documentation and they figure all that stuff out for you, and just give you one endpoint that just chats with you. And it&#8217;s oh, well how much do we embrace this plus that? A lot of the day to day involves build versus buy versus don&#8217;t bother.</p>\n\n\n\n<p>And it&#8217;s really hard because our team currently has not that many full-time developers on it, and we do want to move really fast and understand these technologies and do the judicious integration. I personally in my horrifyingly long career have done lots of integrations and they&#8217;re almost always bad news.</p>\n\n\n\n<p>And I&#8217;m almost always fighting to do some minimal thing like in-house, rather than integrate. But it&#8217;s a constant. That&#8217;s really the battle. It&#8217;s like less so the awareness of what&#8217;s happening and more so wrestling with the idea of like, how do we incorporate this or not?</p>\n\n\n\n<p>And people wondering if something&#8217;s strategic or aligned or whatever. And there&#8217;s all these different time horizons you&#8217;re looking at. Like, are you talking about today? In a week, in two weeks, in a month, in a year? Because they&#8217;re all different answers.</p>\n\n\n\n<p>[00:11:57] <strong>Nathan Wrigley:</strong> Yeah, I feel like if I was to to you about AI two years ago, I genuinely think the conversation about what we would be doing in 2023, 2024, I honestly don&#8217;t think we could have got any kind of line of sight into what happened. Even maybe a year ago. Nobody would&#8217;ve thought that mainstream media, mainstream products, would be using AI. And like you said, falling over each other to have some kind of policy on AI. So I don&#8217;t quite know how conversation will go.</p>\n\n\n\n<p>But it feels as if we&#8217;re in the infancy of this still, and it does feel if we are going propel ourselves through this at an exponentially faster rate. The thing that just popped into my head was that when humanity first came up with the motor car, it was, at least in the UK, you had to have somebody walking with a flag in front of the motor car. And most people probably looked at it and thought, that&#8217;s ridiculous. I could walk there just as quickly as I could get into that vehicle and be driven there because it&#8217;s going so slowly.</p>\n\n\n\n<p>Give it 10 years, got a little bit faster. Give it another 10 years, it got faster and more beautiful and more efficient. But of course it then polluted the world, which brings us onto the inherent problems that we may have with AI. There&#8217;s a lot of concern about unexpected consequences. The fact that it hallucinates. The fact that it may give information out which is inaccurate. Given that this is your work, are you fairly sanguine that things built with AI are broadly speaking safe? Or are we just working out what the guardrails even are?</p>\n\n\n\n<p>[00:13:25] <strong>Dan Walmsley:</strong> Well there&#8217;s a few pieces to that question, and I keep failing to address all the pieces of your question, so I&#8217;ll try to genuinely do it this time. But, the first piece is sort of like where we&#8217;re at in this AI timeline, and you talked about various analogies.</p>\n\n\n\n<p>I think of this as the BBS era. If you&#8217;re in your forties, you know what a BBS is. If you&#8217;re not, it was when people used to connect to a single computer using a modem, and the modems were slow enough that you could see the text appearing on the screen. Sometimes slower than you could read. Certainly when I started using BBSs, it was slower than you could read, and even slower for images.</p>\n\n\n\n<p>And obviously subsequent to that we got the internet, through various stages. And now, you look at a BBS and it&#8217;s unrecognizable. It&#8217;s like why would you ever look up information this way when you can look at the whole internet? I think we&#8217;re going to go through the same thing with AI.</p>\n\n\n\n<p>There was another part to your questions which was the danger piece. There are alignment techniques that we use today on large language models and other kinds of models, that are fairly reliable at the scales at which those models operate, or at least useful.</p>\n\n\n\n<p>And the worst things that those models can do are not yet super terrible. if you&#8217;ve got one plugin that talks to your bank and another plugin that can pick up the phone, then a rogue AI can hallucinate its way into destroying your life, no problem.</p>\n\n\n\n<p>I sometimes talk about this with, we&#8217;ve experimented with building ChatGPT plugins for different products, including wordpress.com. And one of the hardest things is, you have to put user confirmation stuff everywhere because you simply can&#8217;t predict when the AI&#8217;s going to start invoking your API in backwards ways, and just deleting all your posts because it thought that&#8217;s what you wanted to do. Turning every post synopsis into the word red paper clip.</p>\n\n\n\n<p>There&#8217;s a broader alignment thing that I think goes way beyond that. It goes way beyond these hallucinations. Because you know, I think people get caught up with, oh well it&#8217;s not that useful because of the size of the context window. It&#8217;s not that useful because it hallucinates. So it&#8217;s not that useful because it was last updated in September, 2021. As if all of those aren&#8217;t things that are going to change immediately, right?</p>\n\n\n\n<p>Those are all solvable problems. We know we can make larger context windows. We know we can update it more often. We know we can inject additional information. We know that various alignment techniques can encourage it to reason more thoughtfully and activate pathways that have more expertise, and that will continue to be the case. And as the models get larger, those pathways with expertise will have more expertise. And so it&#8217;s obvious and predictable, those things.</p>\n\n\n\n<p>So the really hard thing to predict is where does this interface with society? And you know, we touched briefly on jobs and other things. Or whether, obviously people talk about rogue states getting an unhinged intelligence to go do crazy scientific research for them, or invent a nuclear weapon or a chemical weapon.</p>\n\n\n\n<p>Google Brain just invented protein folding. So get this, the Google Brain team, Google Deep Mind, they invented a protein folding system that can fold a protein in a few seconds, which is the equivalent of about at least four years of PhD time. And so in that single invention, they eradicated, I suppose you could say, or avoided over a million years of PhD time. By folding all those proteins instantly.</p>\n\n\n\n<p>The thing I think we&#8217;re not ready for is that rate of progress. I call it Moore&#8217;s Law for everything. Where you have a self-reinforcing centralized paradigm, where you have AIs that, by their very progress, make it easier to build the next AIs.</p>\n\n\n\n<p>And then at the same time you have this fanning out into different disciplines, where those newer AIs are also making it easier to make scientific progress. You could use, for example a score like Perplexity, feed in all of the papers in the world and find the most useful research questions to ask that have not been answered, by basically large scale language based statistics.</p>\n\n\n\n<p>[00:17:03] <strong>Nathan Wrigley:</strong> I think this is the piece where my knowledge breaks down because my interaction with AI has largely been ChatGPT. Certainly the most recent versions of ChatGPT. Plus also the image creation tools. And, I&#8217;m amazed by how quickly I&#8217;ve become, unimpressed is the wrong word, but how quickly I just expect it to give me something akin to a human.</p>\n\n\n\n<p>The first couple of times I used ChatGPT my entire endeavor was to see what it would produce, and be utterly, utterly flabbergasted by the fact that it could in any way give me something coherent back. And the same with the image creation tools, Stable Diffusion and a few others that I&#8217;ve tried. Typing in some kind of prompt, and then just jaw droppingly quickly, something half decent comes back. And you know you try a little bit harder and you tweak the input that you&#8217;re putting in and something slightly better comes back.</p>\n\n\n\n<p>I&#8217;m kind of amazed by how quickly that became uninteresting and just normal. In the same way that when I was a child, I first got on the bike and suddenly I could ride a bike and wow, this was amazing. Two weeks later you have to basically pay me to get on the bike at that point, it&#8217;d lost its interest.</p>\n\n\n\n<p>But I&#8217;m wondering if that interface, because it is replicating a human in many ways, you know, the ability to do art and the ability to give us answers, whether it&#8217;s hallucinating or not. I wonder if that&#8217;s something that we all think that&#8217;s the way the AI&#8217;s going to go. But the examples that you gave just then, like medical research and probably research in all sorts of scientific domains, if that&#8217;s something which just never quite gets out into the public.</p>\n\n\n\n<p>So the fear that a lot of people have, and there are some parts of that that I share, is never counterbalanced by the, but listen we&#8217;ve just done thousands and thousands of hours of PhD equivalent work in a matter of moments. Look how fantastic this is. I don&#8217;t think that message gets out very often.</p>\n\n\n\n<p>[00:18:56] <strong>Dan Walmsley:</strong> Well, you know, and without launching into a critique of the media, I think we can all recognize that dramatic headlines sell. And I&#8217;m sure if the headlines of these articles were slightly hard to predict whether AI will be good or bad, stay tuned. Then they wouldn&#8217;t sell so many newspapers.</p>\n\n\n\n<p>You know, I don&#8217;t think anybody can actually, at a large scale, predict the outcome of the current AI revolution. That there are people who think that it will be a nothing burger. And there are people who think that it will more likely than not, result in the eradication of the human species. And there are people who think it&#8217;ll be cyborgs. And there are people who think it&#8217;ll be utopia. They&#8217;re all neither right nor wrong, yet.</p>\n\n\n\n<p>I will say though, that people narrowly pushing, AI will take all the jobs line, definitely wrong in my opinion. Part of that we really alluded to this before the show, but part of that is, humans are really good at inventing new jobs. We added like 8 billion humans to the planet in the last a hundred or so years, and we gave them all jobs, no problem. We can invent new jobs like dog tickler and it&#8217;s fine.</p>\n\n\n\n<p>People will just find ways to keep themselves busy. And if AIs come and take away a huge amount of jobs, particularly those jobs that are mostly typing and mostly repetitive, like similar things over and over again, then maybe those people get a chance to like move their bodies and stand up.</p>\n\n\n\n<p>We forget how incredibly dysfunctional it is to sit there and type all day. If we can just take away all the typing. I have a gym membership because my body&#8217;s falling to pieces because I have to sit there and move my fingers and unblinkingly for like seven hours a day. It&#8217;s ridiculous. It&#8217;s torture. Can AI make that go away? That&#8217;d be amazing. What a revolution.</p>\n\n\n\n<p>And so we sort of think about this in terms of jobs as if there&#8217;s some fixed number of jobs and the AI&#8217;s going to take them. And then there&#8217;s going to be no jobs to replace them. We don&#8217;t really think about it holistically, in this sense of if it&#8217;s doing all that work it&#8217;s producing huge economic value and unlocking human potential.</p>\n\n\n\n<p>[00:20:48] <strong>Nathan Wrigley:</strong> One of the things that really has sort of crept up is the use of the word intelligence. So we&#8217;ve got AI, artificial intelligence. I&#8217;m not entirely sure that, at the moment, is really the right word to be deploying, because that is a fairly scary word.</p>\n\n\n\n<p>You&#8217;ve seen films going back half a century or more where some kind of intelligent cyborg, something created by a human being at least, Frankenstein onwards, is able to outthink humans and therefore wreak havoc and so on and so forth. But my understanding is that the implementations that we are broadly using, ChatGPT and so on and so forth, are based on these large language models.</p>\n\n\n\n<p>It would be interesting to get into the weeds of that if you&#8217;re willing. Can you explain how that technology works and why perhaps it&#8217;s more of a fluke that it gets anything right? Well, that&#8217;s not true. It&#8217;s not really intelligent in the sense that you or I would subscribe to a human, but it appears, it masquerades as intelligent.</p>\n\n\n\n<p>[00:21:48] <strong>Dan Walmsley:</strong> Right. That&#8217;s very true. So, I&#8217;ll try to make this brief but accessible to people who might not have heard this explained before. There was a paper came out, I think it was around 2017, might have been earlier from Google, called Attention is All You Need. And that was the paper that described an architecture called transformers. Where you could feed in a sequence of text that they would turn into these tokens representing, not quite a character, not quite a word, but a numeric string of stuff representing the text.</p>\n\n\n\n<p>And then it would be able to predict the next word with a pretty high degree of accuracy, based on paying selective attention to the previous words. So we all know that words like and, or, or not, aren&#8217;t always salient but then there&#8217;s other words that are sort of really important to the text.</p>\n\n\n\n<p>It gets really good at picking up genre and tone and language. It&#8217;s important to note that ChatGPT was never trained to speak English. It was Hindi or anything else. It was just fed huge amounts of text, and they hide a piece of the text and say, can you guess what that is? And if you do that enough times with this selective attention model, then you end up with a system that is very good at continuing text where you left off.</p>\n\n\n\n<p>Now this by itself is what they call a foundation model. It&#8217;s not that useful. The only thing that really does well is generate plausible sounding text. So if you start something that looks like a scientific paper, it will continue. If you start something that looks like a poem, it will continue.</p>\n\n\n\n<p>So, once you have that foundation model, it&#8217;s not very useful for chat. It will go off the rails. Because it turns out, as soon as a transformer introduces one mistake into its output. Let&#8217;s just say it&#8217;s producing an output and it changes somebody&#8217;s name from Bob to Bill. It will continue to refer to them as Bill, even if it knows in its heart of hearts the correct answer is Bob, because all it&#8217;s trying to do is be as plausible as possible. Ah, I said Bill, I better stick with Bill. Or I said, up is down, I better continue with up is down.</p>\n\n\n\n<p>I did about eight years of improv. It&#8217;s like an improviser in that respect. And in fact, that was one of the first things I used it for was generating scripts and improv things. Little musicals and stuff. Because it can take an absurd premise and run with it. So you give it an absurd premise like bogans in space, that&#8217;s a very Australian reference. It will generate the most plausible script it can for bogans in space. And that&#8217;s wonderful if what you&#8217;re doing is trying to create sort of a fantasy thing, but it&#8217;s less wonderful if you&#8217;re trying to do something grounded.</p>\n\n\n\n<p>And so then they go through these various alignment processes where they feed it a huge amount of handwritten, curated, expert questions and answers on top of that whole internet that they fed it in the first place. And these are supposed to be illustrative of, I&#8217;ve got a question, I need a step by step answer that is clear and concise. And I also need it to refuse to tell me how to make a chemical weapon and other things like that.</p>\n\n\n\n<p>So there&#8217;s some safety stuff there where you look at examples of people asking for malicious things. It&#8217;s crazy. I asked it to tell me a joke the other day, an Irishman, Englishman, American joke, right? And so ChatGPT refused to generate it. Because well, I can&#8217;t make a joke about people based on specific aspects of their race or whatever. Which is sort of like, fair enough in the general case but also weird in the context of me just wanting that joke for myself to see what it could do. That&#8217;s the kind of alignment stuff that they&#8217;ve put in.</p>\n\n\n\n<p>And so finally what you get at the end of the day after a few more steps, is a model that has a little background thing where developers can align the model. Has all these different safety mechanisms. Has the ability to spell out instructions step by step,. Avoids as much as it can certain mistakes that would lead to it repeating itself or hallucinating too much. And has the ability to recognize now and use tools that accept JSON structured input as part of its cognition. That&#8217;s the latest level of alignment that they&#8217;ve introduced. And in the future there&#8217;ll be more and more as it gets bigger and more capable.</p>\n\n\n\n<p>[00:25:31] <strong>Nathan Wrigley:</strong> So the fact that we&#8217;re on GPT4 at the moment, we&#8217;re recording this in June 2023. We&#8217;re on GPT4, and prior to that there was GPT3. And I think everybody can agree that each iteration is better. But the way that the technology is structured at the moment, will each version in the large language model, the token version that you described, the transformer model, will that simply get better at creating fewer and fewer mistakes?</p>\n\n\n\n<p>Or are we approaching something which we could point to and say okay that now really is intelligent? In other words, are we heading towards a general intelligence? An AGI where we can now no longer disassociate it from being a human. It can come up with its own incentives, its own reasons to do things and then figure things out all by itself, based upon no human input whatsoever?</p>\n\n\n\n<p>[00:26:18] <strong>Dan Walmsley:</strong> Yes. When I think of an AGI, I think of an autonomous AGI, right? Where it&#8217;s HAL 9000. I don&#8217;t really know when that will happen. And I don&#8217;t know if it&#8217;s a great idea necessarily. I think in between here and there, there&#8217;s like a huge amount of work to be done to bring this technology to life in ways that help people with their work.</p>\n\n\n\n<p>It&#8217;s one thing to switch tabs and go to ChatGPT and type, write me a program that does x or y. It&#8217;s another thing to have GitHub Copilot living in the editor, which is an absolute game changer. And I suspect what&#8217;s coming next is AIs that work with your programmers and produce pull requests, or patches on pull requests, that fix linting or reduce complexity.</p>\n\n\n\n<p>For example, I would pay at least $10,000 a month for an AI that comes in and reduces the complexity of the code that our teams write every single day. Finds methods that shouldn&#8217;t be there. Renames things to more align with each other. Move stuff between classes, and documents things publicly. Maybe pings developers if it&#8217;s not sure something&#8217;s useful anymore. Can you just imagine? Because not only is that cleaning up the code, it&#8217;s reducing the number of developers you want, it&#8217;s removing one of the most annoying things about being a developer.</p>\n\n\n\n<p>So it&#8217;s making your job as a developer more pleasant. It&#8217;s not like it&#8217;s inventing new stuff, but it&#8217;s making it so much easier to invent new stuff because you&#8217;re working on super clean, minimal code that only does what you need it to do. And now just imagine if every company had that, how much progress we would see.</p>\n\n\n\n<p>[00:27:46] <strong>Nathan Wrigley:</strong> Yeah, it&#8217;s interesting isn&#8217;t it because at the hub of that is, it almost feels like if you paid that $10,000, a large proportion of your team have to go away. Because probably a significant proportion of the team is people going in and cleaning things up and what have you.</p>\n\n\n\n<p>[00:27:59] <strong>Dan Walmsley:</strong> Does it work that way though? Because let&#8217;s just imagine that somebody is on my team. Unless your company is losing money, right? Large amounts of money, and you&#8217;re desperately looking for some way to cut, right? If you have a programmer on your team and you can give them this tool and they become four times as productive. Then why would you want fewer programmers? Every programmer you add is four new programmers.</p>\n\n\n\n<p>I don&#8217;t think this is going to result in people being fired en masse. People look around at Silicon Valley right now, there&#8217;s a lot of companies copying the Elon Musk strategy of, oh boy we just realized that we need to trim the fat. Over the long term, I don&#8217;t know if that necessarily means fewer programmers. Although I do think more people will get to be a programmer.</p>\n\n\n\n<p>My dream is that every human being has their own open source stack that is completely proprietary to them. That is built and managed by an AI that is completely personal to them. Runs on a device that they own and control.</p>\n\n\n\n<p>And so then you can simply describe how you want your life to be, and your personal software stack adapts and makes sure that I only see the information that is valuable and actionable to me. And because of this AIs role in my life, I&#8217;m able to get insights about what&#8217;s really working, and avoid distractions and nobody will ever be able to spam me again.</p>\n\n\n\n<p>I actually literally am building an AI that scrapes the bajillion inscrutable emails from the school and plucks out the things that actually need to go in my calendar. It&#8217;s easy now, right? It&#8217;s 50 lines of code. And I can do the same thing for other digital parts of my life and just make that whole thing go away.</p>\n\n\n\n<p>[00:29:29] <strong>Nathan Wrigley:</strong> Yeah, I think there&#8217;s three places to sit on this seesaw. There&#8217;s either I&#8217;m terrified by AI, or I&#8217;m really pro AI, or I think where I&#8217;m finding myself at the minute is more in the middle. There are parts of it that I can see which clearly have enormous utility, and are really going to put us on a rocket ship to Mars if you like.</p>\n\n\n\n<p>There&#8217;s just no downside, but I think there is a part of me which does genuinely worry about the incentives. Whether or not it&#8217;s a great idea to automate all the things. Whether the landscape is just going to become flooded by noise, which actual humans can&#8217;t go through. So we then have to employ more AI to figure out how to get rid of the fake content. I&#8217;m not a hundred percent sold on it. I can certainly see there&#8217;s bits of it which have benefits.</p>\n\n\n\n<p>However, I&#8217;ve just come back from WordCamp Europe and part of the final address, we had Matt, Josepha and Matias on stage. And Matt is clearly very, very bullish about AI. In the same way that five years ago he was telling everybody to learn JavaScript deeply. I think the lasting message I got certainly from that presentation was start using AI deeply. Obviously you&#8217;re an Automattician, what he says matters. I&#8217;m just wondering, just to bring it back to WordPress, I&#8217;m wondering where we are going to begin to see AI in our WordPress sites? What are the kind of places where we may see it surfacing in the future?</p>\n\n\n\n<p>[00:30:51] <strong>Dan Walmsley:</strong> Yeah, I&#8217;m going to start with the quote from Matt, learn AI deeply. We don&#8217;t really know where AI is going to go but we see a certain rate of progress. And it&#8217;s faster than Moore&#8217;s Law. And so if you use an imperfect AI tool today and you get familiar with it and fluent with it, let&#8217;s just say GitHub Copilot. You can be pretty sure that tool will accelerate in progress over time. Because it&#8217;s already an AI tool that&#8217;s like standing on the shoulders of this like industry. So it&#8217;s going to get faster, it&#8217;s going to get better.</p>\n\n\n\n<p>The people who don&#8217;t embrace AI are going to continue on their linear or plateau trajectory. And so I feel like any human being alive today should probably start embracing some piece of AI in their life so that they can get a sense for how it&#8217;s shifting and changing and improving. So if it&#8217;s just a matter of using ChatGPT to like make plugin snippets, oh it&#8217;s good at this, it&#8217;s not good at that. Make it a habit. Then you&#8217;ll bear witness to what&#8217;s going on and you&#8217;ll know where to jump both feet into the stream and start leveraging this stuff more at scale.</p>\n\n\n\n<p>In terms of where we&#8217;re going to see it show up in WordPress. I was on a panel recently and one of the things that I said was, a question worth asking is what content management system would an AI choose? If you&#8217;re an AI and you&#8217;ve been asked to create a website for someone and you haven&#8217;t been told what technology to use, would you use WordPress?</p>\n\n\n\n<p>And the answer today is, probably. Because most of the public documentation for content management systems is WordPress documentation. So the AI has access to like 20 years of all this stuff. And that&#8217;s really, really powerful. It means it can reason about WordPress in a really impressive way.</p>\n\n\n\n<p>It&#8217;s actually a great testimony to keeping WordPress roughly the same all of that time with minimal breaking changes. Because, you know, one of the things that I&#8217;ve noticed is there are lots of breaking changes between libraries in the Python ecosystem. And that means that ChatGPT very rarely writes working Python code for me. I have to modify it to use the latest API or whatever. It almost always produces working PHP WordPress code, because what works hasn&#8217;t changed, which is quite amazing.</p>\n\n\n\n<p>[00:32:58] <strong>Nathan Wrigley:</strong> I mean, that is actually phenomenal to see that happen.</p>\n\n\n\n<p>[00:33:01] <strong>Dan Walmsley:</strong> Yeah. Now we have to capitalize on that, but that&#8217;s a really great start. And you know what CMS would an AI choose, okay it&#8217;s one that it&#8217;s familiar with. And then the next level is, well it would be one where you can modify it and extend it easily. WordPress certainly checks that box to infinity, right? There&#8217;s all of these existing plugins and an AI can read the documentation of plugins and choose one for you or whatever it needs to do.</p>\n\n\n\n<p>So the plugin mechanism is amazing because you can basically take a statement that someone makes about how they want their website to be different, and turn it into a function that runs a bunch of hooks.</p>\n\n\n\n<p>It doesn&#8217;t have to go modifying the existing code of WordPress and forking it. It can just like inject the things that you ask it for, and correlate them back to the statements that you made. And in the future if it finds out that there was a better way to implement that request then it can implement it differently. Because it has the original things you asked for. So that&#8217;s one way I think I see AI helping with WordPress over time. Not that that&#8217;s a product that I&#8217;ve built I&#8217;m just sort of reasoning broadly about it.</p>\n\n\n\n<p>[00:33:59] <strong>Nathan Wrigley:</strong> I think one of the areas that I really would like to see is the ability to leverage what&#8217;s just come around. I&#8217;m really excited about blocks and block patterns in particular. I&#8217;m quite a visual person, so I love to see images of what I&#8217;m about to get. And the idea of, I don&#8217;t know, I want to build a website for a local industry. A real estate agent, a lawyer or something like that. And the AI has some kind of interpretation of what that means. It probably has a little understanding of the geography of where I live and what kind of imagery might go into a website like that.</p>\n\n\n\n<p>I live on the coast and there is some things which people always take pictures of and they often end up on websites for the places where I live. But also it understands typically what a lawyer is, you know? And it would understand that, okay, you probably need a page that has this on it, and a page that needs this on it, and probably a form and blah, blah, blah.</p>\n\n\n\n<p>And then it would just throw at me, I don&#8217;t know 100, 200 designs, something like that, that I can look at. And because of the fact that it&#8217;s all built with blocks I could input that pattern, and then start to tweak things as I like it. I just love the idea of the choice that it might be able to give me, and short circuit, I mean me building 200 different designs, that&#8217;s going to take me weeks. This potentially could happen in the blink of an eye and I love that choice.</p>\n\n\n\n<p>[00:35:13] <strong>Dan Walmsley:</strong> Yeah. Think about a few years ago, if you had like a site generator versus a site builder, right? So let&#8217;s just say I generated a site and we&#8217;ve all be familiar with site generators, you give it like, what kind of color scheme you want and what kind of industry you&#8217;re in and kind of thing.</p>\n\n\n\n<p>And this has been possible for 10 or 20 years that you can generate a site. But the problem is, okay, now you&#8217;ve generated a site and then you make some content and you&#8217;re like, ah, I want to change that one decision. Well you can either regenerate it from scratch and blows away everything you&#8217;ve done. Or you can try and manually make the change, but you have no idea how to do that because you didn&#8217;t build it in the first place. And then you&#8217;re going to learn the whole system.</p>\n\n\n\n<p>That sort of like magic trick of generating the site back in the day is the thing you can only do once. But in the copilot era, which I think Microsoft correctly identified this paradigm. You can jump in and out of automating the site creation experience as much as you want. And so the idea is, okay, I&#8217;m going to generate the content on this page. Jetpack AI block is actually really, really good at this. I&#8217;m not here to like boost our products too much. But it&#8217;s like a really good example.</p>\n\n\n\n<p>You can generate a page and then you can just change the tone of voice. And it will go and take the same content and change the tone of voice, non-destructively, you know what I mean?</p>\n\n\n\n<p>And so the AI is able to work with whatever changes you&#8217;ve already made and make some more. I think that that&#8217;s going to be the paradigm for a long time. And anybody building AI tools needs to be very careful about building the UI in such a way that it takes these hints from the human. And uses them to make the AI better over time. Better at getting the first guess right.</p>\n\n\n\n<p>And any company that does that is going to have an AI flywheel. And any company that just generates content directly but doesn&#8217;t measure how the users respond to it or interact with it or change it over time is going to be stuck on a plateau, with no way to get to the next level.</p>\n\n\n\n<p>[00:37:04] <strong>Nathan Wrigley:</strong> I really find the whole idea of that curious. Literally you could go to bed one night, wake up in the morning and the AI has decided that we&#8217;ve gathered lots of data and well you had a real blitz of users during the course of the night and it&#8217;s really shown us that no, they don&#8217;t like this bit, so we&#8217;ve changed it entirely on your behalf. So it&#8217;s like split testing but on steroids.</p>\n\n\n\n<p>That seems like a really interesting idea. Obviously people will not wish to hand some aspects of that over but if you can prove that a WooCommerce sale, for example, this configuration of a checkout system seems to be 20 times more popular than this one. Okay, we&#8217;re going to get rid of that one. Now we&#8217;re going to start working our way through whether we can improve this one. All of that seems to be a bit of a no-brainer.</p>\n\n\n\n<p>[00:37:47] <strong>Dan Walmsley:</strong> Yes. Building an awareness of when humans need to make discriminating decisions, and when you can make them on their behalf. And the product design aspects of what expectations do you set about what&#8217;s going to happen, or whether it&#8217;s reversible, or whether it requires confirmation or authentication or et cetera, et cetera. Taking a backup.</p>\n\n\n\n<p>That&#8217;s all stuff that you don&#8217;t get for free with AI. That&#8217;s all the infrastructure of actually making it useful. And I will say the AI itself is dead simple to use, right? it&#8217;s conceptually unbelievably easy. 99.99% of the work is just like aligning the whole rest of the system around it so that you can make sure that customers have a good experience.</p>\n\n\n\n<p>The normal stuff of building products, right? Setting expectations, all these different things. It feels different because watching a generative AI talk like a person is weird, but it&#8217;s not, it&#8217;s not work that requires you go do a deep learning course.</p>\n\n\n\n<p>The thing that is transformative about this is it&#8217;s generality. These techniques have existed for years. We&#8217;ve always been able to classify, well, not always, for a long time been able to classify images for a long time been able to sort of grammatically parse out text or detect languages or sentiment or other things.</p>\n\n\n\n<p>But they were all specialized models with vast data sets. And now you can fine tune it on 500 of your own examples and have it go answering entire support requests straight out of your knowledge base. And so it&#8217;s that generality that is really powerful.</p>\n\n\n\n<p>[00:39:13] <strong>Nathan Wrigley:</strong> I&#8217;m curious to see what the UI for all of these different things are going to be in the future. In the sense that, you know, if you look at WordPress from when you began using it, it&#8217;s a very different animal. Although it hasn&#8217;t changed dramatically in the last five or six years. When you began using it, it was a different animal to the way it looks now.</p>\n\n\n\n<p>And then these sort of page builder technologies came along and further democratized publishing and made things easy and it was a point click interface. I&#8217;m just curious to see how, what the pieces are that live inside WordPress. Whether it&#8217;s going to be text input. Whether we&#8217;re just going to start talking to our website and, you know, move it left a bit, a little bit more, make it red. Not that red, the other red.</p>\n\n\n\n<p>I want a picture of a, I don&#8217;t know, a sausage over there, that kind of thing. How all this gets surfaced. We&#8217;re obviously in the era of trying to get everybody to use Gutenberg. Whether it fits into there or whether we need a brand new interface because the AI will just take care of everything. That bit is for me going to be really interesting.</p>\n\n\n\n<p>[00:40:06] <strong>Dan Walmsley:</strong> Yeah. I&#8217;m really excited to see what happens with Gutenberg. I&#8217;m completely convinced Gutenberg will not go away. And actually AI makes Gutenberg look like a better and better decision versus the classic editor as AI comes into view.</p>\n\n\n\n<p>[00:40:21] <strong>Nathan Wrigley:</strong> Can you develop on that? I think I know what you mean but I want to hear what you mean. Yeah.</p>\n\n\n\n<p>[00:40:25] <strong>Dan Walmsley:</strong> So having things embedded as blocks with parameters provides a much more semantically rich interface than just a bunch of HTML. It&#8217;s similar as to how we see markdown used a lot more in AI than HTML as a formatting language, input, output. And why is that?</p>\n\n\n\n<p>Well, it&#8217;s because the structure tells you something about the meaning of the document, right? This is a table, this is an image, this is a whatever. Obviously you get an HTML but more sophisticated than that, right? This allows the AI, so say you&#8217;ve got like a cover block with an image and a text. This allows the AI to have some confidence about how that&#8217;s going to appear when it shows up on a webpage.</p>\n\n\n\n<p>As opposed to arbitrary HTML that may be pulling in CSS from various places and like all that kind of stuff. Gutenberg provides an incredible foundation for collaboration. And collaboration is key, right? If we&#8217;re talking about the copilot era here, I don&#8217;t think for a long, long time we&#8217;re ever going to have necessarily AIs. Like you&#8217;re not going to have a CMS come out that like, doesn&#8217;t have an editor, because it just has a chat interface. You tell the AI what to do and hope that it does the right thing.</p>\n\n\n\n<p>Like that&#8217;s not going to be the case for a really, really long time, if ever. What you need is an editor where you can seamlessly collaborate with an AI. And if I was to take Matt&#8217;s words and bring them back into the conversation about learning AI deeply, I would love to see people in the community experimenting with UX concepts for collab.</p>\n\n\n\n<p>We are in the collaboration phase. Now is the time to start bringing your ideas to the table about what it looks like to collaborate with an AI in Gutenberg and how revolutionary that could be.</p>\n\n\n\n<p>[00:42:01] <strong>Nathan Wrigley:</strong> Are you open to those conversations? Is your team keen to hear from the community? And if that&#8217;s the case, where do we go to begin that conversation?</p>\n\n\n\n<p>[00:42:08] <strong>Dan Walmsley:</strong> That&#8217;s all happening in the open source community. I&#8217;ve had a couple of conversations with Matias or others, but really at a high level. I think it&#8217;s the community that needs to help drive that. We&#8217;ve shown what&#8217;s possible with Jetpack AI. It&#8217;s like the first quickest, most sane thing we could build.</p>\n\n\n\n<p>But in terms of the collaboration phase, my team is aligning the AI efforts of a large multinational corporation across many, many, many different modalities. Not just in the editor, but across image classification, and trust and safety, and all sorts of other things.</p>\n\n\n\n<p>On a day-to-day basis I don&#8217;t have a huge amount of bandwidth for one thing like the Gutenberg editor but I really encourage the community to get involved and share ideas.</p>\n\n\n\n<p>[00:42:53] <strong>Nathan Wrigley:</strong> Yeah. I&#8217;ll put links to the presentation that you were involved in, with, I know it was at least Anne McCarthy. I can&#8217;t remember who the other contributors were now but that was really fascinating. Interesting kind of first steps in, well, tell us what we want out of AI because we can see what it can do out in the wild with other things. You mentioned co-pilot and there&#8217;s obviously ChatGPT and all fun images that you can create with mangled fingers.</p>\n\n\n\n<p>Interesting to find out what the community want from it. How it will look in two or three years time? And getting involved in that conversation could really impact the project right now.</p>\n\n\n\n<p>[00:43:25] <strong>Dan Walmsley:</strong> I would also say, dark horse here, but I would love to see more people get involved in WordPress Playground. So for those don&#8217;t know, WordPress Playground they demoed it last year and I was actually in the room in New York for the WordCamp US there.</p>\n\n\n\n<p>[00:43:38] <strong>Nathan Wrigley:</strong> That is some astonishing tech.</p>\n\n\n\n<p>[00:43:41] <strong>Dan Walmsley:</strong> It is game changing. I mean, and it&#8217;s funny because it&#8217;s on the one hand you could look at it and be like, well, this is like a cute hack, but it&#8217;s you know, you would never run a website this way. But think about it, if you&#8217;re a person creating or modifying or wanting to come up with a new website. With no hosting, with no nothing, just sitting there like running a blob of JS in the browser.</p>\n\n\n\n<p>You can ask an AI to generate the entire site and remix it and destroy it and build it again, and like when you&#8217;re happy enough with it, click a button to download and put it on a real web host. It&#8217;s lowering the barrier to entry. And I can imagine if we get lots of good contributions, there&#8217;s already really good JavaScript API access for saying, install this plugin, or like, modify this file, right?</p>\n\n\n\n<p>And so if you go a step further, oh, generate an AI block that does X, Y, Z, right? And if you&#8217;re a developer that doesn&#8217;t already have WordPress or know WordPress, and you don&#8217;t have to pull down PHP, you don&#8217;t even have to write PHP. You have this like ephemeral WordPress in the browser and you can see what it&#8217;s capable of.</p>\n\n\n\n<p>I think that could bring so many potential developers into the WordPress community. Who are able to see what&#8217;s possible, have this low barrier entry, who have zero dependencies and can provide plugins and blocks and other cool ideas into the WordPress community who might not have had a chance to contribute before.</p>\n\n\n\n<p>[00:44:56] <strong>Nathan Wrigley:</strong> It&#8217;s amazing when you actually use it because you just assume that there&#8217;s a machine somewhere remotely that&#8217;s serving up that website and it just spun it up in a heartbeat. But of course it&#8217;s not. You can entirely unplug from the internet and there it is. It&#8217;s still working. And it took all of no seconds at all to get the whole thing going. It&#8217;s amazing.</p>\n\n\n\n<p>[00:45:17] <strong>Dan Walmsley:</strong> Yeah, it really is.</p>\n\n\n\n<p>[00:45:19] <strong>Nathan Wrigley:</strong> I will link to that as well. Yep.</p>\n\n\n\n<p>[00:45:21] <strong>Dan Walmsley:</strong> I hope that becomes the way that a lot of people build stuff on WordPress actually. It is a playground. It&#8217;s really fun. It reminds me of when I was playing with the first version of WordPress. But it&#8217;s just accessible to vastly, vastly more people. You know, anyone with a web browser?</p>\n\n\n\n<p>[00:45:35] <strong>Nathan Wrigley:</strong> Yeah, it&#8217;s kind of like having a blank piece of paper next to you, one of a thousand bits of paper that you can just scribble on and screw it up and throw it over your shoulder and, okay, that didn&#8217;t work. Let&#8217;s try again. We&#8217;ll just blank canvas, start again. And actually, I don&#8217;t know if you did see the address that Matt gave at WordCamp Europe. That was one of the other things he discussed. So you are very much in alignment.</p>\n\n\n\n<p>[00:45:54] <strong>Dan Walmsley:</strong> It&#8217;s in my queue.</p>\n\n\n\n<p>[00:45:56] <strong>Nathan Wrigley:</strong> Okay. Well, sadly, I mean, I could honestly talk about this with very little authority for hours and hours and hours. But we&#8217;ve probably used up our allotted time.</p>\n\n\n\n<p>Dan, if anybody wants to reach out to you specifically, do you make yourself available in that way? And if so, where do we find you? Are you a Twitter fan? Or are you on, you know, you&#8217;re going to throw an email in our direction or a Slack channel? Let us know.</p>\n\n\n\n<p>[00:46:17] <strong>Dan Walmsley:</strong> Well, you can reach me on Twitter. Twitter.com/danwalmsley. d a n w a l m s l e y. It&#8217;s a tricky one. And, that&#8217;s a start.</p>\n\n\n\n<p>[00:46:28] <strong>Nathan Wrigley:</strong> Perfect. Well, thank you so much for chatting to us today about AI. I&#8217;m just sorry that I, uh, I can&#8217;t kind of keep up with the level of intelligence that&#8217;s probably required to make this conversation worth while, but I appreciate it.</p>\n\n\n\n<p>[00:46:40] <strong>Dan Walmsley:</strong> I super appreciate being on the podcast. I&#8217;m really, really excited about the next couple of years. And especially for WordPress. I think we&#8217;ve got like a lot of strengths that if we leverage them, can put us in an amazing position to empower a lot of people to, you know, publish and to continue to democratize publishing.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://twitter.com/danwalmsley\">Dan Walmsley</a>.</p>\n\n\n\n<p>Dan is a long-time user of WordPress, having started using it even before version one was released. With a passion for experimenting with different publishing platforms, Dan eventually discovered WordPress and has been using it ever since. Currently working at Automattic as a Code Wrangler, Dan is part of the Applied AI team. Although the team is relatively new, with only a few members, their mission is to coordinate and guide the various AI initiatives within the company. Recently, he has been focusing on automating internal workflows and communications, a particularly crucial aspect given the distributed work setup, which spans 70 countries and multiple time zones.</p>\n\n\n\n<p>We start the conversation talking about Dan’s background. He’s recently decided that AI is a truly transformational technology and so has taken steps to learn the skills needed to understand and implement it.</p>\n\n\n\n<p>Dan talks about how Large Language Models work, and how ChatGPT has driven awareness, and demand, for AI technologies in a way that was almost impossible to predict just a year ago. This has caused many companies to become deeply interested in AI and what it can do for their business workflows.</p>\n\n\n\n<p>We get into whether the reality of AI can live up to the hype. Do we have enough understanding of AI to know what its impact will be on the workplace, or are we just in the middle of a media frenzy which will die down over time? Dan challenges the notion that AI will take many of our jobs, and emphasises the economic value that AI can bring.</p>\n\n\n\n<p>We move on to explore the differences between site generators and site builders, and Dan introduces the concept of the ‘copilot era’ in which website creation can be somewhat automated. He highlights tools like Jetpack AI which can generate content and modify the tone of voice right inside of WordPress.</p>\n\n\n\n<p>Dan stresses the importance of building AI tools with user interfaces that learn from human input in order to improve over time. He thinks that companies which measure user responses and interactions will gain a significant advantage in AI development, while those who fail to improve their AI content generation will be left behind.</p>\n\n\n\n<p>Whether you’re new to AI or have been paying attention for a while, this podcast offers a fascinating insight into its impact on society, and how it can accelerate progress in fields like scientific research.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p><a href=\"https://movabletype.org/\">Moveable Type</a></p>\n\n\n\n<p><a href=\"https://automattic.com/\">Automattic</a></p>\n\n\n\n<p><a href=\"https://docs.langchain.com/docs/\">LangChain</a></p>\n\n\n\n<p><a href=\"https://openai.com/\">OpenAI</a></p>\n\n\n\n<p><a href=\"https://www.typescriptlang.org/\">TypeScript</a></p>\n\n\n\n<p><a href=\"https://www.andrewng.org/courses/\">Andrew Ng&#8217;s Deep Learning course</a></p>\n\n\n\n<p><a href=\"https://dayoneapp.com/\">Day One</a></p>\n\n\n\n<p><a href=\"https://woocommerce.com/\">WooCommerce</a></p>\n\n\n\n<p><a href=\"https://senseilms.com/\">Sensai</a></p>\n\n\n\n<p><a href=\"https://www.deepmind.com/\">Google Deep Mind</a></p>\n\n\n\n<p><a href=\"https://en.wikipedia.org/wiki/Perplexity\">Perplexity</a></p>\n\n\n\n<p><a href=\"https://stability.ai/stablediffusion\">Stable Diffusion</a></p>\n\n\n\n<p>Google&#8217;s &#8216;<a href=\"https://arxiv.org/pdf/1706.03762.pdf\">Attention is all you need</a>&#8216; paper</p>\n\n\n\n<p><a href=\"https://github.com/features/copilot\">GitHub Copilot</a></p>\n\n\n\n<p><a href=\"https://jetpack.com/ai/\">Jetpack AI</a></p>\n\n\n\n<p><a href=\"https://www.youtube.com/watch?v=rWH6Z6cJe5o\">AI and the future of WordPress</a> &#8211; Panel session</p>\n\n\n\n<p><a href=\"https://developer.wordpress.org/playground/\">WordPress Playground</a></p>\n\n\n\n<p><a href=\"https://twitter.com/danwalmsley\">Dan&#8217;s Twitter</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 02 Aug 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"WPTavern: Jetpack Launches Newsletter Product\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147385\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wptavern.com/jetpack-launches-newsletter-product\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6886:\"<p><a href=\"https://jetpack.com/blog/jetpack-12-4/\">Jetpack 12.4</a> was released today, launching the plugin&#8217;s <a href=\"https://jetpack.com/blog/introducing-jetpack-newsletter/\">Newsletter product</a>. It allows users to send blog posts as newsletters, without the hassle of having to copy and paste from the WordPress editor into another newsletter service&#8217;s campaign editor and reformat it for email. This launch comes seven months after <a href=\"https://wptavern.com/wordpress-com-launches-newsletter-product\">WordPress.com launched its newsletter offering</a>, which uses the same underlying infrastructure to deliver emails.</p>\n\n\n\n<p><a href=\"https://jetpack.com/newsletter/\">Jetpack Newsletter</a> is launching as a free product, with a percentage of fees collected from creators who choose to offer paid subscriptions:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>Fees are only collected when you accept payments. Fees are based on the Jetpack plan you have and are calculated as a percentage of your revenue from 10% on the Free plan to 2% on the Complete plan (plus Stripe fees). </p>\n</blockquote>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1262\" height=\"844\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-01-at-6.08.20-PM.png\" alt=\"\" class=\"wp-image-147401\" />\n\n\n\n<p>Jetpack users are probably familiar with the plugin&#8217;s ability to send posts to subscribers via email. The newsletter feature uses this <a href=\"https://jetpack.com/support/subscriptions/\">same infrastructure</a> that site owners have relied on for years to allow subscribers to get updates in their inboxes when new posts are available.  </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1560\" height=\"688\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/image.png\" alt=\"\" class=\"wp-image-147391\" />\n\n\n\n<p>Newsletters can be turned on under the Discussion tab in the Jetpack settings. Many Jetpack users likely already have this turned on.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1458\" height=\"596\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-01-at-4.00.21-PM.png\" alt=\"\" class=\"wp-image-147393\" />\n\n\n\n<p>The Subscribe block can be placed anywhere on the site and new subscribers will be sent a confirmation email to confirm their subscription. They have the option to choose between instant, daily, or a weekly digest, as well as control the time and day they receive their digests. Subscribers can also pause or unsubscribe from the site.</p>\n\n\n\n<p>Subscriber import and other features, such as newsletter stats for opens and clicks, is available via the Jetpack admin pages on WordPress.com. </p>\n\n\n\n<p>At this time, newsletter creators can only import up to 100 subscribers via CSV file. This is severely limiting for all but the smallest of newsletters, but the Jetpack team has confirmed that it is high on their list of priorities to change as it creates too much of a barrier. The limit was set for spam prevention, but it makes it nearly impossible to migrate to Jetpack Newsletter if you have a popular newsletter. Those who are on paid plans can upload unlimited subscribers. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"2020\" height=\"1076\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/08/Screen-Shot-2023-08-01-at-4.29.17-PM.png\" alt=\"\" class=\"wp-image-147395\" />\n\n\n\n<p>Newsletter creators can change the site name and logo for their emails and paid users will have more customization options in the future.</p>\n\n\n\n<p>One thing that sets Jetpack Newsletter apart from the vast majority of other traditional email service providers is that it allows unlimited email sends and unlimited subscriber lists for both free and paid users. </p>\n\n\n\n<p>Most popular services like Mailchimp, Brevo, and SendGrid, allow only a few hundred emails to be sent per day or up to 1,000 per month for free users. Paid plans get expensive quickly as a newsletter&#8217;s subscriber base grows. Emails and subscriber numbers usually determine the pricing for these services, which makes Jetpack&#8217;s product stand out from the crowd, especially for those who intend to independently monetize their newsletter through ads and paid sponsorships.</p>\n\n\n\n<p>Jetpack Marketing Lead Rob Pugh said that although popular newsletter services are more limited in emails and subscriber numbers, they also offer a completely different feature set. The Jetpack Newsletter product is aimed at competitors like <a rel=\"noreferrer noopener\" href=\"http://substack.com/\" target=\"_blank\">Substack.com</a>, <a rel=\"noreferrer noopener\" href=\"http://beehiiv.com/\" target=\"_blank\">Beehiiv.com</a>, and <a rel=\"noreferrer noopener\" href=\"http://ghost.org/\" target=\"_blank\">Ghost.org</a>, which also all offer unlimited email sends. On paid plans, Jetpack Newsletter&#8217;s offer beats Substack, as it collects 2% (plus Stripe fees) as compared to Substack&#8217;s take of 10% plus credit card fees.</p>\n\n\n\n<p>Newsletter creators should be aware that Jetpack Newsletter&#8217;s unlimited emails and subscribers may not last forever, as the FAQ section of the product states that it is an introductory offer:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p>As an introductory offer, we do not limit you or charge you based on your email list size. This may change in the future. Fair usage policy applies.</p>\n</blockquote>\n\n\n\n<p>Jetpack representatives were not able to confirm the limits of fair usage or how long the introductory period will last.</p>\n\n\n\n<p>&#8220;Launching without a limit on emails isn’t the most financially responsible thing, but we’re most excited to get this feature into the hands of people to get feedback,&#8221; Pugh said. &#8220;We’re focused on the immediate roadmap to make the product better, although there will likely be a limit at some point in the future if we see extreme use from people on free plans.&#8221;</p>\n\n\n\n<p>He said the Jetpack team goes out of its way to make pricing changes as fairly as possible &#8220;and we don’t want to pull the rug out from anyone, so we’ll certainly consider how people are impacted before making changes.&#8221;  </p>\n\n\n\n<p>Until the limited subscriber import issue has been solved, any pricing changes down the road are only likely to affect newsletters that are just starting out getting people signed up. Apart from this limitation, Jetpack Newsletter is making a competitive debut in the market. For those who are already using Jetpack and have an existing subscriber base, it makes it nearly effortless to add paid subscriptions. Using the block editor is far easier than most newsletter campaign editors out there, and Jetpack streamlines the sending process so creators don&#8217;t have to copy and paste between email services.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2023 22:24:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.3 Release Candidate 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15615\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2023/08/wordpress-6-3-rc3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6189:\"<p>WordPress 6.3 RC3 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC3 on a test server and site.&nbsp;</p>\n\n\n\n<p>The WordPress 6.3 release is scheduled for August 8, 2023—just one week away. Now is your last opportunity to test it before the general release.&nbsp;</p>\n\n\n\n<p>For a deeper look into this release, read this overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, review <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>, or <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">watch a recorded demo</a>.&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">What’s new since RC2</h2>\n\n\n\n<p>Since the RC2 release on July 25, 2023, there have been approximately 14 issues resolved in <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Github</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=07%2F25%2F2023..08%2F01%2F2023&milestone=6.3&col=id&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a>. To prepare for 6.3 general availability, RC3 also addresses several <a href=\"https://github.com/WordPress/gutenberg/pull/53089\">bugs</a> and adds fixes for retrieving templates (<a href=\"https://github.com/WordPress/wordpress-develop/pull/4940\">#4940</a>) and resolving child theme issues (<a href=\"https://github.com/WordPress/gutenberg/issues/53138\">#53138</a>). Thank you for testing, WordPressers!</p>\n\n\n\n<p>Developers and extenders should review the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a> for detailed technical notes regarding new features and improvements.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Ways to contribute</h2>\n\n\n\n<p>WordPress is open source software made possible by the community of people collaborating on and contributing to its development. The resources below outline a variety of ways you can help, regardless of your technical expertise.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Download RC3 for testing</h3>\n\n\n\n<p>You can test WordPress 6.3 RC3 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2:</strong> Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC3.zip\">RC3 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3: </strong>Use the following WP-CLI command:<br /><code>wp core update --version=6.3-RC3</code></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Keep WordPress bug-free—help with testing</h3>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Search for vulnerabilities</h3>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Update your theme or plugin</h3>\n\n\n\n<p>Do you build themes or plugins? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>This is your final opportunity to test your latest versions against RC3. You will want to continue your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h3 class=\"wp-block-heading\">Help translate WordPress</h3>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a>&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">Release the haiku</h2>\n\n\n\n<p>Phase two, soon complete<br />A monumental release<br />Then onto six-four.</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/meher/\">@Meher</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">@DanSoschin</a>, and <a href=\"https://profiles.wordpress.org/jpantani/\">@jpantani</a></em></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2023 16:55:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Jonathan Pantani\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Do The Woo Community: Welcome Katie Keith from Barn2 Plugins to the Do the Woo Host Team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75760\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://dothewoo.io/katie-keith-new-do-the-woo-host/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:446:\"<p>Today Marcus talks with his new co-host of Woo BizChat, Katie Keith, as she shares her Woo story and what you can expect from these two moving forward.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/katie-keith-new-do-the-woo-host/\">Welcome Katie Keith from Barn2 Plugins to the Do the Woo Host Team</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Aug 2023 10:25:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"WPTavern: Start Testing WordPress’ New Interactivity API\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147355\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://wptavern.com/start-testing-wordpress-new-interactivity-api\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2510:\"<p>Earlier this year, WordPress contributors announced that they are <a href=\"https://wptavern.com/wordpress-contributors-propose-new-interactivity-api-for-frontend-blocks\">working on a new Interactivity AP</a>I that will allow developers to build interactive blocks. This API will support the kinds of frontend experiences that let visitors interact with content and get feedback without having to refresh the page.</p>\n\n\n\n<p>Automattic-sponsored contributor Luis Herranz, who has been working on the API, is now <a href=\"https://twitter.com/luisherranz/status/1686064632400658439\">encouraging developers to test it</a> with their own blocks. <a href=\"https://wptavern.com/gutenberg-16-2-brings-improvements-to-pattern-management-introduces-vertical-text-orientation\">Gutenberg 16.2</a> included the Interactivity API under the Experiments flag and this version or later is required for testing it.</p>\n\n\n\n<p>Developers can follow the API&#8217;s <a href=\"https://github.com/WordPress/gutenberg/blob/trunk/packages/interactivity/docs/1-getting-started.md\">&#8220;Getting Started&#8221; guide</a> on GitHub to scaffold an interactive block with `@wordpress/create-block`. Take a look at the <a href=\"https://github.com/WordPress/gutenberg/discussions/52904\">roadmap</a>, which has an extensive list of tasks the team has in mind for the initiative and will include tracking issues for features as they progress.</p>\n\n\n\n<p>Those who are testing the Interactivity API can follow and participate in the discussions happening in the new <a href=\"https://github.com/WordPress/gutenberg/discussions/categories/interactivity-api\">Interactivity API category</a> on GitHub. This early testing invitation is for those who are eager to help shape the API and offer feedback.</p>\n\n\n\n<p>&#8220;If you want to use the Interactivity API in your projects, please subscribe to this discussion where we will provide updates with instructions for migrating your code each time there is a breaking change,&#8221; Herranz said.</p>\n\n\n\n<p>There is no official documentation yet, but a the team is working towards creating a bare-bones version first which will be used as the base for the official docs further down the road. The documentation efforts are being led by Automattic-sponsored contributor <a href=\"https://profiles.wordpress.org/juanmaguitar/\">JuanMa Garrido</a> and anyone willing to collaborate is invited to <a href=\"https://github.com/WordPress/gutenberg/discussions/51928\">join the conversation on GitHub</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2023 21:38:47 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"WordPress.org blog: People of WordPress: Ihtisham Zahoor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15589\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/news/2023/07/people-of-wordpress-ihtisham-zahoor/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:10231:\"<p>From administrator to web developer thanks to the supportive WordPress community. Through learning from other software users in Pakistan, Ihtisham Zahoor knew that his life would change. He moved cities and careers to make his life through open source.</p>\n\n\n\n<p><strong>The&nbsp;<em>People of WordPress</em>&nbsp;series shares inspiring stories of how people’s lives can change for the better through WordPress and its global community of contributors.</strong></p>\n\n\n\n<img width=\"1024\" height=\"768\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-2.jpg?resize=1024%2C768&ssl=1\" alt=\"Ihtisham Zahoor in the moutains.\" class=\"wp-image-15478\" />\n\n\n\n<p>Ihtisham, from Haripur, a city in northern Pakistan, said: “The WordPress community made me a firm believer in the power of open source software. This is why I am an enthusiast and one who enjoys contributing back to the community via writing, speaking, and helping organize meetups.”</p>\n\n\n\n<p>When Ihtisham discovered WordPress, his fascination for working with computing grew. He knew he did not want to just work in administration his entire career.</p>\n\n\n\n<p>Ihitsham describes himself as an ‘introvert’ and therefore the idea of remote work appealed as he could still add value to others through technology. He was intrigued by the thought of the freedom to choose his work hours. However, without access to others who had already transformed their careers and lives through web development, he felt he ‘had no path to follow to turn my dream into a reality.’</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Challenges become opportunities to learn when there is an active community&nbsp;&nbsp;</strong></h2>\n\n\n\n<img width=\"675\" height=\"900\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-4.jpg?resize=675%2C900&ssl=1\" alt=\"Ihtisham Zahoor wearing a sweatshirt with the London tube sign \'Mind the Gap\'.\" class=\"wp-image-15480\" />\n\n\n\n<p>Lacking any kind of informed support network to advise or guide him, Ihtisham devoted time to online research to find the next steps he could take. Looking back, he believes that for those who are not in a network with others with similar interests, it can be hard to keep learning and experimenting with new things. Isolation can be a barrier to working in web development.&nbsp;&nbsp;</p>\n\n\n\n<p>He said: “I think it is not easy to stay motivated when there aren’t immediate rewards for the hard work we do. Sometimes, weeks would go by when my only focus would be to stay motivated rather than give up.”</p>\n\n\n\n<p>After another two years of combining learning and work, Ihtisham took up using WordPress as a full-time career. He moved to the capital of Pakistan, Islamabad. It was not easy at first. He recalls: “After many failed attempts at getting hired and desperate moments, I finally received an offer from a digital agency as a web developer focused on the WordPress platform.”</p>\n\n\n\n<p>He added: “Moving to work with a bigger agency was one of the best decisions of my life as it helped me with my professional growth by becoming familiar with the whole WordPress ecosystem in a supportive environment. I was valued for my opinions in the web projects in which I was involved. I was also appreciated and encouraged for the open source work I did for the company.” He summarized his enthusiasm for WordPress like this: “It is really interesting figuring out what is happening in the backends. I like problem-solving and finding solutions which you can do with WordPress.”</p>\n\n\n\n<p>During the Covid-19 pandemic, Ihtisham moved to join a start-up based in his hometown which provides web development services to international clients. He works as a developer and has the opportunity to learn more about client communication and project management. “WordPress has opened up so many opportunities for me. It has been an exciting journey for me with lots of learning every day,” he said. In particular, he has discovered an interest in APIs and regularly uses his spare time to follow tickets in the hope of one day contributing even more to topics, such as, third-party app integration through APIs on WordPress sites.</p>\n\n\n\n<h2 class=\"wp-block-heading\"><strong>Give back through WordPress community</strong></h2>\n\n\n\n<img width=\"800\" height=\"599\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-1.jpeg?resize=800%2C599&ssl=1\" alt=\"Ihtisham Zahoor speaking at a meetup.\" class=\"wp-image-15477\" />\n\n\n\n<p>It was not just software that made a difference in Ihtisham’s life. Joining a welcoming and sharing community was transforming for him. Recalling those early days of isolation, he values the WordPress community and is wholly committed to the power of open-source software. He now enjoys writing, speaking, and organizing meetups to give back to both to the community. He has written software for the platform and contributes to the Core work, which he describes as a ‘humbling’ experience. He is fond of <a href=\"https://islamabad.wordcamp.org/\">WordCamp Islamabad</a> and in 2023 is on the organizing team to help bring both WordPress and its community to others in Pakistan.</p>\n\n\n\n<p>“My first experience,” he said, “was that everyone was so friendly and open to sharing what they have learned, even though they were all busy working. This really had an impact on me. It really helped me and gave me the confidence that I could work with WordPress…. It was a real step forward for me joining this community.” </p>\n\n\n\n<img width=\"1024\" height=\"512\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/ihtisham-WC-Karachi.jpg?resize=1024%2C512&ssl=1\" alt=\"Ihtisham visited WordCamp Karachi.\" class=\"wp-image-15482\" />\n\n\n\n<p>A particular meeting in 2018 led to new friendships through the WordPress community. Ihtisham was on a train to Karachi for the first ever Pakistani WordCamp in 2018 and met a group of fellow attendees he now regards as close friends. What impressed him most about the camp was that although he met many people with considerable expertise, they also had a generosity of spirit and humbleness in their willingness to share this knowledge. in sharing it. Now, he and this group of friends make a point to taking trains across the country, which allows him to fulfil another dream of traveling widely. He says these things and other ‘side benefits’ have been made possible by the WordPress community, and for that, he is &#8216;forever grateful&#8217;.<br /><br />Ihtisham particularly wanted to share his story through this People of WordPress article to encourage those starting with little or no support to remain persistent. He knows from experience breaking into the tech world can be hard, especially when you may be switching from doing something else and have no ‘track record’ to offer. </p>\n\n\n\n<p>He feels he is a living example of how perseverance can lead to success. He offers these words to anyone thinking of making a move into development using the WordPress platform: “I attribute my success (financial and mental well-being) to the open-source nature of WordPress and its amazing community. It would not be possible to learn and use the plethora of free tools WordPress provides if it weren’t an open-source platform. It is for that reason I feel obligated to contribute back to this platform to the best of my abilities.” To those who are finding getting going difficult, as he did, he adds: “Get yourself a clear learning path and just dive in doing WordPress, and things will get better for you over time as they were for me, I promise. Good Luck!”</p>\n\n\n\n<h2 class=\"wp-block-heading\">Share the stories</h2>\n\n\n\n<p>Help share these stories of open source contributors and continue to grow the community.&nbsp;Meet more WordPressers in the <a href=\"https://wordpress.org/news/category/newsletter/interviews/\">People of WordPress series</a>.</p>\n\n\n\n<p>To help you discover more about how to use the WordPress software, there is a free resource from the community, <a href=\"https://learn.wordpress.org/\">Learn.WordPress.org</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Contributors</h2>\n\n\n\n<p>Thanks to Ihtisham Zahoor (<a href=\"https://profiles.wordpress.org/shaampk1/\">@shaampk1</a>) for sharing about his adventures in WordPress.</p>\n\n\n\n<p>Thank you to Abha Thakor (<a href=\"https://profiles.wordpress.org/webcommsat/\">@webcommsat</a>), Nalini Thakor (<a href=\"https://profiles.wordpress.org/nalininonstopnewsuk/\">@nalininonstopnewsuk</a>), and Meher Bala (<a href=\"https://profiles.wordpress.org/meher/\">@meher</a>) for interviews, the feature and collaborating on images. To Chloe Bringmann (<a href=\"https://profiles.wordpress.org/cbringmann/\">@cbringmann</a>), Mark Smallman (<a href=\"https://profiles.wordpress.org/marks99/\">@marks99</a>), and Mary Baum (<a href=\"https://profiles.wordpress.org/marybaum/\">@marybaum</a>) for reviews. Thanks to the late Surendra Thakor (<a href=\"https://profiles.wordpress.org/sthakor/\">@sthakor</a>), Maja Loncar (<a href=\"https://profiles.wordpress.org/majaloncar/\">@majaloncar</a>), Maedah Bahtool (<a href=\"https://profiles.wordpress.org/maedahbatool/\">@maedahbatool</a>) and other members of the Marketing and Polyglots Team for their contributions.</p>\n\n\n<p>The People of WordPress series thanks Josepha Haden (<a href=\"https://profiles.wordpress.org/chanthaboune/\">@chanthaboune</a>) and Topher DeRosia (<a href=\"https://profiles.wordpress.org/topher1kenobe/\">@topher1kenobe</a>) for their support.</p>\n\n\n<div class=\"wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center\"><img width=\"180\" height=\"135\" src=\"https://i0.wp.com/wordpress.org/news/files/2020/03/heropress_logo_180.png?resize=180%2C135&ssl=1\" alt=\"HeroPress logo\" class=\"wp-image-8409 size-full\" /><div class=\"wp-block-media-text__content\">\n<p class=\"has-small-font-size\"><em>This People of WordPress feature is inspired by an essay originally published on </em><a href=\"https://heropress.com/\"><em>HeroPress.com</em></a><em>, a community initiative created by Topher DeRosia. It highlights people in the WordPress community who have overcome barriers and whose stories might otherwise go unheard. </em>#HeroPress </p>\n</div></div>\n\n\n<p></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2023 20:22:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Abha Thakor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: WordPress Performance Analysis Finds Translations May Significantly Slow Down Sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147322\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:104:\"https://wptavern.com/wordpress-performance-analysis-finds-translations-may-significantly-slow-down-sites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3110:\"<p>After a recent in-depth performance analysis earlier this year showed that translations can have an impact on server response times, WordPress contributors are <a href=\"https://make.wordpress.org/core/2023/07/24/i18n-performance-analysis/\">proposing</a> half a dozen technical solutions for consideration to improve performance for the ~56% of WordPress sites that use translations.</p>\n\n\n\n<p>&#8220;Initial benchmarks showed that the median loading time for a localized site can be <strong>up to 50% slower</strong> than for non-localized sites, depending on which themes and plugins are being used,&#8221; Google-sponsored WordPress core committer Pascal Birchler said.</p>\n\n\n\n<p>Based on <a href=\"https://github.com/WordPress/performance/issues/171\">recent discussions</a> on GitHub, the Performance team has whittled it down to an updated list of six possible top contenders for speeding up sites with translations, including the advantages and disadvantages of each:</p>\n\n\n\n<ul>\n<li>Solution A: Use different file format</li>\n\n\n\n<li>Solution B: Native gettext extension</li>\n\n\n\n<li>Solution C: Cache translations</li>\n\n\n\n<li>Solution D: Lazily evaluated translation calls</li>\n\n\n\n<li>Solution E: Optimize/Rewrite existing MO parser</li>\n\n\n\n<li>Solution F: Splitting up translation files</li>\n</ul>\n\n\n\n<p>Localized WordPress sites currently download <code>.po</code> and <code>.mo</code> files that contain the translations, but the first suggested solution proposes storing translations in <code>.php</code> files and using the <code>.mo</code> file as a fallback, as Birchler proposes that PHP loading and executing another PHP file would be a faster approach. He has a proof of concept on GitHub at at <a href=\"https://github.com/swissspidy/wp-php-translation-files\">swissspidy/wp-php-translation-files</a> and <a href=\"https://github.com/swissspidy/ginger-mo/\">swissspidy/ginger-mo</a>.</p>\n\n\n\n<p>&#8220;When looking at all these factors, it appears that a <strong>revamped translations parser</strong> (<strong>solution E</strong>) could bring the most significant improvements to all localized WordPress sites,&#8221; Birchler said. &#8220;Especially when combined with a <strong>new PHP translation file format </strong>(solution A), which Ginger MO supports, the i18n overhead becomes negligible. Of course the same risks associated with introducing a new format apply.</p>\n\n\n\n<p>&#8220;On top of that, a revamped i18n library like Ginger MO could also be combined with other solutions such as caching or dynamic MO loading to potentially gain further improvements. However, those routes have yet to be explored.&#8221;</p>\n\n\n\n<p>The Performance team plans to test these ideas further on a wider scale through its <a href=\"https://wordpress.org/plugins/performance-lab/\">Performance Lab</a> feature project after gathering feedback from the broader community. August 6, 2023, is the deadline for leaving feedback on the <a href=\"https://make.wordpress.org/core/2023/07/24/i18n-performance-analysis/\">proposal</a>, which includes benchmarks and more details from the analysis.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2023 19:29:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"BuddyPress: BP Classic 1.0.0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=330594\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://buddypress.org/2023/07/bp-classic-1-0-0/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:8040:\"<p>Dear end-users, site owners,</p>\n\n\n\n<p>The <a href=\"https://wordpress.org/plugins/bp-classic/\">BP Classic BuddyPress Add-on</a> has been built to provide <strong>backwards compatibility</strong> for sites that will not be ready yet for <strong>the important changes we will introduce in BuddyPress&#8217;s next major release, 12.0.0</strong>. As we will soon publish the first pre-release version (beta1) of BuddyPress 12.0.0, we thought it was a good idea to have this compatibility add-on available right away in the WordPress Plugin Directory.</p>\n\n\n\n<span id=\"more-330594\"></span>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/2023/01/buddypress-11-0-0-la-scala/\"><img width=\"879\" height=\"747\" src=\"https://buddypress.org/wp-content/uploads/1/2023/07/hello-buddypress-12-0.png\" alt=\"11.0.0 Hello Screen\" class=\"wp-image-330595\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>On the <a href=\"https://buddypress.org/2023/01/buddypress-11-0-0-la-scala/\">11.0.0 “hello screen”</a> that is shown when you activate BuddyPress or that you can reach from the “Hello, BuddyPress!” link of the BuddyPress plugin row of your Installed Plugins Administration, we explained our plan for this move, today we’re making the orange highlighted text concrete.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">Will my site be affected / do I need to install BP Classic <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f631.png\" alt=\"😱\" class=\"wp-smiley\" /> ?</h2>\n\n\n\n<p>There’s no easy answer to these questions: it depends on how you use BuddyPress on your WordPress site. Let’s take some examples.</p>\n\n\n\n<h3 class=\"wp-block-heading\">I use the BP Default theme:</h3>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/07/bp-default-moves-to-bp-classic.png\"><img width=\"845\" height=\"531\" src=\"https://buddypress.org/wp-content/uploads/1/2023/07/bp-default-moves-to-bp-classic.png\" alt=\"BP Activities in BP Default theme\" class=\"wp-image-330596\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p><strong>&nbsp;You absolutely need BP Classic &nbsp;</strong> because we <a rel=\"noreferrer noopener\" href=\"https://buddypress.trac.wordpress.org/changeset/13490\" target=\"_blank\">removed this theme from the BuddyPress plugin</a> as we deprecated it almost 10 years ago.</p>\n\n\n\n<p><strong>PS</strong>: If you’d copy the <code>bp-default</code> directory inside your <code>/wp-content/themes</code> directory, you’d still need BP Classic as BP Default uses functions we will deprecate in BuddyPress 12.0.0.</p>\n\n\n\n<h3 class=\"wp-block-heading\">I want to keep using BP Legacy Widgets:</h3>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/07/legacy-widgets-bp-classic.png\"><img width=\"1024\" height=\"474\" src=\"https://buddypress.org/wp-content/uploads/1/2023/07/legacy-widgets-bp-classic-1024x474.png\" alt=\"The Widgets WP Admin screen\" class=\"wp-image-330597\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p> <strong>You absolutely need BP Classic</strong>  because after having migrated these to Block Widgets in 9.0.0, we decided to <a href=\"https://buddypress.trac.wordpress.org/ticket/8869\">move them into the BP Classic Add-on</a>. 3 major versions later, we believe we&#8217;ve offered enough time to migrate your Legacy Widgets to the new Block versions.</p>\n\n\n\n<h3 class=\"wp-block-heading\">I’m using a 3rd party BuddyPress theme and/or 3rd party BuddyPress plugins:</h3>\n\n\n\n<p>It’s too early to say/predict <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f52e.png\" alt=\"🔮\" class=\"wp-smiley\" />.</p>\n\n\n\n<p>We really hope that authors will update their code during the BuddyPress 12.0.0 beta period. We decided to make it last a least 3 months and <a rel=\"noreferrer noopener\" href=\"https://github.com/buddypress/buddypress/tree/master/docs/developer#buddypress-add-ons-handbook\" target=\"_blank\">started to document the changes</a> for our 2 most used APIs. You can help us by contacting their support team to draw their attention on the importance of beta testing BuddyPress 12.0.0 with their plugins/themes to check their compatibility and eventually adapt their code.</p>\n\n\n\n<p><strong>NB</strong>: in BP Classic &amp; BuddyPress 12.0.0 we’ve tried to consider all scenarios, including the possibility that no plugin/theme authors would update their code. If you don’t want to take any risk, you can already activate BP&nbsp;Classic in anticipation of <strong>the 12.0.0 upgrade which should happen on October 30</strong>.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading\">What is BP Classic doing, exactly?</h2>\n\n\n\n<p>Apart from becoming the new home for the BP Default theme and the BP Legacy widgets, BP Classic mainly neutralizes the important change we are introducing in version 12.0.0 about the way BuddyPress will build, parse &amp; analyze URLs from now on. In other words, it preserves the BP Legacy URL parser and disables the new BP&nbsp;Rewrites&nbsp;API.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/07/bp-classic-friendly-reminder.png\"><img width=\"879\" height=\"607\" src=\"https://buddypress.org/wp-content/uploads/1/2023/07/bp-classic-friendly-reminder.png\" alt=\"BP Classic warning message\" class=\"wp-image-330598\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>Above is a screenshot of what happens if you activate BP Classic in concert with a BuddyPress version <strong>&lt;</strong> 12.0.0, for example the current stable version 11.2.0. A warning notice is displayed every week to remind you this activated plugin is in <strong>sleep mode</strong> and will wake up once BuddyPress will be upgraded to 12.0.0. You can decide to deactivate it and reactivate a bit before October 30, or leave it active in anticipation of this date.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n<div class=\"wp-block-image\">\n<a href=\"https://buddypress.org/wp-content/uploads/1/2023/07/screenshot-1.png\"><img width=\"1024\" height=\"706\" src=\"https://buddypress.org/wp-content/uploads/1/2023/07/screenshot-1-1024x706.png\" alt=\"BP Classic setting tab\" class=\"wp-image-330599\" /></a></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>Once BuddyPress has been upgraded to 12.0.0, the most visible part of it in your WordPress Administration will be the BuddyPress settings pane. 12.0.0 will replace the “Pages” tab with a new “URLs” tab to allow full customization of every possible BuddyPress URL, BP Classic will carry on using WordPress pages for component directories and will keep this “Pages” tab in place.</p>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-7 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-embed__wrapper\">\n<blockquote class=\"wp-embedded-content\"><a href=\"https://wordpress.org/plugins/bp-classic/\">BP Classic</a></blockquote>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n\n\n\n<p>We’re aware such a big change may worry you, we have until October 30 to prepare it, let’s all work together to make it a successful first step of the <a href=\"https://buddypress.org/tag/feedback/\">BuddyPress reboot</a> we told you about in reply to your feedback.</p>\n\n\n\n<p>If you have questions about this change, we invite you to share them with us as replies to <a href=\"https://buddypress.org/support/topic/lets-prepare-the-buddypress-12-0-0-next-major-release/\">this forum topic</a>. We’ll take the time to give you answers.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<p>Many thanks to <a href=\"https://buddypress.org/members/dcavins/\">@dcavins</a> for his review <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f60d.png\" alt=\"😍\" class=\"wp-smiley\" /></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 31 Jul 2023 17:08:50 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Mathieu Viet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Gutenberg Times: Gutenberg Changelog #87 – Patterns, Gutenberg 16.3 and WordPress 6.3.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://gutenbergtimes.com/?post_type=podcast&p=25089\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://gutenbergtimes.com/podcast/gutenberg-changelog-87/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:57711:\"<p>Anne McCarthy and Birgit Pauli-Haack chat about patterns, Gutenberg 16.3 and WordPress 6.3. </p>\n\n\n\n<p><a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-87shownotes\">Show Notes</a> / <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-87/#transcript\">Transcript</a></p>\n\n\n\n<ul>\n<li>Music:&nbsp;<a href=\"https://soundcloud.com/xirclebox\">Homer Gaines</a></li>\n\n\n\n<li>Editor:&nbsp;<a href=\"https://www.linkedin.com/in/sandy-reed/\">Sandy Reed</a></li>\n\n\n\n<li>Logo:&nbsp;<a href=\"https://markuraine.com/\">Mark Uraine</a></li>\n\n\n\n<li>Production:&nbsp;<a href=\"https://icodeforapurpose.com\">Birgit Pauli-Haack</a></li>\n</ul>\n\n\n\n<p class=\"has-larger-font-size\" id=\"shownotes\"><strong>Show Notes</strong></p>\n\n\n\n<p><strong>Anne McCarthy</strong></p>\n\n\n\n<ul>\n<li><a href=\"https://profiles.wordpress.org/annezazu/\">WordPress profile</a></li>\n\n\n\n<li><a href=\"https://www.linkedin.com/in/anneguionmccarthy/\">LInkedIn</a></li>\n\n\n\n<li>WPSlack channel <a href=\"https://wordpress.slack.com/archives/C015GUFFC00\">#FSE-outreach-experiments</a></li>\n</ul>\n\n\n\n<p><strong>WordPress 6.3</strong></p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">Hallway Hangout: Performance Improvements for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/04/25/the-benefits-of-prioritizing-and-measuring-performance-in-wordpress-6-2/\">The benefits of prioritizing and measuring performance in WordPress 6.2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a>. </li>\n</ul>\n\n\n\n<p><strong>Gutenberg 16.3 </strong></p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">What’s new in Gutenberg 16.3? (26 July)</a></li>\n\n\n\n<li><a href=\"https://wptavern.com/gutenberg-16-3-adds-new-tools-for-patterns\">Gutenberg 16.3 Adds New Tools for Patterns</a></li>\n</ul>\n\n\n\n<p class=\"has-large-font-size\">Stay in Touch</p>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<ul>\n<li>Did you like this episode? <a href=\"https://lovethepodcast.com/gutenbergchangelog\"><strong>Please write us a review </strong></a></li>\n\n\n\n<li>Ping us on Twitter or send DMs with questions. <a href=\"https://twitter.com/gutenbergtimes\">@gutenbergtimes </a>and <a href=\"https://twitter.com/bph\">@bph</a>.</li>\n\n\n\n<li><em>If you have questions or suggestions, or news you want us to include, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. </em></li>\n\n\n\n<li><em>Please write us a review on iTunes! <a href=\"https://gutenbergtimes.com/itunes/\">(Click here to learn how)</a></em></li>\n</ul>\n</div></div>\n\n\n\n<p class=\"has-large-font-size\" id=\"transcript\"><strong>Transcript</strong></p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, hello and welcome to our 87th episode of the Gutenberg Changelog podcast. In today&#8217;s episode, we will talk about Gutenberg 16.3 and WordPress 6.3. I&#8217;m your host, Birgit Pauli-Haack, curator at the Gutenberg Times and a full-time core contributor for the WordPress open source project. And today, I have the special pleasure of welcoming Anne McCarthy on the podcast with me. Anne is a product manager in Automattic and also a sponsored contributor on the Automattic&#8217;s Five for the Future program. I&#8217;m thrilled to have you on, Anne, how are you today?</p>\n\n\n\n<p><em>Anne McCarthy</em>: I&#8217;m thrilled to be here, so thank you for having me. I&#8217;m doing pretty well, I&#8217;m talking all about WordPress all day, which is a wonderful day in my book, so.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: In mine too. Yeah, so that&#8217;s why we&#8217;re good on this podcast together. So, you are just coming from the latest Hallway Hangout with the performance team. I know it&#8217;s only a half an hour ago or so, is there anything on the takeaways that you want to share right here with the listeners?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, so one of the things that stood out to me on the call, and beyond just the performance improvements that will be out of the box when you&#8217;re using WordPress, is a resolution to a 14-year-old track ticket, which blew my mind, where WordPress 6.3 will actually introduce support for registering scripts with async and defer attributes. And the reason I bring this up, it&#8217;s all part of the script API, is that people have to adopt it to see the impact. So, this is something that&#8217;s bundled under performance improvements and something that actually wasn&#8217;t on my radar in the same way, but I wanted to call it out for plugin authors because it&#8217;s one of those things that we need people to adopt in order to see the benefits.</p>\n\n\n\n<p>And there&#8217;s also great backwards compatibility. One of the things Felix called out was, let&#8217;s say you have a really large plugin and you have your own extensions within that plugin sphere, if those extensions haven&#8217;t adopted these changes, it will default to a more conservative approach. Meaning, there&#8217;s backwards compatibility, and if they&#8217;re&#8230; All of your extensions have it, your major plugin has it, and anything dependent on that major plugin that has that script in place and has the defer async attributes in place, will then upgrade automatically to use the new and improved stuff. So, I just wanted to call that out, I think it&#8217;s a great thing to have in place and we just need folks to adopt it. So, that was a big takeaway for me, beyond just the many improvements.</p>\n\n\n\n<p>And the last thing I&#8217;ll say is we did a data deep dive live on the call, looking at graphs and all this nerdy stuff, which was awesome, showing that basically after releases came out, seeing improvements in things like Core Web Vitals and actually in the data, which proves things from the lab. They talk about, &#8220;The lab shows this,&#8221; so meaning the confined environment versus in the field, so what you actually see in the real world, and what&#8217;s being shown in the lab ahead of WordPress releases is being proven in the field on live sites that are being indexed. So, that was really exciting to see. I don&#8217;t fully understand every aspect of the data but it was cool to go through with people who do.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, thank you so much for this just-in-time note about the Hallway Hangout. I know your process is that the Hangouts were recorded and you will make a post on the Make Blog in the next few days, where you summarize it and then have all the resources linked up on the post. I also will dig into a little earlier this year, I don&#8217;t know if it was April or May, Felix Arntz, from the performance team, also posted a blog post about the changes and how the improvements were with block themes and these kinds of things. But I think there was one on the Make Blog but they were also on his personal blog.</p>\n\n\n\n<p>So, I&#8217;m going to link that up just to recall that, it was also in the weekend edition but not everybody reads that, or remembers that. I don&#8217;t always remember things, but I know it was in there. Yeah, so performance has been a big, big improvement on WordPress, I saw something like 17% with classic themes and about 20% with block themes, right out of the box, if you don&#8217;t slow your site down with very old plugins, of course. But that&#8217;s another story and outside the scope of this Changelog podcast episode. So, thank you so much. Yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, thanks for giving us space to talk about that, it&#8217;s exciting.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Listener Questions</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. So, I got an email from a listener, thank you so much, an accessibility advocate, and she wanted to know about the best practices to build sites with sidebars on the block themes, and those are read through assistive technology. So, screen readers, when they come to a website, they use the script to content link that comes out automatically with WordPress, but that skip the content also needs a target where to stop.</p>\n\n\n\n<p>So, content needs to be tagged with main to actually have that work. If people are creating sites or layouts with column blocks and each column doesn&#8217;t have any tag, but one is a sidebar that&#8217;s a reusable block, or it&#8217;s a template part, it will read through that every single time on every page, if it&#8217;s not tagged non-content, or a sidebar, or side, or something like that, or the main content is not tagged. Now, you couldn&#8217;t do that with a classic theme from a user interface, but you can do it actually with a group block that has these HTML elements that you can designate your content being either a main or a side. But the most important part is that you wrap whatever sidebar you have into a group block and then select those HTML elements. They&#8217;re also not very prominent, they&#8217;re in the advanced section.</p>\n\n\n\n<p>So, I just wanted to, those who are creating themes through the site editor or helping others to create templates, to be aware of these accessibility ramifications, or to make it known what people who are not visually impaired can see, that that&#8217;s repeated content, but the screen readers that help those that are impaired to go through the internet websites need a little help from the content creators or from the template creators. So, I&#8217;m sure there will be some more information about that, I just wanted you to be aware, and thank you for the listener to pick up on that and point that out. Accessibility is such an important part of web design and web building, that we need to make sure that if we use just the interfaces that we have those tools in place.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I couldn&#8217;t agree more. Thanks for going through that too, it&#8217;s always good to learn about this stuff and to make sure that the default implementation ideally, can be done well. And this is where folks can create patterns into the parts to have this set up automatically in their themes with the right stuff in place. So I also encourage blocking authors to think about that.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And I think it&#8217;s sometimes really hard on the user documentation to point out the higher ramification. If you just point out this little piece on the sidebar that is a new interface, what is the bigger objective for that?&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Announcements</strong></h3>\n\n\n\n<p>So, I&#8217;m really glad that the listener sent me that email and let me know about that, that&#8217;s a good question. So, Anne, you just published a post on the news site, speaking of changes for wordpress.org and it&#8217;s titled, Synced Patterns: the Evolution of Reusable Blocks. On the Podcast, we talked a little bit about the upcoming changes, so what is this post all about?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, so this builds on work that&#8217;s done in 6.3, to bring the creation of patterns to the experience, and that&#8217;s part of that you can sync or unsync patterns, which basically consolidates the concept of reusable block into the new concept of synced patterns. So this post is just trying to flag the change for people because reusable blocks is a known concept in the WordPress community, and retiring such a known concept deserves a lot of attention. And as part of this, there will be documentation updated, I am keeping an eye on that there, but this is just one of many efforts, including nudges in the interface to help communicate this change to folks. So, just see this as part of a larger effort to make sure that we&#8217;re bringing folks along as things evolve. I&#8217;m personally really excited because I think compared to the concept of reusable blocks, which sounds almost more technical than it should be, I think patterns is a much more approachable concept for folks to get behind and to use.</p>\n\n\n\n<p>So, I&#8217;m really excited and I hope it helps surface this more for folks, whenever they&#8217;re working with WordPress. But yeah, it&#8217;s pretty exciting. So, unseen patterns are essentially what you know and love as patterns today, you can put them in your post or page or template and customize it as you&#8217;d like, it&#8217;s not synced across the entire system. Sync patterns are just exactly how our usable blocks worked. They&#8217;re synced across things, you can have a way to convert to blocks if you want to edit it individually and turn it into an unsynced pattern. But yeah, there&#8217;ll be a whole interface to manage all your patterns, if you&#8217;re using a block theme, if you&#8217;re using a classic theme, we basically just reuse what&#8217;s in place for the reusable block screen. So, honestly, it&#8217;s a lot of just interface changes for, if you&#8217;re using a classic theme and for a block theme it unlocks a lot of functionality in terms of being able to manage all your patterns across themes and plugins and all sorts of stuff.</p>\n\n\n\n<p>So, yeah, it&#8217;s a huge, huge step forward and a big change, so hopefully this helps get you prepared, and if you have questions or things that you want answered, yeah, I&#8217;m @annezazu, Let me know what we&#8217;re not thinking about because I&#8217;m sure there&#8217;s a lot.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, and I had some conversations before in the last two months, once I saw that this change is going to come, and I was really excited that finally we have the feature to grade your own patterns in your own site. I think there were quite a few plugins out there that had very high installs and it&#8217;s now coming to core. I think the design team and the developers did a great job in just changing the name but leave everything else in place, for those who use reusable block or created reusable block, everything will be familiar, just the names are going to change. The concept itself is not necessarily retired, it&#8217;s just going to build into the pattern metaphor more. Because really, the only difference between a pattern and a reusable block was the synchronization over the instances. Yeah, definitely.</p>\n\n\n\n<p>Yeah, so we talked about it here at the podcast before and it brings us a leap forward, it also opens up the doors to additional changes. Because what I hear also, and you probably hear it even more, is what&#8217;s missing is that if you have a pattern and that&#8217;s used around the website, but all of a sudden you want to change styles, you&#8217;re not catching every pattern because you need to open up that, switch it out, you have to work around that. And so, partial synced patterns are now possible because we have an interface now, and it&#8217;s certainly further down the roadmap to find a way for the canvas to remember this was an unsynced pattern, but it can be partially synced. Because that is certainly missing in between where you don&#8217;t want to update content but you want to update the styling here, and the content stays the same that it was there.</p>\n\n\n\n<p>So, it&#8217;s all a little bit&#8230; But bringing it all together is reducing the cognitive load on things and have it all in one metaphor rather than have different ways on doing things. And you&#8217;ll find it just the same way you found it before. The icons are the same and the color is the same and the list views&#8230; I think you&#8217;ll find that the switch over to the new thing from reusable block to sync pattern is relatively&#8230; I wanted to say harmless, but smooth. Painless is, I think, the one that I was looking for.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yes.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>What’s Released &#8211; WordPress 6.3</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: So, that brings us to our section on what&#8217;s released. WordPress 6.3 is coming fast, Release Candidate 2 is out, has been out since the beginning of the week, and is ready for testing. The final release is scheduled for August 8th, and that&#8217;s less than two weeks to go. So, what&#8217;s the latest information about 6.3? Is everything on track? The dev notes have been out, your post is out about the sync patterns, you also published a post about the accessibility improvements and there have been a ton of dev notes also for the performance improvements. Is there anything else that has been new or what are the features that you are most excited about?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Oh man, that&#8217;s a great question.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Can you pick?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, can I pick? I will say, actually, I&#8217;m very excited&#8230; I did a YouTube video on this. There&#8217;s some hidden features and one of them, that&#8217;s not really hidden, but I think it can be taken for granted, it&#8217;s really the block theme previews. That has been something, that people have been unable to preview a block theme. So to even try to explore a required setting up a test site required, or just fully activating it without knowing how it might impact your site, and the ability to preview&#8230; And the preview uses the site editor, so you&#8217;re both getting a sense of what the theme will do, how it might impact your site, what bells and whistles it has, and it allows you to actually dive into the site editor itself and get a feel for it. And I&#8217;m just completely excited about that.</p>\n\n\n\n<p>I think that will be a huge thing with adoption that will be the unsung hero of this release in my mind. It&#8217;s been something that&#8217;s been a pain point for a long time and a lot of work went in to make it smooth, and yeah, it&#8217;s something I&#8217;m very excited to play around with and to see how it impacts things and helps folks step into that world. The only other thing&#8230; Thank you for calling out the accessibility improvements as well, so much work has gone into that with a lot of these features and more work remains to be done. But I&#8217;m in particular excited about some of the improvements to List View, which I know Alex Stein spent a lot of time doing, and so I want to call that out in particular as something that I&#8217;m quite excited about. I think the only other thing on my mind relates to, right now, there is some conversation around footnotes and how footnotes are being stored, and there&#8217;s some interesting dialogue there.</p>\n\n\n\n<p>I think we&#8217;ll end up seeing fixes get in place for it, but it&#8217;s just neat how these tiny blocks that are packed full of power are continuing to be iterated on at this point and getting bug fixes. So thank you to everyone who&#8217;s testing, because a lot of that has come from testing and feedback. And I know it might seem like, oh, we&#8217;re in the RC, things are smooth sailing, but you never know. We&#8217;ve had to remove stuff, we had to remove something in 6.2, so we still have time for the final release and we want it to be as polished and bug-free as possible.</p>\n\n\n\n<p>So it&#8217;s a very high impact time to be testing WordPress 6.3. This is actually my favorite time, because if you find something now, it&#8217;s also not great, but if you find something now, you prevent it for millions of people, so I think it&#8217;s a really exciting and important time. But there&#8217;s nothing, I&#8217;m trying to think of anything else in my mind that&#8217;s super&#8230; Beyond all this pattern stuff and all the other stuff that we&#8217;ve been talking about, but the blocking previews really does stand out to me personally, as something as I&#8217;m particularly excited about.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I really like how the style book is happening around the site editor, that you can really see all the&#8230; Even if you change something on the style variation and then propagate it, you see how it changes all the blocks, or if it doesn&#8217;t change the blocks. So, is the theme preview actually also using the style book? If you go into a preview and then you see the site editor, can you access the style book to see how the…</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yes.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yes. Yeah, that&#8217;s what I thought.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yes, you can. Yeah, the entire site editor is using the preview, it&#8217;s amazing. The main thing that&#8217;s missing right now that some folks have brought up is the ability to schedule and save this draft, those different things. So that is work that needs to be done, that got brought up in the product demo, that needs to be done still, but we&#8217;ll get there. I think that&#8217;s part of the fun about iterating on this stuff, is like, yeah, yeah, totally, that is part of the roadmap, that&#8217;s something we&#8217;ll get to.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: I still remember the excitement, when the customers got that feature to schedule updates.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Really?</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, where people got ready for Christmas changes or for special sales on their website and then they could put it in the customizer and schedule it and then go on vacation or whatever.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Which is very cool.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, which is really cool. And it wasn&#8217;t so long ago, so that&#8217;s why people are still, come from that excitement and find it missing. But yeah, getting the previous in is really big. Yeah, absolutely.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: So…</p>\n\n\n\n<p><em>Anne McCarthy</em>: Now, also…</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Mm-hmm, go ahead.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Revisions is the only other one that just came to mind, as we&#8217;re talking about revisions and saving and all that sort of stuff. The visual nature of the star revisions is so cool. Template and template part revisions didn&#8217;t make it for 6.3, but I&#8217;m hoping to see that in 6.4, and I think when that completion happens, I&#8217;m curious to see what kind of confusion might come up around if you have multiple different&#8230; I&#8217;ve already noticed that, some calls for testing, where people are like, oh, I made a change to the title of this, whatever, and then try to roll back with star revisions, and it&#8217;s like, oh no, you actually need do that with template revisions. So, having an intelligent system that works and makes sense, you know where to roll back, but there&#8217;s been so much good feedback about how visual and easy and beautiful the star revisions are. So, that&#8217;s another hidden feature that I like to talk about.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, that&#8217;s great. The hidden features of 6.3, with Anne McCarthy. Yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Could be here for two hours if I do that.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Well, we have an open-ended thing here. Sooner or later I need to go to bed though. So, Anne and I, we are nine hours apart. So, Anne just got up and I&#8217;m at the end of the day, so.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Gutenberg 16.3</strong></h3>\n\n\n\n<p>So, Gutenberg 16.3, last time I looked it was about 180 PRs…</p>\n\n\n\n<p><em>Anne McCarthy</em>: Ooh.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Enhancements</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230;it&#8217;s one of the larger Gutenberg releases from 54 contributors. Two of them were first timers, and I think it was a lot of polishing and bug fixes, but there were also a few enhancements that made it into 6.3, and some of them don&#8217;t, probably, but let&#8217;s talk about them. So, the first one that I see was that you can have more intuitive archive titles for your query title block, there&#8217;s quite a few changes around that. Those don&#8217;t make it into 6.3 though, but it&#8217;s because it&#8217;s the first time it&#8217;s in there I think. So you can change the titles of your archive pages, remove the archive type, and what else is in there?&nbsp;</p>\n\n\n\n<p><em>Anne McCarthy</em>: I think this is hugely helpful because this is definitely something where we&#8217;ve gotten feedback from folks, where it was too generic before, it just showed archive title or whatever. It would not say specifically what you&#8217;re looking at, and when you&#8217;re creating a new template and you&#8217;re a first time user you might delete it, because you don&#8217;t know what it is. So knowing what it powers, knowing what it does, it&#8217;s a huge step up and I&#8217;m quite excited about this.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, yeah. And then the whole change the title of your archive pages is such an improvement towards the classic experience, because you always needed a developer to remove something or to change the title and now you can do it by yourself and you can create any kind of different templates with a query block, or the post template block. Yeah. So, yeah, next up is the add, renaming, duplication, and deletion option to patterns. That&#8217;s certainly coming into 6.3, patterns now have a dropdown menu, you can assess the three dots and then allow you to rename, duplicate and delete patterns easily. It wasn&#8217;t easy to do that before, especially the removal of patterns from your my patterns kind of thing. Yeah, it was a little bit convoluted because it wasn&#8217;t through the editor, now you can do it all through the editor. Yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I&#8217;ll also note, one of the reasons why this is also so important to get in and why it was backported in my opinion, is that when you are setting&#8230; You create a pattern and you set the sync status, so synced or unsynced, you cannot change that status after the fact. So, let&#8217;s say you make a mistake, you create an unsync and you&#8217;re like, wait, actually, I want this to be synced. Before you&#8217;d have to go in and copy/paste, this whole convoluted process, now, with the duplication you can duplicate, and when you duplicate you can basically decide the sync status. So that&#8217;s one of the things that came up, was we wanted a way to make it easy to give people control without having the option to change the sync status back and forth because that will create some muddiness.</p>\n\n\n\n<p>Let&#8217;s say you synced a pattern and then you randomly unsynced it two months later, imagine how that might create some chaos across your site. So, to limit that, we just basically said you cannot change the sync status after it&#8217;s created, but we&#8217;ll add in options to make it easy to manage those things. And things like, renaming and deleting are also just important basics to have, so yeah, I&#8217;m glad to see this in, and I think not being able to set the sync status might cause some confusion, so I&#8217;m curious how that lands with 6.3 and how we can integrate it for 6.4.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Yeah, I had some questions that were around that before, but the duplication feature, yeah, one click duplication, it&#8217;s pretty much, your work is not wasted, you just can replicate it and move forward with that. Yeah. The next piece is enable focus mode editing patterns. It was available for template parts before the focus modals, but now it&#8217;s also available for patterns, and it is then also backport it to 6.3&#8230; I&#8217;m just going to double check.</p>\n\n\n\n<p><em>Anne McCarthy</em>: I&#8217;m nearly positive, yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, me too, but…</p>\n\n\n\n<p><em>Anne McCarthy</em>: Potentially not. Let&#8217;s see if it works.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Potentially not, yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Maybe we should consider it. It might be because a new feature, but I&#8217;m like&#8230; We&#8217;re both on the corridor triage team here, it&#8217;s like, thoughts on backporting.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Maybe we should put it on the 6.3 editor task.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah. Yeah, let&#8217;s drop it into the triage session we&#8217;re doing today. Nice, I love it.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: All right, and the next part is that&#8230; Well, it&#8217;s the copy, to make sure that reusable is removed from menus and all that, for the reusable block. The next part is the sticky header and pagination for pattern page. That is really cool.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah. I love seeing that. And that basically takes the patterns section of the block editor and ensures that when you&#8217;re scrolling down, unless you have a ton of patterns, that top heading that you can filter with will still appear, and it&#8217;s a quality of life improvement and definitely something that, if you have lots of patterns, which a lot of sites do with block themes, it&#8217;s pretty critical to be able to switch between and see what you&#8217;re actually seeing. So, I was pretty excited to see that in there.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And I like the filter part, that you can just show me the synced patterns, just show me the unsynced patterns, so that&#8217;s really cool. The next one is, I wanted to mention it because that&#8217;s one of the changes, so the links that go to manage reusable blocks and manage patterns go to different places now. So, they go now to this site editor, where all the other interfaces are, to interact with patterns synced and unsynced patterns. There is that place, the WP admin looking place, still there, but now you can use all the site editor for the editing part. So, I think we will have that quite a bit in the next few releases, that we have a new managed thing, and then we can go back to the old thing, just because it might not be feature parity or so. I think that&#8217;s the first place where we can train ourselves with that.</p>\n\n\n\n<p>So, I like the site editor very much, but I&#8217;m still often going back to the WP admin and see a few things there. Yeah. Yeah, we talked about the sync status separation on the filter control already, but that&#8217;s coming also to 6.3, and it was backported to Beta 4. The components have been updated to support defined IDs for the text control component, that means that you can target them with CSS and also with JavaScript, and directly with the IDs, and identify…</p>\n\n\n\n<p><em>Anne McCarthy</em>: Very cool.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230;particular instances of the text control component, which is really important for a lot of extensibility usage there. There were some changes for the Interactivity API, and that&#8217;s only on the Gutenberg plugin. That, of course, every time we have a new thing in WordPress, we need to think about turning it off. What is necessary to turn things off? And so, the same with Interactivity API, it has been merged into 16.2, but not for 6.3, not for the WordPress, it&#8217;s coming in 6.4. But even with the Gutenberg plugin enabled, some people still want to turn off the Interactivity API because it interferes with their extensions.</p>\n\n\n\n<p>So, there&#8217;s now a filter to do this, and there&#8217;s also a runtime support to the WP style directive, so you can, on the fly, change the style for some of the Interactivity API entities. So, that&#8217;s these two things of Interactivity API. I&#8217;m sure there will be, very soon, a little bit more, a higher level, but also a more strategic announcement or strategic documentation about the Interactivity API. I know a few of our coworkers are working on that, to get this out, but with all the documentation it&#8217;s always a little bit behind the features there. So, go into the PRs to learn more about it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, I&#8217;ll note too on that front. I got some really good feedback from someone saying, &#8220;Hey, this project&#8217;s been hard to keep on top of.&#8221; And so that was feedback that&#8217;s been brought back to the folks working on that. So, I think, last I can remember, from a conversation, my brain&#8217;s a bit mushy in the last couple of weeks, but I think they&#8217;re going to try and experiment with using discussion issues as a way to keep track of things, which is a bit of a departure from using overview or tracking issue labels in GitHub, but I think it&#8217;s going to be interesting and we can learn from that. But it is, as you said, anytime you add something, we need to think about removing it, and I know the Interactivity API is likely slated for 6.4, so it&#8217;s definitely something you can keep on top of and this was a great thing to call out. I could see folks skimming over this and not realizing how important it is. So, it&#8217;s a good one to keep in mind.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. In WordCamp Europe, I talked with quite a few people&#8230; Well, there were 2000 people there and I probably talked to 200 or so. So, I couldn&#8217;t talk to everybody. But there were quite a few people who were a little bit hesitant with a block editor because they&#8217;re PHP developers, and JavaScript is not really their thing, and they were really excited about the Interactivity API and the bigger emphasis on the dynamic blocks rather than the static JavaScript block. Because they can use the render that they did in shortcuts and then in widgets or something like that, all the render code, they can now use for blocks and then put the Interactivity API just in the directives in there to, to make it replicate some of the features that they had before. Which seems to be easier than the JavaScript, jumping all in on the JavaScript side. Yeah.</p>\n\n\n\n<p>So, well, from the block library section, there&#8217;s one component, the range control, that now has an additional attribute for the default size of 40 pixels. I think it does a few other sizes, but you can now use it if you use it in your own plugin settings pages or your own sidebar items, you can have a different size as a default size managed there. So that&#8217;s pretty cool.</p>\n\n\n\n<p><em>Anne McCarthy</em>: My understanding of that one was that it was updating the component to use the 40 pixel size and the design, but I could be wrong about that. I know Rich was working on that. So, I think it&#8217;s less having a default set and more having consistency across the settings. It&#8217;s a design quality of life. Because right now I think that settings page has been shifted around, but yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, that&#8217;s what I get from the PR too, but it&#8217;s an additional attribute or a different component for the range control, because they need to keep it backwards compatible. So, what goes for the core range controls, the previous attributes and range control sizes are still in there, so it&#8217;s practically an enhancement there. But the core view is the new default, 40 pixel thing there.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s what I understood. But I might be wrong, I&#8217;ve been wrong before, so.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Same. Same. Been looking at too much stuff anyway.</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>New API</strong></h3>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, sometimes you make it up as you go along, right? So, the next item is about the nested inner blocks. There&#8217;s a new API, or at least stabilizing existing API for default block, direct insert, and get direct insert block selectors, that were previously experimental, and it was hard to build on top of them. And one of the panelists that were on our past live Q&amp;A, Seth Rubenstein, stabilized those, as a first time contributor, stabilize those APIs. So he can also work on a separate PR, that he shared some code from their Pew Research work on quizzes with the core developers, with core. So, that&#8217;s really good that community developers also stabilize some of the APIs so they can continue on their quest of making the plug editor more versatile.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, I love seeing this, and Seth has been awesome to be driving stuff forward, with really practical use cases, and I think it&#8217;s a great example of using and extending Gutenberg and the core editor, and then also contributing back in a way that furthers it and is in line with the goals of this project. So, I think it&#8217;s really exciting and cool to see this moving along.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And they want to make some of the quiz code available as plugins, but you&#8217;re not supposed to put in plugins in the repo when you have experimental APIs in there. So yeah, that&#8217;s where this work also comes in, so it&#8217;s really important to make this all work in stable conditions.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Bug Fixes</strong></h3>\n\n\n\n<p>The next part is for patterns and alternative grid layout to improve keyboard accessibility. That&#8217;s one of the accessibility improvements that you were talking about before.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, as we&#8217;ve talked about just generally adding new features, accessibility does need to keep up and we need to have it accessible for all folks. And so, this just makes a change to using a standard UL, with keyboard tab indexes, to try and improve keyboard accessibility in particular. And I&#8217;m nearly positive&#8230; Scroll down. Yeah, I was going to say, AFercia who is, that&#8217;s the GitHub username, he is sponsored by Yoast, did a great job reviewing this, and to the point that Alex Stein was like, &#8220;This looks good to me.&#8221; And so, it&#8217;s another great example of showing the back and forth between the teams, but I also would love to get to the point where this is done by default and not caught later. So, it&#8217;s great to see the collaboration and to see this being done. And I know the accessibility team is always looking for more help, so it&#8217;s just great to see the back and forth and it is back forwarded to the release.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: To 6.3, yeah. Yeah. Yeah, I&#8217;m really glad to see Andrea coming back to the accessibility team. He did take a break from working on the accessibility team, but I think he found quite a few contributors now really digging into Gutenberg. So he felt a little lonely about three or four years ago, before the pandemic definitely, and so I&#8217;m glad he&#8217;s contributing back again on the team. And sponsored by Yoast, just to mention that once in a while. Great. The next part, yeah, so there is a fix to apply text color selection to link color if link color isn&#8217;t active. That has been a long-standing issue with the block editor, that people who changed the text color on the paragraph didn&#8217;t get the same color also for the link color and needed to change that separately.</p>\n\n\n\n<p>And some people, because it&#8217;s not a default control on the paragraph, just didn&#8217;t know about the link color and how to change it, and it really wanted to not make the changes and couldn&#8217;t dream up the new design. So, I&#8217;m really glad that that is now by default. Well, of course if you want to change the link color you can, but if you just change the text color in a paragraph, it automatically also changes the link color.</p>\n\n\n\n<p><em>Anne McCarthy</em>: And I want to call out, that that was part of an effort on a project board, which is a bit in the weeds, but the UX and Polish project board is a board within the Gutenberg project that is specifically for just super actionable issues, that are typically, quality of life, as the name suggest with Polish. And then user experience, so how can we make it just super intuitive? So, I just want to point that out, is the more you can write really targeted contained requests that are like, this is just a pain in the butt, I run through this a couple of times a week or something like that, it&#8217;s a great consideration for the UX and Polish board.</p>\n\n\n\n<p>I think there&#8217;s been maybe 80 items completed as a part of the UX and Polish board, which is kind of wild. And it&#8217;s something that I know a lot of folks keep an eye on, and it&#8217;s a great, if you&#8217;re a new developer and you want to get started, it&#8217;s also a great place to go and look at ways you can improve the project. So, I was excited to see that done as well.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Does it make sense to share the link to the project board in our show notes?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, let&#8217;s do it.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230; so all the developers can grab things on what they&#8217;re interested in, and see the progress on it? Or even just test some of the PRs that are available and see if they are doing what they&#8217;re supposed to do.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Performance</strong></h3>\n\n\n\n<p>Yeah. So, the next thing is add client-side pagination to the panel list, client-side means in your browser, so you don&#8217;t go back to the server to get the next pages of patterns. I think that&#8217;s definitely a quality of life improvement. And this also has been ported back.</p>\n\n\n\n<p><em>Anne McCarthy</em>: This is the fun time with Gutenberg releases, where it&#8217;s like, what&#8217;s backported?</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: What&#8217;s not? It was cherry-picked for everyone.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, it&#8217;s synced with the core WordPress. Yeah, it doesn&#8217;t work. What&#8217;s backported? Yeah. What else? Do you want to talk about the work that&#8217;s done with the TinyMCE compatibility and the classic editor? Or the classic block in bigger projects?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah. So, one of the things that&#8217;s fun about Gutenberg is there&#8217;s actually experiments you can turn on and off. And so right now, from what I&#8217;m seeing, is there&#8217;s an experiment for TinyMCE removal, basically to help with compatibility with the classic editor plugin, and other plugins that disable the block editor. So, previously an experiment was introduced to help with TinyMCE removal, and so they&#8217;re just trying to polish this to make sure that there aren&#8217;t any regressions or just weird edge cases, and make sure that it&#8217;s using the same filter for classic editor plugin is using.</p>\n\n\n\n<p>So, it&#8217;s not for a lot of folks who are, Gutenberg change log, who are Gutenberg forward, but I think it is important to consider when we think about broader adoption and folks still using the classic editor, work and thought is still put in there. I know sometimes that feedback bubbles up, but there are efforts underway to ensure that people who do want to disable it, it still works. But yeah, I would encourage folks to also just use blocks. But yeah, I would call this a maintenance task, something that is really to just plug in interoperability and make sure things still work as expected. And so, it&#8217;s something that might be not as glamorous and shiny, but it&#8217;s still important work to do as part of the wider WordPress ecosystem.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And definitely, because there is this backwards compatibility promise for WordPress, and not only for the classic editor, but also for the classic theme. So, keeping that in mind, when you move forward in a different direction that people are still using the current stuff quite extensively and successfully, so they&#8217;re not impaired by any changes that are done. But sometimes these things are strategic and need to have a broader attention span on it and just not that one single feature. Excellent. So, I&#8217;m really glad that there is somebody on it. Yeah.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Documentation</strong></h3>\n\n\n\n<p>The next thing is mostly just to say that the documentation has been updated for the layout architecture after some of the APIs were stabilized. So, they are now showing up in the documentation and they&#8217;re not labeled as private or as experimental. So, that is definitely also a good thing, because a lot of people are a little bit hesitant to use experimental APIs or features.</p>\n\n\n\n<p>So, every time you can stabilize them and update the documentation so people know about it, is a good thing, it&#8217;s a good day. What else do we find? Oh yeah, there is an interactive template for talking about the Interactivity API.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>Tools</strong></h3>\n\n\n\n<p>So, we have this scaffolding tool called Create Block, which speeds up your block development quite a bit when you start out with a new one or with putting additional blocks into a plugin. And now, there is also a template to use the Interactivity API on the next block that you are trying to build, that you&#8217;re working on, so you don&#8217;t have to include all the Interactivity stuff, for lack of a better technical term. And hook it up to all your other files, so there&#8217;s a template there. And it&#8217;s available now with a command line command, so that is certainly something for those people that want to dive into the Interactivity API.&nbsp;</p>\n\n\n\n<p><em>Anne McCarthy</em>: And when we make stuff like that easier, it&#8217;s so exciting, so great to call out.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. Yeah, I think the great block scaffolding tool actually has not gotten enough exposure into the developers, because it was so late when it came out, people tried to build blocks and then gave up quite a bit. But now, every course, every tutorial that comes out of WordPress education or for the developer block uses a great block scaffolding. We hope to get more people building blocks.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. So, I think we are through with the change log, that&#8217;s what we wanted to point out for 16.3.&nbsp;</p>\n\n\n\n<h3 class=\"wp-block-heading\"><strong>What’s in Active Development or Discussed</strong></h3>\n\n\n\n<p>So, in active development, I think everybody, we talked about, just briefly about the phase three collaboration phase and all the posts that are there, we didn&#8217;t talk too much about it because WordPress 6.3 is such a big thing in front of us, the collaboration, we don&#8217;t know yet what&#8217;s going to be, but everyone&#8217;s excited, I think about the admin changes as well as the media library. And then, of course, the real time collaboration and the async collaboration, there&#8217;s a lot to come out. So, what are the next steps that we are going to see when people say, okay, some of us are still working on the Polish and UI changes for the site editor, and some of us are going to start and move over to the collaboration?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, I will say, I don&#8217;t anticipate to see any sort of real time collaboration added into 6.4. I think it&#8217;s such a short release cycle, so I just want to put that out there. I&#8217;m not seeing headwinds about that or momentum in that direction. But I do think that&#8217;ll give us lots of time to experiment, and I know Riad posted on Make Core about the realtime architecture, which is totally worth reading. And there&#8217;s also a GitHub issue, of course, it is a GitHub issue. But right now, the feedback that I&#8217;ve gotten and questions that I&#8217;ve gotten, since I run basically the phase two outreach program, the full site outreach program is, it&#8217;s, what outreach are we doing? What&#8217;s going to happen with that? Are you going to run one for that? There&#8217;s a lot of questions bubbling up, of what&#8217;s next.</p>\n\n\n\n<p>And right now, I will say, the focus remains on 6.3, but I would expect to see a lot of experimentation, a lot of stuff starting up. I have done some outreach to plugin authors, I&#8217;ve done related functionality like that. I&#8217;ve started talking to folks in a larger to medium to small publishing space and agencies and all that sort of stuff. But I encourage folks to stay tuned and as soon as something is ready, I planned, and I&#8217;m sure you planned, to shout it from the rooftops, try and get folks involved and figure out exactly how best to organize stuff. Because I think that is a big question is, these are such related but yet disparate initiatives, and I don&#8217;t think there&#8217;s necessarily an overarching, here is the next thing we&#8217;re doing. I think some folks, some individual contributors, are just kind of trying to explore and pave the path for now and see what we can learn, ahead of a more collective push, once 6.3 is out the door.</p>\n\n\n\n<p>But yeah, I expect things to be more experimental in the Gutenberg plugin, by the time 6.4 is released. And then 6.5 is when I am more anxious about what are we going to have in place and how can people help test. And so, right now, I encourage folks to comment on the post that Matias wrote, share your feedback, share your experiences. Are you a writer? Are you a journalist who&#8217;s had to work in collaborative situations? Talk about it, write your comments, what do you want to see? What do you like about other tools that have those kinds of features in place? What workflows does your team have?</p>\n\n\n\n<p>Yeah, I think there&#8217;s a plugin author who commented recently on a workflows post, after we had exchanged some emails, who works on a calendar. So, you have a calendar post coming up and you have workflows related to that. And he took the time to very kindly share his feedback. So, anything you can do there is super helpful, whether it&#8217;s your plugin or you&#8217;re a writer or you&#8217;re an organizational leader who has to manage this kind of stuff.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, that&#8217;s going to be real interesting. So, any feedback is really helpful in that. I just wanted to go back to what you said, okay, there&#8217;s not going to be a whole lot in 6.4 for phase three. I know there&#8217;s also quite a few things that are residual from phase two, contributors are aiming to get the funds API and the fund library into core, together with the typography management system. We talked about the Interactivity API, there&#8217;s certainly some front fund hydration kind of tools. We&#8217;re still waiting for the table of content block to be stabilized, and the time to read block, is something that is definitely on the list. And I&#8217;m really excited to see what&#8217;s coming as a default theme for 2024. And of course, all the publishing that goes into phase two interfaces and workflows for the site editor. Yeah, the default theme. Yeah.</p>\n\n\n\n<p><em>Anne McCarthy</em>: There&#8217;s so much already slated for 6.4.&nbsp;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And then your central…</p>\n\n\n\n<p><em>Anne McCarthy</em>: Provisions and templates and template parts, yeah, we could rattle off a bunch of stuff, let&#8217;s leave it.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: And we already know there&#8217;s stuff in there, so Beta 1 is September 26th, that&#8217;s just eight weeks away. And that&#8217;s kind of interesting to see how short of a cycle we are going to have, but we won&#8217;t hit US big holidays, like Thanksgiving, it will be out before Thanksgiving, it will be out before Christmas, and nobody goes into a Christmas year-end sale with a changed WordPress. So, I think it&#8217;s a good thing for the community, but it&#8217;s going to be hard to make it a splashy new feature kind of thing, when you only have eight weeks to develop. And it&#8217;s-</p>\n\n\n\n<p><em>Anne McCarthy</em>: It&#8217;s tight.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. But then Josepha started a wishlist post. We got quite a few comments there, and it&#8217;s still open until August 15th. She also made clear that it&#8217;s a wishlist, it&#8217;s not everything that&#8217;s going to be on there. It&#8217;s going to come into 6.4, but I think the jury is still out which part will be. If there is already a track ticket or a Gutenberg PR or issue, the chances might be going in, but a global, yeah, this is my wishlist kind of thing, it probably won&#8217;t get that attention. So, August 15th, that&#8217;s just before the community summit and WordCamp US. We will hopefully have, after WordCamp US, have a roadmap post, like you did for 6.3. Are you planning to doing something like that?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yes, I am. It is on my to-do list, I think for the week after, maybe August 14th or something like that, to start compiling stuff and figuring out what we can write up. Because yeah, that is an important thing to get out, especially with a shorter release cycle.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. And it&#8217;s going to be interesting to see, it&#8217;s the underrepresented gender lead release. The last one was 5.6 and now we are 6.4, two years later, three years later. So, there are some awesome people on the release team, so I&#8217;m really looking forward to working with you and so many other, 40 on the direct release team or on the cohort, so it&#8217;s a great group of women/non-binary people working on the release.&nbsp;</p>\n\n\n\n<p>So, we are at the end of the show, Anne, it was wonderful to talk to you and you sharing all your knowledge&#8230; Not all your knowledge, we would be here another 10 hours.&nbsp;</p>\n\n\n\n<p><em>Anne McCarthy</em>: The highlights.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: The highlights of the most immediate thoughts in the show. It was wonderful to have you, is there anything that you want our listeners to be aware of beyond what we talked about today, that we didn&#8217;t touch upon yet?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Oh, gosh. No, I don&#8217;t think so. I think the only thing that I&#8217;m noodling on is the next call for testing for the outreach program, and how we can get some feedback and get it going for 6.4, and just how 6.3 lands. So, stay tuned for that, if you&#8217;re not part of the FSE Outreach Program, it is still kicking, it&#8217;s still going over three years on.&nbsp;</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: That&#8217;s wonderful.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah. I really love that, how that turned out. And together, more people involved in testing themes, and no code and code people as well. So, is there a chance that you&#8217;re going to remove the experiment on that particular channel too?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Oh, gosh. I know, it&#8217;s so funny, I think it&#8217;s called FSE Outreach Experiment. Yeah, which is funny, because it&#8217;s like, how long can the experiment go for? We&#8217;re on very scientific terms right now, but yeah, no, we should remove it. I think I just referenced it everywhere, as FSE Outreach Experiment, so I&#8217;ve been nervous about getting rid of it.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Oh, okay. Yeah, I can see it.</p>\n\n\n\n<p><em>Anne McCarthy</em>: And FSE is also an old term&#8230; It&#8217;s just kind of a weird snapshot in time. But yeah, we&#8217;ll see.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: All right, well, it was wonderful to have you. If people want to get in touch with you, would be through the channel FSE Outreach Experiments?</p>\n\n\n\n<p><em>Anne McCarthy</em>: Yeah, that&#8217;s probably the easiest. I&#8217;m @annezazu on Make Slack, and then I have a site, <a href=\"https://nomad.blog/\">Nomad.blog</a>. I&#8217;m on LinkedIn, but otherwise, not really typically on any social media. So not on X, or whatever they&#8217;re calling it, the kids are calling it these days. I don&#8217;t know how you even refer to that anymore.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: Yeah, it&#8217;s now a Boomers network, right? All right, well, thank you so much for being here, and we are going on holiday, the next recording will be August 25th and we will have Ellen Bauer.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Oh, amazing.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: &#8230;lead for design, or co-lead, on the design release team for 6.4. And we&#8217;re going to talk about their work on block themes, and of course the next two Gutenberg releases, Gutenberg 16.4 and 16.5. So, stay tuned for the next one. And there&#8217;s always, dear listeners, the show notes will be published on gutenbergtimes.com/podcast, and if you have questions as suggestions or news you want us to cover, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. That&#8217;s <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a>. And that&#8217;s it for me, I wish everybody a great summer, and I will be back end of August. Take care.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Amazing. Thank you for having me.</p>\n\n\n\n<p><em>Birgit Pauli-Haack</em>: All right, bye-bye.</p>\n\n\n\n<p><em>Anne McCarthy</em>: Bye.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 29 Jul 2023 20:28:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"Gutenberg Times: Patterns, Block Styles and Slotfills—Weekend Edition #263\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://gutenbergtimes.com/?p=25029\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://gutenbergtimes.com/patterns-block-styles-and-slotfills-weekend-edition-263/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14894:\"<p>Howdy, </p>\n\n\n\n<p>One more week, and I will start my Summer vacation. It&#8217;ll be a mixture between, pursuing neglected passing projects, giving family support, birthday celebrations and home improvement projects. My husband and I will join my in-laws  (MIL + SIL) on a river-cruise on the Danube and visit new places and revisit familiar places. </p>\n\n\n\n<p>The last touches on the WordPress 6.3 release are happening. If you haven&#8217;t yet, check out all the information that&#8217;s out there, and you find in the last two weekend editions. </p>\n\n\n\n<p>Yours, 💕<br /><em>Birgit</em></p>\n\n\n\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p><strong>Table of Contents</strong></p>\n\n\n\n<div class=\"wp-block-sortabrilliant-guidepost\"><ul><li><a href=\"https://gutenbergtimes.com/feed/#0-word-press-release-information\">Developing Gutenberg and WordPress</a><ul><li><a href=\"https://gutenbergtimes.com/feed/#1-word-press-6-3\">WordPress 6.3</a></li><li><a href=\"https://gutenbergtimes.com/feed/#1-gutenberg-16-3\">Gutenberg 16.3 </a></li></ul></li><li><a href=\"https://gutenbergtimes.com/feed/#0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</a></li><li><a href=\"https://gutenbergtimes.com/feed/#2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</a></li><li><a href=\"https://gutenbergtimes.com/feed/#3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </a></li></ul></div>\n</div></div>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-word-press-release-information\">Developing Gutenberg and WordPress</h2>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"1-word-press-6-3\">WordPress 6.3</h3>\n\n\n\n<p>On the WordPress News site, <strong>Anne McCarthy</strong> published <a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\"><strong>Synced Patterns: The Evolution of Reusable Blocks</strong></a>. You&#8217;ll learn everything there is to know about how the term &#8220;Synced patterns&#8221; is replacing the term &#8220;Reusable blocks&#8221;, and how this brings a unified creation experience for new pattern to your WordPress site with the new version. </p>\n\n\n\n<p>Many users have been applying reusable blocks to CTA, bios and compliance copy on their sites. Those will stay intact. Nothing changes here. The same mechanism you used to create reusable blocks, is also used to create synced patterns. It&#8217;s now also expanded to create standard patterns. A feature many site owners and designers have been waiting for. McCarthy and I also talked about this during our podcast recording. </p>\n\n\n\n<img />\n\n\n\n<hr class=\"wp-block-separator has-text-color has-accent-color has-alpha-channel-opacity has-accent-background-color has-background is-style-wide gt-separator\" />\n\n\n\n<p><strong>Matt Medeiros,</strong> publisher of WPMinute, asked in his latest episode: <br /><a href=\"https://thewpminute.com/will-wordpress-6-3-be-the-best-ever/\"><strong>Will WordPress 6.3 be the best ever?</strong></a> &#8220;There are a lot of exciting features coming to WordPress 6.3 which will set the tone for the next few years of our favorite CMS.&#8221; he wrote. </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-accent-color has-alpha-channel-opacity has-accent-background-color has-background is-style-wide gt-separator\" />\n\n\n\n<p><strong>Jonathan Bossenger </strong>provides a recording of his <a href=\"https://wordpress.tv/2023/07/28/testing-wordpress-6-3-developer-edition/\"><strong>Testing WordPress 6.3 – Developer Edition</strong></a> session. You&#8217;ll learn how to install the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\"><em>WordPress Beta Tester plugin</em></a>, convert a local installation to 6.3 RC  for testing. Then use this setup to test it against a theme that is in active development, and then revert it back to WordPress 6.2.2. With WordPress 6.3 due on August 8, 2023, now would be a great time to help test the release candidate, as well as confirm that your plugins and themes are ready for the 6.3 release.</p>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"1-gutenberg-16-3\">Gutenberg 16.3 </h3>\n\n\n\n<p><strong><a href=\"https://twitter.com/michaelburridge\">Michael Burridge</a></strong> led the latest Gutenberg release. It was mainly a maintenance release and comprised of a myriad of bug fixes for features slated for WordPress 6.3. Burridge highlighted in his release post <strong><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">What’s new in Gutenberg 16.3? (26 July)</a>&nbsp;</strong></p>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/#focus-mode-editing-for-patterns\">‘Focus mode’ editing for patterns</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/#sticky-header-bar-on-patterns-page\">Sticky header bar on Patterns page</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/#rename-duplicate-and-delete-patterns\">Rename, duplicate, and delete patterns</a></li>\n</ul>\n\n\n\n<img />\n\n\n\n<hr class=\"wp-block-separator has-text-color has-accent-color has-alpha-channel-opacity has-accent-background-color has-background is-style-wide gt-separator\" />\n\n\n\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-constrained wp-block-group-is-layout-constrained\"><div class=\"wp-block-group__inner-container\">\n<div class=\"wp-block-group has-light-background-background-color has-background is-layout-flow wp-block-group-is-layout-flow\"><div class=\"wp-block-group__inner-container\">\n<p class=\"is-style-no-vertical-margin\"><strong>🎙️ </strong> Latest episode: <a href=\"https://gutenbergtimes.com/podcast/gutenberg-changelog-87/\">Gutenberg Changelog #87 – Patterns, Gutenberg 16.3 and WordPress 6.3.</a> with Anne McCarthy as special guest, hosted by Birgit Pauli-Haack</p>\n</div></div>\n</div></div>\n\n\n\n<p><strong>Anne McCarthy</strong> and I talked about this release and, of course, also about WordPress 6.3 while recording the <strong>Gutenberg Changelog 87</strong>. It&#8217;s always a great joy to listen to Anne and take a deep dive into the Site editor with her. The episode is still at the editor, but will be available via your favorite podcast app over the weekend. My favorite Podcast app is <a href=\"https://pocketcasts.com/\">Pocket Casts</a> and I have been a paying subscriber for many years.</p>\n\n\n\n<img />\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<p><strong>Sarah Gooding</strong> reported on the release as well in her article: <a href=\"https://wptavern.com/gutenberg-16-3-adds-new-tools-for-patterns\"><strong>Gutenberg 16.3 Adds New Tools for Patterns</strong></a>. &#8220;Most notably, custom user patterns now have a dropdown menu for renaming, duplicating and deleting them. Patterns and template parts that come with themes will only have the “duplicate” option available since they cannot be deleted or renamed.&#8221; she wrote. </p>\n\n\n\n\n<p><strong>&nbsp;<a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/\" target=\"_blank\" rel=\"noreferrer noopener\">&#8220;Keeping up with Gutenberg &#8211; Index 2022&#8221;</a>&nbsp;</strong><br />A chronological list of the WordPress Make Blog posts from various teams involved in Gutenberg development: Design, Theme Review Team, Core Editor, Core JS, Core CSS, Test and Meta team from Jan. 2021 on. Updated by yours truly.  <a href=\"https://make.wordpress.org/core/handbook/references/keeping-up-with-gutenberg-index/keeping-up-with-gutenberg-index-2020/\"><em>The index 2020 is here</em></a></p>\n\n\n\n\n<h2 class=\"wp-block-heading\" id=\"0-p\">Plugins, Themes, and Tools for #nocode site builders and owners</h2>\n\n\n\n<p><strong>Jamie Marsland </strong>released a new video with a <a href=\"https://www.youtube.com/watch?v=ckq0Wfu2xvs\"><strong>tons of WordPress News that you probably missed</strong></a> with a demo of the <a href=\"https://gutenbergtimes.com/introducing-the-breadcrumbs-wordpress-block-plugin/\">Justin Tadlock&#8217;s Breadcrumbs Block</a>, the time to read block, and vertical text feature, and finally short appearances from Mike McAlister and Kevin Geary, with strong opinions on block themes specifically and Gutenberg as a whole. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p>When users are new to WordPress, taxonomy is one of the concepts, that is harder to explain. <strong>Sarah Snow</strong> published a tutorial: <a href=\"https://learn.wordpress.org/tutorial/categories-vs-tags-whats-the-difference/\"><strong>Categories vs. Tags: What’s the difference?</strong></a> on the Learn.WordPress site. She shows you how to use them and that they are good for SEO juice and enhances content discovery for your readers. And  never have posts &#8220;uncategorized&#8221; again. </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"2-word-press-6-0-1-and-6-1-scheduled\">Theme Development for Full Site Editing and Blocks</h2>\n\n\n\n<p>Last week, <strong>Justin Tadlock</strong> published <a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-1-using-the-wordpress-scripts-package-with-themes/\">part 1</a> of his Beyond Block Styles series. In part 2 he walks you through how to build custom styles for the core Separator Block.  <a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-2-building-a-custom-style-for-the-separator-block/\"><strong>Beyond block styles, part 2: building a custom style for the Separator block</strong></a>. It&#8217;s a deep dive into the inner workings of creating block styles for core blocks. You would need to have a certain set-up in place to follow along, and Tadlock takes you by the hand on <a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-1-using-the-wordpress-scripts-package-with-themes/\">using the WordPress scripts package with themes</a>. I can hardly wait for the third part. I probably see first drafts next week. </p>\n\n\n\n<img />\n\n\n\n<p class=\"has-light-background-background-color has-background\">Oh, and while I have you: Are you a developer with a topic idea that you would like to share with the community? How about publishing it <strong>WordPress Developer Blog?</strong> Read the&nbsp;<a href=\"https://developer.wordpress.org/news/tips-and-guidelines-for-writers/\">tips and guidelines</a>&nbsp;and find out&nbsp;<a href=\"https://developer.wordpress.org/news/how-to-contribute/\">how you can contribute</a>. Our next monthly meeting will be on August 3rd, 2023 at 13:00 UTC in the WP Slack <a href=\"https://wordpress.slack.com/archives/C03RL47B3S8\">#core-dev-blog</a> channel. Or just DM me on Slack @bph and we&#8217;ll set up a talk. </p>\n\n\n\n<p>If you are a novice to working with NodeJS or npm, <strong>Jonathan Bossenger </strong>has a tutorial for you on Learn.WordPress: <a href=\"https://learn.wordpress.org/tutorial/installing-node-js-and-npm-for-local-wordpress-development/\"><strong>Installing Node.js and npm for local WordPress development</strong></a>. </p>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"3-building-themes-for-fse-and-word-press\">Building Blocks and Tools for the Block editor. </h2>\n\n\n\n<p>In his live coding session on twitch, <strong>Ryan Welcher</strong> covered &#8211;  it seems &#8211; his most favorite topic: <strong><a href=\"https://www.twitch.tv/videos/1883051136\">Using custom SlotFill to extend a codebase</a>,</strong> using is ever evolving Advanced Query Loop plugin and adding more settings to the plugin&#8217;s sidebar. </p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n<p><strong>Michael Burridge</strong> and <strong>Justin Tadlock </strong>presented at this month&#8217;s <a href=\"https://wordpress.tv/2023/07/26/wordpress-developer-hours-styling-blocks-july-2023/\"><strong>Developer Hours about Styling Blocks.</strong></a> The recording is available on WordPress TV. The panel talked about CSS custom properties (also known as CSS variables). You learn how to leverage them in custom blocks to give users more control over the styling and presentation of their sites.</p>\n\n\n\n\n<p><strong><a href=\"https://gutenbergtimes.com/need-a-zip-from-master/\">Need a plugin .zip from Gutenberg&#8217;s master branch?</a></strong><br />Gutenberg Times provides daily build for testing and review. <br />Have you been using it? Hit reply and let me know.</p>\n\n\n\n<p><img alt=\"GitHub all releases\" src=\"https://img.shields.io/github/downloads/bph/gutenberg/total?style=for-the-badge\" /></p>\n\n\n\n\n<p class=\"has-text-align-right has-small-font-size\"><em>Questions? Suggestions? Ideas? Don&#8217;t hesitate to send <a href=\"mailto:pauli@gutenbergtimes.com\">them via email</a> or send me a message on WordPress Slack or Twitter @bph</em>. </p>\n\n\n\n<p class=\"has-text-align-right has-small-font-size\">For questions to be answered on the <a href=\"http://gutenbergtimes.com/podcast\">Gutenberg Changelog</a>, send them to <a href=\"mailto:changelog@gutenbergtimes.com\">changelog@gutenbergtimes.com</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity is-style-wide\" />\n\n\n\n\n<p>Featured Image: <a href=\"https://creativecommons.org/share-your-work/public-domain/cc0/\">CCO</a>&nbsp;licensed&nbsp;<a href=\"https://wordpress.org/photos/photo/382642d6b2/\">photo</a>&nbsp;by&nbsp;<a href=\"https://wordpress.org/photos/author/lanche86/\">lanche86</a>&nbsp;from the&nbsp;<a href=\"https://wordpress.org/photos/\">WordPress Photo Directory</a>.</p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<p class=\"has-text-align-left\"><strong>Don&#8217;t want to miss the next Weekend Edition? </strong></p>\n\n\n\n<form class=\"wp-block-newsletterglue-form ngl-form ngl-portrait\" action=\"https://gutenbergtimes.com/feed/\" method=\"post\"><div class=\"ngl-form-container\"><div class=\"ngl-form-field\"><label class=\"ngl-form-label\" for=\"ngl_email\"><br />Type in your Email address to subscribe.</label><div class=\"ngl-form-input\"><input type=\"email\" class=\"ngl-form-input-text\" name=\"ngl_email\" id=\"ngl_email\" /></div></div><button type=\"submit\" class=\"ngl-form-button\">Subscribe</button><p class=\"ngl-form-text\">We hate spam, too and won&#8217;t give your email address to anyone except Mailchimp to send out our Weekend Edition</p></div><div class=\"ngl-message-overlay\"><div class=\"ngl-message-svg-wrap\"></div><div class=\"ngl-message-overlay-text\">Thanks for subscribing.</div></div><input type=\"hidden\" name=\"ngl_list_id\" id=\"ngl_list_id\" value=\"26f81bd8ae\" /><input type=\"hidden\" name=\"ngl_double_optin\" id=\"ngl_double_optin\" value=\"yes\" /></form>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 29 Jul 2023 09:34:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Birgit Pauli-Haack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"WPTavern: Ninja Forms Version 3.6.26 Patches Multiple High Severity Security Vulnerabilities\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147292\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wptavern.com/ninja-forms-version-3-6-26-patches-multiple-high-severity-security-vulnerabilities\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1893:\"<p>If you use the <a href=\"https://wordpress.org/plugins/ninja-forms\">Ninja Forms</a> plugin and your sites aren&#8217;t set to get automatic plugin updates, add a round of updates to your weekend plans. Patchstack is <a href=\"https://patchstack.com/articles/multiple-high-severity-vulnerabilities-in-ninja-forms-plugin/\">reporting multiple high severity security vulnerabilities</a> in the plugin, including the following:</p>\n\n\n\n<ul>\n<li>a POST-based reflected XSS (7.6 CVSS 3.1 score)</li>\n\n\n\n<li>a broken access control on form submissions export feature that allows Subscriber and Contributor role users to export all of the Ninja Forms submissions on a WordPress site (7.6 CVSS 3.1 score)</li>\n</ul>\n\n\n\n<p>Patchstack researchers discovered the vulnerabilities on June 22, 2023, and Ninja Forms patched them on July 4, 2023. The security advisory was publicly released on July 27, 2023. </p>\n\n\n\n<p>The plugin&#8217;s changelog for version 3.6.26 transparently identifies the security fixes included in the release:</p>\n\n\n\n<blockquote class=\"wp-block-quote\">\n<p><em>Security Enhancements:</em><br />* Prevent unauthorized download of submission<br />* Prevent scripts in dashboard field labels; responsibly reported by Sayandeep Dutta<br />* Prevent front-facing label scripts; responsibly reported by Jonathon Zamora &amp; WordPress.org<br />* Prevent excess extra data through automated form submission<br />* Prevent override access where not permitted</p>\n</blockquote>\n\n\n\n<p>Ninja Forms is used on more than 800,000 WordPress sites. The majority of the plugin&#8217;s users are on version 3.6.x (73.6%) but WordPress.org doesn&#8217;t offer a more detailed breakdown of minor versions, so it&#8217;s not clear how many are still vulnerable. Ninja Forms users are recommended to patch their sites immediately. At this time, the vulnerabilities are not known to have been exploited.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Jul 2023 22:11:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WPTavern: WordPress Launches Slack/Matrix Bridge\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147271\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wptavern.com/wordpress-launches-slack-matrix-bridge\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3419:\"<p>WordPress meta contributors have just logged an important milestone in their efforts to <a href=\"https://wptavern.com/wordpress-project-to-evaluate-replacing-slack-with-matrix-open-source-chat\">explore replacing Slack communication with Matrix</a>, an open source federated chat system. The team hosted a meeting on the Meta Slack channel and the corresponding #meta:community.wordpress.org Matrix room simultaneously, enabled by the project&#8217;s <a href=\"https://make.wordpress.org/meta/2023/07/20/matrix-chat-summary-july-20-2023/\">new Slack/Matrix bridge</a>.</p>\n\n\n\n<p>The bridge allows users to follow the chat and participate from either Matrix or Slack, with messages showing up in real-time. It&#8217;s a tool that will make the transition easier as the WordPress project moves towards replacing Slack. The team is still in the process of importing the history for channels but the bridges are already in place for all public Slack channels/Matrix rooms. </p>\n\n\n\n<p>DM&#8217;s do not work over the bridge, although they work between Matrix users. The bridge doesn&#8217;t have access to anything that is private, and the historic data import into Matrix will only apply to public Slack channels. DMs and private channel history will not be ported over.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1213\" height=\"996\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/07/make-meta-chatrix.png\" alt=\"\" class=\"wp-image-147278\" />Meta contributor meeting inside Chatrix instance with room switcher disabled \n\n\n\n<p>The Matrix team has created a Gutenberg block that embeds a Matrix client called <a href=\"https://wordpress.org/plugins/chatrix/\">Chatrix</a>, which can be added to any WordPress page/post or P2 blog, as shown in the screenshot above. This example can be accessed at <a href=\"https://make.wordpress.org/meta/chat/\">https://make.wordpress.org/meta/chat/</a>. WordPress.org users can sign in with SSO inside the block and authorize their accounts to connect:</p>\n\n\n\n<img width=\"465\" height=\"500\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/07/Screen-Shot-2023-07-28-at-3.03.35-PM-465x500.png\" alt=\"\" class=\"wp-image-147279\" />\n\n\n\n<p>Now that the Matrix server is live at <a rel=\"noreferrer noopener\" href=\"https://community.wordpress.org/\" target=\"_blank\">community.wordpress.org</a>, WordPress users who want to attend team meetings or join rooms via Matrix can now do so using their choice of Matrix clients that support SSO. Logging in uses the same credentials as the WordPress.org account.</p>\n\n\n\n<p>&#8220;Compared to Slack this means a vastly simplified onboarding process,&#8221; Automattic-sponsored contributor Alex Kirk said. &#8220;Instead of waiting for an e-mail arriving at a special e-mail address, you set the server in your Matrix client to <code>community.wordpress.org</code> and click &#8216;Login with WordPress.org&#8217; (the name of that button might vary by client).&#8221;</p>\n\n\n\n<p>As the channels&#8217; history gets migrated over, Kirk said WordPress users will be automatically invited to rooms on Matrix that they have already joined from the Slack side. The team is planning to make more wide-scale public announcements after the Slack/Matrix bridge has demonstrated that it is running stable.</p>\n\n\n\n<p><a target=\"_blank\" rel=\"noreferrer noopener\" href=\"https://app.slack.com/services/B05A8FX9LBD\"></a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Jul 2023 21:31:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Matt: Ottawa Can Bring It\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=92586\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"https://ma.tt/2023/07/ottawa-can-bring-it/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:470:\"<p>Ottawa reminds me a lot of Houston. A city that is a microcosm of Canada&#8217;s diversity and vibrance.</p>\n\n\n\n<p>When you visit Ottawa, I&#8217;d recommend checking out <a href=\"https://aiana.ca/\">Aiana Restaurant Collective</a> (powered by WordPress, natch!) and <a href=\"https://www.stolengoodscocktailbar.com/\">Stolen Goods Cocktail Bar</a> to see craftspeople operating at the top of their game. <a href=\"https://dineriviera.com/\">Riviera</a> was also nice.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Jul 2023 02:52:40 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"WPTavern: ClassicPress Community Considers Re-forking WooCommerce for Classic Commerce v2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147238\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:100:\"https://wptavern.com/classicpress-community-considers-re-forking-woocommerce-for-classic-commerce-v2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4802:\"<p><a href=\"https://www.classicpress.net/\">ClassicPress</a>, the fork that has been keeping WordPress 4.9 on life support for those who don&#8217;t want to use the block editor, will soon be moving into version 2.0 after the community <a href=\"https://wptavern.com/classicpress-community-votes-to-re-fork-wordpress\">voted to re-fork a newer version of WordPress</a> (6.x) to keep moving forward. <a href=\"https://www.classicpress.net/classicpress-v1-6-0-is-out/\">Version 1.6.0</a> was released a few weeks ago as the last minor release before version 2.0.</p>\n\n\n\n<p>ClassicPress contributors are <a href=\"https://forums.classicpress.net/t/classiccommerce-v2/4860\">discussing the future of Classic Commerce</a>, which is a <a href=\"https://classiccommerce.cc/\">fork of WooCommerce 3.5.3</a> created to provide a reliable e-commerce solution for ClassicPress users. The community is now bracing for the inevitable compatibility issues introduced by version 2.0 that will require a massive undertaking to resolve. </p>\n\n\n\n<p>In a forum thread seeking community input, @shimmy, an IT solutions business owner with an interest in supporting a long term e-commerce solution, proposed the following options for Classic Commerce&#8217;s future: </p>\n\n\n\n<ul>\n<li>Re-Fork Woo-Current</li>\n\n\n\n<li>Re-Fork Woo-Previous</li>\n\n\n\n<li>Fork a different eCommerce solution</li>\n\n\n\n<li>Migrate CCv1 to current</li>\n\n\n\n<li>Complete Rewrite</li>\n</ul>\n\n\n\n<p>&#8220;We can talk about re-forking, using something that works or asking ourselves: are we ready to really fork and support it on our own developing it in a way it works in ClassicPress or do we fork it and continue to patch it every time it doesn’t work because blocks or just keep it frozen?&#8221; Elisabetta Carrara said.</p>\n\n\n\n<p>After some discussion multiple participants in the conversation were in agreement that forking the latest version of WooCommerce to make it work with ClassicPress is not a viable option.</p>\n\n\n\n<p>ClassicPress director Viktor Nagornyy suggested exploring a refork similar to the method used for ClassicPress 2.0.</p>\n\n\n\n<p>&#8220;With CP v2.0, we didn’t take WP v6.2 and rip out blocks, FSE, and React,&#8221; he said. &#8220;<a href=\"https://forums.classicpress.net/u/mattyrob\">@MattyRob</a> merged <code>develop</code> branch with CP v1, and worked his way through all the files to resolve merge conflicts. That was a lot of work, and he did a great job. WooCommerce and Classic Commerce are plugins, so I assume they have fewer files than WP/CP core.</p>\n\n\n\n<p>&#8220;This type of &#8216;merge-fork&#8217; could be a viable option for CC to save time and effort.&#8221; </p>\n\n\n\n<p>@shimmy, who would be leading this effort, said he is leaning toward this approach.</p>\n\n\n\n<p>&#8220;I think this provides a more natural upgrade path and to some degree backwards compatibility,&#8221; he said. &#8220;At some point in the course of merge-fork WC plugins will no longer be compatible with CC; which is fine because I think that CC should have it’s own plugin &#8216;bazaar.&#8217; This ensures compatibility with CC; if you need a feature then it should be a filtered result with what you already have in place.&#8221;</p>\n\n\n\n<p>Nagornyy also encouraged a nascent plugin ecosystem to grow up around these forks to provide additional features. Although the WooCommerce plugin ecosystem has thousands of options for extending stores, they are not guaranteed to be compatible with forks built on older versions of WordPress and WooCommerce.</p>\n\n\n\n<p>&#8220;While the core CC is free, I encourage plugin developers to consider developing paid plugins for CC to ensure they get paid for their time and effort,&#8221;  Nagornyy said. &#8220;It only strengthens CP and CC knowing premium, supported plugins are available. For e-commerce, the two profitable (and critically important) categories of plugins are payment gateways and shipping integrations.&#8221;</p>\n\n\n\n<p>With the major <a href=\"https://wptavern.com/wordpress-plans-ambitious-admin-ui-revamp-with-design-system-galvanizing-broad-support-from-the-developer-community\">changes coming to the WordPress admin in Phase 3</a> of the Gutenberg project, maintaining these forks will continue to be an uphill slog, as fewer plugins from the wider ecosystem will remain compatible with ClassicPress. </p>\n\n\n\n<p>Maintaining payment gateways and shipping integrations for compatibility with these forks is also going to be challenging, as this discussion indicates that the community doesn&#8217;t have many experienced e-commerce developers who are eager to step up and donate their time to this project.  If Classic Commerce cannot deliver on the ambitious &#8216;merge-fork&#8217; option, users may need to look towards integrating external e-commerce solutions. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 22:16:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"Post Status: WordPress 6.3 RC2 • Synced Patterns • Internationalization • Gutenberg Phase 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://poststatus.com/?p=150017\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://poststatus.com/wordpress-6-3-rc2-synced-patterns-internationalization-gutenberg-phase-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:25140:\"<h2 class=\"wp-block-heading\" id=\"h-this-week-at-wordpress-org-april-3-2023\">This Week at WordPress.org (July 25, 2023)</h2>\n\n\n<div class=\"has-background has-theme-palette-8-background-color wp-block-post-excerpt\"><p class=\"wp-block-post-excerpt__excerpt\">We&#8217;re under two weeks away from WordPress 6.3 release. Have you started testing? <br /><br />Big changes are envisioned for the Media Library, Admin Dashboard, and more. You have an opportunity NOW to share ideas. What considerations do we need to account for? Read the Phase 3 post from Matías and share your feedback in the comments. <br /><br />No longer will you find Reusable Blocks. In WordPress 6.3, you&#8217;ll now find Synched Patterns. Read on to learn why the name has been changed. </p></div>\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-kadence-infobox kt-info-box_94d1bd-77\"><div class=\"kt-blocks-info-box-link-wrap kt-blocks-info-box-media-align-left kt-info-halign-left\"><div class=\"kt-blocks-info-box-media-container\"><div class=\"kt-blocks-info-box-media kt-info-media-animate-none\"><div class=\"kadence-info-box-icon-container kt-info-icon-animate-none\"><div class=\"kadence-info-box-icon-inner-container\"><span class=\"kb-svg-icon-wrap kb-svg-icon-fe_gitMerge kt-info-svg-icon\"></span></div></div></div></div><div class=\"kt-infobox-textcontent\"><h2 class=\"kt-blocks-info-box-title\"> WP 6.3, Reusable Blocks, Phase 3, i18N</h2><p class=\"kt-blocks-info-box-text\"><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f680.png\" alt=\"🚀\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a><br /><br />3&#x20e3; <a href=\"https://make.wordpress.org/core/tag/phase-3/\">Gutenberg Phase 3</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f310.png\" alt=\"🌐\" class=\"wp-smiley\" /> <a href=\"https://make.wordpress.org/core/2023/07/24/i18n-performance-analysis/\">I18N Performance Analysis</a><br /><br /><img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f501.png\" alt=\"🔁\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a></p></div></div></div>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_b57166-6e\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-news\"><a href=\"https://wordpress.org/news\">News</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\">Synced Patterns: The Evolution of Reusable Blocks</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">WordPress 6.3 Live Product Demo – Highlights &amp; Recording</a></li>\n</ul>\n\n\n\n<div class=\"wp-block-kadence-spacer aligncenter kt-block-spacer-_8f6276-eb\"><div class=\"kt-block-spacer kt-block-spacer-halign-center\"><hr class=\"kt-divider\" /></div></div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-22\">\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\">WordPress 6.3</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 Release Candidate 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-3-accessibility-improvements/\">WordPress 6.3 Accessibility Improvements</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-1/\">WordPress 6.3 Release Candidate 1</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/19/wordpress-6-2-release-candidate-phase-2/\">WordPress 6.3 Release Candidate Phase</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/30/6-3-release-parties-schedule-and-hosts/\">6.3 Release Parties Schedule and hosts</a></li>\n\n\n\n<li><a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">WordPress 6.3 Beta 2</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/design/2023/05/25/wordpress-6-3-design-kickoff/\">WordPress 6.3 design kickoff</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/25/bug-scrub-schedule-for-6-3/\">Bug Scrub Schedule for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/wordpress-6-3-planning-roundup/\">WordPress 6.3 Planning Roundup</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/05/18/roadmap-to-6-3/\">Roadmap to 6.3</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordPress 6.4</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-4-whats-on-your-wishlist/\">WordPress 6.4: What’s on your wishlist?</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/06/05/wordpress-6-4-development-cycle/\">WordPress 6.4 Development Cycle</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h3 class=\"wp-block-heading\">WordPress 6.3 Field Guide and Dev-Notes</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">WordPress 6.3 Field Guide</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-block-selectors-api/\">Introducing the Block Selectors API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/introducing-the-wordpress-command-palette-api/\">Introducing the WordPress Command Palette API</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/layout-updates-in-the-editor-for-wordpress-6-3/\">Layout updates in the editor for WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/social-icons-block-applied-colors-now-dynamically-update-based-on-theme-json-and-global-styles/\">Social Icons block: Applied colors now dynamically update based on theme.json and Global Styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-editor-changes-in-wordpress-6-3/\">Miscellaneous Editor changes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/bundled-themes-dropping-internet-explorer-scripts-and-styles/\">Bundled themes dropping Internet Explorer scripts and styles</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/17/improvements-to-the-cache-api-in-wordpress-6-3/\">Improvements to the Cache API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/configuring-development-mode-in-6-3/\">Configuring development mode in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/i18n-improvements-in-6-3/\">I18N Improvements in 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/image-performance-enhancements-in-wordpress-6-3/\">Image performance enhancements in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/13/improvements-to-the-metadata-api-in-wordpress-6-3/\">Improvements to the metadata API in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/wp_query-used-internally-in-get_pages/\">WP_Query used internally in get_pages()</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/registering-scripts-with-async-and-defer-attributes-in-wordpress-6-3/\">Registering scripts with `async` and `defer` attributes in WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/11/new-in-6-3-rollback-for-failed-manual-plugin-and-theme-updates/\">New in 6.3: Rollback for failed manual plugin and theme updates</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/14/improved-caching-for-database-queries-in-wp_user_query/\">Improved Caching for Database Queries in WP_User_Query</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/18/miscellaneous-developer-changes-in-wordpress-6-3/\">Miscellaneous developer changes in WordPress 6.3</a></li>\n</ul>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-27\">\n<div class=\"wp-block-column is-layout-flow\">\n<div class=\"wp-block-columns is-layout-flex wp-container-25\">\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-community\"><a href=\"https://make.wordpress.org/community\">Community</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/recap-of-the-diverse-speaker-training-group-wpdiversity-amer-emea-on-july-12-2023/\">Recap of the Diverse Speaker Training group (#WPDiversity) AMER/EMEA on July 12, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/13/new-handbook-page-for-wordcamp-organizers-wordcamp-speaker-selection-for-content-and-diversity/\">New handbook page for WordCamp Organizers: WordCamp Speaker Selection (for content AND diversity)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/community/2023/07/12/summary-of-the-q2-community-team-role-updates/\">Summary of the Q2 Community Team Role Updates</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-core\"><a href=\"https://make.wordpress.org/core\">Core</a> </h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/25/a-week-in-core-july-24-2023/\">A Week in Core – July 24, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">What’s new in Gutenberg 16.3? (26 July)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/24/i18n-performance-analysis/\">I18N Performance Analysis</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\">Phase 3 Ideations</h3>\n\n\n\n<ul>\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/03/real-time-collaboration/\" rel=\"noreferrer noopener\">Real-Time Collaboration</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/04/workflows/\" rel=\"noreferrer noopener\">Workflows</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/05/revisions/\" rel=\"noreferrer noopener\">Revisions</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/07/media-library/\" rel=\"noreferrer noopener\">Media Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/10/block-library/\" rel=\"noreferrer noopener\">Block Library</a></li>\n\n\n\n<li><a target=\"_blank\" href=\"https://make.wordpress.org/core/2023/07/12/admin-design/\" rel=\"noreferrer noopener\">Admin Design</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-developer-blog\"><a href=\"https://developer.wordpress.org/news/\">Developer Blog</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://developer.wordpress.org/news/2023/07/beyond-block-styles-part-1-using-the-wordpress-scripts-package-with-themes/\">Beyond block styles, part 1: using the WordPress scripts package with themes</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/make-your-sites-typography-make-a-statement/\">Make your site’s typography make a statement</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/whats-new-for-developers-july-2023/\">What’s new for developers? (July 2023)</a></li>\n\n\n\n<li><a href=\"https://developer.wordpress.org/news/2023/07/how-to-modify-theme-json-data-using-server-side-filters/\">How to modify theme.json data using server-side filters</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-meetings\">Meetings</h3>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/26/core-editor-chat-summary-26th-july-2023/\">Core Editor chat summary: 26th July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/core/2023/07/25/dev-chat-agenda-july-26-2023/\">Dev Chat agenda, July 26, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/docs\">Docs</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/docs/2023/07/24/online-monthly-docs-team-contributor-day-july-25-2023/\">Online monthly Docs Team Contributor Day July 25, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/docs/2023/07/18/call-for-volunteers-to-help-with-6-3-end-user-documentation/\">Call for volunteers to help with 6.3 end-user documentation</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/24/documentation-team-update-july-24-2023/\">Documentation Team Update – July 24, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-hosting\"><a href=\"https://make.wordpress.org/hosting\">Hosting</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/hosting-team-meeting-agenda-2023-07-26/\">Hosting Team meeting agenda 2023-07-26</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/hosting/2023/07/26/wordpress-hosting-survey/\">WordPress Hosting Survey</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/meta\">Meta</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/meta/2023/07/20/matrix-chat-summary-july-20-2023/\">Matrix chat Summary – July 20, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/20/make-team-dashboards/\">Make Team Dashboards</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/15/triaging-open-issues-on-trac-for-make-teams/\">Triaging open issues on Trac for Make Teams</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/meta/2023/06/11/linking-to-supporting-orgs/\">Linking to Supporting Orgs</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-mobile\"><a href=\"https://make.wordpress.org/mobile\">Mobile</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/updates/2023/07/26/mobile-team-update-july-25th/\">Mobile Team Update – July 25th</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-openverse\"><a href=\"https://make.wordpress.org/openverse\">Openverse</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/25/community-meeting-recap-2023-07-25/\">Community Meeting Recap (2023-07-25)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/openverse/2023/07/24/last-week-openverse-2023-07-17-2023-07-24/\">A week in Openverse: 2023-07-17 – 2023-07-24</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-performance\"><a href=\"https://make.wordpress.org/performance/\">Performance</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2023/07/25/performance-chat-summary-25-july-2023/\">Performance Chat Summary: 25 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-plugins\"><a href=\"https://make.wordpress.org/plugins\">Plugins</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/plugins/2023/07/24/tackling-team-challenges-together/\">Tackling team challenges together</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/plugins/2023/06/29/plugin-review-team-update-the-next-phase-begins/\">Plugin Review Team Update: The next phase begins</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/24/plugin-review-team-24-jul-2023/\">Plugin Review Team: 24 Jul 2023</a></li>\n</ul>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow\">\n<h2 class=\"wp-block-heading\" id=\"h-polyglots\"><a href=\"https://make.wordpress.org/polyglots\">Polyglots</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/26/agenda-weekly-polyglots-chat-july-26-2023-0700-utc/\">Agenda: Weekly Polyglots Chat – July 26, 2023 (07:00 UTC)</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/polyglots/2023/07/18/wordpress-6-3-ready-to-be-translated/\">WordPress 6.3 ready to be translated</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-project\">Project</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/project/2023/07/13/proposal-for-establishing-a-make-diversity-equity-inclusion-and-belonging-deib-team-within-the-wordpress-community/\">Proposal for Establishing a Make Diversity, Equity, Inclusion, and Belonging (“DEIB”) Team within the WordPress Community</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Support</h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/support/2023/07/wp-contributor-mentorship-program-support-team-onboarding-meeting/\">WP Contributor Mentorship Program: Support Team Onboarding Meeting</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/support/2023/07/agenda-for-july-27th-support-meeting-2/\">Agenda for July 27th Support Meeting</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/sustainability\">Sustainability</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/sustainability/2023/07/27/sustainability-chat-agenda-july-28-2023/\">Sustainability Chat Agenda, July 28, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-test\"><a href=\"https://make.wordpress.org/test\">Test</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">Help Test WordPress 6.3</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/24/test-team-update-24-july-2023/\">Test Team Update: 24 July 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-theme\"><a href=\"https://make.wordpress.org/theme\">Theme</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/themes/2023/07/26/themes-team-meeting-notes-july-25-2023/\">Themes Team Meeting Notes – July 25, 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/updates/2023/07/25/themes-team-update-july-25-2023/\">Themes team update July 25, 2023</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-training\"><a href=\"https://make.wordpress.org/training\">Training</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/training/2023/07/26/training-team-meeting-recap-25th-july-2023/\">Training Team Meeting Recap – 25th July 2023</a></li>\n\n\n\n<li><a href=\"https://make.wordpress.org/training/2023/07/25/call-for-volunteers-to-help-with-6-3-learn-wordpress-updates/\">Call for Volunteers to help with 6.3 Learn WordPress updates</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-tutorials\"><a href=\"https://learn.wordpress.org/tutorials\">Tutorials</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/tutorial/improving-website-performance-with-caching/\">Improving website performance with caching</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/tutorial/installing-node-js-and-npm-for-local-wordpress-development/\">Installing Node.js and npm for local WordPress development</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-online-workshops\">Online Workshops</h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/?meeting=apac-exploring-some-of-the-new-6-3-wordpress-features\">APAC: Exploring some of the new 6.3 WordPress features</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=exploring-some-of-the-new-6-3-wordpress-features\">Exploring some of the new 6.3 WordPress features</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=onboarding-to-test-team\">Onboarding to Test Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=testing-wordpress-6-3-developer-edition\">Testing WordPress 6.3 – Developer edition</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-validate-content-feedback-for-the-wordpress-training-team-3\">How to validate content feedback for the WordPress Training Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=how-to-validate-content-feedback-for-the-wordpress-training-team-2\">How to validate content feedback for the WordPress Training Team</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=mentorship-program-introduction-to-the-wordpress-open-source-project\">Mentorship Program: Introduction to the WordPress Open Source Project</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-4\">What is the Domain Name System?</a></li>\n\n\n\n<li><a href=\"https://learn.wordpress.org/?meeting=what-is-the-domain-name-system-3\">What is the Domain Name System?</a></li>\n</ul>\n\n\n\n<h3 class=\"wp-block-heading\" id=\"h-courses\"><a href=\"https://learn.wordpress.org/courses\">Courses</a></h3>\n\n\n\n<ul>\n<li><a href=\"https://learn.wordpress.org/course/developing-with-the-wordpress-rest-api/\">Introduction to developing with the WordPress REST API</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\"><a href=\"https://make.wordpress.org/tv\">WordPress TV</a></h2>\n\n\n\n<ul>\n<li><a href=\"https://make.wordpress.org/tv/2023/06/15/enhancing-slide-management-for-video-publications/\">Enhancing Slide Management for Video Publications</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">WordCamp Central</h2>\n\n\n\n<ul>\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-malaysia-2023-is-looking-for-speakers-and-sponsors/\">WordCamp Malaysia 2023 is Looking for Speakers and Sponsors</a></li>\n\n\n\n<li><a href=\"https://central.wordcamp.org/news/2023/07/wordcamp-masaka-2023-celebrating-inclusion-diversity-and-innovation-with-wordpress-in-ugandas-pearl-of-africa/\">WordCamp Masaka 2023: Celebrating Inclusion, Diversity, and Innovation with WordPress in Uganda’s Pearl of Africa!</a></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-wptv\">WPTV</h2>\n\n\n\n<ul>\n<li><a href=\"https://wordpress.tv/category/year/2022/\">Latest WordPress TV videos</a></li>\n</ul>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\" />\n\n\n\n<h2 class=\"wp-block-heading\" id=\"h-related-news\">Related News:</h2>\n\n\n\n<ul>\n<li><a href=\"https://blog.jquery.com/2023/05/11/jquery-3-7-0-released-staying-in-order/\">jQuery 3.7.0</a></li>\n\n\n\n<li><a href=\"https://nodejs.org/en/blog/release/v20.2.0\">Node v20.2.0 released</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-1\">PHP 8.3.0 Alpha 3 available for testing</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-05-11-1\"></a><a href=\"https://www.php.net/archive/2023.php#2023-07-06-2\">PHP 8.2.8 Released!</a></li>\n\n\n\n<li><a href=\"https://www.php.net/archive/2023.php#2023-07-06-3\">PHP 8.1.21 Released!</a></li>\n\n\n\n<li><a href=\"https://github.com/PHPMailer/PHPMailer/releases/tag/v6.8.0\">PHPMailer 6.8.0</a></li>\n\n\n\n<li><a href=\"https://262.ecma-international.org/\">TC39</a></li>\n\n\n\n<li><a href=\"http://github.com/composer/composer/releases/tag/2.5.8\">Composer 2.5.8</a></li>\n</ul>\n\n\n\n<p class=\"has-theme-palette-7-background-color has-background\">Thanks for reading our WP dot .org roundup! Each week we are highlighting the news and discussions coming from the good folks making WordPress possible. If you or your company create products or services that use WordPress, you need to be engaged with them and their work. Be sure to share this resource with your product and project managers. <br /><br /><strong>Are you interested in giving back and contributing your time and skills to WordPress.org?</strong> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f64f.png\" alt=\"🙏\" class=\"wp-smiley\" /> <a href=\"https://wordpress.org/support/article/contributing-to-wordpress/\">Start Here ›</a><br /><br /><strong>Get our weekly WordPress community news digest</strong> — Post Status&#8217; <a href=\"https://poststatus.com/news/week-in-review/\">Week in Review</a> — covering the WP/Woo news plus significant writing and podcasts. It&#8217;s also available in <a href=\"https://poststatus.com/newsletter\">our newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f48c.png\" alt=\"💌\" class=\"wp-smiley\" /></p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile has-background\"><a href=\"https://poststatus.com/\"><img src=\"https://poststatus.com/wp-content/uploads/2021/09/vertical-post-status-logo-250.png\" alt=\"Post Status\" class=\"wp-image-85823 size-full\" /></a><div class=\"wp-block-media-text__content\">\n<p class=\"has-text-align-left has-normal-font-size\" id=\"h-get-ready-for-remote-work\">You — and <a href=\"https://poststatus.com/#Agency\">your whole team</a> can <a href=\"https://poststatus.com/#choose-membership\">Join Post Status</a> too!</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\"><strong>Build your network. Learn with others. Find your next job — or your next hire.</strong> Read the <strong>Post Status</strong> <a href=\"https://poststatus.com/newsletter/\">newsletter</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/2709.png\" alt=\"✉\" class=\"wp-smiley\" /> Listen to <a href=\"https://poststatus.com/podcasts/\">podcasts</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f399.png\" alt=\"🎙\" class=\"wp-smiley\" /> Follow <a href=\"https://twitter.com/post_status/\">@Post_Status</a> <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f426.png\" alt=\"🐦\" class=\"wp-smiley\" /> and <a href=\"https://www.linkedin.com/company/post-status-llc/\">LinkedIn</a>. <img src=\"https://s.w.org/images/core/emoji/14.0.0/72x72/1f4bc.png\" alt=\"💼\" class=\"wp-smiley\" /></p>\n</div></div>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n<p>This article was published at Post Status — the community for WordPress professionals.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 22:03:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Courtney Robertson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"WordPress.org blog: Synced Patterns: The Evolution of Reusable Blocks\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15541\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2023/07/synced-patterns-the-evolution-of-reusable-blocks/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4355:\"<p>Synced patterns are replacing Reusable blocks, offering a unified creation experience for new pattern functionality coming to WordPress 6.3. Patterns, first introduced in WordPress 5.5, are a collection of blocks that make it simple to add complex layouts and designs to any WordPress site without starting from scratch. With WordPress 6.3, set to be released on August 8th, you will be able to arrange blocks in unlimited ways and save them as patterns for use throughout your site, directly within the editing experience. You can also specify whether to sync your patterns, so that one change applies to all parts of your site, or to keep them unsynced, so you can customize each instance.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">Create your own patterns</h2>\n\n\n\n<p>The ability to create your own patterns, on top of using the ones bundled into each WordPress release, opens up a world of possibilities. Need to repeat the same contact information across your site and keep it up to date? Create a synced pattern with all the details, and say goodbye to repeating yourself, with the ability to quickly insert the synced pattern wherever you need it. If you find yourself creating various banners for your site and want them to have the same layout with unique content, creating an unsynced pattern speeds up your workflow and ensures a level of consistency in approach. While themes and plugins have been able to offer patterns to users and <a href=\"https://developer.wordpress.org/block-editor/how-to-guides/curating-the-editor-experience/#utilizing-patterns\">curate the experience</a>, this update allows agencies and site builders to do the same for their clients, directly in the site building process.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Dig into the details</h2>\n\n\n\n<p>Any previously made Reusable blocks will continue to function as they do now, just under the new Synced pattern name. To help adjust to these changes, a few contextual notices will be placed throughout the interface. Specifically, the menu item in the creation flow will show as “Create pattern/reusable block” until the prompt describing the switch is dismissed in one of the various locations, including the naming and syncing modal:&nbsp;</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>For folks using block themes, all patterns will be listed alongside template parts in the Site Editor &gt; Patterns section, where you can enter a focused editing mode to make changes. For Classic themes, the prior reusable block management page will now house patterns in a list, similar to the Posts &gt; All Posts view.</p>\n\n\n\n<img width=\"1024\" height=\"590\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/07/Site-Editor-_-All-Patterns-View.png?resize=1024%2C590&ssl=1\" alt=\"Patterns section of the WordPress Site Editor with My Patterns selected\" class=\"wp-image-15569\" />\n\n\n\n<p>For a complete overview of patterns on your site, all patterns provided by themes and plugins will be shown in this section but without the option to edit directly.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Go further</h2>\n\n\n\n<p>With the ability to create your own patterns baked into the creation experience, remember that you can copy the patterns available in the <a href=\"https://wordpress.org/patterns/\">Pattern Directory</a> and <a href=\"https://wordpress.org/patterns/about/\">contribute back</a>, an excellent way to democratize design for every WordPress user and the web.</p>\n\n\n\n<p><em>For more exciting features coming to patterns in WordPress 6.3, </em><a href=\"https://make.wordpress.org/core/2023/07/13/core-editor-improvement-advancing-the-power-of-patterns/\"><em>read on in the Advancing the Power of Patterns post</em></a><em>. Thank you to the contributors who collaborated on this post: </em><a href=\"https://profiles.wordpress.org/cbringmann/\"><em>Chloé Bringmann</em></a><em>, </em><a href=\"https://profiles.wordpress.org/jpantani/\"><em>Jonathan Pantani</em></a><em>, </em><a href=\"https://profiles.wordpress.org/chanthaboune/\"><em>Josepha</em></a><em>, </em><a href=\"https://profiles.wordpress.org/kristastevens/\"><em>Krista Stevens</em></a><em>, </em><a href=\"https://profiles.wordpress.org/eidolonnight/\"><em>Nicholas Garofalo</em></a><em>, <a href=\"https://profiles.wordpress.org/provenself/\">Peter Rubin</a></em>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 14:45:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"annezazu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"Do The Woo Community: Building Your Agency Stack with Judd Dunagan and Carlos Caneja\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://dothewoo.io/?p=75733\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://dothewoo.io/building-your-agency-stack-with-judd-dunagan-and-carlos-caneja/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:445:\"<p>Judd from Bright Vessel and Carlos from Britecode share insights and experience in building their WooCommerce Agency stack.</p>\n<p>&gt;&gt; The post <a rel=\"nofollow\" href=\"https://dothewoo.io/building-your-agency-stack-with-judd-dunagan-and-carlos-caneja/\">Building Your Agency Stack with Judd Dunagan and Carlos Caneja</a> appeared first on <a rel=\"nofollow\" href=\"https://dothewoo.io\">Do the Woo - a WooCommerce Builder Community</a>	.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 08:44:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"BobWP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WPTavern: Gutenberg 16.3 Adds New Tools for Patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147209\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wptavern.com/gutenberg-16-3-adds-new-tools-for-patterns\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2393:\"<p><a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">Gutenberg 16.3</a> was released today as a maintenance release but includes several new tools that make pattern management smoother and easier for users. Most notably, custom user patterns now have a dropdown menu for renaming, duplicating and deleting them. Patterns and template parts that come with themes will only have the &#8220;duplicate&#8221; option available since they cannot be deleted or renamed. </p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\nvideo credit: <a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">Gutenberg 16.3 release post</a>\n\n\n\n<p>Gutenberg 16.3 adds a sticky header bar on the Patterns page. It also brings the &#8220;focus mode&#8221; to patterns, which is already available for template parts in the Site Editor but not available when editing patterns. Users may not notice but it provides more a consistent editing interface.</p>\n\n\n\n<p>Those who have been keenly following the evolution of the Patterns page will notice that the &#8220;Theme patterns&#8221; heading has been <a href=\"https://github.com/WordPress/gutenberg/pull/52570\">removed</a> and the pattern categories rearranged. Theme and plugin patterns now appear above template parts.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1270\" height=\"1158\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/07/Screen-Shot-2023-07-26-at-10.16.04-PM.png\" alt=\"\" class=\"wp-image-147218\" />image credit: <a href=\"https://github.com/WordPress/gutenberg/pull/52570\">Gutenberg PR #52570</a>\n\n\n\n<p>The icon for synced patterns isn&#8217;t self evident and some users may need more context. <a href=\"https://github.com/WordPress/gutenberg/pull/52458\">A new tooltip</a> identifies synced patterns as those for which edits will apply anywhere the pattern is used.</p>\n\n\n\n<p>Gutenberg 16.3 includes more than two dozen pattern interface-related fixes, among other editor bug fixes. If you are using and managing patterns frequently, having the Gutenberg plugin installed will enable a better experience with this interface until these updates make their way into core WordPress. Check out the <a href=\"https://make.wordpress.org/core/2023/07/26/whats-new-in-gutenberg-16-3-26-july/\">release post</a> for a full list of all the changes and fixes in 16.3.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Jul 2023 02:49:22 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"WPTavern: WordPress 6.3 RC2 Released, Watch the Live Product Demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"https://wptavern.com/?p=147173\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wptavern.com/wordpress-6-3-rc2-released-watch-the-live-product-demo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4287:\"<p><a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\">WordPress 6.3 RC2</a> has been released and is ready for community testing. Since RC1 landed a week ago, 15 changes have come in from the <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Editor</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=07%2F18%2F2023..07%2F25%2F2023&milestone=6.3&col=id&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a>, including bug fixes for footnotes, internationalization fixes, a missing command for opening the distraction free in the Site Editor, and a few other issues. </p>\n\n\n\n<p>This release also brings in <a href=\"https://core.trac.wordpress.org/ticket/58067\">work completing the About page</a> and adds a &#8220;Get Involved&#8221; section, closing a 10-year old <a href=\"https://core.trac.wordpress.org/ticket/23348\">ticket</a> that suggested adding a &#8220;Contribute&#8221; tab to the About page.</p>\n\n\n\n<div class=\"wp-block-spacer\"></div>\n\n\n\n<img width=\"1367\" height=\"2560\" src=\"https://149611589.v2.pressablecdn.com/wp-content/uploads/2023/07/screencapture-ppopotamus-zaje-instawp-xyz-wp-admin-contribute-php-2023-07-26-13_58_57-scaled.jpg\" alt=\"\" class=\"wp-image-147183\" />\n\n\n\n<p>The new Get Involved page features both code-based and no-code contribution opportunities with a link to WordPress&#8217; contributor teams.</p>\n\n\n\n<p>The video of the <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">WordPress 6.3 Live Product Demo</a> has been published so anyone who was not able to attend can get a preview of what is coming in the next release. Automattic-sponsored contributors <a href=\"https://profiles.wordpress.org/annezazu/\">Anne McCarthy</a> and <a href=\"https://profiles.wordpress.org/richtabor/\">Rich Tabor</a> hosted the demo, showing users how to use the new command palette to zip around the editor and manage settings views. They also guide viewers through browsing and editing pages within the Site Editor, managing synced patterns (formerly called Reusable Blocks), and showcased various new blocks and design tools.</p>\n\n\n\n<div class=\"wp-block-embed__wrapper\">\n\n</div>\n\n\n\n<p>Check out the <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">highlights post</a> for all the links to features referenced in the demo and the Q&amp;A portion of the broadcast.</p>\n\n\n\n<p>For those interested in performance improvements coming in 6.3, an upcoming <a href=\"https://make.wordpress.org/core/2023/06/29/hallway-hangout-performance-improvements-for-wordpress-6-3/\">hallway hangout</a> is happening tomorrow <strong><strong><a href=\"https://www.timeanddate.com/worldclock/fixedtime.html?iso=20230727T1500\"><abbr title=\"2023-07-27T15:00:00+00:00\">Thursday, July 27, 2023 at 11:00 AM EDT</abbr></a>. </strong></strong>Participants can check the <a href=\"https://wordpress.slack.com/archives/C02KGN5K076\">#core-performance</a> Slack channel for the Zoom link before the event. Team leads will cover highlights from the 170+ performance improvements included in 6.3 and will discuss future improvements for 6.4. </p>\n\n\n\n<p>WordPress&#8217; Training team is <a href=\"https://make.wordpress.org/training/2023/07/25/call-for-volunteers-to-help-with-6-3-learn-wordpress-updates/\">calling for volunteers</a> to help with updating and revising existing Learn WordPress resources ahead of the 6.3 release. The team has created a <a href=\"https://github.com/WordPress/Learn/labels/6.3\">board</a> on their GitHub repository which highlights high priority tasks. </p>\n\n\n\n<p>WordPress 6.3 RC3 is expected to be released on August 1, and the general release is scheduled for August 8, less than two weeks away. There is still time to find and report some bugs. One easy way is to install the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin on a local testing site or use a quick throwaway site from services like InstaWP or TasteWP. <a href=\"https://core.trac.wordpress.org/newticket\">Bugs can be reported on Trac</a> or via the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta section</a> of the support forums.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 26 Jul 2023 19:19:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WPTavern: #85 – Giulia Laco on the Importance of Typography for Your Websites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wptavern.com/?post_type=podcast&p=147116\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"https://wptavern.com/podcast/85-giulia-laco-on-the-importance-of-typography-for-your-websites\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:51871:\"Transcript<div>\n<p>[00:00:00] <strong>Nathan Wrigley:</strong> Welcome to the Jukebox podcast from WP Tavern. My name is Nathan Wrigley.</p>\n\n\n\n<p>Jukebox is a podcast which is dedicated to all things WordPress. The people, the events, the plugins, the blocks, the themes, and in this case the importance of typography for your websites.</p>\n\n\n\n<p>If you&#8217;d like to subscribe to the podcast, you can do that by searching for WP Tavern in your podcast player of choice, or by going to WPTavern.com forward slash feed forward slash podcast. And you can copy that URL into most podcast players.</p>\n\n\n\n<p>If you have a topic that you&#8217;d like us to feature on the podcast, I&#8217;m keen to hear from you, and hopefully get you or your idea featured on the show. Head to WPTavern.com forward slash contact forward slash Jukebox, and use the form there.</p>\n\n\n\n<p>So on the podcast today, we have Giulia Laco. Giulia is a web designer and developer who has been working on the web since the mid 1990s. Her primary interests are web typography and font design. In addition to project development, she&#8217;s a consultant and a trainer, mostly working with CSS, web fonts and web typography.</p>\n\n\n\n<p>This is the last of our podcasts from WordCamp Europe, 2023. I spoke to Giulia in Athens because she had just finished her presentation entitled &#8220;typographic readability in theme design and development&#8221;.</p>\n\n\n\n<p>In this session, she explored how designers can assist with the readability of websites through careful consideration of the fonts they choose and why they choose them.</p>\n\n\n\n<p>It turns out there&#8217;s quite a lot to consider. And if you&#8217;ve not given this topic much thought in the past, you&#8217;ll perhaps learn something new. I certainly did.</p>\n\n\n\n<p>We begin the podcast talking through how, at the start of the web, we were making do with a limited range of tools to help us make typographic choices. There were no web fonts available, but that started to change around 2010. Now we have access to hundreds of fonts and need to be mindful that some fonts can pose readability challenges for some users of your website.</p>\n\n\n\n<p>Giulia talks about the fact that the manner in which we read has changed since the dawn of the internet. Many people now mostly consume small passages of text, which need to be considered in a different way to longer writing.</p>\n\n\n\n<p>Concentrating upon the letters in the Latin alphabet, we talk about the ways in which readers typically break up words into smaller units, and the fact that the way letters are shaped can make them easier to parse. There&#8217;s some technical language here, ligatures X-height, apertures, and more. Which tell us about the shaping and spacing of letters. Giulia explains the current state of research into how these characteristics of fonts can affect readability.</p>\n\n\n\n<p>We talk about whether or not there are fonts which are more readable than others. Is there a collection of fonts, which you can use and be confident that you&#8217;re going to make it easy for all users of your websites?</p>\n\n\n\n<p>Giulia talks about how designs need to consider the spaces into which the text is put. Most people have a proclivity for the order in which they view a page. And knowing about this path across the page can help your readers access the text.</p>\n\n\n\n<p>The width of the text is also important. You want people to be able to read from side to side without having to move their head. How does this work across different device sizes and what can be said about text, which runs right to left, or top to bottom?</p>\n\n\n\n<p>We round off the conversation with Giulia telling us where we can find out more, as well as some of the thought leaders in this space.</p>\n\n\n\n<p>It&#8217;s a fascinating conversation about a subject that often gets overlooked. Web designers, this episode is for you.</p>\n\n\n\n<p>If you&#8217;re interested in finding out more, you can find all of the links in the show notes by heading to WPTavern.com forward slash podcast, where you&#8217;ll find all the other episodes as well.</p>\n\n\n\n<p>And so without further delay, I bring you Giulia Laco.</p>\n\n\n\n<p>I am joined on the podcast by Giulia Laco. Hello Giulia.</p>\n\n\n\n<p>[00:04:43] <strong>Giulia Laco:</strong> Hello.</p>\n\n\n\n<p>[00:04:43] <strong>Nathan Wrigley:</strong> It&#8217;s very nice to have you on. Giulia is joining me at WordCamp EU in Athens. It&#8217;s the last conversation that I&#8217;m recording, so very nice to have you on. You are going to be talking to us today about something that I genuinely didn&#8217;t know about.</p>\n\n\n\n<p>This was a really interesting topic to research from my point of view. You&#8217;re going to be talking to us a little bit about typography. That&#8217;s based upon a workshop that you did yesterday. How did it go?</p>\n\n\n\n<p>[00:05:12] <strong>Giulia Laco:</strong> I&#8217;m happy about that. I&#8217;m happy to hear that you are interested in typography as well.</p>\n\n\n\n<p>[00:05:17] <strong>Nathan Wrigley:</strong> Was it well attended? Did you get your information across? Did people engage with the topic?</p>\n\n\n\n<p>[00:05:22] <strong>Giulia Laco:</strong> I think so. I divided people in two groups, developers and designers. So to let them think about typography with the mentality of the others. So that was the point I was trying to have.</p>\n\n\n\n<p>[00:05:35] <strong>Nathan Wrigley:</strong> Well, the reason I wanted to talk to you was because when I was looking through the list of presentations and workshops, yours was really different, a topic that I genuinely hadn&#8217;t thought about in the way that you&#8217;ve made me think about it.</p>\n\n\n\n<p>Because whenever I think about typography, I am really just thinking about whether I like a font. So if I go to a website, I just make a quick judgment. Do I like that font? Do I not like that font? But there&#8217;s a lot more to it than that, which we&#8217;re going to get into. But can you just tell us why you&#8217;re interested in this? Do you have a history with working with type? Why are you so fascinated by typography?</p>\n\n\n\n<p>[00:06:17] <strong>Giulia Laco:</strong> Okay, well, maybe it&#8217;s because I&#8217;ve started making websites at the very beginning of the internet era. It was around, mid nineties. And we didn&#8217;t have the possibility to use web fonts of any kind on the web. We did what we could with very few tools. Whereas later on in 2009 or 10, we had this great possibility of using web fonts, and I started to get engaged with, with the typography. And that was the time when I was starting typography for the first time actually.</p>\n\n\n\n<p>[00:06:52] <strong>Nathan Wrigley:</strong> Are you interested in typography away from the internet? Are you interested in the way that type is presented in books and on paper?</p>\n\n\n\n<p>[00:07:00] <strong>Giulia Laco:</strong> Yes, everywhere. On menus as well.</p>\n\n\n\n<p>[00:07:03] <strong>Nathan Wrigley:</strong> Yeah, because when you actually turn your attention to typography, which is what I did after we booked this interview. Text is everywhere, and it&#8217;s really, really different wherever you look. So we are sitting in a room. There&#8217;s almost no text, but there&#8217;s a little bit of text behind you. It has a particular font.</p>\n\n\n\n<p>[00:07:22] <strong>Giulia Laco:</strong> Montserrat.</p>\n\n\n\n<p>[00:07:23] <strong>Nathan Wrigley:</strong> Montserrat probably, yeah. I&#8217;m looking at my computer. It has a font on it. I&#8217;ve just been downstairs, looked at a menu. It had three or four fonts on it. Wherever you look, there is text, and usually the typography has been thought about.</p>\n\n\n\n<p>But you were talking about typography from the point of view of how can be done better. How can be a problem for some people, and that I didn&#8217;t really realize. I knew that people would perhaps struggle to read text because it was too small, or there was a background color, which clashed with the color of the text. But I didn&#8217;t realize that the font itself could be a problem. So tell us how it can be a problem. How can some people struggle to read one font but not another?</p>\n\n\n\n<p>[00:08:08] <strong>Giulia Laco:</strong> Well, it&#8217;s a big question, because, there&#8217;s a lot of research about that, recent research on readability. Because very few people read a lot nowadays in each country. So a lot of countries are worried about that.</p>\n\n\n\n<p>So there are movements to let people read better by making some tools. And big companies like Adobe, Google are on this concern. They&#8217;re concerned about that. So they&#8217;re trying to study that subject. The Readability Consortium, a consortium from between these big companies and universities in America.</p>\n\n\n\n<p>And it&#8217;s working interdisciplinary. So with psychologists, typographers, graphic designers. And started to focus on what makes text legible. And what they are, as far as I know, they&#8217;re saying is that it&#8217;s different for everybody. So you test it.</p>\n\n\n\n<p>And so that&#8217;s why you need to make tools that help people adjust their texts when they read for long form reading, of course. Not for just a menu or, very few words you are going to read. And they&#8217;re trying to do those tools. And maybe it&#8217;s difficult for a user to know what they need.</p>\n\n\n\n<p>[00:09:30] <strong>Nathan Wrigley:</strong> Right.</p>\n\n\n\n<p>[00:09:30] <strong>Giulia Laco:</strong> So, they are working also with AI. Trying to have some patterns and, have some themes, let&#8217;s say. So that can adapt to very different kind of people. But they&#8217;re trying to reach that patterns by research, not by guessing. So that&#8217;s very intereting.</p>\n\n\n\n<p>[00:09:50] <strong>Nathan Wrigley:</strong> Yeah, really interesting. I mean, again, when I was researching this, it suddenly occurred to me that, I have children, they&#8217;re grown up largely now. But I remember when they came home from school, at the beginning, their homework was in child-friendly fonts. Let&#8217;s put it that way. Often it was something along the lines of comic sans something like that. And it didn&#8217;t occur to me at all at the time, I just thought, oh, well it&#8217;s a child-friendly font. It&#8217;s kind of round and it&#8217;s got, you know, there&#8217;s no hard edges.</p>\n\n\n\n<p>I just thought it&#8217;s just a pleasant thing to look at. But now that I&#8217;m thinking about it, it was probably an easier font for the child to begin to learn to read with. Because all of the letters were clear. There was no confusion between one letter and the other. You know, you couldn&#8217;t mistake the L for the I, for example. And I did wonder, you were saying that there&#8217;s less people reading than ever. If the typography is a, quotes, difficult font, it may be more difficult to begin learning to read. I don&#8217;t know if that&#8217;s something that you were trying to say there.</p>\n\n\n\n<p>[00:10:59] <strong>Giulia Laco:</strong> Well actually, when a child start reading has a very tough task. And helping that process is important. I remember seeing books in upper case letters only, it was meant to be simpler. But they started only to recognize only one kind of letters. In the Latin alphabet, we have upper case and lower case, and they&#8217;re very different because of their history.</p>\n\n\n\n<p>Uppercase letters comes from the engraved Latin letters. Whereas the small, lowercase, comes from calligraphy. So they&#8217;re very different origins,. And it&#8217;s not the same to learn lowercase a and a lowercase a. Recognizing them as the same letter, the same sound.</p>\n\n\n\n<p>And with sound is also difficult, especially in English, you have so much problem with sounds and letters.</p>\n\n\n\n<p>[00:11:57] <strong>Nathan Wrigley:</strong> Yeah. I think we have 44 sounds, but only 26 letters.</p>\n\n\n\n<p>[00:12:02] <strong>Giulia Laco:</strong> And the combination. When you use a letter and a sound, other languages are much more simpler on that respect.</p>\n\n\n\n<p>[00:12:09] <strong>Nathan Wrigley:</strong> Yeah again, remarkable. I&#8217;d never really given any thought to how different uppercase and lowercase are. But they don&#8217;t bear, in some cases they&#8217;re quite similar.</p>\n\n\n\n<p>[00:12:17] <strong>Giulia Laco:</strong> Yes.</p>\n\n\n\n<p>[00:12:18] <strong>Nathan Wrigley:</strong> So an l and a capital L, broadly the same. But something like an a, the capital letter A and the lowercase letter. They&#8217;re just utterly different, aren&#8217;t they? They&#8217;re really, really remarkably different. Oh, that&#8217;s fascinating. I hadn&#8217;t given any thought. So what makes text legible to a lot of people, or not legible to a lot of people? Are there any kind of guidelines around that?</p>\n\n\n\n<p>[00:12:41] <strong>Giulia Laco:</strong> Okay, I will distinguish between legibility and readability. Because, you have this distinction in English and it&#8217;s great. We don&#8217;t have it in Italian. I guess the legibility comes from lighting as we have for legibilita in Italian. And it&#8217;s something that has to do with decoding. So that&#8217;s something that has to do with the typeface.</p>\n\n\n\n<p>Whereas readability is something you want to read, you like to read something, you want to read. And not you&#8217;re just trying to decode things. So that&#8217;s a big difference, when you start to understand why a text is readable or not. I would say that trying to take a legible font means to have a font with certain characteristics.</p>\n\n\n\n<p>For example, it&#8217;s let&#8217;s say proved that a font with a higher X-height is more legible. I&#8217;m talking about running text, the body text for long reading experience. So X-height is basically the medium height of the lower case letters, based on the letter x, that&#8217;s why X-height, you see.</p>\n\n\n\n<p>And so for example, I don&#8217;t Helvetica has a higher X-height than Times New Roman, for example, if you compare it. And having a higher X-height is a typeface, be more readable.</p>\n\n\n\n<p>And another very important thing is with apertures. Apertures, how can I say, the white space inside the part of the letters that are open. Take a lowercase e in the lower part of the letter. You have this room. If it&#8217;s more closed, it&#8217;s less legible because it can be taken for an o for example, you see. So Helvetica, for example, is very well used, but it&#8217;s not legible as a body copy. Helvetica is wonderful for display type for titles, but not so well for body text.</p>\n\n\n\n<p>[00:14:42] <strong>Nathan Wrigley:</strong> So you are saying, so this X-height? So is typically the height of the letter x. So if I put an x next to the letter h, for example, it&#8217;s the height of the rounded bit of the letter h? </p>\n\n\n\n<p>[00:15:55] <strong>Giulia Laco:</strong> Yes, exactly.</p>\n\n\n\n<p>[00:14:57] <strong>Nathan Wrigley:</strong> Or it would be the height of the letter a? Or the rounded bit of the letter p? The more tall that bit is, the more legible it is for most people to read. I had no idea.</p>\n\n\n\n<p>[00:15:09] <strong>Giulia Laco:</strong> Well, it&#8217;s just one thing because, not only that, because it&#8217;s also how you set type. For example, if you have a large X-height, typeface and you set it with a very small space between the lines, the line height, the leading, they say in typography. You don&#8217;t take advantage of that highness, you see.</p>\n\n\n\n<p>[00:15:32] <strong>Nathan Wrigley:</strong> Okay. So if letters are squashed. If one line of letters is compressed, so line height.</p>\n\n\n\n<p>[00:15:37] <strong>Giulia Laco:</strong> Mm-hmm.</p>\n\n\n\n<p>[00:15:37] <strong>Nathan Wrigley:</strong> Is compressed up against another line of letters beneath it, that makes it more difficult to read because there&#8217;s just no room for the letters to breathe, There&#8217;s no gap. They&#8217;re all just squished together. Okay?</p>\n\n\n\n<p>[00:15:48] <strong>Giulia Laco:</strong> But you have to pay attention not to put too much line height. Otherwise you lose the next line when you jump from one line to the other, it&#8217;s too far and you can&#8217;t find it.</p>\n\n\n\n<p>[00:15:59] <strong>Nathan Wrigley:</strong> So this is the eyes ability to go from the end of one line and track, and immediately find the beginning the next line.</p>\n\n\n\n<p>[00:16:46] <strong>Giulia Laco:</strong> Yes exactlly.</p>\n\n\n\n<p>[00:16:47] <strong>Nathan Wrigley:</strong> I confess I have experienced that problem before, and I hadn&#8217;t noticed, until just now, that that was because of that. I&#8217;ve definitely had books that I&#8217;ve been reading where I&#8217;ve struggled to begin the next line, and sometimes repeated the line that I was supposed to be on. Or I&#8217;ve skipped a line and missed a line out and only halfway through thought, actually that doesn&#8217;t make any sense. Let me go back. I had no idea. But also you are saying that the amount of, what did you call it, the space?</p>\n\n\n\n<p>[00:16:30] <strong>Giulia Laco:</strong> Oh, typographers call it leading because it&#8217;s comes from lead, lead, lead, I don&#8217;t know, of the metal types. With metal types they used to put some space between the lines with some lead. So the lead bars.</p>\n\n\n\n<p>[00:16:45] <strong>Nathan Wrigley:</strong> Oh, okay. So they spaced them out with a physical object.</p>\n\n\n\n<p>[00:16:30] <strong>Giulia Laco:</strong> Yes, exactly.</p>\n\n\n\n<p>[00:16:45] <strong>Nathan Wrigley:</strong> And it was a bar of lead, and the wider the bar of lead, the more space. This is fascinating. But you also mentioned in the letter e for example, the lowercase e, forgive me if I misunderstood. So the bottom half of the letter e, there&#8217;s a gap, a little gap, and the amount of gap, if the gap is bigger.</p>\n\n\n\n<p>[00:17:07] <strong>Giulia Laco:</strong> That&#8217;s the aperture, yes.</p>\n\n\n\n<p>[00:17:08] <strong>Nathan Wrigley:</strong> The bigger the gap is, the more you are likely to be able to read it, typically?</p>\n\n\n\n<p>[00:17:13] <strong>Giulia Laco:</strong> Yes, because you&#8217;re likely to distinguish it from an o.</p>\n\n\n\n<p>[00:17:16] <strong>Nathan Wrigley:</strong> Of course.</p>\n\n\n\n<p>[00:17:17] <strong>Giulia Laco:</strong> You decode it easiest.</p>\n\n\n\n<p>[00:17:19] <strong>Nathan Wrigley:</strong> You keep mentioning Helvetica. Is that a font which has lots of problems? Is that why you mention it, because it&#8217;s full of things you can identify?</p>\n\n\n\n<p>[00:17:26] <strong>Giulia Laco:</strong> It&#8217;s very well known. That&#8217;s why I&#8217;m mentioning. And very much used. But it&#8217;s better to use it as a display type.</p>\n\n\n\n<p>[00:17:34] <strong>Nathan Wrigley:</strong> The only thing that I&#8217;ve ever had a problem reading, was the thing that I&#8217;ve just described where I have skipped a line or gone back and reread the other line. But I&#8217;m imagining that you&#8217;ve done this talk because there are problems which people experience, which I fortunately, don&#8217;t appear to have a problem with. What trips people up? If you were somebody that, I don&#8217;t know how to say this correctly. If you are somebody who struggles to read, what are the trip wires, if you know what I mean?</p>\n\n\n\n<p>What are the things in a font could be wrong that make you unable to read it? So you mentioned that the line height, you mentioned the X-height. Is there more to it than that?</p>\n\n\n\n<p>[00:18:14] <strong>Giulia Laco:</strong> Well, there might be a lot. One thing that I can think of are ambiguous forms of letters. Let&#8217;s take lowercase letters, p and q or b and d. So for these four letters in a sans serif font, for example, are usually with the same shape, just flipped or rotated. That&#8217;s said to be a problem with people that experience dyslexia. But it&#8217;s actually opinionated because we don&#8217;t know exactly how it works. Actually for everybody can be a problem to distinguish between similar shapes.</p>\n\n\n\n<p>For example, as you said before, a child who is starting to read, or to write as well, may experience the same problem. No matter if it&#8217;s, if there&#8217;s a problem of dyslexia or not. So if you are going to avoid these kind of things, you can pick a font, a serif font that generally has different letters, different forms. The four letters I mentioned, typically with small serfis in different parts of the letters so they can be distinguished, for sure.</p>\n\n\n\n<p>[00:19:27] <strong>Nathan Wrigley:</strong> Can you, I know it&#8217;s probably obvious to most people, but will you just tell people what a serif font is and what it isn&#8217;t? You know, if you&#8217;ve got a non serif font or serif font, what&#8217;s the difference?</p>\n\n\n\n<p>[00:19:39] <strong>Giulia Laco:</strong> Let&#8217;s take the example of Helvetica and Times New Roman. So maybe it&#8217;s easier for people to visualize the difference. Helvetica has straight lines, nothing at the termination of the strokes. Whereas Times New Roman has some small shapes that derive from the calligraphic or the, in that case, for the upper case, the engraving, the instrument that we use to engrave. And so they had this little [feet?] let&#8217;s say so, that distinguish the kind of font.</p>\n\n\n\n<p>And the font has a different mood, very different mood. And a lot of other characteristics. There are, well, history of typography is based on that more or less.</p>\n\n\n\n<p>[00:20:24] <strong>Nathan Wrigley:</strong> It always feels to me as if a font, a serif font, which has these, I think you use the word where the letter terminates. I&#8217;ve never really</p>\n\n\n\n<p>[00:20:31] <strong>Giulia Laco:</strong> thought about that. They always look as if they&#8217;re more, I don&#8217;t know, maybe in a legal document or something like that. They have this feeling of something more powerful or more important or something. It&#8217;s quirky that, isn&#8217;t it?</p>\n\n\n\n<p>I&#8217;m looking at a Google Doc where I&#8217;ve written my show notes and, I don&#8217;t see any that. I can&#8217;t tell you that either of those fonts are a serif font or a non serif font. I find them both equally easy to read. It doesn&#8217;t trip me up at all. But typically, is there a problem for some people with a serif font or a non serif font? Is there one, to catch everybody would it be better to not deploy a serif font or is there just no difference in people&#8217;s ability to cope with either?</p>\n\n\n\n<p>Each font is maybe very different. Most people at the first level, when they start talking about topography, they started to see this difference. But that&#8217;s not the main point. Maybe the main point in readability is the rhythm of letters. The rhythm where the white space and the black space, meaning when you have black text on white. They alternate each other.</p>\n\n\n\n<p>Try to figure out this word, minimum. You&#8217;ll have a lot of rhythm. Minimum in, written in lower case letters. You see? So, the rhythm is very, very different. And maybe that&#8217;s important in typography, in reading. And is very important for people who struggle with reading, because you don&#8217;t interrupt the rhythm. The rhythm helps reading.</p>\n\n\n\n<p>[00:22:03] <strong>Nathan Wrigley:</strong> It just sort of bounces along, doesn&#8217;t it? If you look at the word minimum, it genuinely has a, it&#8217;s almost like a little wave pattern going up and down, isn&#8217;t it? That&#8217;s fascinating. So what did you call it? Your ability to read it. There was a word you just said. Rhythm, rhythm. So words can have rhythm, and the more rhythm there is, the easier it is to read. So if a font provides rhythm, that&#8217;s a good thing.</p>\n\n\n\n<p>[00:22:24] <strong>Giulia Laco:</strong> I think so. But it depends also on the purpose. Long reading. I think that&#8217;s important. Otherwise it&#8217;s different. It&#8217;s totally different. I mean concepts with display types because they have a different purpose, you know, text and function. The titles have different purpose. They have to catch the attention. Whereas the long, the body text has to be read, so needs a different kind of attention.</p>\n\n\n\n<p>[00:22:53] <strong>Nathan Wrigley:</strong> Right. And are there any guidelines which kind of fonts catch the attention more, and which kind of fonts work better with the body content? You know, where you&#8217;re reading long paragraphs and so on? Does it matter or is there one kind of font that you would recommend in each case?</p>\n\n\n\n<p>[00:23:08] <strong>Giulia Laco:</strong> Generally, when you buy a font, you&#8217;ll have a font that is meant for body text and some other for display type. So if you rely on what the designer, the type designer, has done, you are safe. Otherwise you have to. try. But also if you go on a repository like Google fonts for example, you have this distinction among display types and other kind of types. So it&#8217;s quite a common mistake at the beginning to take display type and use it as a body text. And that&#8217;s a typographic crime.</p>\n\n\n\n<p>[00:23:47] <strong>Nathan Wrigley:</strong> I like it. Typographic crime. That&#8217;s great. We&#8217;re all of us using our devices more and more. It&#8217;s funny that you said that reading is becoming less and less, because it feels like we have text in front of us all the time now. So we&#8217;re constantly staring at our mobile phones, and our computers. But when I was a child, if I wasn&#8217;t holding book, I probably wasn&#8217;t reading.</p>\n\n\n\n<p>I mean, maybe there was a poster somewhere or something, but I&#8217;m surprised that reading is, there&#8217;s less desire to read, because it feels like every day I&#8217;m reading more or less constantly, you know, I&#8217;m scanning Twitter or Facebook or whatever.</p>\n\n\n\n<p>[00:24:26] <strong>Giulia Laco:</strong> It&#8217;s a new kind of reading, Because we had long form reading for books. Then we have glanceable reading for, I don&#8217;t know, street signs. Or maybe a manual in a website. And then we have this, they call it interlude reading. You read when you&#8217;ve time, you&#8217;re doing, you don&#8217;t have a lot of attention, you scroll. And then you have also that the way we read on the web is very different from what we read, elsewhere.</p>\n\n\n\n<p>For example, we have this shape, F shaped reading. When we, in a website, eye tracking has shown it quite a lot. You start from the top left where the logo generally is. Then you go on the right, then you go on the left, but a bit bottom, and then a bit, you are just drawing an F more or less, when you read.</p>\n\n\n\n<p>[00:25:17] <strong>Nathan Wrigley:</strong> So that&#8217;s what the eye typically does when it lands on a webpage.</p>\n\n\n\n<p>[00:25:20] <strong>Giulia Laco:</strong> Yes.</p>\n\n\n\n<p>[00:25:20] <strong>Nathan Wrigley:</strong> What was that? Top left, top right.</p>\n\n\n\n<p>[00:25:23] <strong>Giulia Laco:</strong> Bottom.</p>\n\n\n\n<p>[00:25:23] <strong>Nathan Wrigley:</strong> Bottom.</p>\n\n\n\n<p>[00:25:24] <strong>Giulia Laco:</strong> A bit in the middle, right. And then bottom again.</p>\n\n\n\n<p>[00:25:27] <strong>Nathan Wrigley:</strong> So it makes an, if you were to draw on top of that screen, it coincidentally looks a bit like a capital F.</p>\n\n\n\n<p>[00:25:32] <strong>Giulia Laco:</strong> Yes, exactly.</p>\n\n\n\n<p>[00:25:33] <strong>Nathan Wrigley:</strong> That&#8217;s fascinating.</p>\n\n\n\n<p>[00:25:34] <strong>Giulia Laco:</strong> Capital F reading.</p>\n\n\n\n<p>[00:25:36] <strong>Nathan Wrigley:</strong> Capital F reading. Presumably that&#8217;s on a desktop. On this, I&#8217;m not doing that am I? I&#8217;m holding up my phone. If I&#8217;m looking at a webpage, presumably it&#8217;s a different experience. It&#8217;s just left to right, left to right, left to right.</p>\n\n\n\n<p>[00:25:49] <strong>Giulia Laco:</strong> Also because you are hiding some part of the text with your thumbs. Are you right-handed? Left-handed? It depends what you do. And it change a lot. For example, in the UX design, we generally change some patterns with smartphones because we put some menus at the bottom because the area near the thumb, for example.</p>\n\n\n\n<p>So, if it changes where you put your fingers, your changes also where you put your eyes. Focusing in which part of the screen.</p>\n\n\n\n<p>[00:26:20] <strong>Nathan Wrigley:</strong> Yeah, that&#8217;s interesting. My experience of the internet is that usually the menu on a mobile device comes at top right. There&#8217;s usually some icon.</p>\n\n\n\n<p>[00:26:28] <strong>Giulia Laco:</strong> But that&#8217;s for convention.</p>\n\n\n\n<p>[00:26:29] <strong>Nathan Wrigley:</strong> But what you&#8217;ve just described is much more sensible, having the menu the bottom because.</p>\n\n\n\n<p>[00:26:33] <strong>Giulia Laco:</strong> I hope it will change soon.</p>\n\n\n\n<p>[00:26:34] <strong>Nathan Wrigley:</strong> Because my thumb can just go right to it. It&#8217;s just there. Yeah, that&#8217;s fascinating. It does matter what device you&#8217;re on. But are you using the same? I know that you&#8217;ve said that you reposition things like the menu or what have you, but are you using the same font on a desktop as you would be on a mobile device? Is it broadly the same? You don&#8217;t need to worry about the view port of a mobile device in terms of the CSS for setting the font. It&#8217;s just the same desktop, mobile, tablet, same fonts.</p>\n\n\n\n<p>[00:27:03] <strong>Giulia Laco:</strong> From the readability point of view, I would say yes. And it&#8217;s for branding. I guess it&#8217;s better to have different environments recognizable. Whereas you have to pay attention to licensing. If you buy a font, for example, you put it on an app, you might need a different license. If you&#8217;re using open type, open source phones, you are not going to have a problem. But if you buy, if you rent, web fonts, yeah, you might have some problem or you have to check if you can put that web front on an app. You might need a different license.</p>\n\n\n\n<p>[00:27:39] <strong>Nathan Wrigley:</strong> Yeah, I hadn&#8217;t really thought about that. It&#8217;s always quite common in the circle of friends that I have, comic sans is a font, which most of my friends ridicule. They think it&#8217;s a childish font. Nobody would put it on a professional website. Are there some fonts like that, which you would just always avoid? Not because they look childish, but because they are largely unreadable.</p>\n\n\n\n<p>[00:28:00] <strong>Giulia Laco:</strong> There might be some, for example, well comic sans has a very big history of love and hate, basically of hate actually. But remember the case and presentation of the Higgs Boson?</p>\n\n\n\n<p>[00:28:16] <strong>Nathan Wrigley:</strong> Yes. Was that done in comic sans?</p>\n\n\n\n<p>[00:28:18] <strong>Giulia Laco:</strong> Yes. There was a Twitter storm. Okay, you couldn&#8217;t use that informal font on a formal presentation, and that raised the topic actually. You have to use the font that is proper to the situation. It&#8217;s like clothing. The clothes you wear, it&#8217;s like the font you use. It depends on the situation.</p>\n\n\n\n<p>But I can understand the feeling that people have when they choose comic sans. And maybe I can suggest something similar, but a bit more proper, or a bit more interesting in that context.</p>\n\n\n\n<p>There&#8217;s one font. I am on Google fonts repository. That&#8217;s called Amantic Small Caps, and it&#8217;s a small caps, so it&#8217;s a more, it&#8217;s not lowercase. But it&#8217;s, I think has a similar mood and I would dare it&#8217;s quite a new comic sans in the mood. I mean, it has the same mood, in my opinion. I say in my opinion, it&#8217;s also because it&#8217;s in my culture, it&#8217;s very culture dependent. Because it&#8217;s based on what you saw, what you associate to those fonts for example.</p>\n\n\n\n<p>[00:29:28] <strong>Nathan Wrigley:</strong> Yeah, it&#8217;s really interesting when I travel to the US. The US have a really different set of fonts which they use, especially on government documents, than we have in the UK. And wherever I look, so I don&#8217;t know, I buy some sun cream or something like that. The font choice is utterly different from how it would typically look in the UK. And it&#8217;s kind of curious, that it&#8217;s so obvious to me that that&#8217;s an American box. And yet it&#8217;s merely a font that tells me that. But I can see it all the time.</p>\n\n\n\n<p>But what you&#8217;re saying though is you&#8217;ve got to use your intuition. There&#8217;s no rule for this is a good font, that&#8217;s a bad font. It&#8217;s really where are you putting it and your own personal preference. There are no fonts which are out of the question because they&#8217;re just literally unreadable by a subset of the people, no, you look like you&#8217;re about to say something.</p>\n\n\n\n<p>[00:30:18] <strong>Giulia Laco:</strong> Well, there might be some fonts that are really illegible, but there are some really nice experiment by a very talented type designers, David Jonathan Ross. He tried to push the boundaries of readability, making good fonts, but making how long you can go to draw a very new kind of letter and still have it readable. So that&#8217;s interesting to see. But made by people who know what they do.</p>\n\n\n\n<p>Whereas if you start, if you look at the, I don&#8217;t know, fonts that you can have on a lot of websites, just experiments by people who start. But if you, look at experiments by very good designers, oh, you know what they do.</p>\n\n\n\n<p>[00:31:06] <strong>Nathan Wrigley:</strong> You make client websites still. Do you get into this conversation quite a lot with your clients? Is typography something that you bang the drum of?</p>\n\n\n\n<p>[00:31:14] <strong>Giulia Laco:</strong> I try to listen as for everything else, to the client and understand what they need. And then I&#8217;ll try to suggest what I think is proper. It&#8217;s like also for the colour of a website for example. I ask and I give an advice maybe.</p>\n\n\n\n<p>[00:31:30] <strong>Nathan Wrigley:</strong> Are there any kind of hard and faster rules for where you, really, it would be unwise to put typography. In our show notes, I was talking about things like is it a bad idea to put, I don&#8217;t know, fonts into images.</p>\n\n\n\n<p>So you&#8217;re overlaying fonts on images. In other words, is it better always to have fonts on a plain background rather than on, let&#8217;s say you&#8217;ve got a mountain scene or something and you want to write something, you put it onto the image. Is it better to keep the text away from the images? That was just one thought.</p>\n\n\n\n<p>[00:32:02] <strong>Giulia Laco:</strong> That&#8217;s definitely better. But you have to distinguish between titles and body copy. A title might be, how can I say? It would be okay anyway. It&#8217;s only a word. You might have some tricks, for example, reducing the contest of the underground image. As long as you stick with accessibility guidelines, you&#8217;re safe for that regard.</p>\n\n\n\n<p>There are very good starting point for readability. I mean, I generally say that it&#8217;s better to start from accessibility and there are a lot of accessibility guidelines that help with the text. And then you go on and if you have some tools, like a very powerful web font, you can do more. And then you go with type setting and start type setting.</p>\n\n\n\n<p>Well, for example, you have to stop the line length. That&#8217;s very, very important. You don&#8217;t have to let your user go through all the screen, a very huge screen to go to the other line, to the second line.</p>\n\n\n\n<p>[00:33:04] <strong>Nathan Wrigley:</strong> Is there any guidance about how wide the text line should be? So maybe that&#8217;s a, I don&#8217;t know, you said using a number pixels is not always the best idea. But is there a character limit, or a word limit typically where the eye can cope with scanning from left to right and then beginning again. Because I&#8217;m staring at a Google Doc at the moment and it&#8217;s kind of interesting that the Google Doc looks like a piece of paper.</p>\n\n\n\n<p>And they&#8217;ve obviously deliberately taken it in. The Google doc could consume the whole width of my monitor, but it doesn&#8217;t. They&#8217;ve confined it to what looks like a piece of paper, and I presume that&#8217;s a convention, just so that my eye doesn&#8217;t have to go far left, far right, far left, far right. I could keep my nose pointed at the document and just let my eye do the work, whereas if it went from left to right, I would be moving my neck all the time as well. So is there a guidance of how wide text should be?</p>\n\n\n\n<p>[00:33:56] <strong>Giulia Laco:</strong> Typographers, for a long time, had recommended a line length of between 45 and 65 characters per line. It depends for Latin alphabets. The Web Accessibility Guidelines says, I think at the level Triple A. They say that they need 80 characters maximum per line for Latin, I think 40 for languages with ideograms. So they say something about that.</p>\n\n\n\n<p>And it&#8217;s very interesting to see that there&#8217;s a correlation between this line length and the way we read. The way we read is basically with eye and brain because, it&#8217;s a really complex process. But when we read with the eye, we just focus on few letters at the time, maybe six, seven characters. Then we jump to another area of fixation. And so you can do some math. A very good typographer Bruno Maag made that math.</p>\n\n\n\n<p>And he discovered that calculating the number of characters you see in each fixation has a relationship with what typographers said for years, for decades, for centuries actually. So they arrived at the same conclusions. So let&#8217;s say 55, 65 characters per line is a good measure.</p>\n\n\n\n<p>[00:35:18] <strong>Nathan Wrigley:</strong> Yeah.</p>\n\n\n\n<p>[00:35:18] <strong>Giulia Laco:</strong> On the other hand, all these factors are correlated. And especially font size, line height, and line length. Some typographers says that it&#8217;s like a triangle of these three elements have to be on balance. So if you change one, you have to change the others. Adapt the others.</p>\n\n\n\n<p>[00:35:40] <strong>Nathan Wrigley:</strong> So we&#8217;ve just been talking about the left to rightness, the line length. Is there anything about the length of the paragraphs that you use as well? I mean, I&#8217;m just used to reading books and obviously they&#8217;re confined by the width. The line length is taken account of. But I&#8217;m conscious that everything&#8217;s broken up into paragraphs and those chunks of meaning have often got little gaps between them. I&#8217;m imagining in many cases, paragraphs could go on for pages, but it&#8217;s better to break it up and it helps the brain to associate that this is a body of meaning and here&#8217;s another body of meaning and so on.</p>\n\n\n\n<p>[00:36:10] <strong>Giulia Laco:</strong> Yes. I think absolutely. The basic of our work as web designers actually. So it&#8217;s different from what we do on paper, because on screens we have to catch the attention. And so we need to make things very easy for the reader. That&#8217;s the purpose. Maybe it&#8217;s not always the case that that&#8217;s the purpose, but on web design generally, that&#8217;s the purpose.</p>\n\n\n\n<p>So it&#8217;s better to split a paragraph in a few small chunks, let&#8217;s say so, and give different, styling and introduce hierarchy as well. So that helps a lot in reading.</p>\n\n\n\n<p>[00:36:48] <strong>Nathan Wrigley:</strong> So headings and paragraphs and other headings and so on. You mentioned in the show notes that when you did your workshop, were going to give some helpful CSS to break up the text. Can you just tell us what that was? What helpful CSS did you have?</p>\n\n\n\n<p>[00:37:02] <strong>Giulia Laco:</strong> Basically, I would say that&#8217;s very important not to use an absolute unit when you set the font size. Where font size is what is more relevant in readability? Because if it&#8217;s too small, you can&#8217;t read at all. If it&#8217;s too big, also so you can&#8217;t read it well. So font size is very important and after the responsive web design, we&#8217;ve had the responsive web typography. It didn&#8217;t come at the same time. Because with responsive web design, we started to make things different for different devices. But we didn&#8217;t touch the font size.</p>\n\n\n\n<p>[00:37:40] <strong>Nathan Wrigley:</strong> Right, it was just the same. Yeah.</p>\n\n\n\n<p>[00:37:42] <strong>Giulia Laco:</strong> But it was really important to change the font size. At the beginning I thought that it was important to make smaller font size on smartphones. Because you had a very smaller screen, but that was not the reason I realized later on.</p>\n\n\n\n<p>And the reason is the distance of reading. So when you read something that is near, you don&#8217;t need a big font size. You generally keep an iPhone at 20, 30 centimeters of distance from your eye. Whereas if you read to a computer you are 70 centimeter, 80, 1 meter, I don&#8217;t know. If you read to a screen in a room, for example, yeah, it&#8217;s very, very different.</p>\n\n\n\n<p>For example, yesterday I had this at the workshop. I had this CSS Codepen. I realized I had some minimum and maximum font size in my slider. It was perfect for desktop reading. As soon as I was in the room, I said, oh no, I have to change, and I changed it to a different values because of that.</p>\n\n\n\n<p>[00:38:48] <strong>Nathan Wrigley:</strong> So, the presentation looked good on your computer, but as soon as it went on the big screen.</p>\n\n\n\n<p>[00:38:52] <strong>Giulia Laco:</strong> Okay, the presentation was okay because I knew it in advance. I mean, it was a presentation, but it was in the playground, I realized, yes. And because I had all those values, I was guessing what was reasonable values. But I didn&#8217;t test it before on such a big room.</p>\n\n\n\n<p>[00:39:10] <strong>Nathan Wrigley:</strong> So I&#8217;m guessing that at some point soon we&#8217;ll be able to make a link to WordPress TV. It occurs to me that the whole time we&#8217;ve been talking about typography, but we&#8217;ve probably been concentrating on English. Although it&#8217;s a common language, it&#8217;s by no means what everybody reads.</p>\n\n\n\n<p>So we&#8217;re going from top to bottom, left to right. But other parts of the world, let&#8217;s say people that read Arabic or Hebrew or Korean or Japanese or Chinese, whatever it is. They&#8217;re going in completely different directions, left to right, bottom to top and so on.</p>\n\n\n\n<p>Do they have similar concerns with their characters? Or is it just uniquely the Latin set of characters which has these problems?</p>\n\n\n\n<p>[00:39:54] <strong>Giulia Laco:</strong> I&#8217;m sure they have. Also maybe different problems. I&#8217;ll distinguish between Arabic to the other languages you mentioned, like Japanese, Chinese, and Korean, for example. They have ideograms. With Arabic it&#8217;s quite a calligraphic origin of the way of writing. And they make a lot of use of ligatures. It means it changes the shape of letters according to their combination.</p>\n\n\n\n<p>We have ligatures in Latin as well. For example, if you think of f and i, small lowercase letters f and y. Sometimes you have one glyph that put the dot of the i inside the f. And that&#8217;s coded inside the file, the font file.</p>\n\n\n\n<p>So in Arabic they have a lot of ligatures. And lately I&#8217;ve discovered that they also use color for accent. And Google fonts has some new fonts with this characteristic. Color fonts. Do you know color fonts?</p>\n\n\n\n<p>[00:40:54] <strong>Nathan Wrigley:</strong> No.</p>\n\n\n\n<p>[00:40:54] <strong>Giulia Laco:</strong> They&#8217;re very, very new. They&#8217;re coming.</p>\n\n\n\n<p>[00:40:57] <strong>Nathan Wrigley:</strong> How do you deploy color to. What? You&#8217;re going to have to explain that.</p>\n\n\n\n<p>[00:41:00] <strong>Giulia Laco:</strong> Well, they have color coded inside the typeface. It&#8217;s a new format we can use. And, it&#8217;s linked to CSS. It&#8217;s not so much ready, but it&#8217;s coming. It&#8217;s a new technology after variable fonts.</p>\n\n\n\n<p>[00:41:17] <strong>Nathan Wrigley:</strong> So certain aspects, certain portions of the letter receive different colors?</p>\n\n\n\n<p>[00:41:22] <strong>Giulia Laco:</strong> Yes.</p>\n\n\n\n<p>[00:41:23] <strong>Nathan Wrigley:</strong> And it provides, I have to just ask why? Why would you want to have a different portion of the letter in a different color?</p>\n\n\n\n<p>[00:41:30] <strong>Giulia Laco:</strong> Apart from Arabic, why not?</p>\n\n\n\n<p>[00:41:31] <strong>Nathan Wrigley:</strong> Oh, so it is, it&#8217;s just style. It&#8217;s not from the point of view of readability or legibility?</p>\n\n\n\n<p>[00:41:37] <strong>Giulia Laco:</strong> No. New frontiers of typography.</p>\n\n\n\n<p>[00:41:39] <strong>Nathan Wrigley:</strong> Oh, that is interesting.</p>\n\n\n\n<p>[00:41:40] <strong>Giulia Laco:</strong> But that was one point, but for Arabic might be for readability purpose. That&#8217;s why I mentioned it.</p>\n\n\n\n<p>[00:41:46] <strong>Nathan Wrigley:</strong> Honestly, this is such a fascinating subject. Unfortunately, we&#8217;re running out of time. Where would we go if we&#8217;ve been inspired by the talk that you&#8217;ve given today to me? Have you got any tips or places, websites to go to? If people are curious, where would you send them?</p>\n\n\n\n<p>[00:42:03] <strong>Giulia Laco:</strong> Okay. There are plenty of places and topography has been receiving quite an attention lately on the web. I&#8217;m always talking about on the web. But you can start with books from the tradition of typography. There are, I don&#8217;t know, from the sacred book of yypography, Robert Bringhurst, The Elements of Typographic Style. That&#8217;s a really nice starting point. Well, it&#8217;s not only a starting point.</p>\n\n\n\n<p>Erik Spiekermann&#8217;s, Stop Stealing Sheep and Find Out How Type Works. It&#8217;s very funny name. It has a history. I won&#8217;t spoiler it.</p>\n\n\n\n<p>Or I really, really liked the book by Richard Rutter, that is more on the web. It&#8217;s called Web Typography. It&#8217;s a manual on that.</p>\n\n\n\n<p>Or otherwise you can follow Jason Parmental that has been making a lot of experiments. It depends which part are you interested in.</p>\n\n\n\n<p>[00:42:59] <strong>Nathan Wrigley:</strong> You&#8217;ve given three or four things there. There&#8217;s probably something to get teeth into. And what about you? Where would we find you if people have listened to this and quite fancy having a chat with you about all this. Where do you hang out online?</p>\n\n\n\n<p>[00:43:09] <strong>Giulia Laco:</strong> Quite everyone. Maybe on LinkedIn, maybe you can reach me there so it&#8217;s better.</p>\n\n\n\n<p>[00:43:14] <strong>Nathan Wrigley:</strong> I will find your LinkedIn profile and I will link to that in the show notes. So let&#8217;s wrap it up there. Giulia, thank you so much for chatting to me today. Honestly, a real eye-opener. I&#8217;ve enjoyed that a lot.</p>\n\n\n\n<p>[00:43:24] <strong>Giulia Laco:</strong> Thank you. Me too.</p>\n</div>\n\n\n\n<p>On the podcast today we have <a href=\"https://www.linkedin.com/in/giulialaco/\">Giulia Laco</a>.</p>\n\n\n\n<p>Giulia is a web designer and developer who has been working on the web since the mid 1990s. Her primary interests are web typography &amp; font design. In addition to project development, she is a consultant and a trainer, mostly working with CSS, web fonts and web typography.</p>\n\n\n\n<p>This is the last of our podcasts from WordCamp Europe 2023. I spoke to Giulia in Athens because she had just finished her presentation entitled “Typographic readability in theme design &amp; development”.</p>\n\n\n\n<p>In this session she explored how designers can assist with the readability of websites through careful consideration of the fonts they choose, and why they choose them.</p>\n\n\n\n<p>It turns out there’s quite a lot to consider, and if you’ve not given this topic much thought in the past, you’ll perhaps learn something new.</p>\n\n\n\n<p>We begin the podcast talking through how, at the start of the web, we were making do with a limited range of tools to help us make typographic choices. There were no web fonts available, but that started to change around 2010. Now we have access to hundreds of fonts and need to be mindful that some fonts can pose readability challenges for some users of your website.</p>\n\n\n\n<p>Giulia talks about the fact that the manner in which we read has changed since the dawn of the internet. Many people now mostly consume small passages of text, which need to be considered in a different way to longer writing.</p>\n\n\n\n<p>Concentrating upon the letters in the Latin alphabet, we talk about the ways in which readers typically break up words into smaller units, and the fact that the way letters are shaped can make them easier to parse. There’s some technical language here, ligatures, X-height, apertures, and more, which tell us about the shaping and spacing of letters. Giulia explains the current state of research into how these characteristics of fonts can affect readability.</p>\n\n\n\n<p>We talk about whether or not there are fonts which are more readable than others. Is there a collection of fonts which you can use and be confident that you’re going to make it easy for all users of your websites?</p>\n\n\n\n<p>Giulia talks about how designs need to consider the spaces into which text is put. Most people have a proclivity for the order in which they view a page, and knowing about this path across the page can help your readers access the text. The width of the text is also important; you want people to be able to read from side to side without having to move their head. How does this work across different device sizes, and what can be said about text which runs from right to left, or top to bottom?</p>\n\n\n\n<p>We round off the conversation with Giulia telling us where we can find out more, as well as some of the thought leaders in this space.</p>\n\n\n\n<p>It’s a fascinating conversation about a subject that often gets overlooked. Website designers, this episode is for you.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Useful links.</h2>\n\n\n\n<p>Giulia&#8217;s WordCamp Europe 2023 Session &#8220;<a href=\"https://europe.wordcamp.org/2023/session/typographic-readability-in-theme-design-development/\">Typographic readability in theme design &amp; development</a>&#8220;</p>\n\n\n\n<p><a href=\"https://thereadabilityconsortium.org/\">The Readability Consortium</a></p>\n\n\n\n<p><a href=\"https://fonts.google.com/specimen/Amatic+SC\">Amantic Small Caps font</a></p>\n\n\n\n<p><a href=\"https://djr.com/\">David Jonathan Ross&#8217; website</a></p>\n\n\n\n<p><a href=\"https://www.w3.org/WAI/standards-guidelines/wcag/\">Web Accessibility Guidelines website</a></p>\n\n\n\n<p><a href=\"https://en.wikipedia.org/wiki/Bruno_Maag\">Bruno Maag Wikipedia page</a></p>\n\n\n\n<p><a href=\"https://fonts.google.com/\">Google fonts</a></p>\n\n\n\n<p><a href=\"https://archive.org/details/elementsoftypogr0000brin\">Robert Bringhurst&#8217;s The Elements of Typographic Style</a></p>\n\n\n\n<p><a href=\"https://www.oreilly.com/library/view/stop-stealing-sheep/9780133441147/\">Erik Spiekermann&#8217;s Stop Stealing Sheep and Find Out How Type Works</a></p>\n\n\n\n<p><a href=\"https://book.webtypography.net/\">Richard Rutter&#8217;s Web Typography</a></p>\n\n\n\n<p><a href=\"https://rwt.io/\">Jason Parmental&#8217;s website</a></p>\n\n\n\n<p><a href=\"https://www.linkedin.com/in/giulialaco/\">Giulia&#8217;s LinkedIn page</a></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 26 Jul 2023 14:00:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Nathan Wrigley\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WordPress.org blog: WordPress 6.3 Release Candidate 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://wordpress.org/news/?p=15460\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/news/2023/07/wordpress-6-3-release-candidate-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7320:\"<p>WordPress 6.3 RC2 is ready for download and testing.</p>\n\n\n\n<p><strong>This version of the WordPress software is under development.</strong> <strong>Please do not install, or run, or test this version on production or mission-critical websites.</strong> Instead, you should evaluate RC2 on a test server and site.&nbsp;</p>\n\n\n\n<p>While release candidates are considered ready for final release, additional testing and use by the community can only make it better.</p>\n\n\n\n<p>WordPress 6.3 is scheduled for release on August 8, 2023 – just two weeks from today.</p>\n\n\n\n<p>Get an overview of the <a href=\"https://make.wordpress.org/core/6-3/\">6.3 release cycle</a>, check the <a href=\"https://make.wordpress.org/core/\">Make WordPress Core blog</a> for <a href=\"https://make.wordpress.org/core/tag/6-3/\">6.3-related posts</a>, review <a href=\"https://wordpress.org/news/2023/06/wordpress-6-3-beta-2/\">new features in WordPress 6.3</a>, or <a href=\"https://wordpress.org/news/2023/07/wordpress-6-3-live-product-demo-highlights-recording/\">watch a recorded demo</a>.</p>\n\n\n\n<p>Developers and extenders should review the <a href=\"https://make.wordpress.org/core/2023/07/18/wordpress-6-3-field-guide/\">comprehensive WordPress 6.3 Field Guide</a> for detailed technical notes regarding new features and improvements.&nbsp;&nbsp;</p>\n\n\n\n<h2 class=\"wp-block-heading\">RC2 Highlights</h2>\n\n\n\n<p>Since the RC1 release on July 18, 2023, there have been approximately 15 issues resolved in <a href=\"https://github.com/WordPress/gutenberg/commits/wp/6.3\">Editor</a> and <a href=\"https://core.trac.wordpress.org/query?status=accepted&status=closed&changetime=07%2F18%2F2023..07%2F25%2F2023&milestone=6.3&col=id&col=milestone&col=owner&col=type&col=priority&order=id\">Trac</a>.</p>\n\n\n\n<p>Notable updates for this release include:</p>\n\n\n\n<ul>\n<li>Footnotes will be reverted or restored with post revisions (<a href=\"https://github.com/WordPress/gutenberg/pull/52686\">#52686</a>).</li>\n\n\n\n<li>Distraction free adds a missing command in the site editor (<a href=\"https://github.com/WordPress/gutenberg/pull/52868\">#52868</a>).</li>\n\n\n\n<li>Global styles revisions will display text if no revisions are found (<a href=\"https://github.com/WordPress/gutenberg/pull/52865\">#52865</a>).</li>\n\n\n\n<li>The About Page has been completed (<a href=\"https://core.trac.wordpress.org/ticket/58067\">#58067</a>).</li>\n\n\n\n<li>The About Page now includes a “Get Involved” section (<a href=\"https://core.trac.wordpress.org/ticket/23348\">#23348</a>).</li>\n\n\n\n<li>The dark mode option has been restored in the block editor iframe for Twenty Twenty-One (<a href=\"https://core.trac.wordpress.org/ticket/58835\">#58835</a>).</li>\n\n\n\n<li>Max height value was fixed in the image scaling in the Edit Media screen (<a href=\"https://core.trac.wordpress.org/ticket/50523\">#50523</a>).</li>\n\n\n\n<li>Additionally, some issues regarding internationalization were addressed (<a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58879\" target=\"_blank\">#58879</a>, <a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58067\" target=\"_blank\">#58067</a> and <a rel=\"noreferrer noopener\" href=\"https://core.trac.wordpress.org/ticket/58864\" target=\"_blank\">#58864</a>).</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Test features in WordPress 6.3</h2>\n\n\n\n<p>Testing for issues is a critical part of developing any software, and it’s a meaningful way for anyone to contribute—whether you have experience or not. While testing the upgrade process is essential, trying out new features is too.&nbsp;</p>\n\n\n\n<ul>\n<li>Encountered an issue? Please report it to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta area</a> in the support forums. If you are comfortable writing a reproducible bug report, you can <a href=\"https://core.trac.wordpress.org/newticket\">file one on WordPress Trac</a>. You can also check your issue against a list of <a href=\"https://core.trac.wordpress.org/tickets/major\">known bugs</a>.</li>\n\n\n\n<li>New to testing? This <a href=\"https://make.wordpress.org/test/2023/06/27/help-test-wordpress-6-3/\">detailed guide</a> is a great place to start if you’ve never tested a beta/RC release.</li>\n\n\n\n<li>Want to know more about testing releases in general? Follow along with the <a href=\"https://make.wordpress.org/test/\">testing initiatives in Make Core</a> and join the <a href=\"https://wordpress.slack.com/messages/core-test/\">#core-test channel</a> in <a href=\"https://wordpress.slack.com/\">Making WordPress Slack</a>.</li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Vulnerability bounty doubles during the Beta/RC phases</h2>\n\n\n\n<p>The monetary reward for reporting new, unreleased security vulnerabilities is doubled between the Beta 1 release and the final release candidate (RC). Please follow responsible disclosure practices as detailed in the project’s security practices and policies outlined on the <a href=\"https://hackerone.com/wordpress\">HackerOne page</a> and in the <a href=\"https://wordpress.org/about/security/\">security white paper</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get WordPress 6.3 RC2</h2>\n\n\n\n<p>You can test WordPress 6.3 RC2 in three ways:</p>\n\n\n\n<ul>\n<li><strong>Option 1:</strong> Install and activate the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (select the “Bleeding edge” channel and “Beta/RC Only” stream).</li>\n\n\n\n<li><strong>Option 2: </strong>Direct download the <a href=\"https://wordpress.org/wordpress-6.3-RC2.zip\">RC2 version (zip)</a>.</li>\n\n\n\n<li><strong>Option 3:</strong> Use the following WP-CLI command:<br /><code>wp core update --version=6.3-RC2</code></li>\n</ul>\n\n\n\n<h2 class=\"wp-block-heading\">Thanks to WordPress plugin and theme developers</h2>\n\n\n\n<p>Do you build plugins and themes? Your products play an integral role in extending the functionality and value of WordPress for users of all types worldwide.&nbsp;</p>\n\n\n\n<p>Hopefully, you have already tested your themes and plugins with WordPress 6.3 betas by now. With RC2, you will want to continue your testing and update the “<em>Tested up to”</em> version in your plugin’s readme file to 6.3.&nbsp;</p>\n\n\n\n<p>If you find compatibility problems, please post detailed information to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">support forums</a>.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Help translate WordPress</h2>\n\n\n\n<p>Do you speak a language other than English? ¿Español? Français? Português? Русский? 日本? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help translate WordPress into more than 100 languages.</a></p>\n\n\n\n<h2 class=\"wp-block-heading\">Haiku for RC2</h2>\n\n\n\n<p>Time is nearly here<br />WordPress shines thanks to you all<br />Let’s get testing, dear</p>\n\n\n\n<p><em>Thank you to the contributors who collaborated on this post: <a href=\"https://profiles.wordpress.org/priethor/\">@Priethor</a></em>,<em> <a href=\"https://profiles.wordpress.org/audrasjb/\">@AudrasJb</a>, <a href=\"https://profiles.wordpress.org/davidbaumwald/\">@DavidBaumwald</a>, <a href=\"https://profiles.wordpress.org/dansoschin/\">@DanSoschin</a>, <a href=\"https://profiles.wordpress.org/jpantani/\">@JPantani</a></em> and <em><a href=\"https://profiles.wordpress.org/meher/\">@Meher</a></em>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2023 16:43:13 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Meher Bala\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WordCamp Central: WordCamp Malaysia 2023 is Looking for Speakers and Sponsors\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3240139\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:102:\"https://central.wordcamp.org/news/2023/07/wordcamp-malaysia-2023-is-looking-for-speakers-and-sponsors/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2991:\"<img src=\"https://malaysia.wordcamp.org/2023/files/2023/06/WCMY-2023-Feature-Image-fb.png\" alt=\"\" />\n\n\n\n<p>WordCamp Malaysia 2023 is set to take place on 8-9 September 2023 at the Cheras North International Convention Centre (CNICC) in Kuala Lumpur, Malaysia. The first ever WordCamp Malaysia promises to be an unforgettable gathering, offering a platform for knowledge sharing, networking, and community building.</p>\n\n\n\n<img src=\"https://i0.wp.com/malaysia.wordcamp.org/2023/files/2023/06/CNICC-Cheras-North-International-Convention-Centre-edited.jpg?resize=680%2C382&ssl=1\" alt=\"\" class=\"wp-image-1017\" />\n\n\n\n<p>Situated near the city center, CNICC provides convenient access to major transportation hubs, allowing attendees to make the most of their time in Kuala Lumpur. With a plethora of nearby amenities and attractions, visitors can immerse themselves in the city’s rich cultural experiences, explore its iconic landmarks, indulge in its diverse culinary scene, and even venture into the nearby natural parks.</p>\n\n\n\n<img src=\"https://i0.wp.com/malaysia.wordcamp.org/2023/files/2023/06/IMG_0612.jpg?resize=1024%2C683&ssl=1\" alt=\"\" class=\"wp-image-990\" />\n\n\n\n<p>The organizing team behind WordCamp Malaysia 2023 is actively seeking speakers who can share their valuable insights, expertise, experiences, and inspiring stories with the WordPress community. If you have a passion for WordPress and a desire to contribute to its growth, this is your chance to shine. Interested individuals can&nbsp;<a href=\"https://malaysia.wordcamp.org/2023/call-for-speakers/\">submit speaker proposals now</a>. Don’t miss the opportunity to be part of this prestigious event and make an impact on the WordPress community in Malaysia.</p>\n\n\n\n<img src=\"https://i0.wp.com/malaysia.wordcamp.org/2023/files/2023/06/HRX00555.jpg?resize=1024%2C683&ssl=1\" alt=\"\" class=\"wp-image-989\" />\n\n\n\n<p>In addition to speakers, WordCamp Malaysia 2023 is also actively seeking sponsors to showcase and elevate their brands and products to the WordPress community in Malaysia. This is an exceptional opportunity for businesses and organizations to gain exposure, connect with a highly engaged audience, and demonstrate their commitment to supporting the WordPress ecosystem. To explore the various sponsorship packages available and learn more about the benefits of becoming a sponsor, interested parties can visit&nbsp;<a href=\"https://malaysia.wordcamp.org/2023/call-for-sponsors/\">the call for sponsors page</a>.</p>\n\n\n\n<p>To stay updated and learn more about WordCamp Malaysia 2023, visit the official website at&nbsp;<a href=\"https://malaysia.wordcamp.org/2023/\">https://malaysia.wordcamp.org/2023/</a>&nbsp;. The website will serve as your go-to resource for event details, schedules, ticketing information, speaker profiles, and other important announcements.</p>\n\n\n\n<p>Don’t miss your chance to be part of WordCamp Malaysia 2023. Submit your speaker proposal or explore sponsorship opportunities today!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2023 12:53:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Sam Suresh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:134:\"WordCamp Central: WordCamp Masaka 2023: Celebrating Inclusion, Diversity, and Innovation with WordPress in Uganda’s Pearl of Africa!\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"https://central.wordcamp.org/?p=3166793\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:152:\"https://central.wordcamp.org/news/2023/07/wordcamp-masaka-2023-celebrating-inclusion-diversity-and-innovation-with-wordpress-in-ugandas-pearl-of-africa/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3351:\"<p><a href=\"https://masaka.wordcamp.org/2023/\">WordCamp Masaka 2023</a> is the inaugural WordCamp event in Uganda&#8217;s Greater Masaka region. It will be held on <strong>October 6 and 7, 2023</strong>, at <a href=\"https://equsat.ac.ug/\">Equator University of Science and Technology</a> in Masaka City, Uganda. The event is dedicated to celebrating inclusion, diversity and fostering innovation within Uganda&#8217;s WordPress community.</p>\n\n\n\n<p>WordCamp Masaka 2023 will offer a wide range of engaging workshops, informative talks, and student WordPress project showcases designed to cater to attendees of different skill levels. The workshops will provide hands-on learning experiences and practical knowledge to help both beginners and advanced users enhance their WordPress skills. The informative talks will cover a diverse range of topics, providing valuable insights and inspiring discussions. The student WordPress project showcases will offer a platform for attendees to share their WordPress projects, regardless of their skill level, and gain inspiration from the creativity within the community.</p>\n\n\n\n<p>In addition to the diverse range of activities, WordCamp Masaka 2023 will include a contributor session dedicated to translating WordPress from English to Luganda. This session will actively engage participants of all skill levels in the translation process, fostering collaboration and empowering Luganda (the most spoken language in Uganda) speakers to access WordPress in their native language.</p>\n\n\n\n<h2 class=\"wp-block-heading\">Get Involved</h2>\n\n\n\n<ul>\n<li><a href=\"https://masaka.wordcamp.org/2023/tickets/\">Purchase Attendee Tickets</a>: Secure your tickets to join the WordPress community in celebrating this inaugural event in the Greater Masaka region, Uganda. Tickets are available for purchase, offering a unique opportunity to engage with like-minded individuals and expand your WordPress knowledge.</li>\n\n\n\n<li><a href=\"https://masaka.wordcamp.org/2023/call-for-sponsors/\">Call for Sponsors</a>: Support the first-ever WordCamp Masaka and gain visibility for your company. Explore available sponsorship options to contribute to the success of this event and demonstrate your commitment to the WordPress community.</li>\n\n\n\n<li><a href=\"https://masaka.wordcamp.org/2023/call-for-speakers/\">Call for Speakers</a>: Share your expertise, experiences, and insights by applying to be a speaker at WordCamp Masaka 2023. The call for speaker applications welcomes submissions, allowing you to contribute to a diverse range of topics during the event.</li>\n\n\n\n<li><a href=\"https://masaka.wordcamp.org/2023/call-for-volunteers/\">Call for volunteers</a>: Apply to be a volunteer and actively participate in the organization of WordCamp Masaka 2023. Volunteering offers a unique opportunity to contribute behind the scenes and play an integral role in the success of this inaugural event.</li>\n</ul>\n\n\n\n<p>The full list of speakers, session descriptions, and schedule will be published in early September 2023. Be sure to follow us on <a href=\"https://twitter.com/WordPressMasaka\">Twitter</a> and <a href=\"https://www.facebook.com/WordCampMasaka\">Facebook</a> to get the latest updates.</p>\n\n\n\n<p>Please don&#8217;t forget to post about this event on your social media handles using the hashtag <strong>#WCMasaka</strong>. </p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 25 Jul 2023 08:50:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Ssebuwufu Moses\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Fri, 11 Aug 2023 20:32:51 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:13:\"last-modified\";s:29:\"Fri, 11 Aug 2023 20:15:29 GMT\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:4:\"gzip\";s:4:\"x-nc\";s:9:\"HIT ord 5\";}}s:5:\"build\";s:14:\"20230811185715\";}", "no");
INSERT INTO `wp_options` VALUES("753", "_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1691829171", "no");
INSERT INTO `wp_options` VALUES("754", "_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9", "1691785971", "no");
INSERT INTO `wp_options` VALUES("755", "_transient_timeout_dash_v2_88ae138922fe95674369b1cb3d215a2b", "1691829171", "no");
INSERT INTO `wp_options` VALUES("756", "_transient_dash_v2_88ae138922fe95674369b1cb3d215a2b", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/08/lionel/\'>WordPress 6.3 “Lionel”</a></li><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2023/08/concerns-over-the-european-unions-cyber-resilience-act-cra/\'>Concerns over the European Union’s Cyber Resilience Act (CRA)</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/wordpress-publishes-6-3-release-video-and-landing-page-demo\'>WPTavern: WordPress Publishes 6.3 Release Video and Landing Page Demo</a></li><li><a class=\'rsswidget\' href=\'https://dothewoo.io/wordcampus-2023-organizers/\'>Do The Woo Community: All Things WordCamp US with Julia, Aaron and Kevin</a></li><li><a class=\'rsswidget\' href=\'https://dothewoo.io/event-woo-agency-chat-live-august-16-2023/\'>Do The Woo Community: New Event: Woo Agency Chat Live! with Ash Shaw and Mitch Callahan</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("768", "_site_transient_timeout_wp_remote_block_patterns_63ba30730e414de2219f2d1f17ebfde9", "1691796396", "no");
INSERT INTO `wp_options` VALUES("769", "_site_transient_wp_remote_block_patterns_63ba30730e414de2219f2d1f17ebfde9", "a:46:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:310547;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Poster on Left, Paragraph on Right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3610:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-center\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#36220c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-8 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-cover is-light has-custom-content-position is-position-top-right wp-container-content-2 wp-duotone-rgb137750-rgb210210210-4\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:75vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2023/04/654642d52f20d6367.57324872.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-vertical is-content-justification-right is-nowrap is-layout-flex wp-container-1 wp-block-group-is-layout-flex\">\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:140px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">Wardell</p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:130px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">gray</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#d09c9c;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">Plays</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:0.8;text-transform:uppercase\">Bebop &amp;</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">SWING</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-group wp-container-content-6 is-vertical is-nowrap is-layout-flex wp-container-7 wp-block-group-is-layout-flex\">\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">Wardell Gray was born in Oklahoma City, the youngest of four children. His early childhood years were spent in Oklahoma, before moving with his family to Detroit in 1929. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">In early 1935, Gray began attending Northeastern High School, and then transferred to Cass Technical High School, which is noted for having Donald Byrd, Lucky Thompson and Al McKibbon as alumni. </p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-5 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:700;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"border-radius:0px;color:#e59937;padding-top:16px;padding-right:32px;padding-bottom:16px;padding-left:32px\">Listen Now</a></div>\n</div>\n\n\n\n<div style=\"height:7.5vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:6343:\"<!-- wp:cover {\"customOverlayColor\":\"#36220c\",\"contentPosition\":\"top center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-center\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#36220c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"3vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"stretch\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:cover {\"url\":\"https://pd.w.org/2023/04/654642d52f20d6367.57324872.jpg\",\"id\":334,\"dimRatio\":50,\"minHeight\":75,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top right\",\"isDark\":false,\"style\":{\"layout\":{\"selfStretch\":\"fill\"},\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}},\"color\":{\"duotone\":[\"rgb(137, 75, 0)\",\"rgb(210, 210, 210)\"]}}} -->\n<div class=\"wp-block-cover is-light has-custom-content-position is-position-top-right\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:75vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2023/04/654642d52f20d6367.57324872.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-6px\"},\"color\":{\"text\":\"#e5683a\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:140px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">Wardell</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"130px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-6px\"},\"color\":{\"text\":\"#e5683a\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e5683a;font-size:130px;font-style:normal;font-weight:800;letter-spacing:-6px;line-height:0.8;text-transform:uppercase\">gray</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"style\":{\"typography\":{\"fontSize\":\"90px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"},\"color\":{\"text\":\"#d09c9c\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#d09c9c;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">Plays</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"style\":{\"typography\":{\"fontSize\":\"90px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.8\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:0.8;text-transform:uppercase\">Bebop &amp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"placeholder\":\"Write title…\",\"style\":{\"typography\":{\"fontSize\":\"90px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"800\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#e59937;font-size:90px;font-style:normal;font-weight:800;letter-spacing:0px;line-height:1;text-transform:uppercase\">SWING</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"420px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1.7\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">Wardell Gray was born in Oklahoma City, the youngest of four children. His early childhood years were spent in Oklahoma, before moving with his family to Detroit in 1929. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"18px\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1.7\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"color\":{\"text\":\"#e59937\"}}} -->\n<p class=\"has-text-color\" style=\"color:#e59937;font-size:18px;font-style:normal;font-weight:400;letter-spacing:0px;line-height:1.7\">In early 1935, Gray began attending Northeastern High School, and then transferred to Cass Technical High School, which is noted for having Donald Byrd, Lucky Thompson and Al McKibbon as alumni. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#e59937\"},\"border\":{\"radius\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"32px\",\"bottom\":\"16px\",\"left\":\"32px\"}},\"typography\":{\"fontSize\":\"16px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:700;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color wp-element-button\" style=\"border-radius:0px;color:#e59937;padding-top:16px;padding-right:32px;padding-bottom:16px;padding-left:32px\">Listen Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":\"7.5vw\"} -->\n<div style=\"height:7.5vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:309935;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Centered image with two-tone background color\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1278:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-11 is-layout-constrained wp-container-12 wp-block-group-is-layout-constrained\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large is-style-default wp-duotone-000000-ffffff-10\"><img decoding=\"async\" src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n\n\n\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:18:\"Gradient, Two-Tone\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:57:\"core/cover,core/group,core/heading,core/image,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2134:\"<!-- wp:cover {\"minHeight\":66,\"minHeightUnit\":\"vh\",\"customGradient\":\"linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(90deg,rgb(35,74,20) 50%,rgb(225,137,116) 50%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"600px\",\"wideSize\":\"1200px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"color\":{\"duotone\":[\"#000000\",\"#ffffff\"]}},\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://pd.w.org/2022/03/3866241b433db4ee2.96648572.jpeg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"50px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"32px\",\"lineHeight\":\"1\"},\"spacing\":{\"padding\":{\"left\":\"32px\"}}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-center has-white-color has-text-color\" style=\"padding-left:32px;font-size:50px;font-style:normal;font-weight:400;letter-spacing:32px;line-height:1;text-transform:uppercase\">Etcetera</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:309925;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:43:\"Fullwidth Dark Banner with Heading Top Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1031:\"\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-14 is-vertical is-nowrap is-layout-flex wp-container-15 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:16:\"Jazz, Fulllwidth\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1697:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\",\"id\":333,\"dimRatio\":90,\"customOverlayColor\":\"#141414\",\"focalPoint\":{\"x\":0.5,\"y\":0},\"minHeight\":50,\"minHeightUnit\":\"vh\",\"contentPosition\":\"top left\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull has-custom-content-position is-position-top-left\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#141414\"></span><img class=\"wp-block-cover__image-background wp-image-333\" alt=\"\" src=\"https://pd.w.org/2022/07/87262c92d42acd1c3.73206444.jpg\" style=\"object-position:50% 0%\" data-object-fit=\"cover\" data-object-position=\"50% 0%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\",\"textTransform\":\"none\"},\"color\":{\"text\":\"#d8a557\"}},\"fontFamily\":\"source-serif-pro\"} -->\n<p class=\"has-text-align-left has-text-color has-source-serif-pro-font-family\" style=\"color:#d8a557;font-size:160px;font-style:italic;font-weight:900;letter-spacing:-4px;line-height:0.8;text-transform:none\">bud!</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:309230;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:44:\"Fullwidth cover with repeating gradient text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1724:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-36345d-abaaaa-19\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-17 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:48:\"Fullwidth, Background Image, Gradient, Uppercase\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3135:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\",\"id\":334,\"dimRatio\":60,\"customOverlayColor\":\"#c2b7a4\",\"focalPoint\":{\"x\":0.5,\"y\":0.05},\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#36345d\",\"#abaaaa\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\" style=\"background-color:#c2b7a4\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/95161f850d22f0c06.37817431.jpg\" style=\"object-position:50% 5%\" data-object-fit=\"cover\" data-object-position=\"50% 5%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#c8c4d3\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#c8c4d3;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#ac94b2\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ac94b2;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#71689c\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#71689c;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"},\"color\":{\"text\":\"#444178\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#444178;font-size:148px;font-style:normal;font-weight:300;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">DJANGO</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:309224;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:72:\"Fullwidth, vertically aligned headline on right with description on left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2130:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flex wp-container-26 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-22 is-layout-flow wp-container-23 wp-block-group-is-layout-flow\">\n<p class=\"wp-container-content-20\" style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let &#8217;em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-24 is-layout-flow wp-container-25 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>&#8216;EM<br>Roll</p>\n\n\n\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:60:\"vertically, bold, jazz, shop, store, headline, hero, product\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:61:\"core/button,core/buttons,core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3726:\"<!-- wp:cover {\"customOverlayColor\":\"#e68b14\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"5vw\",\"right\":\"5vw\",\"bottom\":\"5vw\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:5vw;padding-right:5vw;padding-bottom:5vw;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#e68b14\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"320px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"330px\"},\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"300\",\"lineHeight\":\"1.4\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"}}} -->\n<p style=\"font-size:17px;font-style:normal;font-weight:300;letter-spacing:0px;line-height:1.4;text-decoration:none;text-transform:none\">Let \'em Roll is an album by American organist Big John Patton recorded in 1965 and released on the Blue Note label.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"spacing\":{\"padding\":{\"top\":\"14px\",\"bottom\":\"14px\",\"left\":\"36px\",\"right\":\"36px\"}},\"border\":{\"radius\":\"0px\",\"top\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"right\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"bottom\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"},\"left\":{\"radius\":\"0px\",\"width\":\"0px\",\"style\":\"none\"}}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;border-top-style:none;border-top-width:0px;border-right-style:none;border-right-width:0px;border-bottom-style:none;border-bottom-width:0px;border-left-style:none;border-left-width:0px;padding-top:14px;padding-right:36px;padding-bottom:14px;padding-left:36px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Let<br>\'EM<br>Roll</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.8\",\"letterSpacing\":\"-4px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-right has-white-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-4px;line-height:0.8;text-transform:uppercase\">Big<br>John<br>Patton</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:309236;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:60:\"Fullwidth headline with links and gradient offset background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1893:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-33 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-28 is-layout-flow wp-container-29 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color wp-elements-52dc92f2ee4b8dfde042239a7e68e30d\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n</div>\n\n\n\n<div class=\"wp-block-group wp-container-content-31 is-layout-flow wp-container-32 wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-30 wp-block-group-is-layout-flex\">\n<p class=\"has-white-color has-text-color has-link-color wp-elements-c8902903bdf5ea1baed310a565cbd10e\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n\n\n\n<p class=\"has-white-color has-text-color has-link-color wp-elements-669af571686ebf2235f18cd2403659b5\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More → </p>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:41:\"Offset, Gradient, Jazz, Headline, Feature\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:48:\"core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3195:\"<!-- wp:cover {\"customGradient\":\"linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"5vw\",\"bottom\":\"48px\",\"left\":\"5vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:5vw;padding-bottom:48px;padding-left:5vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim has-background-gradient\" style=\"background:linear-gradient(180deg,rgb(0,0,0) 39%,rgb(83,80,123) 39%)\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer -->\n<div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"172px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.7\",\"letterSpacing\":\"-10px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-left has-white-color has-text-color has-link-color\" style=\"font-size:172px;font-style:normal;font-weight:700;letter-spacing:-10px;line-height:0.7;text-transform:uppercase\"><strong>MONK</strong>.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"400px\"},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">A new collection</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textDecoration\":\"none\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color has-link-color\" style=\"font-size:17px;font-style:normal;font-weight:700;letter-spacing:0px;text-decoration:none;text-transform:uppercase\">Learn More → </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"260px\"} -->\n<div style=\"height:260px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:308937;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Heading, Paragraph, Button with Two Images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2550:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-layout-flex wp-container-45 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group alignwide wp-container-content-36 is-content-justification-left is-layout-constrained wp-container-37 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-35 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-44 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-40 is-layout-flow wp-block-group-is-layout-flow\">\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-38 wp-duotone-rgb000-rgb21788120-39\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large wp-container-content-42 wp-duotone-rgb000-rgb21788120-43\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:4102:\"<!-- wp:cover {\"customOverlayColor\":\"#eb4c77\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"6vw\",\"right\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#eb4c77\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"center\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\"}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"none\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"0.9\"}},\"textColor\":\"contrast\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-contrast-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:500;line-height:0.9;text-transform:none\">Time for an adventure</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"textColor\":\"contrast\"} -->\n<p class=\"has-text-align-left has-contrast-color has-text-color\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"contrast\",\"textColor\":\"base\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:16px;font-style:normal;font-weight:500;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-base-color has-contrast-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fit\",\"flexSize\":null},\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"8vw\"} -->\n<div style=\"height:8vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"rgb(217, 88, 120)\"]}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:308949;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:42:\"Bold sale banner with geometric background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1663:\"\n<div class=\"wp-block-cover alignfull wp-duotone-rgb4448102-ffb23d-50\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-flow wp-container-48 wp-block-group-is-layout-flow\">\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-47 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:43:\"store, shop, coupon, jazz, background image\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:73:\"core/button,core/buttons,core/cover,core/group,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2819:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\",\"id\":334,\"dimRatio\":90,\"customOverlayColor\":\"#2c3066\",\"minHeight\":50,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(44, 48, 102)\",\"#ffb23d\"]}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:50vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-90 has-background-dim\" style=\"background-color:#2c3066\"></span><img class=\"wp-block-cover__image-background wp-image-334\" alt=\"\" src=\"https://pd.w.org/2022/01/2661f82cd1ba9172.16386413.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Enjoy</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"160px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffb23d\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffb23d;font-size:160px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">20% Off</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ffb23d\",\"text\":\"#2c3066\"},\"spacing\":{\"padding\":{\"top\":\"32px\",\"right\":\"48px\",\"bottom\":\"32px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"20px\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:20px;font-style:normal;font-weight:700;letter-spacing:1px;text-transform:uppercase\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#2c3066;background-color:#ffb23d;padding-top:32px;padding-right:48px;padding-bottom:32px;padding-left:48px\">Shop Now</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:308924;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Offset bold paragraph text with varying opacity\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1592:\"\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-51 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature&#8217;s best…</p>\n\n\n\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3052:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"white\"} -->\n<div class=\"wp-block-cover alignfull has-white-color has-text-color\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"700px\",\"contentSize\":\"700px\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"120px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffff61\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffff61;font-size:120px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">Embark</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffff73\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffff73;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\"><strong>ON A HIKING</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"72px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#ffffffad\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#ffffffad;font-size:72px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">adventure and explore the beauty of nature\'s best…</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#ffffffd1\"}}} -->\n<p class=\"has-text-align-right has-text-color\" style=\"color:#ffffffd1;font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"162px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"1\",\"letterSpacing\":\"-2px\"},\"color\":{\"text\":\"#fffffff5\"}}} -->\n<p class=\"has-text-align-left has-text-color\" style=\"color:#fffffff5;font-size:162px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:1;text-transform:uppercase\">WOODS.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:308916;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Offset text with a brutalist design vibe\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1389:\"\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-53 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n\n\n\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:36:\"core/cover,core/group,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2631:\"<!-- wp:cover {\"customOverlayColor\":\"#ffb43c\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}}},\"textColor\":\"black\"} -->\n<div class=\"wp-block-cover alignfull is-light has-black-color has-text-color\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffb43c\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"1200px\",\"contentSize\":\"800px\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\"><mark style=\"color:#a65a00\" class=\"has-inline-color\">✴︎</mark> Walk</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-right has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">In the</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"148px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"lineHeight\":\"0.9\",\"letterSpacing\":\"-2px\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:148px;font-style:normal;font-weight:700;letter-spacing:-2px;line-height:0.9;text-transform:uppercase\">Park</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"140px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"200\",\"letterSpacing\":\"0px\",\"lineHeight\":\"0.9\"},\"color\":{\"text\":\"#a65a00\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#a65a00;font-size:140px;font-style:italic;font-weight:200;letter-spacing:0px;line-height:0.9;text-transform:uppercase\">—01.03</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:308901;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Fullscreen image with right content area\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2040:\"\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-flex wp-container-59 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large wp-container-content-55\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n\n\n\n<div class=\"wp-block-group alignwide wp-container-content-57 is-content-justification-left is-layout-constrained wp-container-58 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n\n\n\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-56 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n</div>\n</div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:97:\"core/button,core/buttons,core/cover,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3261:\"<!-- wp:cover {\"customOverlayColor\":\"#376a23\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"},\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"margin-top:0;padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#376a23\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"0px\"},\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\",\"contentSize\":\"600px\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:heading {\"textAlign\":\"left\",\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"80px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"italic\",\"fontWeight\":\"700\",\"lineHeight\":\"1.0\"}},\"textColor\":\"black\"} -->\n<h2 class=\"wp-block-heading alignwide has-text-align-left has-black-color has-text-color\" style=\"font-size:80px;font-style:italic;font-weight:700;line-height:1.0;text-transform:uppercase\">wAndering through the woods</h2>\n<!-- /wp:heading -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\"}},\"textColor\":\"black\"} -->\n<p class=\"has-text-align-left has-black-color has-text-color\" style=\"font-size:18px;font-style:italic;font-weight:600\">Explore our network of trails that lead through a variety of woodland habitats and observe the diverse flora that call this area home. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"60px\"} -->\n<div style=\"height:60px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"18px\",\"fontStyle\":\"italic\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"},\"border\":{\"radius\":\"0px\"}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-fill\" style=\"font-size:18px;font-style:italic;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-black-background-color has-text-color has-background wp-element-button\" style=\"border-radius:0px;padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Sign up</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:308871;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:46:\"Cover Image with Bold Heading and Button, Left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1525:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-094850-f9644e-64\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-left is-layout-constrained wp-container-61 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-left is-nowrap is-layout-flex wp-container-62 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2443:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"#094850\",\"#f9644e\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2021/12/12261b91fba359867.64939140.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"contentSize\":\"75%\",\"justifyContent\":\"left\",\"wideSize\":\"75%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"left\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-left has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Take a hike and wAnder through the woods</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:308868;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:40:\"Cover Image with Bold Heading and Button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1533:\"\n<div class=\"wp-block-cover alignfull is-light wp-duotone-rgb4247103-rgb21419442-68\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-layout-constrained wp-container-65 wp-block-group-is-layout-constrained\">\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n</div>\n\n\n\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-nowrap is-layout-flex wp-container-66 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:71:\"core/button,core/buttons,core/cover,core/group,core/heading,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2449:\"<!-- wp:cover {\"url\":\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\",\"id\":335,\"dimRatio\":30,\"minHeight\":66,\"minHeightUnit\":\"vh\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"48px\",\"right\":\"48px\",\"bottom\":\"48px\",\"left\":\"48px\"},\"margin\":{\"top\":\"0\"}},\"color\":{\"duotone\":[\"rgb(42, 47, 103)\",\"rgb(214, 194, 42)\"]}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;padding-top:48px;padding-right:48px;padding-bottom:48px;padding-left:48px;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-30 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-335\" alt=\"\" src=\"https://pd.w.org/2022/01/26061d763eca13bb6.11341561.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"48px\"}},\"layout\":{\"type\":\"constrained\",\"wideSize\":\"80%\"}} -->\n<div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"100px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"letterSpacing\":\"0px\",\"lineHeight\":\"1\"}},\"textColor\":\"white\"} -->\n<h2 class=\"wp-block-heading has-text-align-center has-white-color has-text-color\" style=\"font-size:100px;font-style:normal;font-weight:700;letter-spacing:0px;line-height:1;text-transform:uppercase\">Embark on a hiking adventure and explore the beauty of the woods.</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"72px\"} -->\n<div style=\"height:72px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"24px\",\"right\":\"48px\",\"bottom\":\"24px\",\"left\":\"48px\"}},\"typography\":{\"fontSize\":\"16px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"0px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:16px;font-style:normal;font-weight:600;letter-spacing:0px;text-transform:uppercase\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"padding-top:24px;padding-right:48px;padding-bottom:24px;padding-left:48px\">Explore</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:303828;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:30:\"Fullscreen cover image gallery\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:895:\"\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group is-content-justification-center is-nowrap is-layout-flex wp-container-69 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img decoding=\"async\" src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:43:\"gallery, images, columns, background, cover\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:32:\"core/cover,core/group,core/image\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:1259:\"<!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":66,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"4vw\",\"right\":\"4vw\",\"bottom\":\"4vw\",\"left\":\"4vw\"}}}} -->\n<div class=\"wp-block-cover alignfull\" style=\"padding-top:4vw;padding-right:4vw;padding-bottom:4vw;padding-left:4vw;min-height:66vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-100 has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4vw\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/84661f60659149cc8.02053291.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"custom\"} -->\n<figure class=\"wp-block-image size-large\"><a href=\"https://thato.test/?page_id=28\"><img src=\"https://pd.w.org/2022/01/21261f60ba46147b0.97888240.jpg\" alt=\"\" /></a></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->\";}i:14;O:8:\"stdClass\":7:{s:2:\"id\";i:277265;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth posts with uppercase titles\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6991:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><ul style=\"text-transform:none;\" class=\"wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-72 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-71 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-06T21:31:35+00:00\">Jul 6, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-75 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2></div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-77 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-76 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-06T21:30:31+00:00\">Jul 6, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-80 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2></div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-82 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-81 wp-block-group-is-layout-flex\">\n<p>✴︎</p>\n\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; text-transform:uppercase;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date has-small-font-size wp-elements-4003f76eccbf507a9e3d7e84a42ea154\"><time datetime=\"2021-07-05T21:29:00+00:00\">Jul 5, 2021</time></div></div>\n\n\n<div style=\"text-transform:uppercase\" class=\"taxonomy-category has-link-color has-text-color has-contrast-color wp-block-post-terms wp-elements-d846021732facad792835971f80af878\"><span class=\"wp-block-post-terms__prefix\">✴︎ </span><a href=\"https://wordpress.org/patterns/category/space/\" rel=\"tag\">Space</a></div></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-85 wp-block-group-is-layout-flex\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><h2 style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:5.2rem;font-style:normal;font-weight:500;line-height:1.1;text-transform:uppercase;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-eba6f7f6e0a9160611aa886fe4e31449 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2></div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><nav class=\"wp-block-query-pagination is-content-justification-left is-nowrap is-layout-flex wp-container-88 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.3&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-31-page=2\" style=\"text-transform:uppercase;\" class=\"wp-block-query-pagination-next has-small-font-size\">Next</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:30:\"star, posts, loop, blog, index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and start accents.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:182:\"core/group,core/paragraph,core/post-date,core/post-template,core/post-terms,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3502:\"<!-- wp:query {\"queryId\":31,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:post-template {\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"1px\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:1px\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"right\":\"16px\",\"bottom\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:16px;padding-left:16px\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p>✴︎</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"M j, Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\",\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-terms {\"term\":\"category\",\"prefix\":\"✴︎ \",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"textTransform\":\"uppercase\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"16px\",\"bottom\":\"var:preset|spacing|70\",\"right\":\"16px\",\"left\":\"16px\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"padding-top:16px;padding-right:16px;padding-bottom:var(--wp--preset--spacing--70);padding-left:16px\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"500\",\"lineHeight\":\"1.1\",\"textTransform\":\"uppercase\",\"fontSize\":\"5.2rem\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"right\":\"16px\",\"left\":\"16px\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--30);padding-right:16px;padding-bottom:var(--wp--preset--spacing--30);padding-left:16px\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<!-- wp:query-pagination-previous {\"label\":\"Previous\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:query-pagination-next {\"label\":\"Next\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\"}},\"fontSize\":\"small\"} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:15;O:8:\"stdClass\":7:{s:2:\"id\";i:277127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Fullwidth posts titles with dates\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6509:\"\n<div class=\"wp-block-query alignfull is-layout-flow wp-block-query-is-layout-flow\">\n<div class=\"wp-block-group alignfull is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><ul style=\"text-transform:none;\" class=\"alignfull wp-block-post-template is-layout-flow wp-block-post-template-is-layout-flow\"><li class=\"wp-block-post post-2071 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-93 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-91 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-06T21:31:35+00:00\">07.6</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-06T21:31:35+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/jupiter/\" target=\"_self\" >Jupiter</a></h2></div>\n\n</li><li class=\"wp-block-post post-2069 post type-post status-publish format-standard hentry category-space tag-stars\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-96 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-94 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-06T21:30:31+00:00\">07.6</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-06T21:30:31+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/star-clusters-in-hurcules/\" target=\"_self\" >Star Clusters in Hurcules</a></h2></div>\n\n</li><li class=\"wp-block-post post-2067 post type-post status-publish format-standard hentry category-space tag-planet\">\n\n<div class=\"wp-block-group is-layout-flow wp-container-99 wp-block-group-is-layout-flow\" style=\"padding-bottom:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-content-justification-space-between is-nowrap is-layout-flex wp-container-97 wp-block-group-is-layout-flex\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-5813a8450eb0347cfdf34f1870882db6\"><time datetime=\"2021-07-05T21:29:00+00:00\">07.5</time></div>\n\n<div style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0; font-size:2rem;font-style:normal;font-weight:600;letter-spacing:1px;\" class=\"has-text-align-left has-link-color has-text-color has-contrast-color wp-block-post-date wp-elements-672016f5c95dcb277e0d666c7795c645\"><time datetime=\"2021-07-05T21:29:00+00:00\">2021</time></div></div>\n\n\n<h2 style=\"padding-top:var(--wp--preset--spacing--30); font-size:4.6rem;font-style:normal;font-weight:600;line-height:1.1;\" class=\"has-link-color has-text-color has-contrast-color wp-block-post-title wp-elements-b5fa43084743aafd1d185f08a32e7678 is-layout-flow wp-block-post-title-is-layout-flow\"><a href=\"https://wordpress.org/patterns/saturn/\" target=\"_self\" >Saturn</a></h2></div>\n\n</li></ul></div>\n\n\n\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><nav class=\"wp-block-query-pagination is-content-justification-space-between is-nowrap is-layout-flex wp-container-102 wp-block-query-pagination-is-layout-flex\" aria-label=\"Pagination\">\n\n\n<a href=\"/patterns/wp-json/wp/v2/wporg-pattern?page=1&#038;per_page=100&#038;order=desc&#038;orderby=date&#038;locale=en_US&#038;wp-version=6.3&#038;pattern-keywords=11&#038;_fields=id%2Ctitle%2Ccontent%2Cmeta%2Ccategory_slugs%2Ckeyword_slugs%2Cpattern_content&#038;query-1-page=2\" style=\"font-size:2rem;font-style:normal;font-weight:600;text-transform:uppercase;letter-spacing:1px;\" class=\"wp-block-query-pagination-next\">Next Page</a>\n</nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:31:\"Posts, Query, Loop, Blog, Index\";s:16:\"wpop_description\";s:62:\"A fullwidth posts pattern with large titles and numeral dates.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/query\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:151:\"core/group,core/post-date,core/post-template,core/post-title,core/query,core/query-pagination,core/query-pagination-next,core/query-pagination-previous\";}s:14:\"category_slugs\";a:1:{i:0;s:5:\"query\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:3583:\"<!-- wp:query {\"queryId\":1,\"query\":{\"perPage\":3,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":false},\"align\":\"full\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-query alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:post-template {\"align\":\"full\",\"style\":{\"typography\":{\"textTransform\":\"none\"}}} -->\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\",\"padding\":{\"bottom\":\"var:preset|spacing|50\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"padding-bottom:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"border\":{\"bottom\":{\"color\":\"var:preset|color|contrast\",\"width\":\"4px\"}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"border-bottom-color:var(--wp--preset--color--contrast);border-bottom-width:4px;padding-top:var(--wp--preset--spacing--30);padding-right:0;padding-bottom:var(--wp--preset--spacing--30);padding-left:0\"><!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"m.j\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /-->\n\n<!-- wp:post-date {\"textAlign\":\"left\",\"format\":\"Y\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"typography\":{\"letterSpacing\":\"1px\",\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"layout\":{\"selfStretch\":\"fit\"},\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"4.6rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\"}}},\"textColor\":\"contrast\"} /--></div>\n<!-- /wp:group -->\n<!-- /wp:post-template --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:query-pagination {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"space-between\"}} -->\n<!-- wp:query-pagination-previous {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n\n<!-- wp:query-pagination-next {\"style\":{\"typography\":{\"fontSize\":\"2rem\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"1px\"}}} /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></div>\n<!-- /wp:query -->\";}i:16;O:8:\"stdClass\":7:{s:2:\"id\";i:229092;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Header inside full-width background image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4895:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color wp-elements-a5c55c350363e1349d710a58148fd7b6 is-content-justification-space-between is-layout-flex wp-container-108 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size is-style-default wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-white-color wp-block-site-title has-medium-font-size wp-elements-e24c80986e13ab3d929b38d6b46e3019\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-107 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-106\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-106\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-106-content\">\n							<ul class=\"wp-block-navigation__container has-text-color has-white-color is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:100:\"Simple header with logo, site title, navigation and a full-width background image with dark overlay.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:1:{i:0;s:4:\"core\";}s:15:\"pattern_content\";s:2554:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":50,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":50,\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30);min-height:50px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|base\"}}},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"textColor\":\"base\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide has-base-color has-text-color has-link-color\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo {\"className\":\"is-style-default\"} /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|background\"}}}},\"textColor\":\"white\",\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"textColor\":\"white\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"33vw\"} -->\n<div style=\"height:33vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:17;O:8:\"stdClass\":7:{s:2:\"id\";i:229097;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Simple header with dark background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3967:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-4956719e1d36ae31d9fb9c185b0a148a is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-114 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-f1e98d6c897e424c7d4e8232ded39f0a\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-113 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-112\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-112\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-112-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:76:\"Simple header with logo, site title, navigation links and a dark background.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1232:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:18;O:8:\"stdClass\":7:{s:2:\"id\";i:229101;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Text-only header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3727:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-119 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-118 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-117\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-117\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-117-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:53:\"Header with site title, tagline and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:60:\"core/group,core/navigation,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:966:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:19;O:8:\"stdClass\":7:{s:2:\"id\";i:229105;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Simple header with tagline\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4296:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-7479bd1e590756c4aa927894dbdbef4e is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-125 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-122 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-121 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"wp-block-site-tagline has-small-font-size\">Beautifully designed patterns ready to go with a simple copy/paste</p></div>\n</div>\n\n\n<nav class=\"has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size is-content-justification-right is-layout-flex wp-container-124 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-123\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-123\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-123-content\">\n							<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:92:\"Header with site logo, title and tagline on the left and with navigation links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/navigation,core/site-logo,core/site-tagline,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1389:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /-->\n\n<!-- wp:site-tagline {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:20;O:8:\"stdClass\":7:{s:2:\"id\";i:229111;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:36:\"Fullwidth site title and menu button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3499:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-e0434f7bbe3c9d87e2f1562e19b734da is-content-justification-space-between is-layout-flex wp-container-129 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-128 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open always-shown\" data-micromodal-trigger=\"modal-127\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container hidden-by-default \" style=\"\" id=\"modal-127\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-127-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Header with site title and a hamburger menu button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:794:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title /-->\n\n<!-- wp:navigation {\"overlayMenu\":\"always\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\";}i:21;O:8:\"stdClass\":7:{s:2:\"id\";i:229116;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Fullwidth header with hero image\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4827:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\">\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-134 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group is-layout-flex wp-container-131 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-130 wp-block-group-is-layout-flex\"><h1 class=\"has-link-color wp-block-site-title has-medium-font-size wp-elements-234e57400cf5587740bb7caa261d6fc4\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n</div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-133 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-132\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-132\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-132-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Header on a white background followed by a full-width hero image.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:80:\"core/cover,core/group,core/navigation,core/site-logo,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"header\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2566:\"<!-- wp:group {\"align\":\"full\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"4px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"fontSize\":\"medium\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:cover {\"url\":\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&h=1200&fit=clip&crop=default&dpr=1&q=75&vib=3&con=3&usm=15&cs=srgb&bg=F4F4F3&ixlib=js-2.2.1&s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\",\"id\":61,\"dimRatio\":0,\"overlayColor\":\"black\",\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":40,\"minHeightUnit\":\"vw\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"margin-top:0;min-height:40vw\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-61\" alt=\"\" src=\"https://img.rawpixel.com/s3fs-private/rawpixel_images/website_content/a017-eberhard-cco-the-after-rain.jpg?w=1200&amp;h=1200&amp;fit=clip&amp;crop=default&amp;dpr=1&amp;q=75&amp;vib=3&amp;con=3&amp;usm=15&amp;cs=srgb&amp;bg=F4F4F3&amp;ixlib=js-2.2.1&amp;s=e7b4ca0a0edcc84ba48c1f7ebf02dd5a\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group -->\";}i:22;O:8:\"stdClass\":7:{s:2:\"id\";i:229088;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Simple header\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3830:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-140 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-container-137 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color wp-block-site-title wp-elements-d6202aa7d337f2ce08aedc8ed261a84e\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n<nav class=\"is-responsive items-justified-right is-fallback wp-block-navigation is-content-justification-right is-layout-flex wp-container-139 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-138\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-138\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-138-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-right is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:51:\"Simple header with logo, site title and navigation.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1021:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:23;O:8:\"stdClass\":7:{s:2:\"id\";i:229080;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:25:\"Centered header with logo\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3794:\"\n<div class=\"wp-block-group alignfull is-layout-constrained wp-block-group-is-layout-constrained\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-vertical is-content-justification-center is-layout-flex wp-container-144 wp-block-group-is-layout-flex\"><div class=\"is-default-size wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n<h1 class=\"has-link-color has-text-color has-contrast-color wp-block-site-title has-large-font-size wp-elements-9728cce79011b64628d7f6beff066787\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"is-responsive items-justified-center is-fallback wp-block-navigation is-content-justification-center is-layout-flex wp-container-143 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-142\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-142\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-142-content\">\n							<ul class=\"wp-block-navigation__container is-responsive items-justified-center is-fallback wp-block-navigation\"><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\" wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:65:\"Center aligned header with logo, site title and navigation links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:57:\"core/group,core/navigation,core/site-logo,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:926:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:site-logo /-->\n\n<!-- wp:site-title {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\"}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:24;O:8:\"stdClass\":7:{s:2:\"id\";i:229084;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Fullwidth header with large font size\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3627:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color wp-elements-4b5a1e7a31f9f44eaeb3ab45e5ae60f1 is-content-justification-space-between is-layout-flex wp-container-148 wp-block-group-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><h1 class=\"wp-block-site-title has-large-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<nav class=\"has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size is-content-justification-right is-layout-flex wp-container-147 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-146\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-146\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-146-content\">\n							<ul class=\"wp-block-navigation__container has-large-font-size is-responsive items-justified-right is-fallback wp-block-navigation has-large-font-size\"><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-large-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:80:\"Header with a large site title and navigation links in the same large font size.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/header\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:42:\"core/group,core/navigation,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"header\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:811:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|30\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|30\",\"left\":\"var:preset|spacing|30\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|contrast\"}}}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color has-link-color\" style=\"padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:site-title {\"fontSize\":\"large\"} /-->\n\n<!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\"},\"fontSize\":\"large\"} /--></div>\n<!-- /wp:group -->\";}i:25;O:8:\"stdClass\":7:{s:2:\"id\";i:229123;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4180:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-151 wp-block-group-is-layout-flex\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\">\n<div class=\"wp-block-group is-nowrap is-layout-flex wp-container-150 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-149 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:82:\"Centered footer with the sentence \"Proudly powered by WordPress\" and social links.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:25:\"core/group,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1495:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"30vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:30vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"24px\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"8px\",\"left\":\"8px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:26;O:8:\"stdClass\":7:{s:2:\"id\";i:229127;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:47:\"Footer with search, site title, and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2962:\"\n<div class=\"wp-block-group alignfull has-background is-layout-constrained wp-block-group-is-layout-constrained\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-158 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group wp-container-content-153 is-content-justification-left is-layout-constrained wp-container-154 wp-block-group-is-layout-constrained\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n\n\n<form role=\"search\" method=\"get\" action=\"https://wordpress.org/patterns/\" class=\"wp-block-search__button-outside wp-block-search__icon-button wp-block-search\"><label class=\"wp-block-search__label screen-reader-text\" for=\"wp-block-search__input-152\" >Search</label><div class=\"wp-block-search__inside-wrapper \"  style=\"width: 100%\"><input class=\"wp-block-search__input\" id=\"wp-block-search__input-152\" placeholder=\"\" value=\"\" type=\"search\" name=\"s\" required  style=\"border-width: 1px\"/><button aria-label=\"Search\" class=\"wp-block-search__button has-icon wp-element-button\" type=\"submit\"  style=\"border-width: 1px\"><svg class=\"search-icon\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\n					<path d=\"M13 5c-3.3 0-6 2.7-6 6 0 1.4.5 2.7 1.3 3.7l-3.8 3.8 1.1 1.1 3.8-3.8c1 .8 2.3 1.3 3.7 1.3 3.3 0 6-2.7 6-6S16.3 5 13 5zm0 10.5c-2.5 0-4.5-2-4.5-4.5s2-4.5 4.5-4.5 4.5 2 4.5 4.5-2 4.5-4.5 4.5z\"></path>\n				</svg></button></div></form></div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-nowrap is-layout-flex wp-container-157 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-156 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n\n\n\n<div class=\"wp-block-group has-small-font-size is-vertical is-content-justification-left is-layout-flex wp-container-155 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n</div>\n</div>\n</div>\n\n\n\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-160 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:88:\"Footer with search field and site title on the left, and small credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:65:\"core/group,core/paragraph,core/search,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3254:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\",\"top\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|50\"}},\"color\":{\"background\":\"#00000008\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#00000008;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|60\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"constrained\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Search</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:search {\"label\":\"Search\",\"showLabel\":false,\"width\":100,\"widthUnit\":\"%\",\"buttonText\":\"Search\",\"buttonUseIcon\":true,\"style\":{\"border\":{\"width\":\"1px\"}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":[]},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\",\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"0.9rem\",\"letterSpacing\":\"1px\",\"fontStyle\":\"normal\",\"fontWeight\":\"600\"}}} -->\n<p class=\"has-text-align-left\" style=\"font-size:0.9rem;font-style:normal;font-weight:600;letter-spacing:1px;text-transform:uppercase\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group has-small-font-size\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"48px\"} -->\n<div style=\"height:48px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:27;O:8:\"stdClass\":7:{s:2:\"id\";i:229131;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with site title and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:840:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-163 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with site title on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/paragraph,core/site-title\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1095:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:28;O:8:\"stdClass\":7:{s:2:\"id\";i:229135;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Footer with navigation and credit line\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3733:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-constrained wp-block-group-is-layout-constrained\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignwide is-content-justification-space-between is-layout-flex wp-container-168 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-layout-flex wp-block-group-is-layout-flex\"><nav class=\"has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-layout-flex wp-container-166 wp-block-navigation-is-layout-flex\" aria-label=\"\" \n			data-wp-interactive\n			data-wp-context=\'{ \"core\": { \"navigation\": { \"overlayOpenedBy\": {}, \"type\": \"overlay\", \"roleAttribute\": \"\" } } }\'\n		><button aria-haspopup=\"true\" aria-label=\"Open menu\" class=\"wp-block-navigation__responsive-container-open \" data-micromodal-trigger=\"modal-165\" \n			data-wp-on--click=\"actions.core.navigation.openMenuOnClick\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n		><svg width=\"24\" height=\"24\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" aria-hidden=\"true\" focusable=\"false\"><rect x=\"4\" y=\"7.5\" width=\"16\" height=\"1.5\" /><rect x=\"4\" y=\"15\" width=\"16\" height=\"1.5\" /></svg></button>\n			<div class=\"wp-block-navigation__responsive-container  \" style=\"\" id=\"modal-165\" \n			data-wp-class--has-modal-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-class--is-menu-open=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-effect=\"effects.core.navigation.initMenu\"\n			data-wp-on--keydown=\"actions.core.navigation.handleMenuKeydown\"\n			data-wp-on--focusout=\"actions.core.navigation.handleMenuFocusout\"\n			tabindex=\"-1\"\n		>\n				<div class=\"wp-block-navigation__responsive-close\" tabindex=\"-1\" data-micromodal-close>\n					<div aria-modal=\"\" role=\"\" class=\"wp-block-navigation__responsive-dialog\" aria-label=\"Menu\" \n			data-wp-bind--aria-modal=\"selectors.core.navigation.isMenuOpen\"\n			data-wp-bind--role=\"selectors.core.navigation.roleAttribute\"\n			data-wp-effect=\"effects.core.navigation.focusFirstElement\"\n		>\n							<button aria-label=\"Close menu\" data-micromodal-close class=\"wp-block-navigation__responsive-container-close\" \n			data-wp-on--click=\"actions.core.navigation.closeMenuOnClick\"\n		><svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z\"></path></svg></button>\n						<div class=\"wp-block-navigation__responsive-container-content\" id=\"modal-165-content\">\n							<ul class=\"wp-block-navigation__container has-small-font-size is-responsive items-justified-left is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul>\n						</div>\n					</div>\n				</div>\n			</div></nav></div>\n\n\n\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:64:\"Footer with navigation on the left and credit line on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/navigation,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1174:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:group {\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\"><!-- wp:navigation {\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\"},\"fontSize\":\"small\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:29;O:8:\"stdClass\":7:{s:2:\"id\";i:229139;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:56:\"Fullwidth footer with background color and three columns\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2963:\"\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color wp-elements-8d0170a0199cafe7fbcba6c0b4dac464 is-vertical is-content-justification-stretch is-layout-flex wp-container-178 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\">\n<div class=\"wp-block-columns alignwide has-small-font-size is-layout-flex wp-container-176 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Location</p>\n\n\n\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-center is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-center is-nowrap is-layout-flex wp-container-172 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-center is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-align-center\">Follow us</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-layout-flex wp-container-174 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-group alignwide is-content-justification-center is-layout-flex wp-container-177 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:57:\"Text-only footer with background color and three columns.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:78:\"core/column,core/columns,core/group,core/navigation,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:3225:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|white\"}}},\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|60\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|40\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"blockGap\":\"var:preset|spacing|30\"},\"dimensions\":{\"minHeight\":\"40vh\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"has-background-color\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"stretch\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-background-color has-white-color has-black-background-color has-text-color has-background has-link-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:columns {\"align\":\"wide\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-columns alignwide has-small-font-size\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Location</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Follow us</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"wide\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"flexWrap\":\"wrap\"}} -->\n<div class=\"wp-block-group alignwide\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:30;O:8:\"stdClass\":7:{s:2:\"id\";i:229143;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:33:\"Centered footer with social links\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4120:\"\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color is-vertical is-content-justification-center is-layout-flex wp-container-180 wp-block-group-is-layout-flex\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><div style=\"margin-bottom:6px;\" class=\"is-default-size aligncenter wp-block-site-logo\"><span class=\"custom-logo-link\"><img decoding=\"async\" src=\"https://s.w.org/images/wmark.png\" class=\"custom-logo\" alt=\"Site logo\"></span></div>\n\n\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only is-nowrap is-layout-flex wp-container-179 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-facebook  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12 2C6.5 2 2 6.5 2 12c0 5 3.7 9.1 8.4 9.9v-7H7.9V12h2.5V9.8c0-2.5 1.5-3.9 3.8-3.9 1.1 0 2.2.2 2.2.2v2.5h-1.3c-1.2 0-1.6.8-1.6 1.6V12h2.8l-.4 2.9h-2.3v7C18.3 21.1 22 17 22 12c0-5.5-4.5-10-10-10z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Facebook</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-wordpress  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12.158,12.786L9.46,20.625c0.806,0.237,1.657,0.366,2.54,0.366c1.047,0,2.051-0.181,2.986-0.51 c-0.024-0.038-0.046-0.079-0.065-0.124L12.158,12.786z M3.009,12c0,3.559,2.068,6.634,5.067,8.092L3.788,8.341 C3.289,9.459,3.009,10.696,3.009,12z M18.069,11.546c0-1.112-0.399-1.881-0.741-2.48c-0.456-0.741-0.883-1.368-0.883-2.109 c0-0.826,0.627-1.596,1.51-1.596c0.04,0,0.078,0.005,0.116,0.007C16.472,3.904,14.34,3.009,12,3.009 c-3.141,0-5.904,1.612-7.512,4.052c0.211,0.007,0.41,0.011,0.579,0.011c0.94,0,2.396-0.114,2.396-0.114 C7.947,6.93,8.004,7.642,7.52,7.699c0,0-0.487,0.057-1.029,0.085l3.274,9.739l1.968-5.901l-1.401-3.838 C9.848,7.756,9.389,7.699,9.389,7.699C8.904,7.67,8.961,6.93,9.446,6.958c0,0,1.484,0.114,2.368,0.114 c0.94,0,2.397-0.114,2.397-0.114c0.485-0.028,0.542,0.684,0.057,0.741c0,0-0.488,0.057-1.029,0.085l3.249,9.665l0.897-2.996 C17.841,13.284,18.069,12.316,18.069,11.546z M19.889,7.686c0.039,0.286,0.06,0.593,0.06,0.924c0,0.912-0.171,1.938-0.684,3.22 l-2.746,7.94c2.673-1.558,4.47-4.454,4.47-7.771C20.991,10.436,20.591,8.967,19.889,7.686z M12,22C6.486,22,2,17.514,2,12 C2,6.486,6.486,2,12,2c5.514,0,10,4.486,10,10C22,17.514,17.514,22,12,22z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">WordPress</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:71:\"Footer with centered site title, tagline, social links and credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.2\";s:25:\"wpop_contains_block_types\";s:75:\"core/group,core/paragraph,core/site-logo,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1532:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"right\":\"var:preset|spacing|50\",\"bottom\":\"var:preset|spacing|60\",\"left\":\"var:preset|spacing|50\",\"top\":\"var:preset|spacing|60\"},\"blockGap\":\"var:preset|spacing|40\",\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"dimensions\":{\"minHeight\":\"40vh\"}},\"textColor\":\"contrast\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\",\"verticalAlignment\":\"center\"}} -->\n<div class=\"wp-block-group alignfull has-contrast-color has-text-color\" style=\"min-height:40vh;margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--60);padding-right:var(--wp--preset--spacing--50);padding-bottom:var(--wp--preset--spacing--60);padding-left:var(--wp--preset--spacing--50)\"><!-- wp:site-logo {\"align\":\"center\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"6px\"}}}} /-->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"medium\"} -->\n<p class=\"has-text-align-center has-medium-font-size\">Proudly powered by <a href=\"https://wordpress.org\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:social-links {\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"12px\",\"left\":\"12px\"}}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"facebook\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"wordpress\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:31;O:8:\"stdClass\":7:{s:2:\"id\";i:229147;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:52:\"Fullwidth footer with navigation, credit, and social\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:4597:\"\n<div class=\"wp-block-group alignfull has-background-color is-layout-flow wp-block-group-is-layout-flow\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group alignfull has-small-font-size is-content-justification-space-between is-nowrap is-layout-flex wp-container-186 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-small-font-size wp-container-content-181\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<div class=\"wp-block-group wp-container-content-182 is-vertical is-content-justification-center is-layout-flex wp-container-183 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only wp-container-content-184 is-content-justification-right is-nowrap is-layout-flex wp-container-185 wp-block-social-links-is-layout-flex\"><li class=\"wp-social-link wp-social-link-twitter  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li class=\"wp-social-link wp-social-link-instagram  wp-block-social-link\"><a href=\"https://#\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li></ul>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:87:\"Footer with site title on the left, credit in the middle and social links on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:76:\"core/group,core/paragraph,core/site-title,core/social-link,core/social-links\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1869:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"className\":\"has-background-color\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background-color\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"flexWrap\":\"nowrap\"},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-group alignfull has-small-font-size\"><!-- wp:site-title {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\"> Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:social-links {\"size\":\"has-small-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"12px\"}},\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"25%\"}},\"className\":\"is-style-logos-only\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"right\"}} -->\n<ul class=\"wp-block-social-links has-small-icon-size is-style-logos-only\"><!-- wp:social-link {\"url\":\"#\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"#\",\"service\":\"instagram\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:32;O:8:\"stdClass\":7:{s:2:\"id\";i:229151;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:19:\"Left-aligned footer\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2835:\"\n<div class=\"wp-block-group alignfull is-content-justification-space-between is-layout-flex wp-container-196 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\">\n<div class=\"wp-block-group wp-container-content-188 is-vertical is-layout-flex wp-container-189 wp-block-group-is-layout-flex\"><h1 class=\"wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n\n\n\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-content-justification-right is-layout-flex wp-container-195 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-192 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Pages</p>\n\n\n<nav class=\"has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size is-content-justification-left is-nowrap is-layout-flex wp-container-191 wp-block-navigation-is-layout-flex\" aria-label=\"\"><ul class=\"wp-block-navigation__container has-small-font-size items-justified-left is-vertical no-wrap is-fallback wp-block-navigation has-small-font-size\"><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Home</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">About</span></a></li><li class=\"has-small-font-size wp-block-navigation-item wp-block-navigation-link\"><a class=\"wp-block-navigation-item__content\"  href=\"#\"><span class=\"wp-block-navigation-item__label\">Contact</span></a></li></ul></nav>\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-layout-flex wp-container-194 wp-block-group-is-layout-flex\">\n<p class=\"has-text-align-left\">Social</p>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-left is-layout-flex wp-container-193 wp-block-group-is-layout-flex\">\n<p><a href=\"#\">Facebook</a></p>\n\n\n\n<p><a href=\"#\">Instagram</a></p>\n\n\n\n<p><a href=\"#\">Twitter</a></p>\n</div>\n\n\n\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:44:\"Left-aligned footer with just a credit line.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:25:\"core/template-part/footer\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:69:\"core/group,core/navigation,core/paragraph,core/site-title,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"footer\";i:1;s:9:\"wireframe\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2939:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|50\",\"right\":\"var:preset|spacing|30\",\"bottom\":\"var:preset|spacing|50\",\"left\":\"var:preset|spacing|30\"}}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group alignfull\" style=\"margin-top:0;margin-bottom:0;padding-top:var(--wp--preset--spacing--50);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--50);padding-left:var(--wp--preset--spacing--30)\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fill\",\"flexSize\":null}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">2020 Lomita Blvd,&nbsp;<br>Torrance, CA 90101<br>United States</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-left has-small-font-size\">Proudly powered by <a rel=\"nofollow\" href=\"https://wordpress.org\">WordPress</a> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"var:preset|spacing|50\"}},\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"justifyContent\":\"right\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Pages</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:navigation {\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\",\"flexWrap\":\"nowrap\"},\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"align\":\"left\"} -->\n<p class=\"has-text-align-left\">Social</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"8px\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph -->\n<p><a href=\"#\">Facebook</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Instagram</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph -->\n<p><a href=\"#\">Twitter</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"24px\"} -->\n<div style=\"height:24px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:33;O:8:\"stdClass\":7:{s:2:\"id\";i:201;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:32:\"Three columns with offset images\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1330:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-200 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\">\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:45%\">\n<figure class=\"wp-block-image size-large is-style-default\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n\n\n\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:33:\"Three columns with offset images.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:47:\"core/column,core/columns,core/image,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1753:\"<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-01.jpg\" alt=\"Close-up, abstract view of geometric architecture.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:spacer {\"height\":500} -->\n<div style=\"height:500px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:spacer {\"height\":150} -->\n<div style=\"height:150px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/architecture-02.jpg\" alt=\"Close-up, angled view of a window on a white building.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"45%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:45%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-default\"} -->\n<figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://s.w.org/images/core/5.8/architecture-03.jpg\" alt=\"Close-up of the corner of a white, geometric building with both sharp points and round corners.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:spacer {\"height\":285} -->\n<div style=\"height:285px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:34;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1078:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-204 wp-block-columns-is-layout-flex\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:35;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3496:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-205 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-213 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-209 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-212 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:5:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:7:\"gallery\";i:3;s:6:\"images\";i:4;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:36;O:8:\"stdClass\":7:{s:2:\"id\";i:197;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:39:\"Two columns of text with offset heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2240:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f2f0e9\">\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-217 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-221 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n</div>\n</div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:43:\"Two columns of text with an offset heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:77:\"core/column,core/columns,core/group,core/paragraph,core/separator,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2837:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f2f0e9\"}}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f2f0e9\"><!-- wp:spacer {\"height\":70} -->\n<div style=\"height:70px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:30px;line-height:1.1\"><strong>Oceanic Inspiration</strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:separator {\"customColor\":\"#000000\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">Winding veils round their heads, the women walked on deck. They were now moving steadily down the river, passing the dark shapes of ships at anchor, and London was a swarm of lights with a pale yellow canopy drooping above it. There were the lights of the great theatres, the lights of the long streets, lights that indicated huge squares of domestic comfort, lights that hung high in air.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"}},\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-color has-extra-small-font-size\" style=\"color:#000000\">No darkness would ever settle upon those lamps, as no darkness had settled upon them for hundreds of years. It seemed dreadful that the town should blaze for ever in the same spot; dreadful at least to people going away to adventure upon the sea, and beholding it as a circumscribed mound, eternally burnt, eternally scarred. From the deck of the ship the great city appeared a crouched and cowardly figure, a sedentary miser.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:spacer {\"height\":40} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:37;O:8:\"stdClass\":7:{s:2:\"id\";i:196;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:41:\"Media and text in a full height container\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1445:\"\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What&#8217;s the problem?</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n</div>\n</div></div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Media and text block with image to the left and text and button to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:79:\"core/button,core/buttons,core/cover,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2015:\"<!-- wp:cover {\"customOverlayColor\":\"#ffffff\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"isDark\":false,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull is-light\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-100 has-background-dim\" style=\"background-color:#ffffff\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:media-text {\"mediaLink\":\"https://s.w.org/images/core/5.8/soil.jpg\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"imageFill\":true} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center is-image-fill\" style=\"grid-template-columns:56% auto\"><figure class=\"wp-block-media-text__media\" style=\"background-image:url(https://s.w.org/images/core/5.8/soil.jpg);background-position:50% 50%\"><img src=\"https://s.w.org/images/core/5.8/soil.jpg\" alt=\"Close-up of dried, cracked earth.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000;font-size:32px\"><strong>What\'s the problem?</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Trees are more important today than ever before. More than 10,000 products are reportedly made from trees. Through chemistry, the humble woodpile is yielding chemicals, plastics and fabrics that were beyond comprehension when an axe first felled a Texas tree.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Learn more</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:media-text --></div></div>\n<!-- /wp:cover -->\";}i:38;O:8:\"stdClass\":7:{s:2:\"id\";i:195;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:38:\"Media and text with image on the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:719:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\">\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n\n\n\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the right and text to the left.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1155:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaLink\":\"#\",\"mediaType\":\"image\",\"mediaWidth\":56,\"verticalAlignment\":\"center\",\"className\":\"is-style-default\"} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center is-style-default\" style=\"grid-template-columns:auto 56%\"><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h2 class=\"wp-block-heading has-text-color\" style=\"color:#000000\"><strong>Shore with Blue Sea</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.1\",\"fontSize\":\"17px\"},\"color\":{\"text\":\"#636363\"}}} -->\n<p class=\"has-text-color\" style=\"color:#636363;font-size:17px;line-height:1.1\">Eleanor Harris&nbsp;(American, 1901-1942)</p>\n<!-- /wp:paragraph --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/art-02.jpg\" alt=\"A green and brown rural landscape leading into a bright blue ocean and slightly cloudy sky, done in oil paints.\" /></figure></div>\n<!-- /wp:media-text -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:39;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:40;O:8:\"stdClass\":7:{s:2:\"id\";i:186;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with text and a button\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1508:\"\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-228 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:60%\">\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n\n\n\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:62:\"Large header with background image and text and button on top.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:88:\"core/button,core/buttons,core/column,core/columns,core/cover,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:1:{i:0;s:6:\"banner\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:2053:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/art-01.jpg\",\"hasParallax\":true,\"dimRatio\":40,\"customOverlayColor\":\"#000000\",\"minHeight\":100,\"minHeightUnit\":\"vh\",\"contentPosition\":\"center center\",\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull has-parallax\" style=\"min-height:100vh\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-40 has-background-dim\" style=\"background-color:#000000\"></span><div role=\"img\" class=\"wp-block-cover__image-background has-parallax\" style=\"background-position:50% 50%;background-image:url(https://s.w.org/images/core/5.8/art-01.jpg)\"></div><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.2\"}},\"className\":\"alignwide has-white-color has-text-color\"} -->\n<h2 class=\"wp-block-heading alignwide has-white-color has-text-color\" style=\"font-size:48px;line-height:1.2\"><strong><em>Overseas:</em></strong><br><strong><em>1500 — 1960</em></strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"60%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffffff\">An exhibition about the different representations of the ocean throughout time, between the sixteenth and the twentieth century. Taking place in our Open Room in <em>Floor 2</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#ffffff\",\"background\":\"#000000\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button is-style-outline\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#ffffff;background-color:#000000\">Visit</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:41;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1321:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-232 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:42;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}i:43;O:8:\"stdClass\":7:{s:2:\"id\";i:27;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Quote\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:688:\"\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n\n\n\n<figure class=\"wp-block-image aligncenter size-large is-resized is-style-rounded\"><img decoding=\"async\" loading=\"lazy\" src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure>\n\n\n\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\">\n<p>&#8220;Contributing makes me feel like I&#8217;m being useful to the planet.&#8221;</p>\n<cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:1:{i:0;s:10:\"core/quote\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:51:\"core/image,core/paragraph,core/quote,core/separator\";}s:14:\"category_slugs\";a:2:{i:0;s:12:\"testimonials\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1102:\"<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n<!-- /wp:separator -->\n\n<!-- wp:image {\"align\":\"center\",\"width\":150,\"height\":150,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"is-style-rounded\"} -->\n<figure class=\"wp-block-image aligncenter size-large is-resized is-style-rounded\"><img src=\"https://s.w.org/images/core/5.8/portrait.jpg\" alt=\"A side profile of a woman in a russet-colored turtleneck and white bag. She looks up with her eyes closed.\" width=\"150\" height=\"150\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:quote {\"align\":\"center\",\"className\":\"is-style-large\"} -->\n<blockquote class=\"wp-block-quote has-text-align-center is-style-large\"><!-- wp:paragraph -->\n<p>\"Contributing makes me feel like I\'m being useful to the planet.\"</p>\n<!-- /wp:paragraph --><cite>— Anna Wong, <em>Volunteer</em></cite></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-default\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-default\" />\n<!-- /wp:separator -->\";}i:44;O:8:\"stdClass\":7:{s:2:\"id\";i:29;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:29:\"Two columns of text and title\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1518:\"\n<h2 class=\"wp-block-heading\" style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-236 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband&#8217;s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:47:\"Two columns of text preceded by a long heading.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"columns\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1711:\"<!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":38,\"lineHeight\":\"1.4\"}}} -->\n<h2 style=\"font-size:38px;line-height:1.4\"><strong>The voyage had begun, and had begun happily with a soft blue sky, and a calm sea.</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">They followed her on to the deck. All the smoke and the houses had disappeared, and the ship was out in a wide space of sea very fresh and clear though pale in the early light. They had left London sitting on its mud. A very thin line of shadow tapered on the horizon, scarcely thick enough to stand the burden of Paris, which nevertheless rested upon it. They were free of roads, free of mankind, and the same exhilaration at their freedom ran through them all.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":18}}} -->\n<p style=\"font-size:18px\">The ship was making her way steadily through small waves which slapped her and then fizzled like effervescing water, leaving a little border of bubbles and foam on either side. The colourless October sky above was thinly clouded as if by the trail of wood-fire smoke, and the air was wonderfully salt and brisk. Indeed it was too cold to stand still. Mrs. Ambrose drew her arm within her husband\'s, and as they moved off it could be seen from the way in which her sloping cheek turned up to his that she had something private to communicate.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:45;O:8:\"stdClass\":7:{s:2:\"id\";i:19;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:23:\"Two images side by side\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:572:\"\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped wp-block-gallery-237 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n</figure>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:41:\"An image gallery with two example images.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:23:\"core/gallery,core/image\";}s:14:\"category_slugs\";a:1:{i:0;s:7:\"gallery\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:704:\"<!-- wp:gallery {\"linkTo\":\"none\",\"align\":\"wide\"} -->\n<figure class=\"wp-block-gallery alignwide has-nested-images columns-default is-cropped\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-01.jpg\" alt=\"An aerial view of waves crashing against a shore.\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/nature-above-02.jpg\" alt=\"An aerial view of a field. A road runs through the upper right corner.\" /></figure>\n<!-- /wp:image --></figure>\n<!-- /wp:gallery -->\";}}", "no");
INSERT INTO `wp_options` VALUES("770", "_site_transient_timeout_wp_remote_block_patterns_9878e052535700697ff756158aa990b2", "1691796397", "no");
INSERT INTO `wp_options` VALUES("771", "_site_transient_wp_remote_block_patterns_9878e052535700697ff756158aa990b2", "a:14:{i:0;O:8:\"stdClass\":7:{s:2:\"id\";i:207567;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:11:\"Link in Bio\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:6630:\"\n<div class=\"wp-block-group has-white-background-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><h1 style=\"font-style:normal;font-weight:700;\" class=\"has-text-align-center wp-block-site-title has-medium-font-size\"><a href=\"https://wordpress.org/patterns\" target=\"_self\" rel=\"home\">Block Pattern Directory</a></h1>\n\n<p class=\"has-text-align-center wp-block-site-tagline\">Beautifully designed patterns ready to go with a simple copy/paste</p>\n\n\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-container-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n\n\n\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n</div>\n\n\n\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color is-content-justification-center is-layout-flex wp-container-2 wp-block-social-links-is-layout-flex\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-instagram has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M12,4.622c2.403,0,2.688,0.009,3.637,0.052c0.877,0.04,1.354,0.187,1.671,0.31c0.42,0.163,0.72,0.358,1.035,0.673 c0.315,0.315,0.51,0.615,0.673,1.035c0.123,0.317,0.27,0.794,0.31,1.671c0.043,0.949,0.052,1.234,0.052,3.637 s-0.009,2.688-0.052,3.637c-0.04,0.877-0.187,1.354-0.31,1.671c-0.163,0.42-0.358,0.72-0.673,1.035 c-0.315,0.315-0.615,0.51-1.035,0.673c-0.317,0.123-0.794,0.27-1.671,0.31c-0.949,0.043-1.233,0.052-3.637,0.052 s-2.688-0.009-3.637-0.052c-0.877-0.04-1.354-0.187-1.671-0.31c-0.42-0.163-0.72-0.358-1.035-0.673 c-0.315-0.315-0.51-0.615-0.673-1.035c-0.123-0.317-0.27-0.794-0.31-1.671C4.631,14.688,4.622,14.403,4.622,12 s0.009-2.688,0.052-3.637c0.04-0.877,0.187-1.354,0.31-1.671c0.163-0.42,0.358-0.72,0.673-1.035 c0.315-0.315,0.615-0.51,1.035-0.673c0.317-0.123,0.794-0.27,1.671-0.31C9.312,4.631,9.597,4.622,12,4.622 M12,3 C9.556,3,9.249,3.01,8.289,3.054C7.331,3.098,6.677,3.25,6.105,3.472C5.513,3.702,5.011,4.01,4.511,4.511 c-0.5,0.5-0.808,1.002-1.038,1.594C3.25,6.677,3.098,7.331,3.054,8.289C3.01,9.249,3,9.556,3,12c0,2.444,0.01,2.751,0.054,3.711 c0.044,0.958,0.196,1.612,0.418,2.185c0.23,0.592,0.538,1.094,1.038,1.594c0.5,0.5,1.002,0.808,1.594,1.038 c0.572,0.222,1.227,0.375,2.185,0.418C9.249,20.99,9.556,21,12,21s2.751-0.01,3.711-0.054c0.958-0.044,1.612-0.196,2.185-0.418 c0.592-0.23,1.094-0.538,1.594-1.038c0.5-0.5,0.808-1.002,1.038-1.594c0.222-0.572,0.375-1.227,0.418-2.185 C20.99,14.751,21,14.444,21,12s-0.01-2.751-0.054-3.711c-0.044-0.958-0.196-1.612-0.418-2.185c-0.23-0.592-0.538-1.094-1.038-1.594 c-0.5-0.5-1.002-0.808-1.594-1.038c-0.572-0.222-1.227-0.375-2.185-0.418C14.751,3.01,14.444,3,12,3L12,3z M12,7.378 c-2.552,0-4.622,2.069-4.622,4.622S9.448,16.622,12,16.622s4.622-2.069,4.622-4.622S14.552,7.378,12,7.378z M12,15 c-1.657,0-3-1.343-3-3s1.343-3,3-3s3,1.343,3,3S13.657,15,12,15z M16.804,6.116c-0.596,0-1.08,0.484-1.08,1.08 s0.484,1.08,1.08,1.08c0.596,0,1.08-0.484,1.08-1.08S17.401,6.116,16.804,6.116z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Instagram</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-bandcamp has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M15.27 17.289 3 17.289 8.73 6.711 21 6.711 15.27 17.289\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Bandcamp</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitter has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M22.23,5.924c-0.736,0.326-1.527,0.547-2.357,0.646c0.847-0.508,1.498-1.312,1.804-2.27 c-0.793,0.47-1.671,0.812-2.606,0.996C18.324,4.498,17.257,4,16.077,4c-2.266,0-4.103,1.837-4.103,4.103 c0,0.322,0.036,0.635,0.106,0.935C8.67,8.867,5.647,7.234,3.623,4.751C3.27,5.357,3.067,6.062,3.067,6.814 c0,1.424,0.724,2.679,1.825,3.415c-0.673-0.021-1.305-0.206-1.859-0.513c0,0.017,0,0.034,0,0.052c0,1.988,1.414,3.647,3.292,4.023 c-0.344,0.094-0.707,0.144-1.081,0.144c-0.264,0-0.521-0.026-0.772-0.074c0.522,1.63,2.038,2.816,3.833,2.85 c-1.404,1.1-3.174,1.756-5.096,1.756c-0.331,0-0.658-0.019-0.979-0.057c1.816,1.164,3.973,1.843,6.29,1.843 c7.547,0,11.675-6.252,11.675-11.675c0-0.178-0.004-0.355-0.012-0.531C20.985,7.47,21.68,6.747,22.23,5.924z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitter</span></a></li>\n\n<li style=\"color: #000000; background-color: #ffffff; \" class=\"wp-social-link wp-social-link-twitch has-black-color has-white-background-color wp-block-social-link\"><a href=\"https://wordpress.org/patterns/\" class=\"wp-block-social-link-anchor\"><svg width=\"24\" height=\"24\" viewBox=\"0 0 24 24\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" aria-hidden=\"true\" focusable=\"false\"><path d=\"M16.499,8.089h-1.636v4.91h1.636V8.089z M12,8.089h-1.637v4.91H12V8.089z M4.228,3.178L3,6.451v13.092h4.499V22h2.456 l2.454-2.456h3.681L21,14.636V3.178H4.228z M19.364,13.816l-2.864,2.865H12l-2.453,2.453V16.68H5.863V4.814h13.501V13.816z\"></path></svg><span class=\"wp-block-social-link-label screen-reader-text\">Twitch</span></a></li></ul>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:3:\"6.1\";s:25:\"wpop_contains_block_types\";s:116:\"core/button,core/buttons,core/group,core/site-tagline,core/site-title,core/social-link,core/social-links,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2665:\"<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|80\",\"right\":\"0\",\"bottom\":\"var:preset|spacing|80\",\"left\":\"0\"}}},\"backgroundColor\":\"white\",\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group has-white-background-color has-background\" style=\"padding-top:var(--wp--preset--spacing--80);padding-right:0;padding-bottom:var(--wp--preset--spacing--80);padding-left:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"center\"} /-->\n\n<!-- wp:spacer {\"height\":\"20px\"} -->\n<div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Watch my latest videos</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Buy merch</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link wp-element-button\">Support me on Patreon</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"width\":100,\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link wp-element-button\">Get tickets for my show</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:social-links {\"iconColor\":\"black\",\"iconColorValue\":\"#000000\",\"iconBackgroundColor\":\"white\",\"iconBackgroundColorValue\":\"#ffffff\",\"size\":\"has-normal-icon-size\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"0\",\"left\":\"0\"},\"padding\":{\"top\":\"var:preset|spacing|60\",\"bottom\":\"var:preset|spacing|60\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<ul class=\"wp-block-social-links has-normal-icon-size has-icon-color has-icon-background-color\" style=\"padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)\"><!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"instagram\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"bandcamp\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitter\"} /-->\n\n<!-- wp:social-link {\"url\":\"https://wordpress.org/patterns/\",\"service\":\"twitch\"} /--></ul>\n<!-- /wp:social-links --></div>\n<!-- /wp:group -->\";}i:1;O:8:\"stdClass\":7:{s:2:\"id\";i:732;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Simple call to action\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:961:\"\n<div class=\"wp-block-group alignfull has-text-color has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#ffffff;color:#000000\">\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n\n\n\n<h2 class=\"has-text-align-center wp-block-heading\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-4 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n</div>\n\n\n\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:89:\"A container with a white background. Inside is a centered paragraph, heading, and button.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/group,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:7:\"buttons\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1506:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-group alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"lineHeight\":\".9\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center has-small-font-size\" style=\"line-height:.9\"><strong>GET IN TOUCH</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":59,\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"has-text-align-center\" id=\"schedule-a-visit\" style=\"font-size:59px;line-height:1.15\"><strong>Schedule a Visit</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":50,\"style\":{\"color\":{\"background\":\"#000000\",\"text\":\"#ffffff\"},\"border\":{\"radius\":\"50px\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-50\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:50px;background-color:#000000;color:#ffffff\">Contact us</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:spacer {\"height\":64} -->\n<div style=\"height:64px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group -->\";}i:2;O:8:\"stdClass\":7:{s:2:\"id\";i:678;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:26:\"Three column pricing table\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3717:\"\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-12 wp-block-columns-is-layout-flex\" style=\"margin-bottom:0\">\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-2ae1b943d87d6b5cbc827b8e7de5c343 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n\n\n\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for one adult</li>\n\n\n\n<li>One free ticket per special exhibition</li>\n\n\n\n<li>Two single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-6 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-c860b6260b3b3b7bae640a65db9c9aec is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Four free tickets per special exhibition</li>\n\n\n\n<li>Four single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-8 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column has-text-color has-background has-link-color wp-elements-4a86cd4fa1de9230a73a90c7ad305893 is-layout-flow wp-block-column-is-layout-flow\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n\n\n\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n\n\n\n<ul class=\"has-normal-font-size\">\n<li>General admission and member discounts for two adults</li>\n\n\n\n<li>Five free tickets per special exhibition</li>\n\n\n\n<li>Six single-use guest passes per year</li>\n</ul>\n\n\n\n<div class=\"wp-block-buttons alignfull is-horizontal is-content-justification-center is-layout-flex wp-container-10 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:272:\"Three equal-width columns set up as a pricing table. The left column has a yellow background, the middle column has a light purple background, and the right column has a light blue background. Each column contains a heading, subheading, separator, list, and then a button.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:117:\"core/button,core/buttons,core/column,core/columns,core/heading,core/list,core/list-item,core/paragraph,core/separator\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:6125:\"<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"margin\":{\"bottom\":\"0\"}}}} -->\n<div class=\"wp-block-columns alignwide\" style=\"margin-bottom:0\"><!-- wp:column {\"style\":{\"color\":{\"background\":\"#ffe97d\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#ffe97d;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"single\"} -->\n<h2 class=\"wp-block-heading\" id=\"single\" style=\"font-size:40px\"><strong>Single</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Enrich our growing community.</strong> </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"style\":{\"color\":{\"background\":\"#000000\"}},\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-text-color has-css-opacity has-background is-style-wide\" style=\"background-color:#000000;color:#000000\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for one adult</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>One free ticket per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Two single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$110 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#d1d1e1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#d1d1e1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"family\"} -->\n<h2 class=\"wp-block-heading\" id=\"family\" style=\"font-size:40px\"><strong>Family</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.5\"}},\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\" style=\"line-height:1.5\"><strong>Support special exhibitions.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Four single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}},\"className\":\"is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100 is-style-fill\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$200 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"style\":{\"color\":{\"background\":\"#c0ebf1\",\"text\":\"#000000\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#000000\"}}},\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-column has-text-color has-background has-link-color\" style=\"color:#000000;background-color:#c0ebf1;padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"anchor\":\"patron\"} -->\n<h2 class=\"wp-block-heading\" id=\"patron\" style=\"font-size:40px\"><strong>Patron</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"fontSize\":\"normal\"} -->\n<p class=\"has-normal-font-size\"><strong>Take support to the next level.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:separator {\"opacity\":\"css\",\"className\":\"is-style-wide\"} -->\n<hr class=\"wp-block-separator has-css-opacity is-style-wide\" />\n<!-- /wp:separator -->\n\n<!-- wp:list {\"fontSize\":\"normal\"} -->\n<ul class=\"has-normal-font-size\"><!-- wp:list-item -->\n<li>General admission and member discounts for two adults</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Five free tickets per special exhibition</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Six single-use guest passes per year</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:buttons {\"align\":\"full\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-buttons alignfull\"><!-- wp:button {\"textColor\":\"white\",\"width\":100,\"style\":{\"color\":{\"background\":\"#000000\"},\"border\":{\"radius\":0}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius wp-element-button\" style=\"background-color:#000000\">$400 / year</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:3;O:8:\"stdClass\":7:{s:2:\"id\";i:669;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Image and quote on a background\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2281:\"\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-1-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-1-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-1-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-1.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Terry a O&#8217;Neal</p>\n</div>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png 1024w, https://s.w.org/patterns/files/2021/06/pear-half-300x300.png 300w, https://s.w.org/patterns/files/2021/06/pear-half-150x150.png 150w, https://s.w.org/patterns/files/2021/06/pear-half-768x768.png 768w, https://s.w.org/patterns/files/2021/06/pear-half.png 1300w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n\n\n\n<p class=\"has-extra-small-font-size\">– Molière</p>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:221:\"Two media and text blocks. The top one has a pale green background. The text is on the left and contains a quote, and the image is on the right. The next block underneath has the image on the left, and quote on the right.\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:41:\"core/group,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2404:\"<!-- wp:media-text {\"mediaPosition\":\"right\",\"mediaId\":5263,\"mediaLink\":\"https://wordpress.org/patterns/pattern/image-and-quote-on-a-background/pear-3/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#f1f5c7\"}}} -->\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#f1f5c7\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-1-1024x1024.png\" alt=\"\" class=\"wp-image-5263 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>Even the bitterest fruit has sugar in it.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Terry a O\'Neal</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\n\n<!-- wp:media-text {\"mediaId\":673,\"mediaLink\":\"https://wordpress.org/patterns/pear-half/\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\",\"style\":{\"color\":{\"background\":\"#fffdea\"}}} -->\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile is-vertically-aligned-center has-background\" style=\"background-color:#fffdea\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/pear-half-1024x1024.png\" alt=\"\" class=\"wp-image-673 size-full\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.2\",\"fontSize\":\"36px\"}}} -->\n<p style=\"font-size:36px;line-height:1.2\"><strong>The trees that are slow to grow bear the best fruit.</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"extra-small\"} -->\n<p class=\"has-extra-small-font-size\">– Molière</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:media-text -->\";}i:4;O:8:\"stdClass\":7:{s:2:\"id\";i:591;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:5:\"Event\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1687:\"\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color wp-elements-5fce4e677a9b9d7d0cae0196c9d74d97\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\">\n<div class=\"wp-block-group has-link-color wp-elements-71b4a847bbd96313422a1303e9ba41f3 is-layout-flow wp-block-group-is-layout-flow\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\">\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n\n\n\n<p class=\"has-text-color has-link-color wp-elements-0860918d5b16b9e1778b1966b333b980\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n</div>\n</div><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1536x1536.jpg 1536w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1.jpg 1572w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:0:\"\";s:19:\"wpop_viewport_width\";i:800;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:54:\"core/group,core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1617:\"<!-- wp:media-text {\"align\":\"full\",\"mediaPosition\":\"right\",\"mediaId\":590,\"mediaLink\":\"https://wordpress.org/patterns/image-from-rawpixel-id-430289-jpeg-1/\",\"mediaType\":\"image\",\"mediaWidth\":60,\"verticalAlignment\":\"top\",\"style\":{\"color\":{\"background\":\"#121c1c\",\"text\":\"#fffdc7\"},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-media-text alignfull has-media-on-the-right is-stacked-on-mobile is-vertically-aligned-top has-text-color has-background has-link-color\" style=\"color:#fffdc7;background-color:#121c1c;grid-template-columns:auto 60%\"><div class=\"wp-block-media-text__content\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"2em\",\"right\":\"2em\",\"bottom\":\"2em\",\"left\":\"2em\"}},\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}}}} -->\n<div class=\"wp-block-group has-link-color\" style=\"padding-top:2em;padding-right:2em;padding-bottom:2em;padding-left:2em\"><!-- wp:heading {\"style\":{\"typography\":{\"fontWeight\":\"700\",\"fontSize\":\"48px\",\"lineHeight\":\"1.15\"}}} -->\n<h2 class=\"wp-block-heading\" style=\"font-size:48px;font-weight:700;line-height:1.15\">Opening <br>Party</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"#fffdc7\"}}},\"color\":{\"text\":\"#fffdc7\"}}} -->\n<p class=\"has-text-color has-link-color\" style=\"color:#fffdc7\"><strong><a href=\"#\">RSVP →</a></strong></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-430289-jpeg-1-1024x1024.jpg\" alt=\"\" class=\"wp-image-590 size-full\" /></figure></div>\n<!-- /wp:media-text -->\";}i:5;O:8:\"stdClass\":7:{s:2:\"id\";i:573;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Image on solid color with description\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1830:\"\n<div class=\"wp-block-columns alignfull is-layout-flex wp-container-21 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img decoding=\"async\" loading=\"lazy\" width=\"263\" height=\"300\" src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" srcset=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg 263w, https://s.w.org/patterns/files/2021/06/wire-sculpture-898x1024.jpg 898w, https://s.w.org/patterns/files/2021/06/wire-sculpture-768x875.jpg 768w, https://s.w.org/patterns/files/2021/06/wire-sculpture-1347x1536.jpg 1347w, https://s.w.org/patterns/files/2021/06/wire-sculpture.jpg 1658w\" sizes=\"(max-width: 263px) 100vw, 263px\" /></figure></div>\n</div></div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\">\n<div class=\"wp-block-columns is-layout-flex wp-container-19 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:320px\">\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n\n\n\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:38:\"Image on solid color with description.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:61:\"core/column,core/columns,core/cover,core/image,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:6:\"images\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1826:\"<!-- wp:columns {\"align\":\"full\"} -->\n<div class=\"wp-block-columns alignfull\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:cover {\"customOverlayColor\":\"#f6f6f6\",\"minHeight\":600} -->\n<div class=\"wp-block-cover has-background-dim\" style=\"background-color:#f6f6f6;min-height:600px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":571,\"sizeSlug\":\"medium\",\"linkDestination\":\"none\"} -->\n<div class=\"wp-block-image\"><figure class=\"aligncenter size-medium\"><img src=\"https://s.w.org/patterns/files/2021/06/wire-sculpture-263x300.jpg\" alt=\"\" class=\"wp-image-571\" /></figure></div>\n<!-- /wp:image --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"style\":{\"spacing\":{\"padding\":{\"top\":\"1em\",\"right\":\"1em\",\"bottom\":\"1em\",\"left\":\"1em\"}}}} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"padding-top:1em;padding-right:1em;padding-bottom:1em;padding-left:1em\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"320px\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:320px\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\"><strong>Airplane</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"1.6\"}},\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\" style=\"line-height:1.6\">Copper wire, wood base. I created this piece in late 2008. For this work, I aimed to convey both the industrial heaviness of an airplane, but also the cloudlike floating quality you feel when you’re in one.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:6;O:8:\"stdClass\":7:{s:2:\"id\";i:526;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:31:\"Offset images with descriptions\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:2907:\"\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top is-layout-flex wp-container-31 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-24 is-vertical is-content-justification-left is-nowrap is-layout-flex wp-container-25 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<figure class=\"wp-block-image size-large wp-container-content-22\"><img decoding=\"async\" loading=\"lazy\" width=\"793\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" srcset=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg 793w, https://s.w.org/patterns/files/2021/06/Iris-232x300.jpg 232w, https://s.w.org/patterns/files/2021/06/Iris-768x992.jpg 768w, https://s.w.org/patterns/files/2021/06/Iris-1189x1536.jpg 1189w, https://s.w.org/patterns/files/2021/06/Iris-1586x2048.jpg 1586w, https://s.w.org/patterns/files/2021/06/Iris.jpg 1920w\" sizes=\"(max-width: 793px) 100vw, 793px\" /></figure>\n\n\n\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-23 wp-block-group-is-layout-flex\">\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-top is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-group wp-container-content-28 is-vertical is-layout-flex wp-container-29 wp-block-group-is-layout-flex\" style=\"margin-top:0;margin-bottom:0\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-27 wp-block-group-is-layout-flex\">\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n\n\n\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n</div>\n\n\n\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img decoding=\"async\" loading=\"lazy\" width=\"707\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" srcset=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg 707w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-207x300.jpg 207w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-768x1112.jpg 768w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1061x1536.jpg 1061w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-1414x2048.jpg 1414w, https://s.w.org/patterns/files/2021/06/Cherry-Blossom-scaled.jpg 1768w\" sizes=\"(max-width: 707px) 100vw, 707px\" /></figure>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:58:\"Two offset columns with images and titles within each one.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:73:\"core/column,core/columns,core/group,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:3:{i:0;s:8:\"featured\";i:1;s:7:\"gallery\";i:2;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:2930:\"<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}}} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-top\"><!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\",\"justifyContent\":\"left\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:image {\"id\":525,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"50%\"}}} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/Iris-793x1024.jpg\" alt=\"Beautiful photomechanical prints of White Irises (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-525\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>White Irises</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\"><!-- wp:group {\"style\":{\"layout\":{\"selfStretch\":\"fixed\",\"flexSize\":\"480px\"},\"spacing\":{\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"0\"}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"><!-- wp:spacer {\"height\":\"80px\"} -->\n<div style=\"height:80px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"fontSize\":\"medium\"} -->\n<p class=\"has-medium-font-size\"><strong>Cherry Blossom</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"fontSize\":\"small\"} -->\n<p class=\"has-small-font-size\">Ogawa Kazumasa</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:image {\"id\":524,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<figure class=\"wp-block-image size-large\" style=\"font-size:14px\"><img src=\"https://s.w.org/patterns/files/2021/06/Cherry-Blossom-707x1024.jpg\" alt=\"Beautiful photomechanical prints of Cherry Blossom (1887-1897) by Ogawa Kazumasa. Original from The Rijksmuseum. \" class=\"wp-image-524\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:7;O:8:\"stdClass\":7:{s:2:\"id\";i:521;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:45:\"Image with description below and to the right\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1665:\"\n<div class=\"wp-block-columns is-layout-flex wp-container-36 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" loading=\"lazy\" width=\"1024\" height=\"1024\" src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" srcset=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg 1024w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-300x300.jpg 300w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-150x150.jpg 150w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-768x768.jpg 768w, https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1.jpg 1510w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:10%\"></div>\n</div>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-39 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:46:\"Image with description below and to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:50:\"core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:6:\"images\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1241:\"<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":522,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/patterns/files/2021/06/image-from-rawpixel-id-539759-jpeg-1-1024x1024.jpg\" alt=\"Vintage Cupid Illustration\" class=\"wp-image-522\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p style=\"font-size:14px\"><strong>Cupid in Flight</strong><br>48” x 48” Giclee print on archival paper.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\";}i:8;O:8:\"stdClass\":7:{s:2:\"id\";i:502;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:13:\"Event details\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1684:\"\n<figure class=\"wp-block-image alignwide size-full\"><img decoding=\"async\" loading=\"lazy\" width=\"2560\" height=\"1227\" src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" srcset=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg 2560w, https://s.w.org/patterns/files/2021/06/Group-17-300x144.jpg 300w, https://s.w.org/patterns/files/2021/06/Group-17-1024x491.jpg 1024w, https://s.w.org/patterns/files/2021/06/Group-17-768x368.jpg 768w, https://s.w.org/patterns/files/2021/06/Group-17-1536x736.jpg 1536w, https://s.w.org/patterns/files/2021/06/Group-17-2048x981.jpg 2048w\" sizes=\"(max-width: 2560px) 100vw, 2560px\" /></figure>\n\n\n\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center is-layout-flex wp-container-44 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\">\n<div class=\"wp-block-buttons is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:14:\"Event details.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/button,core/buttons,core/column,core/columns,core/image,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:14:\"call-to-action\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:1:{i:0;s:8:\"featured\";}s:15:\"pattern_content\";s:1642:\"<!-- wp:image {\"align\":\"wide\",\"id\":501,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignwide size-full\"><img src=\"https://s.w.org/patterns/files/2021/06/Group-17-scaled.jpg\" alt=\"Image of a woman being carried through the air by swans.\" class=\"wp-image-501\" /></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center\"><!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Location:</strong><br>82 Main St. Brooklyn, NY</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"2\"}}} -->\n<p style=\"line-height:2\"><strong>Date:</strong><br>October 24, 2021</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\"><!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"width\":100,\"style\":{\"color\":{\"background\":\"#262626\",\"text\":\"#efefef\"}}} -->\n<div class=\"wp-block-button has-custom-width wp-block-button__width-100\"><a class=\"wp-block-button__link has-text-color has-background wp-element-button\" style=\"color:#efefef;background-color:#262626\">Purchase Tickets</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:9;O:8:\"stdClass\":7:{s:2:\"id\";i:200;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:21:\"Three columns of text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1077:\"\n<div class=\"wp-block-columns alignfull has-text-color has-background is-layout-flex wp-container-48 wp-block-columns-is-layout-flex\" style=\"background-color:#ffffff;color:#000000\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n\n\n\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n\n\n\n<p>Stay updated and see our current exhibitions here.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\" style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n\n\n\n<p>Get to know our opening times, ticket prices and discounts.</p>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:22:\"Three columns of text.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:52:\"core/column,core/columns,core/heading,core/paragraph\";}s:14:\"category_slugs\";a:3:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1496:\"<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"text\":\"#000000\",\"background\":\"#ffffff\"}}} -->\n<div class=\"wp-block-columns alignfull has-text-color has-background\" style=\"background-color:#ffffff;color:#000000\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"http://wordpress.org\">Virtual Tour ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get a virtual tour of the museum. Ideal for schools and events.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Current Shows ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Stay updated and see our current exhibitions here.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"24px\",\"lineHeight\":\"1.3\"}}} -->\n<h3 style=\"font-size:24px;line-height:1.3\"><strong><a href=\"https://wordpress.org\">Useful Info ↗</a></strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Get to know our opening times, ticket prices and discounts.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\";}i:10;O:8:\"stdClass\":7:{s:2:\"id\";i:199;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:34:\"Three columns with images and text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:3492:\"\n<div class=\"wp-block-group alignfull has-background is-layout-flow wp-block-group-is-layout-flow\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\">\n<div class=\"wp-block-group is-vertical is-nowrap is-layout-flex wp-container-49 wp-block-group-is-layout-flex\" style=\"padding-right:0;padding-left:0\">\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n</div>\n\n\n\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<div class=\"wp-block-group alignwide is-vertical is-nowrap is-layout-flex wp-container-57 wp-block-group-is-layout-flex\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\">\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-53 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.38%\">\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33.62%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n</div>\n</div>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-56 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:69%\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n</div>\n\n\n\n<div class=\"wp-block-column is-vertically-aligned-center is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:33%\">\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man&#8217;s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n</div>\n</div>\n</div>\n</div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:77:\"Three columns with images and text, with vertical spacing for an offset look.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:86:\"core/column,core/columns,core/group,core/heading,core/image,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:5:{i:0;s:7:\"columns\";i:1;s:8:\"featured\";i:2;s:7:\"gallery\";i:3;s:6:\"images\";i:4;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:5124:\"<!-- wp:group {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#f5eac1\"},\"spacing\":{\"padding\":{\"top\":\"6vw\",\"bottom\":\"6vw\",\"left\":\"6vw\",\"right\":\"6vw\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group alignfull has-background\" style=\"background-color:#f5eac1;padding-top:6vw;padding-right:6vw;padding-bottom:6vw;padding-left:6vw\"><!-- wp:group {\"style\":{\"spacing\":{\"blockGap\":\"16px\",\"padding\":{\"right\":\"0\",\"left\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\" style=\"padding-right:0;padding-left:0\"><!-- wp:heading {\"level\":6,\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"16px\"}},\"anchor\":\"ecosystem\"} -->\n<h6 class=\"wp-block-heading has-text-color\" id=\"ecosystem\" style=\"color:#000000;font-size:16px\">ECOSYSTEM</h6>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"lineHeight\":\"0.9\",\"fontSize\":\"6vw\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"textTransform\":\"none\",\"textDecoration\":\"none\",\"letterSpacing\":\"0px\"},\"color\":{\"text\":\"#000000\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:6vw;font-style:normal;font-weight:700;letter-spacing:0px;line-height:0.9;text-decoration:none;text-transform:none\">Positive growth.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"1vw\"} -->\n<div style=\"height:1vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":\"3vw\",\"padding\":{\"top\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"right\":\"0\"}}},\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"top\":\"3vw\",\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"33.38%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.38%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\"><em>Nature</em>, in the common sense, refers to essences unchanged by man; space, the air, the river, the leaf.&nbsp;<em>Art</em>&nbsp;is applied to the mixture of his will with the same things, as in a house, a canal, a statue, a picture. </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">But his operations taken together are so insignificant, a little chipping, baking, patching, and washing, that in an impression so grand as that of the world on the human mind, they do not vary the result.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-01.jpg\" alt=\"The sun setting through a dense forest.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"33.62%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:33.62%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-02.jpg\" alt=\"Wind turbines standing on a grassy plain, against a blue sky.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"align\":\"wide\",\"style\":{\"spacing\":{\"blockGap\":{\"left\":\"3vw\"}}}} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"69%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:69%\"><!-- wp:image {\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"https://s.w.org/images/core/5.8/outside-03.jpg\" alt=\"The sun shining over a ridge leading down into the shore. In the distance, a car drives down a road.\" /></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33%\"><!-- wp:spacer {\"height\":\"2vw\"} -->\n<div style=\"height:2vw\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#000000\"},\"typography\":{\"fontSize\":\"17px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#000000;font-size:17px\">Undoubtedly we have no questions to ask which are unanswerable. We must trust the perfection of the creation so far, as to believe that whatever curiosity the order of things has awakened in our minds, the order of things can satisfy. Every man\'s condition is a solution in hieroglyphic to those inquiries he would put.</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\";}i:11;O:8:\"stdClass\":7:{s:2:\"id\";i:192;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:37:\"Media and text with image on the left\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:554:\"\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n\n\n\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:66:\"Media and text block with image to the left and text to the right.\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:43:\"core/heading,core/media-text,core/paragraph\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:844:\"<!-- wp:media-text {\"align\":\"full\",\"mediaType\":\"image\",\"verticalAlignment\":\"center\"} -->\n<div class=\"wp-block-media-text alignfull is-stacked-on-mobile is-vertically-aligned-center\"><figure class=\"wp-block-media-text__media\"><img src=\"https://s.w.org/images/core/5.8/architecture-04.jpg\" alt=\"Close-up, abstract view of architecture.\" /></figure><div class=\"wp-block-media-text__content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"color\":{\"text\":\"#000000\"}}} -->\n<h3 class=\"wp-block-heading has-text-align-center has-text-color\" style=\"color:#000000\"><strong>Open Spaces</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"fontSize\":\"extra-small\"} -->\n<p class=\"has-text-align-center has-extra-small-font-size\"><a href=\"#\">See case study ↗</a></p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:media-text -->\";}i:12;O:8:\"stdClass\":7:{s:2:\"id\";i:185;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:35:\"Large header with left-aligned text\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:1320:\"\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img decoding=\"async\" class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container is-layout-flow wp-block-cover-is-layout-flow\">\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n\n\n\n<div class=\"wp-block-columns alignwide is-layout-flex wp-container-61 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:55%\">\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\"></div>\n</div>\n</div></div>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:0:\"\";s:16:\"wpop_description\";s:29:\"Cover image with quote on top\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:0:{}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:75:\"core/column,core/columns,core/cover,core/heading,core/paragraph,core/spacer\";}s:14:\"category_slugs\";a:2:{i:0;s:6:\"banner\";i:1;s:8:\"featured\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:1698:\"<!-- wp:cover {\"url\":\"https://s.w.org/images/core/5.8/forest.jpg\",\"dimRatio\":60,\"minHeight\":800,\"align\":\"full\"} -->\n<div class=\"wp-block-cover alignfull\" style=\"min-height:800px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-60 has-background-dim\"></span><img class=\"wp-block-cover__image-background\" alt=\"\" src=\"https://s.w.org/images/core/5.8/forest.jpg\" data-object-fit=\"cover\" /><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"align\":\"wide\",\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"fontSize\":\"64px\"}}} -->\n<h2 class=\"wp-block-heading alignwide has-text-color\" style=\"color:#ffe074;font-size:64px\">Forest.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\"} -->\n<div class=\"wp-block-columns alignwide\"><!-- wp:column {\"width\":\"55%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:55%\"><!-- wp:spacer {\"height\":\"330px\"} -->\n<div style=\"height:330px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#ffe074\"},\"typography\":{\"lineHeight\":\"1.3\",\"fontSize\":\"12px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#ffe074;font-size:12px;line-height:1.3\"><em>Even a child knows how valuable the forest is. The fresh, breathtaking smell of trees. Echoing birds flying above that dense magnitude. A stable climate, a sustainable diverse life and a source of culture. Yet, forests and other ecosystems hang in the balance, threatened to become croplands, pasture, and plantations.</em></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->\";}i:13;O:8:\"stdClass\":7:{s:2:\"id\";i:184;s:5:\"title\";O:8:\"stdClass\":1:{s:8:\"rendered\";s:7:\"Heading\";}s:7:\"content\";O:8:\"stdClass\":2:{s:8:\"rendered\";s:526:\"\n<h2 class=\"alignwide wp-block-heading\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We&#8217;re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n\";s:9:\"protected\";b:0;}s:4:\"meta\";O:8:\"stdClass\":7:{s:13:\"wpop_keywords\";s:17:\"large text, title\";s:16:\"wpop_description\";s:12:\"Heading text\";s:19:\"wpop_viewport_width\";i:1200;s:16:\"wpop_block_types\";a:1:{i:0;s:12:\"core/heading\";}s:11:\"wpop_locale\";s:5:\"en_US\";s:15:\"wpop_wp_version\";s:0:\"\";s:25:\"wpop_contains_block_types\";s:12:\"core/heading\";}s:14:\"category_slugs\";a:2:{i:0;s:8:\"featured\";i:1;s:4:\"text\";}s:13:\"keyword_slugs\";a:2:{i:0;s:4:\"core\";i:1;s:8:\"featured\";}s:15:\"pattern_content\";s:621:\"<!-- wp:heading {\"align\":\"wide\",\"style\":{\"typography\":{\"fontSize\":\"48px\",\"lineHeight\":\"1.1\"}}} -->\n<h2 class=\"alignwide\" id=\"we-re-a-studio-in-berlin-with-an-international-practice-in-architecture-urban-planning-and-interior-design-we-believe-in-sharing-knowledge-and-promoting-dialogue-to-increase-the-creative-potential-of-collaboration\" style=\"font-size:48px;line-height:1.1\">We\'re a studio in Berlin with an international practice in architecture, urban planning and interior design. We believe in sharing knowledge and promoting dialogue to increase the creative potential of collaboration.</h2>\n<!-- /wp:heading -->\";}}", "no");
INSERT INTO `wp_options` VALUES("772", "_site_transient_timeout_theme_roots", "1691797164", "no");
INSERT INTO `wp_options` VALUES("773", "_site_transient_theme_roots", "a:1:{s:17:\"twentytwentythree\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("778", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-11 23:24:42\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:36:\"20230811_the_duck_starter_site_wp622\";s:4:\"Hash\";s:35:\"7b1f75bb36abc0824128_20230811232442\";s:8:\"NameHash\";s:72:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:82:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:71:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:514;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:3947;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-08-11 23:24:42\";s:7:\"Version\";s:7:\"1.5.5.1\";s:9:\"VersionWP\";s:5:\"6.2.2\";s:9:\"VersionDB\";s:6:\"5.7.39\";s:10:\"VersionPHP\";s:5:\"8.2.0\";s:9:\"VersionOS\";s:6:\"Darwin\";s:2:\"ID\";N;s:4:\"Name\";s:36:\"20230811_the_duck_starter_site_wp622\";s:4:\"Hash\";s:35:\"7b1f75bb36abc0824128_20230811232442\";s:8:\"NameHash\";s:72:\"20230811_the_duck_starter_site_wp622_7b1f75bb36abc0824128_20230811232442\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:85:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:28:\"MySQL Community Server (GPL)\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:18:\"varLowerCaseTables\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:80:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-admin\";i:1;s:83:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-includes\";i:2;s:92:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:71:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication\";i:1;s:71:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication\";i:2;s:82:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content\";i:3;s:90:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads\";i:4;s:90:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/plugins\";i:5;s:93:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/mu-plugins\";i:6;s:89:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:103:\"/Applications/MAMP/htdocs/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_options` VALUES("779", "duplicator_settings", "a:17:{s:7:\"version\";s:7:\"1.5.5.1\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:5;i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("781", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1691796200;s:7:\"checked\";a:1:{s:17:\"twentytwentythree\";s:3:\"1.2\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:1:{s:17:\"twentytwentythree\";a:6:{s:5:\"theme\";s:17:\"twentytwentythree\";s:11:\"new_version\";s:3:\"1.2\";s:3:\"url\";s:47:\"https://wordpress.org/themes/twentytwentythree/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/twentytwentythree.1.2.zip\";s:8:\"requires\";s:3:\"6.1\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("782", "_site_transient_timeout_available_translations", "1691806165", "no");
INSERT INTO `wp_options` VALUES("783", "_site_transient_available_translations", "a:131:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-05-13 15:59:22\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"am\";a:8:{s:8:\"language\";s:2:\"am\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-09-29 20:43:49\";s:12:\"english_name\";s:7:\"Amharic\";s:11:\"native_name\";s:12:\"አማርኛ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.0.5/am.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"am\";i:2;s:3:\"amh\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"ቀጥል\";}}s:3:\"arg\";a:8:{s:8:\"language\";s:3:\"arg\";s:7:\"version\";s:8:\"6.2-beta\";s:7:\"updated\";s:19:\"2022-09-22 16:46:56\";s:12:\"english_name\";s:9:\"Aragonese\";s:11:\"native_name\";s:9:\"Aragonés\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/6.2-beta/arg.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"an\";i:2;s:3:\"arg\";i:3;s:3:\"arg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continar\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-06-18 08:25:23\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"متابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-05 08:49:59\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-12 20:34:31\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-10-29 07:54:22\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.23/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-06-23 11:21:55\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-07-28 09:58:22\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:28:\"চালিয়ে যান\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-10-30 03:24:38\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:33:\"མུ་མཐུད་དུ།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 20:45:53\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-06 17:17:58\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-02 08:59:58\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-05 14:06:30\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-07-14 12:12:09\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-03-29 21:14:35\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 09:49:50\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 09:52:35\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.3/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 21:43:22\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.3/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 21:43:13\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dsb\";a:8:{s:8:\"language\";s:3:\"dsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-16 12:13:09\";s:12:\"english_name\";s:13:\"Lower Sorbian\";s:11:\"native_name\";s:16:\"Dolnoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/dsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"dsb\";i:3;s:3:\"dsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Dalej\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 22:00:26\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-06 20:14:01\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 07:13:00\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 16:08:07\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2021-12-24 12:36:39\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 07:25:21\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-05-17 04:31:21\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 16:14:38\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 02:48:56\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_EC\";a:8:{s:8:\"language\";s:5:\"es_EC\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-21 13:32:10\";s:12:\"english_name\";s:17:\"Spanish (Ecuador)\";s:11:\"native_name\";s:19:\"Español de Ecuador\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_EC.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-14 22:16:37\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-10-04 20:53:18\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_DO\";a:8:{s:8:\"language\";s:5:\"es_DO\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-10-08 14:32:50\";s:12:\"english_name\";s:28:\"Spanish (Dominican Republic)\";s:11:\"native_name\";s:33:\"Español de República Dominicana\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/es_DO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-31 18:33:26\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-06-14 16:02:22\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PR\";a:8:{s:8:\"language\";s:5:\"es_PR\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-04-29 15:36:59\";s:12:\"english_name\";s:21:\"Spanish (Puerto Rico)\";s:11:\"native_name\";s:23:\"Español de Puerto Rico\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.4.13/es_PR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:6:\"5.2.18\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.2.18/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-07-19 01:11:57\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-04 16:53:05\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 22:51:34\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-08-12 08:38:59\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-05-24 16:21:45\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 00:54:55\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"fa_AF\";a:8:{s:8:\"language\";s:5:\"fa_AF\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-07-02 10:08:01\";s:12:\"english_name\";s:21:\"Persian (Afghanistan)\";s:11:\"native_name\";s:31:\"(فارسی (افغانستان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fa_AF.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 16:30:48\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 13:40:37\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 17:08:26\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-22 13:54:46\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2023-04-30 13:56:46\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"fy\";a:8:{s:8:\"language\";s:2:\"fy\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-12-25 12:53:23\";s:12:\"english_name\";s:7:\"Frisian\";s:11:\"native_name\";s:5:\"Frysk\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/fy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fy\";i:2;s:3:\"fry\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Trochgean\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-02 15:10:49\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 07:20:47\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ચાલુ રાખો\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:6:\"4.4.30\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.4.30/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 22:06:16\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 04:02:06\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"जारी रखें\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 07:55:29\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 17:37:32\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 22:54:21\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 12:55:03\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-12-11 10:40:02\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-07 12:42:08\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-07 01:15:00\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"次へ\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-02-16 23:58:56\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Nerusaké\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2023-05-19 07:40:56\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-05 11:40:39\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2018-07-10 11:35:44\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:6:\"5.2.18\";s:7:\"updated\";s:19:\"2019-06-10 16:18:28\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.2.18/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2022-10-20 17:15:28\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.3/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರಿಸು\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-04 06:07:20\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 00:11:15\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/6.3/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:3:\"kir\";a:8:{s:8:\"language\";s:3:\"kir\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-04 15:11:14\";s:12:\"english_name\";s:6:\"Kyrgyz\";s:11:\"native_name\";s:16:\"Кыргызча\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/translation/core/6.3/kir.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ky\";i:2;s:3:\"kir\";i:3;s:3:\"kir\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Улантуу\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2022-11-24 03:51:58\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.1.3/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 18:51:09\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"6.0.5\";s:7:\"updated\";s:19:\"2022-10-01 09:23:52\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.5/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 01:58:55\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2019-11-22 15:32:08\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.23/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:6:\"5.5.12\";s:7:\"updated\";s:19:\"2022-03-11 13:52:22\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.5.12/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.2.35\";s:7:\"updated\";s:19:\"2017-12-26 11:57:10\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.35/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 16:22:10\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-02 04:53:35\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-07-17 13:37:28\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.3/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 09:53:27\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 10:41:58\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-18 10:59:16\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.22/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:15:\"Panjabi (India)\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-02 09:00:40\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.3.31\";s:7:\"updated\";s:19:\"2015-12-02 21:41:29\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.3.31/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 16:56:03\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-03-31 07:59:30\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/6.3/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-10-01 12:16:29\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 00:06:29\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-09 08:47:11\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-01 18:38:12\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-07-07 01:53:37\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/5.4.13/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:3:\"snd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 04:25:47\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-03 08:30:58\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 12:29:02\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 11:16:48\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/translation/core/6.3/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2021-08-01 21:21:06\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.7/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-11 16:00:32\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:6:\"5.3.15\";s:7:\"updated\";s:19:\"2019-10-13 15:35:35\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.3.15/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:5:\"ta_LK\";a:8:{s:8:\"language\";s:5:\"ta_LK\";s:7:\"version\";s:6:\"4.2.35\";s:7:\"updated\";s:19:\"2015-12-03 01:07:44\";s:12:\"english_name\";s:17:\"Tamil (Sri Lanka)\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.35/ta_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"தொடர்க\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"5.8.7\";s:7:\"updated\";s:19:\"2022-06-08 04:30:30\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.8.7/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:6:\"4.8.22\";s:7:\"updated\";s:19:\"2017-09-30 09:04:29\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.22/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-08 22:36:32\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:6:\"4.9.23\";s:7:\"updated\";s:19:\"2021-07-03 18:41:33\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.23/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"6.1.3\";s:7:\"updated\";s:19:\"2023-03-04 10:46:30\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.3/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:6:\"5.4.13\";s:7:\"updated\";s:19:\"2020-04-09 11:17:33\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4.13/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-28 12:02:22\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-15 15:30:50\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-10 09:40:35\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:3:\"6.3\";s:7:\"updated\";s:19:\"2023-08-03 18:38:05\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.3/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-15 15:25:03\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:12:\"香港中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}", "no");
INSERT INTO `wp_options` VALUES("788", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1691806804", "no");
INSERT INTO `wp_options` VALUES("789", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6137;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4820;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2789;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2680;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2056;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1924;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1912;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1653;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1567;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1563;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1549;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1514;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1504;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1491;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1374;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1316;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1277;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1176;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1156;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1152;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1068;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1028;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:1001;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:969;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:907;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:904;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:883;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:881;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:878;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:875;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:872;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:838;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:816;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:794;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:782;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:779;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:775;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:763;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:747;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:732;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:731;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:729;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:727;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:691;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:685;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:684;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:677;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:668;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:634;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:628;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:619;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:616;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:610;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:607;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:599;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:595;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:592;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:591;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:578;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:573;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:570;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:569;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:568;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:559;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:557;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:543;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:542;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:534;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:533;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:532;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:532;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:521;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:511;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:510;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:510;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:509;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:489;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:480;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:477;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:469;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:450;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:448;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:448;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:437;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:432;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:427;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:426;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:426;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:424;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:422;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:422;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:420;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:420;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:413;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:409;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:400;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:396;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:394;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:394;}s:4:\"meta\";a:3:{s:4:\"name\";s:4:\"meta\";s:4:\"slug\";s:4:\"meta\";s:5:\"count\";i:390;}}", "no");
INSERT INTO `wp_options` VALUES("791", "_site_transient_update_plugins", "O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1691796201;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:4:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:3:\"5.2\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/akismet.5.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/akismet/assets/banner-1544x500.png?rev=2900731\";s:2:\"1x\";s:62:\"https://ps.w.org/akismet/assets/banner-772x250.png?rev=2900731\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.8\";}s:41:\"create-block-theme/create-block-theme.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:32:\"w.org/plugins/create-block-theme\";s:4:\"slug\";s:18:\"create-block-theme\";s:6:\"plugin\";s:41:\"create-block-theme/create-block-theme.php\";s:11:\"new_version\";s:6:\"1.13.2\";s:3:\"url\";s:49:\"https://wordpress.org/plugins/create-block-theme/\";s:7:\"package\";s:68:\"https://downloads.wordpress.org/plugin/create-block-theme.1.13.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-256x256.png?rev=2777957\";s:2:\"1x\";s:71:\"https://ps.w.org/create-block-theme/assets/icon-128x128.png?rev=2777957\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:74:\"https://ps.w.org/create-block-theme/assets/banner-1544x500.png?rev=2777957\";s:2:\"1x\";s:73:\"https://ps.w.org/create-block-theme/assets/banner-772x250.png?rev=2777957\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:7:\"1.5.5.1\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/duplicator.1.5.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:29:\"wp-downgrade/wp-downgrade.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:26:\"w.org/plugins/wp-downgrade\";s:4:\"slug\";s:12:\"wp-downgrade\";s:6:\"plugin\";s:29:\"wp-downgrade/wp-downgrade.php\";s:11:\"new_version\";s:5:\"1.2.6\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wp-downgrade/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-downgrade.1.2.6.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/wp-downgrade/assets/icon-256x256.png?rev=1412844\";s:2:\"1x\";s:65:\"https://ps.w.org/wp-downgrade/assets/icon-128x128.png?rev=1412844\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:5:\"3.0.1\";}}}", "no");
INSERT INTO `wp_options` VALUES("792", "wpdg_specific_version_name", "6.2.2", "yes");
INSERT INTO `wp_options` VALUES("793", "wpdg_download_url", "", "yes");
INSERT INTO `wp_options` VALUES("794", "wpdg_edit_download_url", "", "yes");
INSERT INTO `wp_options` VALUES("799", "_site_transient_update_core", "O:8:\"stdClass\":3:{s:7:\"updates\";a:0:{}s:15:\"version_checked\";s:5:\"6.2.2\";s:12:\"last_checked\";i:1691796286;}", "no");
INSERT INTO `wp_options` VALUES("800", "can_compress_scripts", "1", "no");
INSERT INTO `wp_options` VALUES("801", "_site_transient_timeout_wp_remote_block_patterns_2606d8fd6f076a2bc61be42cd17fab98", "1691796231", "no");
INSERT INTO `wp_options` VALUES("802", "_site_transient_wp_remote_block_patterns_2606d8fd6f076a2bc61be42cd17fab98", "O:8:\"WP_Error\":3:{s:6:\"errors\";a:1:{s:19:\"http_request_failed\";a:1:{i:0;s:55:\"cURL error 6: Could not resolve host: api.wordpress.org\";}}s:10:\"error_data\";a:0:{}s:18:\"\0*\0additional_data\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("803", "_site_transient_timeout_wp_remote_block_patterns_ac9d24ab0d31d221cfbca25aa5cdf0ca", "1691796231", "no");
INSERT INTO `wp_options` VALUES("804", "_site_transient_wp_remote_block_patterns_ac9d24ab0d31d221cfbca25aa5cdf0ca", "O:8:\"WP_Error\":3:{s:6:\"errors\";a:1:{s:19:\"http_request_failed\";a:1:{i:0;s:55:\"cURL error 6: Could not resolve host: api.wordpress.org\";}}s:10:\"error_data\";a:0:{}s:18:\"\0*\0additional_data\";a:0:{}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3", "5", "_wp_attached_file", "2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("4", "5", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:52:\"2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg\";s:8:\"filesize\";i:285644;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9494;}s:5:\"large\";a:5:{s:4:\"file\";s:53:\"christophe-rollando-qjwd5VipY64-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61371;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4091;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:52:\"christophe-rollando-qjwd5VipY64-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:39426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-qjwd5VipY64-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:119597;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-qjwd5VipY64-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:190130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7", "7", "_edit_lock", "1691690035:1");
INSERT INTO `wp_postmeta` VALUES("9", "7", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("11", "7", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("13", "9", "_thumbnail_id", "165");
INSERT INTO `wp_postmeta` VALUES("15", "9", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("16", "10", "_thumbnail_id", "5");
INSERT INTO `wp_postmeta` VALUES("19", "10", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("20", "11", "_thumbnail_id", "164");
INSERT INTO `wp_postmeta` VALUES("23", "11", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("24", "11", "_edit_lock", "1691690024:1");
INSERT INTO `wp_postmeta` VALUES("25", "10", "_edit_lock", "1691690351:1");
INSERT INTO `wp_postmeta` VALUES("26", "11", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("28", "9", "_edit_lock", "1691790595:1");
INSERT INTO `wp_postmeta` VALUES("29", "9", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("35", "15", "_thumbnail_id", "166");
INSERT INTO `wp_postmeta` VALUES("38", "15", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("39", "16", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("41", "16", "_dp_original", "11");
INSERT INTO `wp_postmeta` VALUES("42", "17", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("45", "17", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("46", "18", "_thumbnail_id", "163");
INSERT INTO `wp_postmeta` VALUES("47", "18", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("48", "19", "_thumbnail_id", "5");
INSERT INTO `wp_postmeta` VALUES("51", "19", "_dp_original", "15");
INSERT INTO `wp_postmeta` VALUES("52", "20", "_thumbnail_id", "305");
INSERT INTO `wp_postmeta` VALUES("54", "20", "_dp_original", "16");
INSERT INTO `wp_postmeta` VALUES("58", "21", "_dp_original", "17");
INSERT INTO `wp_postmeta` VALUES("61", "22", "_dp_original", "18");
INSERT INTO `wp_postmeta` VALUES("62", "23", "_thumbnail_id", "170");
INSERT INTO `wp_postmeta` VALUES("65", "23", "_dp_original", "9");
INSERT INTO `wp_postmeta` VALUES("66", "24", "_thumbnail_id", "169");
INSERT INTO `wp_postmeta` VALUES("68", "24", "_dp_original", "11");
INSERT INTO `wp_postmeta` VALUES("69", "25", "_thumbnail_id", "168");
INSERT INTO `wp_postmeta` VALUES("72", "25", "_dp_original", "10");
INSERT INTO `wp_postmeta` VALUES("73", "26", "_thumbnail_id", "167");
INSERT INTO `wp_postmeta` VALUES("74", "26", "_dp_original", "7");
INSERT INTO `wp_postmeta` VALUES("75", "19", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("77", "20", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("78", "21", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("80", "22", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("81", "23", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("83", "24", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("84", "25", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("86", "26", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("87", "15", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("89", "16", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("90", "17", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("92", "18", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("94", "10", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("105", "41", "_menu_item_type", "post_type");
INSERT INTO `wp_postmeta` VALUES("106", "41", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("107", "41", "_menu_item_object_id", "2");
INSERT INTO `wp_postmeta` VALUES("108", "41", "_menu_item_object", "page");
INSERT INTO `wp_postmeta` VALUES("109", "41", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("110", "41", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("111", "41", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("112", "41", "_menu_item_url", "");
INSERT INTO `wp_postmeta` VALUES("113", "41", "_menu_item_orphaned", "1686379313");
INSERT INTO `wp_postmeta` VALUES("164", "25", "_edit_lock", "1691689938:1");
INSERT INTO `wp_postmeta` VALUES("166", "26", "_edit_lock", "1691689973:1");
INSERT INTO `wp_postmeta` VALUES("211", "10", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("214", "7", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("216", "9", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("218", "10", "_wp_old_date", "2022-06-10");
INSERT INTO `wp_postmeta` VALUES("220", "11", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("222", "15", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("224", "16", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("226", "17", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("228", "18", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("230", "19", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("232", "20", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("234", "21", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("236", "22", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("238", "23", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("240", "24", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("242", "25", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("244", "26", "_wp_old_date", "2023-06-10");
INSERT INTO `wp_postmeta` VALUES("279", "160", "_wp_attached_file", "2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("280", "160", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:43:\"2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg\";s:8:\"filesize\";i:358634;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11481;}s:5:\"large\";a:5:{s:4:\"file\";s:44:\"a65-design-XKqbBmCcJPg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83821;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5359;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:43:\"a65-design-XKqbBmCcJPg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51431;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"a65-design-XKqbBmCcJPg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:170876;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:45:\"a65-design-XKqbBmCcJPg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:281093;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("281", "161", "_wp_attached_file", "2023/06/dada_design-o5GiFSl5iYw-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("282", "161", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1440;s:4:\"file\";s:51:\"2023/06/dada_design-o5GiFSl5iYw-unsplash-scaled.jpg\";s:8:\"filesize\";i:215153;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5076;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"dada_design-o5GiFSl5iYw-unsplash-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36243;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2884;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"dada_design-o5GiFSl5iYw-unsplash-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:22035;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:45:\"dada_design-o5GiFSl5iYw-unsplash-1536x864.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76962;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"dada_design-o5GiFSl5iYw-unsplash-2048x1152.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1152;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135605;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:36:\"dada_design-o5GiFSl5iYw-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("283", "162", "_wp_attached_file", "2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("284", "162", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg\";s:8:\"filesize\";i:196352;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6527;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"dada_design-vWyq7C2lfFg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:45851;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3166;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"dada_design-vWyq7C2lfFg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:27254;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"dada_design-vWyq7C2lfFg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94968;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"dada_design-vWyq7C2lfFg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:159832;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("285", "163", "_wp_attached_file", "2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("286", "163", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:45:\"2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg\";s:8:\"filesize\";i:258877;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7324;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"filip-baotic-4go5Rx5ivWE-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55450;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3621;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"filip-baotic-4go5Rx5ivWE-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32862;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"filip-baotic-4go5Rx5ivWE-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:117739;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"filip-baotic-4go5Rx5ivWE-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:198796;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("287", "164", "_wp_attached_file", "2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("288", "164", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg\";s:8:\"filesize\";i:113501;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5112;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-FkFJ5587Hzk-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30420;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:2499;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-FkFJ5587Hzk-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:19663;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-FkFJ5587Hzk-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59207;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-FkFJ5587Hzk-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:93394;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("289", "165", "_wp_attached_file", "2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("290", "165", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg\";s:8:\"filesize\";i:317185;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7509;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-Iy3GN4iPLW8-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60883;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3483;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-Iy3GN4iPLW8-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:35421;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-Iy3GN4iPLW8-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:131842;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-Iy3GN4iPLW8-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:227257;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("291", "166", "_wp_attached_file", "2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("292", "166", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg\";s:8:\"filesize\";i:626488;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:17360;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"medhat-aiad-eE3Dl0zrDPI-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:157316;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6912;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"medhat-aiad-eE3Dl0zrDPI-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94666;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"medhat-aiad-eE3Dl0zrDPI-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:309840;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"medhat-aiad-eE3Dl0zrDPI-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:482973;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("293", "167", "_wp_attached_file", "2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("294", "167", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg\";s:8:\"filesize\";i:313761;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11561;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"muhammad-ilyas-3f8vysI8ITE-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:77364;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5265;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"muhammad-ilyas-3f8vysI8ITE-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48708;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"muhammad-ilyas-3f8vysI8ITE-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:148843;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"muhammad-ilyas-3f8vysI8ITE-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:233014;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("295", "168", "_wp_attached_file", "2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("296", "168", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg\";s:8:\"filesize\";i:242175;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8655;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"planet-volumes-oUrqWiOz_sg-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:57669;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4190;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"planet-volumes-oUrqWiOz_sg-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36426;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"planet-volumes-oUrqWiOz_sg-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:112782;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"planet-volumes-oUrqWiOz_sg-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:180762;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("297", "169", "_wp_attached_file", "2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("298", "169", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:49:\"2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg\";s:8:\"filesize\";i:377740;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10230;}s:5:\"large\";a:5:{s:4:\"file\";s:50:\"raspopova-marina-62-SHh-VxBQ-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:76795;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5060;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:49:\"raspopova-marina-62-SHh-VxBQ-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46692;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:51:\"raspopova-marina-62-SHh-VxBQ-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:163335;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:51:\"raspopova-marina-62-SHh-VxBQ-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:279130;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("299", "170", "_wp_attached_file", "2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("300", "170", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:48:\"2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg\";s:8:\"filesize\";i:552555;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13081;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"thestandingdesk-JoHD6SSI_Ig-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:106237;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5300;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"thestandingdesk-JoHD6SSI_Ig-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:64618;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"thestandingdesk-JoHD6SSI_Ig-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:223027;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:50:\"thestandingdesk-JoHD6SSI_Ig-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:370894;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("301", "23", "_edit_lock", "1691689891:1");
INSERT INTO `wp_postmeta` VALUES("302", "24", "_edit_lock", "1691689906:1");
INSERT INTO `wp_postmeta` VALUES("303", "20", "_edit_lock", "1691690076:1");
INSERT INTO `wp_postmeta` VALUES("304", "21", "_edit_lock", "1691690108:1");
INSERT INTO `wp_postmeta` VALUES("305", "15", "_edit_lock", "1691690139:1");
INSERT INTO `wp_postmeta` VALUES("306", "19", "_edit_lock", "1691690153:1");
INSERT INTO `wp_postmeta` VALUES("307", "16", "_edit_lock", "1691690174:1");
INSERT INTO `wp_postmeta` VALUES("308", "18", "_edit_lock", "1691690327:1");
INSERT INTO `wp_postmeta` VALUES("309", "17", "_edit_lock", "1691690364:1");
INSERT INTO `wp_postmeta` VALUES("469", "22", "_edit_lock", "1691689830:1");
INSERT INTO `wp_postmeta` VALUES("474", "239", "_wp_attached_file", "2023/06/ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747.jpg");
INSERT INTO `wp_postmeta` VALUES("475", "239", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1683;s:4:\"file\";s:65:\"2023/06/ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747.jpg\";s:8:\"filesize\";i:462007;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-300x197.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:197;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12527;}s:5:\"large\";a:5:{s:4:\"file\";s:66:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1024x673.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:673;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:97576;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5623;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:65:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-768x505.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:505;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60272;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1536x1010.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1010;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:191605;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-2048x1346.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1346;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:301817;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:66:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1200x789.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:789;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:126901;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:67:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled-e1686600946747-1980x1302.jpg\";s:5:\"width\";i:1980;s:6:\"height\";i:1302;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:286564;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:35:\"ian-dooley-_-JR5TxKNSo-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("476", "240", "_wp_attached_file", "2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("477", "240", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:47:\"2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg\";s:8:\"filesize\";i:368536;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11663;}s:5:\"large\";a:5:{s:4:\"file\";s:48:\"felipepelaquim-1qvUsVrKrMI-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:83684;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5241;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:47:\"felipepelaquim-1qvUsVrKrMI-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:51741;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:49:\"felipepelaquim-1qvUsVrKrMI-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:167403;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:49:\"felipepelaquim-1qvUsVrKrMI-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272573;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("478", "241", "_wp_attached_file", "2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("479", "241", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg\";s:8:\"filesize\";i:404574;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12365;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-d5vYKvzD_kw-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:95781;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5435;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-d5vYKvzD_kw-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:59096;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-d5vYKvzD_kw-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:188056;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-d5vYKvzD_kw-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:298417;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("480", "242", "_wp_attached_file", "2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("481", "242", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg\";s:8:\"filesize\";i:650094;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16801;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sophia-kunkel-F84XvXyEYk4-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:133766;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6950;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sophia-kunkel-F84XvXyEYk4-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:81413;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sophia-kunkel-F84XvXyEYk4-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272985;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sophia-kunkel-F84XvXyEYk4-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:456554;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("482", "243", "_wp_attached_file", "2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("483", "243", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:45:\"2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg\";s:8:\"filesize\";i:400640;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8932;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"becca-tapert-p6h5U-ns9o0-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70514;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4003;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"becca-tapert-p6h5U-ns9o0-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41834;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"becca-tapert-p6h5U-ns9o0-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:161928;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:47:\"becca-tapert-p6h5U-ns9o0-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:295758;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("484", "244", "_wp_attached_file", "2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("485", "244", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:44:\"2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg\";s:8:\"filesize\";i:309927;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10357;}s:5:\"large\";a:5:{s:4:\"file\";s:45:\"guven-gunes-1P1f8zPF4PM-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:69373;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4704;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:44:\"guven-gunes-1P1f8zPF4PM-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44091;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:46:\"guven-gunes-1P1f8zPF4PM-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:135573;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:46:\"guven-gunes-1P1f8zPF4PM-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:214786;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("486", "245", "_wp_attached_file", "2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("487", "245", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg\";s:8:\"filesize\";i:593991;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14326;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-zLT3VqWEgOQ-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6087;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-zLT3VqWEgOQ-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:72661;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-zLT3VqWEgOQ-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:257358;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-zLT3VqWEgOQ-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:423218;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("488", "246", "_wp_attached_file", "2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("489", "246", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg\";s:8:\"filesize\";i:650751;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13770;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-lrk0l9w8rI0-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:122094;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5852;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-lrk0l9w8rI0-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:70980;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-lrk0l9w8rI0-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:263394;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-lrk0l9w8rI0-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:437360;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("490", "247", "_wp_attached_file", "2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg");
INSERT INTO `wp_postmeta` VALUES("491", "247", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:46:\"2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg\";s:8:\"filesize\";i:487316;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13016;}s:5:\"large\";a:5:{s:4:\"file\";s:47:\"sidekix-media-l6u4GIKvxBs-unsplash-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:101492;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6112;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:46:\"sidekix-media-l6u4GIKvxBs-unsplash-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61114;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:48:\"sidekix-media-l6u4GIKvxBs-unsplash-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:209537;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:48:\"sidekix-media-l6u4GIKvxBs-unsplash-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:339301;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("492", "248", "_wp_attached_file", "2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash-scaled.jpg");
INSERT INTO `wp_postmeta` VALUES("493", "248", "_wp_attachment_metadata", "a:7:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:55:\"2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash-scaled.jpg\";s:8:\"filesize\";i:363923;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9860;}s:5:\"large\";a:5:{s:4:\"file\";s:49:\"angelo-pantazis-N4wUsqIbMAM-unsplash-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73945;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3997;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:48:\"angelo-pantazis-N4wUsqIbMAM-unsplash-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44707;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:50:\"angelo-pantazis-N4wUsqIbMAM-unsplash-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145375;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:50:\"angelo-pantazis-N4wUsqIbMAM-unsplash-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:241746;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}s:14:\"original_image\";s:40:\"angelo-pantazis-N4wUsqIbMAM-unsplash.jpg\";}");
INSERT INTO `wp_postmeta` VALUES("494", "249", "_edit_lock", "1691790901:1");
INSERT INTO `wp_postmeta` VALUES("497", "249", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("499", "249", "_thumbnail_id", "247");
INSERT INTO `wp_postmeta` VALUES("502", "252", "_thumbnail_id", "245");
INSERT INTO `wp_postmeta` VALUES("504", "252", "_dp_original", "249");
INSERT INTO `wp_postmeta` VALUES("505", "253", "_thumbnail_id", "243");
INSERT INTO `wp_postmeta` VALUES("508", "253", "_dp_original", "252");
INSERT INTO `wp_postmeta` VALUES("509", "254", "_thumbnail_id", "247");
INSERT INTO `wp_postmeta` VALUES("512", "254", "_dp_original", "253");
INSERT INTO `wp_postmeta` VALUES("513", "255", "_thumbnail_id", "241");
INSERT INTO `wp_postmeta` VALUES("516", "255", "_dp_original", "254");
INSERT INTO `wp_postmeta` VALUES("517", "256", "_thumbnail_id", "242");
INSERT INTO `wp_postmeta` VALUES("520", "256", "_dp_original", "253");
INSERT INTO `wp_postmeta` VALUES("521", "257", "_thumbnail_id", "244");
INSERT INTO `wp_postmeta` VALUES("524", "257", "_dp_original", "252");
INSERT INTO `wp_postmeta` VALUES("525", "258", "_thumbnail_id", "304");
INSERT INTO `wp_postmeta` VALUES("528", "258", "_dp_original", "255");
INSERT INTO `wp_postmeta` VALUES("529", "259", "_thumbnail_id", "299");
INSERT INTO `wp_postmeta` VALUES("532", "259", "_dp_original", "256");
INSERT INTO `wp_postmeta` VALUES("533", "260", "_thumbnail_id", "240");
INSERT INTO `wp_postmeta` VALUES("536", "260", "_dp_original", "257");
INSERT INTO `wp_postmeta` VALUES("537", "258", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("538", "258", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("539", "258", "_edit_lock", "1691689857:1");
INSERT INTO `wp_postmeta` VALUES("540", "252", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("541", "252", "_edit_lock", "1691689733:1");
INSERT INTO `wp_postmeta` VALUES("542", "253", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("543", "253", "_edit_lock", "1691690404:1");
INSERT INTO `wp_postmeta` VALUES("544", "254", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("545", "254", "_edit_lock", "1691689869:1");
INSERT INTO `wp_postmeta` VALUES("546", "257", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("547", "257", "_edit_lock", "1691689793:1");
INSERT INTO `wp_postmeta` VALUES("548", "256", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("549", "256", "_edit_lock", "1691689781:1");
INSERT INTO `wp_postmeta` VALUES("550", "255", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("551", "255", "_edit_lock", "1691690068:1");
INSERT INTO `wp_postmeta` VALUES("552", "260", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("553", "260", "_edit_lock", "1691689840:1");
INSERT INTO `wp_postmeta` VALUES("554", "259", "_edit_last", "1");
INSERT INTO `wp_postmeta` VALUES("555", "259", "_edit_lock", "1691790660:1");
INSERT INTO `wp_postmeta` VALUES("606", "296", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("608", "239", "_wp_attachment_backup_sizes", "a:7:{s:9:\"full-orig\";a:3:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:42:\"ian-dooley-_-JR5TxKNSo-unsplash-scaled.jpg\";}s:14:\"thumbnail-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5514;}s:11:\"medium-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12491;}s:17:\"medium_large-orig\";a:5:{s:4:\"file\";s:43:\"ian-dooley-_-JR5TxKNSo-unsplash-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:60910;}s:10:\"large-orig\";a:5:{s:4:\"file\";s:44:\"ian-dooley-_-JR5TxKNSo-unsplash-1024x683.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:100060;}s:14:\"1536x1536-orig\";a:5:{s:4:\"file\";s:45:\"ian-dooley-_-JR5TxKNSo-unsplash-1536x1024.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:196588;}s:14:\"2048x2048-orig\";a:5:{s:4:\"file\";s:45:\"ian-dooley-_-JR5TxKNSo-unsplash-2048x1365.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1365;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:318241;}}");
INSERT INTO `wp_postmeta` VALUES("609", "297", "_wp_attached_file", "2023/06/image-1.webp");
INSERT INTO `wp_postmeta` VALUES("610", "297", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-1.webp\";s:8:\"filesize\";i:288156;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-1-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3112;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-1-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:31506;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-1-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1864;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-1-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:15240;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-1-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:84262;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-1-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:146440;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-1-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52700;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-1-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:138746;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("611", "298", "_wp_attached_file", "2023/06/image-2.webp");
INSERT INTO `wp_postmeta` VALUES("612", "298", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-2.webp\";s:8:\"filesize\";i:270136;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-2-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5372;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-2-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46632;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2220;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-2-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:27736;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-2-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:110584;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-2-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:182492;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-2-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:73598;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-2-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:173166;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("613", "299", "_wp_attached_file", "2023/06/image-3.webp");
INSERT INTO `wp_postmeta` VALUES("614", "299", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-3.webp\";s:8:\"filesize\";i:84062;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-3-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2804;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-3-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:17676;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-3-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1290;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-3-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10928;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-3-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34032;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-3-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:53684;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-3-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:24076;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-3-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("615", "300", "_wp_attached_file", "2023/06/image-8.webp");
INSERT INTO `wp_postmeta` VALUES("616", "300", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:20:\"2023/06/image-8.webp\";s:8:\"filesize\";i:342304;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"image-8-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10276;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"image-8-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:78936;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"image-8-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5192;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"image-8-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:47922;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:22:\"image-8-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:157052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:22:\"image-8-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:245576;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:21:\"image-8-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:109668;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:22:\"image-8-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:234728;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("617", "301", "_wp_attached_file", "2023/06/image-13.webp");
INSERT INTO `wp_postmeta` VALUES("618", "301", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-13.webp\";s:8:\"filesize\";i:300806;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-13-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:9564;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-13-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:66832;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-13-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4364;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-13-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:41874;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-13-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:127670;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-13-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:195262;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-13-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:90678;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-13-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:186272;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("619", "302", "_wp_attached_file", "2023/06/image-15.webp");
INSERT INTO `wp_postmeta` VALUES("620", "302", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-15.webp\";s:8:\"filesize\";i:318078;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-15-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:10176;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-15-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:59712;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-15-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4780;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-15-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:39774;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-15-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:107440;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-15-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:168928;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-15-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:79224;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-15-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:159318;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("621", "303", "_wp_attached_file", "2023/06/image-16.webp");
INSERT INTO `wp_postmeta` VALUES("622", "303", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-16.webp\";s:8:\"filesize\";i:227012;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-16-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5070;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-16-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29116;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-16-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2794;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-16-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:18420;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-16-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:60762;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-16-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:105706;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-16-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:40680;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-16-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:99544;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("623", "304", "_wp_attached_file", "2023/06/image-18.webp");
INSERT INTO `wp_postmeta` VALUES("624", "304", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-18.webp\";s:8:\"filesize\";i:187502;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-18-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5124;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-18-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:34968;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-18-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2926;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-18-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:21650;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-18-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:69176;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-18-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:115202;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-18-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:50264;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-18-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:108570;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("625", "305", "_wp_attached_file", "2023/06/image-20.webp");
INSERT INTO `wp_postmeta` VALUES("626", "305", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-20.webp\";s:8:\"filesize\";i:239318;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-20-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2712;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-20-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:29904;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-20-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:1240;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-20-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:14690;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-20-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:82738;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-20-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:150336;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-20-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:52814;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-20-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:141050;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("627", "306", "_wp_attached_file", "2023/06/image-23.webp");
INSERT INTO `wp_postmeta` VALUES("628", "306", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:21:\"2023/06/image-23.webp\";s:8:\"filesize\";i:170792;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"image-23-300x210.webp\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4588;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"image-23-1024x718.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:32490;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"image-23-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2286;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"image-23-768x538.webp\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:19538;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:23:\"image-23-1536x1076.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:67052;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:23:\"image-23-2048x1435.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:107622;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:22:\"image-23-1200x841.webp\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46288;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:23:\"image-23-1980x1388.webp\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:101470;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("629", "307", "_wp_attached_file", "2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg");
INSERT INTO `wp_postmeta` VALUES("630", "307", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2400;s:6:\"height\";i:1682;s:4:\"file\";s:54:\"2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg\";s:8:\"filesize\";i:636180;s:5:\"sizes\";a:8:{s:6:\"medium\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-300x210.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:210;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12525;}s:5:\"large\";a:5:{s:4:\"file\";s:55:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1024x718.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:718;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:103319;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4096;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:54:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-768x538.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:538;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61551;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1536x1076.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:1076;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:216224;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-2048x1435.jpg\";s:5:\"width\";i:2048;s:6:\"height\";i:1435;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:357091;}s:14:\"post-thumbnail\";a:5:{s:4:\"file\";s:55:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1200x841.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:841;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:145964;}s:23:\"twentytwenty-fullscreen\";a:5:{s:4:\"file\";s:56:\"christophe-rollando-UqJ9r4ptgQ8-unsplash-1-1980x1388.jpg\";s:5:\"width\";i:1980;s:6:\"height\";i:1388;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:337504;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("632", "22", "_thumbnail_id", "307");
INSERT INTO `wp_postmeta` VALUES("639", "21", "_thumbnail_id", "297");
INSERT INTO `wp_postmeta` VALUES("640", "363", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("721", "253", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("722", "444", "_wp_attached_file", "2023/08/Q-Duck-Logo-Trans.png");
INSERT INTO `wp_postmeta` VALUES("723", "444", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:1200;s:4:\"file\";s:29:\"2023/08/Q-Duck-Logo-Trans.png\";s:8:\"filesize\";i:37771;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:29:\"Q-Duck-Logo-Trans-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2873;}s:5:\"large\";a:5:{s:4:\"file\";s:31:\"Q-Duck-Logo-Trans-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15986;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:29:\"Q-Duck-Logo-Trans-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1333;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:29:\"Q-Duck-Logo-Trans-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10044;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("724", "445", "origin", "theme");
INSERT INTO `wp_postmeta` VALUES("725", "447", "_wp_attached_file", "2023/08/DuckLogo.png");
INSERT INTO `wp_postmeta` VALUES("726", "447", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:446;s:6:\"height\";i:362;s:4:\"file\";s:20:\"2023/08/DuckLogo.png\";s:8:\"filesize\";i:14416;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"DuckLogo-300x243.png\";s:5:\"width\";i:300;s:6:\"height\";i:243;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8254;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"DuckLogo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:4144;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("727", "454", "is_wp_suggestion", "1");
INSERT INTO `wp_postmeta` VALUES("746", "9", "_wp_old_date", "2021-06-10");
INSERT INTO `wp_postmeta` VALUES("748", "259", "_wp_old_date", "2023-06-01");
INSERT INTO `wp_postmeta` VALUES("750", "249", "_wp_old_date", "2023-06-11");
INSERT INTO `wp_postmeta` VALUES("753", "249", "_wp_old_date", "2023-08-11");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:paragraph -->\n<p>This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...or something like this:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>As a new WordPress user, you should go to <a href=\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!</p>\n<!-- /wp:paragraph -->", "Sample Page", "", "publish", "closed", "open", "", "sample-page", "", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "<!-- wp:heading --><h2>Who we are</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Our website address is: http://localhost:8888/exams/midterms-summer-2023/first-attempt.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Comments</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>When visitors leave comments on the site we collect the data shown in the comments form, and also the visitor&#8217;s IP address and browser user agent string to help spam detection.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>An anonymized string created from your email address (also called a hash) may be provided to the Gravatar service to see if you are using it. The Gravatar service privacy policy is available here: https://automattic.com/privacy/. After approval of your comment, your profile picture is visible to the public in the context of your comment.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Media</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you upload images to the website, you should avoid uploading images with embedded location data (EXIF GPS) included. Visitors to the website can download and extract any location data from images on the website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Cookies</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment on our site you may opt-in to saving your name, email address and website in cookies. These are for your convenience so that you do not have to fill in your details again when you leave another comment. These cookies will last for one year.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you visit our login page, we will set a temporary cookie to determine if your browser accepts cookies. This cookie contains no personal data and is discarded when you close your browser.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>When you log in, we will also set up several cookies to save your login information and your screen display choices. Login cookies last for two days, and screen options cookies last for a year. If you select &quot;Remember Me&quot;, your login will persist for two weeks. If you log out of your account, the login cookies will be removed.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>If you edit or publish an article, an additional cookie will be saved in your browser. This cookie includes no personal data and simply indicates the post ID of the article you just edited. It expires after 1 day.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Embedded content from other websites</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Articles on this site may include embedded content (e.g. videos, images, articles, etc.). Embedded content from other websites behaves in the exact same way as if the visitor has visited the other website.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>These websites may collect data about you, use cookies, embed additional third-party tracking, and monitor your interaction with that embedded content, including tracking your interaction with the embedded content if you have an account and are logged in to that website.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Who we share your data with</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you request a password reset, your IP address will be included in the reset email.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>How long we retain your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you leave a comment, the comment and its metadata are retained indefinitely. This is so we can recognize and approve any follow-up comments automatically instead of holding them in a moderation queue.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>For users that register on our website (if any), we also store the personal information they provide in their user profile. All users can see, edit, or delete their personal information at any time (except they cannot change their username). Website administrators can also see and edit that information.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>What rights you have over your data</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>If you have an account on this site, or have left comments, you can request to receive an exported file of the personal data we hold about you, including any data you have provided to us. You can also request that we erase any personal data we hold about you. This does not include any data we are obliged to keep for administrative, legal, or security purposes.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>Where your data is sent</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">Suggested text: </strong>Visitor comments may be checked through an automated spam detection service.</p><!-- /wp:paragraph -->", "Privacy Policy", "", "draft", "closed", "open", "", "privacy-policy", "", "", "2023-06-10 06:24:06", "2023-06-10 06:24:06", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2023-06-10 06:30:05", "2023-06-10 06:30:05", "", "christophe-rollando-qjwd5VipY64-unsplash", "", "inherit", "open", "closed", "", "christophe-rollando-qjwd5vipy64-unsplash", "", "", "2023-06-10 06:30:05", "2023-06-10 06:30:05", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/christophe-rollando-qjwd5VipY64-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("7", "3", "2021-06-10 06:38:40", "2021-06-10 06:38:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Gloomy Sunday", "", "publish", "open", "open", "", "quo-ratione-aspernatur", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=7", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2023-06-10 06:38:40", "2023-06-10 06:38:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-06-10 06:38:40", "2023-06-10 06:38:40", "", "7", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=8", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("9", "2", "2023-08-10 11:40:30", "2023-08-10 11:40:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Foggy Dew", "", "publish", "open", "open", "", "quo-ratione-aspernatur-3", "", "", "2023-08-11 21:49:55", "2023-08-11 21:49:55", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=9", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("10", "2", "2021-06-10 06:41:02", "2021-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "By the Rivers of Babylon", "", "publish", "open", "open", "", "quo-ratione-aspernatur-16", "", "", "2023-08-10 17:59:11", "2023-08-10 17:59:11", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=10", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("11", "2", "2021-06-10 06:40:15", "2021-06-10 06:40:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Success Has Made a Failure of Our Home", "", "publish", "open", "open", "", "quo-ratione-aspernatur-2", "", "", "2023-08-10 17:53:44", "2023-08-10 17:53:44", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=11", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2023-06-10 06:40:15", "2023-06-10 06:40:15", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-06-10 06:40:15", "2023-06-10 06:40:15", "", "11", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=12", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2023-06-10 06:40:30", "2023-06-10 06:40:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-06-10 06:40:30", "2023-06-10 06:40:30", "", "9", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=13", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("15", "2", "2018-06-10 06:41:02", "2018-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "This is a Rebel Song", "", "publish", "open", "open", "", "quo-ratione-aspernatur-12", "", "", "2023-08-10 17:55:39", "2023-08-10 17:55:39", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=15", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("16", "3", "2017-06-10 06:41:02", "2017-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Just Call Me Joe", "", "publish", "open", "open", "", "quo-ratione-aspernatur-13", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=16", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("17", "3", "2016-06-10 06:41:02", "2016-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Emma\'s Song", "", "publish", "open", "open", "", "quo-ratione-aspernatur-14", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=17", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("18", "2", "2017-06-10 06:41:02", "2017-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Never Get Old", "", "publish", "open", "open", "", "quo-ratione-aspernatur-15", "", "", "2023-08-10 17:58:47", "2023-08-10 17:58:47", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=18", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("19", "3", "2018-06-10 06:41:01", "2018-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Lamb\'s Book of Life", "", "publish", "open", "open", "", "quo-ratione-aspernatur-4", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=19", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("20", "2", "2019-06-10 06:41:01", "2019-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fire on Babylon", "", "publish", "open", "open", "", "quo-ratione-aspernatur-5", "", "", "2023-08-10 17:54:36", "2023-08-10 17:54:36", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=20", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("21", "3", "2019-06-10 06:41:01", "2019-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "I\'ll Tell Me Ma", "", "publish", "open", "open", "", "quo-ratione-aspernatur-6", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=21", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("22", "3", "2022-06-10 06:41:01", "2022-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "In This Heart", "", "publish", "open", "open", "", "quo-ratione-aspernatur-7", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=22", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("23", "3", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "4th and Vine", "", "publish", "open", "open", "", "quo-ratione-aspernatur-8", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=23", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("24", "2", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Jump In The River", "", "publish", "open", "open", "", "quo-ratione-aspernatur-9", "", "", "2023-08-10 17:51:46", "2023-08-10 17:51:46", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=24", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("25", "3", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Wolf is Getting Married", "", "publish", "open", "open", "", "quo-ratione-aspernatur-10", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=25", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("26", "3", "2021-06-10 06:41:01", "2021-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Troy", "", "publish", "open", "open", "", "quo-ratione-aspernatur-11", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=26", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "19", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=27", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "20", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=28", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "21", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=29", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "22", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=30", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "23", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=31", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("32", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "24", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=32", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("33", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "25", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=33", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-06-10 06:41:01", "2023-06-10 06:41:01", "", "26", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=34", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "15", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=35", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "16", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=36", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "17", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=37", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "18", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=38", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quo ratione aspernatur", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-06-10 06:41:02", "2023-06-10 06:41:02", "", "10", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=39", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2023-06-10 06:41:53", "0000-00-00 00:00:00", " ", "", "", "draft", "closed", "closed", "", "", "", "", "2023-06-10 06:41:53", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=41", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2023-06-10 07:35:24", "2023-06-10 07:35:24", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "publish", "closed", "closed", "", "main-menu", "", "", "2023-08-11 22:27:04", "2023-08-11 22:27:04", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/06/10/main-menu/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("75", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Accusantium doloribus autem", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "7", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=75", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("76", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae quis nam", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "9", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=76", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("77", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et nihil pariatur", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "10", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=77", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("78", "1", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Veniam iste obcaecati", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-06-10 16:31:41", "2023-06-10 16:31:41", "", "11", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=78", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("79", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Et ducimus eum", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "15", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=79", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("80", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Eveniet excepturi illo", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "16", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=80", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fugiat eius nulla", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "17", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=81", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Obcaecati numquam nihil", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-06-10 16:31:48", "2023-06-10 16:31:48", "", "18", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=82", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Odio doloremque numquam", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "20", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=83", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("84", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Omnis voluptate itaque", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "21", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=84", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("85", "1", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Minus impedit vel", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-06-10 16:31:55", "2023-06-10 16:31:55", "", "22", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=85", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Temporibus placeat illum", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "23", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=86", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Recusandae perspiciatis? Quam", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "24", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=87", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Quas perferendis incidunt", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "25", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=88", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("89", "1", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Consectetur nulla soluta", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-06-10 16:32:01", "2023-06-10 16:32:01", "", "26", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=89", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "generatepress", "", "publish", "closed", "closed", "", "generatepress", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/06/10/generatepress/", "0", "custom_css", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "\nhome.page-template-default .entry-title {\n	display: none;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 21:11:46", "2023-06-10 21:11:46", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=119", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("122", "1", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "\n.home.page-template-default  .entry-title {\n	display: none;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 21:12:50", "2023-06-10 21:12:50", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=122", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("160", "1", "2023-06-10 23:45:27", "2023-06-10 23:45:27", "", "a65-design-XKqbBmCcJPg-unsplash", "", "inherit", "open", "closed", "", "a65-design-xkqbbmccjpg-unsplash", "", "", "2023-06-10 23:45:27", "2023-06-10 23:45:27", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/a65-design-XKqbBmCcJPg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("161", "1", "2023-06-10 23:45:29", "2023-06-10 23:45:29", "", "dada_design-o5GiFSl5iYw-unsplash", "", "inherit", "open", "closed", "", "dada_design-o5gifsl5iyw-unsplash", "", "", "2023-06-10 23:45:29", "2023-06-10 23:45:29", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/dada_design-o5GiFSl5iYw-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("162", "1", "2023-06-10 23:45:32", "2023-06-10 23:45:32", "", "dada_design-vWyq7C2lfFg-unsplash", "", "inherit", "open", "closed", "", "dada_design-vwyq7c2lffg-unsplash", "", "", "2023-06-10 23:45:32", "2023-06-10 23:45:32", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/dada_design-vWyq7C2lfFg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("163", "1", "2023-06-10 23:45:34", "2023-06-10 23:45:34", "", "filip-baotic-4go5Rx5ivWE-unsplash", "", "inherit", "open", "closed", "", "filip-baotic-4go5rx5ivwe-unsplash", "", "", "2023-06-10 23:45:34", "2023-06-10 23:45:34", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/filip-baotic-4go5Rx5ivWE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("164", "1", "2023-06-10 23:45:35", "2023-06-10 23:45:35", "", "guven-gunes-FkFJ5587Hzk-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-fkfj5587hzk-unsplash", "", "", "2023-06-10 23:45:35", "2023-06-10 23:45:35", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/guven-gunes-FkFJ5587Hzk-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("165", "1", "2023-06-10 23:45:37", "2023-06-10 23:45:37", "", "guven-gunes-Iy3GN4iPLW8-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-iy3gn4iplw8-unsplash", "", "", "2023-06-10 23:45:37", "2023-06-10 23:45:37", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/guven-gunes-Iy3GN4iPLW8-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("166", "1", "2023-06-10 23:45:39", "2023-06-10 23:45:39", "", "medhat-aiad-eE3Dl0zrDPI-unsplash", "", "inherit", "open", "closed", "", "medhat-aiad-ee3dl0zrdpi-unsplash", "", "", "2023-06-10 23:45:39", "2023-06-10 23:45:39", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/medhat-aiad-eE3Dl0zrDPI-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("167", "1", "2023-06-10 23:45:41", "2023-06-10 23:45:41", "", "muhammad-ilyas-3f8vysI8ITE-unsplash", "", "inherit", "open", "closed", "", "muhammad-ilyas-3f8vysi8ite-unsplash", "", "", "2023-06-10 23:45:41", "2023-06-10 23:45:41", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/muhammad-ilyas-3f8vysI8ITE-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("168", "1", "2023-06-10 23:45:44", "2023-06-10 23:45:44", "", "planet-volumes-oUrqWiOz_sg-unsplash", "", "inherit", "open", "closed", "", "planet-volumes-ourqwioz_sg-unsplash", "", "", "2023-06-10 23:45:44", "2023-06-10 23:45:44", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/planet-volumes-oUrqWiOz_sg-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("169", "1", "2023-06-10 23:45:46", "2023-06-10 23:45:46", "", "raspopova-marina-62-SHh-VxBQ-unsplash", "", "inherit", "open", "closed", "", "raspopova-marina-62-shh-vxbq-unsplash", "", "", "2023-06-10 23:45:46", "2023-06-10 23:45:46", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/raspopova-marina-62-SHh-VxBQ-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("170", "1", "2023-06-10 23:45:48", "2023-06-10 23:45:48", "", "thestandingdesk-JoHD6SSI_Ig-unsplash", "", "inherit", "open", "closed", "", "thestandingdesk-johd6ssi_ig-unsplash", "", "", "2023-06-10 23:45:48", "2023-06-10 23:45:48", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/thestandingdesk-JoHD6SSI_Ig-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("176", "1", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-10 23:59:30", "2023-06-10 23:59:30", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=176", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("178", "1", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:00:00", "2023-06-11 00:00:00", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=178", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("180", "1", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .post .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:05:34", "2023-06-11 00:05:34", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=180", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("182", "1", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .entry-summary {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:05:55", "2023-06-11 00:05:55", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=182", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("184", "1", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive .entry-meta {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:06:17", "2023-06-11 00:06:17", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=184", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("186", "1", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 70ch;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:06:47", "2023-06-11 00:06:47", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=186", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("202", "1", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:35:27", "2023-06-11 00:35:27", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=202", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("204", "1", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:37:15", "2023-06-11 00:37:15", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=204", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("206", "1", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 20px solid #ddd;\n	width: 50px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 00:41:09", "2023-06-11 00:41:09", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=206", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("211", "1", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary {\n	margin-left: unset;\n}\n\n\n@media screen and (min-width: 900px) {\n	.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	margin-right: unset;\n}\n}\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 20px solid #eee;\n	width: 500px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:01:13", "2023-06-11 01:01:13", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=211", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("213", "1", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n}\n\n\n@media screen and (min-width: 900px) {\n	.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	margin-right: unset;\n}\n}\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:04:45", "2023-06-11 01:04:45", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=213", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("215", "1", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n}\n\n\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:07:14", "2023-06-11 01:07:14", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=215", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("217", "1", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n		background: pink;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:10:41", "2023-06-11 01:10:41", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=217", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("219", "1", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 5px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:10:55", "2023-06-11 01:10:55", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=219", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("222", "1", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid hotpink;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:52:46", "2023-06-11 01:52:46", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=222", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("224", "1", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n	margin: auto;\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid hotpink;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:53:43", "2023-06-11 01:53:43", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=224", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("226", "1", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 01:54:44", "2023-06-11 01:54:44", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=226", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("228", "1", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 02:23:42", "2023-06-11 02:23:42", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=228", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("233", "1", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n.main-navigation .main-nav ul li a {\n	padding-right: 0;\n}\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 02:50:08", "2023-06-11 02:50:08", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=233", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("239", "1", "2023-06-11 17:22:03", "2023-06-11 17:22:03", "", "ian-dooley-_-JR5TxKNSo-unsplash", "", "inherit", "open", "closed", "", "ian-dooley-_-jr5txknso-unsplash", "", "", "2023-06-11 17:22:03", "2023-06-11 17:22:03", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/ian-dooley-_-JR5TxKNSo-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("240", "1", "2023-06-11 17:22:11", "2023-06-11 17:22:11", "", "felipepelaquim-1qvUsVrKrMI-unsplash", "", "inherit", "open", "closed", "", "felipepelaquim-1qvusvrkrmi-unsplash", "", "", "2023-06-11 17:22:11", "2023-06-11 17:22:11", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/felipepelaquim-1qvUsVrKrMI-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("241", "1", "2023-06-11 17:22:13", "2023-06-11 17:22:13", "", "sidekix-media-d5vYKvzD_kw-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-d5vykvzd_kw-unsplash", "", "", "2023-06-11 17:22:13", "2023-06-11 17:22:13", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/sidekix-media-d5vYKvzD_kw-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("242", "1", "2023-06-11 17:22:15", "2023-06-11 17:22:15", "", "sophia-kunkel-F84XvXyEYk4-unsplash", "", "inherit", "open", "closed", "", "sophia-kunkel-f84xvxyeyk4-unsplash", "", "", "2023-06-11 17:22:15", "2023-06-11 17:22:15", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/sophia-kunkel-F84XvXyEYk4-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("243", "1", "2023-06-11 17:22:17", "2023-06-11 17:22:17", "", "becca-tapert-p6h5U-ns9o0-unsplash", "", "inherit", "open", "closed", "", "becca-tapert-p6h5u-ns9o0-unsplash", "", "", "2023-06-11 17:22:17", "2023-06-11 17:22:17", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/becca-tapert-p6h5U-ns9o0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("244", "1", "2023-06-11 17:22:19", "2023-06-11 17:22:19", "", "guven-gunes-1P1f8zPF4PM-unsplash", "", "inherit", "open", "closed", "", "guven-gunes-1p1f8zpf4pm-unsplash", "", "", "2023-06-11 17:22:19", "2023-06-11 17:22:19", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/guven-gunes-1P1f8zPF4PM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("245", "1", "2023-06-11 17:22:21", "2023-06-11 17:22:21", "", "sidekix-media-zLT3VqWEgOQ-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-zlt3vqwegoq-unsplash", "", "", "2023-06-11 17:22:21", "2023-06-11 17:22:21", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/sidekix-media-zLT3VqWEgOQ-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("246", "1", "2023-06-11 17:22:23", "2023-06-11 17:22:23", "", "sidekix-media-lrk0l9w8rI0-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-lrk0l9w8ri0-unsplash", "", "", "2023-06-11 17:22:23", "2023-06-11 17:22:23", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/sidekix-media-lrk0l9w8rI0-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("247", "1", "2023-06-11 17:22:25", "2023-06-11 17:22:25", "", "sidekix-media-l6u4GIKvxBs-unsplash", "", "inherit", "open", "closed", "", "sidekix-media-l6u4gikvxbs-unsplash", "", "", "2023-06-11 17:22:25", "2023-06-11 17:22:25", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/sidekix-media-l6u4GIKvxBs-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("248", "1", "2023-06-11 17:22:27", "2023-06-11 17:22:27", "", "angelo-pantazis-N4wUsqIbMAM-unsplash", "", "inherit", "open", "closed", "", "angelo-pantazis-n4wusqibmam-unsplash", "", "", "2023-06-11 17:22:27", "2023-06-11 17:22:27", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/angelo-pantazis-N4wUsqIbMAM-unsplash.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("249", "3", "2023-08-10 12:00:08", "2023-08-10 12:00:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "I Am Stretched on Your Grave", "", "publish", "open", "open", "", "non-asperiores", "", "", "2023-08-11 21:55:01", "2023-08-11 21:55:01", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=249", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("251", "1", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "inherit", "closed", "closed", "", "249-revision-v1", "", "", "2023-06-11 17:24:08", "2023-06-11 17:24:08", "", "249", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=251", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("252", "2", "2023-06-11 17:25:02", "2023-06-11 17:25:02", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Drink Before the War", "", "publish", "open", "open", "", "rerum-illo-aut", "", "", "2023-08-10 17:48:53", "2023-08-10 17:48:53", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=252", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("253", "2", "2022-06-11 17:25:05", "2022-06-11 17:25:05", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Molly Malone", "", "publish", "open", "open", "", "eum-alias-cupiditate", "", "", "2023-08-10 18:00:04", "2023-08-10 18:00:04", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=253", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("254", "3", "2021-06-11 17:25:14", "2021-06-11 17:25:14", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "My Special Child", "", "publish", "open", "open", "", "quod-molestiae-qui", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=254", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("255", "2", "2020-06-11 17:25:23", "2020-06-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "He Moved Through the Fair", "", "publish", "open", "open", "", "ut-earum-consequatur", "", "", "2023-08-10 17:54:28", "2023-08-10 17:54:28", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=255", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("256", "3", "2023-02-11 17:25:23", "2023-02-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Last Day of Our Acquaintance", "", "publish", "open", "open", "", "aut-internos", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=256", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("257", "2", "2022-06-11 17:25:23", "2022-06-11 17:25:23", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Emperor\'s New Clothes", "", "publish", "open", "open", "", "est-voluptatum-incidunt", "", "", "2023-08-10 17:49:53", "2023-08-10 17:49:53", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=257", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("258", "2", "2021-06-11 17:25:34", "2021-06-11 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "No Man\'s Woman", "", "publish", "open", "open", "", "non-asperiores-2", "", "", "2023-08-10 17:50:57", "2023-08-10 17:50:57", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=258", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("259", "2", "2023-08-11 01:25:34", "2023-08-11 01:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Whomsoever Dwells", "", "publish", "open", "open", "", "ut-praesentium-animi", "", "", "2023-08-11 21:51:00", "2023-08-11 21:51:00", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=259", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("260", "3", "2022-02-11 17:25:34", "2022-02-11 17:25:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Feel So Different", "", "publish", "open", "open", "", "quo-modi-laudantium", "", "", "2023-08-11 20:34:26", "2023-08-11 20:34:26", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=260", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("261", "1", "2023-06-11 17:26:02", "2023-06-11 17:26:02", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Non asperiores", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-06-11 17:26:02", "2023-06-11 17:26:02", "", "258", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=261", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("262", "1", "2023-06-11 17:26:27", "2023-06-11 17:26:27", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Rerum illo aut", "", "inherit", "closed", "closed", "", "252-revision-v1", "", "", "2023-06-11 17:26:27", "2023-06-11 17:26:27", "", "252", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=262", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("263", "1", "2023-06-11 17:26:42", "2023-06-11 17:26:42", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Eum alias cupiditate", "", "inherit", "closed", "closed", "", "253-revision-v1", "", "", "2023-06-11 17:26:42", "2023-06-11 17:26:42", "", "253", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=263", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("264", "1", "2023-06-11 17:27:10", "2023-06-11 17:27:10", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod molestiae qui", "", "inherit", "closed", "closed", "", "254-revision-v1", "", "", "2023-06-11 17:27:10", "2023-06-11 17:27:10", "", "254", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=264", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("265", "1", "2023-06-11 17:27:29", "2023-06-11 17:27:29", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Est voluptatum incidunt", "", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2023-06-11 17:27:29", "2023-06-11 17:27:29", "", "257", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=265", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("266", "1", "2023-06-11 17:27:47", "2023-06-11 17:27:47", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Aut internos", "", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2023-06-11 17:27:47", "2023-06-11 17:27:47", "", "256", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=266", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("267", "1", "2023-06-11 17:29:11", "2023-06-11 17:29:11", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut earum consequatur", "", "inherit", "closed", "closed", "", "255-revision-v1", "", "", "2023-06-11 17:29:11", "2023-06-11 17:29:11", "", "255", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=267", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("268", "1", "2023-06-11 17:29:34", "2023-06-11 17:29:34", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quo modi laudantium", "", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2023-06-11 17:29:34", "2023-06-11 17:29:34", "", "260", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=268", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("269", "1", "2023-06-11 17:29:57", "2023-06-11 17:29:57", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Ut praesentium animi", "", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2023-06-11 17:29:57", "2023-06-11 17:29:57", "", "259", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=269", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("270", "1", "2023-06-11 17:30:17", "2023-06-11 17:30:17", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Quod dolorum eum", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-06-11 17:30:17", "2023-06-11 17:30:17", "", "258", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=270", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("285", "1", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "\n.home.page-template-default  .entry-title {\n	display: none;\n}\n\n.blog .entry-summary,\n.archive .entry-summary,\n.archive footer.entry-meta,\n.blog footer.entry-meta {\n	max-width: 640px;\n	margin-left: auto;\n	margin-right: auto;\n}\n\n.single .entry-content {\n	max-width: 640px;\n/* 	margin: auto; */\n}\n\n/* .blog article:nth-of-type(odd) .entry-summary,\n.blog article:nth-of-type(odd) footer.entry-meta {\n	margin-left: unset;\n} */\n\n@media screen and (min-width: 900px) {\n	\n	.blog .entry-summary,\n.archive .entry-summary,\n	.archive footer.entry-meta,\n	.blog footer.entry-meta {\n		margin-right: unset;\n	}\n	\n}\n\n\n\n.blog article::after {\n	content: \" \";\n	display: block;\n	border-bottom: 1px solid #ddd;\n	max-width: 200px;\n	margin-top: 4rem;\n/* 	margin-left: auto;\n	margin-right: auto; */\n	border-radius: 4px;\n}\n\n.featured-image img,\n.post-image img {\n    height: 360px;\n    object-fit: cover;\n    object-position: center;\n}\n\n\n\n\n.main-navigation .main-nav ul li a {\n	padding-right: 0;\n}\n\n\n", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-11 19:11:08", "2023-06-11 19:11:08", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=285", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("295", "1", "2023-06-11 22:00:42", "2023-06-11 22:00:42", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-twentytwentythree", "", "", "2023-06-11 22:00:42", "2023-06-11 22:00:42", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/06/11/wp-global-styles-twentytwentythree/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("296", "1", "2023-06-11 22:01:42", "2023-06-11 22:01:42", "<!-- wp:group {\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"align\":\"wide\",\"style\":{\"spacing\":{\"padding\":{\"bottom\":\"var:preset|spacing|40\"}}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group alignwide\" style=\"padding-bottom:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"level\":0} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "Header", "", "publish", "closed", "closed", "", "header", "", "", "2023-06-11 22:01:42", "2023-06-11 22:01:42", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/06/11/header/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("297", "1", "2023-06-12 20:44:24", "2023-06-12 20:44:24", "", "image-1", "", "inherit", "open", "closed", "", "image-1", "", "", "2023-06-12 20:44:24", "2023-06-12 20:44:24", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-1.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("298", "1", "2023-06-12 20:44:32", "2023-06-12 20:44:32", "", "image-2", "", "inherit", "open", "closed", "", "image-2", "", "", "2023-06-12 20:44:32", "2023-06-12 20:44:32", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("299", "1", "2023-06-12 20:44:40", "2023-06-12 20:44:40", "", "image-3", "", "inherit", "open", "closed", "", "image-3", "", "", "2023-06-12 20:44:40", "2023-06-12 20:44:40", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-3.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("300", "1", "2023-06-12 20:44:47", "2023-06-12 20:44:47", "", "image-8", "", "inherit", "open", "closed", "", "image-8", "", "", "2023-06-12 20:44:47", "2023-06-12 20:44:47", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-8.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("301", "1", "2023-06-12 20:44:54", "2023-06-12 20:44:54", "", "image-13", "", "inherit", "open", "closed", "", "image-13", "", "", "2023-06-12 20:44:54", "2023-06-12 20:44:54", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-13.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("302", "1", "2023-06-12 20:45:01", "2023-06-12 20:45:01", "", "image-15", "", "inherit", "open", "closed", "", "image-15", "", "", "2023-06-12 20:45:01", "2023-06-12 20:45:01", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-15.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("303", "1", "2023-06-12 20:45:08", "2023-06-12 20:45:08", "", "image-16", "", "inherit", "open", "closed", "", "image-16", "", "", "2023-06-12 20:45:08", "2023-06-12 20:45:08", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-16.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("304", "1", "2023-06-12 20:45:15", "2023-06-12 20:45:15", "", "image-18", "", "inherit", "open", "closed", "", "image-18", "", "", "2023-06-12 20:45:15", "2023-06-12 20:45:15", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-18.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("305", "1", "2023-06-12 20:45:21", "2023-06-12 20:45:21", "", "image-20", "", "inherit", "open", "closed", "", "image-20", "", "", "2023-06-12 20:45:21", "2023-06-12 20:45:21", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-20.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("306", "1", "2023-06-12 20:45:28", "2023-06-12 20:45:28", "", "image-23", "", "inherit", "open", "closed", "", "image-23", "", "", "2023-06-12 20:45:28", "2023-06-12 20:45:28", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/image-23.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("307", "1", "2023-06-12 20:46:41", "2023-06-12 20:46:41", "", "christophe-rollando-UqJ9r4ptgQ8-unsplash", "", "inherit", "open", "closed", "", "christophe-rollando-uqj9r4ptgq8-unsplash-2", "", "", "2023-06-12 20:46:41", "2023-06-12 20:46:41", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/06/christophe-rollando-UqJ9r4ptgQ8-unsplash-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("309", "1", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "generatepress", "", "inherit", "closed", "closed", "", "118-revision-v1", "", "", "2023-06-15 06:35:04", "2023-06-15 06:35:04", "", "118", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=309", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("310", "1", "2023-08-03 04:00:35", "2023-08-03 04:00:35", "{\"styles\":{\"css\":\"\",\"elements\":{\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-irishpassport", "", "", "2023-08-10 20:00:38", "2023-08-10 20:00:38", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/08/03/wp-global-styles-irishpassport/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("313", "1", "2023-08-03 04:18:55", "2023-08-03 04:18:55", "{\"styles\":{\"typography\":{\"lineHeight\":1.5}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 04:18:55", "2023-08-03 04:18:55", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=313", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("318", "1", "2023-08-03 04:20:43", "2023-08-03 04:20:43", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 04:20:43", "2023-08-03 04:20:43", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=318", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("324", "1", "2023-08-03 05:12:13", "2023-08-03 05:12:13", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:12:13", "2023-08-03 05:12:13", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=324", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("325", "1", "2023-08-03 05:13:20", "2023-08-03 05:13:20", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:13:20", "2023-08-03 05:13:20", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=325", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("326", "1", "2023-08-03 05:14:11", "2023-08-03 05:14:11", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nmargin-left: 210px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:14:11", "2023-08-03 05:14:11", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=326", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("327", "1", "2023-08-03 05:15:02", "2023-08-03 05:15:02", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft; 210px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:15:02", "2023-08-03 05:15:02", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=327", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("328", "1", "2023-08-03 05:17:51", "2023-08-03 05:17:51", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\"},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:17:51", "2023-08-03 05:17:51", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=328", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("330", "1", "2023-08-03 05:36:45", "2023-08-03 05:36:45", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:36:45", "2023-08-03 05:36:45", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=330", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("333", "1", "2023-08-03 05:43:09", "2023-08-03 05:43:09", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\".sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:43:09", "2023-08-03 05:43:09", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=333", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("335", "1", "2023-08-03 05:44:35", "2023-08-03 05:44:35", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:44:35", "2023-08-03 05:44:35", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=335", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("336", "1", "2023-08-03 05:46:07", "2023-08-03 05:46:07", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n.sidebar-header {\\n\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:46:07", "2023-08-03 05:46:07", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=336", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("337", "1", "2023-08-03 05:47:32", "2023-08-03 05:47:32", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n.sidebar-header {\\n   position: fixed\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:47:32", "2023-08-03 05:47:32", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=337", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("338", "1", "2023-08-03 05:48:36", "2023-08-03 05:48:36", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n.sidebar-header {\\n   position: fixed;\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:48:36", "2023-08-03 05:48:36", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=338", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("339", "1", "2023-08-03 05:48:54", "2023-08-03 05:48:54", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:48:54", "2023-08-03 05:48:54", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=339", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("342", "1", "2023-08-03 05:53:45", "2023-08-03 05:53:45", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|system-font\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 05:53:45", "2023-08-03 05:53:45", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=342", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("343", "1", "2023-08-03 06:43:19", "2023-08-03 06:43:19", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|sora\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:43:19", "2023-08-03 06:43:19", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=343", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("344", "1", "2023-08-03 06:48:07", "2023-08-03 06:48:07", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|sora\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|volkhov\"}}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:48:07", "2023-08-03 06:48:07", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=344", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("345", "1", "2023-08-03 06:48:28", "2023-08-03 06:48:28", "{\"styles\":{\"typography\":{\"lineHeight\":1.5,\"fontFamily\":\"var:preset|font-family|volkhov\"},\"css\":\"\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\n}\\n\\n\",\"spacing\":{\"padding\":{\"top\":\"4.12rem\",\"right\":\"4.12rem\",\"bottom\":\"4.12rem\",\"left\":\"4.12rem\"}},\"elements\":{\"heading\":{\"typography\":{\"fontFamily\":\"var:preset|font-family|sora\"}}}},\"settings\":{\"layout\":{\"contentSize\":\"100%\",\"wideSize\":\"1000%\"}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:48:28", "2023-08-03 06:48:28", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=345", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("347", "1", "2023-08-03 06:50:20", "2023-08-03 06:50:20", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:50:20", "2023-08-03 06:50:20", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=347", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("349", "1", "2023-08-03 06:51:04", "2023-08-03 06:51:04", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"}}}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:51:04", "2023-08-03 06:51:04", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=349", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("350", "1", "2023-08-03 06:51:46", "2023-08-03 06:51:46", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:51:46", "2023-08-03 06:51:46", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=350", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("352", "1", "2023-08-03 06:52:56", "2023-08-03 06:52:56", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 06:52:56", "2023-08-03 06:52:56", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=352", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("356", "1", "2023-08-03 15:37:02", "2023-08-03 15:37:02", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}},\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 15:37:02", "2023-08-03 15:37:02", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=356", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("357", "1", "2023-08-03 15:37:57", "2023-08-03 15:37:57", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}},\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 15:37:57", "2023-08-03 15:37:57", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=357", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("358", "1", "2023-08-03 15:38:14", "2023-08-03 15:38:14", "{\"styles\":{\"blocks\":{\"core\\/heading\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"},\":hover\":{\"color\":{\"text\":\"var:preset|color|luminous-vivid-orange\"}}}}}},\"elements\":{\"link\":{\"typography\":{\"textDecoration\":\"none\"}}},\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-03 15:38:14", "2023-08-03 15:38:14", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=358", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("362", "1", "2023-08-04 20:54:38", "2023-08-04 20:54:38", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 20:54:38", "2023-08-04 20:54:38", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=362", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("363", "1", "2023-08-04 21:00:25", "2023-08-04 21:00:25", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"textColor\":\"black\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-black-color has-text-color\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":\"unset\"}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "publish", "closed", "closed", "", "index", "", "", "2023-08-10 19:56:33", "2023-08-10 19:56:33", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/08/04/index/", "0", "wp_template", "", "0");
INSERT INTO `wp_posts` VALUES("364", "1", "2023-08-04 21:01:58", "2023-08-04 21:01:58", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:site-title /-->\n\n<!-- wp:site-tagline /-->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\",\"orientation\":\"horizontal\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /-->\n\n<!-- wp:post-terms {\"term\":\"post_tag\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:spacer {\"height\":\"40px\"} -->\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 21:01:58", "2023-08-04 21:01:58", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=364", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("365", "1", "2023-08-04 21:09:52", "2023-08-04 21:09:52", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:site-title /-->\n\n<!-- wp:site-tagline /-->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\",\"orientation\":\"horizontal\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 21:09:52", "2023-08-04 21:09:52", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=365", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("366", "1", "2023-08-04 21:16:15", "2023-08-04 21:16:15", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:16:15", "2023-08-04 21:16:15", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=366", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("367", "1", "2023-08-04 21:17:05", "2023-08-04 21:17:05", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:17:05", "2023-08-04 21:17:05", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=367", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("368", "1", "2023-08-04 21:23:34", "2023-08-04 21:23:34", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title {\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:23:34", "2023-08-04 21:23:34", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=368", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("369", "1", "2023-08-04 21:28:48", "2023-08-04 21:28:48", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n\\n\\n\\nh1.wp-block-query-title {\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n*\\/\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:28:48", "2023-08-04 21:28:48", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=369", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("370", "1", "2023-08-04 21:29:21", "2023-08-04 21:29:21", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title span {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title {\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:29:21", "2023-08-04 21:29:21", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=370", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("371", "1", "2023-08-04 21:30:00", "2023-08-04 21:30:00", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-04 21:30:00", "2023-08-04 21:30:00", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=371", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("372", "1", "2023-08-04 21:33:25", "2023-08-04 21:33:25", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:site-title /-->\n\n<!-- wp:site-tagline /-->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"left\",\"orientation\":\"horizontal\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 21:33:25", "2023-08-04 21:33:25", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=372", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("373", "1", "2023-08-04 21:36:33", "2023-08-04 21:36:33", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-08-04 21:36:33", "2023-08-04 21:36:33", "", "62", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=373", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("374", "1", "2023-08-04 21:36:33", "2023-08-04 21:36:33", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /-->\n\n<!-- wp:site-tagline /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 21:36:33", "2023-08-04 21:36:33", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=374", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("375", "1", "2023-08-04 21:38:32", "2023-08-04 21:38:32", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /-->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 21:38:32", "2023-08-04 21:38:32", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=375", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("376", "1", "2023-08-04 21:39:54", "2023-08-04 21:39:54", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 21:39:54", "2023-08-04 21:39:54", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=376", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("377", "1", "2023-08-04 22:13:12", "2023-08-04 22:13:12", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":[\"#000000\",\"#7f7f7f\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 22:13:12", "2023-08-04 22:13:12", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=377", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("378", "1", "2023-08-04 22:13:55", "2023-08-04 22:13:55", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":[\"#1900d8\",\"#ffa96b\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 22:13:55", "2023-08-04 22:13:55", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=378", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("379", "1", "2023-08-04 22:14:42", "2023-08-04 22:14:42", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"#ffa96b\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 22:14:42", "2023-08-04 22:14:42", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=379", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("380", "1", "2023-08-04 22:15:42", "2023-08-04 22:15:42", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"#ffa96b\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 22:15:42", "2023-08-04 22:15:42", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=380", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("381", "1", "2023-08-04 22:16:06", "2023-08-04 22:16:06", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":[\"rgb(0, 0, 0)\",\"#ffa96b\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-04 22:16:06", "2023-08-04 22:16:06", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=381", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("382", "1", "2023-08-05 04:34:45", "2023-08-05 04:34:45", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":\"unset\"}}} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 04:34:45", "2023-08-05 04:34:45", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=382", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("383", "1", "2023-08-05 06:48:07", "2023-08-05 06:48:07", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true,\"style\":{\"border\":{\"radius\":\"10px\"},\"color\":{\"duotone\":\"unset\"}}} /-->\n\n<!-- wp:cover {\"useFeaturedImage\":true,\"dimRatio\":50,\"isDark\":false} -->\n<div class=\"wp-block-cover is-light\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 06:48:07", "2023-08-05 06:48:07", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=383", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("384", "1", "2023-08-05 06:48:20", "2023-08-05 06:48:20", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:cover {\"useFeaturedImage\":true,\"dimRatio\":50,\"isDark\":false} -->\n<div class=\"wp-block-cover is-light\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 06:48:20", "2023-08-05 06:48:20", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=384", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("385", "1", "2023-08-05 06:59:34", "2023-08-05 06:59:34", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 06:59:34", "2023-08-05 06:59:34", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=385", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("386", "1", "2023-08-05 18:54:48", "2023-08-05 18:54:48", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-date {\"isLink\":true} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 18:54:48", "2023-08-05 18:54:48", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=386", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("387", "1", "2023-08-05 18:57:16", "2023-08-05 18:57:16", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|vivid-cyan-blue\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"small\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 18:57:16", "2023-08-05 18:57:16", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=387", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("388", "1", "2023-08-05 18:58:04", "2023-08-05 18:58:04", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-05 18:58:04", "2023-08-05 18:58:04", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=388", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("389", "1", "2023-08-05 18:59:24", "2023-08-05 18:59:24", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 18:59:24", "2023-08-05 18:59:24", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=389", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("390", "1", "2023-08-05 19:00:33", "2023-08-05 19:00:33", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 19:00:33", "2023-08-05 19:00:33", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=390", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("391", "1", "2023-08-05 23:58:20", "2023-08-05 23:58:20", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 23:58:20", "2023-08-05 23:58:20", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=391", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("392", "1", "2023-08-05 23:59:46", "2023-08-05 23:59:46", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"><!-- wp:post-terms {\"term\":\"category\"} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:spacer {\"height\":\"81px\"} -->\n<div style=\"height:81px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:paragraph -->\n<p></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-05 23:59:46", "2023-08-05 23:59:46", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=392", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("393", "1", "2023-08-06 00:23:06", "2023-08-06 00:23:06", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"right\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-06 00:23:06", "2023-08-06 00:23:06", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=393", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("394", "1", "2023-08-10 17:47:51", "0000-00-00 00:00:00", "", "Auto Draft", "", "auto-draft", "open", "open", "", "", "", "", "2023-08-10 17:47:51", "0000-00-00 00:00:00", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=394", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("395", "1", "2023-08-10 17:48:53", "2023-08-10 17:48:53", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Drink Before the War", "", "inherit", "closed", "closed", "", "252-revision-v1", "", "", "2023-08-10 17:48:53", "2023-08-10 17:48:53", "", "252", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=395", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("396", "1", "2023-08-10 17:49:12", "2023-08-10 17:49:12", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "I Am Stretched on Your Grave", "", "inherit", "closed", "closed", "", "249-revision-v1", "", "", "2023-08-10 17:49:12", "2023-08-10 17:49:12", "", "249", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=396", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("397", "1", "2023-08-10 17:49:26", "2023-08-10 17:49:26", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Whomsoever Dwells", "", "inherit", "closed", "closed", "", "259-revision-v1", "", "", "2023-08-10 17:49:26", "2023-08-10 17:49:26", "", "259", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=397", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("398", "1", "2023-08-10 17:49:40", "2023-08-10 17:49:40", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Last Day of Our Acquaintance", "", "inherit", "closed", "closed", "", "256-revision-v1", "", "", "2023-08-10 17:49:40", "2023-08-10 17:49:40", "", "256", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=398", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("399", "1", "2023-08-10 17:49:53", "2023-08-10 17:49:53", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "The Emperor\'s New Clothes", "", "inherit", "closed", "closed", "", "257-revision-v1", "", "", "2023-08-10 17:49:53", "2023-08-10 17:49:53", "", "257", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=399", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("400", "1", "2023-08-10 17:50:30", "2023-08-10 17:50:30", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "In This Heart", "", "inherit", "closed", "closed", "", "22-revision-v1", "", "", "2023-08-10 17:50:30", "2023-08-10 17:50:30", "", "22", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=400", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("401", "1", "2023-08-10 17:50:40", "2023-08-10 17:50:40", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Feel So Different", "", "inherit", "closed", "closed", "", "260-revision-v1", "", "", "2023-08-10 17:50:40", "2023-08-10 17:50:40", "", "260", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=401", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("402", "1", "2023-08-10 17:50:57", "2023-08-10 17:50:57", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "No Man\'s Woman", "", "inherit", "closed", "closed", "", "258-revision-v1", "", "", "2023-08-10 17:50:57", "2023-08-10 17:50:57", "", "258", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=402", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("403", "1", "2023-08-10 17:51:09", "2023-08-10 17:51:09", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "My Special Child", "", "inherit", "closed", "closed", "", "254-revision-v1", "", "", "2023-08-10 17:51:09", "2023-08-10 17:51:09", "", "254", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=403", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("404", "1", "2023-08-10 17:51:21", "2023-08-10 17:51:21", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "By the Rivers of Babylon", "", "inherit", "closed", "closed", "", "10-revision-v1", "", "", "2023-08-10 17:51:21", "2023-08-10 17:51:21", "", "10", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=404", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("405", "1", "2023-08-10 17:51:31", "2023-08-10 17:51:31", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "4th and Vine", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-08-10 17:51:31", "2023-08-10 17:51:31", "", "23", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=405", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("406", "1", "2023-08-10 17:51:46", "2023-08-10 17:51:46", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Jump In The River", "", "inherit", "closed", "closed", "", "24-revision-v1", "", "", "2023-08-10 17:51:46", "2023-08-10 17:51:46", "", "24", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=406", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("407", "1", "2023-08-10 17:52:18", "2023-08-10 17:52:18", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Wolf is Getting Married", "", "inherit", "closed", "closed", "", "25-revision-v1", "", "", "2023-08-10 17:52:18", "2023-08-10 17:52:18", "", "25", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=407", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("408", "1", "2023-08-10 17:52:40", "2023-08-10 17:52:40", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Foggy Dw", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-08-10 17:52:40", "2023-08-10 17:52:40", "", "9", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=408", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("409", "1", "2023-08-10 17:52:53", "2023-08-10 17:52:53", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Troy", "", "inherit", "closed", "closed", "", "26-revision-v1", "", "", "2023-08-10 17:52:53", "2023-08-10 17:52:53", "", "26", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=409", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("410", "1", "2023-08-10 17:52:59", "2023-08-10 17:52:59", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Foggy Dew", "", "inherit", "closed", "closed", "", "9-revision-v1", "", "", "2023-08-10 17:52:59", "2023-08-10 17:52:59", "", "9", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=410", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("411", "1", "2023-08-10 17:53:44", "2023-08-10 17:53:44", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Success Has Made a Failure of Our Home", "", "inherit", "closed", "closed", "", "11-revision-v1", "", "", "2023-08-10 17:53:44", "2023-08-10 17:53:44", "", "11", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=411", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("412", "1", "2023-08-10 17:53:55", "2023-08-10 17:53:55", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Gloomy Sunday", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-08-10 17:53:55", "2023-08-10 17:53:55", "", "7", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=412", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("413", "1", "2023-08-10 17:54:28", "2023-08-10 17:54:28", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "He Moved Through the Fair", "", "inherit", "closed", "closed", "", "255-revision-v1", "", "", "2023-08-10 17:54:28", "2023-08-10 17:54:28", "", "255", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=413", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("414", "1", "2023-08-10 17:54:36", "2023-08-10 17:54:36", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Fire on Babylon", "", "inherit", "closed", "closed", "", "20-revision-v1", "", "", "2023-08-10 17:54:36", "2023-08-10 17:54:36", "", "20", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=414", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("415", "1", "2023-08-10 17:55:08", "2023-08-10 17:55:08", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "I\'ll Tell Me Ma", "", "inherit", "closed", "closed", "", "21-revision-v1", "", "", "2023-08-10 17:55:08", "2023-08-10 17:55:08", "", "21", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=415", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("416", "1", "2023-08-10 17:55:39", "2023-08-10 17:55:39", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "This is a Rebel Song", "", "inherit", "closed", "closed", "", "15-revision-v1", "", "", "2023-08-10 17:55:39", "2023-08-10 17:55:39", "", "15", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=416", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("417", "1", "2023-08-10 17:55:53", "2023-08-10 17:55:53", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "The Lamb\'s Book of Life", "", "inherit", "closed", "closed", "", "19-revision-v1", "", "", "2023-08-10 17:55:53", "2023-08-10 17:55:53", "", "19", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=417", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("418", "1", "2023-08-10 17:56:14", "2023-08-10 17:56:14", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Just Call Me Joe", "", "inherit", "closed", "closed", "", "16-revision-v1", "", "", "2023-08-10 17:56:14", "2023-08-10 17:56:14", "", "16", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=418", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("419", "1", "2023-08-10 17:58:47", "2023-08-10 17:58:47", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Never Get Old", "", "inherit", "closed", "closed", "", "18-revision-v1", "", "", "2023-08-10 17:58:47", "2023-08-10 17:58:47", "", "18", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=419", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("420", "1", "2023-08-10 17:59:24", "2023-08-10 17:59:24", "<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Id rerum architecto.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Et iure impedit a repellat eligendiut voluptatem ex quia voluptatem. Eum inventore corrupti ea omnis inventore <strong>Ut architecto sed velit velit quo provident voluptas non culpa mollitia</strong>. Ut distinctio quia eum odit temporibuset facere a nesciunt molestiae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Qui molestiae corrupti eos fuga saepe.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et libero amet aut error velitet consequatur quo ullam explicabo. At nihil consectetur <em>Non explicabo et fugiat soluta ea alias quas</em> in facilis magnam ut dignissimos illum qui blanditiis error? Eos repellat dolores et quia quidem <strong>Ut pariatur ut odio quas est quam voluptas ut rerum nihil</strong> vel facilis Quis. Et beatae dignissimosNon galisum non officia error.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Ut quisquam incidunt id neque galisum.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et quas aspernatura unde cum architecto voluptate. Vel veniam consequatur ea nihil fugitnam saepe.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Est voluptas sint eum omnis repellat.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Ut iste velit <em>Ex nesciunt</em> ut consequuntur totam. Ea odit atqueQui quia ea excepturi animi qui ducimus nihil aut quidem porro qui explicabo consequuntur est animi alias. Non laudantium distinctio aut atque itaque <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel nostrum eos deserunt numquam ea sunt porro qui eveniet excepturi</a> non adipisci facere. <dfn>Sit sint labore est rerum magnam! </dfn>Est voluptatem animi sit expedita voluptatem est consequuntur quisquam et omnis libero. <dfn>Et voluptatem animi. </dfn>Et autem aliquam aut atque quia id nulla nemo. <dfn>At laboriosam deserunt. </dfn>Et nesciunt optio et nihil voluptatum et nemo voluptatibus?</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Et ipsum similique qui quasi obcaecati.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Eos fugiat dolorAut perspiciatis ut quisquam libero nam alias rerum ab modi sint. Non omnis corrupti ut similique saepe <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et iste et quae suscipit aut beatae animi</a>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>Quo officiis suscipit et molestiae eaque ut animi quibusdam hic dolore amet.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et consequatur eveniet cum galisum explicabo et rerum iure.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Ut placeat ipsum et excepturi consequatur id repudiandae sapiente ad enim Quis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et quod deleniti ut quasi omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>In tenetur consectetur in recusandae fuga.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem tempore maiores eum dignissimos nulla!</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Et dolore minima sit amet commodi aut voluptates reprehenderit ea galisum natus est fuga voluptates a fugit omnis.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>Ut consequuntur maxime <strong>Qui ipsum qui rerum molestiae et iste perspiciatis</strong> rem minus maxime. Et voluptates obcaecati vel veniam internos <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">In eaque qui sapiente illo quo quia quia nam fugiat voluptates</a>. Ut perspiciatis molestiaseos nobis aut necessitatibus sunt. Et quasi nostrum vel deserunt temporeSit ipsam non quia soluta eum labore laboriosam vel eaque labore hic nesciunt vero.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Nam facilis consectetur sed magnam minima.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Eum consequatur possimus ut voluptatem impedit hic tempore sunt et animi rerum?</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Aut nobis voluptas id quisquam maiores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>At nemo consequatur ut dolor minima qui porro optio.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Rem voluptatem quia ut iste voluptatem qui vitae minima nam quisquam maiores.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->", "Emma\'s Song", "", "inherit", "closed", "closed", "", "17-revision-v1", "", "", "2023-08-10 17:59:24", "2023-08-10 17:59:24", "", "17", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=420", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("421", "1", "2023-08-10 17:59:56", "2023-08-10 17:59:56", "<!-- wp:paragraph -->\n<p>Lorem ipsum dolor sit amet. Ea dicta voluptatem qui quam suntEt minus et sunt officiis est quia vero sit esse totam et iusto atque? Id necessitatibus unde <em>A necessitatibus ut placeat voluptatibus ad mollitia perspiciatis et explicabo Quis</em> 33 consequuntur dolores est consequatur expedita. Ad deserunt earum aut officia delectuseum ipsam qui reprehenderit dolorem vel similique molestias.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list {\"ordered\":true} -->\n<ol><!-- wp:list-item -->\n<li>In molestiae molestias 33 fugit labore cum molestiae omnis.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et pariatur nemo hic cupiditate corrupti sed omnis fugit qui temporibus ipsa.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et ipsam deleniti et dolorem dolores.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et internos sunt qui doloribus expedita et internos nulla.</li>\n<!-- /wp:list-item --></ol>\n<!-- /wp:list -->\n\n<!-- wp:heading -->\n<h2 class=\"wp-block-heading\">Aut iste quis At quas architecto est tempora placeat.</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et ipsam exercitationem aut dolor voluptatem <em>In debitis</em>. Et quia iusto <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Vel adipisci ut maiores alias eos corrupti suscipit</a> qui assumenda unde! <dfn>Quo dicta omnis. </dfn>Ut quidem autem 33 magni veritatis id cupiditate rerum. <dfn>Aut eius perspiciatis sit autem rerum. </dfn>Eos consequatur error sed delectus culpa nam dolorum omnis.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":3} -->\n<h3 class=\"wp-block-heading\">Aut labore omnis sit molestiae quos in reiciendis unde.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Non animi consequatur <em>Hic reiciendis ut neque itaque et dolorum tenetur</em>? Aut culpa necessitatibusUt dolorem in inventore nihil in tenetur omnis. Nam beatae galisum <strong>Aut consequatur quo tenetur nulla qui tempore recusandae nam rerum doloribus</strong> et ullam repellat eum asperiores illum. Et quam pariatur aut aperiam molestiaeQui aliquid.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><!-- wp:paragraph -->\n<p>Qui rerum nisi qui facilis ipsa sit veritatis velit ea quia aspernatur.</p>\n<!-- /wp:paragraph --></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:heading {\"level\":4} -->\n<h4 class=\"wp-block-heading\">Et ratione unde a dolorum consequatur nam suscipit modi.</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Aut ipsam pariatur <em>Qui nihil qui atque amet quo aliquid galisum</em> qui assumenda omnis vel vitae numquam. Vel omnis nobis <strong>Ex optio et omnis illum est nihil enim</strong>. Qui quidem esse et quos doloremet aliquam qui perspiciatis beatae.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"level\":5} -->\n<h5 class=\"wp-block-heading\">Eum officiis earum est dicta sequi et sint itaque.</h5>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>Et perspiciatis sapiente <a href=\"https://www.loremipzum.com\" target=\"_blank\" rel=\"noreferrer noopener\">Et repudiandae sed iusto consequatur qui unde odio ad minima neque</a>. Cum fuga fuga ut rerum magniid omnis vel internos temporibus. Aut laborum minus in recusandae iste <em>In omnis</em>.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:list -->\n<ul><!-- wp:list-item -->\n<li>Non dolore tempore ut eligendi nemo qui corporis nihil.</li>\n<!-- /wp:list-item -->\n\n<!-- wp:list-item -->\n<li>Et dicta animi eos repellendus necessitatibus ut incidunt omnis.</li>\n<!-- /wp:list-item --></ul>\n<!-- /wp:list -->\n\n<!-- wp:paragraph -->\n<p>Vel ullam nemoSed earum et quis totam est exercitationem incidunt ut nihil illum et aliquam porro eum accusamus animi. Et quae ratione <strong>Et internos</strong> ut repellat blanditiis?</p>\n<!-- /wp:paragraph -->", "Molly Malone", "", "inherit", "closed", "closed", "", "253-revision-v1", "", "", "2023-08-10 17:59:56", "2023-08-10 17:59:56", "", "253", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=421", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("422", "1", "2023-08-10 18:14:43", "2023-08-10 18:14:43", "{\"styles\":{\"css\":\"\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 18:14:43", "2023-08-10 18:14:43", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=422", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("423", "1", "2023-08-10 18:14:43", "2023-08-10 18:14:43", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"wrap\",\"verticalAlignment\":\"top\",\"orientation\":\"horizontal\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"right\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:14:43", "2023-08-10 18:14:43", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=423", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("424", "1", "2023-08-10 18:15:07", "2023-08-10 18:15:07", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\"},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 18:15:07", "2023-08-10 18:15:07", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=424", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("425", "1", "2023-08-10 18:15:07", "2023-08-10 18:15:07", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"displayLayout\":{\"type\":\"list\",\"columns\":2},\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"right\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group\"></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:15:07", "2023-08-10 18:15:07", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=425", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("426", "1", "2023-08-10 18:16:55", "2023-08-10 18:16:55", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"right\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:16:55", "2023-08-10 18:16:55", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=426", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("427", "1", "2023-08-10 18:18:19", "2023-08-10 18:18:19", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:18:19", "2023-08-10 18:18:19", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=427", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("428", "1", "2023-08-10 18:33:38", "2023-08-10 18:33:38", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:33:38", "2023-08-10 18:33:38", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=428", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("429", "1", "2023-08-10 18:36:22", "2023-08-10 18:36:22", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|40\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"var:preset|spacing|40\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:var(--wp--preset--spacing--40);padding-right:var(--wp--preset--spacing--40);padding-bottom:var(--wp--preset--spacing--40);padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:36:22", "2023-08-10 18:36:22", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=429", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("430", "1", "2023-08-10 18:37:09", "2023-08-10 18:37:09", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:0;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"50px\"} -->\n<div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:37:09", "2023-08-10 18:37:09", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=430", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("431", "1", "2023-08-10 18:37:52", "2023-08-10 18:37:52", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:0;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:site-tagline {\"textAlign\":\"right\"} /--></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:37:52", "2023-08-10 18:37:52", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=431", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("432", "1", "2023-08-10 18:38:24", "2023-08-10 18:38:24", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:0;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"}}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:38:24", "2023-08-10 18:38:24", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=432", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("433", "1", "2023-08-10 18:39:24", "2023-08-10 18:39:24", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:0;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"0\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:39:24", "2023-08-10 18:39:24", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=433", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("434", "1", "2023-08-10 18:39:58", "2023-08-10 18:39:58", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|40\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|40\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--40);padding-bottom:0;padding-left:var(--wp--preset--spacing--40)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:39:58", "2023-08-10 18:39:58", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=434", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("435", "1", "2023-08-10 18:40:17", "2023-08-10 18:40:17", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:0;padding-bottom:0;padding-left:0\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:40:17", "2023-08-10 18:40:17", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=435", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("436", "1", "2023-08-10 18:40:52", "2023-08-10 18:40:52", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"orientation\":\"vertical\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:40:52", "2023-08-10 18:40:52", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=436", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("437", "1", "2023-08-10 18:41:13", "2023-08-10 18:41:13", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:41:13", "2023-08-10 18:41:13", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=437", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("438", "1", "2023-08-10 18:41:44", "2023-08-10 18:41:44", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:41:44", "2023-08-10 18:41:44", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=438", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("439", "1", "2023-08-10 18:42:12", "2023-08-10 18:42:12", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:42:12", "2023-08-10 18:42:12", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=439", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("440", "1", "2023-08-10 18:44:14", "2023-08-10 18:44:14", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:44:14", "2023-08-10 18:44:14", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=440", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("441", "1", "2023-08-10 18:46:23", "2023-08-10 18:46:23", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:46:23", "2023-08-10 18:46:23", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=441", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("442", "1", "2023-08-10 18:49:58", "2023-08-10 18:49:58", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:49:58", "2023-08-10 18:49:58", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=442", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("443", "1", "2023-08-10 18:50:20", "2023-08-10 18:50:20", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 18:50:20", "2023-08-10 18:50:20", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=443", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("444", "1", "2023-08-10 18:54:12", "2023-08-10 18:54:12", "", "Q-Duck-Logo-Trans", "", "inherit", "open", "closed", "", "q-duck-logo-trans", "", "", "2023-08-10 18:54:12", "2023-08-10 18:54:12", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/08/Q-Duck-Logo-Trans.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("445", "1", "2023-08-10 18:54:22", "2023-08-10 18:54:22", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "publish", "closed", "closed", "", "footer", "", "", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/08/10/footer/", "0", "wp_template_part", "", "0");
INSERT INTO `wp_posts` VALUES("446", "1", "2023-08-10 18:55:00", "2023-08-10 18:55:00", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-logo {\"shouldSyncIcon\":false,\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#ffffff\"]}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 18:55:00", "2023-08-10 18:55:00", "", "445", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=446", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("447", "1", "2023-08-10 19:20:53", "2023-08-10 19:20:53", "", "DuckLogo", "", "inherit", "open", "closed", "", "ducklogo", "", "", "2023-08-10 19:20:53", "2023-08-10 19:20:53", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/wp-content/uploads/2023/08/DuckLogo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("448", "1", "2023-08-10 19:21:36", "2023-08-10 19:21:36", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-logo {\"shouldSyncIcon\":false,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#ffffff\"]}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 19:21:36", "2023-08-10 19:21:36", "", "445", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=448", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("449", "1", "2023-08-10 19:22:51", "2023-08-10 19:22:51", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:site-logo {\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 19:22:51", "2023-08-10 19:22:51", "", "445", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=449", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("450", "1", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"right\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"right\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=450", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("451", "1", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"80px\",\"bottom\":\"30px\"}}}} -->\n<div class=\"wp-block-group\" style=\"padding-top:80px;padding-bottom:30px\"><!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Proudly Powered by <a href=\"https://wordpress.org\" rel=\"nofollow\">WordPress</a></p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->", "footer", "", "inherit", "closed", "closed", "", "445-revision-v1", "", "", "2023-08-10 19:23:27", "2023-08-10 19:23:27", "", "445", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=451", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("452", "1", "2023-08-10 19:24:22", "2023-08-10 19:24:22", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":176,\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 19:24:22", "2023-08-10 19:24:22", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=452", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("453", "1", "2023-08-10 19:25:28", "2023-08-10 19:25:28", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 19:25:28", "2023-08-10 19:25:28", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=453", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("454", "1", "2023-08-10 19:40:14", "2023-08-10 19:40:14", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:post-content /-->\n\n<!-- wp:post-navigation-link {\"type\":\"previous\"} /-->\n\n<!-- wp:post-navigation-link /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays single posts on your website unless a custom template has been applied to that post or a dedicated template exists.", "publish", "closed", "closed", "", "single", "", "", "2023-08-10 19:44:08", "2023-08-10 19:44:08", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/08/10/single/", "0", "wp_template", "", "0");
INSERT INTO `wp_posts` VALUES("455", "1", "2023-08-10 19:42:52", "2023-08-10 19:42:52", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:post-content /-->\n\n<!-- wp:post-navigation-link {\"type\":\"previous\"} /-->\n\n<!-- wp:post-navigation-link /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays single posts on your website unless a custom template has been applied to that post or a dedicated template exists.", "inherit", "closed", "closed", "", "454-revision-v1", "", "", "2023-08-10 19:42:52", "2023-08-10 19:42:52", "", "454", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=455", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("456", "1", "2023-08-10 19:43:32", "2023-08-10 19:43:32", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title /-->\n\n<!-- wp:post-content /-->\n\n<!-- wp:post-navigation-link {\"type\":\"previous\"} /-->\n\n<!-- wp:post-navigation-link /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays single posts on your website unless a custom template has been applied to that post or a dedicated template exists.", "inherit", "closed", "closed", "", "454-revision-v1", "", "", "2023-08-10 19:43:32", "2023-08-10 19:43:32", "", "454", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=456", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("457", "1", "2023-08-10 19:43:54", "2023-08-10 19:43:54", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:post-content /-->\n\n<!-- wp:post-navigation-link {\"type\":\"previous\"} /-->\n\n<!-- wp:post-navigation-link /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays single posts on your website unless a custom template has been applied to that post or a dedicated template exists.", "inherit", "closed", "closed", "", "454-revision-v1", "", "", "2023-08-10 19:43:54", "2023-08-10 19:43:54", "", "454", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=457", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("458", "1", "2023-08-10 19:44:08", "2023-08-10 19:44:08", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:post-title /-->\n\n<!-- wp:post-featured-image /-->\n\n<!-- wp:post-content /-->\n\n<!-- wp:post-navigation-link {\"type\":\"previous\"} /-->\n\n<!-- wp:post-navigation-link /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Single Posts", "Displays single posts on your website unless a custom template has been applied to that post or a dedicated template exists.", "inherit", "closed", "closed", "", "454-revision-v1", "", "", "2023-08-10 19:44:08", "2023-08-10 19:44:08", "", "454", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=458", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("459", "1", "2023-08-10 19:45:48", "2023-08-10 19:45:48", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:site-title {\"textAlign\":\"center\",\"fontSize\":\"medium\"} /-->\n\n<!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 19:45:48", "2023-08-10 19:45:48", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=459", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("460", "1", "2023-08-10 19:54:04", "2023-08-10 19:54:04", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\",\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 19:54:04", "2023-08-10 19:54:04", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=460", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("461", "1", "2023-08-10 19:54:04", "2023-08-10 19:54:04", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"backgroundColor\":\"black\",\"textColor\":\"white\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-white-color has-black-background-color has-text-color has-background\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":[\"#ffffff\",\"#000000\"]}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 19:54:04", "2023-08-10 19:54:04", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=461", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("462", "1", "2023-08-10 19:54:29", "2023-08-10 19:54:29", "{\"styles\":{\"css\":\"\\/* Theme Custom CSS start *\\/\\n\\/* Theme Custom CSS start *\\/\\n\\/* \\n.sidebar-header {\\nposition: fixed;\\ntop: 0;\\nleft: 0;\\nwidth: 200px;\\nbottom: 0;\\nbackground-color: #eef;\\n}\\n\\nmain {\\nposition: relative;\\nleft: 210px;\\n}\\n*\\/\\n\\n\\nh1.wp-block-query-title  {\\n   font-size: 1rem;\\n}\\n\\nh1.wp-block-query-title span {\\ndisplay: block;\\n    font-size: clamp(1rem, 6vw, 14rem);\\n}\\n\\n\\n.sidebar-header {\\nposition: sticky;\\ntop: 0;\\n}\\n\\n.main-row-grid {\\ndisplay: grid;\\ngrid-template-columns: 200px 1fr;\\nmin-height: 100vh;\\nalign-items: stretch;\\n}\\n\\n\\n\\/* Theme Custom CSS end *\\/\\n\\/* Theme Custom CSS end *\\/\\n\\n@media screen and (min-width: 600px) {\\nbody {\\nbackground-image: linear-gradient(to right, black 200px, white 200px);\\n}\\n}\",\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|pale-pink\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 19:54:29", "2023-08-10 19:54:29", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=462", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("463", "1", "2023-08-10 19:56:33", "2023-08-10 19:56:33", "<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"var:preset|spacing|20\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"var:preset|spacing|20\",\"left\":\"var:preset|spacing|20\"},\"blockGap\":\"var:preset|spacing|60\"},\"position\":{\"type\":\"\"}},\"className\":\"main-row-grid\",\"layout\":{\"type\":\"flex\",\"flexWrap\":\"nowrap\",\"verticalAlignment\":\"top\"}} -->\n<div class=\"wp-block-group main-row-grid\" style=\"padding-top:var(--wp--preset--spacing--20);padding-right:var(--wp--preset--spacing--20);padding-bottom:var(--wp--preset--spacing--20);padding-left:var(--wp--preset--spacing--20)\"><!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"right\":\"var:preset|spacing|20\",\"bottom\":\"0\",\"left\":\"var:preset|spacing|20\"}},\"position\":{\"type\":\"\"}},\"textColor\":\"black\",\"className\":\"sidebar-header\"} -->\n<div class=\"wp-block-group sidebar-header has-black-color has-text-color\" style=\"padding-top:0;padding-right:var(--wp--preset--spacing--20);padding-bottom:0;padding-left:var(--wp--preset--spacing--20)\"><!-- wp:site-logo {\"width\":100,\"align\":\"center\",\"style\":{\"color\":{\"duotone\":\"unset\"}}} /-->\n\n<!-- wp:group {\"style\":{\"spacing\":{\"padding\":{\"top\":\"0\",\"bottom\":\"0\"},\"margin\":{\"top\":\"0\",\"bottom\":\"0\"}},\"position\":{\"type\":\"sticky\",\"top\":\"0px\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\" style=\"margin-top:0;margin-bottom:0;padding-top:0;padding-bottom:0\"><!-- wp:spacer {\"height\":\"21px\"} -->\n<div style=\"height:21px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n<!-- /wp:spacer -->\n\n<!-- wp:navigation {\"ref\":62,\"overlayMenu\":\"never\",\"layout\":{\"type\":\"flex\",\"setCascadingProperties\":true,\"justifyContent\":\"center\",\"orientation\":\"vertical\"},\"style\":{\"spacing\":{\"margin\":{\"top\":\"0\"},\"blockGap\":\"var:preset|spacing|20\"}}} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:group {\"style\":{\"position\":{\"type\":\"\"}},\"layout\":{\"type\":\"default\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-title {\"type\":\"archive\"} /-->\n\n<!-- wp:query {\"queryId\":0,\"query\":{\"perPage\":10,\"pages\":0,\"offset\":0,\"postType\":\"post\",\"order\":\"desc\",\"orderBy\":\"date\",\"author\":\"\",\"search\":\"\",\"exclude\":[],\"sticky\":\"\",\"inherit\":true,\"taxQuery\":null,\"parents\":[]},\"tagName\":\"main\",\"layout\":{\"type\":\"default\"}} -->\n<main class=\"wp-block-query\"><!-- wp:post-template {\"layout\":{\"type\":\"default\",\"columnCount\":2},\"fontSize\":\"small\"} -->\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:group -->\n<div class=\"wp-block-group\"><!-- wp:post-featured-image {\"isLink\":true} /--></div>\n<!-- /wp:group --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"spacing\":{\"blockGap\":\"0\"}}} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:post-terms {\"term\":\"category\",\"textAlign\":\"left\"} /-->\n\n<!-- wp:post-title {\"isLink\":true,\"style\":{\"elements\":{\"link\":{\"color\":{\"text\":\"var:preset|color|black\"}}},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"textTransform\":\"uppercase\",\"letterSpacing\":\"2px\"}},\"fontSize\":\"medium\"} /-->\n\n<!-- wp:post-author {\"showAvatar\":false,\"showBio\":false,\"byline\":\"Text by:\",\"style\":{\"typography\":{\"lineHeight\":\"1\"}},\"fontSize\":\"large\"} /-->\n\n<!-- wp:post-excerpt {\"moreText\":\"read more\"} /-->\n\n<!-- wp:group {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"layout\":{\"type\":\"flex\",\"justifyContent\":\"space-between\",\"verticalAlignment\":\"bottom\"}} -->\n<div class=\"wp-block-group\" style=\"font-size:14px\"></div>\n<!-- /wp:group --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n<!-- /wp:post-template -->\n\n<!-- wp:group {\"layout\":{\"inherit\":true,\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group\"><!-- wp:query-pagination -->\n<!-- wp:query-pagination-previous /-->\n\n<!-- wp:query-pagination-numbers /-->\n\n<!-- wp:query-pagination-next /-->\n<!-- /wp:query-pagination --></div>\n<!-- /wp:group --></main>\n<!-- /wp:query --></div>\n<!-- /wp:group --></div>\n<!-- /wp:group -->\n\n<!-- wp:template-part {\"slug\":\"footer\",\"theme\":\"irishpassport\",\"tagName\":\"footer\"} /-->", "Index", "Used as a fallback template for all pages when a more specific template is not defined.", "inherit", "closed", "closed", "", "363-revision-v1", "", "", "2023-08-10 19:56:33", "2023-08-10 19:56:33", "", "363", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=463", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("464", "1", "2023-08-10 20:00:38", "2023-08-10 20:00:38", "{\"styles\":{\"css\":\"\",\"elements\":{\"link\":{\"color\":{\"text\":\"var(--wp--preset--color--pale-pink)\"}}}},\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "310-revision-v1", "", "", "2023-08-10 20:00:38", "2023-08-10 20:00:38", "", "310", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=464", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("465", "1", "2023-08-11 19:06:05", "2023-08-11 19:06:05", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-irishpassport-ducky-saved", "", "", "2023-08-11 23:04:50", "2023-08-11 23:04:50", "", "0", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/2023/08/11/wp-global-styles-irishpassport-ducky-saved/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("466", "1", "2023-08-11 19:09:54", "2023-08-11 19:09:54", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "465-revision-v1", "", "", "2023-08-11 19:09:54", "2023-08-11 19:09:54", "", "465", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=466", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("473", "1", "2023-08-11 19:46:20", "2023-08-11 19:46:20", "{\"styles\":[],\"settings\":{\"useRootPaddingAwareAlignments\":true,\"border\":{\"color\":true,\"radius\":true,\"style\":true,\"width\":true},\"shadow\":{\"presets\":{\"default\":[{\"name\":\"Natural\",\"slug\":\"natural\",\"shadow\":\"6px 6px 9px rgba(0, 0, 0, 0.2)\"},{\"name\":\"Deep\",\"slug\":\"deep\",\"shadow\":\"12px 12px 50px rgba(0, 0, 0, 0.4)\"},{\"name\":\"Sharp\",\"slug\":\"sharp\",\"shadow\":\"6px 6px 0px rgba(0, 0, 0, 0.2)\"},{\"name\":\"Outlined\",\"slug\":\"outlined\",\"shadow\":\"6px 6px 0px -3px rgba(255, 255, 255, 1), 6px 6px rgba(0, 0, 0, 1)\"},{\"name\":\"Crisp\",\"slug\":\"crisp\",\"shadow\":\"6px 6px 0px rgba(0, 0, 0, 1)\"}]},\"defaultPresets\":true},\"color\":{\"background\":true,\"button\":true,\"caption\":true,\"custom\":true,\"customDuotone\":true,\"customGradient\":true,\"defaultDuotone\":true,\"defaultGradients\":true,\"defaultPalette\":true,\"duotone\":{\"default\":[{\"name\":\"Dark grayscale\",\"colors\":[\"#000000\",\"#7f7f7f\"],\"slug\":\"dark-grayscale\"},{\"name\":\"Grayscale\",\"colors\":[\"#000000\",\"#ffffff\"],\"slug\":\"grayscale\"},{\"name\":\"Purple and yellow\",\"colors\":[\"#8c00b7\",\"#fcff41\"],\"slug\":\"purple-yellow\"},{\"name\":\"Blue and red\",\"colors\":[\"#000097\",\"#ff4747\"],\"slug\":\"blue-red\"},{\"name\":\"Midnight\",\"colors\":[\"#000000\",\"#00a5ff\"],\"slug\":\"midnight\"},{\"name\":\"Magenta and yellow\",\"colors\":[\"#c7005a\",\"#fff278\"],\"slug\":\"magenta-yellow\"},{\"name\":\"Purple and green\",\"colors\":[\"#a60072\",\"#67ff66\"],\"slug\":\"purple-green\"},{\"name\":\"Blue and orange\",\"colors\":[\"#1900d8\",\"#ffa96b\"],\"slug\":\"blue-orange\"}]},\"gradients\":{\"default\":[{\"name\":\"Vivid cyan blue to vivid purple\",\"gradient\":\"linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%)\",\"slug\":\"vivid-cyan-blue-to-vivid-purple\"},{\"name\":\"Light green cyan to vivid green cyan\",\"gradient\":\"linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%)\",\"slug\":\"light-green-cyan-to-vivid-green-cyan\"},{\"name\":\"Luminous vivid amber to luminous vivid orange\",\"gradient\":\"linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%)\",\"slug\":\"luminous-vivid-amber-to-luminous-vivid-orange\"},{\"name\":\"Luminous vivid orange to vivid red\",\"gradient\":\"linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%)\",\"slug\":\"luminous-vivid-orange-to-vivid-red\"},{\"name\":\"Very light gray to cyan bluish gray\",\"gradient\":\"linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%)\",\"slug\":\"very-light-gray-to-cyan-bluish-gray\"},{\"name\":\"Cool to warm spectrum\",\"gradient\":\"linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%)\",\"slug\":\"cool-to-warm-spectrum\"},{\"name\":\"Blush light purple\",\"gradient\":\"linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%)\",\"slug\":\"blush-light-purple\"},{\"name\":\"Blush bordeaux\",\"gradient\":\"linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%)\",\"slug\":\"blush-bordeaux\"},{\"name\":\"Luminous dusk\",\"gradient\":\"linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%)\",\"slug\":\"luminous-dusk\"},{\"name\":\"Pale ocean\",\"gradient\":\"linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%)\",\"slug\":\"pale-ocean\"},{\"name\":\"Electric grass\",\"gradient\":\"linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%)\",\"slug\":\"electric-grass\"},{\"name\":\"Midnight\",\"gradient\":\"linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%)\",\"slug\":\"midnight\"}]},\"heading\":true,\"link\":true,\"palette\":{\"default\":[{\"name\":\"Black\",\"slug\":\"black\",\"color\":\"#000000\"},{\"name\":\"Cyan bluish gray\",\"slug\":\"cyan-bluish-gray\",\"color\":\"#abb8c3\"},{\"name\":\"White\",\"slug\":\"white\",\"color\":\"#ffffff\"},{\"name\":\"Pale pink\",\"slug\":\"pale-pink\",\"color\":\"#f78da7\"},{\"name\":\"Vivid red\",\"slug\":\"vivid-red\",\"color\":\"#cf2e2e\"},{\"name\":\"Luminous vivid orange\",\"slug\":\"luminous-vivid-orange\",\"color\":\"#ff6900\"},{\"name\":\"Luminous vivid amber\",\"slug\":\"luminous-vivid-amber\",\"color\":\"#fcb900\"},{\"name\":\"Light green cyan\",\"slug\":\"light-green-cyan\",\"color\":\"#7bdcb5\"},{\"name\":\"Vivid green cyan\",\"slug\":\"vivid-green-cyan\",\"color\":\"#00d084\"},{\"name\":\"Pale cyan blue\",\"slug\":\"pale-cyan-blue\",\"color\":\"#8ed1fc\"},{\"name\":\"Vivid cyan blue\",\"slug\":\"vivid-cyan-blue\",\"color\":\"#0693e3\"},{\"name\":\"Vivid purple\",\"slug\":\"vivid-purple\",\"color\":\"#9b51e0\"}]},\"text\":true},\"dimensions\":{\"minHeight\":true},\"layout\":{\"contentSize\":\"98%\",\"wideSize\":\"1000%\"},\"position\":{\"sticky\":true},\"spacing\":{\"customSpacingSize\":true,\"spacingSizes\":{\"default\":[{\"name\":\"1\",\"slug\":\"20\",\"size\":\"0.44rem\"},{\"name\":\"2\",\"slug\":\"30\",\"size\":\"0.67rem\"},{\"name\":\"3\",\"slug\":\"40\",\"size\":\"1rem\"},{\"name\":\"4\",\"slug\":\"50\",\"size\":\"1.5rem\"},{\"name\":\"5\",\"slug\":\"60\",\"size\":\"2.25rem\"},{\"name\":\"6\",\"slug\":\"70\",\"size\":\"3.38rem\"},{\"name\":\"7\",\"slug\":\"80\",\"size\":\"5.06rem\"}]},\"spacingScale\":{\"operator\":\"*\",\"increment\":1.5,\"steps\":7,\"mediumStep\":1.5,\"unit\":\"rem\"},\"blockGap\":true,\"margin\":true,\"padding\":true,\"units\":[\"%\",\"px\",\"em\",\"rem\",\"vh\",\"vw\"]},\"typography\":{\"customFontSize\":true,\"dropCap\":true,\"fontFamilies\":{\"theme\":[{\"fontFamily\":\"-apple-system, BlinkMacSystemFont, \'Segoe UI\', Roboto, Oxygen-Sans, Ubuntu, Cantarell, \'Helvetica Neue\', sans-serif\",\"name\":\"System Font\",\"slug\":\"system-font\"},{\"fontFace\":[{\"fontFamily\":\"Sora\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/sora_normal_700.ttf\"]},{\"fontFamily\":\"Sora\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/sora_normal_400.ttf\"]}],\"fontFamily\":\"Sora\",\"slug\":\"sora\"},{\"fontFace\":[{\"fontFamily\":\"Volkhov\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/volkhov_normal_400.ttf\"]},{\"fontFamily\":\"Volkhov\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"src\":[\"file:.\\/assets\\/fonts\\/volkhov_normal_700.ttf\"]}],\"fontFamily\":\"Volkhov\",\"slug\":\"volkhov\"},{\"fontFace\":[{\"fontFamily\":\"Poppins\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins_normal_400.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStyle\":\"italic\",\"fontWeight\":\"900\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins_italic_900.ttf\"]},{\"fontFamily\":\"Poppins\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\",\"src\":[\"file:.\\/assets\\/fonts\\/poppins_normal_400.ttf\"]}],\"fontFamily\":\"Poppins\",\"slug\":\"poppins\"}]},\"fontSizes\":{\"default\":[{\"name\":\"Small\",\"slug\":\"small\",\"size\":\"13px\"},{\"name\":\"Medium\",\"slug\":\"medium\",\"size\":\"20px\"},{\"name\":\"Large\",\"slug\":\"large\",\"size\":\"36px\"},{\"name\":\"Extra Large\",\"slug\":\"x-large\",\"size\":\"42px\"}]},\"fontStyle\":true,\"fontWeight\":true,\"letterSpacing\":true,\"lineHeight\":true,\"textDecoration\":true,\"textTransform\":true}},\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "465-revision-v1", "", "", "2023-08-11 19:46:20", "2023-08-11 19:46:20", "", "465", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=473", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("476", "1", "2023-08-11 19:49:43", "2023-08-11 19:49:43", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-08-11 19:49:43", "2023-08-11 19:49:43", "", "62", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=476", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("492", "1", "2023-08-11 22:27:04", "2023-08-11 22:27:04", "<!-- wp:navigation-link {\"label\":\"Food\",\"type\":\"category\",\"id\":5,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/food/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Movies\",\"type\":\"category\",\"id\":4,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/movies/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Music\",\"type\":\"category\",\"id\":3,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/music/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->\n\n<!-- wp:navigation-link {\"label\":\"Politics\",\"type\":\"category\",\"id\":2,\"url\":\"http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/category/politics/\",\"kind\":\"taxonomy\",\"isTopLevelLink\":true} /-->", "Main Menu", "", "inherit", "closed", "closed", "", "62-revision-v1", "", "", "2023-08-11 22:27:04", "2023-08-11 22:27:04", "", "62", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=492", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("493", "1", "2023-08-11 23:01:07", "2023-08-11 23:01:07", "{\"styles\":[],\"settings\":[],\"isGlobalStylesUserThemeJSON\":true,\"version\":2}", "Custom Styles", "", "inherit", "closed", "closed", "", "465-revision-v1", "", "", "2023-08-11 23:01:07", "2023-08-11 23:01:07", "", "465", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication/?p=493", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("7", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("9", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("10", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("11", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("15", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("16", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("17", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("18", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("19", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("20", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("21", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("22", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("24", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("25", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("26", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("249", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("252", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("253", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("254", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("255", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("256", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("257", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("258", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("259", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("260", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("295", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("296", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("296", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("310", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("363", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("445", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("454", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("465", "12", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "category", "", "0", "10");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "category", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "category", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "category", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "wp_theme", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "wp_template_part_area", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "wp_theme", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "wp_template_part_area", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "wp_theme", "", "0", "1");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("2", "Politics", "politics", "0");
INSERT INTO `wp_terms` VALUES("3", "Music", "music", "0");
INSERT INTO `wp_terms` VALUES("4", "Movies", "movies", "0");
INSERT INTO `wp_terms` VALUES("5", "Food", "food", "0");
INSERT INTO `wp_terms` VALUES("7", "twentytwentythree", "twentytwentythree", "0");
INSERT INTO `wp_terms` VALUES("8", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("9", "Uncategorized", "uncategorized", "0");
INSERT INTO `wp_terms` VALUES("10", "irishpassport", "irishpassport", "0");
INSERT INTO `wp_terms` VALUES("11", "footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("12", "irishpassport-ducky-saved", "irishpassport-ducky-saved", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "kevinmcmillan");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "394");
INSERT INTO `wp_usermeta` VALUES("18", "1", "wp_user-settings", "libraryContent=browse&posts_list_mode=list");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_user-settings-time", "1691183122");
INSERT INTO `wp_usermeta` VALUES("20", "1", "managenav-menuscolumnshidden", "a:4:{i:0;s:11:\"link-target\";i:1;s:15:\"title-attribute\";i:2;s:11:\"css-classes\";i:3;s:3:\"xfn\";}");
INSERT INTO `wp_usermeta` VALUES("21", "1", "metaboxhidden_nav-menus", "a:2:{i:0;s:12:\"add-post_tag\";i:1;s:15:\"add-post_format\";}");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_wpse_sheet_sessions", "a:1:{s:4:\"post\";a:0:{}}");
INSERT INTO `wp_usermeta` VALUES("23", "1", "wpse_has_saved_sheet", "1");
INSERT INTO `wp_usermeta` VALUES("24", "1", "generateblocks_onboarding", "a:1:{s:22:\"insert_inner_container\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "wp_persisted_preferences", "a:6:{s:14:\"core/edit-post\";a:16:{s:12:\"welcomeGuide\";b:0;s:16:\"hiddenBlockTypes\";a:0:{}s:10:\"editorMode\";s:6:\"visual\";s:24:\"preferredStyleVariations\";a:0:{}s:14:\"inactivePanels\";a:1:{i:0;s:16:\"discussion-panel\";}s:10:\"openPanels\";a:10:{i:0;s:23:\"taxonomy-panel-post_tag\";i:1;s:9:\"post-link\";i:2;s:23:\"taxonomy-panel-category\";i:3;s:15:\"page-attributes\";i:4;s:11:\"post-status\";i:5;s:24:\"yoast-seo/document-panel\";i:6;s:14:\"featured-image\";i:7;s:12:\"post-excerpt\";i:8;s:25:\"taxonomy-panel-song_genre\";i:9;s:20:\"taxonomy-panel-genre\";}s:23:\"isPublishSidebarEnabled\";b:0;s:9:\"focusMode\";b:1;s:14:\"fullscreenMode\";b:0;s:11:\"pinnedItems\";a:2:{s:32:\"kadence-control/kadence-controls\";b:1;s:55:\"spectra-page-level-settings/spectra-page-settings-panel\";b:1;}s:26:\"isComplementaryAreaVisible\";b:1;s:20:\"welcomeGuideTemplate\";b:0;s:30:\"disableEditorsKitColorsFormats\";b:1;s:33:\"disableEditorsKitHighlightFormats\";b:1;s:21:\"showListViewByDefault\";b:1;s:12:\"fixedToolbar\";b:1;}s:17:\"core/edit-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:26:\"isComplementaryAreaVisible\";b:1;}s:22:\"core/customize-widgets\";a:2:{s:12:\"welcomeGuide\";b:0;s:12:\"fixedToolbar\";b:1;}s:14:\"core/edit-site\";a:7:{s:12:\"welcomeGuide\";b:0;s:18:\"welcomeGuideStyles\";b:0;s:12:\"fixedToolbar\";b:0;s:9:\"focusMode\";b:1;s:10:\"editorMode\";s:6:\"visual\";s:26:\"isComplementaryAreaVisible\";b:1;s:21:\"showListViewByDefault\";b:1;}s:9:\"_modified\";s:24:\"2023-08-11T23:01:19.804Z\";s:4:\"core\";a:1:{s:29:\"isTemplatePartMoveHintVisible\";b:0;}}");
INSERT INTO `wp_usermeta` VALUES("27", "1", "nav_menu_recently_edited", "6");
INSERT INTO `wp_usermeta` VALUES("29", "2", "nickname", "SInead O\'Connor");
INSERT INTO `wp_usermeta` VALUES("30", "2", "first_name", "Sinead");
INSERT INTO `wp_usermeta` VALUES("31", "2", "last_name", "O\'Connor");
INSERT INTO `wp_usermeta` VALUES("32", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("33", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("34", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("35", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("36", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("37", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("38", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("39", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("40", "2", "wp_capabilities", "a:1:{s:6:\"author\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("41", "2", "wp_user_level", "2");
INSERT INTO `wp_usermeta` VALUES("42", "2", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("43", "1", "edit_post_per_page", "100");
INSERT INTO `wp_usermeta` VALUES("44", "1", "session_tokens", "a:1:{s:64:\"5a686c5406a1aba635211d289e103aee9cd9c61f79949b7cddf384b2a2b11e73\";a:4:{s:10:\"expiration\";i:1691953046;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36\";s:5:\"login\";i:1691780246;}}");
INSERT INTO `wp_usermeta` VALUES("45", "3", "nickname", "Shuhada Sadaqat");
INSERT INTO `wp_usermeta` VALUES("46", "3", "first_name", "Shudada");
INSERT INTO `wp_usermeta` VALUES("47", "3", "last_name", "Sadaqat");
INSERT INTO `wp_usermeta` VALUES("48", "3", "description", "");
INSERT INTO `wp_usermeta` VALUES("49", "3", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("50", "3", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("51", "3", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("52", "3", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("53", "3", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("54", "3", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("55", "3", "locale", "");
INSERT INTO `wp_usermeta` VALUES("56", "3", "wp_capabilities", "a:1:{s:6:\"author\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("57", "3", "wp_user_level", "2");
INSERT INTO `wp_usermeta` VALUES("58", "3", "dismissed_wp_pointers", "");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "kevinmcmillan", "$P$BnljY0x39PmpjyM6rJmWZNXFlZYrhh1", "kevinmcmillan", "kevinmc@shaw.ca", "http://localhost:8888/AAAAAAA-FINAL-EXAM/Irish-Passport-Replication", "2023-06-10 06:24:06", "", "0", "kevinmcmillan");
INSERT INTO `wp_users` VALUES("2", "SInead OConnor", "$P$BVLreNTrvz6UqaeKI4e8l6v.XNJV.70", "sinead-oconnor", "sineadoconnor@gmail.com", "", "2023-08-04 21:04:09", "1691183049:$P$BtNCdveFlxZQwY5Acc0IZg.bLQdrt80", "0", "Sinead O\'Connor");
INSERT INTO `wp_users` VALUES("3", "Shuhada Sadaqat", "$P$BzNAfH9jkq.HiBkOhcMvPjuX2eno2W1", "shuhada-sadaqat", "noone@nowhere.com", "", "2023-08-11 20:33:24", "", "0", "Shudada Sadaqat");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-08-11 23:24:47*/
/* DUPLICATOR_MYSQLDUMP_EOF */
